#!/bin/sh

#All the commands are executed from the main directory of the module/theme

#Init script file
RW_PARTITION=/mnt/storage/RWdlabs
if [ -d /mnt/storage/RWmrd ]
then
 RW_PARTITION=/mnt/storage/RWmrd
fi
SCRIPT_FILE=/home/dpadweb/.rscript.sh

#Cleaning .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}

#Moving to Main directory: module/theme/theme_name
echo "cd `echo | pwd` " >> ${SCRIPT_FILE}

#Mounting RW
echo "/usr/local/sbin/remountrw" >> ${SCRIPT_FILE}

#Copying Modules Language Files
echo "if [ -d ../../modules -a -d ./files/modules ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./files/modules/* ../../modules" >> ${SCRIPT_FILE}
echo " chown -R dpadweb:dlabusers ../../modules/*" >> ${SCRIPT_FILE}
echo " chmod -R 750 ../../modules/*" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Copying Products Language Files
echo "if [ -d ../../products -a -d ./files/products ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./files/products/* ../../products" >> ${SCRIPT_FILE}
echo " chown -R dpadweb:dlabusers ../../products/*" >> ${SCRIPT_FILE}
echo " chmod -R 750 ../../products/*" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Copying Themes Language Files
echo "if [ -d ../../themes -a -d ./files/themes ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./files/themes/* ../../themes" >> ${SCRIPT_FILE}
echo " chown -R dpadweb:dlabusers ../../themes/*" >> ${SCRIPT_FILE}
echo " chmod -R 750 ../../themes/*" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Checking presence for knxsuperio link
echo "if [ ! -e /web/html/knxsuperio ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " ln -s ${RW_PARTITION}/smartdomuspad/ /web/html/knxsuperio" >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Checking presence of files directory
echo "if [ -e ./files/index.main.php ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./files/index.main.php /web/html/index.php " >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Overwriting samba cfg
echo "if [ -e /etc/samba/smb.conf ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./files/smb.conf /etc/samba/smb.conf " >> ${SCRIPT_FILE}
echo " chown -R root:dlabusers /etc/samba/smb.conf " >> ${SCRIPT_FILE}
echo " chmod -R 664 /etc/samba/smb.conf " >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Overwriting product logo
echo "if [ -e ${RW_PARTITION}/smartdomuspad/products/K3 ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./images/logo.png ${RW_PARTITION}/smartdomuspad/products/K3/images/logo.png " >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Overwriting favicon into all themes
echo "if [ -e ${RW_PARTITION}/smartdomuspad/themes/ivory ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./images/favicon.ico ${RW_PARTITION}/smartdomuspad/themes/ivory/images/structure/favicon.ico " >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}
echo "if [ -e ${RW_PARTITION}/smartdomuspad/themes/ebony ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./images/favicon.ico ${RW_PARTITION}/smartdomuspad/themes/ebony/images/structure/favicon.ico " >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}
echo "if [ -e ${RW_PARTITION}/smartdomuspad/themes/leather ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./images/favicon.ico ${RW_PARTITION}/smartdomuspad/themes/leather/images/structure/favicon.ico " >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}
echo "if [ -e ${RW_PARTITION}/smartdomuspad/themes/admin ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./images/favicon.ico ${RW_PARTITION}/smartdomuspad/themes/admin/image/favicon.ico " >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}
echo "if [ -e ${RW_PARTITION}/smartdomuspad/products/K3 ]" >> ${SCRIPT_FILE}
echo "then" >> ${SCRIPT_FILE}
echo " cp -fr ./images/favicon.ico ${RW_PARTITION}/smartdomuspad/products/K3/images/favicon.ico " >> ${SCRIPT_FILE}
echo "fi" >> ${SCRIPT_FILE}

#Mounting RO
echo "/usr/local/sbin/remountro" >> ${SCRIPT_FILE}

#Returning to Main directory
echo "cd .." >> ${SCRIPT_FILE}

#Executing sudo operations
sudo ${SCRIPT_FILE}

#Reinit .rscript.sh file
echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}
