{% extends "administration_page.tpl" %}

{%block block_pageTitle %}{{ getConstant("_DPAD_DBCONSTANT_URL_MODULE_CONFIG") }}{% endblock %}
{% block block_help %}{{ getConstant("_DPAD_DBCONSTANT_CONFIG_MODULES_HELP") }}{% endblock %}

{% set form_body %}
{% set page_stand_alone=(not checkModulePresence('system') or not checkProductPresence()) %}
<fieldset>
	<legend>{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_MACHINEDATAS_TITLE") }}</legend>
	<div class="field-line">
		    <label for="machine_serial_number">{{getConstant("_DPAD_SYSTEM_CONFIG_MODULES_SERIAL_CODE_TITLE")}}</label>
		    {% if page.machine_serial_number is null %}<input id="machine_serial_number" name="machine_serial_number" value="{{ page.machine_serial_number }}" />{% else %}<label class="user-select-enable" >{{ page.machine_serial_number }}</label>{% endif %}
		    <div class="template-clear"></div>
	</div>
	<div class="field-line">
		    <label for="machine_hardware_number">{{getConstant("_DPAD_SYSTEM_CONFIG_MODULES_HARDWARE_CODE_TITLE")}}</label>
		    <label class="user-select-enable" >{{ page.machine_hardware_code }}</label>
		    <div class="template-clear"></div>
	</div>
</fieldset>
<fieldset>
	<legend>{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_PRODUCTS_TITLE") }}</legend>
	{% for product,product_infos in page.list_products %}
		<div id="product_row_{{ product_infos.ID }}" class="field-line" 
	{#
	TODO: RIABILITARE questa linea non appena si decider come gestire hide/show delle licenze non necessariamente da visualizzzare
				{% if product_infos.CONFIGURATION_PAGE_IS_REQUIRED or product_infos.LICENSE_IS_VALID != getConstant('_DPAD_RESULT_NOERROR') %}{% else %}style="display:none;"{% endif %}
	#}
	>
		<label for="product_name_{{ product_infos.ID }}">{{ getConstant(product_infos.LABEL) }}</label>
		{% if product_infos.LICENSE_IS_REQUIRED==1 %}
			<input type="textbox" style="width:400px" id="product_license_{{ product_infos.ID }}" name="product_license_{{ product_infos.ID }}" value="{{ product_infos.LICENSE }}" onChange="iM.getScope(this).licenseChanged($(this));"/>
			<input type="hidden" id="product_license_has_changed_{{ product_infos.ID }}" name="product_license_has_changed_{{ product_infos.ID }}" value="{% if page_stand_alone %}1{% else %}0{% endif %}" />
			{% if product_infos.LICENSE %}
				{% if product_infos.LICENSE_IS_VALID == getConstant('_DPAD_RESULT_NOERROR') %}
					{% if product_infos.LICENSE_EXPIRE<=0 %}
						<label style="color:#00FE18;" onClick="iM.getScope(this).toggleLicense('product_license_{{ product_infos.ID }}_row');" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_UNLIMITED") }} ({{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_VERSION") }} {{product_infos.LICENSE_VERSION}})</label>
					{% else %}
						{% if product_infos.LICENSE_EXPIRE > (time()+86400*30) %}
							<label style="color:#00FE18;" onClick="iM.getScope(this).toggleLicense('product_license_{{ product_infos.ID }}_row');" >{{ sprintf(_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_DATED,product_infos.LICENSE_EXPIRE|date("d/m/Y")) }}</label>
						{% else %}
							<label style="color:orange;" onClick="iM.getScope(this).toggleLicense('product_license_{{ product_infos.ID }}_row');" >{{ sprintf(_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_DATED,product_infos.LICENSE_EXPIRE|date("d/m/Y")) }}</label>
						{% endif %}
					{% endif %}
				{% else %}
					<label style="color:red;" onClick="iM.getScope(this).toggleLicense('product_license_{{product_infos.ID}}_row');" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_INVALID") }}</label>
				{% endif %}
			{% else %}
				<label style="color:grey;" onClick="iM.getScope(this).toggleLicense('product_license_{{product_infos.ID}}_row');" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_EMPTY") }}</label>
			{% endif %}
		{% else %}
			{{ getConstant('_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_NOTNECESSARY') }}
		{% endif %}
		<div class="template-clear"></div>
	</div>
	{% endfor %}
</fieldset>
<fieldset>
	<legend>{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_TITLE") }}</legend>
	{% for module,module_infos in page.list_modules %}
	{% if module_infos.IS_VISIBLE==1 %}
		<div id="module_row_{{ module_infos.ID }}" class="field-line" 
	{#
	TODO: RIABILITARE questa linea non appena si decider come gestire hide/show delle licenze non necessariamente da visualizzzare
				{% if module_infos.CONFIGURATION_PAGE_IS_REQUIRED or module_infos.LICENSE_IS_VALID != getConstant('_DPAD_RESULT_NOERROR') %}{% else %}style="display:none;"{% endif %}
	#}
	>
		<label for="module_name_{{ module_infos.ID }}">{{ getConstant(module_infos.DESCRIPTION) }}</label>
		{% if module_infos.LICENSE_IS_REQUIRED==1 %}
			<input type="textbox" style="width:400px" id="module_license_{{ module_infos.ID }}" name="module_license_{{ module_infos.ID }}" value="{{ module_infos.LICENSE }}" onChange="iM.getScope(this).licenseChanged($(this));"/>
			<input type="hidden" id="module_license_has_changed_{{ module_infos.ID }}" name="module_license_has_changed_{{ module_infos.ID }}" value="{% if page_stand_alone %}1{% else %}0{% endif %}" />
			{% if module_infos.LICENSE %}
				{% if module_infos.LICENSE_IS_VALID == getConstant('_DPAD_RESULT_NOERROR') %}
					{% if module_infos.LICENSE_EXPIRE<=0 %}
						<label style="color:#00FE18;" onClick="iM.getScope(this).toggleLicense('module_license_{{ module_infos.ID }}_row');" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_UNLIMITED") }}</label>
					{% else %}
						{% if module_infos.LICENSE_EXPIRE > (time()+86400*30) %}
							<label style="color:#00FE18;" onClick="iM.getScope(this).toggleLicense('module_license_{{ module_infos.ID }}_row');" >{{ sprintf(_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_DATED,product_infos.LICENSE_EXPIRE|date("d/m/Y")) }}</label>
						{% else %}
							<label style="color:orange;" onClick="iM.getScope(this).toggleLicense('module_license_{{ module_infos.ID }}_row');" >{{ sprintf(_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_DATED,product_infos.LICENSE_EXPIRE|date("d/m/Y")) }}</label>
						{% endif %}
					{% endif %}
				{% else %}
					<label style="color:red;" onClick="iM.getScope(this).toggleLicense('module_license_{{module_infos.ID}}_row');" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_INVALID") }}</label>
				{% endif %}
			{% else %}
				<label style="color:grey;" onClick="iM.getScope(this).toggleLicense('module_license_{{module_infos.ID}}_row');" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_EMPTY") }}</label>
			{% endif %}
		{% else %}
			{{ getConstant('_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_NOTNECESSARY') }}
		{% endif %}
		<div class="template-clear"></div>
	</div>
	{% endif %}
	{% endfor %}
</fieldset>
{% if page_stand_alone %}
	<input type="submit" name="submit" value="{{ getConstant("_DPAD_GENERAL_SAVE") }}" onClick="if(localStorage)localStorage.clear();" >
{% endif %}
<input type="hidden" id="submit" name="submit" value="1" />
{% endset %}

{% block block_pageTitleButtons %}{% if page_stand_alone %}{% else %}{{ parent() }}{% endif %}{% endblock block_pageTitleButtons %}
{% block block_formsButtons %}{% if page_stand_alone %}{% else %}{{ parent() }}{% endif %}{% endblock block_formsButtons %}

{% set forms = {
	'config_modules_form':{
		'name':'config_modules_form',
		'action':'../system/config_modules.php',
		'method':'POST',
		'format':'xml',
		'submitButtonLabel':getConstant('_DPAD_GENERAL_SAVE'),
		'closeButtonLabel':getConstant('_DPAD_GENERAL_CANCEL'),
		'body':form_body
	}
} %}

{% block block_scope %}
	{% set page_stand_alone=(not checkModulePresence('system') or not checkProductPresence()) %}
	{% if page_stand_alone %}
		<head>
			<meta http-equiv="content-type" content="text/html;" charset="{{page.charset}}" />
			<meta http-equiv="content-language" content="{{page.language}}" />
			<meta name="robots" content="{{page.meta_robots}}" />
			<meta name="keywords" content="{{page.meta_keywords}}>" />
			<meta name="description" content="{{page.meta_description}}>" />
			<meta name="rating" content="{{page.meta_rating}}" />
			<meta name="author" content="{{page.meta_author}}" />
			<meta name="copyright" content="{{page.meta_copyright}}" />
			<meta name="generator" content="{{page.meta_generator}}" />
			<title>{{page.html_title}}</title>
		</head>
	{% else %}
		{% include "scope.config_modules.tpl" %}
	{% endif %}
{% endblock block_scope%}
