{% extends "administration_page.tpl" %}

{%block block_pageTitle %}{{getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK")}}{% endblock %}

{% set form0_name = "config_network_form" %}
{% set form0_action = "../system/config_network.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "xml" %}
{% set form0_submitButtonLabel = getConstant('_DPAD_GENERAL_SAVE') %}
{% set form0_closeButtonLabel = getConstant('_DPAD_GENERAL_CANCEL') %}
{% set form0_body %}
<input type="hidden" name="mode" id="mode" value="ajax"/>
<input type="hidden" name="submit" id="submit" value="1"/>
<input type="hidden" name="skip_reboot" id="skip_reboot" value="1"/>
<input type="hidden" name="ethernet_port_names" id="ethernet_port_names" value="{{page.ethernet_port_names}}"/>

{% for ethernet_port_name,ethernet_port in page.ethernet_ports %}
<input type="hidden" name="enable_{{ethernet_port_name}}" id="enable_{{ethernet_port_name}}" value="{{ethernet_port.enable}}"/>
{% if ethernet_port.draw_as == "hidden" %}
	<input type="hidden" name="{{ethernet_port_name}}_network_type" id="{{ethernet_port_name}}_network_type_0" value="{{ethernet_port.network_type}}"/>
{% else %}
	<input type="hidden" name="{{ethernet_port_name}}_network_type" id="{{ethernet_port_name}}_network_type_0" value="{{ethernet_port.network_type}}"/>
	<input type="hidden" name="{{ethernet_port_name}}_network_type_old" id="{{ethernet_port_name}}_network_type_old" value="{{ethernet_port.network_type}}"/>
	<input type="hidden" name="{{ethernet_port_name}}_address_old" id="{{ethernet_port_name}}_address_old" value="{{ethernet_port.address}}"/>
	<input type="hidden" name="{{ethernet_port_name}}_netmask_old" id="{{ethernet_port_name}}_netmask_old" value="{{ethernet_port.netmask}}"/>
	<input type="hidden" name="{{ethernet_port_name}}_gateway_old" id="{{ethernet_port_name}}_gateway_old" value="{{ethernet_port.gateway}}"/>

	{% if ethernet_port.enable %}
		<fieldset>
			<legend>{{getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK_PORT_" ~ ethernet_port_name | upper)}}</legend>
			<div class="field-line">
				    <label for="{{ethernet_port_name}}_address">{{getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK_IPADDRESS")}}</label>
				    <input type="text" name="{{ethernet_port_name}}_address" id="{{ethernet_port_name}}_address" value="{{ethernet_port.address}}"/>
				    <div class="template-clear"></div>
			</div>
			<div class="field-line">
				    <label for="{{ethernet_port_name}}_netmask">{{getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK_NETMASK")}}</label>
				    <input type="text" name="{{ethernet_port_name}}_netmask" id="{{ethernet_port_name}}_netmask" value="{{ethernet_port.netmask}}"/>
				    <div class="template-clear"></div>
			</div>
			<div class="field-line">
				    <label for="{{ethernet_port_name}}_gateway">{{getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK_GATEWAY")}}</label>
				    <input type="text" name="{{ethernet_port_name}}_gateway" id="{{ethernet_port_name}}_gateway" value="{{ethernet_port.gateway}}"/>
				    <div class="template-clear"></div>
			</div>
		</fieldset>
	{% else %}
		<input type="hidden" name="{{ethernet_port_name}}_address" id="{{ethernet_port_name}}_address" value="{{ethernet_port.address}}"/>
		<input type="hidden" name="{{ethernet_port_name}}_netmask" id="{{ethernet_port_name}}_netmask" value="{{ethernet_port.netmask}}"/>
		<input type="hidden" name="{{ethernet_port_name}}_gateway" id="{{ethernet_port_name}}_gateway" value="{{ethernet_port.gateway}}"/>
	{% endif %}
{% endif %}
{% endfor %}

<fieldset>
	<legend>DNS</legend>
	<div class="field-line">
		    <label for="{{ethernet_port_name}}_address">{{getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK_DNS1")}}</label>
		    <input type="text" name="dns_server_1" id="dns_server_1" value="{{page.dns_server_1}}"/>
		    <div class="template-clear"></div>
	</div>
	<div class="field-line">
		    <label for="{{ethernet_port_name}}_address">{{getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK_DNS2")}}</label>
		    <input type="text" name="dns_server_2" id="dns_server_2" value="{{page.dns_server_2}}"/>
		    <div class="template-clear"></div>
	</div>
</fieldset>

{% endset %}

{% set forms = {"config_network_form":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_formsCustomContent %}
{% endblock %}

{% block block_scope %}
{% include "scope.config_network.tpl" %}
{% endblock %}
