{% extends "administration_page.tpl" %}
{% import "tool.html.tpl" as draw %}

{%block block_pageTitle %}{{getConstant("_DPAD_THEME_ADMIN_SETUP_DISPLAY")}}{% endblock %}

{% set form0_name = "config_screensaver_form" %}
{% set form0_action = "../system/config_screensaver.php" %}
{% set form0_method = "POST" %}
{% set form0_format = "xml" %}
{% set form0_submitButtonLabel = getConstant('_DPAD_GENERAL_SAVE') %}
{% set form0_closeButtonLabel = getConstant('_DPAD_GENERAL_CANCEL') %}
{% set form0_body %}
<div id="help" style="display:none">{% block block_help %}{{page.page_help}}{% endblock %}</div>
<input type="hidden" name="submit" id="submit" value="1"/>
<fieldset>
	<legend>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DISPLAY_SCREENSAVER")}}</legend>
	<div class="field-line">
		<label for="screensaver_timeout">{{getConstant("_DPAD_SYSTEM_CONFIG_SCREENSAVER_TIMEOUT")}}</label>
		<input type="text" name="timeout_screensaver_h" id="timeout_screensaver_h" style="width:15px;" mask="9" value="{{page.timeout_screensaver_h}}"/>:
		<input type="text" name="timeout_screensaver_m" id="timeout_screensaver_m" style="width:20px;" mask="99" value="{{page.timeout_screensaver_m}}"/>:
		<input type="text" name="timeout_screensaver_s" id="timeout_screensaver_s" style="width:20px;" mask="99" value="{{page.timeout_screensaver_s}}"/>
		<div class="template-clear"></div>
	</div>
	<div class="field-line">
		<label for="enable_power_manager">{{getConstant("_DPAD_SYSTEM_CONFIG_SCREENSAVER_POWER_MANAGER")}}</label>
		{{ draw.html({
			'draw_as':'select',
			'id':'enable_power_manager',
			'value':page.enable_power_manager,
			'options':page.enable_power_manager_array
		}) }}
		<div class="template-clear"></div>
	</div>
	<div class="field-line">
		<label for="standby_timeout">{{getConstant("_DPAD_SYSTEM_CONFIG_SCREENSAVER_TIMEOUT_VIDEO")}}</label>
		<input type="text" name="timeout_standby_h" id="timeout_standby_h" style="width:15px;" mask="9" value="{{page.timeout_standby_h}}"/>:
		<input type="text" name="timeout_standby_m" id="timeout_standby_m" style="width:20px;" mask="99" value="{{page.timeout_standby_m}}"/>:
		<input type="text" name="timeout_standby_s" id="timeout_standby_s" style="width:20px;" mask="99" value="{{page.timeout_standby_s}}"/>
		<div class="template-clear"></div>
	</div>
</fieldset>
<fieldset>
	<legend>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DISPLAY_BACKGROUNDS")}}</legend>
	<div class="field-line">
		<label for="images_preview">{{ getConstant("_DPAD_SYSTEM_CONFIG_SCREENSAVER_MANAGE_IMAGES") }}</label>
		<div>
			{{ draw.html({
				'draw_as':'image',
				'id':'screensaver_images_preview',
				'class':'field-background-preview',
				'src':'../../products/K3/images/wallpaper-sample.jpg',
				'onClick':'var oScope=iM.getScope(this);oScope.handle_screensaver_images();'
			}) }}
		</div>
		<div class="template-clear"></div>
	</div>
</fieldset>
<fieldset>
	<legend>{{getConstant("_DPAD_THEME_ADMIN_SETUP_DISPLAY_TOUCH")}}</legend>
	<div class="field-line">
		<label for="button_calibrate">{{getConstant('_DPAD_THEME_ADMIN_SETUP_DISPLAY_TOUCH_CALIBRATE_LABEL')}}</label>
		<input id="button_calibrate" type="button" class="field-button-yellow" value="{{getConstant('_DPAD_THEME_ADMIN_SETUP_DISPLAY_TOUCH_CALIBRATE_BUTTON')}}" onClick="iM.getScope(this).calibrate()"/>		
		<div class="template-clear"></div>
	</div>
</fieldset>
{% endset %}

{% set forms = {"config_screensaver_form":{'name':form0_name,'action':form0_action,'method':form0_method,'title':form0_title,'format':form0_format,'submitButtonLabel':form0_submitButtonLabel,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_scope %}
{% include "scope.config_screensaver.tpl" %}
{% endblock %}
