{% extends "core/templates/config_system.tpl" %}
{% import "tool.html.tpl" as draw %}

{%block block_pageTitle %}{{ getConstant("_DPAD_THEME_ADMIN_SETUP_SYSTEM") }}{% endblock %}
{% block block_help %}{{getConstant("_DPAD_DBCONSTANT_CONFIG_SYSTEM_HELP")}}{% endblock %}

{% block block_form0_body %}
		<div id="help" style="display:none">{{ getConstant("_DPAD_THEME_ADMIN_SETUP_SYSTEM_DATETIME_HELP") }}</div>
		<input type="hidden" id="submit_set_date" name="submit_set_date" value="1"/>
		<div class="field-line">
			<label for="time_to_set">{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_TIMEHOUR") }}</label>
			<input type="text" name="time_to_set" id="time_to_set" value="{{ page.time }}" mask="99:99" onchange="iM.getScope(this).validateField($(this),'time')" onfocus="$(this).removeClass('error');"/>
			<div class="template-clear"></div>
		</div>
		<div class="field-line">
			<label for="date_to_set">{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA") }}</label>
			<input type="text" name="date_to_set" id="date_to_set" value="{{ page.date }}" mask="99/99/9999" onchange="iM.getScope(this).validateField($(this),'date')" onfocus="$(this).removeClass('error');"/>
			<div class="template-clear"></div>
		</div>
		{% if checkModulePresence('eib') and (page.senddatadgram_date_object_array|length > 0 and page.senddatadgram_time_object_array|length > 0) %}
		<div class="field-line">
			<label for="senddatadgram_action">{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM") }}</label>
			{% if page.senddatadgram_action %}
				{% set temp_senddatadgram_action=page.senddatadgram_action %}
			{% else %}
				{% set temp_senddatadgram_action=getConstant("_DPAD_LOCAL_SENDDATADGRAM_NEVER") %}
			{% endif %}
			{% set temp_var={
					(getConstant("_DPAD_LOCAL_SENDDATADGRAM_NEVER")):getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_NEVER"),
					(getConstant("_DPAD_LOCAL_SENDDATADGRAM_ONCRONTAB")):getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_ONCRONTAB")
				}
			%}
			{{ draw.html({
				'draw_as':'radio',
				'id':'senddatadgram_action',
				'_items_per_row':1,
				'value':temp_senddatadgram_action,
				'options':temp_var,
				'onChange':"iM.getScope(this).toggleDgramActions(this);iM.getScope(this).formModified(this);"
			}) }}
			<div class="template-clear"></div>
		</div>
		<div id="config_system_dgram_knx_dayofweek_time" style="display:none">
			<div class="field-line" id="config_system_dgram_knx_time_periodic">
				<label for="time_each_minutes_senddatadgram">{{ getConstant("_DPAD_DBCONSTANT_GENERAL_EACH") }} ({{ getConstant("_DPAD_GENERAL_MINUTES") }})</label>
				<input type="text" name="time_each_minutes_senddatadgram" id="time_each_minutes_senddatadgram" value="{{ page.time_each_minutes_senddatadgram }}" mask="9?9" onchange="iM.getScope(this).validateField($(this),'minutes')" onfocus="$(this).removeClass('error');"/>
				<div class="template-clear"></div>
				<input type="hidden" id="enable_time_periodic" name="enable_time_periodic" value="{{ page.enable_time_periodic }}" />
			</div>
		</div>
		<div class="field-line" id="config_system_dgram_knx_time" style="display:none">
			<label for="senddatadgram_time_object_msp">{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_ADDRESS_TIME") }}</label>
			{{ draw.html({
				'draw_as':'select',
				'id':'senddatadgram_time_object_msp',
				'value':page.senddatadgram_time_object_msp,
				'options':page.senddatadgram_time_object_array,
				'onChange':"iM.getScope(this).formModified(this);"
			}) }}
			<div class="template-clear"></div>
		</div>
		<div class="field-line" id="config_system_dgram_knx_date" style="display:none">
			<label for="senddatadgram_date_object_msp">{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CONFIG_DATA_SENDDATADGRAM_ADDRESS_DATE") }}</label>
			{{ draw.html({
				'draw_as':'select',
				'id':'senddatadgram_date_object_msp',
				'value':page.senddatadgram_date_object_msp,
				'options':page.senddatadgram_date_object_array,
				'onChange':"iM.getScope(this).formModified(this);"
			}) }}
			<div class="template-clear"></div>
		</div>
		<div style="display:none">
			{{ draw.html({
				'draw_as':'hidden',
				'id':'senddatadgram_daysofweek_1',
				'value':page.senddatadgram_daysofweek_1,
				'onChange':"iM.getScope(this).formModified(this);"
			}) }} {{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_MONDAY") }}
			{{ draw.html({
				'draw_as':'hidden',
				'id':'senddatadgram_daysofweek_2',
				'value':page.senddatadgram_daysofweek_2,
				'onChange':"iM.getScope(this).formModified(this);"
			}) }} {{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_TUESDAY") }}
			{{ draw.html({
				'draw_as':'hidden',
				'id':'senddatadgram_daysofweek_3',
				'value':page.senddatadgram_daysofweek_3,
				'onChange':"iM.getScope(this).formModified(this);"
			}) }} {{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_WEDNESDAY") }}
			{{ draw.html({
				'draw_as':'hidden',
				'id':'senddatadgram_daysofweek_4',
				'value':page.senddatadgram_daysofweek_4,
				'onChange':"iM.getScope(this).formModified(this);"
			}) }} {{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_THURSDAY") }}
			{{ draw.html({
				'draw_as':'hidden',
				'id':'senddatadgram_daysofweek_5',
				'value':page.senddatadgram_daysofweek_5,
				'onChange':"iM.getScope(this).formModified(this);"
			}) }} {{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_FRIDAY") }}
			{{ draw.html({
				'draw_as':'hidden',
				'id':'senddatadgram_daysofweek_6',
				'value':page.senddatadgram_daysofweek_6,
				'onChange':"iM.getScope(this).formModified(this);"
			}) }} {{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_SATURDAY") }}
			{{ draw.html({
				'draw_as':'hidden',
				'id':'senddatadgram_daysofweek_0',
				'value':page.senddatadgram_daysofweek_0,
				'onChange':"iM.getScope(this).formModified(this);"
			}) }} {{ getConstant("_DPAD_GENERAL_DAYSOFWEEK_SUNDAY") }}
		</div>
		{% endif %}
{% endblock %}

{% block block_form1_body %}
		<div id="help" style="display:none">{{ getConstant("_DPAD_THEME_ADMIN_SETUP_SYSTEM_TIMEZONE_HELP") }}</div>
		<input type="hidden" id="submit_set_timezone" name="submit_set_timezone" value="1"/>
		<div class="field-line">
			<label for="timezone_area">{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CURRENT_TIMEZONE_AREA") }}</label>
			{{ draw.html({
				'draw_as':'select',
				'id':'timezone_area',
				'onChange':"iM.getScope(this).formModified(this);iM.getScope(this).updateTimezoneCity();"
			}) }}
			<div class="template-clear"></div>
		</div>
		<div class="field-line">
			<label for="timezone_area">{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_CURRENT_TIMEZONE_CITY") }}</label>
			{{ draw.html({
				'draw_as':'select',
				'id':'timezone_city',
				'onChange':"iM.getScope(this).formModified(this);"
			}) }}
			<div class="template-clear"></div>
		</div>
{% endblock %}

{% block block_form2_body %}
		<div id="help" style="display:none">{{ getConstant("_DPAD_THEME_ADMIN_SETUP_SYSTEM_NTPDATE_HELP") }}</div>
		<input type="hidden" id="submit_set_ntpdate" name="submit_set_ntpdate" value="1"/>
		<div class="field-line">
			<label for="ntpdate_server">{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_NTPDATE_SERVER") }}</label>
			<input type="text" name="ntpdate_server" id="ntpdate_server" value="{{ page.ntpdate_server }}"/>
			<div class="template-clear"></div>
		</div>
		<div class="field-line">
			<label for="ntpdate_everyxminutes">{{ getConstant("_DPAD_DBCONSTANT_GENERAL_EACH") }} ({{ getConstant("_DPAD_GENERAL_MINUTES") }})</label>
			<input type="text" name="ntpdate_everyxminutes" id="ntpdate_everyxminutes" value="{{ page.ntpdate_everyxminutes }}" mask="9?9" onchange="iM.getScope(this).validateField($(this),'minutes')" onfocus="$(this).removeClass('error');"/>
			<div class="template-clear"></div>
		</div>
{% endblock %}

{% block block_form3_body %}
		<div id="help" style="display:none">{{ getConstant("_DPAD_THEME_ADMIN_SETUP_SYSTEM_REBOOT_HELP") }}</div>
		<input type="hidden" id="submit_set_weeklyreboot" name="submit_set_weeklyreboot" value="1"/>
		<div class="field-line">
			<label for="senddatadgram_date_object_msp">{{ getConstant("_DPAD_SYSTEM_SYSTEMCONFIG_WEEKLYREBOOT_DAYSOFWEEK") }}</label>
			<input type="checkbox" name="reboot_daysofweek_1" id="reboot_daysofweek_1" value="1" {% if page.reboot_daysofweek_1 %}checked{% endif %}/>{{getConstant("_DPAD_GENERAL_DAYSOFWEEK_MONDAY")}}
			<input type="checkbox" name="reboot_daysofweek_2" id="reboot_daysofweek_2" value="1" {% if page.reboot_daysofweek_2 %}checked{% endif %}/>{{getConstant("_DPAD_GENERAL_DAYSOFWEEK_TUESDAY")}}
			<input type="checkbox" name="reboot_daysofweek_3" id="reboot_daysofweek_3" value="1" {% if page.reboot_daysofweek_3 %}checked{% endif %}/>{{getConstant("_DPAD_GENERAL_DAYSOFWEEK_WEDNESDAY")}}
			<input type="checkbox" name="reboot_daysofweek_4" id="reboot_daysofweek_4" value="1" {% if page.reboot_daysofweek_4 %}checked{% endif %}/>{{getConstant("_DPAD_GENERAL_DAYSOFWEEK_THURSDAY")}}
			<input type="checkbox" name="reboot_daysofweek_5" id="reboot_daysofweek_5" value="1" {% if page.reboot_daysofweek_5 %}checked{% endif %}/>{{getConstant("_DPAD_GENERAL_DAYSOFWEEK_FRIDAY")}}
			<input type="checkbox" name="reboot_daysofweek_6" id="reboot_daysofweek_6" value="1" {% if page.reboot_daysofweek_6 %}checked{% endif %}/>{{getConstant("_DPAD_GENERAL_DAYSOFWEEK_SATURDAY")}}
			<input type="checkbox" name="reboot_daysofweek_0" id="reboot_daysofweek_0" value="1" {% if page.reboot_daysofweek_0 %}checked{% endif %}/>{{getConstant("_DPAD_GENERAL_DAYSOFWEEK_SUNDAY")}}
			<div class="template-clear"></div>
		</div>
		<div class="field-line">
			<label for="time_reboot">{{ getConstant("_DPAD_DBCONSTANT_GENERAL_AT") }}</label>
			<input type="text" name="time_reboot" id="time_reboot" value="{{ page.time_reboot }}" mask="99:99" onchange="iM.getScope(this).validateField($(this),'time')" onfocus="$(this).removeClass('error');"/>
			<div class="template-clear"></div>
		</div>
{% endblock %}
