        {# This function shows or hides a cover on entire page #}
        this.coverShowOrHide=function(show_flag){
        }
        
        {# This function shows a message in current workspace page #}
        this.showMessage = function(message,type,timeout,messageId){
			var messageTs = new Date().getTime();
			var messageId = 'message_' + messageTs;
			var messageContainer = $(this.getScopeSelector()).find('#messages');
			messageContainer
				.append('<div id="' + messageId + '" class="field-note"><div id="message">' + message + '</div><div id="close" onclick="iM.getScope(this).hideMessage(\''+messageId+'\')"></div></div>')
			;
			messageContainer
				{#.css({
					top: $('#template-content-work').scrollTop() + 'px'
				})#}
				.width($("#template-content-work").width())
				.find('#' + messageId)
				.show()
			;
			if( typeof(timeout)!='undefined' ){
				setTimeout(this.getScope(true) + ".hideMessage('" + messageId + "')",(timeout * 1000));
			}
			return messageId;
        }
        
        {# This function updates a message in current workspace page #}
        this.updateMessage = function(messageId,message,type,timeout){
			var messageContainer = $(this.getScopeSelector()).find('#messages');
			messageContainer.width($("#template-content-work").width());
			{#
			messageContainer
				.css({
					top: $('#template-content-work').scrollTop() + 'px'
				})
			;
			#}
			var messageField = $(this.getScopeSelector()).find("#" + messageId).find("#message");
			if( messageField.length == 0 ){
				rM.log("No message found with ID '" + messageId + "', creating it","debug",null,"scope.workspace_page.tpl","updateMessage");
				return this.showMessage(message,type,timeout);
			}
			messageField.html(message);                
			this.displayMessage(messageId);
			if( typeof(timeout)!="undefined" ){
				setTimeout(this.getScope(true) + ".hideMessage('" + messageId + "')",(timeout * 1000));
			}
			return messageId;
        }

        {# This function displays message with given ID #}
        this.displayMessage = function(messageId){
			var messageField = $(this.getScopeSelector()).find("#" + messageId);
			if(messageField.length == 0){
				rM.log("No message found with ID '" + messageId + "'","warn",null,"scope.workspace_page.tpl","hideMessage");
				return;
			}
			messageField.show();
        }
        
        {# This function hides message with given ID #}
        this.hideMessage = function(messageId){
			var messageField = $(this.getScopeSelector()).find("#" + messageId);
			if(messageField.length == 0){
				rM.log("No message found with ID '" + messageId + "'","warn",null,"scope.workspace_page.tpl","hideMessage");
				return;
			}
			messageField.hide();
        }
        
        {# This function enables or disables buttons #}
        this.buttonsEnableDisable = function(enable,filterSelector){
			var buttons = $(this.getScopeSelector()).find("input[type='button']").not("[enabledisable='ignore']");
			if(enable)buttons.css("opacity",1);
			else buttons.css("opacity",0.5);
			var fieldsets = $(this.getScopeSelector()).find("fieldset");
			if(typeof(filterSelector)!="undefined" && filterSelector != null && filterSelector != ""){
					rM.log("Applying filter on fieldsets with selector " + filterSelector + ", " + $(filterSelector).length + " element(s) will be filtered","warn");
					fieldsets = fieldsets.not(filterSelector);
			}
			if(enable)fieldsets.css("opacity",1);
			else fieldsets.css("opacity",0.5);
			wM.enabled = enable;
        }
        
        {# This function enables or disables all user interactions with interface #}
        this.userInteractionEnableDisable=function(enable,filterSelector){
		
		var treeScope = iM.getScopeFromActiveView("tree");
		var searchScope = iM.getScopeFromActiveView("search");
		
		if(enable){
			this.buttonsEnableDisable(true,filterSelector);
			if(treeScope)	treeScope.coverShowHide(false);
			if(searchScope)	searchScope.coverShowHide(false);
			$(".template-container-fields").css("opacity",1);
		}
		else{
			this.buttonsEnableDisable(false,filterSelector);
			if(treeScope)	treeScope.coverShowHide(true);
			if(searchScope)	searchScope.coverShowHide(true);
			$(".template-container-fields").css("opacity",0.2);
		}
        }
        
	{# This function enables or not visibility on page elements #}
	this.coverShowHide = function(showFlag)
	{
	    if(showFlag)
		$(this.getScopeSelector()).find(".template-container-fields").css("opacity",0.2);
	    else
		$(this.getScopeSelector()).find(".template-container-fields").css("opacity",1);
	}
	
	{# This function returns current page tab index #}
	this.getTabIndex = function(){
		return this.getTab().index();
	}
	
	{# This function returns tab associated to current page #}
	this.getTab = function(){
		return wM.tabGetByTag(this.id);
	}

	{# This function validates a given field with specified criteria #}
	this.validateField = function(field,criteria,fCallback){
		{# Ensuring criteria is a string, and not a number #}
		criteria = criteria+'';
		{# Initializing result and message #}
		var result = false;
		var message = "";
		{# Identifying object ID by field name #}
		var objectId = -1;
		if( field.prop("id").indexOf("obj")!=-1 ){
			var fieldIdTokens = field.prop("id").split("_");
			objectId = parseInt(fieldIdTokens[0].replace("obj",""));
		}
		{% block block_validateField %}
		if( criteria.indexOf("[")!=-1 && criteria.indexOf("]")!=-1 ){
			var fieldVal = parseFloat(field.val());
			var messageTokens = new Array();
			{# We have a RANGE as criteria #}
			var ranges = criteria.replace("[","").replace("]","").split(",");
			for(var i in ranges){
				var range = ranges[i];
				var rangeTokens = range.split("-");
				switch( rangeTokens.length ){
					case 1:	{# Single value: must match exactly #}
						messageTokens.push(range);
						result = (fieldVal == parseFloat(range));
					break;
					case 2:	{# We must fall within range #}
						messageTokens.push($.sprintf("{{getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_RANGE_FROM_TO')|encode4jscript}}",rangeTokens[0],rangeTokens[1]));
						result = (fieldVal >= parseFloat(rangeTokens[0]) && fieldVal <= parseFloat(rangeTokens[1]));
					break;
					default:
					break;
				}
			}
			message = $.sprintf("{{getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_RANGE_NOT_VALID')|encode4jscript}}",messageTokens.join(" {{getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_RANGE_OR')}} "));		
		} else {
		    {# We have a specific rule as criteria #}
		    switch( criteria ){
				case "minutes":
					result = (parseInt(field.val()) >= 0 && parseInt(field.val()) <= 59);
					message = "{{ getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_MINUTES_NOT_VALID')|encode4jscript }}";
				break;
				case "numeric":
					result = rM.isNumber(field.val());
					message = "{{ getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_NUMERIC_NOT_VALID')|encode4jscript }}";
				break;
				case "dtmf":
					var dtmfResult = true;
					var dtmfString = field.val();
					for(var i in dtmfString){
						if( !rM.isNumber(dtmfString[i]) && !(dtmfString[i]=="*" || dtmfString[i]=="#") ){
							dtmfResult = false;
							break;
						}
					}
					result = dtmfResult;
					message = "{{ getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_DTMF_NOT_VALID')|encode4jscript }}";
				break;
				case "email":
					{# Separating field into multiple addresses #}
					var addresses = field.val().split(";");
					var emailResult = true;
					for(var i in addresses){
						var address = addresses[i];
						if(address=='')	continue;
						var addressTokens = address.split("@");
						if(addressTokens.length==2){
							var destinator = addressTokens[0];
							var domain = addressTokens[1];
							var domainTokens = domain.split(".");
							if(domainTokens.length >= 2){
								continue;
							}
						}
						{# If we fall here, something went wrong! #}
						emailResult = false;
					}
					result = emailResult;
					message = "{{getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_EMAIL_NOT_VALID')|encode4jscript}}";
				break;
				case "time":
					var value = field.val();
					var tokens = value.split(":");
					if(tokens.length == 2){
						var hours = parseInt(tokens[0]);
						var minutes = parseInt(tokens[1]);
						result = ((hours>=0 && hours<=23) && (minutes >=0 && minutes <= 59));
					}
					message = "{{getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_TIME_NOT_VALID')|encode4jscript}}";
				break;
				case "date":
					var value = field.val();
					var tokens = value.split("/");
					if(tokens.length == 3){
						var day = parseInt(tokens[0]);
						var month = parseInt(tokens[1]);
						var year = parseInt(tokens[2]);
						result = ((day>=1 && day<=31) && (month >=1 && month <= 12)  && (year >=2000 && year <= 2100));
					}
					message = "{{getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_DATE_NOT_VALID')|encode4jscript}}";
				break;
				case "ipaddress":
					var value = field.val();
					var tokens = value.split(".");
					var ipaddressResult = true;
					if( tokens.length == 4 ){
						for(var i in tokens){
							var sToken=tokens[i];
							if( isNaN( sToken ) || parseInt( sToken )<0 || parseInt( sToken )>254 ){
								ipaddressResult = false;
								break;
							}
						}
					} else {
						ipaddressResult = false;
					}
					result = ipaddressResult;
					message = "{{ getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_IPADDRESS_NOT_VALID')|encode4jscript }}";
				break;
				case "username":
					{# Not allowing empty username #}
					result = ( field.val() );
					if( !result ){
						message = "{{ getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_USERNAME_NOT_VALID')|encode4jscript }}";
						break;
					}
					{# Looking for existing users with same name #}
					var _sQuery = "SELECT COUNT(ID) AS COUNTER FROM DPADD_OBJECT WHERE TYPE='{{ getConstant('_DPAD_CLASS_TYPE_USER') }}' AND NAME='"+field.val()+"' AND ID <> '"+objectId+"'";
					dbManager.executeSQL(_sQuery,Math.random(),$.proxy(this.validateFieldUsername,this,field,objectId,fCallback));
					return false;
				break;
				case "voipnumber":
					{# Looking for existing pbx element or participant with same VOIP number #}
					if( field.val() && field.val()!='' ){
						var _sQuery = "SELECT COUNT(ID) AS COUNTER FROM DPADD_OBJECT WHERE ((TYPE='PBXELEMENT' AND MSP='"+field.val()+"') OR (TYPE IN ('USER','CLIENTBROWSER') AND (OPTIONALP LIKE '%ext_alias="+field.val()+"%' OR OPTIONALP LIKE '%ext_alias=''"+field.val()+"''%'))) AND ID <> '"+objectId+"'";
						dbManager.executeSQL(_sQuery,Math.random(),$.proxy(this._validateFieldVoipNumber,this,field,objectId,fCallback));
					} else {
						this.hideMessage(this.messageId);
						{# Calling callback #}
						if( fCallback ){
							fCallback(field,objectId);
						}
					}
					return false;
				break;
				case "CBIPaddress":
					{# Checking IP address validity #}
					if( !this.validateField(field,'ipaddress') ){
						return false;
					}
					{# Looking for existing CB element with same IP address #}
					var _sQuery = "SELECT COUNT(ID) AS COUNTER FROM DPADD_OBJECT WHERE TYPE='{{ getConstant('_DPAD_CLASS_TYPE_CLIENTBROWSER') }}' AND MSP='"+field.val()+"' AND ID <> '"+objectId+"';";
					dbManager.executeSQL(_sQuery,Math.random(),$.proxy(this._validateFieldCBIPAddress,this,field,objectId,fCallback));
					return false;
				break;
				default:
					result = true;
				break;
		    }
		}

		{# Handling result #}
		if( !result ){
			this.messageId = this.updateMessage(this.messageId,message,"warn",10);
			field.val( field.attr("oldvalue") ).addClass("error");
			return false;
		} else {
			this.hideMessage(this.messageId);
			if( fCallback ){
				fCallback( field.val() );
			}
			return true;
		}
		{% endblock block_validateField %}
	}
	
	{# This function is called after performing a query looking for existing user(s) with same name as user input #}
	this.validateFieldUsername = function(field,objectId,fCallback,result_array){
		{# If another user has same name, showing message and exiting #}
		if( parseInt(result_array[0]["COUNTER"])>0 ){
			this.messageId = this.updateMessage(this.messageId,"{{getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_USERNAME_ALREADY_PRESENT')|encode4jscript}}","warn",10);
			field.val(field.attr("oldvalue")).addClass("error");
			return;
		}
		
		this.hideMessage(this.messageId);
		
		{# Cslling callback #}
		if(fCallback)	fCallback(field,objectId);
	}
	
	{# This function is called after performing a query looking for existing pbx element(s) with same VOIP number #}
	this._validateFieldVoipNumber = function(field,objectId,fCallback,result_array){
		{# If another VOIP item has same number, showing message and exiting #}
		if( parseInt(result_array[0]["COUNTER"])>0 ){
			this.messageId = this.updateMessage(this.messageId,"{{ getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_VOIP_NUMBER_NOT_VALID')|encode4jscript }}","warn",10);
			field.val(field.attr("oldvalue")).addClass("error");
			return;
		}
		this.hideMessage(this.messageId);
		{# Calling callback #}
		if( fCallback ){
			fCallback(field,objectId);
		}
	}

	{# This function is called after performing a query looking for existing CB element(s) with same IP address #}
	this._validateFieldCBIPAddress = function(field,objectId,fCallback,aResults){
		{# If another CB item has same IP address, showing message and exiting #}
		if( parseInt(aResults[0]["COUNTER"])>0 ){
			this.messageId = this.updateMessage(this.messageId,"{{ getConstant('_DPAD_DBCONSTANT_CONFIG_SYSTEM_MESSAGE_VALIDATE_CB_IPADDRESS_ALREADY_PRESENT')|encode4jscript }}","warn",10);
			field.val(field.attr("oldvalue")).addClass("error");
			return;
		}
		this.hideMessage(this.messageId);
		{# Calling callback #}
		if( fCallback ){
			fCallback(field,objectId);
		}
	}
	
	{# This function initializes help for current page #}
	this.initHelp = function()
	{
		{# Clearing any previous help content #}
		$("#template-help-content").html("");
		
		{# Updating tab menu help with current instance, if present #}
		var help = $(this.getScopeSelector()).find("[id='help']");
		if(help.length>0){
		    help.each(function(){
			if($(this).html()!='')	$("#template-help-content").append($(this).html()+"<br/><br/>");
		    });
		}
		
		{# If help is still empty, setting a generic help string #}
		if($("#template-help-content").html()=='')	$("#template-help-content").html(rM.getConstant("_DPAD_THEME_ADMIN_WORKSPACE_PAGE_HELP_DEFAULT"));
		
		{# Setting scrolling on help #}
	}
