{# External Frame Scripts Navigators #}
{% extends "core/templates/prototype.externalframe_scripts.navigators.tpl" %}

{% block navigators %}
{# Registering Main Navigator #}
iM.registerViewContainer('main_body','div[id=\'externalframe_body_container\']');
nM.registerNavigator({
	{#
		/*
		N.B.
		Filtering tree and search view because the autologin, can't handle them correctly (they hide the popup when search and navigation_tree
		are loaded by eventLogIn_theme_specific
		*/
		coverViews:Array('tree','search','workspace'),
	#}
	coverViews:Array('workspace'),
	navigator:{
		id:'navigator_general',
		view:'main_body',
		selector:'div#navigator_single',
		prototype:'{{ prototyper("navigator.single.tpl") }}',
		events:{
			activeEffect: function(){
				this.show();
				themeManager.popup_showhide(true);
			},
			inactiveEffect: function(){
				this.hide();
				themeManager.popup_showhide(false);
			}
		}
	},
	navigatorItem:{
		events:{
			activeEffect:function(iTransitionEffectType,fCallback){
				$( this.getScopeSelector() ).show(0,fCallback);
			}
		}
	}
});

{# Registering Tree Navigator #}
iM.registerViewContainer('tree','div[id=\'externalframe_tree_container\']');
nM.registerNavigator({
	navigator:{
		id:'navigator_tree',
		view:'tree',
		selector:'div#navigator_single',
		prototype:'{{ prototyper("navigator.single.tpl") }}'
	}
});

{# Registering Search Navigator #}
iM.registerViewContainer('search','div[id=\'externalframe_search_container\']');
nM.registerNavigator({
	navigator:{
		id:'navigator_search',
		view:'search',
		selector:'div#navigator_single',
		prototype:'{{ prototyper("navigator.single.tpl") }}'
	}
});

{# Registering Workspace Navigator #}
iM.registerViewContainer('workspace','div[id=\'template-content-work\']');
nM.registerNavigator({
	navigator:{
		id:'navigator_workspace',
		view:'workspace',
		selector:'ul#navigator_workspace',
		prototype:'{{ prototyper("navigator.workspace.tpl") }}'
	},
	navigatorItem:{
		prototype:'{{ prototyper("navigator.workspace_instance.tpl") }}'
	}
});
{% endblock navigators %}