{% extends "core/templates/scope.config_database.tpl" %}

{% block block_msgFormButtonSubmitConfirm %}{{ getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_CONFIRM")|encode4jscript }}{% endblock block_msgFormButtonSubmitConfirm %}
{% block block_msgFormButtonCloseConfirm %}{{ getConstant("_DPAD_THEME_ADMIN_WORKSPACE_PAGE_MSG_CLOSE_TAB_WITH_UNSAVED_CHANGES")|encode4jscript }}{% endblock block_msgFormButtonCloseConfirm %}
{% block block_msgFormSubmitCallbackSuccess %}{{ getConstant("_DPAD_THEME_ADMIN_SETUP_DATABASE_SUCCESS_MSG")|encode4jscript }}{% endblock block_msgFormSubmitCallbackSuccess %}

{% block block_customDeclarations %}
{{ parent() }}
	this.messageId = null;
{% endblock block_customDeclarations %}

{% block block_onLoad_pageInit %}{% endblock block_onLoad_pageInit %}

{% block block_formValidate %}
{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formValidate %}

{% block block_formSubmitCallback %}
{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
this.userInteractionEnableDisable(true);
if(parseInt(result) == {{getConstant("_DPAD_RESULT_NOERROR")}}){
    switch(this.operation){
        case "restore":
        case "import":
            
            switch(this.operationType)
            {
                case "database":

                    {# Clearing cache and reloading page #}
                    themeManager.cacheClear({
                            bClientHTML: true,
                            bClientDB: true,
                            bOnAllClients: true
                    });
                    break;
                    
                default:
                
                    break;
            }
	    break;
    }
}
{% endblock block_formSubmitCallback %}

{% block block_formButtonSubmit %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
if(this.operation!="export")    this.userInteractionEnableDisable(false);
{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formButtonSubmit %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{# Asking a confirmation if changes have not been saved #}
if(this.formHasUnsavedChanges && this.msgFormButtonCloseConfirm != ""){
	if(!confirm(this.msgFormButtonCloseConfirm))    return;
}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock block_formButtonClose %}

{% block block_formFieldChange %}
{{ parent() }}
wM.tabUnsavedChangesShowHide(this.getTab(),true);
{% endblock block_formFieldChange %}

{% block block_formButtonSubmitCompleted %}
{{ parent() }}
wM.tabUnsavedChangesShowHide(this.getTab(),false);
{% endblock block_formButtonSubmitCompleted %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}
this.setOperation=function(sType,sOperation,jElement){
	this.operationType=sType;
	this.operation=sOperation;
	$(this.getScopeSelector()).find('input:radio:checked').not(jElement).prop('checked',false);
}
{% endblock block_customFunctions %}