{% extends "scope.administration_page.tpl" %}

{% block block_msgFormSubmitCallbackSuccess %}{% endblock %}
{% block block_msgFormButtonSubmitConfirm %}{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}

        themeManager.waitplease_display(true);
        $(this.getScopeSelector()).find("input[id='address']").attr("readonly","readonly");
        
        {# Binding standard actions to form buttons and fields #}
        $(this.getScopeSelector()).on("change","input",$.proxy(this.formFieldChange,this));
		
        if(!this.isInitialized)
        {
            {# Calling function which loads languages for themes #}
            this.addressInit();
	}
	
{{parent()}}
{% endblock %}

{% block block_onLoadFinalize %}
this.isInitialized = true;
{% endblock %}

{% block block_onUnload %}
{# Unbinding standard actions to form buttons and fields #}
$(this.getScopeSelector()).off("change","input");
{% endblock block_onUnload %}

{% block block_formButtonSubmit %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
if(this.operation!="export")    this.userInteractionEnableDisable(false);
this.forms[0].bModified=true;
this.messageId = this.updateMessage(this.messageId,"{{getConstant('_DPAD_THEME_ADMIN_EIB_CONFIG_ADDRESS_MESSAGE_SAVE_IN_PROGRESS')|encode4jscript}}");
{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formButtonSubmit %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{# Asking a confirmation if changes have not been saved #}
if(this.formHasUnsavedChanges && this.msgFormButtonCloseConfirm != ""){
	if(!confirm(this.msgFormButtonCloseConfirm))    return;
}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock block_formButtonClose %}

{% block block_formFieldChange %}
{{ parent() }}
wM.tabUnsavedChangesShowHide(this.getTab(),true);
{% endblock block_formFieldChange %}

{% block block_formButtonSubmitCompleted %}
this.hideMessage(this.messageId);
{{ parent() }}
wM.tabUnsavedChangesShowHide(this.getTab(),false);
this.userInteractionEnableDisable(true);
{% endblock block_formButtonSubmitCompleted %}

{% block block_formValidate %}
for(var i in formData)
{
        var field_name = formData[i].name;
        var field_value = formData[i].value;

        if(field_name == "address")
        {
            var address_tokens = field_value.split(".");
            if(address_tokens.length!=3 || (!rM.isNumber(address_tokens[0]) || (parseInt(address_tokens[0])<0 || parseInt(address_tokens[0])>15)) || (!rM.isNumber(address_tokens[1]) || (parseInt(address_tokens[1])<0 || parseInt(address_tokens[1])>15))  || (!rM.isNumber(address_tokens[2]) || (parseInt(address_tokens[2])<0 || parseInt(address_tokens[2])>255)))
            {
                this.messageId = this.updateMessage(this.messageId,"{{getConstant('_DPAD_THEME_ADMIN_EIB_CONFIG_ADDRESS_MESSAGE_ADDRESS_NOT_VALID')|encode4jscript}}","warn",10);
                this.userInteractionEnableDisable(true);
                $(this.getScopeSelector()).find("input[id='address']").focus().val("");
                return false;
            };
        }
}
{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formValidate %}


{% block block_customFunctions %}
	{% include "include.workspace_page_functions.tpl" %}

	{# This function initializes physical address #}
	this.addressInit = function() 
	{
            themeManager.waitplease_display(true);
            rM.ajax({
                type: 'POST',
                url: '../eib/dpadaction.php',
                data: {
                        op:'get_eibd_physical_address'
                },
                success:$.proxy(this.addressInitCallback,this)
            });
	}
	
	{# This function renders select fields for theme-based language choice#}
	this.addressInitCallback = function(data,textStatus,jqXHR)
	{
            themeManager.waitplease_display(false);
            var oXML=rM.XML(data);
            var result=parseFloat(oXML.get('result'));
            var message=oXML.get('message');
            var address=oXML.get('address');
            if(result != rM.getConstant('_DPAD_RESULT_NOERROR'))
            {
                themeManager.showMessage(message,"warn");
            }
            else
            {
                $(this.getScopeSelector()).find("input[id='address']").val(address);
                $(this.getScopeSelector()).find("input[id='address']").removeAttr("readonly");
            }
	}
	
{% endblock %}