{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
	{{ html_includejs("jsDpadBlock.js","js") }}
{% endblock %}

{% block block_msgFormSubmitCallbackSuccess %}{% endblock %}
{% block block_msgFormButtonSubmitConfirm %}{{ getConstant("_DPAD_THEME_ADMIN_SETUP_LANGUAGE_CONFIRM")|encode4jscript }}{% endblock %}

{% block block_customDeclarations %}
	this.themes = new Array();	
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
	{# Binding standard actions to form buttons and fields #}
	$(this.getScopeSelector()).on("change","input",$.proxy(this.formFieldChange,this));
	if(!this.isInitialized){
		{# Calling function which loads languages for themes #}
		this.languagesInit();
	}

        {# Initializing help #}
        this.initHelp();
{% endblock %}

{% block block_onUnload %}
	{# Unbinding standard actions to form buttons and fields #}
	$(this.getScopeSelector()).off("change","input");
{% endblock block_onUnload %}

{% block block_formValidate %}{% endblock %}

{% block block_formButtonSubmit %}
	var queries = new Array();
	for(var i in this.themes){
		var currThemeLang = $(this.getScopeSelector()).find("#language_for_theme_" + this.themes[i]).val();
		var query = "UPDATE DPAD_WEB_CONFIGURATION_VALUES SET VALUE='" + currThemeLang + "' WHERE CONFIGURATION_NAME='current_language' AND THEME='" + this.themes[i] + "'";
 		queries.push(query);
	}
	dbManager.executeSQL(queries.join(";"),Math.random(),$.proxy(this.languagesSave,this));
{% endblock %}

{% block block_formButtonSubmitCallback %}
	wM.tabUnsavedChangesShowHide(this.getTab(),false);
{% endblock %}

{% block block_formButtonClose %}
	{# If workspace manager is not enabled, skipping #}
	if(!wM.enabled && skipEnableCheck != true)  return;
	{# Asking a confirmation if changes have not been saved #}
	if(this.formHasUnsavedChanges && this.msgFormButtonCloseConfirm != ""){
		if(!confirm(this.msgFormButtonCloseConfirm))    return;
	}
	{# Closing tab corresponding to current page #}
	wM.tabRemove(this.getTab());
{% endblock %}

{% block block_formFieldChange %}
	{{ parent() }}
	wM.tabUnsavedChangesShowHide(this.getTab(),true);
{% endblock %}

{% block block_customFunctions %}
	{% include "include.workspace_page_functions.tpl" %}
	{# This function initializes query for theme-related languages #}
	this.languagesInit = function() {
		var query = "SELECT DWV.*,DW.LABEL,DW.DRAW_AS,DW.HAS_OPTIONS,DW.OPTIONS,DW.OPTIONS_EXTERNAL_FUNCTION FROM DPAD_WEB_CONFIGURATION_VALUES AS DWV INNER JOIN DPAD_WEB_CONFIGURATION AS DW ON (DWV.CONFIGURATION_NAME=DW.NAME) WHERE DWV.CONFIGURATION_NAME='current_language' AND DWV.IS_VISIBLE=1;";
		dbManager.executeSQL(query,Math.random(),$.proxy(this.languagesRender,this));
	}
	{# This function renders select fields for theme-based language choice#}
	this.languagesRender = function(result_array){
		for(var i in result_array){
			var data=result_array[i];
			data['OPTIONS']=data['OPTIONS'].replace(/=>/g,':');
			data['THEME_NAME']=data['THEME'];
			switch(data['THEME_NAME']){
				case 'ivory':   data['THEME_NAME']='frontend';break;
			}
			var html=drawM.draw("select",{
					id:'language_for_theme_'+data['THEME'],
					value:data['VALUE'],
					options:data['OPTIONS'],
					onlyHTML:true
				});
			$(this.getScopeSelector()).find("#theme_languages").append("<div class='field-line'><label for='language_for_theme_" + data["THEME"] + "'>" + data["THEME_NAME"] + "</label>" + html + "<div class='template-clear'></div></div>");
			this.themes.push(data["THEME"]);
		}
		this.isInitialized = true;
	}
	{# This function is called upon languages save #}
	this.languagesSave = function(result_array){
		{# Disabling workspace manager and showing message while clearing/restarting #}
		this.userInteractionEnableDisable(false);
		this.showMessage('{{ getConstant("_DPAD_THEME_ADMIN_SETUP_LANGUAGE_SAVE_IN_PROGRESS")|encode4jscript }}','info');
		rM.cacheClear({
			bPHPsessions: true,
			bTPLs: true,
			bSeeds: true,
			fCallback: $.proxy(themeManager.windowReload,themeManager)
		});
	}
{% endblock %}