{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
	{{ html_includejs("jquery.selectboxes.js","js") }}
	{{ html_includejs("jquery.overscroll.js","js") }}
{% endblock %}

{% block block_msgFormButtonCloseConfirm %}{{ getConstant("_DPAD_THEME_ADMIN_WORKSPACE_PAGE_MSG_CLOSE_TAB_WITH_UNSAVED_CHANGES")|encode4jscript }}{% endblock %}

{% block block_onLoad_pageInit %}{% endblock block_onLoad_pageInit%}
{% block block_onLoad %}
        {# Binding standard actions to form buttons and fields #}
        $(this.getScopeSelector()).on("change","input",$.proxy(this.formFieldChange,this));

	{{ parent() }}
{% endblock block_onLoad%}

{% block block_onUnload %}
{# Unbinding standard actions to form buttons and fields #}
$(this.getScopeSelector()).off("change","input");
{% endblock block_onUnload %}

{% block block_formValidate %}
	{{ parent() }}
{% endblock block_formValidate %}

{% block block_formSubmitCallback %}
	{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formSubmitCallback %}

{% block block_formButtonSubmit %}
	{# If workspace manager is not enabled, skipping #}
	if(!wM.enabled && skipEnableCheck != true)  return;
	this.userInteractionEnableDisable(false);
	{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formButtonSubmit %}

{% block block_formButtonSubmitCompleted %}
	{{ parent() }}
	themeManager.cacheClear({
		bClientHTML: true,
		bClientDB: true,
		bOnAllClients: true
	});
{% endblock block_formButtonSubmitCompleted %}

{% block block_formButtonClose %}
	{# If workspace manager is not enabled, skipping #}
	if(!wM.enabled && skipEnableCheck != true)  return;
	{{ parent() }}
	{# Closing tab corresponding to current page #}
	wM.tabRemove(this.getTab());
{% endblock block_formButtonClose %}

{% block block_formFieldChange %}
	{{ parent() }}
	wM.tabUnsavedChangesShowHide(this.getTab(),true);
{% endblock block_formFieldChange %}

{% block block_customFunctions %}
	{% include "include.workspace_page_functions.tpl" %}
	this.toggleLicense=function(id){
		{#
		var jLicense=$(this.getScopeSelector()).find('#'+id)
		if(jLicense.is(':visible'))jLicense.fadeOut();
		else jLicense.fadeIn();
		#}
	}
	this.licenseChanged=function(jInputObj){
		$(jInputObj).next().val(1);
	}
{% endblock block_customFunctions %}
