{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{parent()}}
	{{html_includejs("jsDpadBlock.js","js")}}
{% endblock %}

{% block block_msgFormSubmitCallbackSuccess %}{{ getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK_MESSAGE_SUCCESS")|encode4jscript }}{% endblock %}
{% block block_msgFormButtonSubmitConfirm %}{{ getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK_MESSAGE_CONFIRM")|encode4jscript }}{% endblock %}
{% block block_msgFormButtonCloseConfirm %}{{ getConstant("_DPAD_THEME_ADMIN_WORKSPACE_PAGE_MSG_CLOSE_TAB_WITH_UNSAVED_CHANGES")|encode4jscript }}{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
        {# Binding standard actions to form buttons and fields #}
        $(this.getScopeSelector()).on("change","input",$.proxy(this.formFieldChange,this));
        
{{parent()}}
{% endblock %}

{% block block_onUnload %}
{# Unbinding standard actions to form buttons and fields #}
$(this.getScopeSelector()).off("change","input");
{% endblock block_onUnload %}

{% block block_formValidate %}
	
	for(var i in formData)
	{
		var field_name = formData[i].name;
		var field_value = formData[i].value;

		if(field_name.indexOf("_old")!=-1)	continue;
		
		var field_name_tokens = field_name.split("_");
		var field_port = field_name_tokens[0];
		var field_tag = field_name_tokens[1];
		
		if(field_tag == "address" || field_tag == "netmask" || field_tag == "gateway")
		{
			var field_port_enable = $(this.getScopeSelector()).find("#enable_" + field_port).val();
			if(field_port_enable=="0")	continue;

			var address_is_valid = false;
			var address_tokens = field_value.split(".");
			if(address_tokens.length == 4)
			{
				for(var j in address_tokens)
				{
					if(address_tokens[j] <0 || address_tokens[j] > 254)	break;
				}
				address_is_valid = true;
			}
			if(!address_is_valid)
			{
				this.showMessage(rM.getConstant("_DPAD_THEME_ADMIN_SETUP_NETWORK_MESSAGE_ERROR_" + field_tag.toUpperCase()),"warning",5);
                                this.userInteractionEnableDisable(true);
				return false;
			}
		}

		if(field_name.indexOf("dns_server_1")!=-1)
		{
			if(field_value != "")
			{
				var address_is_valid = false;
				var address_tokens = field_value.split(".");
				if(address_tokens.length == 4)
				{
					for(var j in address_tokens)
					{
						if(address_tokens[j] <0 || address_tokens[j] > 254)	break;
					}
					address_is_valid = true;
				}
				if(!address_is_valid)
				{
					this.showMessage("{/literal}{$smarty.const._DPAD_THEME_ADMIN_SETUP_NETWORK_MESSAGE_ERROR_DNSSERVER1}{literal}","warning",5);
                                        this.userInteractionEnableDisable(true);
					return false;
				}
			}
		}
		
		if(field_name.indexOf("dns_server_2")!=-1)
		{
			if(field_value != "")
			{
				var address_is_valid = false;
				var address_tokens = field_value.split(".");
				if(address_tokens.length == 4)
				{
					for(var j in address_tokens)
					{
						if(address_tokens[j] <0 || address_tokens[j] > 254)	break;
					}
					address_is_valid = true;
				}
				if(!address_is_valid)
				{
					this.showMessage("{/literal}{$smarty.const._DPAD_THEME_ADMIN_SETUP_NETWORK_MESSAGE_ERROR_DNSSERVER2}{literal}","warning",5);
                                        this.userInteractionEnableDisable(true);
					return false;
				}
			}
		}
	}

{{ parent() }}
{% endblock %}

{% block block_formSubmitCallback %}
{{parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"})}}
{% endblock %}

{% block block_formButtonSubmit %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
this.userInteractionEnableDisable(false);

{{parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"})}}

{% endblock %}

{% block block_formButtonSubmitCompleted %}
{{parent()}}
this.userInteractionEnableDisable(true);
wM.tabUnsavedChangesShowHide(this.getTab(),false);
{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{parent()}}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_formFieldChange %}
{{parent()}}
wM.tabUnsavedChangesShowHide(this.getTab(),true);
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}
{% endblock %}
