{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{parent()}}
	{{html_includejs("jsDpadBlock.js","js")}}
{% endblock %}

{% block block_customDeclarations %}
    this.calibrateId = -1;
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}

	if(!this.isInitialized)
	{
            {% block block_onLoad_formInitMasks %}
            $(this.getScopeSelector()).find('input[mask]').each(function(){
                    $(this).mask($(this).attr("mask"));
            });
            {% endblock block_onLoad_formInitMasks %}
	}

        {# Binding standard actions to form buttons and fields #}
        $(this.getScopeSelector()).on("change","input",$.proxy(this.formFieldChange,this));
        
        {# Showing a message if given by PHP page #}
        var message = "{{page.message}}";
        if(message!="")
        {
            this.messageId = themeManager.showMessage(message);
        }
	
{{parent()}}
{% endblock %}

{% block block_onUnload %}
{# Unbinding standard actions to form buttons and fields #}
$(this.getScopeSelector()).off("change","input");
{% endblock block_onUnload %}

{% block block_formValidate %}
	
	for(var i in formData)
	{
		var field_name = formData[i].name;
		var field_value = formData[i].value;

		if(field_name.indexOf("timeout")!=-1)
		{
                    if(parseInt(field_value)<0) return false;
                    if(parseInt(field_value)>60) return false;
		}
	}

{{ parent() }}
{% endblock %}

{% block block_formSubmitCallback %}
{{parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"})}}
{% endblock %}

{% block block_formButtonSubmit %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
this.userInteractionEnableDisable(false);

{{parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"})}}

{% endblock %}

{% block block_formButtonSubmitCompleted %}
{{parent()}}
this.userInteractionEnableDisable(true);
wM.tabUnsavedChangesShowHide(this.getTab(),false);
{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{parent()}}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_formFieldChange %}
{{parent()}}
wM.tabUnsavedChangesShowHide(this.getTab(),true);
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

this.handle_screensaver_images=function(){

    var popup_url='../system/file_picker.php?body_template=image_picker.tpl&show_action_upload=1&show_action_remove=1&mode=background|seek_dir=/mnt/storage/RWdlabs/smartdomuspad/images/screensaver_images/&seek_type=file';
    iM.openInstance(popup_url,null,null,'main_body');
    themeManager.popup_showhide(true);
}

this.pickup_background_image_callback=function(image_path,image_base_path){
}

this.calibrate = function()
{
    {# If a calibrate object is already set, calling directly calibration function and exiting #}
    if(this.calibrateId != -1)
    {
        this.calibrateRun();
        return;
    }
    
    {# Looking for calibrate syscmd object #}
    var query = "SELECT ID FROM DPADD_OBJECT WHERE TYPE='SYSCMD' AND NAME LIKE '%CALIBRATE%'";
    dbManager.executeSQL(query,Math.random(),$.proxy(this.calibrateCallback,this));
}
this.calibrateCallback = function(result_array)
{
    {# Managing case of no calibrate command #}
    if(result_array.length == 0)
    {
        this.messageId = this.updateMessage(this.messageId,"{{getConstant('_DPAD_THEME_ADMIN_SETUP_DISPLAY_TOUCH_CALIBRATE_ERROR_NO_SYSCMD')}}");
        return;
    }
    
    {# Identifying calibration command and loading it #}
    this.calibrateId = result_array[0]["ID"];
    objM.getObjsSurrounding(this.calibrateId,$.proxy(this.calibrateRun,this));
}

this.calibrateRun = function()
{
    var calibrateObj = objM.getObj(this.calibrateId);
    if(!calibrateObj)   return;
    
    calibrateObj.callSoap("","RUN");
    themeManager.waitplease_display(false);
}

{% endblock %}