{% extends "core/templates/scope.config_system.tpl" %}

{% block block_msgFormButtonSubmitConfirm %}{% endblock block_msgFormButtonSubmitConfirm %}
{% block block_msgFormButtonCloseConfirm %}{{ getConstant("_DPAD_THEME_ADMIN_WORKSPACE_PAGE_MSG_CLOSE_TAB_WITH_UNSAVED_CHANGES")|encode4jscript }}{% endblock block_msgFormButtonCloseConfirm %}

{% block block_customDeclarations %}
	{{ parent() }}
	this.messageId = null;
{% endblock block_customDeclarations %}

{% block block_onLoad_pageInit %}{% endblock block_onLoad_pageInit %}
{% block block_onLoad %}
	if(!this.isInitialized){
		{% block block_onLoad_formInitMasks %}
		$(this.getScopeSelector()).find('input[mask]').each(function(){
                    $(this).mask($(this).attr("mask"));
		});
		{% endblock block_onLoad_formInitMasks %}
	}
	{# Binding standard actions to form buttons and fields #}
	$(this.getScopeSelector()).on("change","input",$.proxy(this.formFieldChange,this));
{{ parent() }}
{% endblock block_onLoad %}

{% block block_onUnload %}
	{# Unbinding standard actions to form buttons and fields #}
	$(this.getScopeSelector()).off("change","input");
{% endblock block_onUnload %}

{% block block_formValidate %}
	{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formValidate %}

{% block block_formSubmitCallback %}
	{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formSubmitCallback %}

{% block block_formButtonSubmit %}
	{# If workspace manager is not enabled, skipping #}
	if(!wM.enabled && skipEnableCheck != true)  return;
	this.userInteractionEnableDisable(false);
	{{ parent()|replace({'themeManager.showMessage(': "this.messageId = this.updateMessage(this.messageId,"}) }}
{% endblock block_formButtonSubmit %}

{% block block_formButtonClose %}
	{# If workspace manager is not enabled, skipping #}
	if(!wM.enabled && skipEnableCheck != true)  return;
	{# Closing tab corresponding to current page #}
	wM.tabRemove(this.getTab());
{% endblock block_formButtonClose %}

{% block block_formFieldChange %}
	{{ parent() }}
	wM.tabUnsavedChangesShowHide(wM.tabGetByIndex(this.getTabIndex()),true);
{% endblock block_formFieldChange %}

{% block block_formButtonSubmitCompleted %}
	{{ parent() }}
	this.userInteractionEnableDisable(true);
	wM.tabUnsavedChangesShowHide(wM.tabGetByIndex(this.getTabIndex()),false);
	{#
		Needed if we want to use a clock on Administration
		themeManager.reloadServerClocks();
	#}
{% endblock block_formButtonSubmitCompleted %}

{% block block_customFunctions %}
	{{ parent() }}
	{% include "include.workspace_page_functions.tpl" %}
{% endblock block_customFunctions %}