{# Grid template scope #}
<jsIncludes>
{% block block_includeJs %}
{% endblock %}
</jsIncludes>
<jsScopeScripts>

    {% block block_scopeDeclarations %}
    this.is_initialized = false;
    this.context = "runtime";
    this.currThemeSet = null;
    
    {{ jsBlock({
            'operation':"declaration",
            'block_name':"block_config_theme",
            'block_render_container_selector':"this.getScopeSelector()+' #themes_container'",
            'prototype_container':"$(this.getScopeSelector()).find('div#config_theme_container_prototype').html();",
            'prototype_item':"$(this.getScopeSelector()).find('div#config_theme_row_prototype').html();"
    }) }}
    
    {% block block_scopeCustomDeclarations %}{% endblock block_scopeCustomDeclarations %}
    {% endblock block_scopeDeclarations %}

    this.onLoad=function()
    {
        {% block block_scopeOnLoad %}
	if(!this.isInitialized)
	{
		{# Calling function which loads themes for context #}
		this.themeInit();
	}
	
	{# Initializing help #}
	this.initHelp();

	themeManager.waitplease_display(false);
        {% endblock block_scopeOnLoad %}
    }
    
    this.onTransitionDone = function(){
        {% block block_scopeonTransitionDone %}
        {% endblock block_scopeonTransitionDone %}
    }

    this.themeInit = function()
    {
        this.currThemeSet = $.parseJSON(rM.getConfiguration("current_theme",{refresh: false}));
        this.themeLoad();
    }

    this.themeLoad = function() 
    {
        var query = "SELECT * FROM DPAD_WEB_THEME WHERE CONTEXT='"+this.context+"'";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.themeLoadCallback,this));
    }

    this.themeLoadCallback = function(result_array)
    {
        for(var i in result_array)
        {
            if(result_array[i]["NAME"]==this.currThemeSet[this.context])
                result_array[i]["HILIGHT"] = "hilight";
            else
                result_array[i]["HILIGHT"] = "";
        }
        
        {{ jsBlock({
                'operation':'render',
                'block_name':"block_config_theme"
        }) }}
	
	themeManager.waitplease_display(false);
    }
    
    this.themeSelect = function(caller,theme)
    {
        $(this.getScopeSelector()).find(".config-theme-container").removeClass("hilight");
        caller.addClass("hilight");
        this.currThemeSet[this.context]=theme;
    }
    
    this.formButtonClose = function()
    {
        {# If workspace manager is not enabled, skipping #}
        if(!wM.enabled && skipEnableCheck != true)  return;

        {# Asking a confirmation if changes have not been saved #}
        if(this.formHasUnsavedChanges && this.msgFormButtonCloseConfirm != ""){
                if(!confirm(this.msgFormButtonCloseConfirm))    return;
        }

        {# Closing tab corresponding to current page #}
        wM.tabRemove(this.getTab());
    }

    this.formButtonSubmit = function()
    {
        this.userInteractionEnableDisable(false);
	themeManager.waitplease_display(true);

        var newThemeSetting =  $.toJSON(this.currThemeSet);
        rM.setConfiguration("current_theme",newThemeSetting,{username:"*",theme:"*"});
        this.formButtonSubmitted();
    }
    
    this.formButtonSubmitted = function()
    {
        this.messageId = this.updateMessage(this.messageId,"{{getConstant('_DPAD_THEME_ADMIN_SETUP_THEME_MESSAGE_UPDATE_SUCCESS')|encode4jscript}}","warning",10);
		themeManager.cacheClear({
			bClientHTML: true,
			bClientDB: true,
			bOnAllClients: true
		});
    }
    
{% include "include.workspace_page_functions.tpl" %}
    
</jsScopeScripts>