{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{parent()}}
	{{html_includejs("jsDpadBlock.js","js")}}
	{{html_includejs("jquery.scrollTo.js","js")}}
{% endblock %}

{% block block_customDeclarations %}
	this.step = {% if page.step %}{{page.step}}{% else %}1{% endif %};
        
        {{jsBlock({
                'operation':"declaration",
                'block_name':"block_ets_rules_orphans",
                'block_render_container_selector':"this.getScopeSelector()+' #ets_rules_orphans_container'",
                'prototype_container':"$(this.getScopeSelector()).find('#block_ets_rules_orphans_container_prototype').html();",
                'prototype_header':"$(this.getScopeSelector()).find('#block_ets_rules_orphans_header_prototype > tbody').html();",
                'prototype_item':"$(this.getScopeSelector()).find('#block_ets_rules_orphans_item_prototype > tbody').html();"
        })}}

{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
        {{ parent() }}
        {# Filling form with data by actual step #}
        if(this.isInitialized != true)
        {
            this.formResetToStep(this.step);
        }
        
        {#Updating help #}
        this.updateHelp();
	        
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);
{% endblock %}

{% block block_formValidate %}
	
	switch(this.step)
	{
		case 1:
		
			for(var i in formData)
			{
				var field_name = formData[i].name;
				var field_value = formData[i].value;
				
				switch(field_name)
				{
					case "csv_file":
						if(field_value=="")
						{
							this.messageId = this.updateMessage(this.messageId,"{{ getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP1_MESSAGE_VALIDATE_MISSING_FILE")|encode4jscript }}","warning",10);
							this.userInteractionEnableDisable(true);
							return false;
						}
						break;
				}
			}
			
			this.advanceMessageShow("{{ getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP1_MESSAGE_ADVANCE")|encode4jscript }}");
			break;
			
		case 2:
                        this.advanceMessageShow("{{ getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_MESSAGE_ADVANCE")|encode4jscript }}");
			break;

		case 3:
			
                        var eibobjects_without_rendering = new Array();
                        var eibobject_orphan_block_results = this.block_ets_rules_orphans.getResults({filter:true});
                        for(var i in eibobject_orphan_block_results)
                        {
                            var currObj = objM.getObj(eibobject_orphan_block_results[i]["ID"]);
                            if(parseInt(currObj.rendering_id)<0)
                            {
                                eibobjects_without_rendering.push(currObj.name);
                            }
                        }
                        
                        if(eibobjects_without_rendering.length > 0)
                        {
                            if(!confirm($.sprintf("{{ getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP3_MESSAGE_ORPHAN_CONFIRM")|encode4jscript }}",eibobjects_without_rendering.join(", "))))
                            {
                                this.userInteractionEnableDisable(true);
                                return false;
                            }
                        }

                        this.advanceMessageShow("{{ getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP3_MESSAGE_ADVANCE")|encode4jscript }}");
			break;
	}

        $("#template-content-work").scrollTo(0,100);
	
	{{parent()}}	
	
{% endblock %}

{% block block_formButtonSubmit %}

var coverFilter = null;

{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;

themeManager.waitplease_display(true);

{# Managing additional parameters #}
if(typeof(additionalParameters) != "undefined")
{
	if(additionalParameters.coverFilter)	coverFilter = additionalParameters.coverFilter;
}

this.userInteractionEnableDisable(false,coverFilter);

{# Submitting form #}
var myForm = this.forms[0];
myForm.jForm.trigger('submit');
{% endblock %}

{% block block_formButtonSubmitCompleted %}
{{ parent() }}
this.userInteractionEnableDisable(true);
{% endblock %}

{% block block_formSubmitCallback %}
	
        themeManager.waitplease_display(false);
	{# Enabling GESA #}
	themeManager.enableGESA(true);
	$(this.getScopeSelector()).find("#covering_div").hide();
	this.advanceMessageShowHide(false);
	
	switch(parseInt(responseText.step))
	{
                case 1:
            
			{# Note: We get here after upload/import #}
                        if(responseText.result != "0")
                        {
                            var msg = "";
                            var arrMsg = new Array();
                            if(parseInt(responseText.eibobjects_insert_errors_counter) > 0)      arrMsg = arrMsg.concat(responseText.eibobjects_insert_errors_desc);
                            if(parseInt(responseText.eibobjects_update_errors_counter) > 0)      arrMsg = arrMsg.concat(responseText.eibobjects_update_errors_desc);
                            msg = arrMsg.join("<br/>");
                            
                            this.messageId = this.updateMessage(this.messageId,msg,"warning",300);
                            $("#template-content-work").scrollTo(0,100);
                            this.userInteractionEnableDisable(true);
                            return;
                        }
                        else
                        {
                            {# Updating step and releasing user interaction block #}
                            this.formResetToStep(2);
                            this.userInteractionEnableDisable(true);
    
                            {# Removing cancel button: from here we cannot cancel any more, until end #}
                            this.buttonsShowHide("#button_close",false);
                            
                            {# Updating content with report coming from PHP #}
                            for(var responseVar in responseText)
                            {
                                    {# Skipping response variables not useful in this point... #}
                                    if(responseVar.indexOf("_counter")==-1 && responseVar.indexOf("_desc")==-1)	continue;
                                    
                                    var responseVal=responseText[responseVar];
                                    
                                    {# If variable is a counter, updating corresponding field #}
                                    if(responseVar.indexOf("_counter")!=-1)
                                    {
                                            var formField = $(this.getScopeSelector()).find("#csv_import_step2_report").find("#" + responseVar);
                                            formField.html(responseVal);
                                            
                                            {# If counter is zero, hiding entire field #}
                                            if(responseVal == 0)
                                            {
                                                    var formSection = formField.parents(".field-line");
                                                    //formSection.attr("enabled","false").hide();
                                            }
                                    }
    
                                    {# If variable is an error description AND IS NOT EMPTY, choosing and updating corresponding field #}
                                    if(responseVar.indexOf("_desc")!=-1 && responseVal.length > 0)
                                    {
                                            var formField = $(this.getScopeSelector()).find("#csv_import_step2_report").find("#" + responseVar);
                                            formField.html(responseVal.join("<br/>"));
                                            
                                            var formSection = formField.parents(".field-line");
                                            formSection.attr("enabled","true").show();
                                    }
                            }
                            
                            {# Setting action to "next" and forcing reload, by filtering report from cover during elaboration #}
                            this.formButtonSubmit(true,{coverFilter:"#csv_import_step2_report,#csv_import_step2_ets_rules"});
                            {# Reloading navigation tree in the meanwhile #}
                            iM.reloadInstance("../system/loadtemplate.php?tpl=navigation_tree",null,null,"tree");
                        }
                        break;
            
		case 2:

			{# Note: We get here after ETS rules #}
			//this.formResetToStep(2);
			this.userInteractionEnableDisable(true);

			{# Updating counter of unmatched objects and displaying buttons for ETS rules management #}
			if(parseInt(responseText.count_eibobjects_without_rendering) > 0)
			{
				$(this.getScopeSelector()).find("#csv_import_step2_etsrules_title,#csv_import_step2_etsrules_container").show();
				var ets_rules_container = $(this.getScopeSelector()).find("#csv_import_step2_ets_rules");
				ets_rules_container.find("#count_eibobjects_without_rendering").html(responseText.count_eibobjects_without_rendering);
				this.buttonsShowHide("#button_etsrules_reload,#button_etsrules_edit,#button_etsrules_orphans_refresh",true);
			}
			else
			{
				$(this.getScopeSelector()).find("#csv_import_step2_etsrules_title,#csv_import_step2_etsrules_container").hide();
				this.buttonsShowHide("#button_etsrules_reload,#button_etsrules_edit,#button_etsrules_orphans_refresh",false);
			}

                        {# Loading un-matched objects #}
                        this.rulesOrphansBlockRender();
                        
                        this.formSetStep(3);
			break;

		case 3:
		
			{# Note: We get here at the very end of procedure #}
			this.userInteractionEnableDisable(true);
                        themeManager.waitplease_display(true);
                        iM.reloadInstance("../eib/csv_import.php|id="+this.id,null,null,"workspace");
			break;
	}
{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{parent()}}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

	{# This function sets given step both into scope variable and form hidden field #}
	this.formSetStep = function(step)
	{
		this.step = step;
		$(this.getScopeSelector()).find("#step").val(step);
                
                this.updateHelp();
	}
	
	{# This function resets form to given step, by substituting entirely form data with step-specific one #}
	this.formResetToStep = function(step,response)
	{
                this.formSetStep(step);
		$(this.getScopeSelector()).find("#csv_import_step_specific_content").html($(this.getScopeSelector()).find("#csv_import_step" + step + "_form_content").html());
		
		{# Performing specific step-based operations #}
		switch(step)
		{
                    case 1:
                        {# Resetting buttons #}
                        this.buttonsShowHide("#button_etsrules_reload,#button_etsrules_edit,#button_etsrules_orphans_refresh",false);
                        this.buttonsShowHide("#button_submit,#button_close",true);
                        
                        break;
		}
	}
	
	{# This function adds a step specific content to form #}
	this.formAppendStep = function(step)
	{
		$(this.getScopeSelector()).find("#csv_import_step" + step + "_form_content").clone().appendTo($(this.getScopeSelector()).find("#csv_import_step_specific_content"));
	}
	
	{# This function removes a step specific content from form #}
	this.formRemoveStep = function(step)
	{
		$(this.getScopeSelector()).find("#csv_import_step_specific_content").find("[step='" + step + "']").remove();
	}

	{# This function shows an advance message #}
	this.advanceMessageShow = function(message)
	{
		this.messageId = this.updateMessage(this.messageId,message,"info",1000);
		this.advanceMessageShowHide(true);
	}
	
	{# This function displays or hides advance message #}
	this.advanceMessageShowHide = function(show_flag)
	{
		if(show_flag)
			this.displayMessage(this.messageId);
		else
			this.hideMessage(this.messageId);
	}
	
	{# This function opens a new page in which editing ETS rules #}
	this.buttonEtsRulesEdit = function()
	{
		var action = "iM.openInstance('../eib/ets_rules.php|id=ets_rules',null,null,'workspace');";
		wM.tabCreateNew("{{ getConstant('_DPAD_DBCONSTANT_URL_ETS_IMPORT_RULES')|encode4jscript }}","ets_rules",action);
	}
	
	{# This function reloads step 6 in which ETS rules are elaborated #}
	this.buttonEtsRulesReload = function()
	{
		{# Resetting counter of unmatched objects and hiding buttons for ETS rules management #}
		var ets_rules_container = $(this.getScopeSelector()).find("#csv_import_step2_ets_rules");
		ets_rules_container.find("#count_eibobjects_without_rendering").html("{{ getConstant("_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP2_ETSRULES_LEGEND_ELABORATING") }}");
		
		{# Forcing step to 2 and repeating elaboration #}
		this.formSetStep(2);
		this.formButtonSubmit(true,{coverFilter:"#csv_import_step2_report,#csv_import_step2_ets_rules"});
	}
	
	{# This function shows or hides requested button(s) #}
	this.buttonsShowHide = function(buttonSelector,showFlag)
	{
		var buttons = $(this.getScopeSelector()).find(buttonSelector);
		if(showFlag)
			buttons.show();
		else
			buttons.hide();
	}
        
        {# This function renders block containing ETS rules orphan objects #}
        this.rulesOrphansBlockRender = function()
        {
            var query=dbManager.protoSQLobjsFromKeys(null,"D_O.RENDERING_ID='-1' AND D_O.OWNED_BY='IMPORT' AND D_O.TYPE='EIBOBJECT'","D_O.MSP ASC");
            dbManager.executeSQL(query,Math.random(),$.proxy(this.rulesOrphansBlockRenderCallback,this));
        }

        this.rulesOrphansBlockRenderCallback = function(result_array)
        {
            this.block_ets_rules_orphans.themeForRuntime = this.themeForRuntime;
            {{ jsBlock({
                    'operation':'render',
                    'block_reference_id':'this.id',
                    'block_name':'block_ets_rules_orphans'
            }) }}
        }

        this.rulesOrphanRemoveFromBlock = function(blockObjVarName,objectId)
        {
            var currObj = objM.getObj(objectId);
            if(parseInt(currObj.rendering_id) >= 0 || confirm("{{ getConstant('_DPAD_THEME_ADMIN_EIB_CSV_IMPORT_STEP3_MESSAGE_CONFIRM_REMOVE_FROM_LIST')|encode4jscript }}"))
            {
                this.block_ets_rules_orphans.remove_row(ruleId);
            }
        }

        this.rulesOrphanValuesTypeUpdate = function(objectId,newValuesType)
        {
            {# Updating values type for given object #}
            objM.updateFieldObj(objectId,'values_type',newValuesType);
            
            {# Updating values type of all EIBGROUPs related to current EIBOBJECT #}
            var query = "UPDATE DPADD_OBJECT SET VALUES_TYPE='" + newValuesType + "' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" + objectId + "' AND RELATION_WEB_TIPOLOGY='EIBGROUPOBJECT_RELATION')";
            dbManager.executeSQL(query,Math.random(),$.proxy(this.rulesOrphanValuesTypeUpdateCallback,this));
        }
        
        this.rulesOrphanValuesTypeUpdateCallback = function(result_array){}
        
        {# This function returns list of value types #}
        this.getEisTypes = function(valuesType)
        {
            if(valuesType!='-1')
            {
                var bitLength = this.getLengthByValuesType(valuesType);
                var eisTypes = null;
                switch(bitLength)
                {
                    {% for bitLength,bitLengthLabel in page.bit_lengths %}
                        case {{bitLength}}:
                            eisTypes = { {% for eisType in page.eistypes[bitLength] %}"{{eisType.key}}":"{{eisType.value}}"{% if not loop.last %},{% endif %}{% endfor %} };
                            break;
                    {% endfor %}
                }
            }
            else
            {
                    eisTypes = {};
                    eisTypes["-1"] = "---";
                    {% for bitLength,bitLengthLabel in page.bit_lengths %}
                        {% for eisType in page.eistypes[bitLength] %}
                            eisTypes["{{eisType.key}}"] =  "{{eisType.value}}";
                        {% endfor %}
                    {% endfor %}
            }
            return $.toJSON(eisTypes);
        }

        {# This function returns length in bit by given values type #}
        this.getLengthByValuesType = function(valuesType)
        {
            switch(valuesType)
            {
                {% for valuesType,bitLength in page.eistype_lengths %}
                    case "{{valuesType}}": return {{bitLength}}; break;
                {% endfor %}
            }
        }
        
        {# This function updates help depending on current step #}
        this.updateHelp = function()
        {
            {# Overwriting help with current instance, if present #}
            var help = "{{ getConstant("_DPAD_THEME_ADMIN_WORKSPACE_PAGE_HELP_DEFAULT")|encode4jscript }}";
            var help_step_field = $(this.getScopeSelector()).find("#csv_import_step" + this.step + "_help");
            if(help_step_field.length != 0)
            {
                if(help_step_field.html()!="")	help = help_step_field.html();
            }
            $("#template-help-content").html(help);
        }

{% endblock %}

{% block block_existModifiedForms %}
	return true;
{% endblock %}
