{% extends "core/templates/scope.editobject.container.tpl" %}

{% block block_declarationsCustom %}
this.showRelationLabelField = false;
this.isGenericRendering = false;
{% endblock block_declarationsCustom %}


{% block block_declarationsRelationsBlock_filterFunc %}
return ((this.showSystemObjects==true || datas.obj.owned_by != '{{ getConstant("_DPAD_DB_OWNED_BY_SYSTEM") }}') {% if blockVars.filter_expression != "" %}&& {{blockVars.filter_expression}}{% endif %});
{% endblock block_declarationsRelationsBlock_filterFunc %}

{% block block_onLoadFinalize %}
    {{ parent() }}
    this.renderingSpecificUpdate(objM.getObj(this.id).rendering_id);
{% endblock block_onLoadFinalize %}

{% block block_updateComplexTagCallback %}
    {# If we are in generic rendering, skipping before usual management #}
    if(this.isGenericRendering == true)
    {
        console.info("Generic rendering: skipping auto-match of rendering and values_type for child object");
        return;
    }
    {{ parent() }}
{% endblock block_updateComplexTagCallback %}


{% block block_customFunctions %}
{{ parent() }}
this.changeRenderingId = function(renderingId)
{
    objM.updateFieldObj(this.id,'rendering_id',renderingId);
    //this.renderingSpecificUpdate(renderingId);
	this.onLoad();
}

this.renderingSpecificUpdate = function(renderingId)
{
    {# Retrieving tag associated to selected rendering #}
    var query = "SELECT VAR_NAME FROM DPAD_WEB_UPDATE_VARLIST WHERE VALUE='"+renderingId+"' AND VAR_NAME LIKE '%RENDERING%'";
    dbManager.executeSQL(query,Math.random(),$.proxy(this._changeRenderingIDCallback,this,renderingId));
}

this._changeRenderingIDCallback = function(renderingId,result_array)
{
    if(result_array.length==0)
    {
        rM.log({type:"warning"},"No update tag associated to rendering %o, skipping...",renderingId);
        return;
    }
    var renderingTag = result_array[0]["VAR_NAME"];
    
    switch(renderingTag)
    {
        case "EIB_RENDERING_CONTAINER_GENERIC":
            
            {# Showing relation label column in sub-objects list #}
            //this.relationsColumnShowHide("relation_label",true);
            //this.showRelationLabelField = true;
            
            {# Showing tab 1-2-3 detail fields #}
            this.detailShowHide("tab1",true);
            this.detailShowHide("tab2",true);
            this.detailShowHide("tab3",true);
            
            this.isGenericRendering = true;
            
            break;
            
        default:
        
            {# Hiding relation label column in sub-objects list #}
            //this.relationsColumnShowHide("relation_label",false);
            //this.showRelationLabelField = true;
            
            {# Hiding tab 1-2-3 detail fields #}
            this.detailShowHide("tab1",false);
            this.detailShowHide("tab2",false);
            this.detailShowHide("tab3",false);

            this.isGenericRendering = false;
            
            break;
    }
}
{% endblock block_customFunctions %}
