{% extends "scope.editobject.container.tpl" %}

{% block block_declarationsCustom %}
{{parent()}}

this.block_obj_parents_power_calculation._internalEvents.getRelationData=function(iObjID,iOrderNum){
    var aRelation=this._internalEvents._getRelationDataCore.apply(this,[iObjID,iOrderNum]);
    aRelation['ACTION']='RUN';
    aRelation['ACTION_VALUE']='$VAL';
    return aRelation;
}        

{% endblock block_declarationsCustom %}

{% block block_updateComplexTagCallbackCustom %}

{# If name is a generic "new XXX", setting it to tag #}
if(childObj.name == rM.getConstant("_DPAD_OBJECT_DEFAULT_NAME_FOR_" + childObj.phpclass.toUpperCase()))
{
    var label = rM.getConstant("_DPAD_DBCONSTANT_RENDERING_ENERGY_RELATION_BATTERY_" + tag.toUpperCase()) + " " + objM.getObj(this.id).name;;
    objM.updateFieldObj(childObj.id,"name",label);
    //$(this.getScopeSelector()).find("#item_" + relationId + "_db_name").val($('<div>').html(label).html());
}

{# Setting relation label according to tag #}
objM.updateFieldRelation(relationId,"options.label",rM.getConstant("_DPAD_DBCONSTANT_RENDERING_ENERGY_RELATION_BATTERY_" + tag.toUpperCase()));

{# Setting track_flag in case of power #}
objM.updateFieldObj(childId,"track_flag",(tag=="power_value"||tag=="energy_value")?1:0);

{# Refreshing optional attributes show/hide #}
this.optionalParamsShowHide();

{# Showing/hiding charts fieldset #}
this.chartsFieldsetShowHide();

{% endblock block_updateComplexTagCallbackCustom %}

{% block block_onLoadFinalize %}
{{parent()}}
this.powerCalculationShowHide(objM.getObj(this.id).options.enable_power_calculation==1);
this.optionalParamsShowHide();
this.chartsFieldsetShowHide();
{% endblock block_onLoadFinalize %}

{% block block_customFunctions %}
{{parent()}}

this.getPowerCalculationTagsByValuesType = function(type,valuesType)
{
    {# Pre-processing specific object types #}
    switch(type)
    {
        case "VIRTUALOBJECT":
            {# Forcing an "analogic" KNX-style values_type allowed by following filter #}
            valuesType = "5";
            break;
        default:
            break;
    }

    {# Creating list of tags #}
    var relationTags = {};
    relationTags[""] = "---";
    
    {# Filtering KNX-style values type #}
    switch(valuesType)
    {
        case "5":
        case "9":
        case "10":
        case "11":
            relationTags["current_value"] = "{{getConstant('_DPAD_DBCONSTANT_RENDERING_ENERGY_RELATION_BATTERY_CURRENT_VALUE_DESCRIPTION')}}";
            relationTags["voltage_value"] = "{{getConstant('_DPAD_DBCONSTANT_RENDERING_ENERGY_RELATION_BATTERY_VOLTAGE_VALUE_DESCRIPTION')}}";
            break;
    }

    return relationTags;
}

this.fixPowerCalculationRelation = function(relationId)
{
    objM.updateFieldRelation(relationId,"action","RUN");
    objM.updateFieldRelation(relationId,"action_value","$VAL");
}

this.powerCalculationShowHide = function(showFlag)
{
    var powerCalculationContainer = $(this.getScopeSelector()).find("#block_obj_parents_power_calculation_div");
    if(showFlag == true)
        powerCalculationContainer.show();
    else
        powerCalculationContainer.hide();
}

{# This function show or hides optional parameters depending on the presence - or not - of corresponding childs #}
this.optionalParamsShowHide = function()
{
    this.optionalParamShowHide("power_threshold_1");
    this.optionalParamShowHide("power_threshold_2");
    this.optionalParamShowHide("energy_threshold_1");
    this.optionalParamShowHide("energy_threshold_3");
}

this.optionalParamShowHide = function(param)
{
    if(objM.object_get_id_by_complexobject_tag(this.id,param)==-1)
    {
        $(this.getScopeSelector()).find("[detail='options."+param+"']").show();
    }
    else
    {
        $(this.getScopeSelector()).find("[detail='options."+param+"']").hide();
    }
}

{# This function show or hides charts section depending on the presence or not of "power_value" child #}
this.chartsFieldsetShowHide = function()
{
    var chartsFieldSet = $(this.getScopeSelector()).find("fieldset[id='charts']");
    if(objM.object_get_id_by_complexobject_tag(this.id,"power_value")!=-1)
        chartsFieldSet.show();
    else
        chartsFieldSet.hide();
}

{# This function determines if current value must be shown or not depending on tag #}
this.getCurrValueVisibilityByTag = function(tag)
{
    var display;
    switch(tag)
    {
        case "power_threshold_1":
        case "power_threshold_2":
        case "energy_threshold_1":
        case "energy_threshold_2":
        case "voltage_value":
            display = "block";
            break;
        default:
            display = "none";
            break;
    }
    
    return display;
}
{% endblock block_customFunctions %}
