{% extends "scope.editobject.generic.tpl" %}

{% block block_declarationsCustom %}
    this.scripts = {};
    this.block_obj_events_passive.force_update_sort_order = true;
{% endblock block_declarationsCustom %}

{% block block_onLoad_loadObject %}
this.scriptsInit();
{% endblock block_onLoad_loadObject %}

{% block block_customFunctions %}
{{parent()}}

this.scriptsInit = function()
{
    rM.ajax({
            type:'POST',
            async:true,
            url:'../scripting/listscripts.php',
            data:'op=list',
            dataType:'json',
            success:$.proxy(this.scriptsInitCallback,this),
            error:$.proxy(this.scriptsInitError,this)
    });
}

this.scriptsInitCallback = function(scripts)
{
    this.scripts = {};
    this.scripts[""] = "---";
    for(var i in scripts)
    {
        var scriptName = scripts[i];
        var scriptLabel = scriptName;
        if(scriptName.indexOf("../samples/")!=-1)
        {
            scriptLabel = "[{{getConstant('_DPAD_DBCONSTANT_SCRIPTING_SAMPLE')}}] " + scriptName.replace("../samples/","");
        }
        this.scripts[scriptName] = scriptLabel;
    }
    
    objM.getObjsFromId(this.id,$.proxy(this.initObject,this));
}

this.scriptsInitError = function()
{
    themeManager.showMessage("{{getConstant('_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_OPERATION_LIST_MESSAGE_ERROR')|encode4jscript}}","warn");
}

this.getScripts = function()
{
    return this.scripts;
}

{# This script starts or stops script runner execution #}
this.scriptStopStart = function(action)
{
    objM.getObj(this.id).callSoap("",action);
}

{# This function handles manual parent state change and activates debug run #}
this.debugParentChange = function(parentId,value)
{
    {# Updating input field #}
    $(this.getScopeSelector()).find("input[id='input']").val(value);
    
    {# Performing debug run #}
    this.debugRun(value);
}

{# This function updates page with given output value #}
this.debugOutputChange = function(value)
{
    {# Updating output field #}
    $(this.getScopeSelector()).find("input[id='output']").val(value);
}

{# This function performs a debug run of current script runner #}
this.debugRun = function(inputVal)
{
    {# Initializing URL for script test and paramters array #}
    var url = "../scripting/runscript.php";
    var data = {
            script: objM.getObj(this.id).msp,
            id:this.id,
            input:inputVal,
            v:true
    };
    
    {# Collecting "fake" states of all parents, if any #}
    var parents = this.block_obj_events_passive.getResults({filter:true});
    if(parents.length > 0)
    {
        for(var i in parents)
        {
            {# Getting value by debug field and adding to AJAX data #}
            var parentVal = $(this.getScopeSelector()).find("#item_" + parents[i]['ID'] + "_db_current_value").val();
            data["in"+(parents[i]['PARENTOBJ_ID'])+"v"] = parentVal;
        }
    }
    
    {# Performing AJAX call #}
    rM.ajax({
            type:'GET',
            async:true,
            url:url,
            data:data,
            dataType:'json',
            success:$.proxy(this.debugRunSuccess,this),
            error:$.proxy(this.debugRunError,this)
    });
}

this.debugRunSuccess = function(response)
{
    {# Updating response output #}
    this.debugOutputChange(response.output);
    
    {# Outputting debug messages#}
    $(this.getScopeSelector()).find("#debug").html(response.console);
    
    {# Updating childs, if any #}
    var childs = this.block_obj_events_active.getResults({filter:true});
    if(childs.length > 0)
    {
        for(var i in childs)
        {
            {# Setting value: if response.output is filled, we'll take this value, otherwise detecting specific output value from run response #}
            var childValue = (response.output!='') ? response.output : response["out"+(childs[i]['CHILDOBJ_ID'])+"v"];
            var actionValue = null;
            switch(childs[i]["ACTION_VALUE"])
            {
                case "$VAL":
                    actionValue = childValue;
                    break;
                case "$NVAL":
                    actionValue = parseInt(childValue)==0 ? 1 : 0;
                    break;
                default:
                    actionValue = childs[i]["ACTION_VALUE"];
            }
            $(this.getScopeSelector()).find("#item_" + childs[i]['ID'] + "_db_current_value").html(actionValue);
        }
    }

}

this.getSurroundingVarName = function(type,order_num)
{
    return "$" + type + (order_num+1);
}

{% endblock block_customFunctions %}
