{% extends "core/templates/scope.editobject.generic.tpl" %}
{% block block_includeJsCustom %}{% endblock %}

{% block block_declarationsCustom %}
{% endblock block_declarationsCustom %}

{% block block_onLoad_pageInit %}{% endblock %}

{% block block_onLoadFinalize %}
{# Hiding all categorized elements before next elaboration #}
var block_details = $(this.getScopeSelector()).find("#block_obj_details_div");
block_details.find("[category]").attr("enabled","false").hide();

{# Moving details categorized elements into corresponding fieldsets #}
var details_fieldsets = block_details.find("fieldset");
details_fieldsets.each(function(){
	var scope = $(iM.getScope(this).getScopeSelector());
	var category = $(this).attr("id");
	var elements = scope.find("#block_obj_details_div").find("[category='" + category + "']");

	{# If at least one element is found, appending it/them to fieldset and setting visibility accordingly #}
	if(elements.length > 0)
	{
		elements.attr("enabled","true").appendTo($(this));
		elements.show();
		$(this).show();

		{# If ALL elements are expert-mode, setting expert mode to fieldset too #}
		var expert_elements = elements.filter("[mode='expert']");
		if(expert_elements.length == elements.length)
		{
			$(this).attr("mode","expert");
		}
		else
		{
			$(this).attr("mode","base");
		}
	}
	else
	{
		$(this).hide();
	}
	
});

{# Initializing help #}
this.initHelp();

{# Showing/hiding elements depending on currently expert mode #}
wM.expertModeToggle(wM.expertMode,true,true);

{# Binding search with all sortables in this page #}
var searchScope=nM.getScopeFromActiveView("search");
if(searchScope){
        searchScope.searchResultRefresh();
}

{{ parent() }}	
{% endblock block_onLoadFinalize %}

{% block block_sectionsDeHilight %}
{# Removing hilight to all section containers #}
$(this.getScopeSelector()).find('.template-container-fields').removeClass("template-container-fields-hilight");
{% endblock block_sectionsDeHilight %}

{% block block_sectionHilight %}
this.sections_dehilight();
$(this.getScopeSelector()).find(section_selector).addClass("template-container-fields-hilight");
{% endblock block_sectionHilight %}

{% block editobject_generic_filepicker_navigator %}main_body{% endblock editobject_generic_filepicker_navigator %}
{% block editobject_generic_filepicker_filter %}ico_{% endblock %}

{% block block_setSearchFilter %}
{% endblock block_setSearchFilter %}

{% block block_declarationsRelationsBlock_filterFunc %}
    var filter = ((this.showSystemObjects==true || datas.obj.owned_by != '{{ getConstant("_DPAD_DB_OWNED_BY_SYSTEM") }}') {% if blockVars.filter_expression != "" %}&& {{blockVars.filter_expression}}{% endif %});
    return filter;
{% endblock block_declarationsRelationsBlock_filterFunc %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

{# This function handles expert mode toggle specific on current page #}
this.expertModeToggle = function(expertMode,skipAnimation)
{
	{# Showing-hiding expert mode relation blocks #}
	if(expertMode)
	{
		$(this.getScopeSelector()).find("[id^=\'block_obj\']").filter("[mode='expert']").slideDown("fast");
	}
	else
	{
		$(this.getScopeSelector()).find("[id^=\'block_obj\']").filter("[mode='expert']").slideUp("fast");
	}
        
	{# Re-rendering all relations blocks #}
	objM.getObjsSurrounding(this.id,$.proxy(this._expertModeToggleCallback,this,{"skipDetailsRender":true}));
}

this._expertModeToggleCallback = function(params,result_array){
	this.blocksRender(result_array,params);
}

{# This function closes current tab #}
this.formButtonClose = function()
{
    if(!wM.enabled && skipEnableCheck != true)  return;
    
    {# Closing tab corresponding to current page #}
    wM.tabRemove(this.getTab());
}

{# This function updates row visibility in tables #}
this.rowVisibleUpdate = function(rowId,visibleFlag)
{
    if(visibleFlag)
        $(this.getScopeSelector()).find('#'+rowId).removeClass('hidden').addClass('visible');
    else
        $(this.getScopeSelector()).find('#'+rowId).removeClass('visible').addClass('hidden');
}

{# This function shows or hides a specific details field by its tag #}
this.detailShowHide = function(tag,showhide)
{
    if(showhide==true)
    {
        $(this.getScopeSelector()).find("[detail*='"+tag+"']").show();
    }
    else
    {
        $(this.getScopeSelector()).find("[detail*='"+tag+"']").hide();
    }
}

{# This function shows or hides a specific relations column by its tag #}
this.relationsColumnShowHide = function(tag,showhide)
{
    if(showhide==true)
    {
        $(this.getScopeSelector()).find("[column='"+tag+"']").show();
    }
    else
    {
        $(this.getScopeSelector()).find("[column='"+tag+"']").hide();
    }
}
{% endblock %}

{% block pickup_image %}
	{{ parent() }}
	themeManager.popup_showhide(true);
{% endblock pickup_image %}

{% block block_addNewToBlock %}
this.userInteractionEnableDisable(false);
{{ parent() }}
{% endblock block_addNewToBlock %}

{% block block__addNewToBlock_relationCallback %}
{{ parent() }}
if(!iNum)this.userInteractionEnableDisable(true);
{% endblock block__addNewToBlock_relationCallback %}
