{% extends "scope.editobject.generic.tpl" %}

{% block block_declarationsRelationsBlock_receiveFunc %}
{# We don't want users to bind wait with scenes from here so we block receive function #}
themeManager.showMessage('{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SYSCMD_MESSAGE_CANNOT_BIND_SCENES_FROM_HERE")|encode4jscript }}','warning',{{ getConstant("_DPAD_CONSTANT_TIMER_TO_READ_MESSAGE") }});
return false;
{{ parent() }}
{% endblock block_declarationsRelationsBlock_receiveFunc %}

{% block block_onLoadFinalize %}

    {{parent()}}
    
    {# Binding hours/minutes/seconds fields to update MSP function #}
    $(this.getScopeSelector()).find("input[id*='hours'],input[id*='minutes'],input[id*='seconds']").bind("change",$.proxy(this.updateMsp,this));
    
    {# Updating hours/minutes/seconds by MSP calculation #}
    var waittime = parseInt(objM.getObj(this.id).msp.replace("sleep ",""));
    var hours = Math.floor(waittime / 3600);
    var minutes = Math.floor((waittime - hours * 3600)/60);
    var seconds = waittime % 60;
    
    $(this.getScopeSelector()).find("input[id*='hours']").val(hours);
    $(this.getScopeSelector()).find("input[id*='minutes']").val(minutes);
    $(this.getScopeSelector()).find("input[id*='seconds']").val(seconds);
    
{% endblock block_onLoadFinalize %}


{% block block_customFunctions %}
{{parent()}}

this.updateMsp = function()
{
    var obj = objM.getObj(this.id);
    var hours = $(this.getScopeSelector()).find("input[id*='hours']").val();
    var minutes = $(this.getScopeSelector()).find("input[id*='minutes']").val();
    var seconds = $(this.getScopeSelector()).find("input[id*='seconds']").val();
    
    {# Validating hours #}
    if(hours == '') hours = "0";
    if(!rM.isNumber(hours) || (hours != parseInt(hours)+'') || hours < 0 || hours >= 24) {
        this.showMessage("{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SYSCMD_MESSAGE_FORMAT_NOT_VALID_FOR_HOURS')|encode4jscript }}","warn",10);
        $(this.getScopeSelector()).find("[id*='hours']").val('0').focus();
        return;
    }
    objM.updateFieldObj(this.id,"options.hours",parseInt(hours));
    
    {# Validating minutes #}
    if(minutes == '') minutes = "0";
    if(!rM.isNumber(minutes) || (minutes != parseInt(minutes)+'') || minutes < 0 || minutes >= 60) {
        this.showMessage("{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SYSCMD_MESSAGE_FORMAT_NOT_VALID_FOR_MINUTES')|encode4jscript }}","warn",10);
        $(this.getScopeSelector()).find("[id*='minutes']").val('0').focus();
        return;
    }
    objM.updateFieldObj(this.id,"options.minutes",parseInt(minutes));
    
    {# Validating seconds #}
    if(seconds == '') seconds = "0";
    if(!rM.isNumber(seconds) || (seconds != parseInt(seconds)+'') || seconds < 0 || seconds >= 60) {
        this.showMessage("{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SYSCMD_MESSAGE_FORMAT_NOT_VALID_FOR_SECONDS')|encode4jscript }}","warn",10);
        $(this.getScopeSelector()).find("[id*='seconds']").val('0').focus();
        return;
    }
    objM.updateFieldObj(this.id,"options.seconds",parseInt(seconds));
    
    {# Calculating wait time and updating MSP #}
    var waittime = parseInt(hours) * 3600 + parseInt(minutes) * 60 + parseInt(seconds);
    objM.updateFieldObj(this.id,"msp","sleep " + waittime);
    //console.error("Updating MSP to %o","sleep " + waittime);
}
{% endblock block_customFunctions %}
