{% extends "scope.editobject.generic.tpl" %}

{% block block_customFunctions %}
{{parent()}}

this.getLimitsValidationString = function()
{
    var valuesType = objM.getObj(this.id).values_type;
    switch(valuesType)
    {
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_BOOLEAN')}}":  return "[0-1]"; break;
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_NUMERIC')}}":  return "[0-255]"; break;
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_FLOAT')}}":  return "numeric"; break;
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_STRING')}}":  return ""; break;
    }
}

this.showHideLimits = function()
{
    var valuesType = objM.getObj(this.id).values_type;
    var visible;
    switch(valuesType)
    {
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_BOOLEAN')}}":  visible=false; break;
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_NUMERIC')}}":  visible=true; break;
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_FLOAT')}}":  visible=true; break;
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_STRING')}}":  visible=false; break;
    }
    if(visible==true)
        $(this.getScopeSelector()).find("#obj"+this.id+"_min_value_line,#obj"+this.id+"_max_value_line").show();
    else
        $(this.getScopeSelector()).find("#obj"+this.id+"_min_value_line,#obj"+this.id+"_max_value_line").hide();
}

this.checkLimits = function()
{
    var obj = objM.getObj(this.id);
    var valuesType = obj.values_type;
    switch(valuesType)
    {
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_BOOLEAN')}}":
            if(parseInt(obj.min_value) < 0 || parseInt(obj.min_value) > 1)
            {
                objM.updateFieldObj(this.id,"min_value",0);
                $(this.getScopeSelector()).find("#obj"+this.id+"_min_value").val("0");
            }
            if(parseInt(obj.max_value) < 0 || parseInt(obj.max_value) > 1)
            {
                objM.updateFieldObj(this.id,"max_value",1);
                $(this.getScopeSelector()).find("#obj"+this.id+"_max_value").val("1");
            }
            break;
        
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_NUMERIC')}}":
            if(parseInt(obj.min_value) < 0 || parseInt(obj.min_value) > 255)
            {
                objM.updateFieldObj(this.id,"min_value",0);
                $(this.getScopeSelector()).find("#obj"+this.id+"_min_value").val("0");
            }
            if(parseInt(obj.max_value) < 0 || parseInt(obj.max_value) > 255)
            {
                objM.updateFieldObj(this.id,"max_value",255);
                $(this.getScopeSelector()).find("#obj"+this.id+"_max_value").val("255");
            }
            break;
        
        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_FLOAT')}}":

            if(!rM.isNumber(obj.min_value))
            {
                objM.updateFieldObj(this.id,"min_value","");
                $(this.getScopeSelector()).find("#obj"+this.id+"_min_value").val("");
            }
            if(!rM.isNumber(obj.max_value))
            {
                objM.updateFieldObj(this.id,"max_value","");
                $(this.getScopeSelector()).find("#obj"+this.id+"_max_value").val("");
            }
            break;

        case "{{getConstant('_DPAD_DB_VIRTUALOBJECT_TYPE_STRING')}}":
            break;
    }
}

{% endblock block_customFunctions %}

{% block block_onLoadFinalize %}
    {{parent()}}
    this.showHideLimits();
    this.checkLimits();
{% endblock block_onLoadFinalize %}
