<jsIncludes>
{% block block_includeJs %}
	{{ html_includejs("jsDpadBlock.js","js") }}
	{{ html_includejs("jsDpadDrawHtml.js","js") }}
	{{ html_includejs("jquery.ui.draggable.js","js") }}
	{{ html_includejs("jquery.ui.droppable.js","js") }}
	{{ html_includejs("jquery.ui.sortable.js","js") }}
	{{html_includejs("jquery.scrollTo.js","js")}}
	{% block block_includeJsCustom %}{% endblock %}
{% endblock %}
</jsIncludes>
<jsScopeScripts>

    {% block block_declarations %}
    this.id=null;
    this.registered_ids=new Array();
    this.isInitialized = false;
    this.themeForRuntime = themeManager.getName('runtime');
    this.image_preview_field;
    this.rendering;
    this.actions;
    this.imagePickType="details";
    this.imagePickOptionValue;
    this.prototypes;
    this.views;
    this.viewPrototypes=new Array();
    
    {# Details block declaration #}
    {{ jsBlock({
            'operation':"declaration",
            'block_name':"block_details",
            'block_render_container_selector':"this.getScopeSelector()+' #block_details_div'",
            'prototype_container':"$(this.getScopeSelector()).find('div#block_details_container_prototype').html();",
            'prototype_item':"$(this.getScopeSelector()).find('div#block_details_item_prototype').html();"
    }) }}
    
    {# Options block declaration #}
    {{ jsBlock({
            'operation':"declaration",
            'block_name':"block_options",
            'block_render_container_selector':"this.getScopeSelector()+' #block_options_div'",
            'prototype_container':"$(this.getScopeSelector()).find('#block_options_container_prototype').html();",
            'prototype_header':"$(this.getScopeSelector()).find('#block_options_header_prototype > tbody').html();",
            'prototype_item':"$(this.getScopeSelector()).find('#block_options_item_prototype > tbody').html();"
    }) }}
    
    {# Prototypes block declaration #}
    {{ jsBlock({
            'operation':"declaration",
            'block_name':"block_prototypes",
            'block_render_container_selector':"this.getScopeSelector()+' #block_prototypes_div'",
            'prototype_container':"$(this.getScopeSelector()).find('#block_prototypes_container_prototype').html();",
            'prototype_header':"$(this.getScopeSelector()).find('#block_prototypes_header_prototype > tbody').html();",
            'prototype_item':"$(this.getScopeSelector()).find('#block_prototypes_item_prototype > tbody').html();"
    }) }}
    
    {% endblock block_declarations %}
    
    this.onLoad=function(){
        {% block block_onLoad %}
        if(!this.isInitialized)
        {
            {# Init Masks#}
            {% block block_onLoad_formInitMasks %}
            $(this.getScopeSelector()).find('input[mask]').each(function(){
                $(this).mask($(this).attr("mask"));
            });
            {% endblock block_onLoad_formInitMasks %}
        }

        this.themeForRuntime=themeManager.getName('runtime');
        this.initActions();
        
        {% endblock block_onLoad %}
    }
   
    this.initActions = function()
    {
        var query = "SELECT DISTINCT PHPCLASS,ALLOWED_ACTIONS FROM DPADD_OBJECT_TYPES";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.initActionsCallback,this));
    }
    
    this.initActionsCallback = function(result_array)
    {
        this.actions = {};
        for(var i in result_array)
        {
            if(result_array[i]["ALLOWED_ACTIONS"] != '')
                var actions = result_array[i]["ALLOWED_ACTIONS"].split("|");
            else
                var actions = new Array();
            this.actions[result_array[i]["PHPCLASS"]+" "] = actions;
        }
        
        this.initPrototypes();
    }
    
    this.initPrototypes = function()
    {
        var query = "SELECT ID,NAME,DESCRIPTION,ALLOWED_VIEWS FROM DPADD_RENDERING_PROTOTYPE WHERE IS_VISIBLE='1' AND THEME NOT IN ('admin')";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.initPrototypesCallback,this));
    }
    
    this.initPrototypesCallback = function(result_array)
    {
        this.prototypes = {};
        for(var i in result_array)
        {
            if(!this.prototypes[result_array[i]["ALLOWED_VIEWS"]]) this.prototypes[result_array[i]["ALLOWED_VIEWS"]] = {};
            this.prototypes[result_array[i]["ALLOWED_VIEWS"]][result_array[i]["ID"]] = result_array[i]["DESCRIPTION"];
        }
        
        this.initViews();
    }
    
    this.initViews = function()
    {
        var query = "SELECT * FROM DPADD_RENDERING_VIEW WHERE IS_VISIBLE='1'";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.initViewsCallback,this));
    }
    
    this.initViewsCallback = function(result_array)
    {
        this.views = {"":"---"};
        for(var i in result_array)
        {
            this.views[result_array[i]["NAME"]] = result_array[i]["DESCRIPTION"];
        }
        
        this.initRendering();
    }
    
    this.initRendering = function()
    {
        {# loading rendering with given ID #}
        var sWhere="DR.ID='"+this.id+"'";
        objM.getRendsFromWhere({
                ids: '*',
                where: sWhere
            },
			$.proxy(this.renderDetails,this)
        );
    }
    
    this.renderDetails = function(result_array)
    {
        {# Re-initializing result_array in a form acceptable by block #}
        var aTmp=new Array();
        var aRendering=objM.getRendering(result_array[0]);
        aTmp.push(aRendering);
        result_array=aTmp;
        
        {# Instantiating rendering object by its definition #}
        this.rendering = new jsDpadRendering({data:aRendering});
        
        {# Rendering details #}
        this.block_details.themeForRuntime = this.themeForRuntime;
        {{ jsBlock({
                'operation':'render',
                'block_reference_id':'this.id',
                'block_name':'block_details',
                'block_render_callback':'$.proxy(this._renderDetailsCallback,this)'
        }) }}
    }
    
    this._renderDetailsCallback=function(){
        this.renderOptions();
    }

    this.renderOptions = function()
    {
        if(parseInt(this.rendering.has_options)==1)
        {
            var result_array= new Array();
            for(var i in this.rendering.options)
            {
                if(typeof(this.rendering.options[i])=="undefined")  continue;
                
                var option = new Array();
                option["VALUE"] = i;
                option["ID"] = i;
                option["LABELS"] = this.rendering.options[i].labels;
                option["SYMBOLS"] = this.rendering.options[i].symbols;
                option["IMAGES"] = this.rendering.options[i].images;
                option["ACTIONS"] = this.rendering.options[i].actions;
                
                result_array.push(option);
            }

            {# Rendering options #}
            this.block_options.themeForRuntime = this.themeForRuntime;
            {{ jsBlock({
                    'operation':'render',
                    'block_reference_id':'this.id',
                    'block_name':'block_options',
                    'block_render_callback':'$.proxy(this._renderOptionsCallback,this)'
            }) }}
        }
        else
        {
            this._renderOptionsCallback();
        }    
    }
    
    this._renderOptionsCallback=function(){
        this.initViewPrototypes();
    }
    
    this.initViewPrototypes = function()
    {
        var query = "SELECT RVP.* FROM DPADD_RENDERING_VIEW_PROTOTYPE RVP INNER JOIN DPADD_RENDERING_PROTOTYPE RP ON RP.ID=RVP.PROTOTYPE_ID WHERE RVP.RENDERING_ID='"+this.id+"' AND RP.THEME IN ('ivory')";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.renderViewPrototypes,this));
    }

    this.renderViewPrototypes = function(result_array){
		if( !result_array ){
			result_array = new Array();
			for( var _iIndex in this.viewPrototypes ){
				result_array.push( this.viewPrototypes[ _iIndex ] );
			}
		} else {
			this.viewPrototypes = new Array();
			for( var _iIndex in result_array ){
				this.viewPrototypes[ result_array[ _iIndex ][ 'ID' ] ] = result_array[ _iIndex ];
			}
		}
		this.block_prototypes.themeForRuntime = this.themeForRuntime;
        {{ jsBlock({
                'operation':'render',
                'block_reference_id':'this.id',
                'block_name':'block_prototypes',
                'block_render_callback':'$.proxy(this._renderViewPrototypesCallback,this)'
        }) }}
    }
    
    this._renderViewPrototypesCallback = function()
    {
        this.onLoadFinalize();
    }
    
    this.onLoadFinalize=function(params){

        if(!params)	params = {};

        {# Hiding all categorized elements before next elaboration #}
        var block_details = $(this.getScopeSelector()).find("#block_details_div");
        block_details.find("[category]").attr("enabled","false").hide();
        
        {# Moving details categorized elements into corresponding fieldsets #}
        var details_fieldsets = block_details.find("fieldset");
        rM.log(details_fieldsets.length + " details fieldset(s) found","warn");
        details_fieldsets.each(function(){
                var scope = $(iM.getScope(this).getScopeSelector());
                var category = $(this).attr("id");
                var elements = scope.find("#block_details_div").find("[category='" + category + "']");
        
                {# If at least one element is found, appending it/them to fieldset and setting visibility accordingly #}
                if(elements.length > 0)
                {
                        elements.attr("enabled","true").appendTo($(this));
                        elements.show();
                        $(this).show();
        
                        {# If ALL elements are expert-mode, setting expert mode to fieldset too #}
                        var expert_elements = elements.filter("[mode='expert']");
                        if(expert_elements.length == elements.length)
                        {
                                $(this).attr("mode","expert");
                        }
                        else
                        {
                                $(this).attr("mode","base");
                        }
                }
                else
                {
                        $(this).hide();
                }
                
        });
        
        {# Showing/hiding elements depending on currently expert mode #}
        wM.expertModeToggle(wM.expertMode,true,true);
        
        {#Updating form depending on rendering attributes #}
        this.updateFormByRenderingAttributes(this.rendering.has_options);
        
        this.isInitialized = true;
        themeManager.waitplease_display(false);
    }
    
    this.onUnload=function(){
    }

    this.formButtonClose=function(skipEnableCheck){
	if(!wM.enabled && skipEnableCheck != true)  return;
	
	{# Closing tab corresponding to current page #}
	wM.tabRemove(this.getTab());
    }
    
    this.pickupImage=function(caller,preview_field,path,type){
    {% block pickup_image %}
        this.imagePickType=type;
        this.image_preview_field=preview_field;
        var image_path=preview_field.attr('src');
        try{decodeURI(image_path);}catch(e){rM.log({type:'warn'},'WARNING Scope Edit Rendering: image name is not compatible with url:%o',image_path);image_path='';};
        var return_env={'url':'../system/editrendering.php|id='+this.id,'view':'workspace'};
        var popup_url='../system/file_picker.php?body_template=image_picker.tpl&show_action_upload=1&show_action_remove=1&mode=image_path|seek_dir='+path+'&seek_type=file&filterRegExpr={% block editobject_generic_filepicker_filter %}{% endblock %}&current_image='+image_path+'&image_preview_id='+preview_field.attr('id')+'&enableDelete=false&&return_env='+themeManager.encoderForUrl(return_env);
        iM.openInstance(popup_url,null,null,'main_body');
        themeManager.popup_showhide(true);
    {% endblock pickup_image %}
    }
        
    this.pickup_image_callback=function(image_path,image_base_path){
        {# Setting URL to preview #}
        this.image_preview_field.attr('src',image_base_path+image_path );
        switch(this.imagePickType)
        {
            case "options":
                this.updateOptionField(this.imagePickOptionValue,'images',image_path);
                break;
            case "details":
            default:
                this.updateRendField(this.id,'image_path',image_path);
                break;
        }
    }
    
    this.updateRendField = function(rendId,fieldName,fieldValue)
    {
        this.rendering[fieldName] = fieldValue;
        wM.tabUnsavedChangesShowHide(this.getTab(),true);
    }
        
    this.updateOptionField = function(optionValue,fieldName,fieldValue)
    {
        switch(fieldName)
        {
            case "value":
                this.rendering.options[fieldValue] = this.rendering.options[optionValue];
                this.rendering.options[optionValue] = undefined;

                this.renderOptions();
                $("#template-content-work").scrollTo("#block_options_div",0);

                break;
            default:
                this.rendering.options[optionValue][fieldName] = fieldValue;
        }

        wM.tabUnsavedChangesShowHide(this.getTab(),true);
    }
    
    this.addNewOption = function()
    {
        var maxVal = this.rendering.options.length-1;
        var newRendOpt = {};
        newRendOpt.labels = this.rendering.options[maxVal].labels;
        newRendOpt.images = this.rendering.options[maxVal].images;
        newRendOpt.symbols = this.rendering.options[maxVal].symbols;
        newRendOpt.actions = this.rendering.options[maxVal].actions;
        this.rendering.options.push(newRendOpt);
        
        wM.tabUnsavedChangesShowHide(this.getTab(),true);

        this.renderOptions();
        $("#template-content-work").scrollTo("#block_options_div",0);
    }
    
    this.removeOption = function(value)
    {
        this.rendering.options[value] = undefined;

        this.renderOptions();
        $("#template-content-work").scrollTo("#block_options_div",0);

        wM.tabUnsavedChangesShowHide(this.getTab(),true);
    }
    
    this.getValueTypes = function(phpclass)
    {
        return {};
    }
    
    this.getActions = function()
    {
        var actions = {"":"---"};
        for(var i in this.actions[this.rendering.phpclasses])
        {
            var action = this.actions[this.rendering.phpclasses][i];
            actions[action] = rM.getConstant("_DPAD_SYSTEM_MANAGER_RELATION_ACTION_" + action.toUpperCase());
        }
        return actions;
    }
    
    this.getPrototypes = function(view)
    {
        var prototypes = {"":"---"};
        for(var i in this.prototypes[view])
            prototypes[i] = this.prototypes[view][i];
        return prototypes;
    }
    
    this.getViews = function(prototypeId)
    {
        var views = {};
        for(var i in this.views)
        {
            var alreadyPresent = false;
            for(var j in this.viewPrototypes)
            {
                if(typeof(this.viewPrototypes[j])=="undefined") continue;
                
                if(j==prototypeId)  continue;
                if(this.viewPrototypes[j]["VIEW"]==i)
                {
                    alreadyPresent = true;
                    break;
                }
            }
            if(alreadyPresent==false)   views[i] = this.views[i];
        }
        return views;
    }
    
    this.updatePrototypeField = function(prototypeId,fieldName,fieldValue){
        this.viewPrototypes[prototypeId][fieldName.toUpperCase()] = fieldValue;
        wM.tabUnsavedChangesShowHide(this.getTab(),true);
    }
    
    this.removePrototype = function(prototypeId){
		var _aTmp = new Array();
		for( var _iPrototypeID in this.viewPrototypes ){
			if( _iPrototypeID == prototypeId ){
				continue;
			}
			_aTmp[ _iPrototypeID ] = this.viewPrototypes[ _iPrototypeID ] ;
		}
        this.viewPrototypes = _aTmp;
        this.renderViewPrototypes();
        $("#template-content-work").scrollTo("#block_prototypes_div",0);
        wM.tabUnsavedChangesShowHide(this.getTab(),true);
    }
    
    this.addNewPrototype = function(){
        var _aViewPrototype = new Array();
        _aViewPrototype[ 'VIEW' ] = '';
        _aViewPrototype[ 'PROTOTYPE_ID' ] = '';
		_aViewPrototype[ 'ID' ] = this.viewPrototypes.length;
        this.viewPrototypes.push( _aViewPrototype );
        wM.tabUnsavedChangesShowHide(this.getTab(),true);
        this.renderViewPrototypes();
        $("#template-content-work").scrollTo("#block_prototypes_div",0);
    }
    
    this.updatePrototypeView = function(prototypeId,view)
    {
        this.updatePrototypeField(prototypeId,"view",view);
        this.viewPrototypes[prototypeId]["PROTOTYPE_ID"] = "";
        this.renderViewPrototypes();
        $("#template-content-work").scrollTo("#block_prototypes_div",0);
    }
    
    this.saveRendering = function()
    {
        var optionalLabels = "";
        var optionalImages = "";
        var optionalSymbols = "";
        var optionalActions = "";
        
        {# Initializing optional fields, if rendering has optional values #}
        if(parseInt(this.rendering.has_options)==1)
        {
            var optionalLabelTokens = new Array();
            var optionalImageTokens = new Array();
            var optionalSymbolTokens = new Array();
            var optionalActionTokens = new Array();

            for(var i in this.rendering.options)
            {
                if(typeof(this.rendering.options[i])=="undefined")  continue;
                
                if(typeof(this.rendering.options[i].labels)!="undefined")  optionalLabelTokens.push(i+'=>"'+this.rendering.options[i].labels.replace("'","\'")+'"');
                if(typeof(this.rendering.options[i].images)!="undefined")  optionalImageTokens.push(i+'=>"'+this.rendering.options[i].images.replace("'","\'")+'"');
                if(typeof(this.rendering.options[i].symbols)!="undefined" && this.rendering.options[i].symbols!="")  optionalSymbolTokens.push(i+'=>"'+this.rendering.options[i].symbols.replace("'","\'")+'"');
                if(typeof(this.rendering.options[i].actions)!="undefined" && this.rendering.options[i].actions!="")  optionalActionTokens.push(i+'=>"'+this.rendering.options[i].actions.replace("'","\'")+'"');
            }
            
            optionalLabels = optionalLabelTokens.join(",");
            optionalImages = optionalImageTokens.join(",");
            optionalSymbols = optionalSymbolTokens.join(",");
            optionalActions = optionalActionTokens.join(",");
        }
        
        {# Executing query to update rendering into DB #}
        var query = "UPDATE DPADD_RENDERING SET %s WHERE ID='"+this.id+"'";
        var aQuerySetTokens = new Array();
        for(var field in this.rendering)
        {
            {# Skipping objects, array, functions and private attributes #}
            if(typeof(this.rendering[field])=="function" || typeof(this.rendering[field])=="array" || typeof(this.rendering[field])=="object") continue;
            if(field.indexOf("_")==0)   continue;
            if(field.toUpperCase()=="CURRENT_RENDERING_ID") continue;
            
            switch(field)
            {
                case "option_labels":
                    aQuerySetTokens.push("OPTION_LABELS='"+optionalLabels+"'")
                    break;
                case "option_images":
                    aQuerySetTokens.push("OPTION_IMAGES='"+optionalImages+"'")
                    break;
                case "option_symbols":
                    aQuerySetTokens.push("OPTION_SYMBOLS='"+optionalSymbols+"'")
                    break;
                case "option_actions":
                    aQuerySetTokens.push("OPTION_ACTIONS='"+optionalActions+"'")
                    break;
                default:
                    aQuerySetTokens.push(field.toUpperCase()+"='" + this.rendering[field] + "'");
                    break;
            }
        }
        query = $.sprintf(query,aQuerySetTokens.join(","));
        dbManager.executeSQL(query,Math.random(),$.proxy(this._saveRenderingCallback,this));
    }
    
    this._saveRenderingCallback = function(result_array){
        {# Preparing query for view prototypes #}
		var query = "";
		var _aValidIDs = new Array();
        for(var i in this.viewPrototypes){
            if( typeof(this.viewPrototypes[i])=='undefined' ){
				continue;
			}
            if( this.viewPrototypes[i]["VIEW"]=="" || this.viewPrototypes[i]["PROTOTYPE_ID"]=='' ){
				continue;
			}
            query += "INSERT OR REPLACE INTO DPADD_RENDERING_VIEW_PROTOTYPE ( ID,RENDERING_ID,VIEW,PROTOTYPE_ID ) VALUES('" + this.viewPrototypes[i]["ID"] + "','" + this.id + "','" + this.viewPrototypes[i]["VIEW"] + "','" + this.viewPrototypes[i]["PROTOTYPE_ID"] + "');";
			_aValidIDs.push( this.viewPrototypes[i]["ID"] );
        }
		query += "DELETE FROM DPADD_RENDERING_VIEW_PROTOTYPE WHERE RENDERING_ID='" + this.id + "' AND PROTOTYPE_ID IN ( SELECT ID FROM DPADD_RENDERING_PROTOTYPE WHERE THEME='ivory' ) AND ID NOT IN ( " + _aValidIDs.join(',') + " );";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.saveRenderingCallbackCallback,this));
    }
    
    this.saveRenderingCallbackCallback = function(result_array)
    {
        {# Clearing and re-generating client-side definition for current rendering #}
		objM.emptyRendering( this.id );
        objM.getRendsFromWhere({
				ids: this.id
			},
			$.proxy(this.saveRenderingCallbackCallbackCallback,this)
		);
    }
    
    this.saveRenderingCallbackCallbackCallback = function()
    {
        wM.tabUnsavedChangesShowHide(this.getTab(),false);
    }
    
    this.detect_enter_keypress=function(keypressed) {
        var keycode;
        if(window.event)keycode = window.event.keyCode;
        else if(keypressed)keycode = keypressed.which;
        else return false;
        var result=(keycode == 13);
            if(result==true && keypressed)$(keypressed.currentTarget).blur();
            return result;
    }
    
    this.updateFormByRenderingAttributes = function(hasOptions)
    {
        if(parseInt(hasOptions)==1)
        {
            $(this.getScopeSelector()).find("#block_options_div").show();
        }
        else
        {
            $(this.getScopeSelector()).find("#block_options_div").hide();
        }
    }
    
{% include "include.workspace_page_functions.tpl" %}

</jsScopeScripts>