{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
	{{ html_includejs("jsDpadBlock.js","js") }}
{% endblock %}

{% block block_customDeclarations %}
	this.step = {% if page.step %}{{page.step}}{% else %}1{% endif %};
	this.selectiveImportEnableCheck = true;
	this.selectiveImportMaxAllowedItems = 0;
        this.selectiveImportAddressesToAdd = new Array();
        
        {{jsBlock({
                'operation':"declaration",
                'block_name':"block_ets_rules_orphans",
                'block_render_container_selector':"this.getScopeSelector()+' #ets_rules_orphans_container'",
                'prototype_container':"$(this.getScopeSelector()).find('#block_ets_rules_orphans_container_prototype').html();",
                'prototype_header':"$(this.getScopeSelector()).find('#block_ets_rules_orphans_header_prototype > tbody').html();",
                'prototype_item':"$(this.getScopeSelector()).find('#block_ets_rules_orphans_item_prototype > tbody').html();"
        })}}

{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
        {{ parent() }}
        {# Filling form with data by actual step #}
        if(!this.isInitialized)
        {
            this.formResetToStep(this.step);
        }
        
        {#Updating help #}
        this.updateHelp();
        
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);

{% endblock %}

{% block block_formValidate %}
	
	switch(this.step)
	{
		case 1:
		
			for(var i in formData)
			{
				var field_name = formData[i].name;
				var field_value = formData[i].value;
				
				switch(field_name)
				{
					case "dpad_file":
						if(field_value=="")
						{
							this.messageId = this.updateMessage(this.messageId,"{{ getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP1_MISSING_FILE")|encode4jscript }}","warning",10);
							this.userInteractionEnableDisable(true);
                                                        themeManager.waitplease_display(false);
							return false;
						}
						break;
				}
			}
			
			this.advanceMessageShow("{{ getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP1_ADVANCE_MESSAGE")|encode4jscript }}");
			break;
			
		case 4:
			this.advanceMessageShow("{{ getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP4_ADVANCE_MESSAGE")|encode4jscript }}");
			break;

		case 5:
			this.advanceMessageShow("{{ getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP5_ADVANCE_MESSAGE")|encode4jscript }}");
			break;

		case 7:
			
                        var eibobjects_without_rendering = new Array();
                        var eibobject_orphan_block_results = this.block_ets_rules_orphans.getResults({filter:true});
                        for(var i in eibobject_orphan_block_results)
                        {
                            var currObj = objM.getObj(eibobject_orphan_block_results[i]["ID"]);
                            if(parseInt(currObj.rendering_id)<0)
                            {
                                eibobjects_without_rendering.push(currObj.name);
                            }
                        }
                        
                        if(eibobjects_without_rendering.length > 0)
                        {
                            if(!confirm($.sprintf("{{ getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP7_MISSING_RENDERINGS_CONFIRM_MESSAGE")|encode4jscript }}",eibobjects_without_rendering.join(", "))))
                            {
                                this.userInteractionEnableDisable(true);
                                return false;
                            }
                        }

                        this.advanceMessageShow("{{ getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP7_ADVANCE_MESSAGE")|encode4jscript }}");
			break;
	}
	{{ parent() }}	
	
{% endblock %}

{% block block_formButtonSubmit %}

var coverFilter = null;

{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;

themeManager.waitplease_display(true);

{# Managing additional parameters #}
if(typeof(additionalParameters) != "undefined")
{
	if(additionalParameters.coverFilter)	coverFilter = additionalParameters.coverFilter;
}

this.userInteractionEnableDisable(false,coverFilter);

{# Submitting form #}
var myForm = this.forms[0];
myForm.jForm.trigger('submit');
{% endblock %}

{% block block_formButtonSubmitCompleted %}
{{ parent() }}
this.userInteractionEnableDisable(true);
{% endblock %}

{% block block_formSubmitCallback %}
	themeManager.waitplease_display(false);
	{# Enabling GESA #}
	themeManager.enableGESA(true);
	$(this.getScopeSelector()).find("#covering_div").hide();
	this.advanceMessageShowHide(false);
	switch( parseInt( responseText.step ) ){
		case 2:
			{# We should never arrive here, because PHP file, when in "JSON" mode, redirects automatically to step 3 #}
			if( responseText.result != "0" ){
				this.messageId = this.updateMessage(this.messageId,responseText.message,"warning",10);
				this.userInteractionEnableDisable(true);
                                themeManager.waitplease_display(false);
				return;
			}
		break;
		case 3:
			if( responseText.result != "0" ){
                                this.messageId = this.updateMessage(this.messageId,responseText.message,"warning",10);
				this.userInteractionEnableDisable(true);
                                themeManager.waitplease_display(false);
				return;
			} else {
				{# Updating step #}
				this.formSetStep(3);
				{# Removing step 1 from form #}
				this.formRemoveStep(1);
				{# Retrieving variables from JSON response #}
				var countAlreadyUsedAddresses = parseInt(responseText.count_already_used_eib_eibgroup);
				var countNotAlreadyPresentAddresses = parseInt(responseText.count_not_already_present_eib_addresses);
				var countMaxAllowedAddresses = parseInt(responseText.count_max_allowed_eib_eibgroup);
				this.selectiveImportMaxAllowedItems = countMaxAllowedAddresses;
				{# If already using too many addresses, skipping import and returning back to step 1 #}
				if( countAlreadyUsedAddresses > countMaxAllowedAddresses ){
					$("#template-content-work").scrollTo(0,100);
					this.messageId = this.updateMessage(this.messageId,"{{ getConstant('_DPAD_EIB_ETS_IMPORT_WIZARD_STEP3_TOO_MANY_ADDRESSES_ALREADY_IN_USE')|encode4jscript }}","warning",10);
					this.userInteractionEnableDisable(true);
					this.formResetToStep(1);
                                        themeManager.waitplease_display(false);
					return;
				}
				{# If project is too big, redirecting to selective import step #}
				if( (countAlreadyUsedAddresses + countNotAlreadyPresentAddresses) > countMaxAllowedAddresses ){
					this.messageId = this.updateMessage(this.messageId,"{{ getConstant('_DPAD_EIB_ETS_IMPORT_WIZARD_STEP3_TOO_MANY_ADDRESSES_SO_SELECTIVE')|encode4jscript }}","warning",10);
					$("#template-content-work").scrollTo(0,100);
					$(this.getScopeSelector()).find("#option_enable_selective_import").attr("checked",true);
					this.formSetAction("next");
					this.formSetStep(3);
					this.formButtonSubmit(true);
                                        themeManager.waitplease_display(false);
					return;
				}
				{# If previously checked selective import, redirecting to step 4 #}
				if( $(this.getScopeSelector()).find("#option_enable_selective_import").is(":checked") ){
					{# Setting action to "next" #}
					this.formSetAction("next");
					{# Forcing form submission in order to advance to next step #}
					this.formButtonSubmit(true,{coverFilter:"#ets_import_step3_options"});
					return;
				}
				{# Setting action to "import", changing step to 4 and performing import #}
				this.formSetAction("import");
				this.formSetStep(4);
				this.formButtonSubmit(true);
			}
		break;
		case 4:
			if( responseText.result != "0" ){
				$("#template-content-work").scrollTo(0,100);
				this.messageId = this.updateMessage(this.messageId,responseText.message,"warning",10);
				this.userInteractionEnableDisable(true);
                                themeManager.waitplease_display(false);
				return;
			} else {
				{# Updating step and releasing user interaction block #}
				this.formSetStep(4);
				this.userInteractionEnableDisable(true);
				{# Adding step 4 template to form #}
				this.formAppendStep(4);
				{# Removing in step 3 the option corresponding to selective import, being it present as HIDDEN field in step 4 content (in this way user cannot change previous choice, it would be dramatic! ) #}
				$(this.getScopeSelector()).find("#ets_import_step_specific_content").find(".field-line").filter("[option='option_enable_selective_import']").remove();
				{# Scanning middlegroups, for each declaring and rendering a new block #}
				for(var middlegroupAddress in responseText.middlegroups){
					var middlegroupId = middlegroupAddress.replace("/","_");
					
					var blockName = "selective_import_" + middlegroupId;
					var containerId = "ets_import_step4_" + blockName;
					var result_array = responseText.middlegroups[middlegroupAddress];
					
					{# Adding a DIV for middlegroup to fieldset in order to host block #}
					$(this.getScopeSelector()).find("#ets_import_step4_selective_blocks_container").append("<div id='" + containerId + "'></div>")

					{# Declaring Block Interface #}
					{{ jsBlock({
							'operation':'declaration',
							'block_name':"blockName",
							'block_name_type':"variable",
							'block_render_container_selector':"this.getScopeSelector()+' #'+containerId",
							'prototype_container':"$(this.getScopeSelector()).find('div#ets_import_step4_selective_container_prototype').html();",
							'prototype_item':"$(this.getScopeSelector()).find('div#ets_import_step4_selective_item_prototype').html();"
					}) }}

					{# Rendering block with given results array #}
					{{ jsBlock({
							'operation':'render',
							'block_name':"blockName",
							'block_name_type':"variable"
					}) }}
					
					{# Setting title for block #}
					$(this.getScopeSelector()).find("#" + containerId).find("#middlegroup_title").html("{{ getConstant('_DPAD_EIB_ETS_IMPORT_WIZARD_STEP4_SECTION_MIDDLEGROUP_TITLE') }}" + middlegroupAddress);
					$(this.getScopeSelector()).find("#" + containerId).find("#middlegroup_select").attr("middlegroup",middlegroupId);
				}

				{# Updating counter of selected items #}
				this.selectiveImportUpdateSelectedCounter();
				
				{# Setting action to "import" #}
				this.formSetAction("import");
			}
		break;
		case 5:
			{# Note: We get here after import #}
			if( responseText.result != "0" ){
				var msg = "";
				var arrMsg = new Array();
				if(parseInt(responseText.eibgroups_insert_errors_counter) > 0)      arrMsg = arrMsg.concat(responseText.eibgroups_insert_errors_desc);
				if(parseInt(responseText.eibgroups_secondary_errors_counter) > 0)   arrMsg = arrMsg.concat(responseText.eibgroups_secondary_errors_desc);
				if(parseInt(responseText.eibobjects_insert_errors_counter) > 0)      arrMsg = arrMsg.concat(responseText.eibobjects_insert_errors_desc);
				if(parseInt(responseText.eibobjects_parent_relation_errors_counter) > 0)      arrMsg = arrMsg.concat(responseText.eibobjects_parent_relation_errors_desc);
				if(parseInt(responseText.eibobjects_update_errors_counter) > 0)      arrMsg = arrMsg.concat(responseText.eibobjects_update_errors_desc);
				if(arrMsg.length>0)
                                    msg = arrMsg.join("<br/>");
                                else
                                    msg = responseText.message;
				
				if(parseInt(responseText.selective_import_necessary_addresses_counter)>0)
				{
					this.selectiveImportAddressesToAdd = responseText.selective_import_necessary_addresses;
					msg += "<br/><br/><a href='#' onclick='iM.getScope(this).selectiveImportAutoAddMissingAddresses()'>{{ getConstant('_DPAD_DBCONSTANT_EIB_ETS_IMPORT_SELECTIVE_MESSAGE_AUTO_ADD_NECESSARY_ADDRESSES')|encode4jscript }}</a>";
				}
				
				$("#template-content-work").scrollTo(0,100);
				this.messageId = this.updateMessage(this.messageId,msg,"warning",300);
				this.userInteractionEnableDisable(true);
                                themeManager.waitplease_display(false);
				return;
			} else {
				{# Updating step and releasing user interaction block #}
				this.formResetToStep(5);
				this.userInteractionEnableDisable(true);
				{# Removing cancel button: from here we cannot cancel any more, until end #}
				this.buttonsShowHide("#button_close",false);
				{# Updating content with report coming from PHP #}
				for(var responseVar in responseText){
					{# Skipping response variables not useful in this point... #}
					if( responseVar.indexOf("_counter")==-1 && responseVar.indexOf("_desc")==-1 ){
						continue;
					}
					var responseVal=responseText[responseVar];
					{# If variable is a counter, updating corresponding field #}
					if( responseVar.indexOf("_counter")!=-1 ){
						var formField = $(this.getScopeSelector()).find("#ets_import_step5_report").find("#" + responseVar);
						formField.html(responseVal);
						{# If counter is zero, hiding entire field #}
						if( responseVal == 0 ){
							var formSection = formField.parents(".field-line");
							formSection.attr("enabled","false").hide();
						}
					}
					{# If variable is an error description AND IS NOT EMPTY, choosing and updating corresponding field #}
					if( responseVar.indexOf("_desc")!=-1 && responseVal.length > 0 ){
						var formField = $(this.getScopeSelector()).find("#ets_import_step5_report").find("#" + responseVar);
						formField.html(responseVal.join("<br/>"));
						var formSection = formField.parents(".field-line");
						formSection.attr("enabled","true").show();
					}
				}
				{# Setting action to "next" and forcing reload, by filtering report from cover during elaboration #}
				this.formSetAction("next");
				this.formButtonSubmit(true,{coverFilter:"#ets_import_step5_report,#ets_import_step5_ets_rules"});
				{# Reloading navigation tree in the meanwhile #}
				iM.reloadInstance("../system/loadtemplate.php?tpl=navigation_tree",null,null,"tree");
			}
		break;
		case 6:
			{# Note: We should never arrive here because PHP automatically redirects to step 7 after elaboration #}
			break;
		case 7:
			{# Note: We get here after import rules #}
			{# Updating step and releasing user interaction block #}
			this.formSetStep(7);
			this.userInteractionEnableDisable(true);
			{# Adding step 7 template to form #}
			this.formAppendStep(7);
			{# Updating counter of unmatched objects and displaying buttons for ETS rules management #}
			if( parseInt(responseText.count_eibobjects_without_rendering) > 0 ){
				$(this.getScopeSelector()).find("#ets_import_step5_etsrules_title,#ets_import_step5_etsrules_container").show();
				var ets_rules_container = $(this.getScopeSelector()).find("#ets_import_step5_ets_rules");
				ets_rules_container.find("#count_eibobjects_without_rendering").html(responseText.count_eibobjects_without_rendering);
				this.buttonsShowHide("#button_etsrules_reload,#button_etsrules_edit,#button_etsrules_orphans_refresh",true);
			} else {
				$(this.getScopeSelector()).find("#ets_import_step5_etsrules_title,#ets_import_step5_etsrules_container").hide();
				this.buttonsShowHide("#button_etsrules_reload,#button_etsrules_edit,#button_etsrules_orphans_refresh",false);
			}
			{# Loading un-matched objects #}
			this.rulesOrphansBlockRender();
		break;
		case 8:
			{# Note: We get here at the very end of procedure #}
			{# Reloading page #}
			this.userInteractionEnableDisable(true);
			themeManager.waitplease_display(true);
			iM.reloadInstance("../eib/ets_import.php?format=json&body_template=ets_import.tpl|id="+this.id,null,null,"workspace");
		break;
	}
{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{parent()}}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

	{# This function sets given step both into scope variable and form hidden field #}
	this.formSetStep = function(step)
	{
		this.step = step;
		$(this.getScopeSelector()).find("#step").val(step);
                
                {# Updating help depending on current step #}
                this.updateHelp();
	}
	
	{# This function resets form to given step, by substituting entirely form data with step-specific one #}
	this.formResetToStep = function(step,response)
	{
                this.formSetStep(step);
		$(this.getScopeSelector()).find("#ets_import_step_specific_content").html($(this.getScopeSelector()).find("#ets_import_step" + step + "_form_content").html());
		
		{# Performing specific step-based operations #}
		switch(step)
		{
			case 1:
				{# Adding step 3 by default #}
				this.formAppendStep(3);
				
				{# Setting action to "upload" #}
				this.formSetAction("upload");
				
				{# Resetting buttons #}
				this.buttonsShowHide("#button_etsrules_reload,#button_etsrules_edit,#button_etsrules_orphans_refresh",false);
				this.buttonsShowHide("#button_submit,#button_close",true);
				
				break;
		}
	}
	
	{# This function adds a step specific content to form #}
	this.formAppendStep = function(step)
	{
		$(this.getScopeSelector()).find("#ets_import_step" + step + "_form_content").clone().appendTo($(this.getScopeSelector()).find("#ets_import_step_specific_content"));
	}
	
	{# This function removes a step specific content from form #}
	this.formRemoveStep = function(step)
	{
		$(this.getScopeSelector()).find("#ets_import_step_specific_content").find("[step='" + step + "']").remove();
	}

	{# This function sets action for form, by adding to it a special hidden field corresponding to requested action (needed by PHP files) #}
	this.formSetAction = function(action)
	{
		$(this.getScopeSelector()).find("#ets_import_step_specific_content").find("[tag='action']").remove();
		$(this.getScopeSelector()).find("#" + action).clone().appendTo($(this.getScopeSelector()).find("#ets_import_step_specific_content"));
	}
	
	{# This function shows an advance message #}
	this.advanceMessageShow = function(message)
	{
		this.messageId = this.updateMessage(this.messageId,message,"info",1000);
		this.advanceMessageShowHide(true);
	}
	
	{# This function displays or hides advance message #}
	this.advanceMessageShowHide = function(show_flag)
	{
		if(show_flag)
			this.displayMessage(this.messageId);
		else
			this.hideMessage(this.messageId);
	}
	
	{# This function updates number of selected items in step 4 #}
	this.selectiveImportUpdateSelectedCounter = function()
	{
		var selectedlabel = $(this.getScopeSelector()).find("#ets_import_step4_selective_selected_items");
		var selectedItems = $(this.getScopeSelector()).find("#ets_import_step_specific_content").find("[id*='knxaddr_check_']").filter(":checked");
		var submitButton = $(this.getScopeSelector()).find("#button_submit");
		selectedlabel.html(selectedItems.length + " / " + this.selectiveImportMaxAllowedItems);
		
		this.selectiveImportEnableCheck = (selectedItems.length <= this.selectiveImportMaxAllowedItems);
		if(this.selectiveImportEnableCheck)
		{
			submitButton.show();
		}
		else
		{
			this.messageId = this.updateMessage(this.messageId,"{{ getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP4_TOO_MANY_SELECTED_ITEMS") }}","warning",10);
			submitButton.hide();
		}
	}
	
	{# This function selectr (or deselects) an entire middle group in selective import #}
	this.selectiveImportMiddleGroupSelect = function(middleGroup,selectFlag)
	{
		var middleGroupItems = $(this.getScopeSelector()).find("#ets_import_step_specific_content").find("#ets_import_step4_selective_import_" + middleGroup).find("input[type='checkbox']");
		middleGroupItems.attr("checked",selectFlag);
		this.selectiveImportUpdateSelectedCounter();
	}
	
	{# This function opens a new page in which editing ETS rules #}
	this.buttonEtsRulesEdit = function()
	{
		var action = "iM.openInstance('../eib/ets_rules.php|id=ets_rules',null,null,'workspace');";
		wM.tabCreateNew("{{ getConstant('_DPAD_DBCONSTANT_URL_ETS_IMPORT_RULES')|encode4jscript }}","ets_rules",action);
	}
	
	{# This function reloads step 6 in which ETS rules are elaborated #}
	this.buttonEtsRulesReload = function()
	{
		{# Resetting counter of unmatched objects and hiding buttons for ETS rules management #}
		var ets_rules_container = $(this.getScopeSelector()).find("#ets_import_step5_ets_rules");
		ets_rules_container.find("#count_eibobjects_without_rendering").html("{{ getConstant("_DPAD_EIB_ETS_IMPORT_WIZARD_STEP5_EIBOBJECTS_WITHOUT_RENDERING_ELABORATING") }}");
		
		{# Forcing step to 5 and repeating elaboration #}
		this.formSetStep(5);
		this.formSetAction("next");
		this.formButtonSubmit(true,{coverFilter:"#ets_import_step5_report,#ets_import_step5_ets_rules"});
	}
	
	{# This function shows or hides requested button(s) #}
	this.buttonsShowHide = function(buttonSelector,showFlag)
	{
		var buttons = $(this.getScopeSelector()).find(buttonSelector);
		if(showFlag)
			buttons.show();
		else
			buttons.hide();
	}
        
        {# This function renders block containing ETS rules orphan objects #}
        this.rulesOrphansBlockRender = function()
        {
            var query=dbManager.protoSQLobjsFromKeys(null,"D_O.RENDERING_ID='-1' AND D_O.OWNED_BY='IMPORT' AND D_O.TYPE='EIBOBJECT'","D_O.MSP ASC");
            dbManager.executeSQL(query,Math.random(),$.proxy(this.rulesOrphansBlockRenderCallback,this));
        }

        this.rulesOrphansBlockRenderCallback = function(result_array)
        {
            this.block_ets_rules_orphans.themeForRuntime = this.themeForRuntime;
            {{ jsBlock({
                    'operation':'render',
                    'block_reference_id':'this.id',
                    'block_name':'block_ets_rules_orphans'
            }) }}
        }

        this.rulesOrphanRemoveFromBlock = function(blockObjVarName,objectId)
        {
            var currObj = objM.getObj(objectId);
            if(parseInt(currObj.rendering_id) >= 0 || confirm("{{ getConstant('_DPAD_EIB_ETS_IMPORT_WIZARD_STEP5_SECTION_ETS_RULES_ORPHAN_REMOVE_FROM_LIST_CONFIRM')|encode4jscript }}"))
            {
                this.block_ets_rules_orphans.remove_row(ruleId);
            }
        }

        this.rulesOrphanValuesTypeUpdate = function(objectId,newValuesType)
        {
            {# Updating values type for given object #}
            objM.updateFieldObj(objectId,'values_type',newValuesType);
            
            {# Updating values type of all EIBGROUPs related to current EIBOBJECT #}
            var query = "UPDATE DPADD_OBJECT SET VALUES_TYPE='" + newValuesType + "' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" + objectId + "' AND RELATION_WEB_TIPOLOGY='EIBGROUPOBJECT_RELATION')";
            dbManager.executeSQL(query,Math.random(),$.proxy(this.rulesOrphanValuesTypeUpdateCallback,this));
        }
        
        this.rulesOrphanValuesTypeUpdateCallback = function(result_array){}
        
        {# This function returns list of value types #}
        this.getEisTypes = function(valuesType)
        {
            var bitLength = this.getLengthByValuesType(valuesType);
			var eisTypes = null;
            switch(bitLength)
            {
                {% for bitLength,bitLengthLabel in page.bit_lengths %}
                    case {{bitLength}}:
                        eisTypes = { {% for eisType in page.eistypes[bitLength] %}"{{eisType.key}}":"{{eisType.value}}"{% if not loop.last %},{% endif %}{% endfor %} };
                        break;
                {% endfor %}
            }
            return $.toJSON(eisTypes);
        }

        {# This function returns length in bit by given values type #}
        this.getLengthByValuesType = function(valuesType)
        {
            switch(valuesType)
            {
                {% for valuesType,bitLength in page.eistype_lengths %}
                    case "{{valuesType}}": return {{bitLength}}; break;
                {% endfor %}
            }
        }

        {# This function automatically adds addresses necessary for selective import to selected one(s) #}
        this.selectiveImportAutoAddMissingAddresses = function()
        {
            for(var i in this.selectiveImportAddressesToAdd)
            {
                var newAddr = this.selectiveImportAddressesToAdd[i];
                var nesAddrTokens = newAddr.split("/");
                
                $(this.getScopeSelector()).find("#knxaddr_check_" + nesAddrTokens[0] + "_" + nesAddrTokens[1] + "_" + nesAddrTokens[2]).attr("checked",true);
            }
            this.selectiveImportUpdateSelectedCounter();
        }

        {# This function updates help depending on current step #}
        this.updateHelp = function()
        {
            {# Overwriting help with current instance, if present #}
            var help = "{{ getConstant("_DPAD_THEME_ADMIN_WORKSPACE_PAGE_HELP_DEFAULT")|encode4jscript }}";
            var help_step_field = $(this.getScopeSelector()).find("#ets_import_step" + this.step + "_help");
            if(help_step_field.length != 0)
            {
                if(help_step_field.html()!="")	help = help_step_field.html();
            }
            $("#template-help-content").html(help);
        }


{% endblock %}

{% block block_existModifiedForms %}
	return true;
{% endblock %}
