{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
	{{ html_includejs("jsDpadBlock.js","js") }}
	{{ html_includejs("jquery.ui.sortable.js","js") }}
{% endblock %}

{% block block_customDeclarations %}
	{{ jsBlock({
		'operation':"declaration",
		'block_name':"block_ets_rules",
		'isSortable':'true',
		'block_render_container_selector':"this.getScopeSelector()+' #ets_rules_container'",
		'prototype_container':"$(this.getScopeSelector()).find('#block_ets_rules_container_prototype').html();",
		'prototype_header':"$(this.getScopeSelector()).find('#block_ets_rules_header_prototype > tbody').html();",
		'prototype_item':"$(this.getScopeSelector()).find('#block_ets_rules_item_prototype > tbody').html();"
	}) }}
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);
        {# Initializing help #}
        this.initHelp();
        {# Loading rules #}
        this.rulesLoad();
{% endblock %}


{% block block_formValidate %}{% endblock %}
{% block block_formButtonSubmit %}{% endblock %}
{% block block_formButtonSubmitCompleted %}{% endblock %}
{% block block_formSubmitCallback %}{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{ parent() }}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}
    
    {# This function loads rules #}
    this.rulesLoad = function(){
        var query = "SELECT RL.*,RR.IMAGE_PATH FROM DPADD_EIB_IMPORT_RULE RL LEFT OUTER JOIN DPADD_RENDERING RR ON RR.ID=RL.RENDERING_ID";
		dbManager.executeSQL(query,Math.random(),$.proxy(this.rulesInit,this));
    }
    {# This function inits list of rules #}
    this.rulesInit = function(result_array){
        this.block_ets_rules.themeForRuntime = themeManager.getName('runtime');
        {{ jsBlock({
                'operation':'render',
                'block_reference_id':'this.id',
                'block_name':'block_ets_rules'
        }) }}
    }
    
    {# This function adds a new rule #}
    this.ruleAddNew = function(){
        var query = "INSERT INTO DPADD_EIB_IMPORT_RULE(KEYWORD,LENGTH_IN_BIT,VALUES_TYPE,RENDERING_ID) SELECT '','1','1',VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='EIB_RENDERING_GENERIC_ON_OFF'";
	dbManager.executeSQL(query,Math.random(),$.proxy(this.ruleAddNewCallback,this));
    }
    
    this.ruleAddNewCallback = function(result_array){
        {# Reloading block#}
        //this.rulesLoad();
        this.block_ets_rules.add_row({
                "KEYWORD":"",
                "LENGTH_IN_BIT":"1",
                "VALUES_TYPE":"1",
                "RENDERING_ID":"-1"
        });
        this.block_ets_rules.render_row(this.block_ets_rules.row_array.length-1);
        $("#template-content-work").scrollTo('100%');
    }
    
    this.ruleRemove = function(blockObjVarName,ruleId){
        var query = "DELETE FROM DPADD_EIB_IMPORT_RULE WHERE ID='" + ruleId + "'";
		dbManager.executeSQL(query,Math.random(),$.proxy(this.ruleRemoveCallback,this));
        this.block_ets_rules.remove_row(ruleId);
    }
    
    this.ruleRemoveCallback = function(result_array){}
    
    this.updateRuleField = function(ruleId,field,fieldValue){
        var query = "UPDATE DPADD_EIB_IMPORT_RULE SET " + field + " = '" + fieldValue + "' WHERE ID='" + ruleId + "'";
		dbManager.executeSQL(query,Math.random(),$.proxy(this.updateRuleFieldCallback,this));
    }
    
    this.updateRuleFieldCallback = function(result_array){
        //this.rulesLoad();
    }
    
    this.ruleChangeBitLength = function(ruleId,caller){
        var newBitLength = parseInt(caller.value);
        var newValuesType = this.getDefaultEisType(newBitLength);
        var newRenderingId = this.getDefaultRendering(newBitLength);
        var query = "UPDATE DPADD_EIB_IMPORT_RULE SET LENGTH_IN_BIT='" + newBitLength + "',VALUES_TYPE='" + newValuesType + "',RENDERING_ID='" + newRenderingId + "' WHERE ID='" + ruleId + "'";
		dbManager.executeSQL(query,Math.random(),$.proxy(this.ruleChangeBitLengthCallback,this));
    }
    
    this.ruleChangeBitLengthCallback = function(result_array){
        this.rulesLoad();
    }
    
    {# This function returns list of value types by given bit length #}
    this.getEisTypes=function(bitLength){
		var eisTypes=null;
        switch(bitLength){
            {% for bitLength,bitLengthLabel in page.bit_lengths %}
                case '{{ bitLength }}':
                    eisTypes={ {% for eisType in page.eistypes[bitLength] %}"{{ eisType.key }}":"{{ eisType.value }}"{% if not loop.last %},{% endif %}{% endfor %} };
				break;
            {% endfor %}
        }
        return $.toJSON(eisTypes);
    }

    {# This function returns default EIS type by given length in bit #}
    this.getDefaultEisType = function(bitLength)
    {
        var defaultEisType = -1;
        switch(bitLength)
        {
            {% for bitLength,bitLengthLabel in page.bit_lengths %}
                {% if page.default_eistypes[bitLength] != "" %}
                case {{bitLength}}:
                    defaultEisType = '{{page.default_eistypes[bitLength]}}';
                    break;
                {% endif %}
            {% endfor %}
        }
        return defaultEisType;
    }

    {# This function returns default rendering ID by given length in bit #}
    this.getDefaultRendering = function(bitLength)
    {
        var defaultRenderingId = -1;
        switch(bitLength)
        {
            {% for bitLength,bitLengthLabel in page.bit_lengths %}
                {% if page.default_renderings[bitLength] != "" %}
                case {{bitLength}}:
                    defaultRenderingId = '{{page.default_renderings[bitLength]}}';
                    break;
                {% endif %}
            {% endfor %}
        }
        return defaultRenderingId;
    }

{% endblock %}

{% block block_existModifiedForms %}
    return true;
{% endblock %}
