{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
{% endblock %}

{% block block_customDeclarations %}
    this.lastOp = "";
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);
        {{parent()}}
{% endblock %}

{% block block_formValidate %}
    this.lastOp = $(this.getScopeSelector()).find("#op").val();
{% endblock %}
{% block block_formButtonSubmit %}
if(!wM.enabled && skipEnableCheck != true)  return;
this.userInteractionEnableDisable(false,null);
if(this.forms[0] && typeof(this.forms[0])!='undefined')   this.forms[0].bModified=true;
{{ parent() }}
{% endblock %}

{% block block_formButtonSubmitCompleted %}
this.userInteractionEnableDisable(true,null);
{{ parent() }}
{% endblock %}

{% block block_formSubmitCallback %}
{{ parent() }}
switch(this.lastOp)
{
    default:    iM.reloadInstance("../scripting/listscripts.php|id=" + this.id,null,null,"workspace"); break;
}
{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{ parent() }}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}
    
    {# This function adds a new script #}
    this.scriptAddNew = function(){
        var scriptName = prompt("{{getConstant('_DPAD_DBCONSTANT_SCRIPTING_LISTSCRIPTS_OPERATION_ADDNEW_MESSAGE_NEW_NAME')|encode4jscript}}");
        if(!scriptName || scriptName == null || typeof(scriptName)=='undefined') return;
        $(this.getScopeSelector()).find("#op").val("addnew");
        $(this.getScopeSelector()).find("#parameter").val(scriptName);
        this.formButtonSubmit(true);
    }

    {# This function removes given script #}
    this.scriptRemove = function(scriptName){
        $(this.getScopeSelector()).find("#op").val("remove");
        $(this.getScopeSelector()).find("#parameter").val(scriptName);
        this.formButtonSubmit(true);
    }

    {# This function copies a script #}
    this.scriptCopy = function(scriptName,scriptFolder){
        if(!scriptFolder || typeof(scriptFolder)=='undefined')  scriptFolder = 'scripts';
        $(this.getScopeSelector()).find("#op").val("copy");
        $(this.getScopeSelector()).find("#parameter").val(scriptName);
        $(this.getScopeSelector()).find("#folder").val(scriptFolder);
        this.formButtonSubmit(true);
    }

    {# This function renames a script #}
    this.scriptRename = function(caller,oldScriptName,newScriptName)
    {
        if(newScriptName.indexOf('.php')>=0)
        {
            newScriptName=newScriptName.replace('.php','');
            caller.val(newScriptName);
        }
        $(this.getScopeSelector()).find("#op").val("rename");
        $(this.getScopeSelector()).find("#parameter").val(oldScriptName + '|' + newScriptName);
        this.formButtonSubmit(true);
    }
    
    {# This function opens a new tab for script editing #}
    this.scriptEdit = function(scriptName,scriptFolder){
        if(!scriptFolder || typeof(scriptFolder)=='undefined')  scriptFolder = 'scripts';
        var url = "../scripting/editscript.php?s="+scriptName+"&f="+scriptFolder;
        var action = "iM.reloadInstance('" + url + "',null,null,'workspace');";
        wM.tabCreateNew(scriptName,scriptName,action);
    }

{% endblock %}