{# Menu template scope #}
<jsIncludes>
{{html_includejs("jquery.js","js")}}
{{html_includejs("jsDpadBlock.js","js")}}
{{html_includejs("jquery.ui.draggable.js","js")}}
{{html_includejs("jquery.scrollTo.js","js")}}
</jsIncludes>
<jsScopeScripts>
this.administration_id = 1;
this.level_margin_width = 20;
this.selectedItemIds = new Array();
this.toolbarType = "SYSTEM";
this.toolbarAllowedNewTypes = new Array();
{# Gestisce l'apertura/chiusura dei gruppi menu #}
$(this.getScopeSelector()).find('.menu-group-title-text,.menu-icon-group').click(function() {
	var myGroup = $(iM.getScope(this).getScopeSelector());
	var myGroupIcon = $(this).parent().children('.menu-icon-group');
	var myGroupContent = myGroup.children('.menu-group-content');
	if (myGroupContent.css('display')=="none") {
		$('.menu-group-title').parent().children('.menu-group-content').not("#navigation_tree_container.menu-group-content").slideUp();
		$('.menu-group-title').children('.menu-icon-group').css('background-position',"0px 0px");
		myGroupContent.slideDown();
		myGroupIcon.css('background-position',"0px -16px");
	} {# else {
		myGroupContent.slideUp();
		myGroupIcon.css('background-position',"0px 0px");		
	} #}
});

{# Gestisce le azione di espandi tutti i nodi / chiudi tutti i nodi #}
$(this.getScopeSelector()).find('#menu-node-expand').click(function() { iM.getScope(this).menuNodeExpandAll() });
$(this.getScopeSelector()).find('#menu-node-close').click(function() { iM.getScope(this).menuNodeCloseAll() });

{# Function espandi tutti i nodi #}
this.menuNodeExpandAll = function() {
    {% block _menuNodeExpandAll %}
    $('.menu-group-content li').find('ul').slideDown('100',function() {
            $('div.menu-icon-node').css('background-position',"0px -16px");
    });
    {% endblock _menuNodeExpandAll %}
}

{# Function chiudi tutti i nodi #}
this.menuNodeCloseAll = function() {
    {% block _menuNodeCloseAll %}
    $('div.menu-icon-node').css('background-position',"0px 0px");
    $('.menu-group-content li').find('ul').slideUp('100',function() {});
    {% endblock _menuNodeCloseAll %}
}

this.onLoad=function(){
	this.TreeItemInit( this.administration_id, 'navigation_tree_container', 0 );
}

this.TreeItemInit = function(item_id,item_container,level){
	var item_block_name = "navigation_tree_" + item_id;
	{# Checking if block already exists #}
	if( !this[item_block_name] ){
		{# Declaring Block Interface #}
		{{ jsBlock({
			'operation':'declaration',
			'block_name':'item_block_name',
			'block_name_type':'variable',
			'isDraggable':'false',
			'block_render_container_selector':"this.getScopeSelector()+' #'+item_container",
			'prototype_container':"$(this.getScopeSelector()).find('div#navigation_tree_container_prototype').html();",
			'prototype_item':"$(this.getScopeSelector()).find('div#navigation_tree_row_prototype').html();",
			'prototype_header':"$(this.getScopeSelector()).find('div#navigation_tree_row_header').html();"
		}) }}

		this[item_block_name].results_filter_func=function(datas){
			var obj=datas.obj;
			{# Checking if relation is generic; if not, skipping #}
			if(datas.relation.RELATION_WEB_TIPOLOGY!='{{ getConstant('_DPAD_DB_RELATION_TYPE_GENERIC') }}') return false;
			{# Checking if relation is enabled; if not, skipping #}
			if(parseInt(datas.relation.ENABLE_FLAG)!=1) return false;
			
			{# TODO:
					Checking module license presence for items;
					this check MUST be done server side...
					please correct ASAP
			#}
			var modules=[{% for module,module_infos in _global.global_modules_array %}{% if( checkModulePresence(module)) %}'{{ module }}',{% endif %}{% if loop.last %}'__fake'{% endif %}{% endfor %}];
			if(obj.options.menu_data_module_owner && $.inArray(obj.options.menu_data_module_owner,modules)==-1)return false;
			if(
				obj.type=="{{ getConstant('_DPAD_CLASS_TYPE_GROUP') }}" || 
				obj.type=="{{ getConstant('_DPAD_CLASS_TYPE_SEARCHFOLDER') }}" || 
				obj.type=="{{ getConstant('_DPAD_CLASS_TYPE_URL') }}"
			){
				return true;
			}
			var scope = iM.getScopeFromActiveView("tree");
			if(!scope.toolbarAllowedNewTypes)    return false;
			if(scope.toolbarAllowedNewTypes.length > 0){
				for(var i in scope.toolbarAllowedNewTypes){
					if(scope.toolbarAllowedNewTypes[i].indexOf(":")>=0){
						var newItemTokens = scope.toolbarAllowedNewTypes[i].split(":");
						var newItemType = newItemTokens[0];
						var newItemPhpClass = newItemTokens[1];
						if(datas.obj.type == newItemType && datas.obj.phpclass == newItemPhpClass){
							return true;
						}
					}
					else{
						if(datas.obj.type == scope.toolbarAllowedNewTypes[i]){
							return true;
						}
					}
				}
			}
			return false;
		}
	}
	objM.getObjsFromId(item_id,$.proxy(this.TreeItemLoad,this,item_id,level));
}

this.TreeItemLoad=function(item_id,level,result_array){
	var current_tree_item=objM.getObj(item_id);
	if(!current_tree_item){
		rM.log({type:'warn'},'[scope.navigation_tree.tpl TreeItemLoad] Unable to find tree element with ID %o',item_id);
		return;
	}
	{# Loading surroundings of current tree item and calling block render function as callback #}
	current_tree_item.getSurroundings($.proxy(this.TreeItemRender,this,item_id,level));
}

this.TreeItemRender=function(item_id,level,result_array){
        {% block _TreeItemRender %}
	var item_block_name = "navigation_tree_" + item_id;
	{# Assigning current item ID as block_parent_id, used in certain prototypes #}
        this[item_block_name].block_parent_id=item_id;
	{# Rendering block with given results array #}
	{{ jsBlock({
		'operation':'render',
		'block_name_type':"variable",
		'block_name':"item_block_name",
		'block_relation_type':'parent_child',
		'row_relation_array':"objM.getRelationsFromParent(item_id)"
	}) }}

	var item_block_items_selector = $(this[item_block_name].render_container_selector).find("li[parent_node='" + item_id + "']");
	{# Adding level and corresponding left margin to items #}
	item_block_items_selector.attr("level",level).css('margin-left',(parseInt(level)>0?this.level_margin_width:0)+'px');

	{# Adding icon node for GROUP objects or objects having allowed sub-types directive #}
	item_block_items_selector.filter("[tipology='GROUP'],[allowed_new_types!='']").find("#name").prepend('<div class="menu-icon-node arrow"></div>');
	item_block_items_selector.filter("[tipology!='GROUP']").filter("[allowed_new_types='']").find("#name").prepend('<div class="menu-icon-node circle"></div>');

	{# Adding leaf icon for other objects #}
	item_block_items_selector.filter("[tipology!='GROUP']").find('#name').addClass('menu-object');
	{# Setting loaded attribute to parent item, if not main #}
	if(item_id != this.administration_id){
		var tree_item_selector = this.treeItemGetById(item_id);
		tree_item_selector.attr("loaded","true");
		this.treeItemExpandCollapse(item_id,true);
	}
	{# Re-setting height of menu area #}
        var result_max_height = $('#template-column-left').height() - ($('#externalframe_search_container .menu-group-title').height() + $('#externalframe_tree_container .menu-group-title').height() + $("#search-keywords").height()) -2;
	$(this.getScopeSelector()).find("#navigation_tree_container").css('height', result_max_height + 'px');
        
        {% endblock %}
}

this.treeItemGetById = function(item_id){
    return $(this.getScopeSelector()).find("[id$='_list_item_" + item_id + "']");
}

this.treeItemPressed = function(item_id){
        {% block _treeItemPressed %}
	{# Identifying item selector by given ID and skipping if not found #}
	var tree_item_selector = this.treeItemGetById(item_id);
	if(tree_item_selector.length == 0){
		rM.log({type:'warn'},'[scope.navigation_tree.tpl treeItemPressed] No navigation tree item selector found with given ID: %o',item_id);
		return;
	}
	{# Identifying corresponding object #}
	var tree_item_object = objM.getObj(item_id);
	if(!tree_item_object){
		rM.log({type:'warn'},'[scope.navigation_tree.tpl treeItemPressed] No navigation tree item object found with given ID: %o',item_id);
		return;
	}
	{# Handling item type #}
	switch(tree_item_object.type){
		case "{{ getConstant('_DPAD_CLASS_TYPE_GROUP') }}":

                        {% block _treeItemPressed_typeGroup %}
			{# If item has skip flag, skipping...#}
			if(tree_item_object.options.skipLoadChilds==true || tree_item_object.options.skipLoadChilds=="true")    break;

			{# If items is still not loaded, loading it #}
			if(tree_item_selector.attr("loaded")!="true"){
				this.TreeItemInit(item_id,"tree_item_" + item_id + "_childs",parseInt(tree_item_selector.attr("level"))+1);
			}
			{# Expanding/collapsing item #}
			if(tree_item_selector.attr("status")!="expanded"){
				this.treeItemExpandCollapse(item_id,true);
			}
			else{
				{# Collapsing item only if already selected #}
				if(tree_item_selector.children("#name").hasClass("hilight"))
					this.treeItemExpandCollapse(item_id,false);
			}
                        {% endblock _treeItemPressed_typeGroup %}

		break;
		case "URL":
			{# Checking if it's a system or user url #}
			if(tree_item_object.owned_by!='{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}')
				break;
			{# Opening a new tab in workspace with URL action #}
			var newTabTag = tree_item_object.id;
			if(tree_item_object.msp.indexOf("javascript:")!=-1){
				var action = tree_item_object.msp.replace("javascript:","").replace("{id}",tree_item_object.id);
			}
			else{
				var url = tree_item_object.msp.replace("{id}",tree_item_object.id);
				var url_tokens = url.split("|");
				if(url_tokens.length == 1){
					url += "|id=" + tree_item_object.id;
				}
				else{
					if(url_tokens[1].indexOf("id=")==-1){
						url += "&id=" + tree_item_object.id;
					}
					else{
						newTabTag = url_tokens[1].substring(url_tokens[1].indexOf("id=")+3);
						if(newTabTag.indexOf("&")!=-1)
							newTabTag = newTabTag.substring(0,newTabTag.indexOf("&"));
					}
				}
				if(tree_item_object.options.reload=='true' || tree_item_object.options.reload==true)
					var action = "iM.reloadInstance('" + url + "',null,null,'workspace');";
				else
					var action = "iM.openInstance('" + url + "',null,null,'workspace');";
			}
			wM.tabCreateNew(tree_item_object.name,newTabTag,action);
		break;
		default:
			{# If items has not allowed types associated, skipping... #}
			if(tree_item_object.options.allowed_new_types=="" || tree_item_object.options.allowed_new_types==null)    break;
                        
                        {# If item has skip flag, skipping...#}
			if(tree_item_object.options.skipLoadChilds==true || tree_item_object.options.skipLoadChilds=="true")    break;
			{# If items is still not loaded, loading it #}
			if(tree_item_selector.attr("loaded")!="true"){
				this.TreeItemInit(item_id,"tree_item_" + item_id + "_childs",parseInt(tree_item_selector.attr("level"))+1);
			}
			{# Expanding/collapsing item #}
			if(tree_item_selector.attr("status")!="expanded"){
				this.treeItemExpandCollapse(item_id,true);
			}
			else{
				{# Collapsing item only if already selected #}
				if(tree_item_selector.children("#name").hasClass("hilight"))
					this.treeItemExpandCollapse(item_id,false);
			}
		break;

	}
	{# Updating selection #}
	this.treeItemHilight(item_id);

	{# Managing toolbar #}
	if(tree_item_selector.attr("toolbar")!=""){
		this.toolbarType = tree_item_selector.attr("toolbar");
		if(tree_item_selector.attr("allowed_new_types")!="")
			this.toolbarAllowedNewTypes = tree_item_selector.attr("allowed_new_types").split(",");
		else
			this.toolbarAllowedNewTypes = new Array();
	}
	this.toolbarUpdate();
        {% endblock _treeItemPressed %}
}

this.treeItemHilight = function(item_id){
    if(!this.isMultiSelectEnabled()){
        this.treeItemsDeHilightAll();
    }
    this.selectedItemIds.push(item_id);
    var treeItem = this.treeItemGetById(item_id);
    var treeItemLabel = treeItem.children("#name");

    treeItemLabel.addClass("hilight");
    
    if(!treeItemLabel.children(".menu-node-mark-open").is(":visible") && (treeItem.attr("owner")=="{{ getConstant('_DPAD_DB_OWNED_BY_LOCAL') }}" || (treeItem.attr("owner")=="{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}" && (treeItem.attr("allow_edit")=="1"||treeItem.attr("allow_edit")=="true")))){
        treeItemLabel.children(".menu-node-inline-edit").show()
    }
}

this.treeItemDeHilight = function(item_id){
    {% block _treeItemDeHilight %}
    
    var treeItem = this.treeItemGetById(item_id)
    var treeItemLabel = treeItem.children("#name");
    treeItemLabel.removeClass("hilight");
    treeItemLabel.children(".menu-node-inline-edit").hide();
    for(var i in this.selectedItemIds){
        if(this.selectedItemIds[i] == item_id){
            this.selectedItemIds.splice(i,1);
        }
    }
    {% endblock _treeItemDeHilight %}
}

this.treeItemsDeHilightAll = function(){
    $(this.getScopeSelector()).find(".hilight").removeClass("hilight").find(".menu-node-inline-edit").hide();
    this.selectedItemIds = new Array();
}

this.treeItemMark = function(item_id,mark){
    var treeItem = this.treeItemGetById(item_id);
    if(treeItem.length > 0){
        switch(mark){
            case "open":
                treeItem.find(".menu-node-mark-open").first().show();
                treeItem.find(".menu-node-inline-edit").first().hide();
                break;
            case "save":
                treeItem.find(".menu-node-unsaved-changes").first().show();
                break;
        }
    }
}

this.treeItemUnMark = function(item_id,mark){
    var treeItem = this.treeItemGetById(item_id);
    if(treeItem.length > 0){
        switch(mark){
            case "open":
                treeItem.find(".menu-node-mark-open").first().hide();
                if(treeItem.children("#name").hasClass("hilight") && treeItem.attr("owner")!="{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}"){
                    treeItem.find(".menu-node-inline-edit").first().show();
                }
                break;
            case "save":
                treeItem.find(".menu-node-unsaved-changes").first().hide();
                break;
        }
    }
}

this.treeItemHasMark = function(item_id,mark){
    var treeItem = this.treeItemGetById(item_id);
    if(treeItem.length > 0){
        switch(mark){
            case "open":
                return treeItem.find(".menu-node-mark-open").first().is(":visible");
                break;
            case "save":
                return treeItem.find(".menu-node-unsaved-changes").first().is(":visible");
                break;
        }
    }
}

this.treeItemEdit = function(item_id){
    {# Identifying item selector by given ID and skipping if not found #}
    var treeItem = this.treeItemGetById(item_id);
    if(treeItem.length == 0){
		rM.log({type:'warn'},'[scope.navigation_tree.tpl treeItemEdit] No navigation tree item found with given ID:%o',item_id);
		return;
    }
    {# Identifying corresponding object #}
    var treeItemObj = objM.getObj(item_id);
    if(!treeItemObj){
		rM.log({type:'warn'},'[scope.navigation_tree.tpl treeItemEdit] No navigation tree item object found with given ID:%o',item_id);
		return;
    }
    {# Opening corresponding edit page in workspace #}
    var params = "";
    if(treeItemObj.options.showSystemObjects)   params += "showSystemObjects=true";
    var action="iM.openInstance('../system/editobject.php?type="+treeItemObj.type+"&phpclass="+treeItemObj.phpclass+"|id=" + treeItemObj.id + (params!=""?"&"+params:"") + "',null,null,'workspace');";
    wM.tabCreateNew(treeItemObj.name,treeItemObj.id,action);
}

this.treeItemDelete = function(item_id){
    var currItem = this.treeItemGetById(item_id);
    this['navigation_tree_'+currItem.attr('parent_node')].remove_row(item_id);
    wM.tabRemove(wM.tabGetByTag(item_id));
    objM.removeObj(item_id);
    if(wM.selectedTag != null)this.treeItemPressed(wM.selectedTag);
}

this.treeItemAddChild = function(iItemID,sTypeClass,sPhpClass){
	{# Creating Object #}
    var _aObjData={
        'TYPE':sTypeClass,
        'IS_VISIBLE':1,
        'OWNED_BY':'{{ getConstant('_DPAD_DB_OWNED_BY_LOCAL') }}'
	};
    if(sPhpClass!=null && typeof(sPhpClass)!='undefined'){
		_aObjData.PHPCLASS=sPhpClass;
		_aObjData.RENDERING_ID='(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE \'%'+sPhpClass+'%\')';
	}
	rM.ajax({
		type:'POST',
		url:'../system/dpadaction.php',
		data:{
			op:'get_allowed_objects_num',
			phpclass:sPhpClass
		},
		success:$.proxy(this._treeItemAddChildSuccess,this,iItemID,sTypeClass,_aObjData),
		error:$.proxy(this._treeItemAddChildError,this)
	});
}

this._treeItemAddChildSuccess=function(iItemID,sTypeClass,aObjData,oJSON,textStatus,jqXHR){
	var _iResult=oJSON.result;
	var _iTot=oJSON.tot;
	var _iLeft=oJSON.left;
	var _iUsed=parseInt(oJSON.used);
	if( _iResult != rM.getConstant('_DPAD_RESULT_NOERROR') ){
		this.log({type:'error'},'[_treeItemAddChildSuccess] unable to create object value; Error:%o',_iResult);
	} else if( _iLeft>0 || ( _iLeft==null && _iTot==null ) ){
		{# Adding incrementing number to new object name #}
		var _iNewNumber = _iUsed + 1;
		var _sNewName = rM.getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_' + aObjData['PHPCLASS'].toUpperCase() ) + ( aObjData['TYPE'] != '{{ getConstant('_DPAD_CLASS_TYPE_USER') }}' ? ' ' : '' ) + _iNewNumber;
		aObjData.NAME = _sNewName;
		{# Creating new object #}
		objM.createObj( (aObjData['PHPCLASS'] ? aObjData['PHPCLASS'] : sTypeClass ), aObjData, $.proxy(this.treeItemAddChildRelation,this,iItemID) );
	} else {
		themeManager.showMessage($.sprintf('{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_MAX_ITEMS_REACHED')|encode4jscript }}',_iTot),'warning');
	}
}

this._treeItemAddChildError=function(jqXHR,textStatus,errorThrown){
	themeManager.showMessage('{{ getConstant('_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP6_RESULT_ERROR')|encode4jscript }}','error');
}

this.treeItemAddChildRelation = function(parent_id,data_obj){
    var currItemParentBlockName = "navigation_tree_" + parent_id;
	this["navigation_tree_" + parent_id].add_row(data_obj);
	var oDataRelation={
		PARENTOBJ_ID:parent_id,
		CHILDOBJ_ID:data_obj['ID'],
		RELATION_WEB_TIPOLOGY:objM.getRelationType(objM.getObj(parent_id).phpclass,data_obj['PHPCLASS']),
                ORDER_NUM:"(SELECT COALESCE(MAX(CAST(ORDER_NUM AS INTEGER)),0)+1 FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" + parent_id + "')"
	};
    objM.createRelation(oDataRelation,$.proxy(this.treeItemAddChildRelationCallback,this));
}

this.treeItemAddChildRelationCallback=function(data_relation){
    {% block _treeItemAddChildRelationCallback %}
    var currItemParentBlockName = "navigation_tree_" + data_relation["PARENTOBJ_ID"];
    var currItemObj = objM.getObj(data_relation["CHILDOBJ_ID"]);
	this[currItemParentBlockName].add_row(null,data_relation);
	this[currItemParentBlockName].render_row(this[currItemParentBlockName].row_relation_array.length-1);
    var currItemSelector = $(this[currItemParentBlockName].render_container_selector).find("li[id*='" + data_relation["CHILDOBJ_ID"] + "']");
    var currItemParentSelector = this.treeItemGetById(data_relation["PARENTOBJ_ID"]);
    var currItemLevel = parseInt(currItemParentSelector.attr("level")) + 1;
    {# Adding level and corresponding left margin to items #}
    currItemSelector.attr("level",currItemLevel).css('margin-left',this.level_margin_width +'px');
    {# Adding icon node for GROUP objects #}
    currItemSelector.filter("[tipology='GROUP'],[allowed_new_types!='']").find("#name").prepend('<div class="menu-icon-node arrow"></div>');
    currItemSelector.filter("[tipology!='GROUP']").filter("[allowed_new_types='']").find("#name").prepend('<div class="menu-icon-node circle"></div>');
    {# Adding leaf icon for other objects #}
    currItemSelector.filter("[tipology!='GROUP']").find('#name').addClass('menu-object');
    {# Selecting new item #}
    //this.treeItemHilight(data_relation["CHILDOBJ_ID"]);
    this.treeItemPressed(data_relation["CHILDOBJ_ID"]);
    {# In case of group, initializing its children block #}
    {% block _treeItemAddChildRelationCallback_typeGroup %}
    if(currItemObj.type == "GROUP" || currItemObj.options.allowed_new_types != ""){
        this.TreeItemInit(currItemObj.id,"tree_item_" + currItemObj.id + "_childs",currItemLevel);
    }
    {% endblock _treeItemAddChildRelationCallback_typeGroup %}
    {# Re-setting height of menu area #}
    var result_max_height = $('#template-column-left').height() - $('#externalframe_search_container .menu-group-title').height() - $('#externalframe_tree_container .menu-group-title').height() - $("#search-keywords").height();
    $(this.getScopeSelector()).find("#navigation_tree_container").css('height', result_max_height + 'px');
    {% endblock _treeItemAddChildRelationCallback %}
}

this.treeItemExpandCollapse = function(item_id,expand_flag){
    {% block _treeItemExpandCollapse %}
        rM.log("%o tree item: %o",(expand_flag ? "Expanding" : "Collapsing"),item_id);
	{# Identifying item selector by given ID and skipping if not found #}
	var tree_item_selector = this.treeItemGetById(item_id);
	if(tree_item_selector.length == 0){
		rM.log({type:'warn'},'[scope.navigation_tree.tpl treeItemPressed] No navigation tree item selector found with given ID:%o',item_id);
		return;
	}
	tree_item_selector.children('#name').children('div.menu-icon-node').css('background-position',"0px 0px");
	{# Identifying item childs selector by given ID and skipping if not found #}
	var tree_item_childs_selector = $(this.getScopeSelector()).find("#tree_item_" + item_id + "_childs");
	if(tree_item_childs_selector.length == 0){
		rM.log({type:'warn'},'[scope.navigation_tree.tpl treeItemPressed] No navigation tree item childs selector found with given ID:%o',item_id);
		return;
	}
	if(expand_flag){
		tree_item_selector.attr('status','expanded').children('#name').children('div.menu-icon-node').css('background-position',"0px -16px");
		tree_item_childs_selector.children('ul').slideDown('100');
	}
	else{
		tree_item_selector.attr('status','collapsed').children('#name').children('div.menu-icon-node').css('background-position',"0px 0px");
		tree_item_childs_selector.children('ul').slideUp('100');
	}
    {% endblock _treeItemExpandCollapse %}
}

{# This function shows or hides cover #}
this.coverShowHide = function(flag){
	if(flag)
		$(this.getScopeSelector()).find("#navigation_tree_cover").show();
	else
		$(this.getScopeSelector()).find("#navigation_tree_cover").hide();
}
{# This function handles toolbar button pressed #}
this.toolbarButtonPressed = function(button){
    switch(button){
        case "delete":
            if( confirm('{{ getConstant('_DPAD_GENERAL_BLOCK_ACTION_TRASH_CONFIRM')|encode4jscript }}') ){
                    for(var i in this.selectedItemIds){
                            var currItemId = this.selectedItemIds[i];
                            var _oCurrentObj=objM.getObj(currItemId);
                            if( !_oCurrentObj.is_protected ){
                                    this.treeItemDelete(currItemId);
                            } else {
                                    themeManager.showMessage( $.sprintf( rM.getConstant("_DPAD_DBCONSTANT_OBJECT_IS_PROTECTED" ), _oCurrentObj.name), "warn" );
                            }
                    }
                    this.selectedItemIds = new Array();
            }
            break;
        case "edit":
            for(var i in this.selectedItemIds){
                var currItemId = this.selectedItemIds[i];
                this.treeItemEdit(currItemId);
            }
            break;
        case "addnew":
            if(this.toolbarAllowedNewTypes.length == 0){
                rM.log({type:'warn'},"No PHP classes to add, skipping...");
                return;
            }
            for(var i in this.selectedItemIds){
                var currItemId = this.selectedItemIds[i];
                if(this.toolbarAllowedNewTypes[0].indexOf(":")>=0){
                    var newItemTokens = this.toolbarAllowedNewTypes[0].split(":");
                    var newItemType = newItemTokens[0];
                    var newItemPhpClass = newItemTokens[1];
                }
                else{
                    var newItemType = this.toolbarAllowedNewTypes[0];
                    var newItemPhpClass = null;
                }
                this.treeItemAddChild(currItemId,newItemType,newItemPhpClass);
            }
		break;
        case "clone":
            for(var i in this.selectedItemIds){
                var currItemId = this.selectedItemIds[i];
                var _oCurrentObj=objM.getObj(currItemId);
                if( !_oCurrentObj.is_protected ){
                        objM.cloneObj(currItemId,$.proxy(this.objsCloneCallback,this,currItemId));
                } else {
                        themeManager.showMessage( $.sprintf( rM.getConstant("_DPAD_DBCONSTANT_OBJECT_IS_PROTECTED" ), _oCurrentObj.name), "warn" );
                }
            }
            break;
    }
}

this.objsCloneCallback=function(itemId,xml){

    {# Identifying element and parent tree containers #}
    var itemContainer = this.treeItemGetById(itemId);
    var itemParentId = parseInt(itemContainer.attr("parent_node"));
    var itemParentContainer = this.treeItemGetById(itemParentId);
    
    {# Re-initializing block for cloned parent object #}
    this.TreeItemInit(itemParentId,"tree_item_" + itemParentId + "_childs",parseInt(itemParentContainer.attr("level")+1));
}

{# This function shows or hides given toolbar button #}
this.toolbarButtonShowHide = function(button_selector,show_flag){
    var toolbar = $(this.getScopeSelector()).find("#navigation_tree_toolbar");
    if(button_selector == "all")
        var button = toolbar.find(".toolbar-button");
    else
        var button = toolbar.find("#toolbar-button-" + button_selector);
    if(show_flag){
        button.show();
    }
    else{
        button.hide();
    }
}

{# This function updates toolbar by given tree item attributes #}
this.toolbarUpdate = function(){
    {% block _toolbarUpdate %}
    rM.log("toolbarUpdate() call with type " + this.toolbarType);
    this.toolbarButtonShowHide("all",false);
    switch(this.toolbarType){
        case "SYSTEM":
		break;
        case "GROUP":
            {# If at least one non-system object is selected, enabling edit/delete/clone buttons #}
            for(var i in this.selectedItemIds){
                var currItemObj = objM.getObj( this.selectedItemIds[i] );
                if( currItemObj.owned_by!="{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}" || (currItemObj.owned_by=="{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}" && currItemObj.options.allow_edit=="1") ){
                    this.toolbarButtonShowHide("edit",true);
                }
                if( currItemObj.owned_by!="{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}" || (currItemObj.owned_by=="{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}" && currItemObj.options.allow_clone=="1") ){
                    if(!currItemObj.is_protected)   this.toolbarButtonShowHide("clone",true);
                }
                if( currItemObj.owned_by!="{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}" && !currItemObj.is_protected ){
                    this.toolbarButtonShowHide("delete",true);
                    break;
                }
            }
            {# AddNew is enabled only if currently selected item is a group #}
            this.toolbarButtonShowHide("addnew",false);
            for(var i in this.selectedItemIds){
                var currItemObj = objM.getObj(this.selectedItemIds[i]);
                if(currItemObj.type=="{{ getConstant('_DPAD_CLASS_TYPE_GROUP') }}" || (typeof(currItemObj.options.allowed_new_types)!='undefined' && currItemObj.options.allowed_new_types!='')){
                    {% block _toolbarUpdate_buttonAddNew %}
                    this.toolbarButtonShowHide("addnew",true);
                    {% endblock _toolbarUpdate_buttonAddNew %}
                    break;
                }
            }
		break;
    }
    {% endblock _toolbarUpdate %}
}
{# This function determines if multi select is enabled or not #}
this.isMultiSelectEnabled = function(){
	return false;
}

{% block _customFunctions %}{% endblock %}
</jsScopeScripts>