<jsIncludes>
{{html_includejs("jsDpadBlock.js","js")}}
{{html_includejs("jquery.scrollTo.js","js")}}
</jsIncludes>
<jsScopeScripts>
	    this.id;
	    this.currObj;
	    this.themeForRuntime = "ivory";
	    this.mode = "object";
	    this.valuesType;
	    this.currRenderingId;
	    this.category = null;
	    {{ jsBlock({
		    'operation':"declaration",
		    'block_name':"block_rendering_picker",
		    'block_render_container_selector':"this.getScopeSelector()+' #rendering-picker-content'",
		    'prototype_container':"$(this.getScopeSelector()).find('div#rendering-picker-prototype-container').html();",
		    'prototype_item':"$(this.getScopeSelector()).find('div#rendering-picker-prototype-item').html();"
	    }) }}
	    this.onLoad=function() {
			themeManager.popup_showhide(true);
			this.themeForRuntime = themeManager.getName('runtime');
			switch(this.mode){
				    case "ets_rule":
						this.initRule();
						break;
				    case "object":
				    default:
						objM.getObjsSurrounding(this.id,$.proxy(this.initObject,this));
						break;
			}
	    }

	    this.initRule = function(){
			var query = "SELECT * FROM DPADD_EIB_IMPORT_RULE WHERE ID='" + this.id + "'";
			dbManager.executeSQL(query,Math.random(),$.proxy(this.initRuleCallback,this));
	    }
	    

	    this.initRuleCallback = function(result_array){
			if(result_array.length == 0){
				rM.log({type:"error"},"Cannot load ETS rule with ID %o",this.id);
				return;
			}
			this.currRenderingId = result_array[0]["RENDERING_ID"];
			this.category = result_array[0]["CATEGORY"];
			this.renderingLoad("dpadEibObject",result_array[0]["VALUES_TYPE"]);
	    }
	    
	    this.initObject = function(){
			this.currObj = objM.getObj(this.id);
			this.currRenderingId = this.currObj.rendering_id;
			this.category = this.currObj.options.category;
			var sPhpclassFilter=(this.currObj.phpclass=='{{ getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT') }}'?'{{ getConstant('_DPAD_EIB_PHPCLASS_EIBOBJECT') }}':this.currObj.phpclass);
			var sValuesTypeFilter=(this.currObj.phpclass=='{{ getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT') }}'?null:this.currObj.values_type);
			this.renderingLoad(sPhpclassFilter,sValuesTypeFilter);
	    }
	    
	    this.renderingLoad = function(phpClass,valuesType){
			var sWhere = "DR.ID IN (SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" + phpClass + "%' "+(valuesType?"AND (VALUES_TYPE='" + valuesType + "' OR VALUES_TYPE='*' OR VALUES_TYPE='') ":"") + ((this.category != null && this.category != 0 && this.category != '0') ? "AND (TYPE='" + this.category + "' OR TYPE='*' OR TYPE='')" : "") + " AND IS_VISIBLE='1' ORDER BY NAME ASC)";
			objM.getRendsFromWhere({
					ids: '*',
					where: sWhere
				},
				$.proxy(this.initPicker,this)
			);
	    }
	    
	    this.SortByName = function(a, b){
			var aName = a["NAME"].toLowerCase();
			var bName = b["NAME"].toLowerCase(); 
			return ((aName < bName) ? -1 : ((aName > bName) ? 1 : 0));
	    }

	    this.initPicker=function(result_array){
			var aTmp = new Array();
			for(var i in result_array){
				var aRendering = objM.getRendering(result_array[i]);
				aRendering['CURRENT_RENDERING_ID'] = this.currRenderingId;
				aTmp.push(aRendering);
			}
			result_array=aTmp;

			{# Sorting array in alphabetical order #}
			result_array.sort(this.SortByName);

			{# Updating page title with category, if present #}
			if(this.category != null && parseInt(this.category) > 0){
				$(this.getScopeSelector()).find("#title_category").html("(" + rM.getConstant("_DPAD_PRODUCT_K3_CATEGORY_" + this.category.toUpperCase()) + ")");
			}

			{# Removing spaces within rendering option labels #}
		{#
			N.B. Not necessary anymore with the new engine!
			
			for(var i in result_array){
				result_array[i]["OPTION_LABELS"] = result_array[i]["OPTION_LABELS"].replace(/ /g,"SPACE");
			}
		#}
			
			{# Declaring Block Rendering Actions #}
			this.block_rendering_picker.theme = this.themeForRuntime;
			{{ jsBlock({
				'operation':'render',
				'block_reference_id':'this.id',
				'block_name':"block_rendering_picker"
			}) }}
	    }
	    
	    this.renderingSelect=function(caller,rendering_id,image_path)
	    {
			{# Removing hilight to previous element(s) and adding to current one #}
			$(this.getScopeSelector()).find("#rendering-picker-content").find(".hilight").removeClass("hilight");
			caller.addClass("hilight");
			switch(this.mode){
				case "ets_rule":
					iM.getScopeFromActiveView("workspace").updateRuleField(this.id,"rendering_id",rendering_id);
				break;
				case "object":
				default:
					objM.updateFieldObj(this.id,"rendering_id",rendering_id);
					objM.updateFieldObj(this.id,"image_path",image_path);
					this.currObj.resetRendering();
				break;
			}
			$(iM.getScopeFromActiveView("workspace").getScopeSelector()).find("#obj" + this.id + "_rendering_preview").attr("src","../../themes/" + this.themeForRuntime + "/images/rendering/" + image_path).attr("rendering_id",rendering_id);
		{#
			var query = "SELECT REL.*,RND.IMAGE_PATH FROM DPADD_RENDERING_RELATION REL INNER JOIN DPADD_RENDERING RND ON RND.ID=REL.CHILDOBJ_ID WHERE REL.PARENTOBJ_ID='" + rendering_id + "'";
			dbManager.executeSQL(query,Math.random(),$.proxy(this.childsRenderingUpdate,this));
		#}
			this.popupClose();
	    }
	    
	    this.childsRenderingUpdate = function(result_array){
			for(var i in result_array){
				    var current_child_tag = result_array[i]["RELATION_CONDITION"];
				    var current_child_id = objM.object_get_id_by_complexobject_tag(this.id,current_child_tag);
				    if(current_child_id <= 0) continue;
				    var current_child_obj = objM.getObj(current_child_id);
				    objM.updateFieldObj(current_child_id,"rendering_id",result_array[i]["CHILDOBJ_ID"]);
				    current_child_obj.resetRendering();
			}
			this.popupClose();
	    }
	    
	    this.optionLabelsToString = function(optionLabels,maxNum){
			var arrLabels=new Array();
			var tmp_array=optionLabels.replace('string.','').split(',');
			for(var tmp in tmp_array){
				var data=tmp_array[tmp].split('=>');
				if(!data[0]||!data[1])continue;
				var label = data[0]+':'+data[1].replace(/"/g,'').replace(/SPACE/g,' ');
				
				if(label == "")	continue;
				arrLabels.push(label);
			}
			if(tmp_array.length <= maxNum){
				return arrLabels.join(", ");
			}
			else{
				return arrLabels[0] + " ... " + arrLabels[arrLabels.length-1];
			}
	    }
	    
	    this.optionRangeToString = function(minValue,maxValue,stepValue){
			var rangeStr = "";
			if(parseInt(maxValue)==999999999)
			{
				    rangeStr += "{{ getConstant('_DPAD_THEME_ADMIN_RENDERING_PICKER_RANGE_EXPRESSION_ANY')|encode4jscript }}";
			}
			else
			{
				    if(minValue=="")	minValue = 0;
				    if(minValue!="")
						rangeStr += "{{ getConstant('_DPAD_THEME_ADMIN_RENDERING_PICKER_RANGE_EXPRESSION_FROM')|encode4jscript }} " + minValue + " ";
				    else
						rangeStr += "{{ getConstant('_DPAD_THEME_ADMIN_RENDERING_PICKER_RANGE_EXPRESSION_FROM')|encode4jscript }} 0 ";
				    
				    if(maxValue!="")	rangeStr += "{{ getConstant('_DPAD_THEME_ADMIN_RENDERING_PICKER_RANGE_EXPRESSION_TO')|encode4jscript }} " + maxValue + " ";
				    if(stepValue!="")	rangeStr += "{{ getConstant('_DPAD_THEME_ADMIN_RENDERING_PICKER_RANGE_EXPRESSION_STEP')|encode4jscript }} " + stepValue + " ";
			}
			return rangeStr;
	    }
	    
	    this.buttonClose = function(){
			this.popupClose();
	    }
	    
	    this.popupClose = function(){
			themeManager.popup_showhide(false);
	    }
	    
	    this.filterInit = function(){
			var filterField = $(this.getScopeSelector()).find("#filter");
			if(filterField.val() == "{{ getConstant("_DPAD_THEME_ADMIN_RENDERING_PICKER_FILTER_LABEL") }}")	filterField.val("");
	    }
	    
	    this.filterUpdate = function(){
			var filterField = $(this.getScopeSelector()).find("#filter");
			this.block_rendering_picker.filter = filterField.val();
			this.block_rendering_picker.results_filter_func=function(datas){
				return (datas.obj.name.toLowerCase().indexOf(this.filter.toLowerCase())!=-1);
			}
			this.block_rendering_picker.render();
	    }
	    
</jsScopeScripts>