{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{parent()}}
	{{html_includejs("jsDpadBlock.js","js")}}
{% endblock %}

{% block block_customDeclarations %}
    this.op = "export";
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
        {{ parent() }}
        {#Updating help #}
        this.initHelp();
	        
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);
{% endblock %}

{% block block_formValidate %}
	
	switch(this.op)
	{
            case 'import':
            
                for(var i in formData)
                {
                    var field_name = formData[i].name;
                    var field_value = formData[i].value;
                    
                    switch(field_name)
                    {
                        case "csv_file":
                                if(field_value=="")
                                {
                                        this.messageId = this.updateMessage(this.messageId,"{{ getConstant("_DPAD_DBCONSTANT_REPORTING_IMPORT_EXPORT_OPERATION_IMPORT_ERROR_MISSING")|encode4jscript }}","warning",10);
                                        this.userInteractionEnableDisable(true);
                                        return false;
                                }
                                break;
                    }
                }
                
                break;
	}
	
	{{parent()}}	
	
{% endblock %}

{% block block_formButtonSubmit %}
switch(this.op){
	case "export":
            var sUrlPath='../reporting/track_import_export.php?op=export';
            this.messageId = this.updateMessage(this.messageId,"{{ getConstant("_DPAD_DBCONSTANT_ADMINISTRATION_DATABASE_EXPORT_MESSAGE")|encode4jscript }}","info",60);
            document.getElementById("log_export_download_iframe").src=sUrlPath;
	break;
	case "import":
            {# If workspace manager is not enabled, skipping #}
            if(!wM.enabled && skipEnableCheck != true)  return;

            themeManager.waitplease_display(true);
            this.userInteractionEnableDisable(false);
            
            {# Showing a message #}
            this.messageId = this.updateMessage(this.messageId,"{{getConstant('_DPAD_DBCONSTANT_REPORTING_IMPORT_EXPORT_OPERATION_IMPORT_MESSAGE_PROCESSING')|encode4jscript}}","warning",300);
            
            {# Submitting form #}
            var myForm = this.forms[0];
            myForm.jForm.trigger('submit');
	break;
}

{% endblock block_formButtonSubmit %}

{% block block_formButtonSubmitCompleted %}
{{ parent() }}
this.userInteractionEnableDisable(true);
{% endblock %}

{% block block_formSubmitCallback %}
	
        themeManager.waitplease_display(false);

	{# Enabling GESA #}
	themeManager.enableGESA(true);

        {# Managing operation #}	
	switch(this.op)
	{
            case "import":
        
                {# Note: We get here after import #}
                var msg = responseText.message;
                this.messageId = this.updateMessage(this.messageId,msg,"warning",10);

                this.userInteractionEnableDisable(true);
                break;
	}
{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{parent()}}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}
{% endblock block_customFunctions %}

{% block block_existModifiedForms %}
	return true;
{% endblock %}

{% block block_formSubmitCallback_iterateOnModifiedForms %}
{% endblock block_formSubmitCallback_iterateOnModifiedForms %}
