{# Grid template scope #}
<jsIncludes>
{{ html_includejs("jquery.js","js") }}
{{ html_includejs("jsDpadBlock.js","js") }}
{{ html_includejs("jquery.ui.multidraggable.js","js") }}
{{ html_includejs("jquery.jeditable.js","js") }}
</jsIncludes>
<jsScopeScripts>

	this.search_order_by = "D_O.NAME ASC";
	this.search_filter_is_visible = "D_O.IS_VISIBLE = '1'";
	this.search_filter_owned_by = "D_O.OWNED_BY!='{{ getConstant("_DPAD_DB_OWNED_BY_SYSTEM") }}'";
	this.search_filter_condition = null;
	this.search_performed = false;
	this.selectedItemIds = new Array();
	
	{# Declaring Block Interface #}
	{{ jsBlock({
		'operation':"declaration",
		'block_name':"block_search_results",
		'isMultidraggable':"true",
		'block_render_container_selector':"this.getScopeSelector()+' #search-results'",
		'prototype_container':"$(this.getScopeSelector()).find('div#search_results_container_prototype').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#search_results_row_prototype').html();"
	}) }}

	this.block_search_results.results_filter_func=function(datas){
		return (datas.obj.type != 'DAILYSCHEDULE');
	}

	{# Declaring action for search field submit #}
	$('#search-area form').submit(function() {
		var scope = iM.getScopeFromActiveView("search");
		scope.searchInit();
		$('#search-area input').blur();
		return false;
	});

	{# Activating search field #}
	$('#search-area input').prop("disabled",false);
		
	{# Declaring action for search field click event #}
	$('#search-area input').click(function() {
		$(this).select();
	});
	
	{# Assigning action for side panel sections open/close to search title #}
	$(this.getScopeSelector()).find('.menu-group-title-text,.menu-icon-group').click(function() {
		var myGroup = $(iM.getScope(this).getScopeSelector());
		var myGroupIcon = $(this).parent().children('.menu-icon-group');
		var myGroupContent = myGroup.children('.menu-group-content');
		if (myGroupContent.css('display')=="none") {
			$('.menu-group-title').parent().children('.menu-group-content').not("#search_container.menu-group-content").slideUp();
			$('.menu-group-title').children('.menu-icon-group').css('background-position',"0px 0px");
			myGroupContent.slideDown();
			myGroupIcon.css('background-position',"0px -16px");
		} {# else {
			myGroupContent.slideUp();
			myGroupIcon.css('background-position',"0px 0px");		
		} #}
	});

	{# Following function is called whenever instance is loaded #}
	this.onLoad=function(){
	}
	
	{# Following function is called to init search conditions #}
	this.searchInit = function(){
		var query_where = '';
		if($('#search-area input').val() == ""){
			rM.log("Skipping search because no keywords given","warn");
			return;
		}
		//Initializing query conditions over keywords
		var keywords = $('#search-area input').val().split(" ");
		var keywords_query_elements = new Array();
		for(var i in keywords){
			keywords_query_elements.push("D_O.NAME LIKE '%" + keywords[i] + "%' OR D_O.DESCRIPTION LIKE '%" + keywords[i] + "%' OR D_O.MSP LIKE '%" + keywords[i] + "%'");
		}
		query_where += "((" +  keywords_query_elements.join(") AND (") + "))";
		
		{# Adding common conditions #}
		query_where += (wM.expertMode ? "" : " AND " + this.search_filter_is_visible) + " AND " + this.search_filter_owned_by;
		{# Adding filter passed as argument #}
		if(this.search_filter_condition != null){
			query_where += " AND (" + this.search_filter_condition + ")";
		}
		
		{# Hiding by default all toolbar buttons and resetting selection #}
		//this.toolbarButtonShowHide("all",false);
		this.selectedItemIds = new Array();
		{# Preparing overall query and performing search #}
		var query=dbManager.protoSQLobjsFromKeys(null,query_where,this.search_order_by);
		this.searchPerform(query);
	}

	{# Following function sets filter condition #}
	this.searchSetFilterCondition = function(filter){
		this.search_filter_condition = filter;
	}
	
	{# Following function resets filter condition #}
	this.searchClearFilterCondition = function(){
		this.search_filter_condition = null;
	}
	
	{# Following function is called to perform a search #}
	this.searchPerform = function(query){
		dbManager.executeSQL(query,Math.random(),$.proxy(this.searchResultsSurrounding,this));
	}
	
	this.searchResultsSurrounding=function(result_array){
		var ids=new Array();
		for(var i in result_array)ids.push(result_array[i]['ID']);
		objM.getObjsSurrounding(ids.join(','),$.proxy(this.searchResultsRender,this,result_array));
	}
	
	{# Following function handles search results #}
	this.searchResultsRender = function(result_array){
		{# Binding search to droppable areas #}
		this.block_search_results.draggableOptions.connectDraggableTo='[id^=\'block_obj_\'][id$=\'_container_results\']:not([id^=\'block_obj_details\'])';
		this.block_search_results.draggableOptions.appendDraggableTo='body';

		{{ jsBlock({
			'operation':'render',
			'block_name':"block_search_results"
		}) }}
		
		{# Setting to editable with double clicks all the name labels #}
		$(this.getScopeSelector())
			.find('[id^=\'block_search_results_list_item_\']')
				.find('div#name')
					.each(function(){
						$(this).editable(function(sValue,oSettings){
							iM.getScope(this).updateItem( $(this).parent().attr('tag'), 'name', sValue );
							return sValue;
						}, {
							tooltip: $(this).html()+'\n'+'{{ getConstant('_DPAD_THEME_ADMIN_DOUBLECLICK_TO_EDIT')|encode4jscript }}',
							event: 'dblclick',
							onblur : 'submit'
						});
					});

		{# Setting number of items aside search title #}
		$(this.getScopeSelector()).find("#search_results_num").html(" (" + this.block_search_results.getResults({filter:true}).length + ")")
		
		{# Adjusting result set maximum height #}
		var scope_selector = $(this.getScopeSelector());
		var result_max_height = $('#template-column-left').height() - ($('#externalframe_search_container .menu-group-title').height() + $('#externalframe_tree_container .menu-group-title').height() + $("#search-keywords").height()) -2;

		scope_selector.find("#search-results").css('height', result_max_height + 'px');
		scope_selector.find("#block_search_results_container_results").css('height',(result_max_height - scope_selector.find("#search-results-toolbar").height() -1) + 'px');

		//Opening results area
		if($("#search-results-container").is(":visible")){
		} else {
			$(this.getScopeSelector()).find('#search-results-area .menu-group-content').show();
			$("#search-title").click();
		}
		this.search_performed = true;
	}
	
	this.searchResultRefresh = function()
	{
		if(this.search_performed)
		{
			this.block_search_results.draggableOptions.connectDraggableTo='[id^=\'block_obj_\'][id$=\'_container_results\']:not([id^=\'block_obj_details\'])';
			this.block_search_results.draggableOptions.appendDraggableTo='body';
			//this.block_search_results.render();
		}
	}

	{# This function shows or hides cover #}
	this.coverShowHide = function(flag)
	{
		if(flag)
			$(this.getScopeSelector()).find("#search_cover").show();
		else
			$(this.getScopeSelector()).find("#search_cover").hide();
	}
	
	{# This function handles click on search item(s) #}
	this.searchItemPressed = function(event,item_id)
	{
		{# Identifying item selector by given ID and skipping if not found #}
		var searchItem = this.searchItemGetById(item_id);
		if(searchItem.length == 0)
		{
			rM.log("No search item found with given ID (" + item_id + ")",warn,null,"scope.search.tpl","searchItemPressed");
			return;
		}
	
		{# Identifying corresponding object #}
		var searchItemObj = objM.getObj(item_id);
		if(!searchItemObj)
		{
			rM.log("No navigation tree item object found with given ID (" + item_id + ")",warn,null,"scope.search.tpl","searchItemPressed");
			return;
		}
		
		{# Updating selection #}
		if(!event.ctrlKey)
		{
		    this.selectedItemIds = new Array();
		    this.searchItemsDeHilightAll();
			this.searchItemHilight(item_id);
		}
		this.selectedItemIds.push(item_id);
		
		{# Enabling edit, clone and delete buttons if selected item is not system #}
		this.toolbarButtonShowHide("all",false);
		if(searchItemObj.owned_by != "SYSTEM"){
			this.toolbarButtonShowHide("edit",true);
			{# Enabling delete and clone buttons if selected items is not protected #}
			if( !searchItemObj.is_protected ){
				this.toolbarButtonShowHide("delete",true);
				this.toolbarButtonShowHide("clone",true);
			}
		}
	}

	this.searchItemGetById = function(item_id)
	{
	    return $(this.getScopeSelector()).find("[id*='_list_item_" + item_id + "']");
	}

	{# This function handles toolbar button pressed #}
	this.toolbarButtonPressed = function(button){
		this.updateSelectedItemIds();
		switch(button){
			case "delete":
				if( confirm('{{ getConstant('_DPAD_GENERAL_BLOCK_ACTION_TRASH_CONFIRM')|encode4jscript }}') ){
					for(var i in this.selectedItemIds){
						var currItemId = this.selectedItemIds[i];
						var _oCurrentObj=objM.getObj(currItemId);
						if( !_oCurrentObj.is_protected ){
							this.searchItemDelete(currItemId);
						} else {
							themeManager.showMessage( $.sprintf( rM.getConstant("_DPAD_DBCONSTANT_OBJECT_IS_PROTECTED" ), _oCurrentObj.name), "warn" );
						}
					}
					this.selectedItemIds = new Array();
				}
			break;
			case "edit":
				for(var i in this.selectedItemIds){
					var currItemId = this.selectedItemIds[i];
					this.searchItemEdit(currItemId);
				}
			break;
			case "addnew":
				for(var i in this.selectedItemIds){
					var currItemId = this.selectedItemIds[i];
					this.searchItemAddChild(currItemId);
				}
			break;
			case "clone":
				for(var i in this.selectedItemIds){
					var currItemId = this.selectedItemIds[i];
					var _oCurrentObj=objM.getObj(currItemId);
					if( !_oCurrentObj.is_protected ){
						objM.cloneObj(currItemId,$.proxy(this.objsCloneCallback,this));
					} else {
						themeManager.showMessage( $.sprintf( rM.getConstant("_DPAD_DBCONSTANT_OBJECT_IS_PROTECTED" ), _oCurrentObj.name), "warn" );
					}
				}
			break;
	    }
	}
	
	this.searchItemEdit = function(item_id)
	{
	    {# Identifying item selector by given ID and skipping if not found #}
	    var searchItem = this.searchItemGetById(item_id);
	    if(searchItem.length == 0)
	    {
		    rM.log("No search item found with given ID (" + item_id + ") for editing",warn,null,"scope.search.tpl","searchItemEdit");
		    return;
	    }
	
	    {# Identifying corresponding object #}
	    var searchItemObj = objM.getObj(item_id);
	    if(!searchItemObj)
	    {
		    rM.log("No search item object found with given ID (" + item_id + ") for editing",warn,null,"scope.search.tpl","searchItemEdit");
		    return;
	    }
	    
	    {# Opening corresponding edit page in workspace #}
	    var action = "iM.openInstance('../system/editobject.php?type="+searchItemObj.type+"&phpclass="+searchItemObj.phpclass+"|id=" + searchItemObj.id + "',null,null,'workspace');";
	    wM.tabCreateNew(searchItemObj.name,searchItemObj.id,action);
	}
	
	this.searchItemDelete = function(item_id)
	{
		var currItem = this.searchItemGetById(item_id);
		var searchItemObj = objM.getObj(item_id);
		
		if(searchItemObj.owned_by != "LOCAL")
		{
			themeManager.showMessage(printf(rM.getConstant("_DPAD_SYSTEM_PERMISSIONS_ERROR_GENERAL_PERMISSION_NOT_OWNED"),searchItemObj.name),"warn");
			return;
		}
		
		this.block_search_results.remove_row(item_id);
		wM.tabRemove(wM.tabGetByTag(item_id));
		objM.removeObj(item_id);
	    
		if(wM.selectedTag != null)
		{
		    this.searchItemHilight(wM.selectedTag);
		}
	}
	
	this.searchItemHilight = function(item_id)
	{
		var searchItem = this.searchItemGetById(item_id);
		searchItem.addClass("ui-multidraggable");

		if(!searchItem.children(".menu-node-mark-open").is(":visible"))
		{
		    searchItem.children(".menu-node-inline-edit").show();
		}
	}
	
	this.searchItemDeHilight = function(item_id)
	{
		var searchItem = this.searchItemGetById(item_id);
		searchItem.removeClass("ui-multidraggable");

		searchItem.children(".menu-node-inline-edit").hide();
	}
	
	this.searchItemMark = function(item_id,mark)
	{
	    var searchItem = this.searchItemGetById(item_id);
	    if(searchItem.length > 0)
	    {
		switch(mark)
		{
		    case "open":
			searchItem.find(".menu-node-mark-open").first().show();
			searchItem.find(".menu-node-inline-edit").first().hide();
			break;
		    case "save":
			searchItem.find(".menu-node-unsaved-changes").first().show();
			break;
		}
	    }
	}
	
	this.searchItemUnMark = function(item_id,mark)
	{
	    var searchItem = this.searchItemGetById(item_id);
	    if(searchItem.length > 0)
	    {
		switch(mark)
		{
		    case "open":
				searchItem.find(".menu-node-mark-open").first().hide();
				//if(searchItem.children("#name").hasClass("hilight"))
				if(searchItem.children("#name").hasClass("ui-multidraggable"))
				{
					searchItem.find(".menu-node-inline-edit").first().show();
				}
			break;
		    case "save":
				searchItem.find(".menu-node-unsaved-changes").first().hide();
			break;
		}
	    }
	}
	
	this.searchItemsDeHilightAll = function()
	{
	    $(this.getScopeSelector()).find(".ui-multidraggable").removeClass("ui-multidraggable");
		$(this.getScopeSelector()).find(".menu-node-inline-edit").hide();
	}
	
	{# This function shows or hides given toolbar button #}
	this.toolbarButtonShowHide = function(button_selector,show_flag)
	{
	    var toolbar = $(this.getScopeSelector()).find("#search-results-toolbar");
	    if(button_selector == "all")
		var button = toolbar.find(".toolbar-button");
	    else
		var button = toolbar.find("#toolbar-button-" + button_selector);
		
	    if(show_flag)
	    {
		button.show();
	    }
	    else
	    {
		button.hide();
	    }
	}
	
	{# This function duplicates selected object(s) #}
	this.objsClone = function()
	{
		rM.ajax({
			type:'POST',
			async:true,
			url:'../system/dpadaction.php',
			data:'op=clone&id=' + this.selectedItemIds.join("**"),
			success: $.proxy(this.objsCloneCallback,this),
			error: $.proxy(this.objsCloneCallback,this)
		});
	}

	this.objsCloneCallback=function(xml){
	{#
		var oXML=rM.XML(xml);
		var result=parseFloat(oXML.get('result'));
		if(result!=0){
			this.showMessage("{{getConstant('_DPAD_SYSTEM_DPADACTION_CLONE_ERROR')|encode4jscript}}",'error',10);
			return;
		}
	#}
		this.searchInit();
		iM.reloadInstance("../system/loadtemplate.php?tpl=navigation_tree",null,null,"tree");
	}
	
	{# This function returns a list of selected items #}
	this.updateSelectedItemIds = function()
	{
		this.selectedItemIds = new Array();
		$(this.getScopeSelector()).find(".ui-multidraggable").each(function(index,element){
			var itemId = $(this).attr("id").replace("block_search_results_list_item_","");
			iM.getScope(this).selectedItemIds.push(itemId);
		});
	}
	
	{# This function updates an item property #}
	this.updateItem = function(itemId,field,value)
	{
		objM.updateFieldObj(itemId,field,value);
		switch(field)
		{
			case 'name':
				wM.tabUpdateLabel(wM.tabGetByTag(itemId+''),value);
				$("[id='obj"+itemId+"_name']").val(value);
				break;
		}
	}
</jsScopeScripts>