{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
	{{ html_includejs("jsDpadBlock.js","js") }}
{% endblock %}

{% block block_customDeclarations %}
	this.step = {% if page.step %}{{page.step}}{% else %}2{% endif %};
	this.reboot_needed = false;
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
        if(!this.isInitialized)
        {
            {# Filling form with data by actual step #}
            this.formUpdateByStep(this.step);
	}

    {{parent()}}
{% endblock %}

{% block block_formValidate %}
	
	switch(this.step)
	{
		case 2:
		
			for(var i in formData)
			{
				var field_name = formData[i].name;
				var field_value = formData[i].value;
				
				switch(field_name)
				{
					case "update_file":
						if(field_value=="")
						{
							this.messageId = this.updateMessage(this.messageId,"{{ getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP2_MESSAGE_FILE_NOT_FOUND")|encode4jscript }}","warning",10);
							$(window).unbind('beforeunload.updateModule');
							this.userInteractionEnableDisable(true);
							return false;
						}
						break;
				}
			}
			
			this.advanceMessageShow("{{ getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP2_ADVANCE_MESSAGE")|encode4jscript }}");
			break;
	}
	
	{{ parent() }}	
	
{% endblock %}

{% block block_formButtonSubmit %}
	{# Adding Warning Message #}
	$(window).bind('beforeunload.updateModule', function(){return rM.getConstant('_DPAD_DBCONSTANT_WARNING_UPDATE_IN_PROGRESS');} );
	{# If workspace manager is not enabled, skipping #}
	if(!wM.enabled && skipEnableCheck != true)  return;
	this.userInteractionEnableDisable(false);
	{# Submitting form #}
	var myForm = this.forms[0];
	myForm.jForm.trigger('submit');
{% endblock block_formButtonSubmit %}

{% block block_formButtonSubmitCompleted %}
	{{ parent() }}
	$(window).unbind('beforeunload.updateModule');
	this.userInteractionEnableDisable(true);
{% endblock block_formButtonSubmitCompleted %}

{% block block_formSubmitCallback %}
	themeManager.waitplease_display(false);
	{# Enabling GESA #}
	themeManager.enableGESA(true);
	$(this.getScopeSelector()).find("#covering_div").hide();
	this.advanceMessageShowHide(false);
	if(responseText.result != "0"){
		this.messageId = this.updateMessage(this.messageId,'[#'+responseText.result+'] '+responseText.message,"warning",10);
		$(window).unbind('beforeunload.updateModule');
		this.userInteractionEnableDisable(true);
		return;
	}
	switch(parseInt(responseText.step))
	{
		case 3:
		
			if(parseInt(responseText.add_button)==0)
			{
				$(this.getScopeSelector()).find("#add_button").val("1");
				$(this.getScopeSelector()).find("#name_update_file").val(responseText.name_update_file);
				$(this.getScopeSelector()).find("#path_update_file").val(responseText.path_update_file);
				$(this.getScopeSelector()).find("#type_update_file").val(responseText.type_update_file);

				for(var i in responseText.package_content.modules)
				{
					var current_package_module = responseText.package_content.modules[i];
					if(parseInt(current_package_module.STATE)==3)
					{
						this.messageId = this.updateMessage(this.messageId,sprintf("{{ getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP3_ERROR_OBSOLETE_CONTENT_MESSAGE")|encode4jscript }}",rM.getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP3_ELEMENT_TYPE_" + current_package_module.TYPE),current_package_module.NAME),"warn",10);
						$(window).unbind('beforeunload.updateModule');
						this.userInteractionEnableDisable(true);
						this.step = 2;
						this.formUpdateByStep(2);
						return;
					}				
				}
				this.advanceMessageShow("{{ getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP3_ADVANCE_MESSAGE")|encode4jscript }}");
				this.formButtonSubmit(true);

				return;

			}
			else
			{
				this.formUpdateByStep(responseText.step,responseText);
				this.advanceMessageShow("{{ getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP4_ADVANCE_MESSAGE")|encode4jscript }}");
				this.formButtonSubmit(true);

			}
			
			break;
	
		case 4:
		case 5:
		case 6:
		
			this.hideMessage(this.messageId);
			this.formUpdateByStep(responseText.step,responseText);
			
			if(parseInt(responseText.result)==0)
				$(this.getScopeSelector()).find("#update_result_container").html(rM.getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP6_RESULT_OK"));
			else				
				$(this.getScopeSelector()).find("#update_result_container").html(rM.getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP6_RESULT_ERROR"));
	
			if(parseInt(responseText.reboot)==1)
			{
				$(this.getScopeSelector()).find("#update_reboot_container").html(rM.getConstant("_DPAD_DBCONSTANT_GENERAL_YES"));
				$(this.getScopeSelector()).find("#button_reboot").show();
				$(this.getScopeSelector()).find("#button_reload").hide();
				this.reboot_needed = 1;
			}
			else				
			{
				$(this.getScopeSelector()).find("#update_reboot_container").html(rM.getConstant("_DPAD_DBCONSTANT_GENERAL_NO"));
				$(this.getScopeSelector()).find("#button_reload").show();
				$(this.getScopeSelector()).find("#button_reboot").hide();
				this.reboot_needed = 0;
			}
				
			$(this.getScopeSelector()).find("#update_report_details").html(responseText.report);
			$(window).unbind('beforeunload.updateModule');
			this.userInteractionEnableDisable(true);

			var query = "SELECT VALUE FROM DPAD_WEB_CONFIGURATION WHERE NAME='custom_versioning'";
			dbManager.executeSQL(query,Math.random(),$.proxy(this.updateNewVersion,this));
			
			break;
	}
{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{parent()}}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

	this.formUpdateByStep = function(step,response)
	{
		if(step == 1)	step = 2;
		this.step = step;
		
		$(this.getScopeSelector()).find("#update_module_step_specific_content").html($(this.getScopeSelector()).find("#update_module_step" + step + "_form_content").html());
	
		switch(step)
		{
			case 2:		{# Packet upload #}
		
				{# Retrieving and showing actual version #}
				var query = "SELECT VALUE FROM DPAD_WEB_CONFIGURATION WHERE NAME='custom_versioning'";
				dbManager.executeSQL(query,Math.random(),$.proxy(this.updateActualVersion,this));
				
				break;
		}
	}
	
	this.updateActualVersion = function(result_array)
	{
		var actual_version = result_array[0]["VALUE"];
		$(this.getScopeSelector()).find("#update_module_actual_version").html(actual_version);
	}
	
	this.updateNewVersion = function(result_array)
	{
		var new_version = result_array[0]["VALUE"];
		$(this.getScopeSelector()).find("#update_new_version_container").html(new_version);
	
	}
	
	this.advanceMessageShow = function(message)
	{
		this.messageId = this.updateMessage(this.messageId,message,"info",1000);
		this.advanceMessageShowHide(true);
	}
	
	this.advanceMessageShowHide = function(show_flag)
	{
		if(show_flag)
			this.displayMessage(this.messageId);
		else
			this.hideMessage(this.messageId);
	}
	
	this.formButtonReboot = function()
	{
                var myForm = this.forms[0].jForm;
		myForm.ajaxSubmit({
			beforeSubmit:$.proxy(this.formValidate,this),
			success:$.proxy(this.formSubmitCallback,this),
			dataType:"json"
		});
	
		themeManager.showMessage("{{ getConstant("_DPAD_THEME_ADMIN_UPDATE_MODULE_STEP6_REBOOT_MESSAGE")|encode4jscript }}","info",60,null,null,true);
	
		themeManager.waitplease_display(true);
		this.userInteractionEnableDisable(false);
	}

	this.formButtonReload = function()
	{
		this.step = 2;
		this.formHasUnsavedChanges = false;
		this.formUpdateByStep(this.step);
	}
{% endblock %}

{% block block_existModifiedForms %}
	return true;
{% endblock %}
