{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
	{{ html_includejs("jsDpadBlock.js","js") }}
	{{ html_includejs("jquery.ui.sortable.js","js") }}
	{{ html_includejs("jquery.scrollTo.js","js") }}
{% endblock %}

{% block block_customDeclarations %}
	this.allowedTypes = new Array();
        this.objectTypeActions = new Array();
        this.editedListItemId = 0;
        
        {{ jsBlock({
		'operation':"declaration",
		'block_name':"block_voice_actions",
		'isSortable':'true',
		'block_render_container_selector':"this.getScopeSelector()+' #voice_actions_container'",
		'prototype_container':"$(this.getScopeSelector()).find('#block_voice_actions_container_prototype').html();",
		'prototype_header':"$(this.getScopeSelector()).find('#block_voice_actions_header_prototype > tbody').html();",
		'prototype_item':"$(this.getScopeSelector()).find('#block_voice_actions_item_prototype > tbody').html();"
	}) }}
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);
        {# Starting load chain #}
        this.allowedTypesLoad();
{% endblock %}


{% block block_formValidate %}{% endblock %}
{% block block_formButtonSubmit %}{% endblock %}
{% block block_formButtonSubmitCompleted %}{% endblock %}
{% block block_formSubmitCallback %}{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{ parent() }}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

    {# This function loads allowed types#}
    this.allowedTypesLoad = function(){
        var query = "SELECT * FROM DPAD_VOICE_ALLOWED_OBJECT_TYPES";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.allowedTypesLoadCallback,this));
    }
    this.allowedTypesLoadCallback = function(result_array){
        
        this.allowedTypes = result_array;
        this.objectTypeActionsLoad();
    }
    
    this.objectTypeActionsLoad = function()
    {
        var query = "SELECT TYPE,ALLOWED_ACTIONS FROM DPADD_OBJECT_TYPES";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.objectTypeActionsLoadCallback,this));
    }
    this.objectTypeActionsLoadCallback = function(result_array){
        
        for(var i in result_array)
        {
            var objectType = result_array[i]["TYPE"];
            var objectTypeActions = result_array[i]["ALLOWED_ACTIONS"];
            this.objectTypeActions[objectType] = objectTypeActions.split("|");
        }
        this.actionsLoad();
    }
    
    
    {# This function loads actions #}
    this.actionsLoad = function(){
        var query = "SELECT ID,NAME FROM DPAD_VOICE_ACTION";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.actionsInit,this));
    }
    this.actionsInit = function(result_array){
        
        this.actions[0] = "---";
        for(var i in result_array)
        {
            this.actions[result_array[i]["ID"]] = result_array[i]["NAME"];
        }
        
        this.keywordsLoad();
    }
    
    {# This function loads actions #}
    this.actionsLoad = function(){
        var query = "SELECT * FROM DPAD_VOICE_ACTION ORDER BY PRIORITY DESC";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.actionsInit,this));
    }
    this.actionsInit = function(result_array){
        {{ jsBlock({
                'operation':'render',
                'block_reference_id':'this.id',
                'block_name':'block_voice_actions'
        }) }}
        
        if(this.editedListItemId!=0)    $("#template-content-work").scrollTo("#block_voice_actions_list_item_" + this.editedListItemId);
    }
    
    {# This function adds a new action #}
    this.actionAddNew = function(){
        var query = "INSERT INTO DPAD_VOICE_ACTION(NAME,CATEGORY,CHANNEL,ACTION,ACTION_VALUE,ALLOWED_TYPES,OBJECT_ID,PRIORITY) VALUES('','OBJECT',NULL,NULL,NULL,NULL,NULL,0)";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.actionAddNewCallback,this));
    }
    
    this.actionAddNewCallback = function(result_array){
        this.block_voice_actions.add_row({
                "NAME":"",
                "CATEGORY":"OBJECT",
                "CHANNEL":"",
                "ACTION":"",
                "ACTION_VALUE":"",
                "ALLOWED_TYPES":"",
                "OBJECT_ID":"",
                "PRIORITY":"0"
        });
        this.block_voice_actions.render_row(this.block_voice_actions.row_array.length-1);
    }
    
    this.actionRemove = function(blockObjVarName,actionId){
        var query = "DELETE FROM DPAD_VOICE_ACTION WHERE ID='" + actionId + "'";
	dbManager.executeSQL(query,Math.random(),$.proxy(this.actionRemoveCallback,this));
        this.block_voice_actions.remove_row(actionId);
    }
    
    this.actionRemoveCallback = function(result_array){}
    
    this.updateActionField = function(actionId,field,fieldValue){
        this.editedListItemId = actionId;
        var query = "UPDATE DPAD_VOICE_ACTION SET " + field + " = '" + fieldValue + "' WHERE ID='" + actionId + "'";
	dbManager.executeSQL(query,Math.random(),$.proxy(this.updateActionFieldCallback,this));
    }
    
    this.updateActionFieldCallback = function(result_array){
        this.actionsLoad();
    }
    
    this.getChannels = function(category)
    {
        var channels;
        switch(category)
        {
            case "OBJECT":
                channels = {"":"{{getConstant('_DPAD_GENERAL_ALL')}}","SOCKET":"{{getConstant('_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_CHANNEL_SOCKET')}}","DB":"{{getConstant('_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_CHANNEL_DB')}}"};
                break;
            case "NOTIFY":
            default:
                channels = {};
                break;
        }
        return $.toJSON(channels);
    }

    this.getAllowedTypes = function(category)
    {
        var allowedTypes = {};
        allowedTypes[""] = "{{getConstant("_DPAD_GENERAL_ALL")}}";
        for(var i in this.allowedTypes)
        {
            var allowedType = this.allowedTypes[i]["TYPE"];
            var allowedTypeTokens = allowedType.split("|");
            var allowedTypeCategories = this.allowedTypes[i]["CATEGORIES"];
            if(allowedTypeCategories.indexOf(category)!=-1)
            {
                var allowedTypeStrings = new Array();
                for(var j in allowedTypeTokens)
                {
                    allowedTypeStrings.push(rM.getConstant("_DPAD_DBCONSTANT_TYPE_" + allowedTypeTokens[j]));
                }
                allowedTypes[allowedType] = allowedTypeStrings.join(", ");
            }
        }
        return $.toJSON(allowedTypes);
    }

    this.getActions = function(category,allowedTypesString)
    {
        var allowedTypes = allowedTypesString.split(",");
        var actions = {};
        actions[""] = "{{getConstant("_DPAD_GENERAL_ALL")}}";
        switch(category)
        {
            case "OBJECT":
                for(var i in allowedTypes)
                {
                    var allowedType = allowedTypes[i];
                    var allowedTypeActions = this.objectTypeActions[allowedType];
                    
                    for(var j in allowedTypeActions)
                    {
                        var allowedTypeAction = allowedTypeActions[j];
                        if(allowedTypeAction != "") actions[allowedTypeAction] = rM.getConstant("_DPAD_SYSTEM_MANAGER_RELATION_ACTION_" + allowedTypeAction);
                    }
                    
                }
                break;
            default:
                break;
        }
        return $.toJSON(actions);
    }
    
    this.getActionValueDisplay = function(category,action)
    {
        switch(category)
        {
            case "OBJECT":
                switch(action)
                {
                    case "SETVALUE":
                        return "block";
                        break;
                    default:
                        return "none";
                        break;
                }
                break;
            default:
                return "none";
        }
    }
    
    this.getObjectIdValueDisplay = function(category,action)
    {
        switch(category)
        {
            case "OBJECT":
                return "block";
                break;
            default:
                return "none";
                break;
        }
    }
    
{% endblock %}

{% block block_existModifiedForms %}
    return true;
{% endblock %}
