{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
	{{ html_includejs("jsDpadBlock.js","js") }}
	{{ html_includejs("jquery.ui.sortable.js","js") }}
{% endblock %}

{% block block_customDeclarations %}
        
        {{ jsBlock({
		'operation':"declaration",
		'block_name':"block_voice_ignores",
		'isSortable':'true',
		'block_render_container_selector':"this.getScopeSelector()+' #voice_ignores_container'",
		'prototype_container':"$(this.getScopeSelector()).find('#block_voice_ignores_container_prototype').html();",
		'prototype_header':"$(this.getScopeSelector()).find('#block_voice_ignores_header_prototype > tbody').html();",
		'prototype_item':"$(this.getScopeSelector()).find('#block_voice_ignores_item_prototype > tbody').html();"
	}) }}
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);
        {# Loading actions #}
        this.ignoresLoad();
{% endblock %}


{% block block_formValidate %}{% endblock %}
{% block block_formButtonSubmit %}{% endblock %}
{% block block_formButtonSubmitCompleted %}{% endblock %}
{% block block_formSubmitCallback %}{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{ parent() }}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

    {# This function loads ignores #}
    this.ignoresLoad = function(){
        var query = "SELECT * FROM DPAD_VOICE_IGNORE WHERE LANGUAGE IN ('*','{{page.current_language}}')";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.ignoresInit,this));
    }
    this.ignoresInit = function(result_array){
        {{ jsBlock({
                'operation':'render',
                'block_reference_id':'this.id',
                'block_name':'block_voice_ignores'
        }) }}
    }
    
    {# This function adds a new keyword #}
    this.ignoreAddNew = function(){
        var query = "INSERT INTO DPAD_VOICE_IGNORE(KEYWORD,LANGUAGE) VALUES('','{{page.current_language}}')";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.ignoreAddNewCallback,this));
    }
    
    this.ignoreAddNewCallback = function(result_array){
        this.block_voice_ignores.add_row({
                "KEYWORD":"",
                "LANGUAGE":"{{page.current_language}}"
        });
        this.block_voice_ignores.render_row(this.block_voice_ignores.row_array.length-1);
    }
    
    this.ignoreRemove = function(blockObjVarName,ignoreId){
        var query = "DELETE FROM DPAD_VOICE_IGNORE WHERE ID='" + ignoreId + "'";
	dbManager.executeSQL(query,Math.random(),$.proxy(this.ignoreRemoveCallback,this));
        this.block_voice_ignores.remove_row(ignoreId);
    }
    
    this.ignoreRemoveCallback = function(result_array){}
    
    this.updateIgnoreField = function(ignoreId,field,fieldValue){
        var query = "UPDATE DPAD_VOICE_IGNORE SET " + field + " = '" + fieldValue + "' WHERE ID='" + ignoreId + "'";
	dbManager.executeSQL(query,Math.random(),$.proxy(this.updateIgnoreFieldCallback,this));
    }
    
    this.updateIgnoreFieldCallback = function(result_array){
        //this.keywordsLoad();
    }
    
{% endblock %}

{% block block_existModifiedForms %}
    return true;
{% endblock %}
