{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
	{{ html_includejs("jsDpadBlock.js","js") }}
	{{ html_includejs("jquery.ui.sortable.js","js") }}
{% endblock %}

{% block block_customDeclarations %}
	this.actions = new Array();
        
        {{ jsBlock({
		'operation':"declaration",
		'block_name':"block_voice_keywords",
		'isSortable':'true',
		'block_render_container_selector':"this.getScopeSelector()+' #voice_keywords_container'",
		'prototype_container':"$(this.getScopeSelector()).find('#block_voice_keywords_container_prototype').html();",
		'prototype_header':"$(this.getScopeSelector()).find('#block_voice_keywords_header_prototype > tbody').html();",
		'prototype_item':"$(this.getScopeSelector()).find('#block_voice_keywords_item_prototype > tbody').html();"
	}) }}
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);
        {# Loading actions #}
        this.actionsLoad();
{% endblock %}


{% block block_formValidate %}{% endblock %}
{% block block_formButtonSubmit %}{% endblock %}
{% block block_formButtonSubmitCompleted %}{% endblock %}
{% block block_formSubmitCallback %}{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{ parent() }}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

    {# This function loads actions #}
    this.actionsLoad = function(){
        var query = "SELECT ID,NAME FROM DPAD_VOICE_ACTION";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.actionsInit,this));
    }
    this.actionsInit = function(result_array){
        
        this.actions[0] = "---";
        for(var i in result_array)
        {
            this.actions[result_array[i]["ID"]] = result_array[i]["NAME"];
        }
        
        this.keywordsLoad();
    }
    
    {# This function loads keywords #}
    this.keywordsLoad = function(){
        var query = "SELECT K.*,KA.ID_ACTION AS ACTION_ID FROM DPAD_VOICE_KEYWORD K LEFT OUTER JOIN DPAD_VOICE_KEYWORD_ACTION KA ON KA.ID_KEYWORD = K.ID LEFT OUTER JOIN DPAD_VOICE_ACTION A ON A.ID = KA.ID_ACTION WHERE K.LANGUAGE IN ('*','{{page.current_language}}') ORDER BY A.PRIORITY DESC,A.ID ASC";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.keywordsInit,this));
    }
    this.keywordsInit = function(result_array){
        {{ jsBlock({
                'operation':'render',
                'block_reference_id':'this.id',
                'block_name':'block_voice_keywords'
        }) }}
    }
    
    {# This function adds a new keyword #}
    this.keywordAddNew = function(){
        var query = "INSERT INTO DPAD_VOICE_KEYWORD(KEYWORD,FEEDBACK,LANGUAGE) VALUES('','','*')";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.keywordAddNewCallback,this));
    }
    
    this.keywordAddNewCallback = function(result_array){
        this.block_voice_keywords.add_row({
                "KEYWORD":"",
                "FEEDBACK":"",
                "LANGUAGE":"{{page.current_language}}",
                "ACTION_ID":0
        });
        this.block_voice_keywords.render_row(this.block_voice_keywords.row_array.length-1);
    }
    
    this.keywordRemove = function(blockObjVarName,keywordId){
        var query = "DELETE FROM DPAD_VOICE_KEYWORD WHERE ID='" + keywordId + "'";
	dbManager.executeSQL(query,Math.random(),$.proxy(this.keywordRemoveCallback,this));
        this.block_voice_keywords.remove_row(keywordId);
    }
    
    this.keywordRemoveCallback = function(result_array){}
    
    this.updateKeywordField = function(keywordId,field,fieldValue){
        var query = "UPDATE DPAD_VOICE_KEYWORD SET " + field + " = '" + fieldValue + "' WHERE ID='" + keywordId + "'";
	dbManager.executeSQL(query,Math.random(),$.proxy(this.updateKeywordFieldCallback,this));
    }
    
    this.updateKeywordFieldCallback = function(result_array){
        //this.keywordsLoad();
    }
    
    this.getActions = function()
    {
        return $.toJSON(this.actions);
    }
    
    this.updateKeywordAction = function(keywordId,actionId)
    {
        var query = "";
        
        //Removing any eventual existing relation between keyword and action(s)
        query += "DELETE FROM DPAD_VOICE_KEYWORD_ACTION WHERE ID_KEYWORD='"+keywordId+"';";
        
        //If action is given, adding new relation between keyword and action
        if(actionId != "" && actionId != "0")
        {
            query += "INSERT INTO DPAD_VOICE_KEYWORD_ACTION (ID_KEYWORD,ID_ACTION) VALUES('"+keywordId+"','"+actionId+"');";
        }
        
        //Executing query(s)
	dbManager.executeSQL(query,Math.random(),$.proxy(this.updateKeywordActionCallback,this));
    }
    this.updateKeywordActionCallback = function(result_array){}
    
{% endblock %}

{% block block_existModifiedForms %}
    return true;
{% endblock %}
