{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
    {{ parent() }}
    {{ html_includejs("jsDpadBlock.js","js") }}
    {{ html_includejs("jquery.ui.sortable.js","js") }}
    {{ html_includejs("jquery.scrollTo.js","js") }}
{% endblock %}

{% block block_customDeclarations %}
        
        this.logPollTimeout = 1;
        this.logPollTimeoutHandler;
        this.logPollEnable = true;
        
        {{ jsBlock({
		'operation':"declaration",
		'block_name':"block_voice_log",
		'isSortable':'true',
		'block_render_container_selector':"this.getScopeSelector()+' #voice_log_container'",
		'prototype_container':"$(this.getScopeSelector()).find('#block_voice_log_container_prototype').html();",
		'prototype_header':"$(this.getScopeSelector()).find('#block_voice_log_header_prototype > tbody').html();",
		'prototype_item':"$(this.getScopeSelector()).find('#block_voice_log_item_prototype > tbody').html();"
	}) }}
{% endblock %}

{% block block_onLoad_pageInit %}{% endblock %}
{% block block_onLoad %}
	{# Showing/hiding elements depending on currently expert mode #}
	wM.expertModeToggle(wM.expertMode,true);
        {# Loading actions #}
        this.logLoad();
{% endblock %}

{% block block_onUnload %}
    this.logPollStop();
{% endblock block_onUnload %}

{% block block_formValidate %}{% endblock %}
{% block block_formButtonSubmit %}{% endblock %}
{% block block_formButtonSubmitCompleted %}{% endblock %}
{% block block_formSubmitCallback %}{% endblock %}

{% block block_formButtonClose %}
{# If workspace manager is not enabled, skipping #}
if(!wM.enabled && skipEnableCheck != true)  return;
{{ parent() }}
{# Closing tab corresponding to current page #}
wM.tabRemove(this.getTab());
{% endblock %}

{% block block_customFunctions %}
{% include "include.workspace_page_functions.tpl" %}

    {# This function loads log #}
    this.logLoad = function(){

        this.logPollStop();

        var query = "SELECT * FROM DPAD_VOICE_LOG ORDER BY DATETIME ASC LIMIT 0,100";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.logInit,this));
    }
    this.logInit = function(result_array){
        {{ jsBlock({
                'operation':'render',
                'block_reference_id':'this.id',
                'block_name':'block_voice_log'
        }) }}
        
        {# Scrolling to the end of page #}
        $("#template-content-work").scrollTo("100%");
        
        {# Starting polling on log #}
        this.logPollStart();
    }

    {# This function looks for more recent log items #}
    this.logPoll = function()
    {
        {# Determining last retrieved item #}
        var logBlockItems = $(this.getScopeSelector()).find("tr[id*='block_voice_log_list_item']:last");
        var lastLogId = 0;
        if(logBlockItems.length>0)
            var lastLogId = parseInt(logBlockItems.prop("id").replace("block_voice_log_list_item_",""));
        
        {# Asking for new log items #}
        var query = "SELECT * FROM DPAD_VOICE_LOG WHERE ID > '"+lastLogId+"' ORDER BY DATETIME ASC LIMIT 0,10";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.logPollCallback,this));
    }
    
    this.logPollCallback = function(result_array){

        {# Adding log items row by row to block #}
        for(var i in result_array)
        {
            var logItem = result_array[i];
            this.block_voice_log.add_row({
                    "ID":logItem["ID"],
                    "DATETIME":logItem["DATETIME"],
                    "LEVEL":logItem["LEVEL"],
                    "MESSAGE":logItem["MESSAGE"]
            });
            this.block_voice_log.render_row(this.block_voice_log.row_array.length-1);
        }
        
        {# Scrolling to last row #}
        if(result_array.length > 0) $("#template-content-work").scrollTo("#block_voice_log_list_item_" + logItem["ID"]);
        
        {# Iterating #}
        this.logPollTimeoutHandler = setTimeout(this.getScope(true) + ".logPoll()",this.logPollTimer * 1000);
    }
    
    {# This function stops log polling #}
    this.logPollStop = function()
    {
        clearTimeout(this.logPollTimeoutHandler);
    }
    
    {# This function starts log polling #}
    this.logPollStart = function()
    {
        this.logPollEnable = true;
        this.logPoll();
    }
    
    {# This function removes a given log item from DB #}
    this.logRemove = function(blockObjVarName,logId){
        var query = "DELETE FROM DPAD_VOICE_LOG WHERE ID='" + logId + "'";
	dbManager.executeSQL(query,Math.random(),$.proxy(this.logRemoveCallback,this));
        this.block_voice_log.remove_row(logId);
    }
    
    this.logRemoveCallback = function(result_array){}
    
    {# This function clears entire log #}
    this.logClear = function()
    {
        var query = "DELETE FROM DPAD_VOICE_LOG";
        dbManager.executeSQL(query,Math.random(),$.proxy(this.logClearCallback,this));
    }
    this.logClearCallback = function(result_array)
    {
        this.logLoad();
    }
    
{% endblock %}

{% block block_existModifiedForms %}
    return true;
{% endblock %}
