{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'description':{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'msp':{
			"type":"textbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_BENTEL_AREA_DETAILS_MSP"),
			"mode":"base",
			"category":"general",
			"visible":true
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{% block block_layout_children %}
	<div id="block_obj_zone_relation_div"></div>
{% endblock block_layout_children %}

{% block block_children %}
	{% block block_children_generic %}{% endblock block_children_generic %}
	{% block block_children_zone %}
	<div>
		{% set blockTitleId = "zone_relation" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_ZONE_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_ZONE_GENERIC_HELP") %}
		{% set blockSearchFilter = "1" %}
		{% set blockInitState = "opened" %}
		{% set blockColumnName = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"40%","type":"textbox","visible":true,"mode":"base"} %}
		{% set blockColumnDescription = {"dbField":"description","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),"width":"30%","type":"label","visible":true,"mode":"base"} %}
		{% set blockColumnValue = {"dbField":"current_value","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_VALUE"),"width":"15%","align":"center","htmlCustom":jsHtmlIf("'"~jsHtmlData('type')~"'!='CAMERA'",jsHtmlObj("render('list',{prototype:'<{field:current_value|jselement:label}>'})"),""),"visible":true,"mode":"base"} %}
		{% set blockColumnMsp = {"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_MSP"),"width":"9%","type":"label","value":jsHtmlObj('getFormattedMsp()'),"visible":true,"mode":"base"} %}
		{% set blockColumnPhpclass = {"dbField":"phpclass","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_TYPE"),"width":"15%","type":"label","visible":true,"mode":"expert","align":"center","value":jsHtmlFunc("rM.getConstant('_DPAD_DBCONSTANT_WEBPHPCLASS_'+String('" ~ jsHtmlObj('phpclass') ~ "').toUpperCase())")} %}
		{% set blockColumnEnableFlag = {"dbField":"enable_flag","origin":"db","label":getConstant("_DPAD_SYSTEM_EDITOBJECT_DETAILS_ENABLE_FLAG"),"width":"3%","type":"checkbox","visible":true,"align":"center","mode":"expert","onChange":"objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'enable_flag',jQuery(this).is(':checked')?'1':'0');"} %}
		{% set blockColumnIsVisible = {"dbField":"is_visible","origin":"db","label":getConstant("_DPAD_SYSTEM_EDITOBJECT_DETAILS_IS_VISIBLE"),"width":"3%","type":"checkbox","visible":true,"align":"center","mode":"expert","onChange":"objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'is_visible',jQuery(this).is(':checked')?'1':'0');iM.getScope(this).rowVisibleUpdate('" ~ jsHtmlBlock('name') ~ "_list_item_" ~ jsHtmlRowRelation('id') ~ "',jQuery(this).is(':checked')?true:false)"} %}
		{% set blockColumns = {"name":blockColumnName,"description":blockColumnDescription,"current_value":blockColumnValue,"msp":blockColumnMsp,"phpclass":blockColumnPhpclass,"is_visible":blockColumnIsVisible,"enable_flag":blockColumnEnableFlag} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_zone %}

{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = {
		"id":"zone_relation",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "' && datas.obj.phpclass=='" ~ getConstant("_DPAD_BENTEL_PHPCLASS_BENTELZONE") ~ "'",
		"drop_accept_expression":"obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "' && obj.phpclass=='" ~ getConstant("_DPAD_BENTEL_PHPCLASS_BENTELZONE") ~ "'"
	}|pushInto(blocks,"zone_relation") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}