{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'description':{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'msp':{
			"type":"textbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_BENTEL_ZONE_DETAILS_MSP"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'is_writable':{
			"type":"checkbox",
			"dbField":"is_writable",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_WRITABLE"),
			"mode":"expert",
			"category":"flags",
			"visible":true
		},
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{% block block_layout_parents %}
	<div id="block_obj_parents_areas_div"></div>
	{{ parent() }}
{% endblock block_layout_parents %}

{% block block_parents %}
	{% block block_parents_areas %}
	<div>
		{% set blockTitleId = "parents_areas" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_AREAS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_AREAS_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "D_O.TYPE='" ~ getConstant("_DPAD_CLASS_TYPE_BENTELAREA") ~ "'" %}
		{% set blockColumnName = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"40%","type":"textbox","visible":true} %}
		{% set blockColumnDescription = {"dbField":"description","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),"width":"70%","type":"textbox","visible":true} %}
		{% set blockColumns = {"name":blockColumnName,"description":blockColumnDescription} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_parents_areas %}
	{{ parent() }}
{% endblock block_parents %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = {
		"id":"parents_areas",
		"relation_type":"child_parent",
		"filter_expression":"datas.obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "' && datas.obj.phpclass=='" ~ getConstant("_DPAD_BENTEL_PHPCLASS_BENTELAREA") ~ "'",
		"drop_accept_expression":"obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "' && obj.phpclass=='" ~ getConstant("_DPAD_BENTEL_PHPCLASS_BENTELAREA") ~ "'"
	}|pushInto(blocks,"parents_areas") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}