{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% if detailsFields is empty %}
		{% set detailsFields = {
			'name':{
				"type":"textbox",
				"dbField":"name",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
				"mode":"base",
				"category":"general",
				"visible":true
			},
			'description':{
				"type":"textbox",
				"dbField":"description",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),
				"mode":"expert",
				"category":"general",
				"visible":true
			}
		} %}
	{% endif %}
	{{ parent() }}
	
	{% import "tool.html.tpl" as draw %}
	{% set _configurationList %}
		{% block block_CS %}
		{% endblock block_CS %}
	{% endset %}
	{% set _configurationList=_configurationList|json_decode %}
	{% for processType,processElement in _configurationList %}
		{% for CSName,CSElement in processElement.CSs %}
			{% set _fieldSetId='CSconf_' ~ CSElement.name ~ '_' ~ jsHtmlObj('id') %}
			<fieldset id="{{ _fieldSetId }}" mode="base" enabled="true" >
			<legend>{{ CSElement.description }}</legend>
				{% for optionName,option in CSElement.options %}
					<div class="field-line" category="{{ _fieldSetId }}" mode="base" enabled="true" >
						<label>{{ option.description }}</label>
						{% set _optionId='option_' ~ option.name %}
						{{ draw.html({
							'draw_as':option.as,
							'id':_optionId,
							'value':option.defaultValue,
							'options':option.options,
							'themeSrc':theme.datas.current_baseurl,
							'onChange':"iM.getScope(this).updateOption('" ~ option.name ~ "',drawM.getValue('" ~ _optionId~ "',iM.getScope(this).getScopeSelector()));",
							'onKeyPress':"if(iM.getScope(this).detect_enter_keypress(event))iM.getScope(this).updateOption('" ~ option.name ~ "',drawM.getValue('" ~ _optionId ~ "',iM.getScope(this).getScopeSelector()));"
						}) }}
						<div class="template-clear"></div>
					</div>
				{% endfor %}
			</fieldset>
		{% endfor %}
	{% endfor %}
{% endblock block_details_content_fields %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_children_generic"></div>
{% endblock %}

{% block block_children %}
	{% block block_children_generic %}
	<div>
		{% set blockTitleId = "children_generic" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SYSTEM_CHILDREN_GENERIC_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SYSTEM_CHILDREN_GENERIC_TITLE_HELP") %}
		{% set blockSearchFilter = '' %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"50%","type":"textbox","visible":true},
			'description':{"dbField":"description","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),"width":"50%","type":"textbox","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_generic %}
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"children_generic":{
			"id":"children_generic",
			"relation_type":"parent_child"
		}
	} %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}

{% block block_details_header_actionButtons_customButtons %}
<input id="button_reboot" type="button" class="field-button-green" value="{{ getConstant('_DPAD_DBCONSTANT_GENERAL_UPDATE_CONFIGURATION') }}" onclick="iM.getScope(this).reloadCSService()" />
{% endblock block_details_header_actionButtons_customButtons %}

{% block block_details_actionButtons_customButtons %}
<input id="button_reboot" type="button" class="field-button-green" value="{{ getConstant('_DPAD_DBCONSTANT_GENERAL_UPDATE_CONFIGURATION') }}" onclick="iM.getScope(this).reloadCSService()" />
{% endblock block_details_actionButtons_customButtons %}