{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_CONDITION_DPADCONDITION_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		"name":{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"description":{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'condition_with':{
			"id":"obj" ~ jsHtmlData('id') ~ "-condition-reference",
			"type":"drop",
			"mode":"base",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONDITION_REFERENCE"),
			"category":"logic",
			"visible":true,
			"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))iM.getScope(this)._updateOnTextChange($(this));",
			"onChange":"objM.getObj(" ~ jsHtmlData('id') ~ ").setCompareReference( drawM.getValue('obj" ~ jsHtmlData('id') ~ "-condition-reference',iM.getScope(this).getScopeSelector()) );",
			"value":jsHtmlObj('getCompareReference()'),
			"customAs":"drop"
		},
		"condition_operation":{
			"id":"obj" ~ jsHtmlData('id') ~ "-condition-operation",
			"type":"select",
			"options":{
				"<)":getConstant("_DPAD_LOGIC_EDIT_MSP_MINOR"),
				">(":getConstant("_DPAD_LOGIC_EDIT_MSP_GREATER"),
				">[":getConstant("_DPAD_LOGIC_EDIT_MSP_GREATER_EQUAL"),
				"<]":getConstant("_DPAD_LOGIC_EDIT_MSP_MINOR_EQUAL"),
				"==":getConstant("_DPAD_LOGIC_EDIT_MSP_EQUAL"),
				"()":getConstant("_DPAD_LOGIC_EDIT_MSP_BETWEEN_EXCLUDED"),
				"[]":getConstant("_DPAD_LOGIC_EDIT_MSP_BETWEEN_INCLUDED"),
				")(":getConstant("_DPAD_LOGIC_EDIT_MSP_EXTERNAL_EXCLUDED"),
				"][":getConstant("_DPAD_LOGIC_EDIT_MSP_EXTERNAL_INCLUDED")
			},
			"value":jsHtmlObj('getCompareOperation()'),
			"onChange":"objM.getObj(" ~ jsHtmlData('id') ~ ").setCompareOperation( drawM.getValue('obj" ~ jsHtmlData('id') ~ "-condition-operation',iM.getScope(this).getScopeSelector()) );iM.getScope(this)._updateConditionUI();",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONDITION_FIELD_MSP_OPERATION"),
			"mode":"base",
			"category":"logic",
			"visible":true
		},
		'condition-against-item-sx':{
			"id":"obj" ~ jsHtmlData('id') ~ "-condition-against-item-sx",
			"type":"customOrTextbox",
			"mode":"base",
			"label":"",
			"category":"logic",
			"visible":true,
			"value":jsHtmlObj('getCompareFrom()'),
			"onChange":"objM.getObj(" ~ jsHtmlData('id') ~ ").setCompareFrom( drawM.getValue('obj" ~ jsHtmlData('id') ~ "-condition-against-item-sx',iM.getScope(this).getScopeSelector()) );",
			"customAs":"drop",
			"validate":"numeric"
		},
		'condition-against-item-dx':{
			"id":"obj" ~ jsHtmlData('id') ~ "-condition-against-item-dx",
			"type":"customOrTextbox",
			"mode":"base",
			"label":"",
			"category":"logic",
			"visible":true,
			"value":jsHtmlObj('getCompareTo()'),
			"onChange":"objM.getObj(" ~ jsHtmlData('id') ~ ").setCompareTo( drawM.getValue('obj" ~ jsHtmlData('id') ~ "-condition-against-item-dx',iM.getScope(this).getScopeSelector()) );",
			"customAs":"drop",
			"validate":"numeric"
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}

{% block block_layout %}
	<div id="block_obj_details_div"></div>
	<div id="block_obj_parents_div">
	{% block block_layout_parents %}
		<div id="block_obj_parents_group_div"></div>
	{% endblock block_layout_parents %}
	</div>
	<div id="block_obj_children_div">
	{% block block_layout_children %}
		<div id="block_obj_condition_output_div"></div>
	{% endblock block_layout_children %}
	</div>
{% endblock block_layout %}

{% block block_children %}
	<div>
		{% set blockTitleId = "condition_output" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_ACTIONS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_ACTIONS_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"40%",
				"type":"textbox",
				"visible":true
			},
			"relation_condition":{
				"dbField":"relation_condition",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_RELATIONS_CONDITION"),
				"width":"20%",
				"type":"select_custom",
				"visible":true,
				"options":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions('associative').options")
			},
			"action":{
				"dbField":"action",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION"),
				"width":"20%","type":"select_custom",
				"visible":true,
				"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActions('associative')")
			},
			"action_value":{
				"dbField":"action_value",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION_VALUE"),
				"width":"20%",
				"type":"customOrTextbox",
				"visible":true,
				"min":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().min"),
				"max":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().max"),
				"step":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().step"),
				"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:true}).options"),
				"customAs":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().customAs")
			}
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("parents_scene") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("events_active") %}
	{% set blocks = blocks|unSet("events_passive") %}
	
	{% set blocks = {
		"id":"condition_output",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.is_executable==1 && datas.obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "'",
		"drop_accept_expression":"obj.is_executable==1 && obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "'"
	}|pushInto(blocks,"condition_output") %}
	
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}