{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_CONTAINER_DPADCONTAINER_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		"name":{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"description":{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		"rendering_id":{
			"type":"select",
			"dbField":"rendering_id",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_FIELD_RENDERING"),
			"mode":"base",
			"category":"behaviour",
			"visible":true,
			"options":page.container_renderings,
			"options_max_length":100,
			"onChange":"iM.getScope(this).changeRenderingId(this.value)"
		},
		"category":{
			"type":"select",
			"dbField":"options.category",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_CATEGORY"),
			"mode":"base",
			"category":"behaviour",
			"visible":true,
			"options":page.categories
		},
		"is_visible":{
			"type":"checkbox",
			"dbField":"is_visible",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),
			"mode":"expert",
			"category":"flags",
			"visible":true
		},
		"tab1":{
			"type":"textbox",
			"dbField":"options.tab1",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_FIELD_TAB1"),
			"mode":"base",
			"category":"behaviour",
			"visible":false
		},
		"tab2":{
			"type":"textbox",
			"dbField":"options.tab2",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_FIELD_TAB2"),
			"mode":"base",
			"category":"behaviour",
			"visible":false
		},
		"tab3":{
			"type":"textbox",
			"dbField":"options.tab3",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_FIELD_TAB3"),
			"mode":"base",
			"category":"behaviour",
			"visible":false
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_children %}
	<div id="block_obj_children_container_div" class="no-hidden"></div>
{% endblock %}

{% block block_children %}

	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',1);" /></div>' %}
	{% block block_children_container %}
	<div>
		{% set blockTitleId = "children_container" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_GENERIC_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_GENERIC_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_NAME"),
				"width":"15%",
				"type":"textbox",
				"maxAllowedChars":200,
				"visible":true,
				"mode":"base"
			},
			"msp":{
				"dbField":"msp",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_MSP"),
				"width":"10%",
				"type":"label",
				"value":jsHtmlObj('getFormattedMsp()'),
				"visible":true,
				"mode":"base",
				"align":"center"
			},
			"relation_label":{
				"dbField":"options.label",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_COMPLEX_LABEL"),
				"width":"20%",
				"type":"textbox",
				"visible":true,
				"mode":"base",
				"align":"center"
			},
			"is_visible":{
				"dbField":"is_visible",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_IS_VISIBLE"),
				"width":"15%",
				"type":"checkbox",
				"visible":true,
				"mode":"base",
				"align":"center"
			},
			"tag_complex_element":{
				"dbField":"options.tag_complex_element",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_COMPLEX_TAG"),
				"width":"40%",
				"type":"select",
				"visible":true,
				"mode":"base",
				"align":"center",
				"options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getRelationTagsByValuesType('" ~ jsHtmlData('type') ~ "','" ~ jsHtmlData('values_type') ~ "')"),
				"onChange":"iM.getScopeFromActiveView('workspace').updateComplexTag('" ~ jsHtmlRowRelation('id') ~ "','" ~ jsHtmlData('id') ~ "',this.value,'" ~ jsHtmlBlock('name') ~ "')"
			},
			"allow_schedule":{
				"dbField":"options.allow_schedule",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_ALLOW_SCHEDULE"),
				"width":"5%",
				"type":"checkbox",
				"visible":true,
				"mode":"base",
				"align":"center",
				"onChange":"iM.getScope(this).allowScheduleForRelation(" ~ jsHtmlRowRelation('id') ~ ",$(this).is(':checked'))"
			}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_container %}

{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
				"id":"children_container",
				"relation_type":"parent_child",
				"filter_expression":"",
				"drop_accept_expression":"",
				"addNewSchema":{
					'obj':{
						'NAME':getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADVIRTUALOBJECT'),
						'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT') ~ "%' )",
						'PHPCLASS':getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT'),
						'TYPE':getConstant('_DPAD_CLASS_TYPE_VIRTUAL_OBJECT'),
						'VALUES_TYPE':'BOOLEAN',
						'MSP':getConstant('_DPAD_DB_VIRTUALOBJECT_LOGIC_FIRE'),
						'IS_WRITABLE':'1',
						'IS_VISIBLE':'1'
					}
				}
			}|pushInto(blocks,"children_eibgroup") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}