{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"textbox","dbField":"description","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),"mode":"expert","category":"general","visible":true}|pushInto(detailsFields,"description") %}
	{% set detailsFields = {"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}|pushInto(detailsFields,"is_visible") %}
	{% set detailsFields = {"type":"checkbox","dbField":"options.enable_power_calculation","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_ENERGY_BATTERY_FIELD_ENABLE_POWER_CALCULATION"),"mode":"base","category":"power","visible":true,"onChange":"objM.updateFieldObj("~jsHtmlData('id')~",'options.enable_power_calculation',jQuery(this).is(':checked')?'1':'0');iM.getScope(this).powerCalculationShowHide(jQuery(this).is(':checked'))"}|pushInto(detailsFields,"is_visible") %}
	{% set detailsFields = {"type":"textbox","dbField":"options.chart_scalefactor","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_ENERGY_BATTERY_FIELD_CHART_SCALEFACTOR"),"mode":"base","category":"charts","visible":true,"validate":"numeric"}|pushInto(detailsFields,"options.chart_scalefactor") %}
	{% set detailsFields = {"type":"textbox","dbField":"options.chart_measureunit","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_ENERGY_BATTERY_FIELD_CHART_MEASUREUNIT"),"mode":"base","category":"charts","visible":true}|pushInto(detailsFields,"options.chart_measureunit") %}
	{% set detailsFields = {"type":"checkbox","dbField":"options.chart_show","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_ENERGY_BATTERY_FIELD_CHART_SHOW"),"mode":"base","category":"charts","visible":true}|pushInto(detailsFields,"options.chart_show") %}
	{% set detailsFields = {"type":"checkbox","dbField":"options.chart_compare","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_ENERGY_BATTERY_FIELD_CHART_COMPARE"),"mode":"base","category":"charts","visible":true}|pushInto(detailsFields,"options.chart_compare") %}
	{% set detailsFields = {"type":"checkbox","dbField":"options.chart_range","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_ENERGY_BATTERY_FIELD_CHART_RANGE"),"mode":"base","category":"charts","visible":true}|pushInto(detailsFields,"options.chart_range") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_parents %}
	<div id="block_obj_parents_power_calculation_div" class="no-hidden"></div>
{% endblock %}
{% block block_layout_children %}
	<div id="block_obj_children_container_div" class="no-hidden"></div>
{% endblock %}

{% block block_children %}

	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',1);" /></div>' %}
	{% block block_children_container %}
	<div>
		{% set blockTitleId = "children_container" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_ENERGY_BATTERY_RELATIONS_CHILDREN_GENERIC_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {} %}
		{% set blockColumns = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_NAME"),"width":"40%","type":"textbox","maxAllowedChars":200,"visible":true,"mode":"base","value":jsHtmlObj('name')}|pushInto(blockColumns,"name") %}
		{% set blockColumns = {"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_MSP"),"width":"15%","type":"label","visible":true,"mode":"base","align":"center","value":jsHtmlObj('getFormattedMsp()')}|pushInto(blockColumns,"msp") %}
		{% set blockColumns = {
					"dbField":"current_value",
					"origin":"db",
					"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_CURRENT_VALUE"),
					"width":"15%",
					"type":"select_custom",
					"visible":true,
					"mode":"base",
					"align":"center",
					"min":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().min"),
					"max":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().max"),
					"step":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().step"),
					"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:true}).options"),
					"customAs":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().customAs"),
					"style":"display:"~jsHtmlFunc("iM.getScopeFromActiveView('workspace').getCurrValueVisibilityByTag('" ~ jsHtmlRowRelation('options.tag_complex_element') ~ "')")
				}|pushInto(blockColumns,"current_value") %}
		{% set blockColumns = {"dbField":"options.tag_complex_element","origin":"relation","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_COMPLEX_TAG"),"width":"30%","type":"select","visible":true,"mode":"base","align":"center","options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getRelationTagsByValuesType('" ~ jsHtmlData('type') ~ "','" ~ jsHtmlData('values_type') ~ "')"),"onChange":"iM.getScopeFromActiveView('workspace').updateComplexTag('" ~ jsHtmlRowRelation('id') ~ "','" ~ jsHtmlData('id') ~ "',this.value,'" ~ jsHtmlBlock('name') ~ "')"}|pushInto(blockColumns,"tag_complex_element") %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_container %}

{% endblock block_children %}

{% block block_parents %}

	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',1);" /></div>' %}
	{% block block_parents_power_calculation %}
	<div>
		{% set blockTitleId = "parents_power_calculation" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_ENERGY_BATTERY_RELATIONS_PARENTS_POWER_CALCULATION_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_PARENTS_POWER_CALCULATION_GENERIC_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {} %}
		{% set blockColumns = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_NAME"),"width":"40%","type":"textbox","maxAllowedChars":200,"visible":true,"mode":"base"}|pushInto(blockColumns,"name") %}
		{% set blockColumns = {"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_MSP"),"width":"15%","type":"label","visible":true,"mode":"base","align":"center","value":jsHtmlObj('getFormattedMsp()')}|pushInto(blockColumns,"msp") %}
		{% set blockColumns = {
					"dbField":"current_value",
					"origin":"db",
					"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_CURRENT_VALUE"),
					"width":"15%",
					"type":"textbox",
					"visible":true,
					"mode":"base",
					"align":"center",
					"validate":"numeric",
					"style":"display:"~jsHtmlFunc("iM.getScopeFromActiveView('workspace').getCurrValueVisibilityByTag('" ~ jsHtmlRowRelation('options.tag_complex_element') ~ "')")
				}|pushInto(blockColumns,"current_value") %}
		{% set blockColumns = {"dbField":"options.tag_complex_element","origin":"relation","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_COMPLEX_TAG"),"width":"30%","type":"select","visible":true,"mode":"base","align":"center","options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getPowerCalculationTagsByValuesType('" ~ jsHtmlData('type') ~ "','" ~ jsHtmlData('values_type') ~ "')"),"onChange":"iM.getScopeFromActiveView('workspace').updateComplexTag('" ~ jsHtmlRowRelation('id') ~ "','" ~ jsHtmlData('id') ~ "',this.value,'" ~ jsHtmlBlock('name') ~ "');iM.getScopeFromActiveView('workspace').fixPowerCalculationRelation('" ~ jsHtmlRowRelation('id') ~ "');"}|pushInto(blockColumns,"tag_complex_element") %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_parents_power_calculation %}

{% endblock block_parents %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
				"id":"children_container",
				"relation_type":"parent_child",
				"filter_expression":"datas.obj.phpclass=='" ~ getConstant("_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT") ~ "' || datas.obj.phpclass=='" ~ getConstant("_DPAD_EIB_PHPCLASS_EIBOBJECT") ~ "'",
				"drop_accept_expression":"obj.phpclass=='" ~ getConstant("_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT") ~ "' || obj.phpclass=='" ~ getConstant("_DPAD_EIB_PHPCLASS_EIBOBJECT") ~ "'",
				"addNewSchema":{
					'obj':{
						'NAME':getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADVIRTUALOBJECT'),
						'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT') ~ "%' )",
						'PHPCLASS':getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT'),
						'TYPE':getConstant('_DPAD_CLASS_TYPE_VIRTUAL_OBJECT'),
						'VALUES_TYPE':'BOOLEAN',
						'MSP':getConstant('_DPAD_DB_VIRTUALOBJECT_LOGIC_FIRE'),
						'IS_WRITABLE':'1',
						'IS_VISIBLE':'0',
						'CURRENT_VALUE':'0'
					}
				}
			}|pushInto(blocks,"children_container") %}
	{% set blocks = {
				"id":"parents_power_calculation",
				"relation_type":"child_parent",
				"filter_expression":"datas.obj.phpclass=='" ~ getConstant("_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT") ~ "' || datas.obj.phpclass=='" ~ getConstant("_DPAD_EIB_PHPCLASS_EIBOBJECT") ~ "'",
				"drop_accept_expression":"obj.phpclass=='" ~ getConstant("_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT") ~ "' || obj.phpclass=='" ~ getConstant("_DPAD_EIB_PHPCLASS_EIBOBJECT") ~ "'",
				"addNewSchema":{
					'obj':{
						'NAME':getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADVIRTUALOBJECT'),
						'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT') ~ "%' )",
						'PHPCLASS':getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT'),
						'TYPE':getConstant('_DPAD_CLASS_TYPE_VIRTUAL_OBJECT'),
						'VALUES_TYPE':'FLOATING',
						'MSP':getConstant('_DPAD_DB_VIRTUALOBJECT_LOGIC_FIRE'),
						'IS_WRITABLE':'1',
						'IS_VISIBLE':'0',
						'CURRENT_VALUE':'0'
					}
				}
			}|pushInto(blocks,"parents_power_calculation") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}