{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	
	{% set enables = {"1":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_FIELD_ENABLE_FLAG_TRUE"),"0":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_FIELD_ENABLE_FLAG_FALSE")} %}
	{% set timers = {"1000":"1 " ~ getConstant("_DPAD_GENERAL_SECONDS"),"2000":"2 " ~ getConstant("_DPAD_GENERAL_SECONDS"),"5000":"5 " ~ getConstant("_DPAD_GENERAL_SECONDS"),"10000":"10 " ~ getConstant("_DPAD_GENERAL_SECONDS"),"20000":"20 " ~ getConstant("_DPAD_GENERAL_SECONDS"),"30000":"30 " ~ getConstant("_DPAD_GENERAL_SECONDS"),"60000":"1 " ~ getConstant("_DPAD_GENERAL_MINUTES")} %}
	
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}|pushInto(detailsFields,"is_visible") %}
	{% set detailsFields = {"type":"select","dbField":"options.timer","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_FIELD_TIMER"),"mode":"base","category":"behaviour","visible":true,"options":timers}|pushInto(detailsFields,"options.timer") %}
	{% set detailsFields = {"type":"textbox","dbField":"options.cycle_up","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_FIELD_CYCLE_UP"),"mode":"base","category":"behaviour","visible":true,"mask":"9?99","validate":"[1-120]"}|pushInto(detailsFields,"options.cycle_up") %}
	{% set detailsFields = {"type":"textbox","dbField":"options.cycle_down","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_FIELD_CYCLE_DOWN"),"mode":"base","category":"behaviour","visible":true,"mask":"9?99","validate":"[1-120]"}|pushInto(detailsFields,"options.cycle_down") %}
	{% set detailsFields = {"type":"select","dbField":"options.max_step","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_FIELD_MAX_STEP"),"mode":"base","category":"behaviour","visible":true,"options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getMaxSteps()")}|pushInto(detailsFields,"options.max_step") %}
	{% set detailsFields = {"type":"select","dbField":"enable_flag","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_FIELD_ENABLE_FLAG"),"mode":"base","category":"behaviour","visible":true,"options":enables}|pushInto(detailsFields,"enable_flag") %}
	{% set detailsFields = {"type":"label","dbField":"status_id","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_FIELD_STATUS_ID"),"mode":"base","category":"behaviour","visible":true,"htmlCustom":jsHtmlObj("render('list',{prototype:'<{field:status_id|jselement:label}>'})")}|pushInto(detailsFields,"status_id") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{% block block_details_header_actionButtons_customButtons %}
<input id="button_play" type="button" class="field-button-yellow" value="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_BUTTON_START') }}" onclick="iM.getScope(this).scriptStopStart('RUN')" />
<input id="button_stop" type="button" class="field-button-green" value="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_BUTTON_STOP') }}" onclick="iM.getScope(this).scriptStopStart('QUIT')" />
{% endblock block_details_header_actionButtons_customButtons %}

{% block block_details_actionButtons_customButtons %}
<input id="button_play" type="button" class="field-button-yellow" value="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_BUTTON_START') }}" onclick="iM.getScope(this).scriptStopStart('RUN')" />
<input id="button_stop" type="button" class="field-button-green" value="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_BUTTON_STOP') }}" onclick="iM.getScope(this).scriptStopStart('QUIT')" />
{% endblock block_details_actionButtons_customButtons %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout %}
	<div id="block_obj_details_div"></div>
	<div id="block_obj_parents_div">
		{% block block_layout_parents %}
		<div id="block_obj_parents_meter_div" class="no-hidden"></div>
		{% endblock %}
	</div>
	<div id="block_obj_children_div">
		{% block block_layout_children %}
		<div id="block_obj_children_loads_div" class="no-hidden"></div>
		{% endblock %}
	</div>
{% endblock block_layout %}

{% block block_parents %}

	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',1);" /></div>' %}
	{% block block_parents_meter %}
	<div>
		{% set blockTitleId = "parents_meter" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_RELATIONS_PARENTS_METER_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {} %}
		{% set blockColumns = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_NAME"),"width":"60%","type":"textbox","maxAllowedChars":200,"visible":true,"mode":"base"}|pushInto(blockColumns,"name") %}
		{% set blockColumns = {"dbField":"check","label":"","width":"1%","type":"image","visible":true,"mode":"base","align":"center","style":"vertical-align:middle","value":theme.baseurl ~ "image/" ~ jsHtmlFunc("iM.getScopeFromActiveView('workspace').objCheck(" ~ jsHtmlData('id') ~ ",'meter','icon')")}|pushInto(blockColumns,"check-icon") %}
		{% set blockColumns = {"dbField":"check","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_RELATIONS_CHILDREN_LOADS_HEADER_CHECK"),"width":"39%","type":"label","visible":true,"mode":"base","align":"left","value":jsHtmlFunc("iM.getScopeFromActiveView('workspace').objCheck(" ~ jsHtmlData('id') ~ ",'meter','message')")}|pushInto(blockColumns,"check-message") %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_parents_meter %}
{% endblock block_parents %}

{% block block_children %}

	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',1);" /></div>' %}
	{% block block_children_loads %}
	<div>
		{% set blockTitleId = "children_loads" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_RELATIONS_CHILDREN_LOADS_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {} %}
		{% set blockColumns = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_NAME"),"width":"45%","type":"textbox","maxAllowedChars":200,"visible":true,"mode":"base"}|pushInto(blockColumns,"name") %}
		{% set blockColumns = {"dbField":"priority","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_RELATIONS_CHILDREN_LOADS_HEADER_PRIORITY"),"width":"15%","type":"select","visible":true,"mode":"base","align":"center","options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getLoadSteps(" ~ jsHtmlData('id') ~ ")"),"value":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getLoadStep(" ~ jsHtmlData('id') ~ ")"),"onChange":"iM.getScope(this).updateLoadStep(" ~ jsHtmlData('id') ~ ",this.value)"}|pushInto(blockColumns,"priority") %}
		{% set blockColumns = {"dbField":"check","label":"","width":"1%","type":"image","visible":true,"mode":"base","align":"center","style":"vertical-align:middle","value":theme.baseurl ~ "image/" ~ jsHtmlFunc("iM.getScopeFromActiveView('workspace').objCheck(" ~ jsHtmlData('id') ~ ",'load','icon')")}|pushInto(blockColumns,"check-icon") %}
		{% set blockColumns = {"dbField":"check","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOADCONTROL_RELATIONS_CHILDREN_LOADS_HEADER_CHECK"),"width":"39%","type":"label","visible":true,"mode":"base","align":"left","value":jsHtmlFunc("iM.getScopeFromActiveView('workspace').objCheck(" ~ jsHtmlData('id') ~ ",'load')")}|pushInto(blockColumns,"check-message") %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_loads %}

{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {} %}
	{% set blocks = {
				"id":"children_loads",
				"relation_type":"parent_child",
				"filter_expression":"datas.obj.phpclass=='" ~ getConstant("_DPAD_ENERGY_PHPCLASS_BATTERY") ~ "'",
				"drop_accept_expression":"obj.phpclass=='" ~ getConstant("_DPAD_ENERGY_PHPCLASS_BATTERY") ~ "'",
				"addNewSchema":{
					'obj':{
						'NAME':getConstant('_DPAD_DBCONSTANT_WEBPHPCLASS_DPADENERGYBATTERY'),
						'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_ENERGY_PHPCLASS_BATTERY') ~ "%' )",
						'PHPCLASS':getConstant('_DPAD_ENERGY_PHPCLASS_BATTERY'),
						'TYPE':getConstant('_DPAD_SCRIPTING_TYPE_SCRIPTRUNNER')
					}
				}
			}|pushInto(blocks,"children_loads") %}
	{% set blocks = {
				"id":"parents_meter",
				"relation_type":"child_parent",
				"filter_expression":"datas.obj.phpclass=='" ~ getConstant("_DPAD_ENERGY_PHPCLASS_BATTERY") ~ "'",
				"drop_accept_expression":"obj.phpclass=='" ~ getConstant("_DPAD_ENERGY_PHPCLASS_BATTERY") ~ "' && this.getResults({filter:true}).length==0",
				"addNewSchema":{
					'obj':{
						'NAME':getConstant('_DPAD_DBCONSTANT_WEBPHPCLASS_DPADENERGYBATTERY'),
						'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_ENERGY_PHPCLASS_BATTERY') ~ "%' )",
						'PHPCLASS':getConstant('_DPAD_ENERGY_PHPCLASS_BATTERY'),
						'TYPE':getConstant('_DPAD_SCRIPTING_TYPE_SCRIPTRUNNER')
					}
				}
			}|pushInto(blocks,"parents_meter") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}