{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"select","dbField":"msp","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_FIELD_MIN_VALUE"),"mode":"base","category":"general","visible":true,"options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getScripts()")}|pushInto(detailsFields,"msp") %}
	{% set detailsFields = {"type":"rendering_picker","dbField":"rendering_id","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_RENDERING"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"rendering_id") %}
	{% set detailsFields = {"type":"checkbox","dbField":"options.startup","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_FIELD_OPTIONS_STARTUP"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"options.startup") %}
	{% set detailsFields = {"type":"checkbox","dbField":"options.loop","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_FIELD_OPTIONS_LOOP"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"options.loop") %}
	{% set detailsFields = {"type":"textbox","dbField":"options.timer","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_FIELD_OPTIONS_TIMER"),"mode":"base","category":"behaviour","visible":true,"mask":"99?99999","validate":"[100-3600000]"}|pushInto(detailsFields,"options.timer") %}
	{% set detailsFields = {"type":"label","dbField":"status_id","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_FIELD_STATUS_ID"),"mode":"base","category":"behaviour","visible":true,"htmlCustom":jsHtmlObj("render('list',{prototype:'<{field:status_id|jselement:label}>'})")}|pushInto(detailsFields,"status_id") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{% block block_details_header_actionButtons_customButtons %}
<input id="button_play" type="button" class="field-button-yellow" value="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_BUTTON_START') }}" onclick="iM.getScope(this).scriptStopStart('RUN')" />
<input id="button_stop" type="button" class="field-button-green" value="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_BUTTON_STOP') }}" onclick="iM.getScope(this).scriptStopStart('QUIT')" />
{% endblock block_details_header_actionButtons_customButtons %}

{% block block_details_actionButtons_customButtons %}
<input id="button_play" type="button" class="field-button-yellow" value="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_BUTTON_START') }}" onclick="iM.getScope(this).scriptStopStart('RUN')" />
<input id="button_stop" type="button" class="field-button-green" value="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_BUTTON_STOP') }}" onclick="iM.getScope(this).scriptStopStart('QUIT')" />
{% endblock block_details_actionButtons_customButtons %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout %}
    <div id="block_obj_details_div"></div>
    {% block block_layout_passiveEvents %}
    <div id="block_obj_events_passive_div"></div>
    {% endblock %}
    {% block block_layout_activeEvents %}
    <div id="block_obj_events_active_div"></div>
    {% endblock %}

    <h4 class="template-opened-h4">
	<div class="menu-icon-node"></div>
	{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_SECTION_DEBUG") }}
	<div class="h4-title-custom-html">
	    <div class="h4-add-object field-button-action">
		<input type="button" class="field-button-green" value="{{getConstant('_DPAD_GENERAL_REFRESH')}}" onclick="iM.getScope(this).onLoadCustom();">
	    </div>
	</div>
    </h4>	
    <div class="template-container-fields" style="display:block">
        <div class="editobject-scriptrunner-debug-container">
	    <div class="editobject-scriptrunner-debug-result-container">
		<fieldset id="editobject-scriptrunner-run-input">
		    <legend>{{getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_SECTION_INPUT")}}</legend>
		    <input type="textbox" id="input" name="input" value="" onchange="iM.getScope(this).debugRun(this.value)"/>
		</fieldset>
		<fieldset id="editobject-scriptrunner-run-debug">
		    <legend>{{getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_SECTION_DEBUG")}}</legend>
		    <div id="debug"></div>
		</fieldset>
		<fieldset id="editobject-scriptrunner-run-output">
		    <legend>{{getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_SECTION_OUTPUT")}}</legend>
		    <input type="textbox" id="output" name="output" value="" readonly/>
		</fieldset>
	    </div>
	    <div class="editobject-scriptrunner-debug-relations-container">
		<fieldset id="editobject-scriptrunner-debug-relations-inputs">
		    <legend>{{getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_SECTION_PASSIVE_EVENTS")}}</legend>
		    <div id="block_obj_debug_inputs_div"></div>
		</fieldset>
		<fieldset id="editobject-scriptrunner-debug-relations-outputs">
		    <legend>{{getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_SECTION_ACTIVE_EVENTS")}}</legend>
		    <div id="block_obj_debug_outputs_div"></div>
		</fieldset>
	    </div>
        </div>
    </div>
{% endblock block_layout %}

{% block block_layout_children %}
{% endblock %}

{% block block_layout_parents %}
{% endblock %}

{% block block_passiveEvents %}
	<div>
		{% set blockTitleId = "events_passive" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_RELATIONS_EVENTS_PASSIVE_TITLE") %}
		{% set blockTitleCustomHtml = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_GENERAL_REFRESH') ~ '" onclick="iM.getScope(this).onLoadCustom();" /></div>' %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "IS_EVENT=1 AND D_O.TYPE NOT IN('DAILYSCHEDULE')" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"50%",
				"type":"textbox",
				"visible":true
			},
			"action_value":{
				"dbField":"action_value",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION_VALUE"),
				"width":"20%",
				"type":"textbox",
				"visible":true,
				"min":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().min"),
				"max":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().max"),
				"step":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().step"),
				"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:true}).options"),
				"customAs":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().customAs")
			},
			"options.tag_complex_element":{
				"dbField":"options.tag_complex_element",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_COMPLEX_TAG"),
				"width":"15%",
				"type":"textbox",
				"visible":true
			},
			"enable_flag":{
				"dbField":"enable_flag",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_RELATIONS_HEADER_ENABLE_FLAG"),
				"width":"5%",
				"type":"checkbox",
				"visible":true
			},
			"order_num":{
				"dbField":"order_num",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_RELATIONS_HEADER_ORDER_NUM"),
				"width":"10%",
				"type":"label",
				"visible":true,
				"align":"center",
				"value":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getSurroundingVarName('in'," ~ jsHtmlRowRelation('order_num') ~ ")")
			}
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_passiveEvents %}

{% block block_activeEvents %}
	<div>
		{% set blockTitleId = "events_active" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_RELATIONS_EVENTS_ACTIVE_TITLE") %}
		{% set blockTitleCustomHtml = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_GENERAL_REFRESH') ~ '" onclick="iM.getScope(this).onLoadCustom();" /></div>' %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "IS_EXECUTABLE=1" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"30%",
				"type":"textbox",
				"visible":true
			},
                        "action":{
                            "dbField":"action",
                            "origin":"relation",
                            "label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION"),
                            "width":"20%",
                            "type":"select_custom",
                            "visible":true,
                            "options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActions('string'," ~ jsHtmlRowRelation('childobj_id') ~ ")")
                        },
                        "action_value":{
                            "dbField":"action_value",
                            "origin":"relation",
                            "label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION_VALUE"),
                            "width":"20%",
                            "type":"textbox",
                            "visible":true,
                            "min":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().min"),
                            "max":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().max"),
                            "step":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().step"),
                            "options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:true}).options")
                        },
			"options.tag_complex_element":{
				"dbField":"options.tag_complex_element",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_COMPLEX_TAG"),
				"width":"15%",
				"type":"textbox",
				"visible":true
			},
			"enable_flag":{
				"dbField":"enable_flag",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_RELATIONS_HEADER_ENABLE_FLAG"),
				"width":"5%",
				"type":"checkbox",
				"visible":true
			},
			"order_num":{
				"dbField":"order_num",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_RELATIONS_HEADER_ORDER_NUM"),
				"width":"10%",
				"type":"label",
				"visible":true,
				"align":"center",
				"value":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getSurroundingVarName('out'," ~ jsHtmlRowRelation('order_num') ~ ")")
			}
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_activeEvents %}

{% block block_parents %}
	<div>
		{% set blockTitleId = "debug_inputs" %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "IS_EVENT=1 AND D_O.TYPE NOT IN('DAILYSCHEDULE')" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"60%",
				"type":"textbox",
				"visible":true
			},
			"debug":{
				"dbField":"current_value",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_EVENT_HEADER_DEBUG"),
				"width":"40%",
				"type":"select_custom",
				"visible":true,
				"align":"center",
				"min":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getActionValues().min"),
				"max":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getActionValues().max"),
				"step":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getActionValues().step"),
				"options":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:false}).options"),
				"onChange":"iM.getScope(this).debugParentChange(" ~ jsHtmlRowRelation('parentobj_id') ~ ",this.value)"
			}
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_parents %}

{% block block_children %}
	<div>
		{% set blockTitleId = "debug_outputs" %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "IS_EXECUTABLE=1" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"60%",
				"type":"textbox",
				"visible":true
			},
			"debug":{
				"dbField":"current_value",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCRIPTRUNNER_EVENT_HEADER_DEBUG"),
				"width":"40%",
                                "align":"center",
				"type":"label",
				"visible":true,
                                "value":"..."
			}
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("parents_scene") %}
	{% set blocks = {
		"id":"debug_inputs",
		"relation_type":"child_parent",
		"force_update_sort_order":true,
		"filter_expression":"datas.obj.is_event==1 && datas.obj.type!='DAILYSCHEDULE'",
		"drop_accept_expression":"obj.is_event==1 && obj.type!='DAILYSCHEDULE'"
	}|pushInto(blocks,"debug_inputs") %}
	{% set blocks = {
		"id":"events_passive",
		"relation_type":"child_parent",
		"force_update_sort_order":true,
		"filter_expression":"datas.obj.is_event==1 && datas.obj.type!='DAILYSCHEDULE'",
		"drop_accept_expression":"obj.is_event==1 && obj.type!='DAILYSCHEDULE'",
		"addNewSchema":{
			'obj':{
				'NAME':getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADVIRTUALOBJECT'),
				'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT') ~ "%' )",
				'PHPCLASS':getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT'),
				'TYPE':getConstant('_DPAD_CLASS_TYPE_VIRTUAL_OBJECT'),
				'VALUES_TYPE':'BOOLEAN',
				'MSP':getConstant('_DPAD_DB_VIRTUALOBJECT_LOGIC_FIRE'),
				'IS_WRITABLE':'1',
				'IS_VISIBLE':'1'
			}
		}
	}|pushInto(blocks,"events_passive") %}
	{% set blocks = {
		"id":"debug_outputs",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.is_executable==1",
		"drop_accept_expression":"obj.is_executable==1"
	}|pushInto(blocks,"debug_outputs") %}
	{% set blocks = {
		"id":"events_active",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.is_executable==1",
		"drop_accept_expression":"obj.is_executable==1",
		"addNewSchema":{
			'obj':{
				'NAME':getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADVIRTUALOBJECT'),
				'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT') ~ "%' )",
				'PHPCLASS':getConstant('_DPAD_SYSTEM_PHPCLASS_VIRTUALOBJECT'),
				'TYPE':getConstant('_DPAD_CLASS_TYPE_VIRTUAL_OBJECT'),
				'VALUES_TYPE':'BOOLEAN',
				'MSP':getConstant('_DPAD_DB_VIRTUALOBJECT_LOGIC_FIRE'),
				'IS_WRITABLE':'1',
				'IS_VISIBLE':'1'
			}
		}
	}|pushInto(blocks,"events_active") %}

	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}