{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_EIBOBJECT_DPADEIBOBJECT_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"textbox","dbField":"description","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),"mode":"expert","category":"general","visible":true}|pushInto(detailsFields,"description") %}
	{% set detailsFields = {"type":"select","dbField":"values_type","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_VALUES_TYPE"),"mode":"expert","category":"general","visible":true,"onChange":"iM.getScope(this).valuesTypeUpdate(" ~ jsHtmlData('id') ~ ",this.value)","options":page.eisTypes}|pushInto(detailsFields,"values_type") %}
	{% set detailsFields = {"type":"label","dbField":"msp","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_MSP"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"msp") %}
	{% set detailsFields = {"type":"select","dbField":"options.category","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_CATEGORY"),"mode":"base","category":"behaviour","visible":true,"options":page.categories,"onChange":"iM.getScope(this).categoryChange(this.value)"}|pushInto(detailsFields,"category") %}
	{% set detailsFields = {"type":"rendering_picker","dbField":"rendering_id","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_RENDERING"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"rendering_id") %}
	{% set detailsFields = {"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}|pushInto(detailsFields,"is_visible") %}
	{% set detailsFields = {"type":"checkbox","dbField":"is_writable","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_WRITABLE"),"mode":"expert","category":"flags","visible":true}|pushInto(detailsFields,"is_writable") %}
	{% set detailsFields = {"type":"checkbox","dbField":"is_readable","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_READABLE"),"mode":"expert","category":"flags","visible":true}|pushInto(detailsFields,"is_readable") %}
	{# PIN MANAGEMENT #}
	{% set detailsFields = {"type":"checkbox","dbField":"has_grant","label":getConstant("_DPAD_OBJECT_DETAILS_HAS_GRANT_FLAG"),"mode":"expert","category":"flags","visible":true,"onChange":"var _value=(jQuery(this).is(':checked')?1:0);objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'has_grant',_value);iM.getScope(this).showGrantHashcodeFields(_value);"}|pushInto(detailsFields,"has_grant") %}
	{# {% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_OLD"),"value":jsHtmlData('grant_hashcode'),"mode":"expert","category":"flags","visible":false}|pushInto(detailsFields,"grant_hashcode_old") %} #}
	{% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_NEW"),"mode":"expert","category":"flags","visible":false,"mask":"9?99999"}|pushInto(detailsFields,"grant_hashcode_new") %}
	{% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_REPEAT"),"mode":"expert","category":"flags","visible":false,"mask":"9?99999","onChange":"if(iM.getScope(this).validateGrantHashcode(" ~ jsHtmlData('id') ~ "))objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'grant_hashcode',iM.getScope(this).encodeGrantHashcode(this.value));"}|pushInto(detailsFields,"grant_hashcode_repeat") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_children %}
	<div id="block_obj_children_eibgroup_div" mode="expert" enabled="true"></div>
{% endblock %}

{% block block_children %}

	{% block block_children_eibgroup %}
	<div>
		{% set blockTitleId = "children_eibgroup" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_EIBGROUP_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_EIBGROUP_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "D_O.TYPE='EIBGROUP'" %}
		{% set blockColumns = {} %}
		{% set blockColumns = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),"width":"60%","type":"label","visible":true,"mode":"base"}|pushInto(blockColumns,"description") %}
		{% set blockColumns = {"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_MSP"),"width":"20%","type":"label","visible":true,"mode":"base","align":"center"}|pushInto(blockColumns,"msp") %}
		{% set blockColumns = {"dbField":"access_mode","origin":"relation","label":getConstant("_DPAD_EIB_OBJECT_DETAILS_ACCESSMODE"),"width":"20%","type":"select","visible":true,"mode":"base","align":"center","options":{"READ-WRITE":getConstant("_DPAD_DBCONSTANT_ACCESSMODE_READWRITE"),"READ-ONLY":getConstant("_DPAD_DBCONSTANT_ACCESSMODE_READONLY"),"WRITE-ONLY":getConstant("_DPAD_DBCONSTANT_ACCESSMODE_WRITEONLY")}}|pushInto(blockColumns,"access_mode") %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_eibgroup %}

{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"id":"children_eibgroup",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_EIBGROUP") ~ "'",
		"drop_accept_expression":"obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_EIBGROUP") ~ "'"
	}|pushInto(blocks,"children_eibgroup") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}