{% extends "core/templates/editobject.generic.tpl" %}
{% block block_customImport %}{% endblock %}

{% set objectType = "generic" %}

{# DETAILS SECTION #}
{% block block_details_help %}<div id="help" style="display:none">{% block block_details_help_text %}{{ page.page_help }}{% endblock block_details_help_text %}</div>{% endblock block_details_help %}

{% set details_header_actionButtons_closeButton_label %}{%block block_details_header_actionButtons_closeButton_label %}{{ getConstant('_DPAD_GENERAL_CLOSE') }}{% endblock %}{% endset %}
{% set details_header_actionButtons_helpButton_label %}{%block block_details_header_actionButtons_helpButton_label %}{{ getConstant('_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_HELP') }}{% endblock %}{% endset %}

{% block block_details_content_fields_prototype %}
<div id="{{ fieldId }}_line" class="field-line" {% if field.category %}category="{{ field.category }}"{% endif %} {% if field.mode %}mode="{{ field.mode }}"{% endif %} enabled="true" detail="{{field.dbField}}">
	<label id="{{ fieldId }}_label" for="{{ fieldId }}">{% if field.label is not empty %}{{ field.label }}:{% else %}&nbsp;{% endif %}</label>
	{% if field.htmlCustom is not empty %}
		{{ field.htmlCustom }}
	{% else %}
		{% if field.type == "image_picker" %}
		<div>
			<img id="obj{{ jsHtmlData('id') }}_image_path" class="field-image-preview" src="../../themes/{{ jsHtmlBlock('themeForRuntime') }}/images/rendering/{{ jsHtmlObj('image_path') }}" alt="" onclick="var oScope=iM.getScope(this);oScope.pickup_image($(this),$(oScope.getScopeSelector()).find('#obj{{ jsHtmlData('id') }}_optionalp'),$(oScope.getScopeSelector()).find('#obj{{ jsHtmlData('id') }}_image_path'),'/mnt/storage/RWdlabs/smartdomuspad/themes/{{ jsHtmlBlock('themeForRuntime') }}/images/rendering/');"/>
		</div>
		{% elseif field.type == "background_picker" %}
		<div>
			<img id="obj{{ jsHtmlData('id') }}_background_preview" class="field-background-preview" src="../supervision/images/background/{{ jsHtmlObj('options.background_image_path') }}" alt="" onclick="var oScope=iM.getScope(this);oScope.pickup_background_image($(this),$(oScope.getScopeSelector()).find('#obj{{ jsHtmlData('id') }}_optionalp'),$(oScope.getScopeSelector()).find('#obj{{ jsHtmlData('id') }}_background_preview'),'/mnt/storage/RWdlabs/smartdomuspad/modules/supervision/images/background/');"/>
		</div>
		{% elseif field.type == "rendering_picker" %}
			<img id="obj{{ jsHtmlData('id') }}_rendering_preview" class="field-image-preview" src="../../themes/{{ jsHtmlBlock('themeForRuntime') }}/images/rendering/{{ jsHtmlObj("getRendering().image_path") }}" alt="" onclick="iM.openInstance('../system/loadtemplate.php?tpl=rendering_picker|id={{ jsHtmlData('id') }}',null,null,'main_body');"/>
		{% else %}
			{{ jsHtml({
				"as":field.type,
				"id":fieldId,
				"value":fieldValue,
				"mask":field.mask,
				"options":field.options,
				"onChange":onChange,
				"onLoad":onLoad,
				"onFocus":onFocus,
				"onKeyPress":onKeyPress,
				"themeSrc":theme.baseurl,
				"customAs":field.customAs
			}) }}
		{% endif %}
	{% endif %}
	<div class="template-clear"></div>
</div>
{% endblock block_details_content_fields_prototype %}

{% block block_details_container %}
	<div id="messages" class="field-note-container"></div>
	{% block block_details_header %}
	<h1 style="margin-bottom:0px"><label id="title">{%block block_details_header_title %}{{ jsHtmlObj('name') }}{% endblock %}</label>
        {% block block_details_header_actionButtons %}
        <div class="field-button-action">
		{% block block_details_header_actionButtons_closeButton %}
		<input id="button_close" type="button" class="field-button-orange" value="{{details_header_actionButtons_closeButton_label}}" onClick="iM.getScope(this).formButtonClose()"/>
		{% endblock block_details_header_actionButtons_closeButton %}
		{% block block_details_header_actionButtons_customButtons %}
		{% endblock block_details_header_actionButtons_customButtons %}
        </div>
        {% endblock block_details_header_actionButtons%}
	</h1>
	{% endblock block_details_header %}
	{% block block_details_content %}
		<h4 class="template-opened-h4">
			<div class="menu-icon-node"></div>
			<div class="h4-title">{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_DETAILS_TITLE") }}</div>
		</h4>
		<div class="template-container-fields" style="display:block">
			{% block block_details_content_fieldsets %}
			{% block block_details_content_fieldsets_general %}
			<fieldset id="general" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_GENERAL") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_general %}
			{% block block_details_content_fieldsets_behaviour %}
			<fieldset id="behaviour" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_BEHAVIOUR") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_behaviour %}
			{% block block_details_content_fieldsets_flags %}
			<fieldset id="flags" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_FLAGS") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_flags %}
			{% block block_details_content_fieldsets_grant %}
			<fieldset id="grant" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_GRANT") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_grant %}
			{% block block_details_content_fieldsets_logic %}
			<fieldset id="logic" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_LOGIC") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_logic %}
			{% block block_details_content_fieldsets_range %}
			<fieldset id="range" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_RANGE") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_range %}
			{% block block_details_content_fieldsets_loads %}
			<fieldset id="loads" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_LOADS") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_loads %}
			{% block block_details_content_fieldsets_power %}
			<fieldset id="power" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_POWER") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_power %}
			{% block block_details_content_fieldsets_energy %}
			<fieldset id="energy" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_ENERGY") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_energy %}
			{% block block_details_content_fieldsets_tracking %}
			<fieldset id="tracking" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_TRACKING") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_tracking %}
			{% block block_details_content_fieldsets_charts %}
			<fieldset id="charts" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_CHARTS") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_charts %}
			{% block block_details_content_fieldsets_voip%}
			<fieldset id="voip" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_FIELSET_VOIP") }}</legend>
			</fieldset>
			{% endblock block_details_content_fieldsets_voip %}
			{% endblock block_details_content_fieldsets %}

			{% block block_details_content_fields %}
				{{ parent() }}
			{% endblock block_details_content_fields %}
			
			<div class="field-buttons-container">
				<input id="button_close" type="button" class="field-button-orange" value="{{details_header_actionButtons_closeButton_label}}" onclick="iM.getScope(this).formButtonClose()"/>
				{% block block_details_actionButtons_customButtons %}
				{% endblock block_details_actionButtons_customButtons %}
			</div>
		</div>
	{% endblock block_details_content %}
{% endblock block_details_container %}

{# RELATIONS PROTOTYPE IMPORT AND CUSTOMIZATION #}

{% use "prototype.editobject_relations_block.tpl" %}

{% block block_relations_container %}
<h4 {% if blockInitState == "opened" %}class="template-opened-h4"{% endif %} >
	<div class="menu-icon-node"></div>
	<div class="h4-title" {# onclick="var scope=iM.getScope(this);scope.section_hilight($(this),'#{{ jsHtmlBlock('name') }}_container_results');{% if blockSearchFilter=='' %}{% set blockSearchFilter = "1" %}{% endif %}scope.setSearchFilter($(this),'{{blockSearchFilter|replace({"'":"\\'"})}}','[id^=\'block_obj_\'][id$=\'_container_results\']:not([id^=\'block_obj_details\'])');iM.getScope(this).{{ jsHtmlBlock('_objVarName') }}.refresh();" #}>
		{{ blockTitle }}
	</div>
	{% if blockTitleCustomHtml is not empty %}<div class="h4-title-custom-html">{{ blockTitleCustomHtml }}</div>{% endif %}
</h4>
<div class="template-container-fields" {% if blockInitState == "opened" %}style="display:block"{% endif %}>
	<div class="grid-table">
		<table id="{{ jsHtmlBlock('name') }}_container_results" cellspacing="0" cellpadding="0"></table>
	</div>
</div>
{% endblock block_relations_container %}

{% block block_relations_header %}
<tr id="{{ jsHtmlBlock('name') }}_list_column_headers">
	<th class="grid-line-action"></th>
	<th class="grid-line-action"></th>
	<th class="grid-line-action"></th>
{% for key,column in blockColumns %}
	<th column='{{key}}' style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}display:{% if column.mode == 'expert' %}{{ jsHtmlIf('wM.expertMode','table-cell','none') }}{% else %}{% if column.visible != "true" %}none{% else %}table-cell{% endif %}{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
{% endfor %}
</tr>
{% endblock block_relations_header %}

{% block block_relations_item %}
<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlRowRelation('id') }}" class="{{ jsHtmlIf(jsHtmlData('is_visible') ~ '==1','visible','hidden') }}">
	<td class="grid-line-action"><div class="grid-action-mod" title="{{ getConstant('_DPAD_SYSTEM_GENERAL_MODIFY') }}" onclick="if(objM.getObj({{ jsHtmlData('id') }}).owned_by=='{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}' && objM.getObj({{ jsHtmlData('id') }}).options.allow_edit!='1'){alert('{{ getConstant('_DPAD_GENERAL_BLOCK_ACTION_EDIT_NOT_ALLOWED_ON_SYSTEM_OBJECTS')|encode4jscript }}');return false};wM.tabCreateNew(objM.getObj('{{ jsHtmlData('id') }}').name,'{{ jsHtmlData('id') }}','iM.openInstance(\'../system/editobject.php?type={{ jsHtmlData('type') }}&phpclass={{ jsHtmlData('phpclass') }}|id={{ jsHtmlData('id') }}\',null,null,\'workspace\');');"></div></td>
	<td class="grid-line-action"><a id="sortable_handler" title="{{ getConstant('_DPAD_GENERAL_SORT') }}" ><div class="grid-action-sort"></div></a></td>
	{% block block_relations_item_action_remove %}
	<td class="grid-line-action"><div class="grid-action-del{{ jsHtmlIf("objM.getRelation(" ~ jsHtmlRowRelation('id') ~ ")['OWNED_BY']=='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "'",' hidden','') }}" title="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_BUTTON_REMOVE') }}" onclick="if(objM.getObj({{ jsHtmlData('id') }}).owned_by=='{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}' || objM.getRelation({{ jsHtmlRowRelation('id') }})['OWNED_BY']=='{{ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') }}' ){alert('{{ getConstant('_DPAD_GENERAL_BLOCK_ACTION_DELETE_NOT_ALLOWED_ON_SYSTEM_OBJECTS')|encode4jscript }}');return false};if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).removeRel('{{ jsHtmlBlock('_objVarName') }}',{{ jsHtmlRowRelation('id') }});event.stopPropagation();}"></div></td>
	{% endblock block_relations_item_action_remove %}
        {% for key,column in blockColumns %}
			{% if column.visible == "true" %}
				<td column='{{ key }}' style="{% if column.align %}text-align:{{ column.align }};{% endif %}display:{% if column.mode == 'expert' %}{{ jsHtmlIf('wM.expertMode','table-cell','none') }}{% else %}{% if column.visible != "true" %}none{% else %}table-cell{% endif %}{% endif %}" enabled="true" mode="{% if column.mode is not empty %}{{ column.mode }}{% else %}base{% endif %}">
				{% set columnFieldName='item_' ~ jsHtmlRowRelation('id') ~ '_' ~ column.origin ~ '_' ~ column.dbField|replace({'.':'_'}) %}
			{% if column.value is not empty %}
				{% set columnFieldValue = column.value %}
			{% else %}
				{% if column.origin == "db" %}
					{% set columnFieldValue = jsHtmlData(column.dbField) %}
				{% elseif column.origin == "relation" %}
					{% set columnFieldValue = jsHtmlRowRelation(column.dbField) %}
				{% endif %}
			{% endif %}
			{% if column.title is not empty %}
				{% set columnFieldTitle = column.title %}
			{% else %}
				{% set columnFieldTitle = columnFieldValue %}
			{% endif %}
			{% if column.type == "checkbox" %}
				{% set columnFieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
			{% elseif column.type == "customOrTextbox" or column.type == "drop" %}
				{% set columnFieldValueJs = "drawM.getValue('" ~ columnFieldName ~ "',iM.getScope(this).getScopeSelector())" %}
			{% else %}
				{% set columnFieldValueJs = "this.value" %}
			{% endif %}
			{% if column.onChange is not empty %}
				{% set columnFieldOnChange = column.onChange %}
			{% elseif column.origin == "db" %}
				{% set columnFieldOnChange = "objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'" ~ column.dbField ~"'," ~ columnFieldValueJs ~ ");" %}
			{% elseif column.origin == "relation" %}
				{% set columnFieldOnChange = "objM.updateFieldRelation(" ~ jsHtmlRowRelation('id') ~ ",'" ~ column.dbField ~ "'," ~ columnFieldValueJs ~ ");" %}
			{% endif %}
			{% if column.type == "warning" %}
				{% set columnFieldWarning = "<img src='" ~ theme.baseurl ~ "image/IconWARN.png' style='vertical-align:middle' alt='"~column.warningMsg~"' title='"~column.warningMsg~"'>" %}
				{{ jsHtmlIf(column.warningCondition,columnFieldWarning,'') }}
			{% else %}
				{% if column.htmlCustom is not empty %}
					{{ column.htmlCustom }}
				{% else %}
					{{ jsHtml({
						"as":column.type,
						"id":columnFieldName,
						"options":column.options,
						"value":columnFieldValue,
						"title":columnFieldTitle,
						"onChange":columnFieldOnChange,
						"onLoad":column.onLoad,
						"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))" ~ columnFieldOnChange,
						"style":column.style,
						"min":column.min,
						"max":column.max,
						"step":column.step,
						"themeSrc":theme.baseurl,
						"customAs":column.customAs
					}) }}
				{% endif %}
			{% endif %}
			</td>
			{% endif %}
        {% endfor %}
</tr>
{% endblock block_relations_item %}

{# RELATIONS BLOCKS DEFINITION #}

{% block block_layout_parents %}
	<div id="block_obj_parents_group_div"></div>
	<div id="block_obj_parents_scene_div"></div>
{% endblock block_layout_parents %}
{% block block_layout_children %}
	<div id="block_obj_children_generic_div"></div>
{% endblock block_layout_children %}
{% block block_layout_activeEvents %}
	<div id="block_obj_events_active_div"></div>
{% endblock block_layout_activeEvents %}
{% block block_layout_passiveEvents %}
	<div id="block_obj_events_passive_div"></div>
{% endblock block_layout_passiveEvents %}

{% block block_parents %}
	{% block block_parents_groups %}
	<div>
		{% set blockTitleId = "parents_group" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_GROUPS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_GROUPS_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "D_O.TYPE='GROUP'" %}
		{% set blockColumnName = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"40%","type":"textbox","visible":true} %}
		{% set blockColumnDescription = {"dbField":"description","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),"width":"70%","type":"textbox","visible":true} %}
		{% set blockColumns = {"name":blockColumnName,"description":blockColumnDescription} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_parents_groups %}

	{% block block_parents_scenes %}
	<div>
		{% set blockTitleId = "parents_scene" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_SCENES_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_SCENES_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "D_O.TYPE='SCENE'" %}
		{% set blockColumnName = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"60%","type":"textbox","visible":true} %}
		{% set blockColumnAction = {
			"dbField":"action",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCENARIO_RELATIONS_HEADER_ACTION"),
			"width":"15%",
			"type":"select_custom",
			"visible":true,
			"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActions('string'," ~ jsHtmlRowRelation('childobj_id') ~ ")")
		} %}
		{% set blockColumnActionValue = {
			"dbField":"action_value",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCENARIO_RELATIONS_HEADER_ACTION_VALUE"),
			"width":"15%",
			"type":"customOrTextbox",
			"visible":true,
			"min":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().min"),
			"max":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().max"),
			"step":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().step"),
			"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:true}).options"),
			"customAs":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().customAs")
		} %}
		{% set blockColumnOrderNum = {
			"dbField":"order_num",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCENARIO_RELATIONS_HEADER_ORDER_BY"),
			"width":"10%",
			"type":"label",
			"visible":true
		} %}
		{% set blockColumns = {"name":blockColumnName,"action":blockColumnAction,"action_value":blockColumnActionValue,"order_num":blockColumnOrderNum} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_parents_scenes %}
{% endblock block_parents %}

{% block block_children %}

	{% block block_children_generic %}
	<div>
		{% set blockTitleId = "children_generic" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_GENERIC_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_GENERIC_HELP") %}
		{% set blockSearchFilter = "1" %}
		{% set blockInitState = "opened" %}
		{% set blockColumnName = {"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"40%","type":"textbox","visible":true,"mode":"base"} %}
		{% set blockColumnDescription = {"dbField":"description","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),"width":"30%","type":"label","visible":true,"mode":"base"} %}
		{% set blockColumnValue = {"dbField":"current_value","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_VALUE"),"width":"15%","align":"center","htmlCustom":jsHtmlIf("'"~jsHtmlData('type')~"'!='CAMERA' && '"~jsHtmlData('type')~"'!='SYSCMD' && parseInt("~jsHtmlData('rendering_id')~")>0",jsHtmlObj("render('list',{prototype:'<{field:current_value|jselement:label}>'})"),""),"visible":true,"mode":"base"} %}
		{% set blockColumnMsp = {"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_MSP"),"width":"9%","type":"label","value":jsHtmlObj('getFormattedMsp()'),"visible":true,"mode":"base"} %}
		{% set blockColumnPhpclass = {"dbField":"phpclass","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_TYPE"),"width":"15%","type":"label","visible":true,"mode":"expert","align":"center","value":jsHtmlFunc("rM.getConstant('_DPAD_DBCONSTANT_WEBPHPCLASS_'+String('" ~ jsHtmlObj('phpclass') ~ "').toUpperCase())")} %}
		{% set blockColumnEnableFlag = {"dbField":"enable_flag","origin":"db","label":getConstant("_DPAD_SYSTEM_EDITOBJECT_DETAILS_ENABLE_FLAG"),"width":"3%","type":"checkbox","visible":true,"align":"center","mode":"expert","onChange":"objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'enable_flag',jQuery(this).is(':checked')?'1':'0');"} %}
		{% set blockColumnIsVisible = {"dbField":"is_visible","origin":"db","label":getConstant("_DPAD_SYSTEM_EDITOBJECT_DETAILS_IS_VISIBLE"),"width":"3%","type":"checkbox","visible":true,"align":"center","mode":"expert","onChange":"objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'is_visible',jQuery(this).is(':checked')?'1':'0');iM.getScope(this).rowVisibleUpdate('" ~ jsHtmlBlock('name') ~ "_list_item_" ~ jsHtmlRowRelation('id') ~ "',jQuery(this).is(':checked')?true:false)"} %}
		{% set blockColumns = {"name":blockColumnName,"description":blockColumnDescription,"current_value":blockColumnValue,"msp":blockColumnMsp,"phpclass":blockColumnPhpclass,"is_visible":blockColumnIsVisible,"enable_flag":blockColumnEnableFlag} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_generic %}

{% endblock block_children %}

{% block block_activeEvents %}
	<div>
		{% set blockTitleId = "events_active" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_EVENTS_ACTIVE_GENERIC_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_EVENTS_ACTIVE_GENERIC_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "IS_EXECUTABLE=1" %}
		{% set blockColumnId = {
			"dbField":"id",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_ID"),
			"width":"5%",
			"type":"label",
			"align":"center",
			"visible":true
		} %}
		{% set blockColumnWarningIsWritable = {
			"dbField":"is_writable",
			"origin":"db",
			"label":"",
			"width":"1%",
			"type":"warning",
			"warningMsg":getConstant("_DPAD_THEME_ADMIN_EVENTS_WARNING_MESSAGE_OBJECT_NOT_WRITABLE"),
			"warningCondition":'!' ~ jsHtmlObj('isOutput()'),
			"align":"center",
			"visible":true
		} %}
		{% set blockColumnName = {
			"dbField":"name",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
			"width":"54%",
			"type":"textbox",
			"visible":true
		} %}
		{% set blockRelationCondition = {
			"dbField":"relation_condition",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_RELATIONS_CONDITION"),
			"width":"10%",
			"type":"select_custom",
			"visible":true,
			"min":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions().min"),
			"max":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions().max"),
			"step":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions().step"),
			"options":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions('associative').options"),
			"customAs":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions().customAs")
		} %}
		{% set blockColumnAction = {
			"dbField":"action",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION"),
			"width":"10%",
			"type":"select_custom",
			"visible":true,
			"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActions('string'," ~ jsHtmlRowRelation('childobj_id') ~ ")")
		} %}
		{% set blockColumnActionValue = {
			"dbField":"action_value",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION_VALUE"),
			"width":"10%",
			"type":"customOrTextbox",
			"visible":true,
			"min":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().min"),
			"max":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().max"),
			"step":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().step"),
			"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:true}).options"),
			"customAs":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().customAs")
		} %}
		{% set blockColumns = {
			"id":blockColumnId,
			"name":blockColumnName,
			"is_writable":blockColumnWarningIsWritable,
			"relation_condition":blockRelationCondition,
			"action":blockColumnAction,
			"action_value":blockColumnActionValue
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_activeEvents %}
	
{% block block_passiveEvents %}
	<div>
		{% set blockTitleId = "events_passive" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_EVENTS_PASSIVE_GENERIC_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_EVENTS_PASSIVE_GENERIC_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockSearchFilter = "IS_EVENT=1 AND D_O.TYPE NOT IN('DAILYSCHEDULE')" %}
		{% set blockColumnId = {
			"dbField":"id",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_ID"),
			"width":"5%",
			"type":"label",
			"align":"center",
			"visible":true
		} %}
		{% set blockColumnName = {
			"dbField":"name",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
			"width":"55%",
			"type":"textbox",
			"visible":true
		} %}
		{% set blockRelationCondition = {
			"dbField":"relation_condition",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_RELATIONS_CONDITION"),
			"width":"10%",
			"type":"select_custom",
			"visible":true,
			"min":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions().min"),
			"max":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions().max"),
			"step":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions().step"),
			"options":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions('associative').options"),
			"customAs":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions().customAs")
		} %}
		{% set blockColumnAction = {
			"dbField":"action",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION"),
			"width":"10%",
			"type":"select_custom",
			"visible":true,
			"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActions('string'," ~ jsHtmlRowRelation('childobj_id') ~ ")")
		} %}
		{% set blockColumnActionValue = {
			"dbField":"action_value",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION_VALUE"),
			"width":"10%",
			"type":"customOrTextbox",
			"visible":true,
			"min":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().min"),
			"max":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().max"),
			"step":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().step"),
			"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:true}).options"),
			"customAs":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().customAs")
		} %}
		{% set blockColumns = {
			"id":blockColumnId,
			"name":blockColumnName,
			"relation_condition":blockRelationCondition,
			"action":blockColumnAction,
			"action_value":blockColumnActionValue
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_passiveEvents %}
