{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_INTEGRATOR_DPADINTEGRATOR_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set valuesTypes = {"REAL":getConstant("_DPAD_LOGIC_INTEGRATOR_TYPE_REAL"),"INTEGER":getConstant("_DPAD_LOGIC_INTEGRATOR_TYPE_INTEGER")} %}
	{% set detailsFields = {
		"name":{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"description":{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		"rendering_id":{
			"type":"rendering_picker",
			"dbField":"rendering_id",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_RENDERING"),
			"mode":"base",
			"category":"behaviour",
			"visible":true
		},
		"max_value":{
			"type":"textbox",
			"dbField":"max_value",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_INTEGRATOR_FIELD_MAX_VALUE"),
			"mode":"base",
			"category":"logic",
			"visible":true,
			"validate":"numeric"
		},
		"values_type":{
			"type":"select",
			"dbField":"values_type",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_INTEGRATOR_FIELD_VALUES_TYPE"),
			"options":valuesTypes,
			"mode":"base",
			"category":"logic",
			"visible":true
		}
	} %}
	{{parent()}}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}

{% block block_layout_parents %}
<div id="block_obj_integrator_input_div"></div>
{{parent()}}
{% endblock block_layout_parents %}

{% block block_parents %}
	<div>
		{% set blockTitleId = "integrator_input" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_INPUT_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_INPUT_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			"id":{
				"dbField":"id",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_ID"),
				"width":"5%",
				"type":"label",
				"align":"center",
				"visible":true
			},
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"95%",
				"type":"label",
				"visible":true
			}
		} %}
		{{ block('block_relations') }}
	</div>
	{{parent()}}
{% endblock block_parents %}

{% block block_children %}
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"id":"integrator_input",
		"relation_type":"child_parent",
		"filter_expression":"datas.obj.is_event==1 && datas.obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "' && datas.relation.ACTION=='INTEGRATE'",
		"drop_accept_expression":"obj.is_event==1 && obj.is_writable==1 && obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "'"
	}|pushInto(blocks,"integrator_input") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_scene") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("events_passive") %}
	{% set blocks = {
		"id":"events_passive",
		"relation_type":"child_parent",
		"filter_expression":"datas.obj.is_event==1 && datas.obj.type!='DAILYSCHEDULE' && datas.relation.RELATION_WEB_TIPOLOGY.indexOf('LOGIC')!=-1 && datas.relation.ACTION!='INTEGRATE'",
		"drop_accept_expression":"obj.is_event==1 && obj.type!='DAILYSCHEDULE'",
		"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_FAILED_IS_EVENT")
	}|pushInto(blocks,"events_passive") %}

	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}