{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_LOGIC_DPADLOGIC_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		"name":{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"description":{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		"msp":{
			"type":"textbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_LOGIC_FIELD_MSP"),
			"mode":"base",
			"category":"logic",
			"visible":true,
			"onChange":"iM.getScope(this).updateLogicExpr($(this))"
		}
	} %}
	{{parent()}}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}

{% block block_layout %}
	<div id="block_obj_details_div"></div>
	<div id="block_obj_parents_div">
	{% block block_layout_parents %}
		<div id="block_obj_parents_group_div"></div>
		<div id="block_obj_logic_input_div"></div>
	{% endblock block_layout_parents %}
	</div>
	<div id="block_obj_children_div">
	{% block block_layout_children %}
		<div id="block_obj_logic_output_div"></div>
	{% endblock block_layout_children %}
	</div>
{% endblock block_layout %}

{% block block_parents %}
	<div>
		{% set blockTitleId = "logic_input" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_ACTIONS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENTS_ACTIONS_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			"id":{
				"dbField":"id",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_ID"),
				"width":"5%",
				"type":"label",
				"align":"center",
				"visible":true
			},
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"95%",
				"type":"textbox",
				"visible":true
			}
		} %}
		{{ block('block_relations') }}
	</div>
	{{ parent() }}
{% endblock block_parents %}
{% block block_children %}
	<div>
		{% set blockTitleId = "logic_output" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_ACTIONS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_ACTIONS_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"40%",
				"type":"textbox",
				"visible":true
			},
			"relation_condition":{
				"dbField":"relation_condition",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_RELATIONS_CONDITION"),
				"width":"20%",
				"type":"select_custom",
				"visible":true,
				"options":jsHtmlObj(jsHtmlRowRelation('parentobj_id'),"getRelationConditions('associative').options")
			},
			"action":{
				"dbField":"action",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION"),
				"width":"20%","type":"select_custom",
				"visible":true,
				"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActions('associative')")
			},
			"action_value":{
				"dbField":"action_value",
				"origin":"relation",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_EVENT_HEADER_ACTION_VALUE"),
				"width":"20%",
				"type":"customOrTextbox",
				"visible":true,
				"min":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().min"),
				"max":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().max"),
				"step":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().step"),
				"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:true}).options"),
				"customAs":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().customAs")
			}
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("parents_scene") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("events_active") %}
	{% set blocks = blocks|unSet("events_passive") %}
	
	{% set blocks = {
		"id":"logic_input",
		"relation_type":"child_parent",
		"filter_expression":"datas.obj.is_event==1 && datas.obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "'",
		"drop_accept_expression":"obj.is_event==1 && obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "'"
	}|pushInto(blocks,"logic_input") %}
	{% set blocks = {
		"id":"logic_output",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.is_executable==1 && datas.obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "'",
		"drop_accept_expression":"obj.is_executable==1 && obj.owned_by!='" ~ getConstant('_DPAD_DB_OWNED_BY_SYSTEM') ~ "'"
	}|pushInto(blocks,"logic_output") %}
	
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}