{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'description':{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'msp':{
			"type":"textbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_SMS_NOTIFYSMS_DETAILS_MESSAGE"),
			"mode":"base",
			"category":"general",
			"visible":true
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_children_smartphones_div"></div>
{% endblock block_layout_children %}

{% block block_children %}
	{% block block_children_smartphones %}
	<div>
		{% set blockTitleId = "children_smartphones" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_NOTIFYSMS_RELATIONS_CHILDREN_SMARTPHONES_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_NOTIFYSMS_RELATIONS_CHILDREN_SMARTPHONES_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_VIRTUALOBJECT') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"80%","type":"textbox","visible":true},
			'number':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_SMS_SMARTPHONE_PHONE_NUMBER"),"width":"20%","align":"center","type":"label","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_smartphones %}
{% endblock block_children %}


{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"id":"children_smartphones",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.phpclass=='" ~ getConstant('_DPAD_SMS_PHPCLASS_SMARTPHONE') ~ "'",
		"drop_accept_expression":"obj.phpclass=='" ~ getConstant('_DPAD_SMS_PHPCLASS_SMARTPHONE') ~ "'"
	}|pushInto(blocks,"children_smartphones") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_generic") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("parents_scenes") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}