{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_PBXELEMENT_DPADPBXDOOROPENER_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'description':{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'msp':{
			"type":"textbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PBXELEMENT_FIELD_MSP"),
			"mode":"base",
			"category":"general",
			"visible":true,
			"mask":"9?99999",
			"onChange":"iM.getScope(this).validateField($(this),'voipnumber',function(field,objId){objM.updateFieldObj(objId,'msp',field.val())})"
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_children_cameras_div"></div>
	<div id="block_obj_children_shortcommands_div"></div>
{% endblock %}

{% block block_children %}
	{% block block_children_cameras %}
	<div>
		{% set blockTitleId = "children_cameras" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VOIP_CHILDREN_CAMERAS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VOIP_CHILDREN_CAMERAS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_CAMERA') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"50%","type":"textbox","visible":true},
			'description':{"dbField":"description","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),"width":"50%","type":"textbox","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_cameras %}
	{% block block_children_shortcommands %}
	<div>
		{% set blockTitleId = "children_shortcommands" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VOIP_CHILDREN_SHORTCOMMANDS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VOIP_CHILDREN_SHORTCOMMANDS_HELP") %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"50%","type":"textbox","visible":true},
			'options.label':{"dbField":"options.label","origin":"relation","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_CONTAINER_RELATIONS_CHILDREN_GENERIC_HEADER_COMPLEX_LABEL"),"width":"50%","type":"textbox","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_shortcommands %}
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"id":"children_cameras",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_CAMERA') ~ "'",
		"drop_accept_expression":"obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_CAMERA') ~ "'"
	}|pushInto(blocks,"children_cameras") %}
	{% set blocks = {
		"id":"children_shortcommands",
		"relation_type":"parent_child",
		"filter_expression":"(datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_EIBOBJECT') ~ "' || datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_VIRTUALOBJECT') ~ "') && datas.relation.RELATION_WEB_TIPOLOGY == '" ~ getConstant("_DPAD_DB_RELATION_TYPE_GENERIC") ~ "'",
		"drop_accept_expression":"obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_EIBOBJECT') ~ "' || obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_VIRTUALOBJECT') ~ "'"
	}|pushInto(blocks,"children_shortcommands") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_generic") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}

{% block block_details_header_actionButtons_customButtons %}
<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
{% endblock block_details_header_actionButtons_customButtons %}

{% block block_details_actionButtons_customButtons %}
<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
{% endblock block_details_actionButtons_customButtons %}