{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_PBXELEMENT_DPADPBXQUEUE_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'description':{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'msp':{
			"type":"textbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PBXELEMENT_FIELD_MSP"),
			"mode":"base",
			"category":"general",
			"visible":true,
			"mask":"9?99999",
			"onChange":"iM.getScope(this).validateField($(this),'voipnumber',function(field,objId){objM.updateFieldObj(objId,'msp',field.val())})"
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{% block block_details_header_actionButtons_customButtons %}
<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
{% endblock block_details_header_actionButtons_customButtons %}

{% block block_details_actionButtons_customButtons %}
<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
{% endblock block_details_actionButtons_customButtons %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_children_members_div"></div>
{% endblock %}

{% block block_children %}
	{% block block_children_members %}
	<div>
		{% set blockTitleId = "children_members" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VOIP_CHILDREN_QUEUE_MEMBERS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VOIP_CHILDREN_QUEUE_MEMBERS_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_VIRTUALOBJECT') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"80%","type":"textbox","visible":true},
			'number':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VOIP_QUEUE_RELATIONS_HEADER_NUMBER"),"width":"20%","align":"center","type":"label","visible":true,"value":jsHtmlObj('getFormattedMsp()')}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_members %}
{% endblock block_children %}


{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"id":"children_members",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.phpclass=='" ~ getConstant('_DPAD_PBX_PHPCLASS_EXTENSION') ~ "' || datas.obj.phpclass=='" ~ getConstant('_DPAD_SYSTEM_PHPCLASS_CLIENTBROWSER') ~ "' || datas.obj.phpclass=='" ~ getConstant('_DPAD_SYSTEM_PHPCLASS_USER') ~ "'",
		"drop_accept_expression":"obj.phpclass=='" ~ getConstant('_DPAD_PBX_PHPCLASS_EXTENSION') ~ "' || obj.phpclass=='" ~ getConstant('_DPAD_SYSTEM_PHPCLASS_CLIENTBROWSER') ~ "' || obj.phpclass=='" ~ getConstant('_DPAD_SYSTEM_PHPCLASS_USER') ~ "'"
	}|pushInto(blocks,"children_members") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_generic") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("parents_scenes") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}