{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'msp':{
			"type":"textbox",
			"dbField":"msp",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_H24ALARM_DETAILS_MSP"),
			"mode":"base",
			"category":"general",
			"visible":true
		}
	} %}

	{{ parent() }}
{% endblock block_details_content_fields %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_h24alarm_children_div"></div>
{% endblock %}

{% block block_children %}
	{% block block_h24alarm_children %}
	<div>
		{% set blockTitleId = "h24alarm_children" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_H24ALARM_CHILDREN_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_PESS_H24ALARM_CHILDREN_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_PESS_TYPE_H24ALARM_CHILD') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_h24alarm_children %}
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("parents_generic") %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("parents_scene") %}
	{% set blocks = {
		"id":"h24alarm_children",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.type=='" ~ getConstant("_DPAD_PESS_TYPE_H24ALARM_CHILD") ~ "'",
		"drop_accept_expression":"obj.type=='" ~ getConstant("_DPAD_PESS_TYPE_H24ALARM_CHILD") ~ "'"
	}|pushInto(blocks,"h24alarm_children") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}