{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_SCENARIO_DPADSCENARIO_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"textbox","dbField":"description","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),"mode":"expert","category":"general","visible":true}|pushInto(detailsFields,"description") %}
	{% set detailsFields = {"type":"textbox","dbField":"msp","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCENARIO_FIELD_MSP"),"mode":"expert","category":"general","visible":true,"mask":"9?99","validate":"[1-100]"}|pushInto(detailsFields,"msp") %}
	{% set detailsFields = {"type":"select","dbField":"options.category","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_CATEGORY"),"mode":"base","category":"behaviour","visible":true,"options":page.categories}|pushInto(detailsFields,"category") %}
	{% set detailsFields = {"type":"rendering_picker","dbField":"rendering_id","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_RENDERING"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"rendering_id") %}
	{% set detailsFields = {"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"base","category":"flags","visible":true}|pushInto(detailsFields,"is_visible") %}
	{% set detailsFields = {"type":"checkbox","dbField":"is_stoppable","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCENARIO_FIELD_IS_STOPPABLE"),"mode":"expert","category":"flags","visible":true}|pushInto(detailsFields,"is_stoppable") %}
	{% set detailsFields = {"type":"checkbox","dbField":"options.startup","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCENARIO_FIELD_OPTIONS_STARTUP"),"mode":"base","category":"flags","visible":true}|pushInto(detailsFields,"options.startup") %}
	{# PIN MANAGEMENT #}
	{% set detailsFields = {"type":"checkbox","dbField":"has_grant","label":getConstant("_DPAD_OBJECT_DETAILS_HAS_GRANT_FLAG"),"mode":"expert","category":"flags","visible":true,"onChange":"var _value=(jQuery(this).is(':checked')?1:0);objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'has_grant',_value);iM.getScope(this).showGrantHashcodeFields(_value);"}|pushInto(detailsFields,"has_grant") %}
	{# {% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_OLD"),"value":jsHtmlData('grant_hashcode'),"mode":"expert","category":"flags","visible":false}|pushInto(detailsFields,"grant_hashcode_old") %} #}
	{% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_NEW"),"mode":"expert","category":"flags","visible":false,"mask":"9?99999"}|pushInto(detailsFields,"grant_hashcode_new") %}
	{% set detailsFields = {"type":"password","label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_REPEAT"),"mode":"expert","category":"flags","visible":false,"mask":"9?99999","onChange":"if(iM.getScope(this).validateGrantHashcode(" ~ jsHtmlData('id') ~ "))objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'grant_hashcode',iM.getScope(this).encodeGrantHashcode(this.value));"}|pushInto(detailsFields,"grant_hashcode_repeat") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}

{% block block_layout_activeEvents %}
	<div id="block_obj_children_actions_div"></div>
{% endblock block_layout_activeEvents %}

{% block block_children %}
	{% block block_children_actions %}
	<div>
		{% set blockTitleId = "children_actions" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_ACTIONS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_ACTIONS_HELP") %}
		{% set blockSearchFilter = "D_O.IS_WRITABLE='1'" %}
		{% set blockInitState = "opened" %}
		{% set blockColumnName = {
			"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"60%","type":"textbox","visible":true} %}
		{% set blockColumnAction = {
			"dbField":"action",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCENARIO_RELATIONS_HEADER_ACTION"),
			"width":"15%",
			"type":"select_custom",
			"visible":true,
			"options":jsHtmlObj("getActions('string')")
		} %}
		{% set blockColumnActionValue = {
			"dbField":"action_value",
			"origin":"relation",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SCENARIO_RELATIONS_HEADER_ACTION_VALUE"),
			"width":"15%",
			"type":"customOrTextbox",
			"visible":true,
			"min":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().min"),
			"max":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().max"),
			"step":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().step"),
			"options":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues('associative',{iObjId:" ~ jsHtmlRowRelation('parentobj_id') ~ ",bAddValValues:false}).options"),
			"customAs":jsHtmlObj(jsHtmlRowRelation('childobj_id'),"getActionValues().customAs")
		} %}
		{% set blockColumns = {"name":blockColumnName,"action":blockColumnAction,"action_value":blockColumnActionValue} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_actions %}
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("parents_scene") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|unSet("events_active") %}
	{% set blocks = blocks|unSet("events_passive") %}
	
	{% set blocks = {
		"id":"children_actions",
		"relation_type":"parent_child",
		"filter_expression":"datas.obj.is_executable==1",
		"drop_accept_expression":"obj.is_executable==1"
	}|pushInto(blocks,"children_actions") %}
	
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}