{% extends "editobject.communicationsection.dpadcommunicationsection.tpl" %}

{% block block_CS %}
	{% include "CS.securforce.tpl" %}
{% endblock block_CS %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'description':{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'msp':{
			"type":"password",
			"dbField":"msp",
			"label":getConstant("_DPAD_SECURFORCE_SECURITY_CENTRAL_DETAILS_MSP"),
			"mode":"base",
			"category":"general",
			"visible":true
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_children_zones_div"></div>
	<div id="block_obj_children_areas_div"></div>
	<div id="block_obj_children_warnings_div"></div>
{% endblock %}

{% block block_children %}
	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input id="objs_number" type="text" />&nbsp;<input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',$(this).prev(\'input\').val());" /></div>' %}
	{% block block_children_zones %}
	<div>
		{% set blockTitleId = "children_zones" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SECURFORCE_CENTRAL_CHILDREN_ZONES_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SECURFORCE_CHILDREN_ZONES_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_ZONE') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_MSP"),"width":"5%","type":"textbox","visible":true,"align":"center"},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_zones %}
	{% block block_children_areas %}
	<div>
		{% set blockTitleId = "children_areas" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SECURFORCE_CENTRAL_CHILDREN_AREAS_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SECURFORCE_CHILDREN_AREAS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_AREA') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_MSP"),"width":"5%","type":"textbox","visible":true,"align":"center"},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_areas %}
	{% block block_children_warnings %}
	<div>
		{% set blockTitleId = "children_warnings" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SECURFORCE_CENTRAL_CHILDREN_WARNINGS_TITLE") %}
		{% set blockTitleCustomHtml = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="var _iScope=iM.getScope(this);var _iCounter=objM.getObj(_iScope[\'block_obj_children_warnings\'].reference_id).getChildren({filters:{object:{type:\'' ~ getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_CENTRAL_WARNING') ~ '\'}}}).length;if(_iCounter==0)_iScope.addNewToBlock(\'block_obj_children_warnings\',58);" /></div>' %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SECURFORCE_CHILDREN_WARNINGS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_CENTRAL_WARNING') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_MSP"),"width":"5%","type":"label","visible":true,"align":"center"},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_warnings %}
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_relations_item_action_remove %}
<td class="grid-line-action"><div class="grid-action-trash" title="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_BUTTON_REMOVE') }}" onclick="if(objM.getObj({{ jsHtmlData('id') }}).owned_by=='SYSTEM'){alert('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_NOT_ALLOWED_ON_SYSTEM_OBJECTS")|encode4jscript }}');return false};if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).trashObjFromBlock('{{ jsHtmlBlock('name') }}',{{ jsHtmlRowRelation('id') }},{{ jsHtmlObj('id') }});event.stopPropagation();}"></div></td>
{% endblock block_relations_item_action_remove %}

{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"children_zones":{
			"id":"children_zones",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_ZONE') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSECURFORCEZONE') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_ZONE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SECURFORCE_SECURITY_PHPCLASS_ZONE') ~ " %' )",
					'PHPCLASS':getConstant('_DPAD_SECURFORCE_SECURITY_PHPCLASS_ZONE'),
					'TYPE':getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_ZONE'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_ZONE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='zone_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		},
		"children_areas":{
			"id":"children_areas",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_AREA') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSECURFORCEAREA') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_AREA') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SECURFORCE_SECURITY_PHPCLASS_AREA') ~ " %' )",
					'PHPCLASS':getConstant('_DPAD_SECURFORCE_SECURITY_PHPCLASS_AREA'),
					'TYPE':getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_AREA'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_AREA') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='area_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		},
		"children_warnings":{
			"id":"children_warnings",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_CENTRAL_WARNING') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").name") ~ " - _DPAD_DBCONSTANT_SECURFORCE_SECURITY_DEFAULT_NAME_FOR_CENTRALWARNING_" ~ jsHtmlFunc("rM.strPad('" ~ jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").getCentralWarningIndex(" ~ jsHtmlRowIndex() ~ ");") ~ "',3,'0')"),
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SECURFORCE_SECURITY_PHPCLASS_CENTRAL_WARNING') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_SECURFORCE_SECURITY_PHPCLASS_CENTRAL_WARNING'),
					'TYPE':getConstant('_DPAD_SECURFORCE_SECURITY_TYPE_CENTRAL_WARNING'),
					'MSP':jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").getCentralWarningIndex(" ~ jsHtmlRowIndex() ~ ");"),
					'IS_VISIBLE':'0'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='centralwarning_" ~ jsHtmlFunc("rM.strPad('" ~ jsHtmlFunc("objM.getObj(" ~ jsHtmlBlock('reference_id') ~ ").getCentralWarningIndex(" ~ jsHtmlRowIndex() ~ ");") ~ "',3,'0')") ~ "'"
				}
			}
		}
	} %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}