{% extends "editobject.communicationsection.dpadcommunicationsection.tpl" %}

{% block block_CS %}
	{% include "CS.sms.tpl" %}
{% endblock block_CS %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'description':{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_children_smartphones_div"></div>
	<div id="block_obj_children_smsnotify_div"></div>
{% endblock %}

{% block block_children %}
	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input id="objs_number" type="text" />&nbsp;<input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',$(this).prev(\'input\').val());" /></div>' %}
	{% block block_children_smartphones %}
	<div>
		{% set blockTitleId = "children_smartphones" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SMS_CHILDREN_SMARTPHONES_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SMS_CHILDREN_SMARTPHONES_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_SMARTPHONE') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"30%","type":"textbox","visible":true},
			'description':{"dbField":"description","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),"width":"40%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SMS_MODEMGSM_RELATIONS_HEADER_SMARTPHONE_MSP"),"width":"30%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_smartphones %}
	{% block block_children_smsnotify %}
	<div>
		{% set blockTitleId = "children_smsnotify" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SMS_CHILDREN_SMSNOTIFIES_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId,getConstant('_DPAD_CLASS_TYPE_NOTIFYSMS'),getConstant('_DPAD_SMS_PHPCLASS_NOTIFYSMS')) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SMS_CHILDREN_SMSNOTIFIES_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_NOTIFYSMS') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"30%","type":"textbox","visible":true},
			'description':{"dbField":"description","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),"width":"30%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_SMS_MODEMGSM_RELATIONS_HEADER_NOTIFY_MSP"),"width":"40%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_smsnotify %}
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_relations_item_action_remove %}
<td class="grid-line-action"><div class="grid-action-trash" title="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_BUTTON_REMOVE') }}" onclick="if(objM.getObj({{ jsHtmlData('id') }}).owned_by=='SYSTEM'){alert('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_NOT_ALLOWED_ON_SYSTEM_OBJECTS")|encode4jscript }}');return false};if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).trashObjFromBlock('{{ jsHtmlBlock('name') }}',{{ jsHtmlRowRelation('id') }},{{ jsHtmlObj('id') }});event.stopPropagation();}"></div></td>
{% endblock block_relations_item_action_remove %}

{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"children_smartphones":{
			"id":"children_smartphones",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_SMARTPHONE') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADSMARTPHONE'),
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SMS_PHPCLASS_SMARTPHONE') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_SMS_PHPCLASS_SMARTPHONE'),
					'TYPE':getConstant('_DPAD_CLASS_TYPE_SMARTPHONE'),
					'IS_VISIBLE':'1'
				}
			}
		},
		"children_smsnotify":{
			"id":"children_smsnotify",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_NOTIFYSMS') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADNOTIFYSMS'),
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_SMS_PHPCLASS_NOTIFYSMS') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_SMS_PHPCLASS_NOTIFYSMS'),
					'TYPE':getConstant('_DPAD_CLASS_TYPE_NOTIFYSMS'),
					'IS_VISIBLE':'1'
				}
			}
		},
	} %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}