{% extends "editobject.communicationsection.dpadcommunicationsection.tpl" %}

{% block block_CS %}
	{% include "CS.tecnoalarm.tpl" %}
{% endblock block_CS %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {
		'name':{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		'description':{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_EIBOBJECT_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		'msp':{
			"type":"password",
			"dbField":"msp",
			"label":getConstant("_DPAD_TECNOALARM_CENTRAL_DETAILS_MSP"),
			"mode":"base",
			"category":"general",
			"visible":true
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_children_zones_div"></div>
	<div id="block_obj_children_programs_div"></div>
	<div id="block_obj_children_expansions_div"></div>
{% endblock %}

{% block block_children %}
	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input id="objs_number" type="text" />&nbsp;<input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',$(this).prev(\'input\').val());" /></div>' %}
	{% block block_children_zones %}
	<div>
		{% set blockTitleId = "children_zones" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_TECNOALARM_CHILDREN_ZONES_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_TECNOALARM_CHILDREN_ZONES_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_TECNOALARMZONE') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_TECNOALARM_CHILDREN_GENERIC_HEADER_MSP"),"width":"5%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_zones %}
	{% block block_children_programs %}
	<div>
		{% set blockTitleId = "children_programs" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_TECNOALARM_CHILDREN_PROGRAMS_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId,getConstant('_DPAD_CLASS_TYPE_TECNOALARMPROGRAM'),getConstant('_DPAD_TECNOALARM_PHPCLASS_TECNOALARMPROGRAM')) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_TECNOALARM_CHILDREN_PROGRAMS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_TECNOALARMPROGRAM') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_TECNOALARM_CHILDREN_GENERIC_HEADER_MSP"),"width":"5%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_programs %}
	{% block block_children_expansions %}
	<div>
		{% set blockTitleId = "children_expansions" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_TECNOALARM_CHILDREN_EXPANSIONS_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId,getConstant('_DPAD_CLASS_TYPE_TECNOALARMEXPANSION'),getConstant('_DPAD_TECNOALARM_PHPCLASS_TECNOALARMEXPANSION')) %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_TECNOALARM_CHILDREN_EXPANSIONS_TITLE_HELP") %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_TECNOALARMEXPANSION') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"95%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_TECNOALARM_CHILDREN_EXPANSIONS_HEADER_MSP"),"width":"5%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_expansions %}
{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_relations_item_action_remove %}
<td class="grid-line-action"><div class="grid-action-trash" title="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_BUTTON_REMOVE') }}" onclick="if(objM.getObj({{ jsHtmlData('id') }}).owned_by=='SYSTEM'){alert('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_NOT_ALLOWED_ON_SYSTEM_OBJECTS")|encode4jscript }}');return false};if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).trashObjFromBlock('{{ jsHtmlBlock('name') }}',{{ jsHtmlRowRelation('id') }},{{ jsHtmlObj('id') }});event.stopPropagation();}"></div></td>
{% endblock block_relations_item_action_remove %}

{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"children_zones":{
			"id":"children_zones",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_TECNOALARMZONE') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADTECNOALARMZONE') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_TECNOALARMZONE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_TECNOALARM_PHPCLASS_TECNOALARMZONE') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_TECNOALARM_PHPCLASS_TECNOALARMZONE'),
					'TYPE':getConstant('_DPAD_CLASS_TYPE_TECNOALARMZONE'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_TECNOALARMZONE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='zone_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		},
		"children_programs":{
			"id":"children_programs",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_TECNOALARMPROGRAM') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADTECNOALARMPROGRAM') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_TECNOALARMPROGRAM') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_TECNOALARM_PHPCLASS_TECNOALARMPROGRAM') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_TECNOALARM_PHPCLASS_TECNOALARMPROGRAM'),
					'TYPE':getConstant('_DPAD_CLASS_TYPE_TECNOALARMPROGRAM'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_TECNOALARMPROGRAM') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='program_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		},
		"children_expansions":{
			"id":"children_expansions",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_TECNOALARMEXPANSION') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADTECNOALARMEXPANSION') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_TECNOALARMEXPANSION') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_TECNOALARM_PHPCLASS_TECNOALARMEXPANSION') ~ "%' )",
					'PHPCLASS':getConstant('_DPAD_TECNOALARM_PHPCLASS_TECNOALARMEXPANSION'),
					'TYPE':getConstant('_DPAD_CLASS_TYPE_TECNOALARMEXPANSION'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_TECNOALARMEXPANSION') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='expansion_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'"
				}
			}
		}
	} %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}