{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_USER_DPADUSER_HELP") }}{% endblock block_details_help_text %}{% block block_details_content_fields %}
	{% set detailsFields = {
		"name":{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_GENERAL_USERNAME"),
			"mode":"base",
			"category":"general",
			"visible":true,
			"mask":"****?**************",
			"onChange":"iM.getScope(this).validateField($(this),'username',function(field,objId){objM.updateFieldObj(objId,'name',field.val())})"
		},
		"description":{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		},
		"msp":{
			"type":"password",
			"label":getConstant("_DPAD_GENERAL_PASSWORD"),
			"mode":"base",
			"category":"general",
			"visible":true,
			"value":jsHtmlIf("'" ~ jsHtmlData('msp') ~ "'",'**********','')
		},
		"msp_repeat":{
			"type":"password",
			"onChange":"if(iM.getScope(this).validate_pwd())objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'msp','{SHA}'+$.base64.encode($.phppack('H*',$.sha1(this.value))));",
			"label":getConstant("_DPAD_SYSTEM_OBJECT_USER_PASSWORD_REPEAT"),
			"mode":"base",
			"category":"general",
			"visible":true
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_parents %}
	<div id="block_obj_parent_usergroups_div"></div>
	{{ parent() }}
{% endblock block_layout_parents %}

{% block block_parents %}
	<div>
		{% set blockTitleId = "parent_usergroups" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENT_USERGROUPS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENT_USERGROUPS_HELP") %}
		{% set blockSearchFilter = "D_O.TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_USERGROUP') ~ "'" %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"100%",
				"type":"textbox",
				"visible":true
			}
		} %}
		{{ block('block_relations') }}
	</div>
	{{ parent() }}
{% endblock block_parents  %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("parents_group") %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% set blocks = blocks|merge({
		"parent_usergroups":{
			"id":"parent_usergroups",
			"relation_type":"child_parent",
			"allow_system_objects":true,
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_USERGROUP') ~ "' && datas.relation.RELATION_WEB_TIPOLOGY=='" ~ getConstant('_DPAD_DB_RELATION_TYPE_USERGROUP') ~ "' ",
			"drop_accept_expression":"obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_USERGROUP') ~ "' && ( ( objM.getCurrentUser().id == this.reference_id ) || objM.has_usergroup_current_user(obj.id) )",
			"drop_accept_msg_failed":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_USERGROUP_ERROR_MISSING_USERGROUP_PERMISSION")
		}
	}) %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}

{% block block_details_header_actionButtons_customButtons %}
	{% if checkModulePresence('pbx') %}
	<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
	{% else %}
		{{ parent() }}
	{% endif %}
{% endblock block_details_header_actionButtons_customButtons %}

{% block block_details_actionButtons_customButtons %}
	{% if checkModulePresence('pbx') %}
	<input id="button_close" type="button" class="field-button-green" value="{{ getConstant('_DPAD_PBX_ACTION_RELOAD_CONFIGURATION') }}" onclick="pbxM.reload_configuration()" />
	{% else %}
		{{ parent() }}
	{% endif %}
{% endblock block_details_actionButtons_customButtons %}