{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_USERGROUP_DPADUSERGROUP_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		"name":{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"description":{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"expert",
			"category":"general",
			"visible":true
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_layout_parents %}
	<div id="block_obj_parents_permissions_div"></div>
{% endblock block_layout_parents %}
{% block block_layout_children %}
	<div id="block_obj_children_users_div"></div>
	<div id="block_obj_children_objs_div"></div>
{% endblock block_layout_children %}

{% block block_children %}
	<div>
		{% set blockTitleId = "children_users" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_USERS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_USERS_HELP") %}
		{% set blockSearchFilter = "D_O.TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_USER') ~ "'" %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"100%",
				"type":"textbox",
				"visible":true
			}
		} %}
		{{ block('block_relations') }}
	</div>
	<div>
		{% set blockTitleId = "children_objs" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_OBJS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_CHILDREN_OBJS_HELP") %}
		{% set blockSearchFilter = "D_O.TYPE!='" ~ getConstant('_DPAD_CLASS_TYPE_USER') ~ "'" %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"40%",
				"type":"textbox",
				"visible":true
			},
			"description":{
				"dbField":"description",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),
				"width":"45%",
				"type":"textbox",
				"visible":true
			},
			"phpclass":{
				"dbField":"phpclass",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_TYPE"),
				"width":"15%",
				"type":"label",
				"visible":true,
				"align":"center",
				"value":jsHtmlFunc("rM.getConstant('_DPAD_DBCONSTANT_WEBPHPCLASS_'+String('" ~ jsHtmlObj('phpclass') ~ "').toUpperCase())")}
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_children %}

{% block block_parents %}
	<div>
		{% set blockTitleId = "parents_permissions" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENT_PERMISSIONS_TITLE") %}
		{% set blockHelp = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_" ~ page.obj_prototype_type|upper ~ "_RELATIONS_PARENT_PERMISSIONS_HELP") %}
		{% set blockSearchFilter = "D_O.TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_USERPERMISSION') ~ "'" %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			"name":{
				"dbField":"name",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),
				"width":"40%",
				"type":"textbox",
				"visible":true
			},
			"description":{
				"dbField":"description",
				"origin":"db",
				"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_DESCRIPTION"),
				"width":"60%",
				"type":"label",
				"visible":true
			}
		} %}
		{{ block('block_relations') }}
	</div>
{% endblock block_parents  %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"parents_permissions":{
			"id":"parents_permissions",
			"relation_type":"child_parent",
			"allow_system_objects":true,
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_USERPERMISSION') ~ "' && datas.relation.RELATION_WEB_TIPOLOGY=='" ~ getConstant('_DPAD_DB_RELATION_TYPE_USERGROUP') ~ "' ",
			"drop_accept_expression":"obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_USERPERMISSION') ~ "' && objM.has_usergroup_current_user(this.reference_id) ",
			"drop_accept_msg_failed":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_USERGROUP_ERROR_MISSING_USERGROUP_PERMISSION")
		},
		"children_users":{
			"id":"children_users",
			"relation_type":"parent_child",
			"allow_system_objects":true,
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_USER') ~ "' && datas.relation.RELATION_WEB_TIPOLOGY=='" ~ getConstant('_DPAD_DB_RELATION_TYPE_USERGROUP') ~ "' ",
			"drop_accept_expression":"obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_USER') ~ "' && ( ( objM.getCurrentUser().id == obj.id) || objM.has_usergroup_current_user(this.reference_id) )",
			"drop_accept_msg_failed":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_USERGROUP_ERROR_MISSING_USERGROUP_PERMISSION")
		},
		"children_objs":{
			"id":"children_objs",
			"relation_type":"parent_child",
			"allow_system_objects":true,
			"filter_expression":"datas.obj.type!='" ~ getConstant('_DPAD_CLASS_TYPE_USER') ~ "' && datas.relation.RELATION_WEB_TIPOLOGY=='" ~ getConstant('_DPAD_DB_RELATION_TYPE_USERGROUP') ~ "'  && datas.relation.ENABLE_FLAG=='1' && datas.obj.owned_by!='SYSTEM'",
			"drop_accept_expression":"obj.type!='" ~ getConstant('_DPAD_CLASS_TYPE_USER') ~ "' && objM.has_usergroup_current_user(this.reference_id)",
			"drop_accept_msg_failed":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_USERGROUP_ERROR_MISSING_USERGROUP_PERMISSION")
		}
	} %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}