{% extends "editobject.generic.tpl" %}

{# DETAILS SECTION #}
{% block block_details_help_text %}{{ getConstant("_DPAD_DBCONSTANT_EDITOBJECT_VIRTUALOBJECT_DPADVIRTUALOBJECT_HELP") }}{% endblock block_details_help_text %}
{% block block_details_content_fields %}
	{% set detailsFields = {
		"name":{
			"type":"textbox",
			"dbField":"name",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"description":{
			"type":"textbox",
			"dbField":"description",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_DESCRIPTION"),
			"mode":"base",
			"category":"general",
			"visible":true
		},
		"rendering_id":{
			"type":"rendering_picker",
			"dbField":"rendering_id",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_RENDERING"),
			"mode":"base",
			"category":"behaviour",
			"visible":true
		},
		"values_type":{
			"type":"select",
			"options":{
				(getConstant("_DPAD_DB_VIRTUALOBJECT_TYPE_BOOLEAN")):getConstant("_DPAD_SYSTEM_OBJECT_DETAILS_VIRTUALOBJECT_TYPE_BOOLEAN"),
				(getConstant("_DPAD_DB_VIRTUALOBJECT_TYPE_NUMERIC")):getConstant("_DPAD_SYSTEM_OBJECT_DETAILS_VIRTUALOBJECT_TYPE_NUMERIC"),
				(getConstant("_DPAD_DB_VIRTUALOBJECT_TYPE_FLOAT")):getConstant("_DPAD_SYSTEM_OBJECT_DETAILS_VIRTUALOBJECT_TYPE_FLOATING"),
				(getConstant("_DPAD_DB_VIRTUALOBJECT_TYPE_STRING")):getConstant("_DPAD_SYSTEM_OBJECT_DETAILS_VIRTUALOBJECT_TYPE_STRING")
			},
			"dbField":"values_type",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_VALUES_TYPE"),
			"mode":"base",
			"onChange":"objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'values_type',this.value);objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'is_boolean',(this.value=='" ~ getConstant("_DPAD_DB_VIRTUALOBJECT_TYPE_BOOLEAN") ~ "'?1:0));iM.getScope(this).showHideLimits();iM.getScope(this).checkLimits()",
			"category":"behaviour",
			"visible":true
		},
		"is_visible":{
			"type":"checkbox",
			"dbField":"is_visible",
			"label":getConstant("_DPAD_SYSTEM_EDITOBJECT_DETAILS_IS_VISIBLE"),
			"mode":"expert",
			"category":"flags",
			"visible":true
		},
		"is_writable":{
			"type":"checkbox",
			"dbField":"is_writable",
			"label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_WRITABLE"),
			"mode":"expert",
			"category":"flags",
			"visible":true
		},
		"has_grant":{
			"type":"checkbox",
			"dbField":"has_grant",
			"label":getConstant("_DPAD_OBJECT_DETAILS_HAS_GRANT_FLAG"),
			"mode":"expert",
			"category":"flags",
			"visible":true,
			"onChange":"var _value=(jQuery(this).is(':checked')?1:0);objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'has_grant',_value);iM.getScope(this).showGrantHashcodeFields(_value);"
		},
		"grant_hashcode_new":{
			"type":"password",
			"label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_NEW"),
			"mode":"expert",
			"category":"flags",
			"visible":false,
                        "mask":"9?99999"
		},
		"grant_hashcode_repeat":{
			"type":"password",
			"label":getConstant("_DPAD_OBJECT_DETAILS_GRANT_HASHCODE_REPEAT"),
			"mode":"expert",
			"category":"flags",
			"visible":false,
                        "mask":"9?99999",
			"onChange":"if(iM.getScope(this).validateGrantHashcode(" ~ jsHtmlData('id') ~ "))objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'grant_hashcode',iM.getScope(this).encodeGrantHashcode(this.value));"
		}
	} %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# RELATIONS BLOCKS DEFINITION #}
{% block block_children %}{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_scopeInclusion_initBlocks %}
	{% set blocks = blocks|unSet("children_generic") %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}