{% extends "editobject.communicationsection.dpadcommunicationsection.tpl" %}

{% block block_CS %}
	{% include "CS.vivaldi.tpl" %}
{% endblock block_CS %}

{# DETAILS SECTION #}
{% block block_details_content_fields %}
	{% set detailsFields = {} %}
	{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
	{% set detailsFields = {"type":"textbox","dbField":"msp","label":getConstant("_DPAD_VIVALDI_CENTRAL_DETAILS_MSP"),"mode":"base","category":"general","visible":true,"mask":"9?9"}|pushInto(detailsFields,"msp") %}
	{{ parent() }}
{% endblock block_details_content_fields %}

{# CHILDREN SECTION #}
{% block block_layout_children %}
	<div id="block_obj_children_rc20_div"></div>
	<div id="block_obj_children_scene_div"></div>
	<div id="block_obj_children_ir_div"></div>
{% endblock %}

{% block block_children %}
	{% set _blockTitleCustomHtmlPrototype = '<div class="h4-add-object field-button-action"><input id="objs_number" type="text" />&nbsp;<input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="iM.getScope(this).addNewToBlock(\'block_obj_%s\',$(this).prev(\'input\').val());" /></div>' %}

	{% block block_children_rc20 %}
	<div>
		{% set blockTitleId = "children_rc20" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VIVALDI_CENTRAL_CHILDREN_RC20_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_VIVALDICOMMANDRC20') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"80%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VIVALDI_CENTRAL_CHILDREN_MSP_HEADER"),"width":"20%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_rc20 %}

	{% block block_children_scene %}
	<div>
		{% set blockTitleId = "children_scene" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VIVALDI_CENTRAL_CHILDREN_SCENE_TITLE") %}
		{% set blockTitleCustomHtml = _blockTitleCustomHtmlPrototype|format(blockTitleId) %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_VIVALDISCENE') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"80%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VIVALDI_CENTRAL_CHILDREN_MSP_HEADER"),"width":"20%","type":"textbox","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_scene %}

	{% block block_children_ir %}
	<div>
		{% set blockTitleId = "children_ir" %}
		{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VIVALDI_CENTRAL_CHILDREN_IR_TITLE") %}
		{% set blockTitleCustomHtml = '<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="' ~ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') ~ '" onclick="var _iScope=iM.getScope(this);var _iCounter=objM.getObj(_iScope[\'block_obj_children_ir\'].reference_id).getChildren({filters:{object:{type:\'' ~ getConstant('_DPAD_CLASS_TYPE_VIVALDIIRCODE') ~ '\'}}}).length;if(_iCounter==0)_iScope.addNewToBlock(\'block_obj_children_ir\',50);" /></div>' %}
		{% set blockSearchFilter = getConstant('_DPAD_CLASS_TYPE_VIVALDIIRCODE') %}
		{% set blockInitState = "opened" %}
		{% set blockColumns = {
			'name':{"dbField":"name","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_RELATIONS_HEADER_NAME"),"width":"80%","type":"textbox","visible":true},
			'msp':{"dbField":"msp","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_VIVALDI_CENTRAL_CHILDREN_MSP_HEADER"),"width":"20%","type":"label","align":"center","visible":true},
			'is_visible':{"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_GENERIC_FIELD_IS_VISIBLE"),"mode":"expert","category":"flags","visible":true}
		} %}
		{{ block('block_relations') }}
	</div>
	{% endblock block_children_ir %}

{% endblock block_children %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{% block block_relations_item_action_remove %}
<td class="grid-line-action"><div class="grid-action-trash" title="{{ getConstant('_DPAD_THEME_ADMIN_EDITOBJECT_RELATIONS_BUTTON_REMOVE') }}" onclick="if(objM.getObj({{ jsHtmlData('id') }}).owned_by=='SYSTEM'){alert('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_NOT_ALLOWED_ON_SYSTEM_OBJECTS")|encode4jscript }}');return false};if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).trashObjFromBlock('{{ jsHtmlBlock('name') }}',{{ jsHtmlRowRelation('id') }},{{ jsHtmlObj('id') }});event.stopPropagation();}"></div></td>
{% endblock block_relations_item_action_remove %}

{% block block_scopeInclusion_initBlocks %}
	{% set blocks = {
		"children_rc20":{
			"id":"children_rc20",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDICOMMANDRC20') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADVIVALDICOMMANDRC20') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDICOMMANDRC20') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_VIVALDI_PHPCLASS_COMMANDRC20') ~ " %' )",
					'PHPCLASS':getConstant('_DPAD_VIVALDI_PHPCLASS_COMMANDRC20'),
					'TYPE':getConstant('_DPAD_CLASS_TYPE_VIVALDICOMMANDRC20'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDICOMMANDRC20') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'CURRENT_VALUE':'0',
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='rc20_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'",
					'ORDER_NUM':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDICOMMANDRC20') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))"
				}
			}
		},
		"children_scene":{
			"id":"children_scene",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDISCENE') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '"  ~ getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADVIVALDISCENE') ~ " ' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDISCENE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_VIVALDI_PHPCLASS_SCENE') ~ " %' )",
					'PHPCLASS':getConstant('_DPAD_VIVALDI_PHPCLASS_SCENE'),
					'TYPE':getConstant('_DPAD_CLASS_TYPE_VIVALDISCENE'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDISCENE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'CURRENT_VALUE':'0',
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='scene_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'",
					'ORDER_NUM':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDISCENE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))"
				}
			}
		},
		"children_ir":{
			"id":"children_ir",
			"relation_type":"parent_child",
			"filter_expression":"datas.obj.type=='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDIIRCODE') ~ "'",
			"drop_accept_expression":"false",
			"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_DISABLED")|encode4jscript,
			"addNewSchema":{
				'obj':{
					'NAME':"(SELECT '_DPAD_DBCONSTANT_VIVALDI_IR_DEFAULT_NAME_' || (COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1) FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDIIRCODE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%" ~ getConstant('_DPAD_VIVALDI_PHPCLASS_IRCODE') ~ " %' )",
					'PHPCLASS':getConstant('_DPAD_VIVALDI_PHPCLASS_IRCODE'),
					'TYPE':getConstant('_DPAD_CLASS_TYPE_VIVALDIIRCODE'),
					'MSP':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDIIRCODE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))",
					'CURRENT_VALUE':'0',
					'IS_VISIBLE':'1'
				},
				'relation':{
					'OPTIONAL':"tag_complex_element='ircode_" ~ jsHtmlFunc( "(" ~ jsHtmlRowIndex() ~ "+1)" ) ~ "'",
					'ORDER_NUM':"(SELECT COALESCE(MAX(CAST(MSP AS INTEGER)),0)+1 FROM DPADD_OBJECT WHERE TYPE='" ~ getConstant('_DPAD_CLASS_TYPE_VIVALDIIRCODE') ~ "' AND ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='" ~ jsHtmlBlock('reference_id') ~ "'))"
				}
			}
		}

		
	} %}
	{% block block_scopeInclusion %}
		{{ parent() }}
	{% endblock block_scopeInclusion %}
{% endblock block_scopeInclusion_initBlocks %}