{# LAYOUT #}
{% block block_layout %}
<div id="block_details_div"></div>
<div id="block_options_div"></div>
<div id="block_prototypes_div"></div>
{% endblock block_layout %}

{# RENDERING DETAILS #}
{% block block_details %}
<div style="display: none">
	<div id="block_details_container_prototype"><div id="block_details_container_results" style="width:100%;heigth:100%;" ></div></div>
	<div id="block_details_item_prototype">
		<div id="{{ jsHtmlBlock('name') }}_details_item">
		{% block block_details_container %}
		<div id="messages" class="field-note-container"></div>
		{% block block_details_header %}
		<h1 style="margin-bottom:0px"><label id="title">{{ jsHtmlData('name') }}</label>
		<div class="field-button-action">
			<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
			<input id="button_save" type="button" class="field-button-green" value="{{getConstant('_DPAD_GENERAL_SAVE')}}" onClick="iM.getScope(this).saveRendering()"/>
		</div>
		</h1>
		{% endblock block_details_header %}
		{% block block_details_content %}
		<h4 class="template-opened-h4">
			<div class="menu-icon-node"></div>
			<div class="h4-title">{{ getConstant("_DPAD_THEME_ADMIN_EDITOBJECT_DETAILS_TITLE") }}</div>
		</h4>
		<div class="template-container-fields" style="display:block">
			<fieldset id="general" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_GENERAL") }}</legend>
			</fieldset>
			<fieldset id="range" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_RANGE") }}</legend>
			</fieldset>
			<fieldset id="object" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_OBJECT") }}</legend>
			</fieldset>
			<fieldset id="behaviour" mode="base" enabled="true">
				<legend>{{ getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_BEHAVIOUR") }}</legend>
			</fieldset>
			{% block block_details_content_fields %}

			{% set hasOptionsValues = {"0":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_HAS_OPTIONS_NO"),"1":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_HAS_OPTIONS_YES")} %}
			{% set detailsFields = {} %}
			{% set detailsFields = {"type":"textbox","dbField":"name","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_NAME"),"mode":"base","category":"general","visible":true}|pushInto(detailsFields,"name") %}
			{% set detailsFields = {"type":"select","dbField":"type","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_TYPE"),"mode":"base","category":"behaviour","visible":true,"options":page.categories}|pushInto(detailsFields,"type") %}
			{% set detailsFields = {"type":"select","dbField":"has_options","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_HAS_OPTIONS"),"mode":"base","category":"general","visible":true,"options":hasOptionsValues,"onChangeAdditional":"iM.getScope(this).updateFormByRenderingAttributes(this.value)"}|pushInto(detailsFields,"has_options") %}
			{% set detailsFields = {"type":"textbox","dbField":"min_state","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_MIN_STATE"),"mode":"base","category":"range","visible":true}|pushInto(detailsFields,"min_state") %}
			{% set detailsFields = {"type":"textbox","dbField":"max_state","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_MAX_STATE"),"mode":"base","category":"range","visible":true}|pushInto(detailsFields,"max_state") %}
			{% set detailsFields = {"type":"textbox","dbField":"step_state","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_STEP_STATE"),"mode":"base","category":"range","visible":true}|pushInto(detailsFields,"step_state") %}
			{% set detailsFields = {"type":"image_picker","dbField":"image_path","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_IMAGE_PATH"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"image_path") %}
			{% set detailsFields = {"type":"textbox","dbField":"formatting_schema","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_FORMATTING_SCHEMA"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"formatting_schema") %}
			{% set detailsFields = {"type":"select","dbField":"phpclasses","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_PHPCLASSES"),"mode":"base","category":"object","visible":true,"options":page.phpclasses}|pushInto(detailsFields,"phpclasses") %}
			{% set detailsFields = {"type":"select","dbField":"values_type","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_VALUES_TYPE"),"mode":"base","category":"object","visible":true,"options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getValueTypes('"~jsHtmlData('phpclasses')~"')")}|pushInto(detailsFields,"values_type") %}
			{% set detailsFields = {"type":"checkbox","dbField":"is_visible","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_DETAILS_IS_VISIBLE"),"mode":"base","category":"behaviour","visible":true}|pushInto(detailsFields,"is_visible") %}

			{% for fieldName,field in detailsFields %}
				{# Origin #}
				{% if field.origin is null and field.dbField is not null %}{% set field='db'|pushInto(field,"origin") %}{% endif %}
				{# fieldId #}
				{% if field.id is empty %}
					{% if 'options.' in field.dbField %}
						{% set _tagFieldId = field.dbField|replace({'options.':'optionalp_'}) %}
					{% elseif field.origin=='db' %}
						{% set _tagFieldId = field.dbField %}
					{% else %}
						{% set _tagFieldId = fieldName %}
					{% endif %}
					{% set fieldId = "obj" ~ jsHtmlData('id') ~ "_" ~ _tagFieldId %}
				{% else %}
					{% set fieldId=field.id %}
				{% endif %}
				{# fieldValue #}
				{% if field.value is empty and field.origin=='db' %}
					{% set fieldValue = jsHtmlData(field.dbField) %}
				{% else %}
					{% set fieldValue = field.value %}
				{% endif %}
				{# fieldValueJs #}
				{% if field.type == "checkbox" %}
					{% set fieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
				{% elseif field.type == "customOrTextbox" or field.type == "drop" %}
					{% set fieldValueJs = "drawM.getValue('" ~ fieldId ~ "',iM.getScope(this).getScopeSelector())" %}
				{% else %}
					{% set fieldValueJs = "this.value" %}
				{% endif %}
				{# onChange #}
				{% if field.onChange is not empty %}
					{% set onChange=field.onChange %}
				{% elseif field.origin=='db' %}
					{% if field.dbField=='name' %}
						{% set _onChangeTag= "wM.tabUpdateLabel(wM.tabGetByTag('" ~ jsHtmlData('id') ~ "')," ~ fieldValueJs ~ ");$(iM.getScope(this).getScopeSelector()).find('#title').html(" ~ fieldValueJs ~ ");" %}
					{% else %}
						{% set _onChangeTag= "" %}
					{% endif %}
					{% set onChange = "iM.getScope(this).updateRendField(" ~ jsHtmlData('id') ~ ",'" ~ field.dbField ~ "'," ~ fieldValueJs ~ ");" ~ _onChangeTag  %}
					{% if field.onChangeAdditional is not empty %}
						{% set onChange=onChange ~ ";" ~ field.onChangeAdditional %}
					{% endif %}
					{% set field=onChange|pushInto(field,"onChange") %}

					{% set field=onChange|pushInto(field,"onChange") %}
					{% set onChange=field.onChange %}
				{% else %}
					{% set onChange=null %}
				{% endif %}
				{# onKeyPress #}
				{% if onChange is not empty %}
				{#
					UnBlur dentro detect_enter_keypress scatena gi onchange!!!!!
					{% set onKeyPress="if(iM.getScope(this).detect_enter_keypress(event)){" ~ field.onChange ~ "}" %}
				#}
				{% set onKeyPress="iM.getScope(this).detect_enter_keypress(event);" %}
				{% else %}
					{% set onKeyPress=null %}
				{% endif %}
				{# onLoad #}
				{% if field.onLoad is not empty %}
					{% set onLoad=field.onLoad %}
				{% else %}
					{% set onLoad=null %}
				{% endif %}
				{# Detail Prototype #}
				{% block block_details_content_fields_prototype %}
				<div id="{{ fieldId }}_line" class="field-line" {% if field.category %}category="{{ field.category }}"{% endif %} {% if field.mode %}mode="{{ field.mode }}"{% endif %} enabled="true" detail="{{field.dbField}}">
					<label id="{{ fieldId }}_label" for="{{ fieldId }}">{% if field.label is not empty %}{{ field.label }}:{% endif %}</label>
					{% if field.htmlCustom is not empty %}
						{{ field.htmlCustom }}
					{% else %}
						{% if field.type == "image_picker" %}
						<div>
							<img id="obj{{ jsHtmlData('id') }}_image_path" class="field-image-preview" src="../../themes/{{ jsHtmlBlock('themeForRuntime') }}/images/rendering/{{ jsHtmlData('image_path') }}" alt="" onclick="var oScope=iM.getScope(this);oScope.pickupImage($(this),$(oScope.getScopeSelector()).find('#obj{{ jsHtmlData('id') }}_image_path'),'/mnt/storage/RWdlabs/smartdomuspad/themes/{{ jsHtmlBlock('themeForRuntime') }}/images/rendering/','details');"/>
						</div>
						{% else %}
							{{ jsHtml({
								"as":field.type,
								"id":fieldId,
								"value":fieldValue,
								"options":field.options,
								"onChange":onChange,
								"onLoad":onLoad,
								"onKeyPress":onKeyPress,
								"themeSrc":theme.baseurl,
								"customAs":field.customAs
							}) }}
						{% endif %}
					{% endif %}
					<div class="template-clear"></div>
				</div>
				{% endblock block_details_content_fields_prototype %}
			{% endfor %}
			{% endblock block_details_content_fields %}
		</div>
		
		<div class="field-buttons-container">
			<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onclick="iM.getScope(this).formButtonClose()"/>
			<input id="button_save" type="button" class="field-button-green" value="{{getConstant('_DPAD_GENERAL_SAVE')}}" onClick="iM.getScope(this).saveRendering()"/>
		</div>
		{% endblock block_details_content %}
		{% endblock block_details_container %}
	</div>
</div>
{% endblock block_details %}

{# OPTIONS #}
{% set blockTitleId = "options" %}
{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_OPTIONS_TITLE") %}
{% set blockInitState = "opened" %}
{% set blockColumns = {} %}
{% set blockColumns = {"dbField":"labels","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_OPTIONS_HEADER_LABEL"),"width":"35%","type":"textbox","visible":true,"mode":"base"}|pushInto(blockColumns,"label") %}
{% set blockColumns = {"dbField":"value","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_OPTIONS_HEADER_VALUE"),"width":"5%","type":"textbox","visible":true,"mode":"base"}|pushInto(blockColumns,"value") %}
{% set blockColumns = {"dbField":"images","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_OPTIONS_HEADER_IMAGE"),"width":"5%","type":"image_picker","align":"center","style":"width:25px;","value":"../../themes/" ~ jsHtmlBlock('themeForRuntime') ~ "/images/rendering/" ~ jsHtmlData('images'),"visible":true,"mode":"base"}|pushInto(blockColumns,"images") %}
{% set blockColumns = {"dbField":"symbols","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_OPTIONS_HEADER_SYMBOL"),"width":"35%","type":"select","visible":true,"mode":"base","options":page.symbols}|pushInto(blockColumns,"symbol") %}
{% set blockColumns = {"dbField":"actions","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_OPTIONS_HEADER_ACTION"),"width":"20%","type":"select","visible":true,"mode":"base","align":"center","options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getActions()")}|pushInto(blockColumns,"action") %}

<div style="display:none">
	<div id="block_options_container_prototype">
		<h4 class="template-opened-h4">
			<div class="menu-icon-node"></div>
			<div class="h4-title">{{blockTitle}}</div>
			<div class="h4-title-custom-html">
				<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="{{ getConstant('_DPAD_DBCONSTANT_GENERAL_ADD') }}" onclick="iM.getScope(this).addNewOption();" /></div>				
			</div>
		</h4>
		<div class="template-container-fields" style="display:block">
			<div class="grid-table">
				<table id="block_options_container_results" cellspacing="0" cellpadding="0"></table>
			</div>
		</div>
	</div>
	<table id="block_options_header_prototype">
		<tr id="block_options_list_column_headers">
			<th class="grid-line-action"></th>
			{% for key,column in blockColumns %}
				<th column='{{key}}' style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}{% if column.visible != "true" %}display:none;{% else %}display:table-cell;{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
			{% endfor %}
		</tr>
	</table>
	<table id="block_options_item_prototype">
		<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('value') }}">
			<td class="grid-line-action"><div class="grid-action-del" title="{{ getConstant('_DPAD_GENERAL_DELETE') }}" onclick="if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).removeOption('{{ jsHtmlData('value') }}');event.stopPropagation();}"></div></td>
			{% for key,column in blockColumns %}
				{% if column.visible == "true" %}
					<td column='{{ key }}' style="{% if column.align %}text-align:{{ column.align }};{% endif %}display:{% if column.mode == 'expert' %}{{ jsHtmlIf('wM.expertMode','table-cell','none') }}{% else %}{% if column.visible != "true" %}none{% else %}table-cell{% endif %}{% endif %}" enabled="true" mode="{% if column.mode is not empty %}{{ column.mode }}{% else %}base{% endif %}">
					{% set columnFieldName='item_' ~ jsHtmlData('value') ~ '_' ~ column.origin ~ '_' ~ column.dbField|replace({'.':'_'}) %}
				{% if column.value is not empty %}
					{% set columnFieldValue = column.value %}
				{% else %}
					{% set columnFieldValue = jsHtmlData(column.dbField) %}
				{% endif %}
				{% if column.title is not empty %}
					{% set columnFieldTitle = column.title %}
				{% else %}
					{% set columnFieldTitle = columnFieldValue %}
				{% endif %}
				{% if column.type == "checkbox" %}
					{% set columnFieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
				{% elseif column.type == "customOrTextbox" or column.type == "drop" %}
					{% set columnFieldValueJs = "drawM.getValue('" ~ columnFieldName ~ "',iM.getScope(this).getScopeSelector())" %}
				{% else %}
					{% set columnFieldValueJs = "this.value" %}
				{% endif %}
				{% if column.onChange is not empty %}
					{% set columnFieldOnChange = column.onChange %}
				{% elseif column.origin == "db" %}
					{% set columnFieldOnChange = "iM.getScope(this).updateOptionField(" ~ jsHtmlData('value') ~ ",'" ~ column.dbField ~"'," ~ columnFieldValueJs ~ ");" %}
				{% endif %}
				{% if column.htmlCustom is not empty %}
					{{ column.htmlCustom }}
				{% elseif column.type == "image_picker" %}
					<div class="image-preview-container">
						<img id="option{{ jsHtmlData('value') }}_image" src="../../themes/{{ jsHtmlBlock('themeForRuntime') }}/images/rendering/{{ jsHtmlData('images') }}" alt="" onclick="var oScope=iM.getScope(this);oScope.imagePickOptionValue={{ jsHtmlData('value') }};oScope.pickupImage($(this),$(oScope.getScopeSelector()).find('#option{{ jsHtmlData('value') }}_image'),'/mnt/storage/RWdlabs/smartdomuspad/themes/{{ jsHtmlBlock('themeForRuntime') }}/images/rendering/','options');"/>
					</div>
				{% else %}
					{{ jsHtml({
						"as":column.type,
						"id":columnFieldName,
						"options":column.options,
						"value":columnFieldValue,
						"title":columnFieldTitle,
						"onChange":columnFieldOnChange,
						"onLoad":column.onLoad,
						"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))" ~ columnFieldOnChange,
						"style":column.style,
						"min":column.min,
						"max":column.max,
						"step":column.step,
						"themeSrc":theme.baseurl,
						"customAs":column.customAs
					}) }}
				{% endif %}
				</td>
				{% endif %}
			{% endfor %}
		</tr>
	</table>
</div>
	
{# PROTOTYPES #}
{% set blockTitleId = "prototypes" %}
{% set blockTitle = getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_PROTOTYPES_TITLE") %}
{% set blockInitState = "opened" %}
{% set blockColumns = {} %}
{% set blockColumns = {"dbField":"view","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_PROTOTYPES_HEADER_VIEW"),"width":"30%","type":"select","visible":true,"mode":"base","options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getViews("~jsHtmlData('id')~")"),"onChange":"iM.getScope(this).updatePrototypeView("~jsHtmlData('id')~",this.value)"}|pushInto(blockColumns,"view") %}
{% set blockColumns = {"dbField":"prototype_id","origin":"db","label":getConstant("_DPAD_THEME_ADMIN_EDITRENDERING_PROTOTYPES_HEADER_PROTOTYPE"),"width":"70%","type":"select","visible":true,"mode":"base","options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getPrototypes('"~jsHtmlData('view')~"')")}|pushInto(blockColumns,"prototype_id") %}

<div style="display:none">
	<div id="block_prototypes_container_prototype">
		<h4 class="template-opened-h4">
			<div class="menu-icon-node"></div>
			<div class="h4-title">{{blockTitle}}</div>
			<div class="h4-title-custom-html">
				<div class="h4-add-object field-button-action"><input type="button" class="field-button-green" value="{{getConstant('_DPAD_DBCONSTANT_GENERAL_ADD')}}" onclick="iM.getScope(this).addNewPrototype();" /></div>				
			</div>
		</h4>
		<div class="template-container-fields" style="display:block">
			<div class="grid-table">
				<table id="block_prototypes_container_results" cellspacing="0" cellpadding="0"></table>
			</div>
		</div>
	</div>
	<table id="block_prototypes_header_prototype">
		<tr id="block_prototypes_list_column_headers">
			<th class="grid-line-action"></th>
			{% for key,column in blockColumns %}
				<th column='{{key}}' style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}{% if column.visible != "true" %}display:none;{% else %}display:table-cell;{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
			{% endfor %}
		</tr>
	</table>
	<table id="block_prototypes_item_prototype">
		<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
			<td class="grid-line-action"><div class="grid-action-del" title="{{ getConstant('_DPAD_GENERAL_DELETE') }}" onclick="if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).removePrototype('{{ jsHtmlData('id') }}');event.stopPropagation();}"></div></td>
			{% for key,column in blockColumns %}
				{% if column.visible == "true" %}
					<td column='{{ key }}' style="{% if column.align %}text-align:{{ column.align }};{% endif %}display:{% if column.mode == 'expert' %}{{ jsHtmlIf('wM.expertMode','table-cell','none') }}{% else %}{% if column.visible != "true" %}none{% else %}table-cell{% endif %}{% endif %}" enabled="true" mode="{% if column.mode is not empty %}{{ column.mode }}{% else %}base{% endif %}">
					{% set columnFieldName='item_' ~ jsHtmlData('id') ~ '_' ~ column.origin ~ '_' ~ column.dbField|replace({'.':'_'}) %}
				{% if column.value is not empty %}
					{% set columnFieldValue = column.value %}
				{% else %}
					{% set columnFieldValue = jsHtmlData(column.dbField) %}
				{% endif %}
				{% if column.title is not empty %}
					{% set columnFieldTitle = column.title %}
				{% else %}
					{% set columnFieldTitle = columnFieldValue %}
				{% endif %}
				{% if column.type == "checkbox" %}
					{% set columnFieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
				{% elseif column.type == "customOrTextbox" or column.type == "drop" %}
					{% set columnFieldValueJs = "drawM.getValue('" ~ columnFieldName ~ "',iM.getScope(this).getScopeSelector())" %}
				{% else %}
					{% set columnFieldValueJs = "this.value" %}
				{% endif %}
				{% if column.onChange is not empty %}
					{% set columnFieldOnChange = column.onChange %}
				{% elseif column.origin == "db" %}
					{% set columnFieldOnChange = "iM.getScope(this).updatePrototypeField(" ~ jsHtmlData('id') ~ ",'" ~ column.dbField ~"'," ~ columnFieldValueJs ~ ");" %}
				{% endif %}
				{% if column.htmlCustom is not empty %}
					{{ column.htmlCustom }}
				{% else %}
					{{ jsHtml({
						"as":column.type,
						"id":columnFieldName,
						"options":column.options,
						"value":columnFieldValue,
						"title":columnFieldTitle,
						"onChange":columnFieldOnChange,
						"onLoad":column.onLoad,
						"onKeyPress":"if(iM.getScope(this).detect_enter_keypress(event))" ~ columnFieldOnChange,
						"style":column.style,
						"min":column.min,
						"max":column.max,
						"step":column.step,
						"themeSrc":theme.baseurl,
						"customAs":column.customAs
					}) }}
				{% endif %}
				</td>
				{% endif %}
			{% endfor %}
		</tr>
	</table>
</div>
	
{# SCOPE #}
{% block block_scope %}
	{% include "scope.editrendering.tpl" %}
{% endblock block_scope %}