{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{getConstant("_DPAD_THEME_ADMIN_ETS_RULES_TITLE")}}{% endblock %}

{% set form0_name = "ets_rules_form" %}
{% set form0_format = "json" %}
{% set form0_body %}
	<div id="ets_rules_container"></div>
	
	<div style="display:none">

		{% set bitLenghts = {"1":"1 bit","2":"2 bit","4":"4 bit","8":"1 byte","16":"2 byte","24":"3 byte","32":"4 byte","112":"14 byte"} %}

		{% set blockColumns = {} %}
		{% set blockColumns = {
			"dbField":"keyword",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_ETS_RULES_HEADER_KEYWORD"),
			"width":"35%",
			"type":"textbox",
			"visible":true
		}|pushInto(blockColumns,"keyword") %}
		{% set blockColumns = {
			"dbField":"length_in_bit",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_ETS_RULES_HEADER_LENGTH_IN_BIT"),
			"width":"20%",
			"type":"select",
			"visible":true,
			"options":page.bit_lengths,
			"onChange":"iM.getScope(this).ruleChangeBitLength(" ~ jsHtmlData('id') ~ ",this)"
		}|pushInto(blockColumns,"length_in_bit") %}
		{% set blockColumns = {
			"dbField":"values_type",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_ETS_RULES_HEADER_VALUES_TYPE"),
			"width":"20%",
			"type":"select",
			"visible":true,
			"options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getEisTypes('" ~ jsHtmlData('LENGTH_IN_BIT') ~ "')")
		}|pushInto(blockColumns,"values_type") %}
		{% set blockColumns = {
			"dbField":"category",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_ETS_RULES_HEADER_CATEGORY"),
			"width":"20%",
			"type":"select",
			"visible":true,
			"options":page.categories
		}|pushInto(blockColumns,"category") %}
		{% set blockColumns = {
			"dbField":"rendering_id",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_ETS_RULES_HEADER_RENDERING_ID"),
			"width":"5%",
			"type":"rendering_picker",
			"align":"center",
			"visible":true
		}|pushInto(blockColumns,"rendering_id") %}

		<div id="block_ets_rules_container_prototype">
			<div class="grid-table">
				<table id="{{ jsHtmlBlock('name') }}_container_results" cellspacing="0" cellpadding="0"></table>
			</div>
		</div>
		<table id="block_ets_rules_header_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_column_headers">
				{#<th class="grid-line-action"></th>#}
				<th class="grid-line-action"></th>
				{% for key,column in blockColumns %}
				<th style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
				{% endfor %}
			</tr>
		</table>
		<table id="block_ets_rules_item_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
				{#<td class="grid-line-action"><a id="sortable_handler"><div class="grid-action-mod"></div></a></td>#}
				<td class="grid-line-action"><div class="grid-action-del" onclick="if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).ruleRemove('{{ jsHtmlBlock('_objVarName') }}',{{ jsHtmlData('id') }});event.stopPropagation();}"></div></td>
				{% for key,column in blockColumns %}
					{% if column.visible == "true" %}
					<td style='{% if column.align %}text-align:{{column.align}};{% endif %}' enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">
						{% set columnFieldName = jsHtmlBlock('name') ~ "_list_item_" ~ jsHtmlData('id') ~ "_" ~ column.origin ~ "_" ~ column.dbField %}
						{% if column.value is not empty %}
							{% set columnFieldValue = column.value %}
						{% else %}
							{% if column.origin == "db" %}
								{% set columnFieldValue = jsHtmlData(column.dbField) %}
							{% elseif column.origin == "relation" %}
								{% set columnFieldValue = jsHtmlRowRelation(column.dbField) %}
							{% endif %}
						{% endif %}
						{% if column.type == "checkbox" %}
							{% set columnFieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
						{% else %}
							{% set columnFieldValueJs = "this.value" %}
						{% endif %}
						{% if column.onChange != "" %}
							{% set columnFieldOnChange = column.onChange %}
						{% else %}
							{% set columnFieldOnChange = "iM.getScope(this).updateRuleField(" ~ jsHtmlData('id') ~ ",'" ~ column.dbField ~ "'," ~ columnFieldValueJs ~ ");" %}
						{% endif %}
						{% if column.type == "rendering_picker" %}
							<img id="obj{{ jsHtmlData('id') }}_rendering_preview" rendering_id="{{ jsHtmlData('rendering_id') }}" src="../../themes/{{ jsHtmlBlock('themeForRuntime') }}/images/rendering/{{ jsHtmlData('image_path') }}" onclick="iM.openInstance('../system/loadtemplate.php?tpl=rendering_picker|mode=ets_rule&id={{ jsHtmlData('id') }}',null,null,'main_body');" class="rendering-picker-preview" alt="" style="width:30px;"/>
						{% else %}
							{{ jsHtml({"as":column.type,"id":columnFieldName,"options":column.options,"value":columnFieldValue,"onChange":columnFieldOnChange,"onKeyPress":"if(themeManager.detectEnter(event))" ~ columnFieldOnChange}) }}
						{% endif %}
					</td>
					{% endif %}
				{% endfor %}
			</tr>
		</table>
	</div>
{% endset %}

{% set forms = {"ets_rules_form":{'name':form0_name,'title':form0_title,'format':form0_format,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_customContent %}

{% endblock %}

{% block block_help %}{{getConstant("_DPAD_THEME_ADMIN_ETS_RULES_HELP")}}{% endblock %}

{% block block_formsButtons %}
<div class="field-buttons-container">
        <input id="button_addnew" type="button" class="field-button-green" value="{{getConstant('_DPAD_THEME_ADMIN_ETS_RULES_BUTTON_ADDNEW')}}" onClick="iM.getScope(this).ruleAddNew()"/>
        <input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
</div>
{% endblock %}
{% block block_pageTitleButtons %}
        <div class="field-button-action">
		<input id="button_addnew" type="button" class="field-button-green" value="{{getConstant('_DPAD_THEME_ADMIN_ETS_RULES_BUTTON_ADDNEW')}}"  onClick="iM.getScope(this).ruleAddNew()"/>
		<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
        </div>
{% endblock %}

{% block block_scope %}
{% include "scope.ets_rules.tpl" %}
{% endblock %}