{# EXTERNAL FRAME #}
{% extends "core/templates/externalframe.tpl" %}

{# HTML HEAD #}
{% block head %}
	<title>{{ page.html_title }}</title>
	<meta http-equiv="content-type" content="text/html;" charset="{{ page.charset }}" />
	<link href="{{ theme.baseurl }}image/favicon.ico" rel="SHORTCUT ICON" />
{% endblock head %}
{% block head_stylesheet %}
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/template.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/menu.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/tagfield.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/search.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/grid.css?version={{ jscript.most_recent_revision }}" />
{% endblock head_stylesheet %}

{# HTML BODY #}
{% block body %}
	<div id="template-column-left">
		{% block block_column_left %}
		<div class="menu-group">
			<div id="search-area">
				<form id="search-keywords" method="post"><input type="text" name="search" disabled/></form>
				<div id="externalframe_search_container"></div>
			</div>
			<div class="menu-group">
				<div id="externalframe_tree_container"></div>
			</div>
		</div>
		{% endblock block_column_left %}
	</div>
	<div id="template-column-right">
		{% block block_column_right %}
		<div id="externalframe_workspace_container">
			<div id="template-content-work">
			</div>
			<div id="template-content-tab">
				<div id="template-button-list" title="{{getConstant('_DPAD_THEME_ADMIN_TABS_BUTTON_LISTTABS')}}"></div>
				<div id="template-button-help" title="{{getConstant('_DPAD_THEME_ADMIN_TABS_BUTTON_HELP')}}"></div>
				<ul></ul>
				<div class="template-clear"></div>
				
			</div>
		</div>
		{% endblock block_column_right %}
	</div>
	
	<div id="template-header">
		<div id="template-logo">
			{% block block_header_logo %}
			{% for product,product_data in _global.global_products_array %}
				{% if loop.first %}
					<img src="../../products/{{ product }}/images/logo.png" alt="{{ product }}"/>
				{% endif %}
			{% endfor %}
			{% endblock block_header_logo %}
		</div>
	</div>
	
	<div id="template-header-action">
		<div id="template-header-welcome">{{ getConstant("_DPAD_THEME_ADMIN_HEADER_WELCOME") }} {{page.user_currently_logged}}</div>
		<div id="template-header-buttons">
			{% block block_header_buttons %}
			<div id="buttonRuntime" class="header-button" onclick="themeManager.changeContext('runtime');" style="width:100px">{{getConstant("_DPAD_THEME_ADMIN_HEADER_RUNTIME")}}</div>
			<div id="buttonLogout" class="header-button" onclick="themeManager.doLogout();" style="width:100px">{{getConstant("_DPAD_GENERAL_LOGOUT")}}</div>
			<div id="buttonExpertModeActivate" class="header-button" onclick="wM.expertModeToggle(true);" style="width:100px">{{getConstant("_DPAD_THEME_ADMIN_HEADER_EXPERT_MODE_ON")}}</div>
			<div id="buttonExpertModeDeActivate" class="header-button" onclick="wM.expertModeToggle(false);" style="width:100px;display:none">{{getConstant("_DPAD_THEME_ADMIN_HEADER_EXPERT_MODE_OFF")}}</div>
			<div id="buttonClearCache" class="header-button" enabled="true" onclick="if(confirm('{{ getConstant('_DPAD_DBCONSTANT_ADMIN_BUTTON_CLEARCACHE_CONFIRM')|encode4jscript }}')){themeManager.cacheClear(null,$(this));}" style="width:100px;">{{getConstant("_DPAD_DBCONSTANT_ADMIN_BUTTON_CLEARCACHE")}}</div>
			{#<div class="header-button">Info</div>#}
			{% endblock block_header_buttons %}
		</div>
		<div id="template-header-version">{{ getConstant("_DPAD_THEME_ADMIN_HEADER_VERSION") }} <label id="software-version"></label></div>
	</div>
	
	<div id="template-list-tab">
		<div id="template-list-tab-arrow"></div>
		<div id="template-list-tab-content">
			<ul>
			</ul>
		</div>
	</div>

	<div id="template-help">
		<div id="template-help-arrow"></div>
		<div id="template-help-content"></div>
	</div>

	<div id="externalframe_cover" class="template-cover"></div>
	<div id="externalframe_body_container" class="template-popup"></div>			
	<div id="message_external_containing_div" class="template-popup template-message">
		<div id="header">{{getConstant("_DPAD_GENERAL_WARNING")}}</div>
		<fieldset>
			<div class="field-line">
				<div id="message_containing_div"></div>
			</div>
		</fieldset>
		<div class="field-buttons-container">
			<input id="message_button" type="button" class="field-button-green" value="{{getConstant("_DPAD_GENERAL_OK")}}" onclick="themeManager.hideMessage()"/>
		</div>
	</div>
	{# OnBeforeUnload mask#}
	<div class="externalframe-onbeforeunload-screen"></div>
{% endblock body %}