{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_TITLE")}}{% endblock %}

{% set form0_name = "voice_actions_form" %}
{% set form0_format = "json" %}
{% set form0_body %}
	<div id="help" style="display:none">{{getConstant("_DPAD_THEME_ADMIN_VOICE_ACTION_HELP")}}</div>
	<div id="voice_actions_container"></div>
	
	<div style="display:none">

		{% set categories = {"OBJECT":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_CATEGORY_OBJECT"),"NOTIFY":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_CATEGORY_NOTIFICATIONS"),"NAVIGATION":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_CATEGORY_NAVIGATION")} %}

		{% set blockColumns = {} %}
		{% set blockColumns = {
			"dbField":"name",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_NAME"),
			"width":"30%",
			"type":"textbox",
			"visible":true
		}|pushInto(blockColumns,"name") %}
		{% set blockColumns = {
			"dbField":"category",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_CATEGORY"),
			"width":"10%",
			"type":"select",
			"options":categories,
			"visible":true
		}|pushInto(blockColumns,"category") %}
		{% set blockColumns = {
			"dbField":"channel",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_CHANNEL"),
			"width":"15%",
			"type":"select",
			"visible":true
		}|pushInto(blockColumns,"channel") %}
		{% set blockColumns = {
			"dbField":"allowed_types",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_ALLOWED_TYPES"),
			"width":"15%",
			"type":"select",
			"visible":true
		}|pushInto(blockColumns,"allowed_types") %}
		{% set blockColumns = {
			"dbField":"action",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_ACTION"),
			"width":"15%",
			"type":"select",
			"visible":true
		}|pushInto(blockColumns,"action") %}
		{% set blockColumns = {
			"dbField":"action_value",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_ACTION_VALUE"),
			"width":"5%",
			"type":"textbox",
			"visible":true,
			"style":"width:60px;",
			"align":"center"
		}|pushInto(blockColumns,"action_value") %}
		{% set blockColumns = {
			"dbField":"object_id",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_OBJECT_ID"),
			"width":"5%",
			"type":"textbox",
			"visible":true,
			"style":"width:40px;text-align:right;",
			"align":"center"
		}|pushInto(blockColumns,"object_id") %}
		{% set blockColumns = {
			"dbField":"priority",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_ACTIONS_HEADER_PRIORITY"),
			"width":"5%",
			"type":"textbox",
			"visible":true,
			"style":"width:25px;text-align:right;",
			"align":"center"
		}|pushInto(blockColumns,"priority") %}

		<div id="block_voice_actions_container_prototype">
			<div class="grid-table">
				<table id="{{ jsHtmlBlock('name') }}_container_results" cellspacing="0" cellpadding="0"></table>
			</div>
		</div>
		<table id="block_voice_actions_header_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_column_headers">
				{#<th class="grid-line-action"></th>#}
				<th class="grid-line-action"></th>
				{% for key,column in blockColumns %}
				<th style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
				{% endfor %}
			</tr>
		</table>
		<table id="block_voice_actions_item_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
				<td class="grid-line-action"><div class="grid-action-del" onclick="if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).actionRemove('{{ jsHtmlBlock('_objVarName') }}',{{ jsHtmlData('id') }});event.stopPropagation();}"></div></td>
				{% for key,column in blockColumns %}
					{% if column.visible == "true" %}
					<td style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{ column.width }};{% endif %}' enabled="true" mode="{% if column.mode != '' %}{{ column.mode }}{% else %}base{% endif %}">
						{% set columnFieldName = jsHtmlBlock('name') ~ "_list_item_" ~ jsHtmlData('id') ~ "_" ~ column.origin ~ "_" ~ column.dbField %}
						{% if column.value is not empty %}
							{% set columnFieldValue = column.value %}
						{% else %}
							{% if column.origin == "db" %}
								{% set columnFieldValue = jsHtmlData(column.dbField) %}
							{% elseif column.origin == "relation" %}
								{% set columnFieldValue = jsHtmlRowRelation(column.dbField) %}
							{% endif %}
						{% endif %}
						{% if column.type == "checkbox" %}
							{% set columnFieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
						{% else %}
							{% set columnFieldValueJs = "this.value" %}
						{% endif %}
						{% set style = column.style %}
						{% if column.dbField == "channel" %}
							{% set options = jsHtmlFunc("iM.getScopeFromActiveView('workspace').getChannels('" ~ jsHtmlData('category') ~ "')") %}
						{% elseif column.dbField == "allowed_types" %}
							{% set options = jsHtmlFunc("iM.getScopeFromActiveView('workspace').getAllowedTypes('" ~ jsHtmlData('category') ~ "')") %}
						{% elseif column.dbField == "action" %}
							{% set options = jsHtmlFunc("iM.getScopeFromActiveView('workspace').getActions('" ~ jsHtmlData('category') ~ "','" ~ jsHtmlData('allowed_types') ~ "')") %}
						{% elseif column.dbField == "action_value" %}
							{% set style = style ~ "display:" ~ jsHtmlFunc("iM.getScopeFromActiveView('workspace').getActionValueDisplay('" ~ jsHtmlData('category') ~ "','" ~ jsHtmlData('action') ~ "')") ~ ";" %}
						{% elseif column.dbField == "object_id" %}
							{% set style = style ~ "display:" ~ jsHtmlFunc("iM.getScopeFromActiveView('workspace').getObjectIdValueDisplay('" ~ jsHtmlData('category') ~ "','" ~ jsHtmlData('action') ~ "')") ~ ";" %}
						{% else %}
							{% set options = column.options %}
						{% endif %}
						
						{% if column.onChange != "" %}
							{% set columnFieldOnChange = column.onChange|replace({"%ID%":jsHtmlData('id')}) %}
						{% else %}
							{% set columnFieldOnChange = "iM.getScope(this).updateActionField(" ~ jsHtmlData('id') ~ ",'" ~ column.dbField ~ "'," ~ columnFieldValueJs ~ ");" %}
						{% endif %}
						{{ jsHtml({"as":column.type,"id":columnFieldName,"options":options,"value":columnFieldValue,"visible":visible,"style":style,"onChange":columnFieldOnChange,"onKeyPress":"if(themeManager.detectEnter(event))" ~ columnFieldOnChange}) }}
					</td>
					{% endif %}
				{% endfor %}
			</tr>
		</table>
	</div>
{% endset %}

{% set forms = {"voice_actions_form":{'name':form0_name,'title':form0_title,'format':form0_format,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_customContent %}

{% endblock %}

{% block block_formsButtons %}
<div class="field-buttons-container">
        <input id="button_addnew" type="button" class="field-button-green" value="{{getConstant('_DPAD_THEME_ADMIN_VOICE_KEYWORDS_BUTTON_ADDNEW')}}" onClick="iM.getScope(this).actionAddNew()"/>
        <input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
</div>
{% endblock %}
{% block block_pageTitleButtons %}
        <div class="field-button-action">
		<input id="button_addnew" type="button" class="field-button-green" value="{{getConstant('_DPAD_THEME_ADMIN_VOICE_KEYWORDS_BUTTON_ADDNEW')}}"  onClick="iM.getScope(this).actionAddNew()"/>
		<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
        </div>
{% endblock %}

{% block block_scope %}
{% include "scope.voice_actions.tpl" %}
{% endblock %}