{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{getConstant("_DPAD_THEME_ADMIN_VOICE_KEYWORDS_TITLE")}}{% endblock %}

{% set form0_name = "voice_keywords_form" %}
{% set form0_format = "json" %}
{% set form0_body %}
	<div id="help" style="display:none">{{getConstant("_DPAD_THEME_ADMIN_VOICE_KEYWORDS_HELP")}}</div>
	<div id="voice_keywords_container"></div>
	
	<div style="display:none">

		{% set current_language = page.current_language %}
		{% set languages = {"*":getConstant("_DPAD_THEME_ADMIN_VOICE_KEYWORDS_HEADER_LANGUAGE_ALL")} %}
		{% set languages = getConstant("_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_"~current_language|upper)|pushInto(languages,current_language) %}
		{% set blockColumns = {} %}
		{% set blockColumns = {
			"dbField":"keyword",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_KEYWORDS_HEADER_KEYWORD"),
			"width":"35%",
			"type":"textbox",
			"visible":true
		}|pushInto(blockColumns,"keyword") %}
		{% set blockColumns = {
			"dbField":"feedback",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_KEYWORDS_HEADER_FEEDBACK"),
			"width":"35%",
			"type":"textbox",
			"visible":true
		}|pushInto(blockColumns,"feedback") %}
		{% set blockColumns = {
			"dbField":"language",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_KEYWORDS_HEADER_LANGUAGE"),
			"width":"30%",
			"type":"select",
			"visible":true,
			"options":languages
		}|pushInto(blockColumns,"language") %}
		{% set blockColumns = {
			"dbField":"action_id",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_KEYWORDS_HEADER_ACTION"),
			"width":"30%",
			"type":"select",
			"visible":true,
			"options":jsHtmlFunc("iM.getScopeFromActiveView('workspace').getActions()"),
			"onChange":"iM.getScope(this).updateKeywordAction(%ID%,this.value)"
		}|pushInto(blockColumns,"action_id") %}

		<div id="block_voice_keywords_container_prototype">
			<div class="grid-table">
				<table id="{{ jsHtmlBlock('name') }}_container_results" cellspacing="0" cellpadding="0"></table>
			</div>
		</div>
		<table id="block_voice_keywords_header_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_column_headers">
				{#<th class="grid-line-action"></th>#}
				<th class="grid-line-action"></th>
				{% for key,column in blockColumns %}
				<th style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
				{% endfor %}
			</tr>
		</table>
		<table id="block_voice_keywords_item_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
				<td class="grid-line-action"><div class="grid-action-del" onclick="if(confirm('{{ getConstant("_DPAD_GENERAL_BLOCK_ACTION_DELETE_CONFIRM")|encode4jscript }}')){iM.getScope(this).keywordRemove('{{ jsHtmlBlock('_objVarName') }}',{{ jsHtmlData('id') }});event.stopPropagation();}"></div></td>
				{% for key,column in blockColumns %}
					{% if column.visible == "true" %}
					<td style='{% if column.align %}text-align:{{column.align}};{% endif %}' enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">
						{% set columnFieldName = jsHtmlBlock('name') ~ "_list_item_" ~ jsHtmlData('id') ~ "_" ~ column.origin ~ "_" ~ column.dbField %}
						{% if column.value is not empty %}
							{% set columnFieldValue = column.value %}
						{% else %}
							{% if column.origin == "db" %}
								{% set columnFieldValue = jsHtmlData(column.dbField) %}
							{% elseif column.origin == "relation" %}
								{% set columnFieldValue = jsHtmlRowRelation(column.dbField) %}
							{% endif %}
						{% endif %}
						{% if column.type == "checkbox" %}
							{% set columnFieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
						{% else %}
							{% set columnFieldValueJs = "this.value" %}
						{% endif %}
						{% if column.onChange != "" %}
							{% set columnFieldOnChange = column.onChange|replace({"%ID%":jsHtmlData('id')}) %}
						{% else %}
							{% set columnFieldOnChange = "iM.getScope(this).updateKeywordField(" ~ jsHtmlData('id') ~ ",'" ~ column.dbField ~ "'," ~ columnFieldValueJs ~ ");" %}
						{% endif %}
						{{ jsHtml({"as":column.type,"id":columnFieldName,"options":column.options,"value":columnFieldValue,"onChange":columnFieldOnChange,"onKeyPress":"if(themeManager.detectEnter(event))" ~ columnFieldOnChange}) }}
					</td>
					{% endif %}
				{% endfor %}
			</tr>
		</table>
	</div>
{% endset %}

{% set forms = {"voice_keywords_form":{'name':form0_name,'title':form0_title,'format':form0_format,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_customContent %}

{% endblock %}

{% block block_formsButtons %}
<div class="field-buttons-container">
        <input id="button_addnew" type="button" class="field-button-green" value="{{getConstant('_DPAD_THEME_ADMIN_VOICE_KEYWORDS_BUTTON_ADDNEW')}}" onClick="iM.getScope(this).keywordAddNew()"/>
        <input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
</div>
{% endblock %}
{% block block_pageTitleButtons %}
        <div class="field-button-action">
		<input id="button_addnew" type="button" class="field-button-green" value="{{getConstant('_DPAD_THEME_ADMIN_VOICE_KEYWORDS_BUTTON_ADDNEW')}}"  onClick="iM.getScope(this).keywordAddNew()"/>
		<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
        </div>
{% endblock %}

{% block block_scope %}
{% include "scope.voice_keywords.tpl" %}
{% endblock %}