{% extends "administration_page.tpl" %}
{%block block_pageTitle %}{{getConstant("_DPAD_THEME_ADMIN_VOICE_LOG_TITLE")}}{% endblock %}

{% set form0_name = "voice_log_form" %}
{% set form0_format = "json" %}
{% set form0_body %}
	<div id="help" style="display:none">{{getConstant("_DPAD_THEME_ADMIN_VOICE_LOG_HELP")}}</div>
	<div id="voice_log_container"></div>
	
	<div style="display:none">

		{% set blockColumns = {} %}
		{% set blockColumns = {
			"dbField":"datetime",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_LOG_HEADER_DATETIME"),
			"width":"15%",
			"type":"label",
			"align":"center",
			"visible":true
		}|pushInto(blockColumns,"datetime") %}
		{% set blockColumns = {
			"dbField":"level",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_LOG_HEADER_LEVEL"),
			"width":"5%",
			"type":"label",
			"align":"center",
			"visible":true
		}|pushInto(blockColumns,"level") %}
		{% set blockColumns = {
			"dbField":"message",
			"origin":"db",
			"label":getConstant("_DPAD_THEME_ADMIN_VOICE_LOG_HEADER_MESSAGE"),
			"width":"80%",
			"type":"label",
			"align":"left",
			"style":"overflow:hidden;white-space: nowrap;text-overflow: ellipsis;",
			"visible":true
		}|pushInto(blockColumns,"message") %}

		<div id="block_voice_log_container_prototype">
			<div class="grid-table">
				<table id="{{ jsHtmlBlock('name') }}_container_results" cellspacing="0" cellpadding="0" style="table-layout:fixed;"></table>
			</div>
		</div>
		<table id="block_voice_log_header_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_column_headers">
				<th class="grid-line-action"></th>
				{% for key,column in blockColumns %}
				<th style='{% if column.align %}text-align:{{column.align}};{% endif %}{% if column.width %}width:{{column.width}};{% endif %}' {% if column.width %}width="{{column.width}}"{% endif %}  enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">{{column.label}}</th>
				{% endfor %}
			</tr>
		</table>
		<table id="block_voice_log_item_prototype">
			<tr id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}">
				<td class="grid-line-action"><div class="grid-action-del" onclick="iM.getScope(this).logRemove('{{ jsHtmlBlock('_objVarName') }}',{{ jsHtmlData('id') }});event.stopPropagation();"></div></td>
				{% for key,column in blockColumns %}
					{% if column.visible == "true" %}
					<td style='{% if column.align %}text-align:{{column.align}};{% endif %}' enabled="true" mode="{% if column.mode != '' %}{{column.mode}}{% else %}base{% endif %}">
						{% set columnFieldName = jsHtmlBlock('name') ~ "_list_item_" ~ jsHtmlData('id') ~ "_" ~ column.origin ~ "_" ~ column.dbField %}
						{% if column.value is not empty %}
							{% set columnFieldValue = column.value %}
						{% else %}
							{% if column.origin == "db" %}
								{% set columnFieldValue = jsHtmlData(column.dbField) %}
							{% elseif column.origin == "relation" %}
								{% set columnFieldValue = jsHtmlRowRelation(column.dbField) %}
							{% endif %}
						{% endif %}
						<div style="{{column.style}}">{{ jsHtml({"as":column.type,"id":columnFieldName,"value":columnFieldValue}) }}</div>
					</td>
					{% endif %}
				{% endfor %}
			</tr>
		</table>
	</div>
{% endset %}

{% set forms = {"voice_log_form":{'name':form0_name,'title':form0_title,'format':form0_format,'closeButtonLabel':form0_closeButtonLabel,'body':form0_body}} %}

{% block block_customContent %}

{% endblock %}

{% block block_formsButtons %}
<div class="field-buttons-container">
        <input id="button_addnew" type="button" class="field-button-yellow" value="{{getConstant('_DPAD_THEME_ADMIN_VOICE_LOG_BUTTON_CLEAR')}}" onClick="iM.getScope(this).logClear()"/>
        <input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
</div>
{% endblock %}
{% block block_pageTitleButtons %}
        <div class="field-button-action">
		<input id="button_addnew" type="button" class="field-button-yellow" value="{{getConstant('_DPAD_THEME_ADMIN_VOICE_LOG_BUTTON_CLEAR')}}"  onClick="iM.getScope(this).logClear()"/>
		<input id="button_close" type="button" class="field-button-orange" value="{{getConstant('_DPAD_GENERAL_CLOSE')}}" onClick="iM.getScope(this).formButtonClose()"/>
        </div>
{% endblock %}

{% block block_scope %}
{% include "scope.voice_log.tpl" %}
{% endblock %}