--Module: BENTEL update

CREATE TABLE DPAD_BENTEL_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1);
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELSUPERVISORCODE_VIEW_NAME', 'DPAD_BENTELGATEWAY_SUPERVISORCODE', 'BENTELGateway database view of domuspad supervisor code');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELCOMMAND_SOCKET_FILE', '/tmp/dpad_variables/sockets/dpad_bentelgateway.socket', 'Unix socket for low-level bentelgateway service communication');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELLOOP_TIMEOUT', '250000', 'Bentel main loop idle microseconds timeout');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELZONES_VIEW_NAME', 'DPAD_BENTELGATEWAY_BENTELZONES', 'BENTELGateway database view of plant BENTELZones');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELPARTITIONS_VIEW_NAME', 'DPAD_BENTELGATEWAY_BENTELAREAS', 'BENTELGateway database view of plant BENTELAreas');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELZONESINFO_VIEW_NAME', 'DPAD_BENTELGATEWAY_BENTELZONES_INFO', 'BENTELGateway database view of plant BENTELZones necessary information');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELPARTITIONSINFO_VIEW_NAME', 'DPAD_BENTELGATEWAY_BENTELAREAS_INFO', 'BENTELGateway database view of plant BENTELAreas necessary information');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELOUTPUTSINFO_VIEW_NAME', 'DPAD_BENTELGATEWAY_BENTELOUTPUTS_INFO', 'BENTELGateway database view of plant BENTELOutputs necessary information');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELOUTPUTS_VIEW_NAME', 'DPAD_BENTELGATEWAY_BENTELOUTPUTS', 'BENTELGateway database view of plant BENTELOutput');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELCENTRALWARNINGS_VIEW_NAME', 'DPAD_BENTELGATEWAY_BENTELCENTRALWARNINGS', 'BENTELGateway database view of plant BENTELCentralWarning');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_BENTELCENTRALWARNINGSINFO_VIEW_NAME', 'DPAD_BENTELGATEWAY_BENTELCENTRALWARNINGS_INFO', 'BENTELGateway database view of plant BENTELCentralWarnings necessary information');

--Views
CREATE VIEW DPAD_BENTELGATEWAY_SUPERVISORCODE AS SELECT MSP AS CODE FROM DPADD_OBJECT WHERE TYPE = 'BENTEL_KYO320';
CREATE VIEW DPAD_BENTELGATEWAY_BENTELZONES AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS ZONENUM FROM DPADD_OBJECT O WHERE O.TYPE = 'BENTEL_ZONE';
CREATE VIEW DPAD_BENTELGATEWAY_BENTELAREAS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS AREANUM FROM DPADD_OBJECT O WHERE O.TYPE = 'BENTEL_AREA';
CREATE VIEW DPAD_BENTELGATEWAY_BENTELOUTPUTS_INFO AS SELECT MIN( O.MSP ) AS FIRST_OUTPUT_NUMBER, MAX( O.MSP ) AS LAST_OUTPUT_NUMBER FROM DPADD_OBJECT O WHERE O.TYPE = 'BENTEL_OUTPUT';
CREATE VIEW DPAD_BENTELGATEWAY_BENTELOUTPUTS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS OUTPUTNUM FROM DPADD_OBJECT O WHERE O.TYPE = 'BENTEL_OUTPUT';
CREATE VIEW DPAD_BENTELGATEWAY_BENTELCENTRALWARNINGS_INFO AS SELECT MIN( O.MSP ) AS FIRST_WARNING_NUMBER, MAX( O.MSP ) AS LAST_WARNING_NUMBER FROM DPADD_OBJECT O WHERE O.TYPE = 'BENTEL_CENTRALWARNING';
CREATE VIEW DPAD_BENTELGATEWAY_BENTELCENTRALWARNINGS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS WARNINGNUM FROM DPADD_OBJECT O WHERE O.TYPE = 'BENTEL_CENTRALWARNING';

--Bentel Central
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadBentelCentral', 'bentel', 'dpadbentelcentral.class.php', 'dpadCommunicationSection', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADBENTELCENTRAL', 'ico_bentel_central.png', '', '', '', '1', '0', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "BENTEL_KYO320", "_DPAD_DBCONSTANT_TYPE_BENTELCENTRAL", "dpadBentelCentral", "GETTIME|SETTIME" );
--Bentel Zone
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadBentelZone', 'bentel', 'dpadbentelzone.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADBENTELZONE', 'ico_bentel_zone.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "BENTEL_ZONE", "_DPAD_DBCONSTANT_TYPE_BENTELZONE", "dpadBentelZone", "ACTIVATE|EXCLUDE" );
--Bentel Program
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadBentelArea', 'bentel', 'dpadbentelarea.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADBENTELAREA', 'ico_bentel_program.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "BENTEL_AREA", "_DPAD_DBCONSTANT_TYPE_BENTELAREA", "dpadBentelArea", "ARM|RELEASE" );
--Bentel Outputs
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadBentelOutput', 'bentel', 'dpadbenteloutput.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADBENTELOUTPUT', 'ico_bentel_output.png', '', '', '', '1', '0', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "BENTEL_OUTPUT", "_DPAD_DBCONSTANT_TYPE_BENTELCENTRAL", "dpadBentelOutput", "SETVALUE" );
--Bentel Central Warnings
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadBentelCentralWarning', 'bentel', 'dpadbentelcentralwarning.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADBENTELCENTRALWARNING', 'ico_bentel_warning.png', '', '', '', '1', '0', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "BENTEL_CENTRALWARNING", "_DPAD_DBCONSTANT_TYPE_BENTELCENTRALWARNING", "dpadBentelCentralWarning", "SETVALUE" );

--Rendering Central
-- $BENTEL_RENDERING_CENTRAL$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_BENTEL_CENTRAL', 1, '0', '1', '1', 'ico_bentel_central_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_CENTRAL_MODE_OK",1=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_CENTRAL_MODE_ERROR"', '0=>"ico_bentel_central_ok.png",1=>"ico_bentel_central_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadBentelCentral ', '');

--Rendering Zone
-- $BENTEL_RENDERING_ZONE_GENERIC$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_GENERIC', 1, '0', '2', '1', 'ico_bentel_zone_mode_peace.png', ',0=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_ALARM",2=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_EXCLUDED"', '0=>"ico_bentel_zone_mode_peace.png",1=>"ico_bentel_zone_mode_alarm.png",2=>"ico_bentel_zone_mode_excluded.png"', '', 'dpadBentelZone ', '', 1 , 'SYSTEM');
-- $BENTEL_RENDERING_ZONE_DOOR$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY ) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_DOOR',1,'0','2','1','ico_bentel_zone_door_mode_peace.png','0=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_ALARM",2=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_EXCLUDED"','0=>"ico_bentel_zone_door_mode_peace.png",1=>"ico_bentel_zone_door_mode_alarm.png",2=>"ico_bentel_zone_door_mode_excluded.png"','','dpadBentelZone ', '', 1, 'SYSTEM');
-- $BENTEL_RENDERING_ZONE_WINDOW$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY ) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_WINDOW',1,'0','2','1','ico_bentel_zone_window_mode_peace.png','0=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_ALARM",2=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_EXCLUDED"','0=>"ico_bentel_zone_window_mode_peace.png",1=>"ico_bentel_zone_window_mode_alarm.png",2=>"ico_bentel_zone_window_mode_excluded.png"','','dpadBentelZone ', '', 1, 'SYSTEM');
-- $BENTEL_RENDERING_ZONE_VOLUMETRIC$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY ) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_VOLUMETRIC',1,'0','2','1','ico_bentel_zone_volumetric_mode_peace.png','0=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_ALARM",2=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_EXCLUDED"','0=>"ico_bentel_zone_volumetric_mode_peace.png",1=>"ico_bentel_zone_volumetric_mode_alarm.png",2=>"ico_bentel_zone_volumetric_mode_excluded.png"','','dpadBentelZone ', '', 1, 'SYSTEM');
-- $BENTEL_RENDERING_ZONE_MOSQUITONET$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY ) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MOSQUITONET',1,'0','2','1','ico_bentel_zone_mosquitonet_mode_peace.png','0=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_ALARM",2=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_ZONE_MODE_EXCLUDED"','0=>"ico_bentel_zone_mosquitonet_mode_peace.png",1=>"ico_bentel_zone_mosquitonet_mode_alarm.png",2=>"ico_bentel_zone_mosquitonet_mode_excluded.png"','','dpadBentelZone ', '', 1, 'SYSTEM');

--Rendering Area
-- $BENTEL_RENDERING_AREA$ =INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY  ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_BENTEL_AREA', 1, '0', '2', '1', 'ico_bentel_area_mode_peace.png', '0=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_AREA_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_AREA_MODE_ARMED",2=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_AREA_MODE_ALARM"', '0=>"ico_bentel_area_mode_peace.png",1=>"ico_bentel_area_mode_armed.png",2=>"ico_bentel_area_mode_alarm.png"','0=>"ARM",1=>"RELEASE",2=>"RELEASE"', '', 'dpadBentelArea ', '', 1, 'SYSTEM');

--Rendering Central Warnings
-- $BENTEL_RENDERING_CENTRALWARNING$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY ) VALUES ( NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_BENTEL_CENTRALWARNING', 1, '0', '1', '1', 'ico_bentel_alarm_disabled.png', '0=>"_DPAD_DBCONSTANT_RENDERING_NORMAL",1=>"_DPAD_DBCONSTANT_RENDERING_ALARM_WARNING"', '0=>"ico_bentel_alarm_disabled.png",1=>"ico_bentel_alarm_enabled.png"', '', 'dpadBentelCentralWarning ', '', 1, 'SYSTEM');

--Rendering Outputs
-- $BENTEL_RENDERING_OUTPUT$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY ) VALUES ( NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_BENTEL_OUTPUT', 1, '0', '1', '1', 'ico_bentel_output_open.png', '0=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_OUTPUT_OPEN",1=>"_DPAD_DBCONSTANT_RENDERING_BENTEL_OUTPUT_CLOSED"', '0=>"ico_bentel_output_open.png",1=>"ico_bentel_output_closed.png"', '', 'dpadBentelOutput ', '', 1, 'SYSTEM');

--Versioning
INSERT INTO DPAD_WEB_MODULE ( ID, NAME, DESCRIPTION, VERSION, IS_ACTIVE ) VALUES( NULL, "bentel", "_DPAD_DBCONSTANT_WEBMODULE_BENTEL", "3.0.0", 1 );