/*
jquery.animate-enhanced plugin v1.02
---
http://github.com/benbarnett/jQuery-Animate-Enhanced
http://benbarnett.net
@benpbarnett
---
Copyright (c) 2012 Ben Barnett

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
---
Extends jQuery.animate() to automatically use CSS3 transformations where applicable.
Tested with jQuery 1.3.2+

Supports -moz-transition, -webkit-transition, -o-transition, transition

Targetted properties (for now):
	- left
	- top
	- opacity
	- width
	- height

Usage (exactly the same as it would be normally):

	jQuery(element).animate({left: 200},  500, function() {
		// callback
	});

Changelog:
	1.02 (8/5/2013):
		- Fixing use3D default flags. It must explicitly be set to false to disable 3d now, the plugin by default will use it if available.

	1.01 (8/5/2013):
		- Adding appropriate display value for wider range of elements (issue #121 - thanks smacky)

	1.0 (8/5/2103):
		- Fix avoidTransforms: true behaviour for directional transitions

	0.99.1 (3/4/2013):
		- Add Set or unset the 'disabled by default' value (PR #117)

	0.99 (5/12/2012):
		- PR #109 Added support for list-item nodes. FadeIn on tags was omitting the list-style support. (thx @SeanCannon)
		
	0.98 (12/11/2012):
		- Merging pull request #106 thx @gboysko - checking for ownerDocument before using getComputedStyle

	0.97 (6/11/2012):
		- Merging pull request #104 thx @gavrochelegnou - .bind instead of .one

	0.96a (20/08/2012):
		- Checking event is from dispatch target (issue #58)

	0.96 (20/08/2012):
		- Fixes for context, all elements returned as context (issue #84)
		- Reset position with leaveTransforms !== true fixes (issue #93)
		

	0.95 (20/08/2012):
		- If target opacity == current opacity, pass back to jquery native to get callback firing (#94)

	0.94 (20/08/2012):
		- Addresses Firefox callback mechanisms (issue #94)
		- using $.one() to bind to CSS callbacks in a more generic way

	0.93 (6/8/2012):
		- Adding other Opera 'transitionend' event (re: issue #90)

	0.92 (6/8/2012):
		- Seperate unbinds into different threads (re: issue #91)

	0.91 (2/4/2012):
		- Merge Pull Request #74 - Unit Management

	0.90 (7/3/2012):
		- Adding public $.toggleDisabledByDefault() feature to disable entire plugin by default (Issue #73)

	0.89 (24/1/2012):
		- Adding 'avoidCSSTransitions' property. Set to true to disable entire plugin. (Issue #47)

	0.88 (24/1/2012):
		- Fix Issue #67 for HighchartsJS compatibility

	0.87 (24/1/2012):
		- Fix Issue #66 selfCSSData.original is undefined

	0.86 (9/1/2012):
		- Strict JS fix for undefined variable

	0.85 (20/12/2011):
		- Merge Pull request #57 from Kronuz
		- Codebase cleaned and now passes jshint.
		- Fixed a few bugs (it now saves and restores the original css transition properties).
		- fadeOut() is fixed, it wasn't restoring the opacity after hiding it.

	0.80 (13/09/2011):
		- Issue #28 - Report $(el).is(':animated') fix

	0.79 (06/09/2011):
		- Issue #42 - Right negative position animation: please see issue notes on Github.

	0.78 (02/09/2011):
		- Issue #18 - jQuery/$ reference joys

	0.77 (02/09/2011):
		- Adding feature on Github issue #44 - Use 3D Transitions by default

	0.76 (28/06/2011):
		- Fixing issue #37 - fixed stop() method (with gotoEnd == false)

	0.75 (15/06/2011):
		- Fixing issue #35 to pass actual object back as context for callback

	0.74 (28/05/2011):
		- Fixing issue #29 to play nice with 1.6+

	0.73 (05/03/2011):
		- Merged Pull Request #26: Fixed issue with fadeOut() / "hide" shortcut

	0.72 (05/03/2011):
		- Merged Pull Request #23: Added Penner equation approximations from Matthew Lein's Ceaser, and added failsafe fallbacks

	0.71 (05/03/2011):
		- Merged Pull Request #24: Changes translation object to integers instead of strings to fix relative values bug with leaveTransforms = true

	0.70 (17/03/2011):
		- Merged Pull Request from amlw-nyt to add bottom/right handling

	0.68 (15/02/2011):
		- width/height fixes & queue issues resolved.

	0.67 (15/02/2011):
		- Code cleanups & file size improvements for compression.

	0.66 (15/02/2011):
		- Zero second fadeOut(), fadeIn() fixes

	0.65 (01/02/2011):
		- Callbacks with queue() support refactored to support element arrays

	0.64 (27/01/2011):
		- BUGFIX #13: .slideUp(), .slideToggle(), .slideDown() bugfixes in Webkit

	0.63 (12/01/2011):
		- BUGFIX #11: callbacks not firing when new value == old value

	0.62 (10/01/2011):
		- BUGFIX #11: queue is not a function issue fixed

	0.61 (10/01/2011):
		- BUGFIX #10: Negative positions converting to positive

	0.60 (06/01/2011):
		- Animate function rewrite in accordance with new queue system
		- BUGFIX #8: Left/top position values always assumed relative rather than absolute
		- BUGFIX #9: animation as last item in a chain - the chain is ignored?
		- BUGFIX: width/height CSS3 transformation with left/top working

	0.55 (22/12/2010):
		- isEmptyObject function for <jQuery 1.4 (requires 1.3.2)

	0.54a (22/12/2010):
		- License changed to MIT (http://www.opensource.org/licenses/mit-license.php)

	0.54 (22/12/2010):
		- Removed silly check for 'jQuery UI' bailouts. Sorry.
		- Scoping issues fixed - Issue #4: $(this) should give you a reference to the selector being animated.. per jquery's core animation funciton.

	0.53 (17/11/2010):
		- New $.translate() method to easily calculate current transformed translation
		- Repeater callback bug fix for leaveTransforms:true (was constantly appending properties)

	0.52 (16/11/2010):
		- leaveTransforms: true bug fixes
		- 'Applying' user callback function to retain 'this' context

	0.51 (08/11/2010):
		- Bailing out with jQuery UI. This is only so the plugin plays nice with others and is TEMPORARY.

	0.50 (08/11/2010):
		- Support for $.fn.stop()
		- Fewer jQuery.fn entries to preserve namespace
		- All references $ converted to jQuery
		- jsDoc Toolkit style commenting for docs (coming soon)

	0.49 (19/10/2010):
		- Handling of 'undefined' errors for secondary CSS objects
		- Support to enhance 'width' and 'height' properties (except shortcuts involving jQuery.fx.step, e.g slideToggle)
		- Bugfix: Positioning when using avoidTransforms: true (thanks Ralf Santbergen reports)
		- Bugfix: Callbacks and Scope issues

	0.48 (13/10/2010):
		- Checks for 3d support before applying

	0.47 (12/10/2010);
		- Compatible with .fadeIn(), .fadeOut()
		- Use shortcuts, no duration for jQuery default or "fast" and "slow"
		- Clean up callback event listeners on complete (preventing multiple callbacks)

	0.46 (07/10/2010);
		- Compatible with .slideUp(), .slideDown(), .slideToggle()

	0.45 (06/10/2010):
		- 'Zero' position bug fix (was originally translating by 0 zero pixels, i.e. no movement)

	0.4 (05/10/2010):
		- Iterate over multiple elements and store transforms in jQuery.data per element
		- Include support for relative values (+= / -=)
		- Better unit sanitization
		- Performance tweaks
		- Fix for optional callback function (was required)
		- Applies data[translateX] and data[translateY] to elements for easy access
		- Added 'easeInOutQuint' easing function for CSS transitions (requires jQuery UI for JS anims)
		- Less need for leaveTransforms = true due to better position detections
*/(function(a,b,c){function w(a){return a.match(/\D+$/)}function x(a,b,c,d){if(c=="d")return;if(!F(a))return;var e=h.exec(b),f=a.css(c)==="auto"?0:a.css(c),g=typeof f=="string"?E(f):f,i=typeof b=="string"?E(b):b,j=d===!0?0:g,k=a.is(":hidden"),l=a.translation();c=="left"&&(j=parseInt(g,10)+l.x),c=="right"&&(j=parseInt(g,10)+l.x),c=="top"&&(j=parseInt(g,10)+l.y),c=="bottom"&&(j=parseInt(g,10)+l.y),!e&&b=="show"?(j=1,k&&a.css({display:D(a.context.tagName),opacity:0})):!e&&b=="hide"&&(j=0);if(e){var m=parseFloat(e[2]);return e[1]&&(m=(e[1]==="-="?-1:1)*m+parseInt(j,10)),m}return j}function y(a,b,c){return c===!0||v===!0&&c!==!1&&u?"translate3d("+a+"px, "+b+"px, 0)":"translate("+a+"px,"+b+"px)"}function z(b,c,d,f,g,h,i,k){var m=b.data(l),n=m&&!C(m)?m:a.extend(!0,{},j),o=g,p=a.inArray(c,e)>-1;if(p){var q=n.meta,r=E(b.css(c))||0,s=c+"_o";o=g-r,q[c]=o,q[s]=b.css(c)=="auto"?0+o:r+o||0,n.meta=q,i&&o===0&&(o=0-q[s],q[c]=o,q[s]=0)}return b.data(l,A(b,n,c,d,f,o,h,i,k))}function A(a,b,c,d,e,g,h,i,j){var k=!1,l=h===!0&&i===!0;b=b||{},b.original||(b.original={},k=!0),b.properties=b.properties||{},b.secondary=b.secondary||{};var m=b.meta,n=b.original,o=b.properties,p=b.secondary;for(var q=f.length-1;q>=0;q--){var r=f[q]+"transition-property",s=f[q]+"transition-duration",t=f[q]+"transition-timing-function";c=l?f[q]+"transform":c,k&&(n[r]=a.css(r)||"",n[s]=a.css(s)||"",n[t]=a.css(t)||""),p[c]=l?y(m.left,m.top,j):g,o[r]=(o[r]?o[r]+",":"")+c,o[s]=(o[s]?o[s]+",":"")+d+"ms",o[t]=(o[t]?o[t]+",":"")+e}return b}function B(a){for(var b in a)if((b=="width"||b=="height")&&(a[b]=="show"||a[b]=="hide"||a[b]=="toggle"))return!0;return!1}function C(a){for(var b in a)return!1;return!0}function D(a){a=a.toUpperCase();var b={LI:"list-item",TR:"table-row",TD:"table-cell",TH:"table-cell",CAPTION:"table-caption",COL:"table-column",COLGROUP:"table-column-group",TFOOT:"table-footer-group",THEAD:"table-header-group",TBODY:"table-row-group"};return typeof b[a]=="string"?b[a]:"block"}function E(a){return parseFloat(a.replace(w(a),""))}function F(a){var b=!0;return a.each(function(a,c){return b=b&&c.ownerDocument,b}),b}function G(b,c,e){if(!F(e))return!1;var f=a.inArray(b,d)>-1;return(b=="width"||b=="height"||b=="opacity")&&parseFloat(c)===parseFloat(e.css(b))&&(f=!1),f}var d=["top","right","bottom","left","opacity","height","width"],e=["top","right","bottom","left"],f=["-webkit-","-moz-","-o-",""],g=["avoidTransforms","useTranslate3d","leaveTransforms"],h=/^([+-]=)?([\d+-.]+)(.*)$/,i=/([A-Z])/g,j={secondary:{},meta:{top:0,right:0,bottom:0,left:0}},k="px",l="jQe",m="cubic-bezier(",n=")",o=null,p=!1,q=document.body||document.documentElement,r=q.style,s="webkitTransitionEnd oTransitionEnd transitionend",t=r.WebkitTransition!==undefined||r.MozTransition!==undefined||r.OTransition!==undefined||r.transition!==undefined,u="WebKitCSSMatrix"in window&&"m11"in new WebKitCSSMatrix,v=u;a.expr&&a.expr.filters&&(o=a.expr.filters.animated,a.expr.filters.animated=function(b){return a(b).data("events")&&a(b).data("events")[s]?!0:o.call(this,b)}),a.extend({toggle3DByDefault:function(){return v=!v},toggleDisabledByDefault:function(){return p=!p},setDisabledByDefault:function(a){return p=a}}),a.fn.translation=function(){if(!this[0])return null;var a=this[0],b=window.getComputedStyle(a,null),c={x:0,y:0};if(b)for(var d=f.length-1;d>=0;d--){var e=b.getPropertyValue(f[d]+"transform");if(e&&/matrix/i.test(e)){var g=e.replace(/^matrix\(/i,"").split(/, |\)$/g);c={x:parseInt(g[4],10),y:parseInt(g[5],10)};break}}return c},a.fn.animate=function(c,d,h,i){c=c||{};var j=typeof c.bottom=="undefined"&&typeof c.right=="undefined",o=a.speed(d,h,i),q=this,r=0,u=function(){r--,r===0&&typeof o.complete=="function"&&o.complete.apply(q,arguments)},v=typeof c.avoidCSSTransitions!="undefined"?c.avoidCSSTransitions:p;return v===!0||!t||C(c)||B(c)||o.duration<=0?b.apply(this,arguments):this[o.queue===!0?"queue":"each"](function(){var d=a(this),h=a.extend({},o),i=function(b){var g=d.data(l)||{original:{}},h={};if(b.eventPhase!=2)return;if(c.leaveTransforms!==!0){for(var i=f.length-1;i>=0;i--)h[f[i]+"transform"]="";if(j&&typeof g.meta!="undefined")for(var m=0,n;n=e[m];++m)h[n]=g.meta[n+"_o"]+k,a(this).css(n,h[n])}d.unbind(s).css(g.original).css(h).data(l,null),c.opacity==="hide"&&d.css({display:"none",opacity:""}),u.call(this)},p={bounce:m+"0.0, 0.35, .5, 1.3"+n,linear:"linear",swing:"ease-in-out",easeInQuad:m+"0.550, 0.085, 0.680, 0.530"+n,easeInCubic:m+"0.550, 0.055, 0.675, 0.190"+n,easeInQuart:m+"0.895, 0.030, 0.685, 0.220"+n,easeInQuint:m+"0.755, 0.050, 0.855, 0.060"+n,easeInSine:m+"0.470, 0.000, 0.745, 0.715"+n,easeInExpo:m+"0.950, 0.050, 0.795, 0.035"+n,easeInCirc:m+"0.600, 0.040, 0.980, 0.335"+n,easeInBack:m+"0.600, -0.280, 0.735, 0.045"+n,easeOutQuad:m+"0.250, 0.460, 0.450, 0.940"+n,easeOutCubic:m+"0.215, 0.610, 0.355, 1.000"+n,easeOutQuart:m+"0.165, 0.840, 0.440, 1.000"+n,easeOutQuint:m+"0.230, 1.000, 0.320, 1.000"+n,easeOutSine:m+"0.390, 0.575, 0.565, 1.000"+n,easeOutExpo:m+"0.190, 1.000, 0.220, 1.000"+n,easeOutCirc:m+"0.075, 0.820, 0.165, 1.000"+n,easeOutBack:m+"0.175, 0.885, 0.320, 1.275"+n,easeInOutQuad:m+"0.455, 0.030, 0.515, 0.955"+n,easeInOutCubic:m+"0.645, 0.045, 0.355, 1.000"+n,easeInOutQuart:m+"0.770, 0.000, 0.175, 1.000"+n,easeInOutQuint:m+"0.860, 0.000, 0.070, 1.000"+n,easeInOutSine:m+"0.445, 0.050, 0.550, 0.950"+n,easeInOutExpo:m+"1.000, 0.000, 0.000, 1.000"+n,easeInOutCirc:m+"0.785, 0.135, 0.150, 0.860"+n,easeInOutBack:m+"0.680, -0.550, 0.265, 1.550"+n},q={},t=p[h.easing||"swing"]?p[h.easing||"swing"]:h.easing||"swing";for(var v in c)if(a.inArray(v,g)===-1){var w=a.inArray(v,e)>-1,y=x(d,c[v],v,w&&c.avoidTransforms!==!0);G(v,y,d)?z(d,v,h.duration,t,y,w&&c.avoidTransforms!==!0,j,c.useTranslate3d):q[v]=c[v]}d.unbind(s);var A=d.data(l);if(A&&!C(A)&&!C(A.secondary)){r++,d.css(A.properties);var B=A.secondary;setTimeout(function(){d.bind(s,i).css(B)})}else h.queue=!1;return C(q)||(r++,b.apply(d,[q,{duration:h.duration,easing:a.easing[h.easing]?h.easing:a.easing.swing?"swing":"linear",complete:u,queue:h.queue}])),!0})},a.fn.animate.defaults={},a.fn.stop=function(b,d,e){return t?(b&&this.queue([]),this.each(function(){var g=a(this),h=g.data(l);if(h&&!C(h)){var j,m={};if(d){m=h.secondary;if(!e&&typeof h.meta.left_o!==undefined||typeof h.meta.top_o!==undefined){m.left=typeof h.meta.left_o!==undefined?h.meta.left_o:"auto",m.top=typeof h.meta.top_o!==undefined?h.meta.top_o:"auto";for(j=f.length-1;j>=0;j--)m[f[j]+"transform"]=""}}else if(!C(h.secondary)){var n=window.getComputedStyle(g[0],null);if(n)for(var o in h.secondary)if(h.secondary.hasOwnProperty(o)){o=o.replace(i,"-$1").toLowerCase(),m[o]=n.getPropertyValue(o);if(!e&&/matrix/i.test(m[o])){var p=m[o].replace(/^matrix\(/i,"").split(/, |\)$/g);m.left=parseFloat(p[4])+parseFloat(g.css("left"))+k||"auto",m.top=parseFloat(p[5])+parseFloat(g.css("top"))+k||"auto";for(j=f.length-1;j>=0;j--)m[f[j]+"transform"]=""}}}g.unbind(s),g.css(h.original).css(m).data(l,null)}else c.apply(g,[b,d])}),this):c.apply(this,[b,d])}})(jQuery,jQuery.fn.animate,jQuery.fn.stop);