/*
 * jQuery Cryptography Plug-in
 * version: 1.0.0 (24 Sep 2008)
 * copyright 2008 Scott Thompson http://www.itsyndicate.ca - scott@itsyndicate.ca
 * http://www.opensource.org/licenses/mit-license.php
 *
 * A set of functions to do some basic cryptography encoding/decoding
 * I compiled from some javascripts I found into a jQuery plug-in. 
 * Thanks go out to the original authors.
 *
 * Changelog: 1.1.0
 * - rewrote plugin to use only one item in the namespace 
 * 
 * --- Base64 Encoding and Decoding code was written by 
 *   
 * Base64 code from Tyler Akins -- http://rumkin.com
 * and is placed in the public domain
 *
 *
 * --- MD5 and SHA1 Functions based upon Paul Johnston's javascript libraries.
 * A JavaScript implementation of the RSA Data Security, Inc. MD5 Message
 * Digest Algorithm, as defined in RFC 1321.
 * Version 2.1 Copyright (C) Paul Johnston 1999 - 2002.
 * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
 * Distributed under the BSD License
 * See http://pajhome.org.uk/crypt/md5 for more info.
 *
 * xTea Encrypt and Decrypt 
 * copyright 2000-2005 Chris Veness
 * http://www.movable-type.co.uk
 *
 *
 * Examples:
 *
        var md5 = $().crypt({method:"md5",source:$("#phrase").val()});
        var sha1 = $().crypt({method:"sha1",source:$("#phrase").val()});
        var b64 = $().crypt({method:"b64enc",source:$("#phrase").val()});
        var b64dec = $().crypt({method:"b64dec",source:b64});
        var xtea = $().crypt({method:"xteaenc",source:$("#phrase").val(),keyPass:$("#passPhrase").val()});
        var xteadec = $().crypt({method:"xteadec",source:xtea,keyPass:$("#passPhrase").val()});
        var xteab64 = $().crypt({method:"xteab64enc",source:$("#phrase").val(),keyPass:$("#passPhrase").val()});
        var xteab64dec = $().crypt({method:"xteab64dec",source:xteab64,keyPass:$("#passPhrase").val()});

	You can also pass source this way.
	var md5 = $("#idOfSource").crypt({method:"md5"});
 * 
 */(function(a){a.fn.crypt=function(b){function h(a){var b="",c,d,e,f,g,h,i,j=0;do c=a.source.charCodeAt(j++),d=a.source.charCodeAt(j++),e=a.source.charCodeAt(j++),f=c>>2,g=(c&3)<<4|d>>4,h=(d&15)<<2|e>>6,i=e&63,isNaN(d)?h=i=64:isNaN(e)&&(i=64),b+=a.b64Str.charAt(f)+a.b64Str.charAt(g)+a.b64Str.charAt(h)+a.b64Str.charAt(i);while(j<a.source.length);return b}function i(a){var b="",c,d,e,f,g,h,i,j=0;a.source=a.source.replace(/[^A-Za-z0-9!_-]/g,"");do f=a.b64Str.indexOf(a.source.charAt(j++)),g=a.b64Str.indexOf(a.source.charAt(j++)),h=a.b64Str.indexOf(a.source.charAt(j++)),i=a.b64Str.indexOf(a.source.charAt(j++)),c=f<<2|g>>4,d=(g&15)<<4|h>>2,e=(h&3)<<6|i,b+=String.fromCharCode(c),h!=64&&(b+=String.fromCharCode(d)),i!=64&&(b+=String.fromCharCode(e));while(j<a.source.length);return b}function j(a){function b(b){var c=a.hexcase?"0123456789ABCDEF":"0123456789abcdef",d="";for(var e=0;e<b.length*4;e++)d+=c.charAt(b[e>>2]>>e%4*8+4&15)+c.charAt(b[e>>2]>>e%4*8&15);return d}function c(b,c){var e=d(b);e.length>16&&(e=l(e,b.length*a.chrsz));var f=Array(16),g=Array(16);for(var h=0;h<16;h++)f[h]=e[h]^909522486,g[h]=e[h]^1549556828;var i=l(f.concat(d(c)),512+c.length*a.chrsz);return l(g.concat(i),640)}function d(b){var c=Array(),d=(1<<a.chrsz)-1;for(var e=0;e<b.length*a.chrsz;e+=a.chrsz)c[e>>5]|=(b.charCodeAt(e/a.chrsz)&d)<<e%32;return c}function e(a,b){return a<<b|a>>>32-b}function f(a,b,c,d,f,g){return k(e(k(k(b,a),k(d,g)),f),c)}function g(a,b,c,d,e,g,h){return f(b&c|~b&d,a,b,e,g,h)}function h(a,b,c,d,e,g,h){return f(b&d|c&~d,a,b,e,g,h)}function i(a,b,c,d,e,g,h){return f(b^c^d,a,b,e,g,h)}function j(a,b,c,d,e,g,h){return f(c^(b|~d),a,b,e,g,h)}function l(a,b){a[b>>5]|=128<<b%32,a[(b+64>>>9<<4)+14]=b;var c=1732584193,d=-271733879,e=-1732584194,f=271733878;for(var l=0;l<a.length;l+=16){var m=c,n=d,o=e,p=f;c=g(c,d,e,f,a[l+0],7,-680876936),f=g(f,c,d,e,a[l+1],12,-389564586),e=g(e,f,c,d,a[l+2],17,606105819),d=g(d,e,f,c,a[l+3],22,-1044525330),c=g(c,d,e,f,a[l+4],7,-176418897),f=g(f,c,d,e,a[l+5],12,1200080426),e=g(e,f,c,d,a[l+6],17,-1473231341),d=g(d,e,f,c,a[l+7],22,-45705983),c=g(c,d,e,f,a[l+8],7,1770035416),f=g(f,c,d,e,a[l+9],12,-1958414417),e=g(e,f,c,d,a[l+10],17,-42063),d=g(d,e,f,c,a[l+11],22,-1990404162),c=g(c,d,e,f,a[l+12],7,1804603682),f=g(f,c,d,e,a[l+13],12,-40341101),e=g(e,f,c,d,a[l+14],17,-1502002290),d=g(d,e,f,c,a[l+15],22,1236535329),c=h(c,d,e,f,a[l+1],5,-165796510),f=h(f,c,d,e,a[l+6],9,-1069501632),e=h(e,f,c,d,a[l+11],14,643717713),d=h(d,e,f,c,a[l+0],20,-373897302),c=h(c,d,e,f,a[l+5],5,-701558691),f=h(f,c,d,e,a[l+10],9,38016083),e=h(e,f,c,d,a[l+15],14,-660478335),d=h(d,e,f,c,a[l+4],20,-405537848),c=h(c,d,e,f,a[l+9],5,568446438),f=h(f,c,d,e,a[l+14],9,-1019803690),e=h(e,f,c,d,a[l+3],14,-187363961),d=h(d,e,f,c,a[l+8],20,1163531501),c=h(c,d,e,f,a[l+13],5,-1444681467),f=h(f,c,d,e,a[l+2],9,-51403784),e=h(e,f,c,d,a[l+7],14,1735328473),d=h(d,e,f,c,a[l+12],20,-1926607734),c=i(c,d,e,f,a[l+5],4,-378558),f=i(f,c,d,e,a[l+8],11,-2022574463),e=i(e,f,c,d,a[l+11],16,1839030562),d=i(d,e,f,c,a[l+14],23,-35309556),c=i(c,d,e,f,a[l+1],4,-1530992060),f=i(f,c,d,e,a[l+4],11,1272893353),e=i(e,f,c,d,a[l+7],16,-155497632),d=i(d,e,f,c,a[l+10],23,-1094730640),c=i(c,d,e,f,a[l+13],4,681279174),f=i(f,c,d,e,a[l+0],11,-358537222),e=i(e,f,c,d,a[l+3],16,-722521979),d=i(d,e,f,c,a[l+6],23,76029189),c=i(c,d,e,f,a[l+9],4,-640364487),f=i(f,c,d,e,a[l+12],11,-421815835),e=i(e,f,c,d,a[l+15],16,530742520),d=i(d,e,f,c,a[l+2],23,-995338651),c=j(c,d,e,f,a[l+0],6,-198630844),f=j(f,c,d,e,a[l+7],10,1126891415),e=j(e,f,c,d,a[l+14],15,-1416354905),d=j(d,e,f,c,a[l+5],21,-57434055),c=j(c,d,e,f,a[l+12],6,1700485571),f=j(f,c,d,e,a[l+3],10,-1894986606),e=j(e,f,c,d,a[l+10],15,-1051523),d=j(d,e,f,c,a[l+1],21,-2054922799),c=j(c,d,e,f,a[l+8],6,1873313359),f=j(f,c,d,e,a[l+15],10,-30611744),e=j(e,f,c,d,a[l+6],15,-1560198380),d=j(d,e,f,c,a[l+13],21,1309151649),c=j(c,d,e,f,a[l+4],6,-145523070),f=j(f,c,d,e,a[l+11],10,-1120210379),e=j(e,f,c,d,a[l+2],15,718787259),d=j(d,e,f,c,a[l+9],21,-343485551),c=k(c,m),d=k(d,n),e=k(e,o),f=k(f,p)}return Array(c,d,e,f)}return b(l(d(a.source),a.source.length*a.chrsz))}function k(a,b){var c=(a&65535)+(b&65535),d=(a>>16)+(b>>16)+(c>>16);return d<<16|c&65535}function l(a){function b(a,b){a[b>>5]|=128<<24-b%32,a[(b+64>>9<<4)+15]=b;var f=Array(80),g=1732584193,h=-271733879,i=-1732584194,j=271733878,l=-1009589776;for(var m=0;m<a.length;m+=16){var n=g,o=h,p=i,q=j,r=l;for(var s=0;s<80;s++){s<16?f[s]=a[m+s]:f[s]=c(f[s-3]^f[s-8]^f[s-14]^f[s-16],1);var t=k(k(c(g,5),e(s,h,i,j)),k(k(l,f[s]),d(s)));l=j,j=i,i=c(h,30),h=g,g=t}g=k(g,n),h=k(h,o),i=k(i,p),j=k(j,q),l=k(l,r)}return Array(g,h,i,j,l)}function c(a,b){return a<<b|a>>>32-b}function d(a){return a<20?1518500249:a<40?1859775393:a<60?-1894007588:-899497514}function e(a,b,c,d){return a<20?b&c|~b&d:a<40?b^c^d:a<60?b&c|b&d|c&d:b^c^d}function f(b){var c=a.hexcase?"0123456789ABCDEF":"0123456789abcdef",d="";for(var e=0;e<b.length*4;e++)d+=c.charAt(b[e>>2]>>(3-e%4)*8+4&15)+c.charAt(b[e>>2]>>(3-e%4)*8&15);return d}function g(b){var c=Array(),d=(1<<a.chrsz)-1;for(var e=0;e<b.length*a.chrsz;e+=a.chrsz)c[e>>5]|=(b.charCodeAt(e/a.chrsz)&d)<<32-a.chrsz-e%32;return c}return f(b(g(a.source),a.source.length*a.chrsz))}function m(a){function f(a,b){var c=a[0],d=a[1],e=2654435769,f=e*32,g=0;while(g!=f)c+=(d<<4^d>>>5)+d^g+b[g&3],g+=e,d+=(c<<4^c>>>5)+c^g+b[g>>>11&3];a[0]=c,a[1]=d}var b=new Array(2),c=new Array(4),d="",e;a.source=escape(a.source);for(var e=0;e<4;e++)c[e]=o(a.strKey.slice(e*4,(e+1)*4));for(e=0;e<a.source.length;e+=8)b[0]=o(a.source.slice(e,e+4)),b[1]=o(a.source.slice(e+4,e+8)),f(b,c),d+=p(b[0])+p(b[1]);return q(d)}function n(a){function f(a,b){var c=a[0],d=a[1],e=2654435769,f=e*32;while(f!=0)d-=(c<<4^c>>>5)+c^f+b[f>>>11&3],f-=e,c-=(d<<4^d>>>5)+d^f+b[f&3];a[0]=c,a[1]=d}var b=new Array(2),c=new Array(4),d="",e;for(var e=0;e<4;e++)c[e]=o(a.strKey.slice(e*4,(e+1)*4));ciphertext=r(a.source);for(e=0;e<ciphertext.length;e+=8)b[0]=o(ciphertext.slice(e,e+4)),b[1]=o(ciphertext.slice(e+4,e+8)),f(b,c),d+=p(b[0])+p(b[1]);return d=d.replace(/\0+$/,""),unescape(d)}function o(a){var b=0;for(var c=0;c<4;c++)b|=a.charCodeAt(c)<<c*8;return isNaN(b)?0:b}function p(a){var b=String.fromCharCode(a&255,a>>8&255,a>>16&255,a>>24&255);return b}function q(a){return a.replace(/[\0\t\n\v\f\r\xa0'"!]/g,function(a){return"!"+a.charCodeAt(0)+"!"})}function r(a){return a.replace(/!\d\d?\d?!/g,function(a){return String.fromCharCode(a.slice(1,-1))})}var c={b64Str:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!-_",strKey:"123",method:"md5",source:"",chrsz:8,hexcase:0},d=a.extend(c,b);if(!d.source){var e=a(this);if(e.html())d.source=e.html();else{if(!e.val())return alert("Please provide source text"),!1;d.source=e.val()}}if(d.method=="md5")return j(d);if(d.method=="sha1")return l(d);if(d.method=="b64enc")return h(d);if(d.method=="b64dec")return i(d);if(d.method=="xteaenc")return m(d);if(d.method=="xteadec")return n(d);if(d.method=="xteab64enc"){var f=m(d);return d.method="b64enc",d.source=f,h(d)}if(d.method=="xteab64dec"){var g=i(d);return d.method="xteadec",d.source=g,n(d)}}})(jQuery);