{% import "tool.html.button.tpl" as htmlButton %}
{% import "tool.html.button.action.tpl" as htmlButtonAction %}
{% block block_customImport %}{% endblock %}

{% set pageSubmitButtonLabel %}{%block block_pageSubmitButtonLabel %}{{ getConstant('_DPAD_GENERAL_SAVE') }}{% endblock %}{% endset %}
{% set pageCloseButtonLabel %}{%block block_pageCloseButtonLabel %}{{ getConstant('_DPAD_GENERAL_BLOCK_ACTION_BACK') }}{% endblock %}{% endset %}

{% block block_body %}
<div id="help" class="wizard_section_help_containing_div">{% block block_help %}{{ page.page_help }}{% endblock %}</div>
<table cellspacing="0" cellpadding="0" border="0" width="100%" height="95%">
	<tr id="action_buttons" >
		<td class="wizard_section_title_containing_cell">
			<p class="wizard_section_title_normal">
				{%block block_pageTitle %}{% endblock %}
			</p>
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButton.button({
				'id':'back_button',
				'class':'form_button',
				'value':pageCloseButtonLabel,
				'onClick':'iM.getScope(this).formButtonClose();'
			}) }}
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButtonAction.buttonAction({
				'description':getConstant("_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_HELP"),
				'image_path':(theme.datas.current_baseurl ~ "images/actions/help.png"),
				'onClick':"themeManager.show_help($(this),$(iM.getScope(this).getScopeSelector()).find('#help'));"
			}) }}
		</td>
	</tr>
	<tr>
		<td colspan="3">
			<div class="wizard_section_external_containing_div">
				<table class="wizard_section_containing_table_hilight">
					<tr>
						<td>
							<table width="100%">
								{% for key,form in forms %}
								{% if form.title %}
								<tr>
									<td>
										<p class="wizard_section_title_normal">{{form.title}}</p>
									</td>
								</tr>
								{% endif %}
								<tr>
									<td>
										<form name="{{ form.name }}" id="{{ form.name }}" {% if form.action is not empty %}action="{{ form.action }}" {% endif %}{% if form.method is not empty %}method="{{ form.method }}" {% endif %}{% if form.format is not empty %}format="{{ form.format }}" {% endif %}>
											{{ form.body }}
										</form>
									</td>
								</tr>
								{% endfor %}
							</table>
						</td>
					</tr>
					{% block block_formsCustomContent %}
					{% endblock %}
					<tr>
						<td style="vertical-align:bottom">
							{{ htmlButton.button({
								'class':'form_button',
								'value':pageSubmitButtonLabel,
								'onClick':"iM.getScope(this).formButtonSubmit();"
							}) }}
						</td>
					</tr>
				</table>
				<div class="wizard_section_corner_external_ul">&nbsp;</div>
				<div class="wizard_section_corner_external_ur">&nbsp;</div>
				<div class="wizard_section_corner_external_bl">&nbsp;</div>
				<div class="wizard_section_corner_external_br">&nbsp;</div>
			</div>
		</td>
	</tr>
</table>
{% endblock %}

{% block block_customContent %}
{% endblock %}

{% block block_scope %}
{# Including core template #}
{% include "scope.administration_page.tpl" %}
{% endblock %}