{% extends "administration_page.tpl" %}

{%block block_pageTitle %}{{ getConstant("_DPAD_DBCONSTANT_URL_DATABASE_MANAGEMENT") }}{% endblock %}

{% set form0_name %}{% block block_form0_name %}config_database_form{% endblock %}{% endset %}
{% set form0_action %}{% block block_form0_action %}../system/database_management.php{% endblock %}{% endset %}
{% set form0_method %}{% block block_form0_method %}POST{% endblock %}{% endset %}
{% set form0_format %}{% block block_form0_format %}xml{% endblock %}{% endset %}
{% set form0_title %}{% block block_form0_title %}{{ getConstant("_DPAD_DBCONSTANT_URL_DATABASE_MANAGEMENT") }}{% endblock %}{% endset %}
{% set form0_submitButtonLabel %}{% block block_form0_submitButtonLabel %}{{ getConstant('_DPAD_GENERAL_EXECUTE') }}{% endblock %}{% endset %}
{% set form0_closeButtonLabel %}{% block block_form0_closeButtonLabel %}{{ getConstant('_DPAD_GENERAL_CANCEL') }}{% endblock %}{% endset %}
{% set form0_body %}
	{% block block_form0_body %}
		<table style="width: 100%;" cellpadding="5" cellspacing="5">
			<tr>
				<td width="5%" style="vertical-align:top;">
					<img
					    id="operation_export_img"
					    src="{{ theme.datas.current_baseurl }}images/theme/smallbutton_checked.png"
					    alt=""
					    checked="true"
					    operation="export"
					    onclick="iM.getScope(this).operation_select($(this),'export');$(iM.getScope(this).getScopeSelector()).find('#import_database_file').slideUp('fast');"
					    style="cursor:pointer"
					/>
				</td>
				<td style="vertical-align:top;padding-top:5px">
					<b>{{ getConstant("_DPAD_SYSTEM_DATABASE_MANAGEMENT_EXPORT_DB") }}</b>
				</td>
			</tr>
			<tr>
				<td width="5%" style="vertical-align:top;">
					<img
					    id="operation_import_img"
					    src="{{ theme.datas.current_baseurl }}images/theme/smallbutton_shaded.png"
					    alt=""
					    checked="true"
					    operation="import"
					    onclick="iM.getScope(this).operation_select($(this),'import');$(iM.getScope(this).getScopeSelector()).find('#import_database_file').slideDown('fast');"
					    style="cursor:pointer"
					/>
				</td>
				<td style="vertical-align:top;padding-top:5px">
					<b>{{getConstant("_DPAD_SYSTEM_DATABASE_MANAGEMENT_IMPORT_DB")}}</b><br/>
					<input type="file" id="import_database_file" name="import_database_file" class="wizard_textbox_medium" style="display:none">
				</td>
			</tr>
			<tr>
				<td width="5%" style="vertical-align:top;">
					<img
					    id="operation_restore_img"
					    src="{{ theme.datas.current_baseurl }}images/theme/smallbutton_shaded.png"
					    alt=""
					    checked="true"
					    operation="restore"
					    onclick="iM.getScope(this).operation_select($(this),'restore');$(iM.getScope(this).getScopeSelector()).find('#import_database_file').slideUp('fast');"
					    style="cursor:pointer"
					/>
				</td>
				<td style="vertical-align:top;padding-top:5px">
					<b>{{getConstant("_DPAD_SYSTEM_DATABASE_MANAGEMENT_RESTORE_FACTORY_PARAMETERS")}}</b>
				</td>
			</tr>
		</table>
	{% endblock %}
{% endset %}

{% set form1_name %}{% block block_form1_name %}planview_form{% endblock %}{% endset %}
{% set form1_action %}{% block block_form1_action %}../supervision/planview_management.php{% endblock %}{% endset %}
{% set form1_method %}{% block block_form1_method %}POST{% endblock %}{% endset %}
{% set form1_format %}{% block block_form1_format %}xml{% endblock %}{% endset %}
{% set form1_title %}{% block block_form1_title %}{{ getConstant("_DPAD_DBCONSTANT_URL_PLANVIEW_MANAGEMENT") }}{% endblock %}{% endset %}
{% set form1_submitButtonLabel %}{% block block_form1_submitButtonLabel %}{{ getConstant('_DPAD_GENERAL_EXECUTE') }}{% endblock %}{% endset %}
{% set form1_closeButtonLabel %}{% block block_form1_closeButtonLabel %}{{ getConstant('_DPAD_GENERAL_CANCEL') }}{% endblock %}{% endset %}
{% set form1_body %}{% block block_form1_body %}{% endblock %}{% endset %}

{% set form2_name %}{% block block_form2_name %}scripts_form{% endblock %}{% endset %}
{% set form2_action %}{% block block_form2_action %}../scripting/scripting_management.php{% endblock %}{% endset %}
{% set form2_method %}{% block block_form2_method %}POST{% endblock %}{% endset %}
{% set form2_format %}{% block block_form2_format %}xml{% endblock %}{% endset %}
{% set form2_title %}{% block block_form2_title %}{% endblock %}{% endset %}
{% set form2_submitButtonLabel %}{% block block_form2_submitButtonLabel %}{{ getConstant('_DPAD_GENERAL_EXECUTE') }}{% endblock %}{% endset %}
{% set form2_closeButtonLabel %}{% block block_form2_closeButtonLabel %}{{ getConstant('_DPAD_GENERAL_CANCEL') }}{% endblock %}{% endset %}
{% set form2_body %}{% block block_form2_body %}{% endblock %}{% endset %}


{% set forms = {
	"config_database_form":{
		'name':form0_name,
		'action':form0_action,
		'method':form0_method,
		'title':form0_title,
		'format':form0_format,
		'submitButtonLabel':form0_submitButtonLabel,
		'closeButtonLabel':form0_closeButtonLabel,
		'body':form0_body
	},
	"planview_form":{
		'name':form1_name,
		'action':form1_action,
		'method':form1_method,
		'title':form1_title,
		'format':form1_format,
		'submitButtonLabel':form1_submitButtonLabel,
		'closeButtonLabel':form1_closeButtonLabel,
		'body':form1_body
	},
	"scripts_form":{
		'name':form2_name,
		'action':form2_action,
		'method':form2_method,
		'title':form2_title,
		'format':form2_format,
		'submitButtonLabel':form2_submitButtonLabel,
		'closeButtonLabel':form2_closeButtonLabel,
		'body':form2_body
	}
} %}

{% if not checkModulePresence('scripting') %}
	{% set forms = forms|unSet("scripts_form") %}
{% endif %}
{% if not checkModulePresence('supervision') %}
	{% set forms = forms|unSet("planview_form") %}
{% endif %}

{% block block_customContent %}
<iframe id="config_export_download_iframe" style="display:none" src=""></iframe>
{% endblock %}

{% block block_scope %}
{% include "scope.config_database.tpl" %}
{% endblock %}