{# INIT PAGE STAND ALONE VAR #}
{% import "tool.html.button.tpl" as htmlButton %}
{% import "tool.html.button.action.tpl" as htmlButtonAction %}
{% import "tool.html.checkbox.custom.tpl" as htmlCheckboxCustom %}
{# Including Javascript Code or CSS#}
{% set page_stand_alone=(not checkModulePresence("system") or not checkProductPresence()) %}
{% if page_stand_alone %}
	<head>
		<meta http-equiv="content-type" content="text/html;" charset="{{ page.charset }}" />
		<meta http-equiv="content-language" content="{{ page.language }}" />
		<meta name="robots" content="{{ page.meta_robots }}" />
		<meta name="keywords" content="{{ page.meta_keywords }}>" />
		<meta name="description" content="{{ page.meta_description }}>" />
		<meta name="rating" content="{{ page.meta_rating }}" />
		<meta name="author" content="{{ page.meta_author }}" />
		<meta name="copyright" content="{{ page.meta_copyright }}" />
		<meta name="generator" content="{{ page.meta_generator }}" />
		<title>{{ page.html_title }}</title>
	</head>
{% else %}
	{% include "scope.config_modules.tpl" %}
{% endif %}
<div id="config_modules_help" class="wizard_section_help_containing_div">{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_HELP") }}</div>
<div id="config_modules_scrollable_container" class="config_modules_background_containing_div">
{% if page_stand_alone %}
<form accept-charset="UNKNOWN" method="POST" action="../system/config_modules.php" name="config_modules_hardwareForm" enctype="application/x-www-form-urlencoded">
{% endif %}
<table cellspacing="0" cellpadding="0" border="0" width="100%">
	<tr id="action_buttons">
		<td class="wizard_section_title_containing_cell">
			<p class="wizard_section_title_normal">
				{{ getConstant("_DPAD_DBCONSTANT_URL_MODULE_CONFIG") }}
			</p>
		</td>
		{% if not page_stand_alone %}
			<td class="wizard_section_button_containing_cell" align="right">
				{{ htmlButton.button({
					'id':'back_button',
					'class':'form_button',
					'value':getConstant("_DPAD_GENERAL_BLOCK_ACTION_BACK"),
					'onClick':"iM.getScope(this).back();"
				}) }}
			</td>
			<td class="wizard_section_button_containing_cell">
				{{ htmlButtonAction.buttonAction({
					'description':getConstant("_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_HELP"),
					'image_path':(theme.datas.current_baseurl ~ "images/actions/help.png"),
					'onClick':"iM.getScope(this).show_help($(this),'#config_modules_help');"
				}) }}
			</td>
		{% endif %}
	</tr>
	<tr>
		<td colspan="4">
			<div class="wizard_section_external_containing_div">
				<table class="wizard_section_containing_table_hilight">
					<tr>
						<td class="wizard_section_title_containing_cell" onClick="iM.getScope(this).toggleSectionDiv(this);" >
							<p class="wizard_section_title_normal">
								{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_MACHINEDATAS_TITLE") }}
							</p>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<div id="section_machine" class="wizard_section_external_containing_div">
								<table class="wizard_section_containing_table_hilight">
									<tr>
										<td>
											<div id="block_machinediv" >
												<table width="100%">
													<tr>
														<td class="wizard_results_header_cell" style="text-align:center" >
															{{getConstant("_DPAD_SYSTEM_CONFIG_MODULES_SERIAL_CODE_TITLE")}}
														</td>
													</tr>
													<tr>
														<td style="text-align:center" >
															{% if page.machine_serial_number is null %}
																<input id="machine_serial_number" name="machine_serial_number" style="width:99%" type="textbox" class="wizard_textbox_long" value="{{page.machine_serial_number}}" />
															{% else %}
																{{page.machine_serial_number}}
															{% endif %}
														</td>
													</tr>
													<tr>
														<td class="wizard_results_header_cell" style="text-align:center" >
															{{getConstant("_DPAD_SYSTEM_CONFIG_MODULES_HARDWARE_CODE_TITLE")}}
														</td>
													</tr>
													<tr>
														<td style="text-align:center" >
															{{page.machine_hardware_code}}
														</td>
													</tr>
												</table>
											</div>
										</td>
									</tr>
								</table>
								<div class="wizard_section_corner_external_ul">&nbsp;</div>
								<div class="wizard_section_corner_external_ur">&nbsp;</div>
								<div class="wizard_section_corner_external_br">&nbsp;</div>
								<div class="wizard_section_corner_external_bl">&nbsp;</div>
							</div>
						</td>
					</tr>
					<tr>
						<td class="wizard_section_title_containing_cell" onClick="iM.getScope(this).toggleSectionDiv(this);" >
							<p class="wizard_section_title_normal">
								{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_PRODUCTS_TITLE") }}
							</p>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<div id="section_products" class="wizard_section_external_containing_div">
								<table class="wizard_section_containing_table_hilight">
									<tr>
										<td>
											<div id="block_products_div" >
												<table width="100%">
													<tr>
														<td class="wizard_results_header_cell" width="40%" nowrap style="text-align:left" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_NAME")|upper }}&nbsp;</td>
														<td class="wizard_results_header_cell" width="30%" nowrap style="text-align:center" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE")|upper }}&nbsp;</td>
														<td class="wizard_results_header_cell" width="10%" nowrap style="text-align:center" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_VERSION")|upper }}&nbsp;</td>
														<td class="wizard_results_header_cell" width="10%" style="text-align:center">&nbsp;</td>
														<td class="wizard_results_header_cell" width="10%" style="text-align:center">&nbsp;</td>
													</tr>
													{% for product,product_infos in page.list_products %}
													<tr>
														<td style="text-align:left">
															<b>{{ product_infos.NAME|upper }}</b><br/>
															{{ product_infos.LABEL }}
														</td>
														<td style="text-align:center">
															{% if product_infos.LICENSE_IS_REQUIRED==1 %}
																<table width="100%" >
																	<tr>
																		<td>
																			<input id="product_license_{{ product_infos.ID }}" name="product_license_{{ product_infos.ID }}" style="width:99%" type="textbox" class="wizard_textbox_long" value="{{ product_infos.LICENSE }}" onChange="iM.getScope(this).licenseChanged($(this));" onKeyPress="iM.getScope(this).submit_enter(event);" />
																			<input id="product_license_has_changed_{{ product_infos.ID }}" name="product_license_has_changed_{{ product_infos.ID }}" type="hidden" value="{% if page_stand_alone %}1{% else %}0{% endif %}" />
																		</td>
																	</tr>
																	<tr>
																		<td>
																			{% if product_infos.LICENSE %}
																				{% if product_infos.LICENSE_IS_VALID == getConstant("_DPAD_RESULT_NOERROR") %}
																					{% if product_infos.LICENSE_EXPIRE<=0 %}
																						<span style="color: #00FE18">{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_UNLIMITED") }}</span>
																					{% else %}
																						{% if product_infos.LICENSE_EXPIRE > (time()+86400*30) %}
																							<span style="color: #00FE18">{{ sprintf(_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_DATED,product_infos.LICENSE_EXPIRE|date("d/m/Y")) }}</span>
																						{% else %}
																							<span style="color: orange">{{ sprintf(_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_DATED,product_infos.LICENSE_EXPIRE|date("d/m/Y")) }}</span>
																						{% endif %}
																					{% endif %}
																				{% else %}
																					<span style="color: red">{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_INVALID") }}</span>
																				{% endif %}
																			{% else %}
																				<span style="color: grey">{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_EMPTY") }}</span>
																			{% endif %}
																		</td>
																	</tr>
																</table>
															{% else %}
																{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_NOTNECESSARY") }}
															{% endif %}
														</td>
														<td style="text-align:center">
															{{ product_infos.VERSION }}
														</td>
														<td style="text-align:center">
														</td>
													</tr>
													{% endfor %}
												</table>
											</div>
										</td>
									</tr>
								</table>
								<div class="wizard_section_corner_external_ul">&nbsp;</div>
								<div class="wizard_section_corner_external_ur">&nbsp;</div>
								<div class="wizard_section_corner_external_br">&nbsp;</div>
								<div class="wizard_section_corner_external_bl">&nbsp;</div>
							</div>
						</td>
					</tr>
					<tr id="action_buttons">
						<td class="wizard_section_title_containing_cell" onClick="iM.getScope(this).toggleSectionDiv(this);" >
							<p class="wizard_section_title_normal">
								{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_TITLE") }}
							</p>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<div id="section_modules" class="wizard_section_external_containing_div">
								<table class="wizard_section_containing_table_hilight">
									<tr>
										<td>
											<div id="block_modules_div" >
												<table width="100%">
													<tr>
														<td class="wizard_results_header_cell" width="40%" nowrap style="text-align:left" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_NAME")|upper }}&nbsp;</td>
														<td class="wizard_results_header_cell" width="30%" nowrap style="text-align:center" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE")|upper }}&nbsp;</td>
														<td class="wizard_results_header_cell" width="10%" nowrap style="text-align:center" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_VERSION")|upper }}&nbsp;</td>
														<td class="wizard_results_header_cell" width="10%" style="text-align:center">{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_ACTIVE")|upper }}&nbsp;</td>
														<td class="wizard_results_header_cell" width="10%" style="text-align:center">{{ getConstant("_DPAD_SYSTEM_GENERAL_ACTIONS")|upper }}&nbsp;</td>
													</tr>
													{% for module,module_infos in page.list_modules %}
													<tr id="module_row_{{ module_infos.ID }}" {% if module_infos.CONFIGURATION_PAGE_IS_REQUIRED or module_infos.LICENSE_IS_VALID != getConstant("_DPAD_RESULT_NOERROR") %}{% else %}style="display:none;"{% endif %}>
														<td style="text-align:left">
															<b>{{ module_infos.NAME|upper }}</b><br/>
															{{ getConstant(module_infos.DESCRIPTION) }}
														</td>
														<td style="text-align:center">
															{% if module_infos.LICENSE_IS_REQUIRED==1 %}
																<table width="100%" >
																	<tr id="module_license_{{ module_infos.ID }}_row" {% if module_infos.LICENSE_IS_VALID == getConstant("_DPAD_RESULT_NOERROR") %}style="display:none;"{% endif %} >
																		<td>
																			<input id="module_license_{{ module_infos.ID }}" name="module_license_{{ module_infos.ID }}" style="width:99%;cursor:pointer;" type="textbox" class="wizard_textbox_long" value="{{ module_infos.LICENSE }}" onChange="iM.getScope(this).licenseChanged($(this));" onKeyPress="iM.getScope(this).submit_enter(event);" />
																			<input id="module_license_has_changed_{{ module_infos.ID }}" name="module_license_has_changed_{{ module_infos.ID }}" type="hidden" value="{% if page_stand_alone %}1{% else %}0{% endif %}" />
																		</td>
																	</tr>
																	<tr>
																		<td style="text-align:center">
																			{% if module_infos.LICENSE %}
																				{% if module_infos.LICENSE_IS_VALID == getConstant("_DPAD_RESULT_NOERROR") %}
																					{% if module_infos.LICENSE_EXPIRE<=0 %}
																						<span style="color:#00FE18;" onClick="iM.getScope(this).toggleLicense('module_license_{{ module_infos.ID }}_row');" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_UNLIMITED") }}</span>
																					{% else %}
																						{% if module_infos.LICENSE_EXPIRE > (time()+86400*30) %}
																							<span style="color:#00FE18;" onClick="iM.getScope(this).toggleLicense('module_license_{{ module_infos.ID }}_row');" >{{ sprintf(_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_DATED,product_infos.LICENSE_EXPIRE|date("d/m/Y")) }}</span>
																						{% else %}
																							<span style="color:orange;" onClick="iM.getScope(this).toggleLicense('module_license_{{ module_infos.ID }}_row');" >{{ sprintf(_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_OK_DATED,product_infos.LICENSE_EXPIRE|date("d/m/Y")) }}</span>
																						{% endif %}
																					{% endif %}
																				{% else %}
																					<span style="color:red;" onClick="iM.getScope(this).toggleLicense('module_license_{{ module_infos.ID }}_row');" >{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_INVALID") }}</span>
																				{% endif %}
																			{% else %}
																				<span style="color:grey;" onClick="iM.getScope(this).toggleLicense('module_license_{{module_infos.ID}}_row');" >{{getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_EMPTY")}}</span>
																			{% endif %}
																		</td>
																	</tr>
																</table>
															{% else %}
																{{ getConstant("_DPAD_SYSTEM_CONFIG_MODULES_LICENSE_NOTNECESSARY") }}
															{% endif %}
														</td>
														<td style="text-align:center">
															{{ module_infos.VERSION }}
														</td>
														<td style="text-align:center">
														{#
															{include_core_func file="tool.draw_html.tpl"
																draw_as="checkbox"
																value=$module_infos.IS_ACTIVE
																onChange="alert('change value to:'+($(this).attr('checked')?1:0))"
																themeSrc=theme.datas.current_baseurl
															}
														#}
															{{ htmlCheckboxCustom.checkboxCustom({
																'value':module_infos.IS_ACTIVE,
																'themeSrc':theme.datas.current_baseurl
															}) }}
														</td>
														<td style="text-align:center">
															{% if module_infos.CONFIGURATION_PAGE_IS_REQUIRED %}
																{{ htmlButtonAction.buttonAction({
																	'description':getConstant("_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_EDIT"),
																	'style':'margin-left:auto;margin-right:auto;',
																	'image_path':(theme.datas.current_baseurl ~ "images/actions/edit_item.png"),
																	'onClick':"iM.openInstance(' ~ module_infos.CONFIGURATION_PAGE_URL ~ ','iframe');"
																}) }}
															{% endif %}
														</td>
													</tr>
													{% endfor %}
												</table>
											</div>
										</td>
									</tr>
								</table>
								<div class="wizard_section_corner_external_ul">&nbsp;</div>
								<div class="wizard_section_corner_external_ur">&nbsp;</div>
								<div class="wizard_section_corner_external_br">&nbsp;</div>
								<div class="wizard_section_corner_external_bl">&nbsp;</div>
							</div>
						</td>
					</tr>
					<tr>
						<td style="vertical-align:bottom">
							{% if page_stand_alone %}
								<input type="submit" name="submit" value="{{ getConstant("_DPAD_GENERAL_SAVE") }}" onClick="if(localStorage)localStorage.clear();" >
							{% else %}
								{{ htmlButton.button({
									'class':'form_button',
									'value':getConstant("_DPAD_GENERAL_SAVE"),
									'onClick':'iM.getScope(this).updateModules();'
								}) }}
							{% endif %}
						</td>
					</tr>
				</table>
				<div class="wizard_section_corner_external_ul">&nbsp;</div>
				<div class="wizard_section_corner_external_ur">&nbsp;</div>
				<div class="wizard_section_corner_external_bl">&nbsp;</div>
				<div class="wizard_section_corner_external_br">&nbsp;</div>
			</div>
		</td>
	</tr>
</table>
</form>
</div>
