{# Including core template #}
{% import "tool.html.button.tpl" as htmlButton %}
{% import "tool.html.button.action.tpl" as htmlButtonAction %}
{% import "tool.html.checkbox.custom.tpl" as htmlCheckboxCustom %}
{% import "tool.html.radio.tpl" as htmlRadio %}
{% import "tool.html.textbox.tpl" as htmlTextbox %}
{% include "scope.config_network.tpl" %}
<div id="network_message" style="display:none;">{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_DNS_WARNING")}}</div>
<div id="config_network_help" class="wizard_section_help_containing_div">{{page.page_help}}</div>
<table cellspacing="0" cellpadding="0" border="0" width="100%" height="95%">
	<tr id="action_buttons" >
		<td class="wizard_section_title_containing_cell">
			<p class="wizard_section_title_normal">
				{{page.page_title}}
			</p>
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButton.button({
				'id':'back_button',
				'class':'form_button',
				'value':getConstant("_DPAD_GENERAL_BLOCK_ACTION_BACK"),
				'onClick':"iM.getScope(this).back();"
			}) }}
		</td>
		<td class="wizard_section_button_containing_cell">
			{{ htmlButtonAction.buttonAction({
				'description':getConstant("_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_HELP"),
				'image_path':(theme.datas.current_baseurl ~ "images/actions/help.png"),
				'onClick':"themeManager.show_help($(this),$(iM.getScope(this).getScopeSelector()).find('#config_network_help'));"
			}) }}
		</td>
	</tr>
	<tr>
		<td colspan="4">
			<div class="wizard_section_external_containing_div">
				<table class="wizard_section_containing_table_hilight">
					<tr>
						<td style="vertical-align:top;">
							<div style="width:100%;text-align:center;align:center;" >
							<div id="network_container" style="width:80%;margin:auto;">
							<form id="network_form" method="post" action="../system/config_network.php">
							<input type="hidden" id="submit" name="submit" value=""/>
							<input type="hidden" id="check_dns" name="check_dns" value="1"/>
							<input type="hidden" id="ethernet_port_names" name="ethernet_port_names" value="{{page.ethernet_port_names}}"/>
							{% for ethernet_port_name,ethernet_port in page.ethernet_ports %}
							{% if ethernet_port_name=="lo" %}
								<input type="hidden" id="{{ethernet_port_name}}_network_type" name="{{ethernet_port_name}}_network_type" value="{{ethernet_port.network_type}}"/>
								<input type="hidden" name="enable_{{ethernet_port_name}}" id="enable_{{ethernet_port_name}}" value="1"/>
							{% else %}
								<table id="{{ethernet_port_name}}_table" class="box_containing_table" cellspacing="0" cellpadding="0">
									<tr>
										<td class="box_ul_containing_cell">&nbsp;</td>
										<td class="box_u_containing_cell">&nbsp;</td>
										<td class="box_ur_containing_cell">&nbsp;</td>
									</tr>
									<tr>
										<td class="box_l_containing_cell">&nbsp;</td>
										<td class="box_c_containing_cell">
											<table>
												<tr>
													<td>
														<p class="wizard_section_title_normal">{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_PORT_" ~ ethernet_port_name |upper)}}{% if ethernet_port.MAC %} - ({{ethernet_port.MAC|upper}}){% endif %}</p>
														<p>{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_SUBTITLE")}}</p>
													</td>
												</tr>
												
												<tr>
													{# On ETH0 1 by default; the others can ben choosen #}
													{% if loop.index==2 %}
														<input type="hidden" name="enable_{{ethernet_port_name}}" id="enable_{{ethernet_port_name}}" value="1"/>
													{% else %}
														<td>{{getConstant("_DPAD_GENERAL_ENABLE")}}</td>
														<td>
															{{ htmlCheckboxCustom.checkboxCustom({
																'id':'enable_' ~ ethernet_port_name,
																'value':ethernet_port['enable_' ~ ethernet_port_name],
																'style':'cursor:pointer',
																'onClick':"iM.getScope(this).enableEthernetPort('#" ~ ethernet_port_name ~ "_table',($(this).attr('checked')?1:0));",
																'themeSrc':theme.datas.current_baseurl
															}) }}
														</td>
													{% endif %}
												</tr>
												
												<tr>
													<td>{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_IP")}}</td>
													<td>
														{{ htmlTextbox.textbox({
															'id':ethernet_port_name ~ '_address',
															'value':ethernet_port.address
														}) }}
													</td>
												</tr>
												<tr>
													<td>{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_NETMASK")}}</td>
													<td>
														{{ htmlTextbox.textbox({
															'id':ethernet_port_name ~ '_netmask',
															'value':ethernet_port.netmask
														}) }}
													</td>
												</tr>
												<tr>
													<td>{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_GATEWAY")}}</td>
													<td>
														{{ htmlTextbox.textbox({
															'id':ethernet_port_name ~ '_gateway',
															'value':ethernet_port.gateway
														}) }}
													</td>
												</tr>
												<tr>
													<td>
														<input type="hidden" name="{{ethernet_port_name}}_network_type_old" id="{{ethernet_port_name}}_network_type_old" value="{{ethernet_port.network_type}}"/>
														<input type="hidden" name="{{ethernet_port_name}}_address_old" id="{{ethernet_port_name}}_address_old" value="{{ethernet_port.address}}"/>
														<input type="hidden" name="{{ethernet_port_name}}_netmask_old" id="{{ethernet_port_name}}_netmask_old" value="{{ethernet_port.netmask}}"/>
														<input type="hidden" name="{{ethernet_port_name}}_gateway_old" id="{{ethernet_port_name}}_gateway_old" value="{{ethernet_port.gateway}}"/>
													</td>
												</tr>
											</table>
										</td>
										<td class="box_r_containing_cell">&nbsp;</td>
									</tr>
									<tr>
										<td class="box_bl_containing_cell">&nbsp;</td>
										<td class="box_b_containing_cell">&nbsp;</td>
										<td class="box_br_containing_cell">&nbsp;</td>
									</tr>
								</table>
							{% endif %}
							{% endfor %}
							<table id="dns" class="box_containing_table" cellspacing="0" cellpadding="0">
								<tr>
									<td class="box_ul_containing_cell">&nbsp;</td>
									<td class="box_u_containing_cell">&nbsp;</td>
									<td class="box_ur_containing_cell">&nbsp;</td>
								</tr>
								<tr>
									<td class="box_l_containing_cell">&nbsp;</td>
									<td class="box_c_containing_cell">
										<table>
											<tr>
												<td>
													<p class="wizard_section_title_normal">{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_DNS")}}</p>
												</td>
												<td>
												</td>
											</tr>
											<tr>
												<td>
													{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_DNS_FROM_DHCPSERVER")}}
												</td>
												<td>
													{{ htmlCheckboxCustom.checkboxCustom({
														'id':'enable_dns_from_dhcpserver',
														'value':page.enable_dns_from_dhcpserver,
														'themeSrc':theme.datas.current_baseurl
													}) }}
												</td>
											</tr>
											{% for dns_key,dns_server in page.domain_name_servers %}
											<tr>
												<td>
													{% if loop.index==1 %}
														{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_DNS_PRIMARY")}}
													{% elseif loop.index==2 %}
														{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_DNS_SECONDARY")}}
													{% else %}
														{{getConstant("_DPAD_SYSTEM_CONFIG_NETWORK_DNS_TERZIARY")}}
													{% endif %}
												</td>
												<td>
													{{ htmlTextbox.textbox({
														'id':dns_key,
														'value':dns_server.address
													}) }}
												</td>
											</tr>
											{% endfor %}
										</table>
									</td>
									<td class="box_r_containing_cell">&nbsp;</td>
								</tr>
								<tr>
									<td class="box_bl_containing_cell">&nbsp;</td>
									<td class="box_b_containing_cell">&nbsp;</td>
									<td class="box_br_containing_cell">&nbsp;</td>
								</tr>
							</table>
							</form>
							</div>
							</div>
						</td>
					</tr>
					<tr>
						<td style="vertical-align:bottom">
							{{ htmlButton.button({
								'class':'form_button',
								'value':getConstant("_DPAD_GENERAL_SAVE"),
								'onClick':'iM.getScope(this).updateNetwork();'
							}) }}
						</td>
					</tr>
				</table>
				<div class="wizard_section_corner_external_ul">&nbsp;</div>
				<div class="wizard_section_corner_external_ur">&nbsp;</div>
				<div class="wizard_section_corner_external_bl">&nbsp;</div>
				<div class="wizard_section_corner_external_br">&nbsp;</div>
			</div>
		</td>
    </tr>
</table>
<div id="theme_options_container" ></div>