{# Including core template #}
{% extends "administration_page.tpl" %}

{%block block_help %}{{ getConstant("_DPAD_DBCONSTANT_CONFIG_SETTING_TIPOLOGY_" ~ page.tipology|upper ~ "_HELP") }}{%endblock  block_help %}

{% set form_body %}
{% import "tool.html.tpl" as draw %}
{% for setting in page.settings %}

	{# Initializing onChange and onKeypress #}
	{% set onChange = "iM.getScope(this).updateSetting('" ~ setting.NAME ~ "',drawM.getValue('setting_" ~ setting.ID ~ "',iM.getScope(this).getScopeSelector()));" %}
	{% set onKeyPress="iM.getScope(this).detect_enter_keypress(event);" %}

	{% if setting.VALIDATE is not empty %}
		{% set onChange = "if(!iM.getScope(this).validateField($(this),'"~setting.VALIDATE~"')) return; " ~ onChange %}	
	{% endif %}

	{% if setting.DRAW_AS != "password" %}
		{% set onFocus = "$(this).attr('oldvalue',$(this).val()).removeClass('error');" %}
	{% else %}
		{% set onFocus = "" %}
	{% endif %}

<div>
	{% block block_config_setting_item %}
	{{ setting.LABEL }}:
{# TODO: This should be a dynamic block and shouldn't use onLoad event to load correct values #}
	{{ draw.html({
		'draw_as':setting.DRAW_AS,
		'id':'setting_' ~ setting.ID,
		'value':setting.VALUE,
		'has_options':setting.HAS_OPTIONS,
		'options':setting.OPTIONS|json_decode,
		'themeSrc':theme.datas.current_baseurl,
		'mask':setting.MASK,
		'onChange':onChange,
		'onFocus':onFocus,
		'onKeyPress':onKeyPress
	}) }}
	{% endblock block_config_setting_item %}
</div>
{% endfor %}
{% endset %}

{% set forms = {
	'config_settings_tipology_form':{
		'name':'config_settings_tipology_form',
		'body':form_body,
		'title':getConstant('_DPAD_GENERAL_OPTIONS')
	}
} %}

{% block block_scope %}
	{% include "scope.config_settings_tipology_options.tpl" %}
{% endblock block_scope %}