{# DEBUGGING TOOLS #}
{# INCLUDES #}
<jsIncludes>
{{ html_includejs("jquery.js","js") }}
{{ html_includejs("jquery.ui.tabs.js","js") }}
{{ html_includejs("jquery.overscroll.js","js") }}
</jsIncludes>
{# JAVASCRIPTS #}
<jsScopeScripts>
	{# INIT VARS #}
	this.html = new Array();
	this.tabTypes = new Array('generic','tpl','php');
	this.tabTitles = new Array('Generico','Debug/Profiling TPL','Debug/Profiling PHP');
	this.initialized = false;
	
	this.onLoad=function(){	
		{# TAB TYPE #}
		this.getTabs('debuggingTabs').tabs({
			add:function(event,ui){
				$(ui.panel).append(
					$('<div>',{
						id: iM.getScope(this).getTabIdFromTypeIndex( iM.getScope(this).getTabSize( $(this) ) - 1 )
					})
						.append('<ul>')
				);
			},
			activate: function( event, ui ) {
				iM.getScope(this).refreshScroll( $(this) );
			}
		});
		if( !this.initialized ){
			for(var _iTabCounter in this.tabTypes){
				var sTabType = this.tabTypes[_iTabCounter];
				var sTabTitle = this.tabTitles[_iTabCounter];
				var sNewTabSelector = this.getTabIdFromType( sTabType );
				this.addTab( 'debuggingTabs', sTabTitle,
					$('<div>',{id: sNewTabSelector})
						.append('<ul>')
						.tabs({
							add:function(event,ui){
								$(ui.panel).append(
									$('<div>',{
										id: iM.getScope(this).getTabIdFromTypeIndex( iM.getScope(this).getTabSize( $(this) ) - 1 )
									})
										.append('<ul>')
								)
							},
							activate: function( event, ui ) {
								iM.getScope(this).refreshScroll( $(this) );
							}
						})
				);
			}
			this.addTab( this.getTabIdFromType( 'generic' ), 'Generic', $( $(this.getScopeSelector()).find('div#generic_entry').html().trim() ), 'generic' );
			this.initialized = true;
		}
		this.refreshTabsData();
	}
	
	this.getTabSize=function(jTab){
		return jTab.find('ul').eq(0).find('li').size();
	}
	
	this.addTab=function(sTabID, sTabTitle,jObj,sTabType){
		var _jTab = this.getTabs( sTabID );
		if(_jTab.find('ul').size() == 0){
			_jTab.append('<ul>');
		}
		var _iTabCounter = this.getTabSize(_jTab);
		var _sNewTabSelector = null;
		if( sTabType ){
			if( !this.html[sTabType] ){
				this.html[sTabType] = new Array();
			}
			this.html[sTabType][_iTabCounter] = jObj;
			_sNewTabSelector = 'tabs' + sTabType.charAt(0).toUpperCase() + sTabType.slice(1) + '-' + _iTabCounter;
		} else {
			_sNewTabSelector = 'tabsType-' + _iTabCounter;
		}
		_jTab.find('ul').eq(0).append( 
			$( "<li><a href='#" + _sNewTabSelector + "'>" + sTabTitle + "</a>{# <span class='ui-icon ui-icon-close' role='presentation'>Remove Tab</span></li> #}" ) 
		);
		_jTab.append( $('<div>',{id: _sNewTabSelector}).append( jObj ) );
		_jTab.tabs('refresh');
		_jTab.tabs('option', 'active', 0);
	}
	
	this.getTabs=function(sID){
		return $(this.getScopeSelector()).find( '#' + ( sID ? sID : 'debuggingTabs' ) );
	}
	
	this.getTabIdFromType=function(sType){
		return 'debugTabs' + sType.charAt(0).toUpperCase() + sType.slice(1);
	}
	
	this.getTabIdFromTypeIndex=function(iIndex){
		return this.getTabIdFromType( this.tabTypes[iIndex] );
	}
	
	this.getHtmlFromjTab=function(jTab){
		return this.html[jTab.prop('id').replace('debugTabs','').toLowerCase()][jTab.tabs('length')-1];
	}
	
	this.refreshScroll=function(jTab){
		themeManager.setScrollable( $(this.getScopeSelector()).find('#debuggingTools') )
	}
	
	this.refreshTabsData=function(sTitle,sHTML,sTabType){
		if( rM.__debuggingTabsToHandle ){
			var _oData = rM.__debuggingTabsToHandle.shift();
			while( _oData ){
				this.addTab( this.getTabIdFromType( _oData.tab_type ), _oData.title, $( $.trim( _oData.html ) ), _oData.tab_type );
				_oData = rM.__debuggingTabsToHandle.shift();
			}
		}
		if( sTitle ){
			this.addTab( this.getTabIdFromType( sTabType ), sTitle, $( $.trim( sHTML ) ), sTabType );
		}
	}
</jsScopeScripts>
{# HTML #}
<div id="debuggingTools" class="debuggingTools" >
	<div id="debuggingTabs">
	<ul>
	</ul>
	</div>
</div>

<div id="generic_entry" style="display none">
<h1>Dati Generici</h1>
<h2>Stato generale</h2>
<h2>Azioni</h2>
<table id="table_assigned_vars">
	<tr>
		<td>
			- tab generale con: status cache server/client, reload instance, cancellazione cache client, etc.. etc...
			- tab PHP
			- tab TPL
			- etc.. etc.. etc..
		</td>
	</tr>
</table>
</div>