{% block block_customImport %}{% endblock %}

{% block block_body %}
{% block block_layout %}
	<div id="block_obj_details_div" tipology="{{page.obj_prototype_type}}">
		{% block block_details_help %}<div id="details_help" class="wizard_section_help_containing_div">{% block block_details_help_text %}{{ page.page_help }}{% endblock block_details_help_text %}</div>{% endblock block_details_help %}
	</div>
	<div id="block_obj_children_div">{% block block_layout_children %}{% endblock %}</div>
	<div id="block_obj_parents_div">{% block block_layout_parents %}{% endblock %}</div>
	<div id="block_obj_activeEvents_div">{% block block_layout_activeEvents %}{% endblock %}</div>
	<div id="block_obj_passiveEvents_div">{% block block_layout_passiveEvents %}{% endblock %}</div>
	{% block block_layoutCustom %}{% endblock %}
{% endblock block_layout %}

{# OBJECT DETAILS #}
{% block block_details %}
	<div style="display: none">
		<div id="block_obj_details_container_prototype"><div id="block_obj_details_container_results" style="width:100%;heigth:100%;" ></div></div>
		<div id="block_obj_details_item_prototype">
			<div id="{{ jsHtmlBlock('name') }}_details_item">
			{% set details_header_actionButtons_closeButton_label %}{%block block_details_header_actionButtons_closeButton_label %}{{ getConstant('_DPAD_GENERAL_BLOCK_ACTION_BACK') }}{% endblock %}{% endset %}
			{% set details_header_actionButtons_helpButton_label %}{%block block_details_header_actionButtons_helpButton_label %}{{ getConstant('_DPAD_DBCONSTANT_WIZARDMENU_GENERAL_ACTION_HELP') }}{% endblock %}{% endset %}
			{% block block_details_container %}
			<table cellspacing="0" cellpadding="0" border="0" width="100%" height="95%">
				{% block block_details_header %}
				<tr id="action_buttons" >
					<td class="wizard_section_title_containing_cell">
						<p class="wizard_section_title_normal">
							{% block block_details_header_title %}{% endblock block_details_header_title %}
						</p>
					</td>
					{% block block_details_header_actionButtons %}
					{% block block_details_header_actionButtons_closeButton %}
					<td class="wizard_section_button_containing_cell">
						{{ htmlButton.button({
							'id':'back_button',
							'class':'form_button',
							'value':details_header_actionButtons_closeButton_label,
							'onClick':'iM.getScope(this).formButtonClose();'
						}) }}
					</td>
					{% endblock block_details_header_actionButtons_closeButton %}
					{% block block_details_header_actionButtons_helpButton %}
					<td class="wizard_section_button_containing_cell">
						{{ htmlButtonAction.buttonAction({
							'description':details_header_actionButtons_closeButton_label,
							'image_path':(theme.datas.current_baseurl ~ "images/actions/help.png"),
							'onClick':"themeManager.show_help($(this),$(iM.getScope(this).getScopeSelector()).find('#details_help'));"
						}) }}
					</td>
					{% endblock block_details_header_actionButtons_helpButton %}
					{% endblock block_details_header_actionButtons %}
				</tr>
				{% endblock block_details_header %}
				{% block block_details_content %}
				<tr>
					<td colspan="3">
						<div class="wizard_section_external_containing_div">
							<table id="edit_object_group_details" class="wizard_section_containing_table_normal">
								{# Handling item fields #}
								{% set detailsFields={
									"name":{
										"type":"textbox",
										"dbField":"name",
										"label":getConstant("_DPAD_OBJECT_DETAILS_NAME"),
										"mode":"base",
										"category":"general",
										"visible":true
									},
									"description":{
										"type":"textbox",
										"dbField":"description",
										"label":getConstant("_DPAD_OBJECT_DETAILS_DESCRIPTION"),
										"mode":"expert",
										"category":"general",
										"visible":true
									},
									"rendering_id":{
										"type":"select",
										"dbField":"rendering_id",
										"label":getConstant("_DPAD_OBJECT_DETAILS_RENDERING"),
										"mode":"expert","category":
										"general",
										"visible":true
									},
									"is_readable":{
										"type":"checkbox",
										"dbField":"is_readable",
										"label":getConstant("_DPAD_OBJECT_DETAILS_IS_READABLE"),
										"mode":"expert",
										"category":"flags",
										"visible":true
									},
									"is_writable":{
										"type":"checkbox",
										"dbField":"is_writable",
										"label":getConstant("_DPAD_OBJECT_DETAILS_IS_WRITEABLE"),
										"mode":"expert",
										"category":"flags",
										"visible":true
									},
									"is_visible":{
										"type":"checkbox",
										"dbField":"is_visible",
										"label":getConstant("_DPAD_OBJECT_DETAILS_IS_VISIBLE"),
										"mode":"expert",
										"category":"flags",
										"visible":true
									},
									"enable_flag":{
										"type":"checkbox",
										"dbField":"enable_flag",
										"label":getConstant("_DPAD_OBJECT_DETAILS_ENABLE_FLAG"),
										"mode":"expert",
										"category":"flags",
										"visible":true
									}
								} %}
								{% block block_details_content_fields %}
								{# Handling Item option values #}
									{% for optionalp_element in page.obj_prototype_optionalp_array %}
										{% set draw_as = "optional_draw-as" %}
										{# Ignoring hidden because useless in our client structure #}
										{% if optionalp_element[draw_as]!="hidden" %}
											{% if optionalp_element[draw_as]=="select" or optionalp_element[draw_as]=="radio" %}{% set has_options=1 %}{% set options=optionalp_element.optional_settings %}{% else %}{% set has_options=0 %}{% endif %}
											{% if optionalp_element.optional_category %}{% set category=optionalp_element.optional_category %}{% else %}{% set category="general" %}{% endif %}
											{% if optionalp_element.optional_mode %}{% set mode = optionalp_element.optional_mode %}{% else %}{% set mode="base" %}{% endif %}
											{% set detailsFields = {
												"type":optionalp_element[draw_as],
												"dbField":"options."~optionalp_element.optional_name,
												"label":optionalp_element.optional_label,
												"title":optionalp_element.optional_label_description,
												"has_options":has_options,
												"options":options,
												"mode":mode,
												"category":category,
												"visible":true,
												"onChange":optionalp_element.onChange,
												"onChangeAdditional":optionalp_element.onChangeAdditional,
												"onLoad":optionalp_element.onLoad,
												"onFocus":optionalp_element.onFocus,
												"mask":optionalp_element.optional_mask,
												"validate":optionalp_element.optional_validate
											}|pushInto(detailsFields,optionalp_element.optional_name) %}
										{% endif %}
									{% endfor %}
								{# Rendering details #}
									{% for fieldName,field in detailsFields %}
									{# Origin #}
									{% if field.origin is null and field.dbField is not null %}{% set field='db'|pushInto(field,"origin") %}{% endif %}
									{# fieldId #}
										{% if field.id is empty %}
											{% if 'options.' in field.dbField %}
												{% set _tagFieldId = field.dbField|replace({'options.':'optionalp_'}) %}
											{% elseif field.origin=='db' %}
												{% set _tagFieldId = field.dbField %}
											{% else %}
												{% set _tagFieldId = fieldName %}
											{% endif %}
											{% set fieldId = "obj" ~ jsHtmlData('id') ~ "_" ~ _tagFieldId %}
										{% else %}
											{% set fieldId=field.id %}
										{% endif %}
									{# fieldValue #}
										{% if field.value is empty and field.origin=='db' %}
											{% set fieldValue = jsHtmlObj(field.dbField) %}
										{% else %}
											{% set fieldValue = field.value %}
										{% endif %}
									{# fieldValueJs #}
										{% if field.type == "checkbox" %}
											{% set fieldValueJs = "jQuery(this).is(':checked')?'1':'0'" %}
										{% elseif field.type == "customOrTextbox" or field.type == "drop" %}
											{% set fieldValueJs = "drawM.getValue('" ~ fieldId ~ "',iM.getScope(this).getScopeSelector())" %}
										{% else %}
											{% set fieldValueJs = "this.value" %}
										{% endif %}
									{# onChange #}
										{% if field.onChange is not empty %}
											{% set onChange=field.onChange %}
										{% elseif field.origin=='db' %}
											{% if field.dbField=='name' %}
												{% set _onChangeTag= "wM.tabUpdateLabel(wM.tabGetByTag('" ~ jsHtmlData('id') ~ "')," ~ fieldValueJs ~ ");$(iM.getScope(this).getScopeSelector()).find('#title').html(" ~ fieldValueJs ~ ");" %}
											{% else %}
												{% set _onChangeTag= "" %}
											{% endif %}
											{% set onChange = "objM.updateFieldObj(" ~ jsHtmlData('id') ~ ",'" ~ field.dbField ~ "'," ~ fieldValueJs ~ ");" ~ _onChangeTag  %}
											{% if field.onChangeAdditional is not empty %}
												{% set onChange=onChange ~ ";" ~ field.onChangeAdditional %}
											{% endif %}
											{% set field=onChange|pushInto(field,"onChange") %}

											{% set field=onChange|pushInto(field,"onChange") %}
											{% set onChange=field.onChange %}
										{% else %}
											{% set onChange=null %}
										{% endif %}
									{# onKeyPress #}
										{% if onChange is not empty %}
										{#
											UnBlur dentro detect_enter_keypress scatena gi onchange!!!!!
											{% set onKeyPress="if(iM.getScope(this).detect_enter_keypress(event)){" ~ field.onChange ~ "}" %}
										#}
										{% set onKeyPress="iM.getScope(this).detect_enter_keypress(event);" %}
										{% else %}
											{% set onKeyPress=null %}
										{% endif %}
									{# onLoad #}
										{% if field.onLoad is not empty %}
											{% set onLoad=field.onLoad %}
										{% else %}
											{% set onLoad=null %}
										{% endif %}
									{# onFocus #}
										{% if field.type != "password" %}
											{% set onFocus = "$(this).attr('oldvalue',$(this).val()).removeClass('error');" %}
										{% else %}
											{% set onFocus = "" %}
										{% endif %}
										{% if field.onFocus is not empty %}
											{% set onFocus = onFocus ~ field.onLoad %}
										{% endif %}
									{# Validation #}
										{% if field.validate is not empty %}
											{% set onChange = "if(!iM.getScope(this).validateField($(this),'"~field.validate~"')) return; " ~ onChange %}	
										{% endif %}
									{# Detail Prototype #}
										{% block block_details_content_fields_prototype %}
										<tr class="wizard_details_containing_row" advanced="{{ advancedFlag }}">
											<td class="wizard_details_title_containing_cell">{% if field.label is not empty %}{{ field.label }}:{% endif %}</td>
											<td class="wizard_details_content_containing_cell">
											{% if field.htmlCustom is not empty %}
												{{ field.htmlCustom }}
											{% else %}
												{{ jsHtml({
													"as":field.type,
													"id":fieldId,
													"value":fieldValue,
													"mask":field.mask,
													"options":field.options,
													"onChange":onChange,
													"onLoad":onLoad,
													"onFocus":onFocus,
													"onKeyPress":onKeyPress
												}) }}
											{% endif %}
										</tr>
										{% endblock block_details_content_fields_prototype %}
									{% endfor %}
								{% endblock block_details_content_fields %}
							</table>
							<div class="wizard_section_corner_external_ul">&nbsp;</div>
							<div class="wizard_section_corner_external_ur">&nbsp;</div>
							<div class="wizard_section_corner_external_bl">&nbsp;</div>
							<div class="wizard_section_corner_external_br">&nbsp;</div>
						</div>
					</td>
				</tr>
				{% endblock block_details_content %}
			</table>
			{% endblock block_details_container %}
			</div>
		</div>
	</div>
{% endblock block_details %}

{# OBJECT PARENTS #}
{% block block_parents %}
{% endblock block_parents %}

{# OBJECT CHILDREN #}
{% block block_children %}
{% endblock block_children %}

{# OBJECT ACTIVE EVENTS #}
{% if page.obj_prototype_type_is_event %}
	{% block block_activeEvents %}
	{% endblock block_activeEvents %}
{% endif %}

{# OBJECT PASSIVE EVENTS #}
{% if page.obj_prototype_type_is_executable %}
	{% block block_passiveEvents %}
	{% endblock block_passiveEvents %}
{% endif %}

{% block block_blocksCustom %}
{% endblock block_blocksCustom %}

{% endblock block_body %}

{# SCOPE RELATION BLOCKS DECLARATION #}
{# Including scope #}
{% block block_scope %}
		{% set blocks = {
			"id":"parents_group",
			"relation_type":"child_parent",
			"filter_expression":"datas.obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_GROUP") ~ "'",
			"drop_accept_expression":"obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_GROUP") ~ "'"
		}|pushInto(blocks,"parents_group") %}
		{% if page.obj_prototype_type_is_executable %}
			{% set blocks = {
				"id":"parents_scene",
				"relation_type":"child_parent",
				"filter_expression":"datas.obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_SCENARIO") ~ "'",
				"drop_accept_expression":"obj.type=='" ~ getConstant("_DPAD_CLASS_TYPE_SCENARIO") ~ "'"
			}|pushInto(blocks,"parents_scene") %}
		{% endif %}
		{% set blocks = {
			"id":"children_generic","relation_type":
			"parent_child","filter_expression":"",
			"drop_accept_expression":""
		}|pushInto(blocks,"children_generic") %}
		{% if page.obj_prototype_type_is_event %}
			{% set blocks = {
				"id":"events_active",
				"relation_type":"parent_child",
				"filter_expression":"datas.obj.is_executable==1 && datas.relation.RELATION_WEB_TIPOLOGY.indexOf('LOGIC')!=-1",
				"drop_accept_expression":"obj.is_executable==1",
				"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_FAILED_IS_EXECUTABLE")
			}|pushInto(blocks,"events_active") %}
		{% endif %}
		{% if page.obj_prototype_type_is_executable %}
			{% set blocks = {
				"id":"events_passive",
				"relation_type":"child_parent",
				"filter_expression":"datas.obj.is_event==1 && datas.obj.type!='DAILYSCHEDULE' && datas.relation.RELATION_WEB_TIPOLOGY.indexOf('LOGIC')!=-1",
				"drop_accept_expression":"obj.is_event==1 && obj.type!='DAILYSCHEDULE'",
				"drop_accept_msg_failed":getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_FAILED_IS_EVENT")
			}|pushInto(blocks,"events_passive") %}
		{% endif %}
		{% block block_scopeInclusion_initBlocks %}
			{% block block_scopeInclusion %}
				{% include ["scope.editobject." ~ page.obj_prototype_type ~ "." ~ page.obj_prototype_phpclass ~ ".tpl","scope.editobject." ~ page.obj_prototype_type ~ ".tpl","scope.editobject.generic.tpl"] %}
			{% endblock block_scopeInclusion %}
		{% endblock block_scopeInclusion_initBlocks %}
{% endblock block_scope %}
