{# GENERIC EXTERNAL FRAME CONSTANTS #}
{% set CONST_environmentContainerId=8 %}
{# HTML #}
{% include "externalframe.doctype.tpl" %}
{# 
	HTML5 Application Cache
	Using relative path and not 'server.web_path' because application cache distinguishes http://xxx.xxx.xxx.xxx/smartdomuspad/... from http://xxx.xxx.xxx.xxx/ikon/...
	Disabled for Firefox and IE10 until session_start will work correctly with application cache on these browsers
#}
<html {% block _htmlManifest %}{% if getSetting(getConstant('_DPAD_DB_WEB_OPTION_HTML5APPLICATIONCACHE_ENABLE'),true) and cache.manifestApplicationCache and ( not browser.isFirefox ) and ( not browser.isIE ) and checkModulePresence('system') %}manifest="../../manifest/{{ cache.manifestApplicationCache  }}"{% endif %}{% endblock _htmlManifest %} >
	<head>
	{% block head %}
		<meta http-equiv="content-type" content="text/html;" charset="{{ page.charset }}" />
		<meta http-equiv="content-language" content="{{ page.language }}" />
		<meta http-equiv="" content="" />
		<meta http-equiv="" content="" />
		<meta name="robots" content="{{ page.meta_robots }}" />
		<meta name="keywords" content="{{ page.meta_keywords }}>" />
		<meta name="description" content="{{ page.meta_description }}>" />
		<meta name="rating" content="{{ page.meta_rating }}" />
		<meta name="author" content="{{ page.meta_author }}" />
		<meta name="copyright" content="{{ page.meta_copyright }}" />
		<meta name="generator" content="{{ page.meta_generator }}" />
		<title>{{ page.html_title }}</title>
		{% block head_favicon %}
		<link href="../../products/{{ getProduct('NAME') }}/images/favicon.ico" rel="SHORTCUT ICON" />
		{% endblock head_favicon %}
	{% endblock head %}
	{# jQuery Stylesheet #}
	<link rel="stylesheet" type="text/css" media="all" href="../../themes/core/css/style.jquery.ui.css?version={{ jscript.most_recent_revision }}" />
	{# Debugging Tools Stylesheet #}
	<link rel="stylesheet" type="text/css" media="all" href="../../themes/core/css/style.debug.css?version={{ jscript.most_recent_revision }}" />
	{# Hiding Cursor on iKon WebTouch Clients #}
	{% if browser.isIKonWebTouch %}
	<style>
		* {
			cursor:none !important;
		}
	</style>
	{% endif %}
	{# VOIP Stylesheet #}
	{% if checkModulePresence('pbx') %}<link rel="stylesheet" type="text/css" media="all" href="../../themes/core/css/style.module.voip.css?version={{ jscript.most_recent_revision }}" />{% endif %}
	{% block head_stylesheet %}
		<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/style.css?version={{ jscript.most_recent_revision }}" />
	{% endblock head_stylesheet %}
	{% block head_scripts %}
		{% include "externalframe.scripts.tpl" %}
	{% endblock head_scripts %}
	</head>
	<body class="user-select-disable" onBeforeUnload="{% block body_onBeforeUnload %}themeManager.onBeforeUnload(event);{% endblock body_onBeforeUnload %}" onUnLoad="themeManager.onUnload(event);" >
	{% block body %}
		{# Cleaning Display #}
		{% include "cleaning_screen.tpl" %}
		{# Wait Please Input Display #}
		<div id="waitplease_input" class="waitplease_containing_div">
		    <table width="100%" height="100%" style="width:100%;height:100%">
			<tr>
			    <td style="vertical-align: middle; text-align: center">
					<img src="{{ theme.datas.current_baseurl }}images/theme/waitplease.gif" alt="" class="waitplease_image"/>
			    </td>
			</tr>
		    </table>
		</div>
		{# Wait Please Display #}
		<div id="waitplease" class="waitplease_containing_div">
		    <table width="100%" height="100%" style="width:100%;height:100%">
			<tr>
			    <td style="vertical-align: middle; text-align: center">
					<img src="{{ theme.datas.current_baseurl }}images/theme/waitplease.gif" alt="" class="waitplease_image"/>
			    </td>
			</tr>
		    </table>
		</div>
		{# PopUp Panel #}
		<div id="externalframe_popuppanel_container" class="externalframe_popup_panel_div_container" >
			<table class="background_containing_table" cellspacing="0">
				<tr>
					<td class="background_ul_containing_cell" style="background-color:black;" >
						&nbsp;
					</td>
					<td class="background_u_containing_cell" style="background-color:black;" >
						&nbsp;
					</td>
					<td class="background_ur_containing_cell" valign="bottom" style="background-color:black;" >
						{include_core_func file="prototype.html_action_button.tpl" image_path="`$theme.baseurl`images/actions/x_panel_normal.png" class="form_tinybutton_blue" style_img="height:15px;width:15px;margin-top:0px;" onClick="themeManager.hidePanel('popup_panel');" }
					</td>
				</tr>
				<tr>
					<td class="background_l_containing_cell" style="background-color:black;" >
						&nbsp;
					</td>
					<td class="background_c_containing_cell" id="externalframe_leftpanel_content_container" style="background-color:black;" >
						<div id="externalframe_popup_panel_container" class="externalframe_popup_panel_container" >&nbsp;</div>
					</td>
					<td class="background_r_containing_cell" style="background-color:black;" >
						&nbsp;
					</td>
				</tr>
				<tr>
					<td class="background_bl_containing_cell" style="background-color:black;" >
						&nbsp;
					</td>
					<td class="background_b_containing_cell" style="background-color:black;" >
						&nbsp;
					</td>
					<td class="background_br_containing_cell" style="background-color:black;" >
						&nbsp;
					</td>
				</tr>
			</table>
		</div>
		{# Main page containing table #}
		<table class="externalframe_containing_table" cellspacing="0">
			<tr>
				{# Left panel is shown only remotely, for configuration purpose #}
				<td class="externalframe_leftpanel_containing_table" id="externalframe_leftpanel_container" >
					{# Left panel containing table #}
					<table class="background_containing_table" cellspacing="0">
						<tr>
							<td class="background_ul_containing_cell">
								&nbsp;
							</td>
							<td class="background_u_containing_cell">
								&nbsp;
							</td>
							<td class="background_ur_containing_cell" onClick="themeManager.hidePanel('left_panel');" >
								&nbsp;
							</td>
						</tr>
						<tr>
							<td class="background_l_containing_cell">
								&nbsp;
							</td>
							<td class="background_c_containing_cell" id="externalframe_leftpanel_content_container">
								{# Left Panel #}
								{include file="leftpanel.tpl"}
							</td>
							<td class="background_r_containing_cell">
								&nbsp;
							</td>
						</tr>
						<tr>
							<td class="background_bl_containing_cell">
								&nbsp;
							</td>
							<td class="background_b_containing_cell">
								&nbsp;
							</td>
							<td class="background_br_containing_cell">
								&nbsp;
							</td>
						</tr>
					</table>
					
				</td>
				<td class="externalframe_page_containing_table" id="externalframe_page_container">
					<table class="background_containing_table" cellspacing="0">
						{# Header row #}
						<tr>
							<td class="background_ul_containing_cell">
								&nbsp;
							</td>
							<td class="background_u_containing_cell" id="externalframe_header_container">
								{include file="externalframe_header.tpl"}
							</td>
							<td class="background_ur_containing_cell">
								&nbsp;
							</td>
						</tr>
						{# Following toolbars are shown only remotely, for configuration purpose #}
						{if $client.is_public && false}
						{# Toolbars row #}
						<tr id="externalframe_toolbars_container" class="toolbars_containing_row">
							<td class="background_l_containing_cell">
								&nbsp;
							</td>
							<td class="background_c_containing_cell">
			
								<table class="toolbars_elements_containing_table">
									<tr>
										<td class="toolbars_navigator_containing_cell" id="externalframe_navigator_container">
											{# Including navigator template #}
											{if $template_navigator}
												{include file="$template_navigator"}
											{/if}
										</td>
										<td class="toolbars_settings_containing_cell" id="externalframe_settings_container">
											{# Including settings template #}
											{include file="externalframe_settings.tpl"}
										</td>
									</tr>
								</table>
			
							</td>
							<td class="background_r_containing_cell">
								&nbsp;
							</td>
						</tr>
						{/if}
						{# Content row #}
						<tr>
							<td class="background_l_containing_cell">
								&nbsp;
							</td>
							<td class="background_c_containing_cell" style="height:100%;" >
								<div id="externalframe_body_container" class="externalframe_body_div_scrollable_container" >&nbsp;</div>
							</td>
							<td class="background_r_containing_cell">
								&nbsp;
							</td>
						</tr>
						{# Footer row #}
						<tr>
							<td class="background_bl_containing_cell">
								&nbsp;
							</td>
							<td class="background_b_containing_cell" id="externalframe_footer_container">
								{include file="externalframe_footer.tpl"}
							</td>
							<td class="background_br_containing_cell">
								&nbsp;
							</td>
						</tr>
					</table>
				</td>
				{# Right panel is shown only remotely, for configuration purpose #}
				<td class="externalframe_rightpanel_containing_table" id="externalframe_rightpanel_container" >
					{# Right panel containing table #}
					<table class="background_containing_table" cellspacing="0">
						<tr>
							<td class="background_ul_containing_cell" >
								&nbsp;
							</td>
							<td class="background_u_containing_cell">
								&nbsp;
							</td>
							<td class="background_ur_containing_cell" valign="bottom">
								{include_core_func file="prototype.html_action_button.tpl" image_path="`$theme.baseurl`images/actions/x_panel_normal.png" class="form_tinybutton_blue" style_img="height:15px;width:15px;margin-top:0px;" onClick="themeManager.hidePanel('right_panel');" }
							</td>
						</tr>
						<tr>
							<td class="background_l_containing_cell">
								&nbsp;
							</td>
							<td class="background_c_containing_cell" id="externalframe_rightpanel_content_container">
								{# Right Panel #}
								{include file="rightpanel.tpl"}
							</td>
							<td class="background_r_containing_cell">
								&nbsp;
							</td>
						</tr>
						<tr>
							<td class="background_bl_containing_cell">
								&nbsp;
							</td>
							<td class="background_b_containing_cell">
								&nbsp;
							</td>
							<td class="background_br_containing_cell">
								&nbsp;
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		{# On-screen keyboard container #}
			{include file="onscreen_keyboard.tpl"}
		{# Single message container #}
			{include file="onscreen_single_message.tpl"}
		{# Object context menu container #}
			{include file="context_menu.tpl"}
		{# Quick navigator template #}
			{include file="quick_navigator.tpl"}
		{# SIP client template #}
			{include file="module.pbx.webphone.tpl"}
		{% endblock body %}
		{% block debuggingTools %}
			<div id="externalframe_debugging_tools" class="externalframe_debugging_tools" ></div>
		{% endblock debuggingTools %}
		{# VOIP #}
		{% block voip %}
			{% include "module.voip.webphone.tpl" %}
		{% endblock voip %}
		{# HTML5 Application Cache UI #}
		{% block HTML5_applicationCache %}
			{% include "externalframe.applicationcache.tpl" %}
		{% endblock HTML5_applicationCache %}
	</body>
</html>