{# HTML5 ApplicationCache Manifest #}
CACHE MANIFEST
# Description:
# {% block _cache_description %}HTML5 application cache manifest for Core theme{% endblock _cache_description %}

# Seed:
# {{ cache.manifest|json_encode() }}

# Explicitly cached 'master entries'.
CACHE:
{% block  _cache %}
#	Page prototypes
{% block _cache_prototypes %}
#	Generic prototypes
../modules/system/user_login.php?context={{ theme.datas.current_context }}
{% endblock _cache_prototypes %}

#	Images
{% block _cache_images %}
# Nothing to add until offline SW will be available
{% endblock _cache_images %}

#	Generic CSS
{% block _cache_css %}
../themes/core/css/jquery/jquery.checkbox.css
../themes/core/css/jquery/jquery.farbtastic.css
../themes/core/css/jquery/jquery.fileupload-ui.css
../themes/core/css/jquery/jquery.keyboard.css
../themes/core/css/jquery/jquery.keypad.css
../themes/core/css/jquery/jquery.ui.accordion.css
../themes/core/css/jquery/jquery.ui.autocomplete.css
../themes/core/css/jquery/jquery.ui.button.css
../themes/core/css/jquery/jquery.ui.datepicker.css
../themes/core/css/jquery/jquery.ui.dialog.css
../themes/core/css/jquery/jquery.ui.menu.css
../themes/core/css/jquery/jquery.ui.multidraggable.css
../themes/core/css/jquery/jquery.ui.progressbar.css
../themes/core/css/jquery/jquery.ui.resizable.css
../themes/core/css/jquery/jquery.ui.selectable.css
../themes/core/css/jquery/jquery.ui.slider.css
../themes/core/css/jquery/jquery.ui.spinner.css
../themes/core/css/jquery/jquery.ui.tabs.bottom.css
../themes/core/css/jquery/jquery.ui.tabs.css
../themes/core/css/jquery/jquery.ui.theme.css
../themes/core/css/jquery/jquery.ui.tooltip.css
../themes/core/css/jquery/jquery.ui.core.css
../themes/core/css/jquery/jquery.ui.base.css
../themes/core/css/jquery/jquery-ui.css
../themes/core/css/jquery/jquery.ui.all.css
../themes/core/css/style.jquery.ui.css?version={{ jscript.most_recent_revision }}
../themes/core/css/style.debug.css?version={{ jscript.most_recent_revision }}
../themes/core/css/style.module.voip.css?version={{ jscript.most_recent_revision }}
../themes/core/css/style.blackboard.css?version={{ jscript.most_recent_revision }}
{% block _cache_css_ThemeSpecific %}
../themes/{{ theme.datas.current_path }}/include/style.css?version={{ jscript.most_recent_revision }}
{% endblock _cache_css_ThemeSpecific %}
{% endblock _cache_css %}

#	Generic JavaScripts Objects Libraries
{% block _cache_jsobject %}
{% for name,element in _global.global_class_array %}
{% if checkModulePresence(element.module) %}
{% set _jsLibraryName = 'jsD' ~ element.classname|slice(1) ~ '.js' %}
{% set _jsLibraryWebPath = '../scripts/' ~ _jsLibraryName ~ '?version=' ~ jscript.most_recent_revision %}
{% set _jsLibrarySystemPath = '/web/html/' ~ getConstant('_DPAD_WEB_ROOT') ~ '/scripts/' ~ _jsLibraryName %}
{% if fileExists(_jsLibrarySystemPath) %}
{{ _jsLibraryWebPath }}
{% else %}
# Unable to load javascript object: "{{ _jsLibraryName }}" from path: "{{ _jsLibraryWebPath }}"
{% endif %}
{% endif %}
{% endfor %}
{% endblock _cache_jsobject %}

#	Generic JavaScripts External Libraries
{% block _cache_jslibrary %}
{% for name,element in _global.global_jscript_array %}
{% if ( element.module_type == "module" and checkModulePresence(element.module) ) or element.module_type == "theme" %}
../{{ element.include_path }}?version={{ jscript.most_recent_revision }}
{% endif %}
{% endfor %}
{% endblock _cache_jslibrary %}

{% endblock  _cache %}

# Resources that require the user to be online.
NETWORK:
{% block  _network %}
*
{% endblock  _network %}

#FALLBACK:
{% block  _fallback %}
{% endblock  _fallback %}
