{# Client-side scripts #}
{# Outputting script includes requested by PHP #}
{{ page.script_includes }}
{# Including main theme JS #}
{% include extframe_includes %}
{# Specific scripts to be included in HTML #}
<script type="text/javascript">
        {{ page.script }}
{# Global variables #}
		var _oGlobals={};
		var themeManager=new jsDpadThemeManager();
		themeManager._objVarName='themeManager';
        var dbManager=null;
		var webAppCache=null;
		var iM=null;
		var nM=null;
		var objM=null;
{# This function is called when document is ready #}
        $(document).ready( function(){
	{# Ready #}
			themeManager.ready({
				resourceManager:{
					sRelativeSoapWebService:'{{ server.soap_webservice }}',
					jsDefaultVersion:{{ jscript.most_recent_revision }},
					constants:{{ getDefinedConstants()|json_encode() }},
					aJscriptLibraries:[
						{% for library in jscript.libraries %}
						{
							name:'{{ library.jsname }}',
							path:'{{ library.include_path }}',
							dependencies:'{{ library.dependencies }}',
							version:'{{ library.version }}'
						}{% if not loop.last %},{% endif %}
						{% endfor %}
					],
					sBrowser:'{{ browser|json_encode() }}',
					sTemplateEngineVersion:'{{ server.templateEngineVersion }}'
				},
				themeManager:{
					sThemeDatas:'{{ theme.datas|json_encode() }}',
					sKeyboardLanguage:'{{ page.current_keyboard_language }}',
				{% if theme.favorites.ID %}
					sFavoritesID:{{ theme.favorites.ID }},
					sFavoritesURL:'{{ theme.favorites.MSP }}|id={{ theme.favorites.ID }}',
				{% endif %}
				{% if theme.homepage.ID %}
					sHomepageID:{{ theme.homepage.ID }},
					sHomepageURL:'{{ theme.homepage.URL }}',
				{% endif %}
					sSWPath:'{{ getConstant('_DPAD_WEB_PATH') }}',
					oTriggerIds:{{ query( "SELECT ID,REPLACE(NAME,'_DPAD','') AS TRIGGER_NAME FROM DPADD_OBJECT WHERE TYPE='TRIGGER_OBJECT'" )|json_encode() }}
				},
				instanceManager:{
					bEnablePersistentCache:{%if cache.enable %}true{% else %}false{% endif %},
					sManifest:'{{ cache.manifest|json_encode() }}',
					sInstancePrototype:'{{ prototyper('instance.tpl') }}',
					sInstanceIframePrototype:'{{ prototyper('instance.iframe.tpl') }}',
					sInstanceLoadingPrototype:'{{ prototyper('instance.loading.tpl') }}'
				},
				navigatorManager:{
					fCallback:function(){
						{# Registering Main Body Navigators #}
						{% include extframe_navigators %}
					}
				},
				objectManager:{
					aClasses:[
						{% for class,element in _global.global_class_array %}
							{% if (element.parentclass != 'dpadObject') and (element.parentclass is not empty) %}
								{
									name:'{{ element.classname|replace({'dpad':'jsDpad'}) }}',
									parent:'{{ element.parentclass|replace({'dpad':'jsDpad'}) }}'
								}{% if not loop.last %},{% endif %}
							{% endif %}
						{% endfor %}
					],
					aRelationTypes:[
						{% for rel_parent,relation_array in page.relation_tipologies %}
							{% for rel_child,rel_type in relation_array %}
								{
									parent:'{{ rel_parent }}',
									child:'{{ rel_child }}',
									type:'{{ rel_type }}'
								}{% if not loop.last %},{% endif %}
							{% endfor %}
							{% if not loop.last %},{% endif %}
						{% endfor %}
					]
				},
				fCallback:function(){
					$(document).bind('logged_in.loginForClocks',
						function(oEvent,sUsername,oRedirectTo){
							rM.log({type:'info'},'[main] Triggered Event: logged_in.loginForClocks');
							{# Custom external frame scripts #}
							{% include extframe_custom_clocks %}
							rM.clocksEnable(true);
					});
				{# Custom external frame scripts #}
						{% include extframe_custom %}
				{# Including page.onLoad from PHP scripts #}
						{% if page.onLoad %}{{ page.onLoad }};{% endif %}
				}
			});
		});
</script>