<jsIncludes>
{% block block_includeJs %}
	{{ html_includejs("jquery.maskedinput.js","js") }}
	{{ html_includejs("jquery.form.js","js") }}
{% endblock %}
</jsIncludes>
<jsScopeScripts>
	this.id=null;
	this.forms=new Array();
	this.tabIndex=null;
	this.msgFormSubmitCallbackSuccess = '{% block block_msgFormSubmitCallbackSuccess %}{% endblock block_msgFormSubmitCallbackSuccess %}';
	this.msgFormSubmitCallbackError = '{% block block_msgFormSubmitCallbackError %}{% endblock block_msgFormSubmitCallbackError %}';
	this.msgFormButtonSubmitConfirm = '{% block block_msgFormButtonSubmitConfirm %}{% endblock block_msgFormButtonSubmitConfirm %}';
	this.msgFormButtonCloseConfirm = '{% block block_msgFormButtonCloseConfirm %}{% endblock block_msgFormButtonCloseConfirm %}';
	this.themeForRuntime = themeManager.getName('runtime');
	this.isInitialized = false;
	{% block block_customDeclarations %}{% endblock %}
	
	this.onLoad=function(){
		{% block block_onLoad %}
		if( !this.isInitialized ){
			{# Init Masks#}
			{% block block_onLoad_formInitMasks %}
			$(this.getScopeSelector()).find('input[mask]').each(function(){
				$(this).mask($(this).attr('mask'));
			});
			{% endblock block_onLoad_formInitMasks %}
			{# Binding form to AJAX callback and submitting form #}
			{% block block_onLoad_formRegister %}
				{% for key,form in forms %}
					this.formRegister($(this.getScopeSelector()).find("#{{ form.name }}"));
				{% endfor %}
			{% endblock block_onLoad_formRegister %}
		}
		{% block block_onLoad_pageInit %}
		themeManager.title_show(page_title);
		if( !this.return_url ){
			$(this.getScopeSelector()).find('#back_button').hide();
		} else {
			$(this.getScopeSelector()).find('#back_button').show();
		}
		{% endblock block_onLoad_pageInit %}
		{% endblock block_onLoad%}
		this.onLoadFinalize();
	}
	
	this.onLoadFinalize=function(){
		{% block block_onLoadFinalize %}
		this.isInitialized = true;
		themeManager.waitplease_display(false);
		{% endblock %}
	}
	
	this.onUnload=function(){
		{% block block_onUnload %}
		{% endblock block_onUnload %}
	}

	this.formValidate=function(formData, jqForm, options){
		{% block block_formValidate %}
		{# Asking confirm before proceed, if a confirm message is set #}
		if(this.msgFormButtonSubmitConfirm!="" && !confirm(this.msgFormButtonSubmitConfirm)){
			var oForm=this.getDataForm(jqForm);
			if(oForm)oForm.bModified=true;
			this.coverShowOrHide(false);
			this.userInteractionEnableDisable(true);
			return false;
		}
		{# Showing hourglass and covering div #}
		themeManager.waitplease_display(true);
		this.coverShowOrHide(true);
		{# Disabling GESA #}
		themeManager.enableGESA(false);
		return true;
		{% endblock block_formValidate %}
	}

	this.formSubmitCallbackSuccess=function(responseText,statusText,xhr,form){
		{% block block_formSubmitCallback %}
		{# Identifying result and message in XML response #}
		var oXML=rM.XML(responseText);
		var result=oXML.get('result');
		var message=oXML.get('message');
		{# Handling result #}
		if(result != {{ getConstant("_DPAD_RESULT_NOERROR") }}){
			{# Displaying error message and exiting #}
			themeManager.showMessage(message,'error');
			this.coverShowOrHide(false);
			{# Enabling GESA #}
			themeManager.enableGESA(true);
			this.userInteractionEnableDisable(true);
			return false;
		}
		else
		{
			if(this.msgFormSubmitCallbackSuccess!='')
				themeManager.showMessage(this.msgFormSubmitCallbackSuccess,'info');
			else
			{
				if(message!='')	themeManager.showMessage(message,'info');
			}
		}
		{# While a modified form exists, iterating submit #}
		{% block block_formSubmitCallback_iterateOnModifiedForms %}
		if(this.existModifiedForms())
		{
			this.formButtonSubmit(true);
			return;
		}
		{% endblock block_formSubmitCallback_iterateOnModifiedForms %}
		{# If we get here, all forms have been submitted and we can reset & return to user #}
		this.formButtonSubmitCompleted();
		{% endblock block_formSubmitCallback %}
	}
	
	this.formSubmitCallbackError=function(jqXHR,statusText,xhr,$form){
		rM.log({type:'error'},'[scope.administration_page.tpl formSubmitCallbackError] Form Ajax call failed:%o[%o]',jqXHR.responseText,jqXHR);
		themeManager.showMessage(jqXHR.responseText,'error');
		{# While a modified form exists, iterating submit #}
		if(this.existModifiedForms()){
			this.formButtonSubmit(true);
			return;
		}
		this.coverShowOrHide(false);
		{# Enabling GESA #}
		themeManager.enableGESA(true);
		this.userInteractionEnableDisable(true);
		{# If we get here, all forms have been submitted and we can reset & return to user #}
		this.formButtonSubmitCompleted();
	}

	this.formButtonSubmitCompleted=function(){
		{% block block_formButtonSubmitCompleted %}
		themeManager.waitplease_display(false);
		this.coverShowOrHide(false);
		{# Enabling GESA #}
		themeManager.enableGESA(true);
		{% endblock block_formButtonSubmitCompleted %}
	}
	
	this.formButtonSubmit=function(skipEnableCheck,additionalParameters){
		{% block block_formButtonSubmit %}
		{# Skipping if no modified forms present #}
		if( !this.existModifiedForms() ){
			rM.log( "No modified forms detected, skipping...", "warn" );
			this.formButtonSubmitCompleted();
			return;
		}
		{# Submitting first modified form #}
		var myForm = this.getFirstModifiedForm();
		myForm.bModified = false;
		myForm.jForm.trigger('submit');
		{% endblock block_formButtonSubmit %}
	}

	this.formButtonClose=function(skipEnableCheck){
		{% block block_formButtonClose %}
		{# Asking a confirmation if changes have not been saved #}
		if(this.existModifiedForms() && this.msgFormButtonCloseConfirm != ""){
			if(!confirm(this.msgFormButtonCloseConfirm))    return;
		}
		{% endblock block_formButtonClose %}
	}

	{# Multi-form management functions #}
	this.formRegister=function(jElement){
		{% block block_formRegister %}
		if(jElement.length>0){
			this.forms.push({
				bModified:false,
				jForm:jElement
			});
		}
		jElement.ajaxForm({ 
			beforeSubmit:$.proxy(this.formValidate,this),
			success:$.proxy(this.formSubmitCallbackSuccess,this),
			error:$.proxy(this.formSubmitCallbackError,this),
			dataType:jElement.attr("format")
		});
		
		rM.log("Form " + jElement.attr("id") + " registered","debug");
		{% endblock block_formRegister %}
	}

	this.formModified=function(DOMelemnt){
		{% block block_formModified %}
		var jForm=$(DOMelemnt).parents('form');
		for(var i in this.forms){
			var oForm=this.forms[i];
			if(jForm.attr('id')==oForm.jForm.attr('id')){
				oForm.bModified=true;
				return;
			}
		}
		{% endblock block_formModified %}
	}
	
	this.formFieldChange=function(event){
		{% block block_formFieldChange %}
		this.formModified(event.currentTarget);
		{% endblock block_formFieldChange %}
	}
	
	this.existModifiedForms=function(){
		{% block block_existModifiedForms %}
		for(var i in this.forms){
			var oForm=this.forms[i];
			if(oForm.bModified==true)return true;
		}
		return false;
		{% endblock block_existModifiedForms %}
	}
	
	this.getDataForm=function(jForm){
		for(var i in this.forms){
			var oForm=this.forms[i];
			if(oForm.jForm.prop('id')==jForm.prop('id'))	return oForm;
		}
		return null;
	}
	
	this.getFirstModifiedForm=function(){
		{% block getFirstModifiedForm %}
		for(var i in this.forms){
			var oForm=this.forms[i];
			if(oForm.bModified==true)	return oForm;
		}
		return null;
		{% endblock getFirstModifiedForm %}
	}
	
	this.formHighlight=function(DOMform){
		{% block block_formHilight %}
		var jForm=$(DOMform);
		jForm.fadeTo('fast',1.0);
		$(this.getScopeSelector()).find('form[id!=\''+jForm.attr('id')+'\']').fadeTo('fast',0.2);
		{% endblock block_formHilight %}
	}

	this.toggleElement=function(sSelector,bEnable){
		{% block block_toggleElement %}
		if(typeof bEnable=='undefined')bEnable=true;
		if(bEnable==true)$(sSelector).fadeIn('fast');
		else $(sSelector).fadeOut('fast');
		{% endblock block_toggleElement %}
	}
	
	{% block block_customFunctions %}
	{% endblock block_customFunctions %}
</jsScopeScripts>