{# Theme Options Configurations #}
<jsIncludes>
{{html_includejs("jsDpadBlock.js","js")}}
{{html_includejs("jquery.selectboxes.js","js")}}
{{html_includejs("jquery.form.js","js")}}
</jsIncludes>
<jsScopeScripts>
	this.sOperation=null;
	this.sOperationScope=null;
	this.onLoad=function(){
		{# Binding form to AJAX callback #}
		this.getDatabaseManagementForm().ajaxForm({
			beforeSubmit:$.proxy(this.perform_database_operation_validate,this),
			success:$.proxy(this.perform_database_operation_callback,this),
			dataType:'xml'
		});
		this.getPlanviewManagementForm().ajaxForm({
			beforeSubmit:$.proxy(this.perform_planview_operation_validate,this),
			success:$.proxy(this.perform_planview_operation_callback),
			dataType:'xml'
		});
	}
	
	this.getDatabaseManagementForm=function(){
		return $(this.getScopeSelector()).find('#database_management_form');
	}
	this.getPlanviewManagementForm=function(){
		return $(this.getScopeSelector()).find('#planview_management_form');
	}
	
	this.toggleBackupSections=function(sOperationScopeSelected){
		var sSelector='[id$=\'_management_form\']';
		$(this.getScopeSelector()).find(sSelector).each($.proxy(this.toggleBackupSection,this));
	}
	
	this.toggleBackupSection=function(index,element){
		if($(element).attr('id')!=this.sOperationScope+'_management_form')$(element).fadeTo('slow',0.2);
		else $(element).fadeTo('slow',1.0);
	}
	
	this.operation_select=function(oCaller,sOperationScope,sOperation){
		this.sOperation=sOperation;
		this.sOperationScope=sOperationScope;
		$(this.getScopeSelector()).find('[id=\'operation\']').val(this.sOperation);
		var sSelector='[id^=\'operation_\'][id!=\'operation_'+sOperationScope+'_'+sOperation+'\']:not([id$=\'_checkbox_custom\'])';
		$(this.getScopeSelector()).find(sSelector).each($.proxy(this.turnOffOtherCheckboxes,this));
		this.toggleBackupSections();
	}
	
	this.turnOffOtherCheckboxes=function(index,element){
		drawM.setValue($(element).attr('id'),0,this.getScopeSelector());
	}
	
	this.perform_operation=function(){
		switch(this.sOperationScope){
			case 'database':
				switch(this.sOperation){
					case 'export':
{# PHP Page returns directly database, so we need to redirect browser to it #}
						themeManager.waitplease_display(true,'',10);
						document.getElementById('backup_management_download_iframe').src='../system/database_management.php?operation=export';
					break;
					case 'import':
					case 'restore':
						this.getDatabaseManagementForm().trigger('submit');
					break;
					default:
					break;
				}
			break;
			case 'planview':
				switch(this.sOperation){
					case 'export':
{# PHP Page returns directly database, so we need to redirect browser to it #}
						themeManager.waitplease_display(true,'',10);
						document.getElementById('backup_management_download_iframe').src='../supervision/planview_management.php?operation=export';
					break;
					case 'import':
						this.getPlanviewManagementForm().trigger('submit');
					break;
					default:
					break;
				}
			break;
			default:
			break;
		}
	}
	
	this.perform_planview_operation_validate=function(formData,jqForm,options){
		var operation='';
		var import_file='';
		for (var i in formData){
			switch(formData[i]['name']){
				case 'operation':
					operation=formData[i]['value'];
				break;
				case 'import_planview_file':
					import_file=formData[i]['value'];
				break;
			}
		}
		if(operation=='import'&&(import_file==''||!import_file)){
			themeManager.showMessage('{{getConstant("_DPAD_DBCONSTANT_ADMINISTRATION_CONFIG_PLANVIEW_MESSAGE_FILE_NOT_SELECTED")|encode4jscript}}','info',5);
			return false;
		}
		themeManager.waitplease_display(true);
		return true;
	}
	
	this.perform_database_operation_validate=function(formData,jqForm,options){
		var operation='';
		var import_file='';
		for (var i in formData){
			switch(formData[i]['name']){
				case 'operation':
					operation=formData[i]['value'];
				break;
				case 'import_database_file':
					import_file=formData[i]['value'];
				break;
			}
		}
		if(operation=='import'&&(import_file==''||!import_file)){
			themeManager.showMessage('{{getConstant("_DPAD_DBCONSTANT_ADMINISTRATION_CONFIG_DATABASE_MESSAGE_FILE_NOT_SELECTED")|encode4jscript}}','info',5);
			return false;
		}
		themeManager.waitplease_display(true);
		return true;
	}
	
	this.perform_database_operation_callback=function(responseText,statusText,xhr,form){
		themeManager.waitplease_display(false);
		var oXML=rM.XML(responseText);
		var result=parseFloat(oXML.get('result'));
		var message=oXML.get('message');
		if(result != {{getConstant("_DPAD_RESULT_NOERROR")}})themeManager.showMessage(message,"error");
		else{
			themeManager.showMessage(message,'info');
			switch(this.sOperation){
				case 'import':
				case 'restore':
					window.location='../system/externalframe.php?url='+themeManager.administration_url;
				break;
				default:
				break;
			}
		}
	}
	
	this.perform_planview_operation_callback=function(responseText,statusText,xhr,form){
		themeManager.waitplease_display(false);
		var oXML=rM.XML(responseText);
		var result=parseFloat(oXML.get('result'));
		var message=oXML.get('message');
		if(result != {{getConstant("_DPAD_RESULT_NOERROR")}})themeManager.showMessage(message,"error");
		else themeManager.showMessage(message,'info');
	}
	
	this.back=function(){
		iM.openInstance(themeManager.administration_url);
	}
</jsScopeScripts>
<iframe id="backup_management_download_iframe" style="display:none" src=""></iframe>