{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
{{ parent() }}
{{ html_includejs("jsDpadBlock.js","js") }}
{{ html_includejs("jquery.selectboxes.js","js") }}
{% endblock block_includeJs %}

{% block block_customDeclarations %}
this.operation='export';
{% endblock block_customDeclarations %}

{% block block_onLoad %}
{{ parent() }}
{% endblock block_onLoad %}

{% block block_customFunctions %}
this.operation_select=function(caller,operation) {
	this.operation = operation;
	var operation_field = $(this.getScopeSelector()).find('#operation');
	operation_field.val(operation);
	var arr_operations = new Array("export","import","restore");
	for(var i=0;i<arr_operations.length;i++){
		var current_checkbox = $(this.getScopeSelector()).find('#operation_' + arr_operations[i] + '_img');
		if(arr_operations[i]==operation){
			current_checkbox.prop("src",current_checkbox.prop("src").replace("shaded.png","checked.png")).prop("checked",true);
		}
		else{
			current_checkbox.prop("src",current_checkbox.prop("src").replace("checked.png","shaded.png")).prop("checked",false);
		}
	}
}
{% endblock block_customFunctions %}

{% block block_formButtonSubmit %}
switch(this.operationType){
	case 'database':
		this.forms[0].bModified=true;
	break;
	case 'planview':
		this.forms[1].bModified=true;
	break;
	case 'scripts':
		this.forms[2].bModified=true;
	break;
}
switch(this.operation){
	case "export":
		var sUrlPath=null;
		switch(this.operationType){
			case 'database':
				sUrlPath='../system/database_management.php?operation=export';
			break;
			case 'planview':
				sUrlPath='../supervision/planview_management.php?operation=export';
			break;
			case 'scripts':
				sUrlPath='../scripting/scripting_management.php?operation=export';
			break;
		}
		{# PHP Page returns directly database, so we need to redirect browser to it #}
		themeManager.showMessage("{{ getConstant("_DPAD_DBCONSTANT_ADMINISTRATION_DATABASE_EXPORT_MESSAGE")|encode4jscript }}","info",30);
		document.getElementById("config_export_download_iframe").src=sUrlPath;
	break;
	case "import":
	case "restore":
		{{ parent() }}
	break;
}
{% endblock block_formButtonSubmit %}

{% block block_formValidate %}
var operation = "";
var import_file = "";
{# Identifying form elements #}
for (var i in formData){
	switch(formData[i]["name"]){
		case "operation":
			operation = formData[i]["value"];
		break;
		case "import_database_file":
			if(this.operationType=='database')import_file = formData[i]["value"];
		break;
		case "import_planview_file":
			if(this.operationType=='planview')import_file = formData[i]["value"];
		break;
		case "import_scripts_file":
			if(this.operationType=='scripts')import_file = formData[i]["value"];
		break;
	}
}
if(operation=="import" && (import_file=="" || import_file==null)){
	themeManager.showMessage('{{ getConstant('_DPAD_DBCONSTANT_ADMINISTRATION_CONFIG_DATABASE_MESSAGE_FILE_NOT_SELECTED')|encode4jscript }}','info',5);
	return false;
}
{{ parent() }}
{% endblock block_formValidate %}

{% block block_formButtonClose %}
{{ parent() }}
iM.openInstance(themeManager.administration_url);
{% endblock block_formButtonClose %}
