{# Theme Options Configurations #}
<jsIncludes>
{{html_includejs("jquery.selectboxes.js","js")}}
{{html_includejs("jquery.overscroll.js","js")}}
</jsIncludes>
<jsScopeScripts>
	this.return_url=null;
	this.onLoad=function(){
		themeManager.waitplease_display(false);
		if( !this.return_url ){
			$(this.getScopeSelector()).find('#back_button').hide();
		} else {
			$(this.getScopeSelector()).find('#back_button').show();
		}
	}
	
	this.onTransitionDone=function(){
			this._setScrollable();
	}
		
	this._setScrollable=function(){
		themeManager.setScrollable($(this.getScopeSelector()).find('#config_modules_scrollable_container'));
	}
	
	this.toggleLicense=function(id){
		var jLicense=$(this.getScopeSelector()).find('#'+id)
		if(jLicense.is(':visible'))jLicense.fadeOut();
		else jLicense.fadeIn();
	}
	
	this.toggleSectionDiv=function(oSectionTitleDiv){
		var jSectionDiv=$(oSectionTitleDiv).parent().next().children().eq(0).children().eq(0);
		switch(jSectionDiv.attr('id')){
			case 'section_modules':
				var rows=jSectionDiv.find('[id^=\'module_row_\']');
				var bModulesAllVisible=true;
				for(var i in rows){
					if(rows.eq(i).attr('id'))bModulesAllVisible=bModulesAllVisible && rows.eq(i).is(':visible');
				}
				if(bModulesAllVisible==true)rows.each(
						function(){
							if(!$(this).attr('id')) return;
							var bModuleIsEditable=($(this).find('[id^=\'module_conf_page_link_\']').length>0);
							var jTextLicense=$(this).find('[id^=\'module_license_\']').eq(1);
							var bModuleNeedLicense=((jTextLicense.is('[type=\'text\']'))&&(jTextLicense.val()==''));
							if(!bModuleIsEditable && !bModuleNeedLicense)$(this).fadeOut();
							else $(this).fadeIn();
						}
					);
				else rows.each(function(){$(this).fadeIn();});
			break;
			default:
				if(jSectionDiv.is(':visible')){
					jSectionDiv.height(jSectionDiv.height());
					jSectionDiv.slideUp();
				}
				else jSectionDiv.slideDown();
			break;
		}
	}
	
	this.submit_enter=function(keypressed,event_caller_id){
		var keycode;
		if (window.event)keycode=window.event.keyCode;
		else if (keypressed)keycode=keypressed.which;
		else return true;
		if (keycode==13){
			if(event_caller_id)$(this.getScopeSelector()).find('#'+event_caller_id).blur();
			else $(this).blur();
			$(this).trigger('onchange');
			return false;
		}
		else return true;
	}
	
	this.licenseChanged=function(jInputObj){
		$(jInputObj).next().val(1);
	}
	
	this.updateModules=function(screensaver_enable){
		themeManager.waitplease_display(true);
		var post_options={
			submit:true
		};
		var jPostList=null;
		{# Machine Serial Number #}
		jPostList=$(this.getScopeSelector()).find('input#machine_serial_number');
		for(var i=0;i<jPostList.length;i++)post_options[jPostList.eq(i).attr('id')]=jPostList.eq(i).val();
		{# Product License Data #}
		jPostList=$(this.getScopeSelector()).find('input[id^=\'product_license_\']');
		for(var i=0;i<jPostList.length;i++)post_options[jPostList.eq(i).attr('id')]=jPostList.eq(i).val();
		{# Module License Data #}
		jPostList=$(this.getScopeSelector()).find('input[id^=\'module_license_\']');
		for(var i=0;i<jPostList.length;i++)post_options[jPostList.eq(i).attr('id')]=jPostList.eq(i).val();
		{# Ajax Call #}
		rM.ajax({
			type: 'POST',
			url: '../system/config_modules.php',
			data: post_options,
			success: $.proxy(this._updateModulesSuccess,this);
		});
	}
	
	this._updateModulesSuccess=function(xml){
		var oXML=rM.XML(xml);
		var result=parseFloat(oXML.get('result'));
		var message=oXML.get('message');
		if(result!='{{ getConstant("_DPAD_RESULT_NOERROR") }}')themeManager.showMessage(message,'warning',{{ getConstant("_DPAD_CONSTANT_TIMER_TO_READ_MESSAGE") }});
		else{
			if(message)themeManager.showMessage(message,'info',{{ getConstant("_DPAD_CONSTANT_TIMER_TO_READ_MESSAGE") }});
		}
		var jPostList=null;
		jPostList=$(this.getScopeSelector()).find('input[id^=\'module_license_has_changed_\']').val(0);
		themeManager.cacheClear({
			bClientHTML: true,
			bClientDB: true,
			bOnAllClients: true
			fCallback: $.proxy( this._updateModulesCallback, this )
		});
	}
	this._updateModulesCallback=function(){
		iM.reloadInstance('{$page.current_page}'+(this.return_url?'|return_url='+this.return_url.replace(/\|/g,'%7C'):''));
	}
	
	this.back=function(){
		if(this.return_url)iM.openInstance(this.return_url);
	}
	
	this.show_help=function(caller,help_element){
		help_element=$(this.getScopeSelector()).find(help_element);
		if(!help_element.is(':visible')){
			caller.parent().removeClass('form_smallbutton_blue').addClass('form_smallbutton_blue_hover');
			help_element.slideDown('fast');
		}
		else{
			caller.parent().removeClass('form_smallbutton_blue_hover').addClass('form_smallbutton_blue');
			help_element.slideUp('fast');
		}
	}
</jsScopeScripts>
