{# Theme Options Configurations #}
<jsIncludes>
{{ html_includejs("jsDpadBlock.js","js") }}
{{ html_includejs("jquery.selectboxes.js","js") }}
{{ html_includejs("jquery.overscroll.js","js") }}
{{ html_includejs("jquery.maskedinput.js","js") }}
</jsIncludes>
<jsScopeScripts>
	this.return_url=null;
	this.onLoad=function() {
		{% block block_onLoad %}
		if(!this.return_url)$(this.getScopeSelector()).find('#back_button').hide();
		else $(this.getScopeSelector()).find('#back_button').show();

		{# Init Masks#}
		{% block block_onLoad_formInitMasks %}
		$(this.getScopeSelector()).find('input[mask]').each(function(){
			$(this).mask($(this).attr('mask'));
		});
		{% endblock block_onLoad_formInitMasks %}
		{% block block_onLoad_initHelp %}
		this.initHelp();
		{% endblock block_onLoad_initHelp %}
		{% endblock block_onLoad %}
	}
	
	this.onTransitionDone=function(){
		{% block block_onTransitionDone %}
		this._setScrollable();
		this._refreshSettings();
		{% endblock block_onTransitionDone %}
	}
		
	this._setScrollable=function(){
		themeManager.setScrollable($(this.getScopeSelector()).find('div#block_configurations_tipology_container'));
	}
	
	this._refreshSettings=function(){
		{% for setting in page.settings %}
		drawM.setValue('setting_{{ setting.ID }}',rM.getConstant(rM.getConfiguration('{{ setting.NAME }}',{refresh:false})),this.getScopeSelector());
		{% endfor %}
	}
	
	this.updateSetting=function(sSettingKey,value){
		{% block block_updateSetting %}
		rM.setConfiguration(sSettingKey,value,{refresh:true});
		{% endblock block_updateSetting %}
	}
	this.detect_enter_keypress=function(keypressed) {
	    var keycode;
	    if(window.event)keycode = window.event.keyCode;
	    else if(keypressed)keycode = keypressed.which;
	    else return false;
	    var result=(keycode == 13);
		if(result==true && keypressed)$(keypressed.currentTarget).blur();
		return result;
	}


	{% block block_customFunctions %}
	{% endblock block_customFunctions %}

	this.onUnload = function()
	{
		{% block block_onUnload %}
		{% endblock block_onUnload %}
	}

{% if server.get.tipology == 'home' %}
	this.pickup_background_image=function(jCaller,optionalp_field,jPreviewImg){
		this._jPreviewImg=jPreviewImg;
		var _sImagePath=jPreviewImg.attr('src');
		try{
			decodeURI(_sImagePath);
		}catch(e){
			rM.log({type:'warn'},'WARNING Scope Edit Object: background image name is not compatible with url:%o',_sImagePath);_sImagePath='';
		};
		var _oReturnURL={'url':'../system/config_settings_tipology.php?tipology={{ server.get.tipology }}','view':'workspace'};
		var _sPopupURL='../system/file_picker.php?body_template=image_picker.tpl&show_action_upload=1&show_action_remove=1&mode=background|seek_dir=/mnt/storage/RWdlabs/smartdomuspad/modules/supervision/images/background/&seek_type=file&current_image='+_sImagePath+'&image_preview_id='+jPreviewImg.attr('id')+'&return_env='+themeManager.encoderForUrl(_oReturnURL);
		iM.openInstance(_sPopupURL);
	}
	this.pickup_background_image_callback=function(sImagePath,sBasePath){
		{# Setting URL to preview #}
		this._jPreviewImg.attr('src',sBasePath+sImagePath );
	}
{% endif %}
</jsScopeScripts>
