{% extends "scope.administration_page.tpl" %}

{% block block_includeJs %}
	{{ parent() }}
	{{ html_includejs("jquery.selectboxes.js","js") }}
	{{ html_includejs("jquery.overscroll.js","js") }}
{% endblock block_includeJs %}

{% block block_customDeclarations %}
	var page_title='{{ page.page_title }}';
	this.return_url=null;
	this.formCurrentlySubmittedIndex=0;
	this._aTimeZones={{ page.aTimezones|json_encode() }};
{% endblock block_customDeclarations %}

{% block block_onLoad %}
	{% block block_onLoad_formInitMasks %}
	$(this.getScopeSelector()).find('input[type=\'text\'][id^=\'time\']:not([id^=\'time_each\'])').each(function(){
		$(this).mask('99:99');
	});
	$(this.getScopeSelector()).find('input[type=\'text\'][id^=\'date\']').each(function(){
		$(this).mask('99/99/9999');
	});
	$(this.getScopeSelector()).find('input[type=\'text\'][id^=\'time_each_minutes_senddatadgram\']').each(function(){
		$(this).mask('99');
	});
	{% endblock block_onLoad_formInitMasks %}
	{# Init Form Date Time#}
	this.toggleDgramActions($(this.getScopeSelector()).find('input[name=\'senddatadgram_action\']:checked'));
	if( $(this.getScopeSelector()).find('#enable_time_specific').val()==1 ){
		this.toggleDayOfWeekTime($(this.getScopeSelector()).find('#time_senddatadgram'));
	} else {
		this.toggleDayOfWeekTime($(this.getScopeSelector()).find('#time_each_minutes_senddatadgram'));
	}
	{# Init select Timezones #}
	this.updateTimezoneArea('{{ page.timezone_area }}');
	this.updateTimezoneCity('{{ page.timezone_city }}');
	{{ parent() }}
{% endblock block_onLoad %}

{% block block_onTransitionDone %}
	{{ parent() }}
{% endblock block_onTransitionDone %}

{% block block_onUnload %}
	{{ parent() }}
	rM.clockRemove({selector:this.getScopeSelector()+' #current_server_time'});
	rM.clockRemove({selector:this.getScopeSelector()+' #current_server_date'});
{% endblock block_onUnload %}

{% block block_formButtonClose %}
	{{ parent() }}
	iM.openInstance(themeManager.administration_url);
{% endblock block_formButtonClose %}

{% block block_customFunctions %}
	this.getTimezoneArea=function(){
		return $(this.getScopeSelector()).find('#timezone_area');
	}
	this.getTimezoneName=function(sTag,bIsArea){
		var _sConstant=( bIsArea ? '_DPAD_SYSTEM_TIMEZONE_AREA_' : '_DPAD_SYSTEM_TIMEZONE_CITY_' ) + sTag.toUpperCase();
		var _sResult=rM.getConstant(_sConstant);
		return ( _sResult.indexOf('_DPAD_')==-1 ? _sResult : sTag );
	}
	this.updateTimezoneArea=function(sSelectArea){
		var jSelect=this.getTimezoneArea();
		for(var sArea in this._aTimeZones){
			if( !sSelectArea )sSelectArea=sArea;
			jSelect.addOption(sArea, this.getTimezoneName(sArea, true), (sArea==sSelectArea?true:false) );
		}
	}
	
	this.updateTimezoneCity=function(sSelectCity,sSelectArea){
		if( !sSelectArea )sSelectArea=this.getTimezoneArea().find('option:selected').val();
		var jSelect=$(this.getScopeSelector()).find('#timezone_city');
		for( var sArea in this._aTimeZones ){
			if( sSelectArea==sArea ){
				jSelect.find('option').remove();
				for(var iIndex in this._aTimeZones[sArea]){
					var sCity=this._aTimeZones[sArea][iIndex];
					if( !sSelectCity )sSelectCity=sCity;
					jSelect.addOption(sCity, this.getTimezoneName(sCity, false), (sCity==sSelectCity?true:false) );
				}
				break;
			} else {
				continue;
			}
		}
	}
	
	this.toggleDgramActions=function(DOMradio){
		var value=parseInt($(DOMradio).val());
		switch(value){
			default:
			case 0:
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_time',false);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_date',false);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_dayofweek',false);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_dayofweek_time',false);
			break;
			case 1:
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_time',true);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_date',true);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_dayofweek',false);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_dayofweek_time',false);
			break;
			case 2:
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_time',true);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_date',true);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_dayofweek',false);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_dayofweek_time',false);
			break;
			case 3:
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_time',true);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_date',true);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_dayofweek',true);
				this.toggleElement(this.getScopeSelector()+' #config_system_dgram_knx_dayofweek_time',true);
			break;
		}
	}
	
	this.toggleDayOfWeekTime=function(DOMelement){
		var jElement=$(DOMelement);
		if(jElement.attr('id')=='time_senddatadgram'){
			$(this.getScopeSelector()).find('#time_senddatadgram').fadeTo('slow',1.0);
			$(this.getScopeSelector()).find('#enable_time_specific').val(1);
			$(this.getScopeSelector()).find('#time_each_minutes_senddatadgram').fadeTo('slow',0.2);
			$(this.getScopeSelector()).find('#enable_time_periodic').val(0);
		}
		else{
			$(this.getScopeSelector()).find('#time_each_minutes_senddatadgram').fadeTo('slow',1.0);
			$(this.getScopeSelector()).find('#enable_time_periodic').val(1);
			$(this.getScopeSelector()).find('#time_senddatadgram').fadeTo('slow',0.2);
			$(this.getScopeSelector()).find('#enable_time_specific').val(0);
		}
	}
        
{% endblock block_customFunctions %}