{% extends "scope.editobject.generic.tpl" %}
{% import "tool.html.tpl" as draw %}

{% block block_onLoad %}
	{{ parent() }}
	$(this.getScopeSelector()).find('fieldset[id^=\'CSconf_\']').hide();
{% endblock block_onLoad %}

{% block block_onLoadFinalize %}
	{{ parent() }}
	this.resfreshCSOptionsOnEvent( $.proxy(this.refreshPortsStatus,this) );
{% endblock block_onLoadFinalize %}

{% block block_customFunctions %}
	{{ parent() }}
	
	this.refreshPortsStatus=function(){
		{% set _productPorts ={
			(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_0')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_0'))|encode4jscript,
			(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_USB_1')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_USB_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_USB_LABEL_1'))|encode4jscript,
			(getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_TAG')|encode4jscript ~ getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL')|encode4jscript):getConstant('_DPAD_SYSTEM_COMMUNICATION_DEVICE_SERIAL_LABEL')|format(getConstant('_DPAD_PRODUCT_DEVICE_SERIAL_EXTERNAL_LABEL'))|encode4jscript
		} %}
		var _sPortSelector = 'select:has({% for port,label in _productPorts %}option[value=\'{{ port }}\']{% if not loop.last %},{% endif %}{% endfor %}):visible';
		var jPortSelects = $(this.getScopeSelector).find(_sPortSelector);
		for( var i=0;i<jPortSelects.length;i++ ){
			var jPortSelect = jPortSelects.eq(i);
			var jPortImage = jPortSelect.next().find('img');
			if(!jPortSelect.next().is('#port-status')){
				jPortSelect.after($('<div id="port-status" class="editobject-port-status" >{{ draw.html({
					'draw_as':'label',
					'id':'port-status-label',
					'style':'width:auto',
					'title':getConstant('_DPAD_GENERAL_CHECK'),
					'value':getConstant('_DPAD_GENERAL_CHECK')
				}) }} &nbsp; {{ draw.html({
					'draw_as':'image',
					'id':'port-status-images',
					'title':getConstant('_DPAD_GENERAL_CHECK'),
					'onClick':'iM.getScope(this).refreshPortsStatus();',
					'alt':getConstant('_DPAD_GENERAL_CHECK'),
					'src':theme.baseurl ~ 'image/IconWAIT.png'
				}) }}</div>'));
				{# Updating jQuery object Image #}
				jPortImage = jPortSelect.next().find('img');
				{# Adding jQuery object Select onChange event to refresh port status#}
				jPortSelect.attr('onchange',jPortSelect.attr('onchange')+';iM.getScope(this).refreshPortsStatus();');
			} else {
				{# IconWAIT.png #}
				var _aSrc=jPortImage.prop('src').split('/');
				_aSrc[_aSrc.length-1]='IconWAIT.png';
				jPortImage.prop('src',_aSrc.join('/'))
			}
			var _sPortSelectedSelector = '{% for port,label in _productPorts %}option[value=\'{{ port }}\']:checked{% if not loop.last %},{% endif %}{% endfor %}';
			var _sPort = jPortSelect.find( _sPortSelectedSelector ).val();
			rM.ajax({
				url: '../system/dpadaction.php',
				data: {
					op: 'portstatus',
					port: _sPort
				},
				timeout: false,
				success: $.proxy(this._refreshPortsStatusSuccess,this,jPortImage),
				error: $.proxy(this._refreshPortsStatusError,this,jPortImage,_sPort)
			});
		}
	}
	
	this._refreshPortsStatusSuccess=function(jPortImage,data,textStatus,jqXHR){
		var _oXMLresponse = rM.XML(data);
		var _iResult = _oXMLresponse.get('result');
		{# IconOK.png #}
		var _sIconName = 'IconOK.png';
		if( _iResult!=rM.getConstant('_DPAD_RESULT_NOERROR') ){
			{# IconERR.png #}
			_sIconName='IconERR.png';
		}
		var _aSrc = jPortImage.prop('src').split('/');
		_aSrc[_aSrc.length-1] = _sIconName;
		jPortImage.prop('src',_aSrc.join('/'))
	}
	
	this._refreshPortsStatusError=function(jPortImage,sPort,jqXHR,textStatus,errorThrown){
		{#
			IconOK.png
			IconWARN.png
			IconERR.png
		#}
		rM.log({type:'error'},'[_refreshPortsStatusError] unable to get port:%o status',sPort);
		var _aSrc=jPortImage.prop('src').split('/');
		{# IconWARN.png #}
		_aSrc[_aSrc.length-1]='IconWARN.png';
		jPortImage.prop('src',_aSrc.join('/'))
	}
	
	this.resfreshCSOptionsOnEvent=function(fCallback){
		this._resfreshCSOptions($.proxy(this._showCurrentCSoptions,this,fCallback));
	}
	
	this._showCurrentCSoptions=function(fCallback){
		{% block block_showCurrentCSoptions %}
		var oCs = objM.getObj(this.id);
		$(this.getScopeSelector()).find('fieldset[id^=\'CSconf_\']').css('display','none');
		this._showCurrentCSoptionsCallbackShow(oCs,fCallback);
		{% endblock block_showCurrentCSoptions %}
	}
	
	this._showCurrentCSoptionsCallbackShow=function(oCs,fCallback){
		$(this.getScopeSelector()).find('fieldset[id^=\'CSconf_' + oCs.getCsName() + '\']').css('display','block');
		if( fCallback ){
			fCallback();
		}
	}
	
	this._resfreshCSOptions=function(fCallback){
		var oCs=objM.getObj(this.id);
		var sQuery='SELECT * FROM '+oCs.options.CSConfTable+' WHERE SECTION_ID='+oCs.id+';';
		dbManager.executeSQL(sQuery,Math.random(),$.proxy(this._resfreshOptionsOnTransitionDone,this,fCallback));
	}
	this._resfreshOptionsOnTransitionDone=function(fCallback,aResult){
		for(var i in aResult){
			var aOption=aResult[i];
			drawM.setValue('option_' + aOption['NAME'],aOption['VALUE'],this.getScopeSelector());
		}
		if( fCallback ){
			fCallback();
		}
	}
	this.updateOption=function(sOptionaName,value){
		var oCs=objM.getObj(this.id);
		oCs.updateCSOption(sOptionaName,value);
	}
	
	this.reloadCSService=function(){
		{% block block_reloadCSService %}
		this.userInteractionEnableDisable(false);
		this._restartDpadd(
			$.proxy(this.userInteractionEnableDisable,this,true)
		);
		{% endblock block_reloadCSService %}
	}
	
	this._restartDpadd=function(fCallback){
		rM.ajax({
			url: '../system/dpadaction.php',
			data: {op:'restart_dpadd',output_format:'xml'},
			timeout:false,
			success:$.proxy(this._restartDpaddSuccess,this,fCallback)
		});
	}
	
	this._restartDpaddSuccess=function(fCallback,xml){
		var _oXMLresponse=rM.XML(xml);
		var result=_oXMLresponse.get('result');
		var message=_oXMLresponse.get('message');
		if(result!=0){
			themeManager.showMessage(message,'warning');
		}
		else if(message!='')themeManager.showMessage(message,'info');
		if(fCallback)fCallback();
	}
{% endblock block_customFunctions %}