{% extends "scope.editobject.generic.tpl" %}

{% block block_customFunctions %}
{{ parent() }}

{# This function returns rendering relation tags valid for given values type #}
this.getRelationTagsByValuesType = function(type,valuesType)
{
    {# Pre-processing specific object types #}
    switch(type)
    {
        case "VIRTUALOBJECT":
            {#
            switch(valuesType)
            {
                case "BOOLEAN":
                    valuesType = "1";
                    break;
                case "NUMERIC":
                    valuesType = "6";
                    break;
                case "FLOATING":
                    valuesType = "5";
                    break;
                case "STRING":
                    valuesType = "14";
                    break;
            }
            #}
            valuesType = "*";
            break;
        default:
            break;
    }

    var relationTags = {};
    valuesType = valuesType + "";
    switch(objM.getObj(this.id).rendering_id)
    {
        {% for container_rendering_id,container_relations in page.container_rendering_relations %}
            case {{container_rendering_id}}:

                var relationTags = {"":"{{ getConstant("_DPAD_GENERAL_NONE")|encode4jscript }}"};
                
                {% for relation in page.container_rendering_relations[container_rendering_id]['*'] %}
                    relationTags["{{relation.RELATION_CONDITION}}"] = "{{relation.RELATION_DESCRIPTION}}";
                {% endfor %}

                switch(valuesType)
                {
                    {% for values_type,values_type_relations in page.container_rendering_relations[container_rendering_id] %}
                        case "{{values_type}}":
                            {% for relation in values_type_relations %}
                                relationTags["{{relation.RELATION_CONDITION}}"] = "{{relation.RELATION_DESCRIPTION}}";
                            {% endfor %}
                            break;
                    {% endfor %}
                        case "*":
                            {% for values_type,values_type_relations in page.container_rendering_relations[container_rendering_id] %}
                            {% for relation in values_type_relations %}
                            relationTags["{{relation.RELATION_CONDITION}}"] = "{{relation.RELATION_DESCRIPTION}}";
                            {% endfor %}
                            {% endfor %}
                        
                }

                break;
        {% endfor %}
    }
    return relationTags;
}

{# This function updates attributes of given child in order to match given complex element tag #}
this.updateComplexTag = function(relationId,childId,tag,blockName){
    {# Updating complex element tag before all #}
    objM.updateFieldRelation(relationId,"options.tag_complex_element",tag);
    if( typeof(tag)=="undefined" || tag=="" ){
		return;
	}
    {# Initializing filter on values_type depending on object type #}
    var childObj = objM.getObj(childId);
    var valuesTypeFilter = "";
    switch( childObj.type ){
        case "VIRTUALOBJECT":
            break;
        default:
            valuesTypeFilter += " AND R.VALUES_TYPE='" + childObj.values_type + "'";
            break;
    }
    {# Retrieving FIRST child rendering matching tag #}
    var query = "SELECT R.ID,R.VALUES_TYPE,R.PHPCLASSES FROM DPADD_RENDERING R INNER JOIN DPADD_RENDERING_RELATION RR ON R.ID=RR.CHILDOBJ_ID WHERE RR.PARENTOBJ_ID = '" + objM.getObj(this.id).rendering_id + "' AND RR.RELATION_CONDITION = '" + tag + "'" + valuesTypeFilter + " LIMIT 0,1";
    dbManager.executeSQL(query,Math.random(),$.proxy(this.updateComplexTagCallback,this,relationId,childId,tag,blockName));
}

this.updateComplexTagCallback = function(relationId,childId,tag,blockName,result_array){
    {% block block_updateComplexTagCallback %}
    {# If no match found, skipping #}
    if( result_array.length == 0 ){
		return;
	}
    var newRendId = result_array[0]["ID"];
    {# Handling child object type #}
    var childObj = objM.getObj(childId);
    switch( childObj.type ){
        case "VIRTUALOBJECT":
            {# We must map object values_type with KNX-style values_type #}
            var childValuesType = null;
            switch(result_array[0]["VALUES_TYPE"]){
                case "1":
                    childValuesType = "BOOLEAN";
                    break;
                case "2V":
                case "6":
                    childValuesType = "NUMERIC";
                    break;
                case "14":
                    childValuesType = "STRING";
                    break;
                default:
                    childValuesType = "FLOATING";
                    break;
            }
            {# Setting values type and rendering ID to child #}
            if( childObj.values_type != childValuesType ){
				objM.updateFieldObj(childObj.id,"values_type",childValuesType);
			}
		break;
        default:
			{# Nothing to do #}
		break;
    }
    
    {% block block_updateComplexTagCallbackCustom %}
    {% endblock block_updateComplexTagCallbackCustom %}
    
    {# Updating rendering ID if it does not match #}
    if(childObj.rendering_id != newRendId)
    {
        objM.updateFieldObj(childObj.id,"rendering_id",newRendId);

        delete objM.getObj(childObj.id)._rendering;
        objM.getRendsFromWhere({ids: newRendId + ''},$.proxy(this._updateComplexTagCallbackCallback,this,blockName,newRendId) );
    }
    
    {% endblock block_updateComplexTagCallback %}
}

this._updateComplexTagCallbackCallback = function(blockName,renderingId){
    objM.getRendPrototypesFromRendID(renderingId, $.proxy(this._updateComplexTagCallbackCallbackCallback,this,blockName) );
}

this._updateComplexTagCallbackCallbackCallback = function(blockName)
{
    var block = this[blockName];
    if( block ){
		block.render();
	}
}

{# This function sets 'allow_schedule' on given relation and resets it on all other relations for current container #}
this.allowScheduleForRelation = function(relationId,flag)
{
    {# Resetting schedule on all relations #}
    var relations = objM.getRelationsFromParent(this.id);
    for(var i in relations)
    {
        objM.updateFieldRelation(relations[i]["ID"],"options.allow_schedule",0);
    }
    
    {# Un-checking all schedule checks #}
    $(this.getScopeSelector()).find("input[id*='allow_schedule']").not("[id*='item_" + relationId + "_relation']").attr("checked",false);
    
    {# Setting allow schedule flag on given relation, if flag is true #}
    if(flag==true)
    {
        objM.updateFieldRelation(relationId,"options.allow_schedule",1);
    }
}

{% endblock %}
