<jsIncludes>
{% block block_includeJs %}
	{{ html_includejs("jsDpadBlock.js","js") }}
	{{ html_includejs("jsDpadDrawHtml.js","js") }}
	{{ html_includejs("jquery.ui.draggable.js","js") }}
	{{ html_includejs("jquery.ui.droppable.js","js") }}
	{{ html_includejs("jquery.ui.sortable.js","js") }}
	{{ html_includejs("jquery.selectboxes.js","js") }}
	{{ html_includejs("jquery.encoding.sha1.js","js") }}
	{{ html_includejs("jquery.base64.js","js") }}
	{{ html_includejs("jquery.phppack.js","js") }}
	{{ html_includejs("jquery.maskedinput.js","js") }}
	{% block block_includeJsCustom %}{% endblock %}
{% endblock %}
</jsIncludes>
<jsScopeScripts>

	{% block block_declarations %}
	this.id=null;
	this.registered_ids=new Array();
	this.isInitialized = false;
	this.showSystemObjects = false;
	
        {% block block_declarationsDetailsBlock %}
	{# Declaring Block Interface #}
	{{ jsBlock({
		'operation':"declaration",
		'block_name':"block_obj_details",
		'isSortable':'true',
		'isDroppable':'true',
		'block_render_container_selector':"this.getScopeSelector()+' #block_obj_details_div'",
		'prototype_container':"$(this.getScopeSelector()).find('div#block_obj_details_container_prototype').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#block_obj_details_item_prototype').html();"
	}) }}
	{% endblock block_declarationsDetailsBlock %}
	
	{% block block_declarationsRelationsBlock %}
		{% for blockTag,blockVars in blocks %}
		{{ jsBlock({
			'operation':"declaration",
			'block_name':"block_obj_" ~ blockVars.id,
			'block_relation_type':blockVars.relation_type,
			'isSortable':'true',
			'isDroppable':'true',
			'block_render_container_selector':"this.getScopeSelector()+' #block_obj_" ~ blockVars.id ~ "_div'",
			'prototype_container':"$(this.getScopeSelector()).find('#block_obj_" ~ blockVars.id ~ "_container_prototype').html();",
			'prototype_header':"$(this.getScopeSelector()).find('#block_obj_" ~ blockVars.id ~ "_header_prototype > tbody').html();",
			'prototype_item':"$(this.getScopeSelector()).find('#block_obj_" ~ blockVars.id ~ "_item_prototype > tbody').html();",
			'callback':{
				'addRow':blockVars.callback_additem,
				'removeRow':blockVars.callback_removeitem,
				'sortRow':blockVars.callback_sortitem
			}
		}) }}
		this.block_obj_{{ blockVars.id }}.results_filter_func=function(datas)
		{
			{% block block_declarationsRelationsBlock_filterFunc %}
			return (datas.obj.is_visible=='1' && (datas.obj.owned_by != '{{ getConstant("_DPAD_DB_OWNED_BY_SYSTEM") }}' || this.showSystemObjects==true) {% if blockVars.filter_expression != "" %}&& {{blockVars.filter_expression}}{% endif %});
			{% endblock block_declarationsRelationsBlock_filterFunc %}
		}
		{% if blockVars.drop_accept_expression is not empty %}
		this.block_obj_{{ blockVars.id }}._sortable.filterOnReceive=function(objId){
			{% block block_declarationsRelationsBlock_receiveFunc %}
			var obj=objM.getObj(objId);
			if(!obj){
				{#
					rM.log({type:'error'},'[scope.editobject.generic.tpl] Unable to evaluate receive block function for object:%o with id:%o',obj,objId);
				#}
				return false;
			}
			if({{ blockVars.drop_accept_expression }})
				return true;
			else{
			{#
				rM.log({type:'warn'},'[scope.editobject.generic.tpl] failed to evaluate accept expression comparing with obj:%o[%o] and expression:%o',obj,objId,this.sortable_receive_filter_func);
			#}
				themeManager.showMessage('{% if blockVars.drop_accept_msg_failed is empty%}{{ getConstant("_DPAD_DBCONSTANT_BLOCK_ACCEPT_MESSAGE_FAILED_GENERIC")|encode4jscript }}{% else %}{{ blockVars.drop_accept_msg_failed|encode4jscript }}{% endif %}','warning',{{ getConstant("_DPAD_CONSTANT_TIMER_TO_READ_MESSAGE") }});
				return false;
			};
			{% endblock block_declarationsRelationsBlock_receiveFunc %}
		}
		{% endif %}
		
		{% if blockVars.addNewSchema is not empty %}
		this.block_obj_{{ blockVars.id }}._addNewSchema={{ blockVars.addNewSchema|json_encode }};
		{% endif %}
			
		{% endfor %}
	{% endblock %}

	{# Forcing a LOGIC_IMPLICIT relation type for active/passive events block, if not done by association of parent/child object types #}
	if(this.block_obj_events_passive)
	{
	    this.block_obj_events_passive._internalEvents.getRelationData=function(iObjID,iOrderNum){
		var aRelation=this._internalEvents._getRelationDataCore.apply(this,[iObjID,iOrderNum]);
		if(aRelation['RELATION_WEB_TIPOLOGY']=='{{getConstant("_DPAD_DB_RELATION_TYPE_GENERIC")}}')
		{
			aRelation['RELATION_WEB_TIPOLOGY']='{{getConstant("_DPAD_DB_RELATION_TYPE_LOGIC_IMPLICIT")}}';
			rM.log({type:"info"},"New relation would have been of type GENERIC; correct LOGIC_IMPLICIT_RELATION type set by block");
		}
		return aRelation;
	    }        
	}
	if(this.block_obj_events_active)
	{
	    this.block_obj_events_active._internalEvents.getRelationData=function(iObjID,iOrderNum){
		var aRelation=this._internalEvents._getRelationDataCore.apply(this,[iObjID,iOrderNum]);
		if(aRelation['RELATION_WEB_TIPOLOGY']=='{{getConstant("_DPAD_DB_RELATION_TYPE_GENERIC")}}')
		{
			aRelation['RELATION_WEB_TIPOLOGY']='{{getConstant("_DPAD_DB_RELATION_TYPE_LOGIC_IMPLICIT")}}';
			rM.log({type:"info"},"New relation would have been of type GENERIC; correct LOGIC_IMPLICIT_RELATION type set by block");
		}
		return aRelation;
	    }        
	}

        {% block block_declarationsCustom %}{% endblock block_declarationsCustom %}
        {% endblock block_declarations %}
	
	this.onLoad=function(){
		
		{% block block_onLoad %}
		if( !this.isInitialized ){
			{# Init Masks#}
			{% block block_onLoad_formInitMasks %}
			$(this.getScopeSelector()).find('input[mask]').each(function(){
				$(this).mask($(this).attr("mask"));
			});
			{% endblock block_onLoad_formInitMasks %}

			{% block block_onLoad_formButtonsBind %}
			{% endblock block_onLoad_formButtonsBind %}
		}

		{% block block_onLoad_pageInit %}
		if( !this.return_url ){
			$(this.getScopeSelector()).find('#back_button').hide();
		} else {
			$(this.getScopeSelector()).find('#back_button').show();
		}
		{% endblock block_onLoad_pageInit %}

		{% block block_onLoad_loadObject %}
		objM.getObjsFromId(this.id,$.proxy(this.initObject,this));
		{% endblock block_onLoad_loadObject %}
		{% endblock block_onLoad %}
	}
	
	this.onTransitionDone=function(){
		{% block block_onTransitionDone %}
		{% endblock block_onTransitionDone %}
	}
	
	this.initObject = function(){
		{% block block_initObject %}
		var currObj=objM.getObj(this.id);
		objM.getRendsFromWhere({
				ids: '*',
				where: 'PHPCLASSES LIKE \'%'+currObj.phpclass+'%\''
			},
			$.proxy(this.onLoadCustom,this)
		);
		{% endblock block_initObject %}
	}

	this.onLoadCustom=function(){
		this.themeForRuntime = themeManager.getName('runtime');
		{% block block_onLoadCustom %}
		var currObj=objM.getObj(this.id);
		objM.getObjsSurrounding(this.id,$.proxy(this.blocksRender,this));
		{% endblock block_onLoadCustom %}
	}

	this.blocksRender=function(result_array,params){
		{% block block_blocksRender %}
		if(!params)	params = {};

		{% block block_blocksRender_relations %}
		{% for blockTag,blockVars in blocks %}
			{% set blockName = 'block_obj_' ~ blockVars.id %}
			this.{{ blockName }}.themeForRuntime = this.themeForRuntime;
			this.{{ blockName }}.showSystemObjects = {% if blockVars.allow_system_objects %}true{% else %}(this.showSystemObjects=="true"){% endif %};
			{{ jsBlock({
				'operation':'render',
				'block_reference_id':'this.id',
				'block_name':blockName,
				'block_relation_type':blockVars.relation_type
			}) }}
		{% endfor %}
		{% endblock block_blocksRender_relations %}

		{% block block_blocksRender_details %}
		if(params.skipDetailsRender != true && (objM.getObj(this.id).owned_by!="SYSTEM" || objM.getObj(this.id).options.allow_edit=="1"))
		{
			result_array = new Array();
			result_array.push(objM.objToArray(objM.getObj(this.id)));
			this.block_obj_details.themeForRuntime = this.themeForRuntime;
			{{ jsBlock({
				'operation':'render',
				'block_name':'block_obj_details',
				'row_array':result_array,
				'block_render_callback':'$.proxy(this._blocksRenderCallback,this,params)'
			}) }}
		}
		else
		{
			this._blocksRenderCallback(params);
		}
		{% endblock block_blocksRender_details %}

		{% endblock block_blocksRender %}
	}
	
	this._blocksRenderCallback=function(params){
		{% block block_blocksRenderCallback_details %}
		
		{#
			Handle OptionalP onPageLoad events
			Improve such madness.. 
		#}
		{% for element in page.obj_prototype_optionalp_array %}
			{% if element.onPageLoad%}{{ element.onPageLoad }}{% endif %}
		{% endfor %}
		
		var oObj=objM.getObj(this.id);
		this._registerObj(oObj.id);
		var aRelation=oObj.getParents().concat(oObj.getChildren());
		for(var i in aRelation){
			var oObj=aRelation[i]
			this._registerObj(oObj.id);
		}
		this.showGrantHashcodeFields(objM.getObj(this.id).has_grant);
		this.onLoadFinalize(params);
		
		{% endblock block_blocksRenderCallback_details %}
	}
	
	this._registerObj=function(iId){
		objM.addAllocatedObj(iId);
		this.registered_ids.push(iId);
	}
	this._unRegisterObj=function(iId){
		objM.freeAllocatedObj(iId);
		for(var i in this.registered_ids){
			if(this.registered_ids[i]==iId)this.registered_ids.splice(i,1); 
		}
	}

	this.onLoadFinalize=function(params){
		{% block block_onLoadFinalize %}
		if(!params)	params = {};
		this.isInitialized = true;
		themeManager.waitplease_display(false);
		{% endblock %}
	}
	
	this.onUnload=function(){
		for(var i in this.registered_ids)objM.freeAllocatedObj(this.registered_ids[i]);
		this.registered_ids=new Array();
		{% block block_onUnload %}
		{% endblock %}
	}

	this.formButtonClose=function(skipEnableCheck){
		{% block block_formButtonClose %}
		{% endblock %}
	}

	this.updateFieldObjFromRow=function(html_row_id,value){
		var field_tag='_editable_field_';
		var item_tag='_list_item_';
		var start_field=html_row_id.indexOf(field_tag);
		var start_item=html_row_id.indexOf(item_tag);
		if(start_field==-1||start_item==-1){
			rM.log('Scope Edit Object: unable to update field object for row:'+html_row_id,'error');
			return;
		}
		eval('var block=this.'+html_row_id.substring(0,start_item));
		var field=html_row_id.substring(start_field+field_tag.length);
		var relationId=parseInt(html_row_id.substring(start_item+item_tag.length,start_field));
		if(isNaN(relationId)){
			rM.log('Scope Edit Object: unable to obtain relation id to update object field \''+field+'\' for row:'+html_row_id,'error');
			return;
		}
		var objId=null;
		switch(block.getRelationType()){
			case 'parent_child':
				objId=objM.getRelation(relationId)['CHILDOBJ_ID'];
			break;
			default:
				objId=objM.getRelation(relationId)['PARENTOBJ_ID'];
			break;
		}
		if(isNaN(objId)){
			rM.log('Scope Edit Object: unable to obtain object id to update object field \''+field+'\' for row:'+html_row_id,'error');
			return;
		}
		objM.updateFieldObj(objId,field,value);
	}

	this.setSearchFilter=function(caller,filter,draggable_selector) {
		{% block block_setSearchFilter %}
		var panel_type='right_panel';
		this.sidePanelItemId=iM.openInstance('../system/wizard_manager.php|search_filter=true',null,null,panel_type);
		var rightPanelScope=nM.getScopeFromActiveView(panel_type);
		if(rightPanelScope){
			if(draggable_selector){
				rightPanelScope.block_result.draggableOptions.connectDraggableTo=draggable_selector;
				rightPanelScope.block_result.draggableOptions.appendDraggableTo='#externalframe_rightpanel_container';
			}
			rightPanelScope.initSearch(filter);
			rightPanelScope.search(rightPanelScope.getKeywords(),rightPanelScope.getScope(true)+'.block_init');
		}
		{% endblock block_setSearchFilter %}
	}
	
	this.removeRel=function(blockObjVarName,relation_id){
		objM.removeRelation(relation_id);
		eval('this.'+blockObjVarName+'.remove_row(relation_id);');
	}
	
	this.sections_dehilight = function(){
		{% block block_sectionsDeHilight %}
		{# Removing hilight to all section containers #}
		$(this.getScopeSelector()).find('.wizard_section_containing_table_hilight').each(
			function(){
				$(this).removeClass('wizard_section_containing_table_hilight').addClass('wizard_section_containing_table_normal');
			}
		);
		$(this.getScopeSelector()).find('.wizard_section_title_hilight').each(
			function(){
				$(this).removeClass('wizard_section_title_hilight').addClass('wizard_section_title_normal');
			}
		);
		{% endblock block_sectionsDeHilight %}
	}
	
	this.section_hilight = function(caller,section_selector){
		{% block block_sectionHilight %}
		this.sections_dehilight();
		var section_table=$(this.getScopeSelector()).find(section_selector);
		section_table.removeClass('wizard_section_containing_table_normal').addClass('wizard_section_containing_table_hilight');
		caller.removeClass('wizard_section_title_normal').addClass('wizard_section_title_hilight');
		{# If caller requires right panel, opening it; otherwise, closing #}
		if(section_table.attr('require_right_panel')=='true')themeManager.showPanel('right_panel');
		else themeManager.hidePanel('right_panel');
		{% endblock block_sectionHilight %}
	}
	
	this.show_help = function(caller,help_element){
		help_element=$(this.getScopeSelector()).find(help_element);
		if(!help_element.is(':visible')){
			caller.parent().removeClass('form_smallbutton_blue').addClass('form_smallbutton_blue_hover');
			help_element.slideDown('fast');
		}
		else{
			caller.parent().removeClass('form_smallbutton_blue_hover').addClass('form_smallbutton_blue');
			help_element.slideUp('fast');
		}
	}
	
	this.detect_enter_keypress=function(keypressed) {
	    var keycode;
	    if(window.event)keycode = window.event.keyCode;
	    else if(keypressed)keycode = keypressed.which;
	    else return false;
	    var result=(keycode == 13);
		if(result==true && keypressed)$(keypressed.currentTarget).blur();
		return result;
	}
	
	this.pickup_image=function(caller,optionalp_field,preview_field,path){
	{% block pickup_image %}
		this.image_preview_field=preview_field;
		var image_path=preview_field.attr('src');
		try{decodeURI(image_path);}catch(e){rM.log({type:'warn'},'WARNING Scope Edit Object: image name is not compatible with url:%o',image_path);image_path='';};
		var obj=objM.getObj(this.id);
		var return_env={'url':'../system/editobject.php?type='+obj.type+'&phpclass='+obj.phpclass+'|id='+this.id,'view':'workspace'};
		var popup_url='../system/file_picker.php?body_template=image_picker.tpl&show_action_upload=1&show_action_remove=1&mode=image_path|seek_dir='+path+'&seek_type=file&filterRegExpr={% block editobject_generic_filepicker_filter %}{% endblock %}&current_image='+image_path+'&image_preview_id='+preview_field.attr('id')+'&enableDelete=false&&return_env='+themeManager.encoderForUrl(return_env);
		iM.openInstance(popup_url,null,null,'{% block editobject_generic_filepicker_navigator %}popup_panel{% endblock editobject_generic_filepicker_navigator %}');
	{% endblock pickup_image %}
	}
	
	this.pickup_image_callback=function(image_path,image_base_path){
		{# Setting URL to preview #}
		this.image_preview_field.attr('src',image_base_path+image_path );
		objM.updateFieldObj(this.id,'image_path',image_path);
	}
	
	this.getOldPIN=function(sTag){
		if(!sTag)sTag='';
		return $(this.getScopeSelector()).find('#obj'+this.id+'_grant_hashcode_old'+sTag);
	}
	this.getNewPIN=function(sTag){
		if(!sTag)sTag='';
		return $(this.getScopeSelector()).find('#obj'+this.id+'_grant_hashcode_new'+sTag);
	}
	this.getRepeatPIN=function(sTag){
		if(!sTag)sTag='';
		return $(this.getScopeSelector()).find('#obj'+this.id+'_grant_hashcode_repeat'+sTag);
	}
	
	this.showGrantHashcodeFields=function(bShow){
		if(bShow){
			this.getOldPIN('_line').show();
			this.getNewPIN('_line').show();
			this.getRepeatPIN('_line').show();
		}
		else{
			this.getOldPIN('_line').hide();
			this.getNewPIN('_line').hide();
			this.getRepeatPIN('_line').hide();
		}
	}
	
	this.validateGrantHashcode=function(iObjId){
		var old_pin=this.getOldPIN().val();
		var new_pin=this.getNewPIN().val();
		var repeat_pin=this.getRepeatPIN().val();
		var oObj=objM.getObj(iObjId);
		{#
			DISABLED check on PREVIOUS PIN...
			if(new_pin==repeat_pin && (oObj.grant_hashcode == '' || this.encodeGrantHashcode(old_pin)==oObj.grant_hashcode))return true;
		#}
		if(new_pin==repeat_pin)
		{
			themeManager.showMessage('{{ getConstant("_DPAD_THEME_PIN_VALIDATIONOK")|encode4jscript }}','info');
			return true;
		}
		else{
			themeManager.showMessage('{{ getConstant("_DPAD_THEME_PIN_VALIDATIONFAILED")|encode4jscript }}','warning');
			return false;
		}
	}
	
	this.encodeGrantHashcode=function(sHashCode){
		return '{SHA}'+$.base64.encode($.phppack('H*',$.sha1(sHashCode)));
	}
	
	this.addNewToBlock=function(sBlockName,sNum){
		{% block block_addNewToBlock %}
		var iNum=(isNaN(sNum)?1:parseInt(sNum));
		var oBlock=this[sBlockName];
		var aData={};
		{# Copying data on a new variable #}
		for(var i in oBlock._addNewSchema.obj)aData[i]=oBlock._addNewSchema.obj[i];
		{# Parsing Prototypes if needed #}
		for(var i in aData){
			aData[i]=oBlock.parse_prototype(aData[i]);
		}
		var newObjType = aData.TYPE;
		if(aData.PHPCLASS && aData.PHPCLASS!='')	newObjType = aData.PHPCLASS;
		objM.createObj(newObjType,aData,$.proxy(this._addNewToBlock_relation,this,sBlockName,iNum));
		{% endblock block_addNewToBlock %}
	}
	
	this._addNewToBlock_relation=function(sBlockName,iNum,aData){
		var oBlock=this[sBlockName];
		oBlock.add_row(aData);
		if(oBlock.row_relation_array!=null){
			var sRelationType=this[sBlockName].getRelationType();
			var parentId=(sRelationType=='parent_child'?this.id:aData['ID']);
			var childId=(sRelationType=='parent_child'?aData['ID']:this.id);
			var aDataRelation={
				PARENTOBJ_ID:parentId,
				CHILDOBJ_ID:childId,
				RELATION_WEB_TIPOLOGY:objM.getRelationType(objM.getObj(parentId).phpclass,objM.getObj(childId).phpclass)
			};
			{# Copying data on a new variable #}
			for(var i in oBlock._addNewSchema.relation)aDataRelation[i]=oBlock._addNewSchema.relation[i];
			{# Parsing Prototypes if needed #}
			for(var i in aDataRelation){
				aDataRelation[i]=oBlock.parse_prototype(aDataRelation[i]);
			}
			objM.createRelation(aDataRelation,$.proxy(this._addNewToBlock_relationCallback,this,sBlockName,iNum));
		}
		else this._addNewToBlock_relationCallback(sBlockName,iNum);
	}
	
	this._addNewToBlock_relationCallback=function(sBlockName,iNum,aDataRelation){
		{% block block__addNewToBlock_relationCallback %}
		var oBlock=this[sBlockName];
		if(oBlock.row_relation_array!=null){
			oBlock.add_row(null,aDataRelation);
			oBlock.render_row(oBlock.row_relation_array.length-1);
			oBlock.update_rows_order();
		}
		else oBlock.render_row(oBlock.row_array.length-1);
		iNum--;
		if(iNum>0)this.addNewToBlock(sBlockName,iNum);
		{% endblock block__addNewToBlock_relationCallback %}
	}
	
	this.trashObjFromBlock=function(sBlockName,relation_id,obj_id){
		var oBlock=this[sBlockName];
		if(relation_id!=null){
			objM.removeObj( objM.getRelation( relation_id )['CHILDOBJ_ID'] );
			oBlock.remove_row(relation_id);
		}
		else if(obj_id!=null){
			objM.removeObj(obj_id);
			oBlock.remove_row(obj_id);
		}
		else rM.log({type:'error'},'trashObjFromBlock: unable to delete group with relation_id:%o and obj_id:%o',relation_id,obj_id);
	}
	
	{% block block_customFunctions %}
	{% endblock %}
</jsScopeScripts>