{% extends "scope.editobject.generic.tpl" %}

{% block block_customFunctions %}
	{{ parent() }}

        {#This function validates logic expression #}
        this._validateLogicExpr = function(logicExpr)
        {
            {# Initializing new expression tokens array#}
            var newExprTokens = new Array();
            
            {# Loading child relations #}
            //var logicInputs = this.block_obj_logic_input.getResults({filter:true});
            var logicInputs = objM.getRelationsFromChild(this.id,{filters:{relation:{ACTION:"EVALUATE"}}})
            
            var inputIds = new Array();
            for(var i in logicInputs)
            {
                inputIds.push(logicInputs[i]["PARENTOBJ_ID"]);
            }
            
            {# Separating logic expression into tokens #}
            var tokens = logicExpr.split(" ");
            var nextAllowedTokenTypes = "%id%|NOT";
            for(var i in tokens)
            {
                var token = tokens[i].toUpperCase();
                if(token=="")   continue;
                
                var tokenFound = false;

                var allowedTokenTypes = nextAllowedTokenTypes.split("|");
                for(var j in allowedTokenTypes)
                {
                    var allowedTokenType = allowedTokenTypes[j];
                    switch(allowedTokenType)
                    {
                        case "%id%":
                        
                            {# Looking for current token in child IDs #}
                            for(var k in inputIds)
                            {
                                if(token==inputIds[k])
                                {
                                    tokenFound = true;
                                    break;
                                }
                            }
                            break;
                        
                        default:
                            
                            {#If current token is equal to allowed one, skipping #}
                            if(token==allowedTokenType)
                            {
                                tokenFound = true;
                                break;
                            }
                            break;
                    }
                    
                    if(tokenFound==true)    break;
                }
                
                {# If at least one expected token has not been found, returning error #}
                if(tokenFound!=true)
                {
                    return false;
                }
                
                {# Preparing next expected token #}
                switch(nextAllowedTokenTypes)
                {
                    case "%id%|NOT":
                        switch(token)
                        {
                            case "NOT": //If we get a NOT, we expect again an ID or, at least, another NOT
                                break;
                            default:
                                nextAllowedTokenTypes = "AND|OR";
                                break;
                        }
                        break;
                    case "AND|OR":
                        nextAllowedTokenTypes = "%id%|NOT";
                        break;
                }
                
                {# Enqueuing token into new expression array #}
                newExprTokens.push(token);
                
                {# Iterating... #}
                continue;
            }
        
            {# If last expected token is an ID/NOT, we got an error #}
            if(nextAllowedTokenTypes=="%id%|NOT")
            {
                return false;
            }
            
            {# If we arrived here, everything is OK - Returning a correctly formatted expression #}
            return newExprTokens.join(" ");
        }
        
        {# This function validates and updates logic expression #}
        this.updateLogicExpr = function(logicExprField)
        {
            {% block block_updateLogicExpr %}
            //var logicInputs = this.block_obj_logic_input.getResults({filter:true});
            var logicInputs = objM.getRelationsFromChild(this.id,{filters:{relation:{ACTION:"EVALUATE"}}})
            if(logicInputs.length == 0)
            {
                themeManager.showMessage("{{getConstant('_DPAD_DBCONSTANT_EDITOBJECT_LOGIC_EXPRESSION_VALIDATE_NO_CHILDREN_MESSAGE')|encode4jscript}}","error",10);
                logicExprField.val("");
                return;
            }

            var validatedExpr = this._validateLogicExpr(logicExprField.val());
            if(validatedExpr==false)
            {
                themeManager.showMessage("{{getConstant('_DPAD_DBCONSTANT_EDITOBJECT_LOGIC_EXPRESSION_VALIDATE_ERROR_MESSAGE')|encode4jscript}}","error",10);
                logicExprField.val("");
                return;
            }
            
            {# Updating field and database with validated logic expression #}
            logicExprField.val(validatedExpr);
            objM.updateFieldObj(this.id,"msp",validatedExpr);

            //themeManager.showMessage("{{getConstant('_DPAD_DBCONSTANT_EDITOBJECT_LOGIC_EXPRESSION_VALIDATE_SUCCESS_MESSAGE')|encode4jscript}}","error",5);
            {% endblock block_updateLogicExpr %}
        }

{% endblock %}
