{# File Picker Scope Template #}
<jsIncludes>
{% block block_includeJs %}
	{{ html_includejs("jsDpadBlock.js","js") }}
	{{ html_includejs("jsDpadDrawHtml.js","js") }}
	{{ html_includejs("jquery.ui.droppable.js","js") }}
	{{ html_includejs("jquery.ui.dialog.js","js") }}
	{{ html_includejs("jquery.fileupload.js","js") }}
	{{ html_includejs("jquery.form.js","js") }}
	{{ html_includejs("jquery.scrollTo.js","js") }}
	{% block block_includeJsCustom %}{% endblock %}
{% endblock %}
</jsIncludes>
<jsScopeScripts>
	this.seek_dir=null;
	this.seek_type=null;
	this.aFileHandlers=new Array();
	this.bInitialized=false;
	this.jDialogUpload=null;
	this.tScrollTimeOutHandler=null;
	this.clickElementCallbackUploaded=null;
	this.clickElementCallbackToUpload=null;
	this.mode="{{page.mode}}";
	this.enableDelete=true;
	this.filterRegExpr="";
	
	this.onLoad=function(){
		{% block block_onLoad %}
		themeManager.waitplease_display(true);
		if( this.bInitialized==false ){
			{#
				Binding form to Upload Plugin 
				Setting drop zone, callbacks, and html to handle special effect during upload
			#}
			this.getForm().fileupload({
				url: '../system/file_picker.php',
				dropZone: $(this.getScopeSelector()).find('#file_dropzone'),
				progress: $.proxy(this._handleCustomOnProgress,this),
				{# drop: $.proxy(this._handleCustomOnDrop,this), #}
				done: $.proxy(this._handleCustomUploadSuccess,this),
				fail: $.proxy(this._handleCustomUploadError,this)
			});
			{#
				Binding form to AjaxForm Plugin
				Setting default callbacks and options
			#}
			this.getForm().ajaxForm({
				beforeSubmit:function(formData,jqForm,options){
					themeManager.waitplease_display(true);
				},
				success:$.proxy(this._getFormCallbackSuccess,this),
				dataType:'xml'
			});
			{# Default Callback Click behaviour #}
			//this.clickElementCallbackUploaded=((this.seek_dir.indexOf('supervision/images/background')!=-1)?$.proxy(this.clickElementImageCallback,this):null);
			this.clickElementCallbackUploaded=$.proxy(this.clickElementImageCallback,this);
			{# Creating Block to handle list of files temporary on server (eg. USB/SD/MicroSD connected to the server) to be permanently added to the server system #}
			{% if not client.is_public %}
			this.createFileListHandler({
				name:'toupload_files',
				current_seek_dir:null,
				current_seek_type:null,
				hide_parent_current_dir:{% if page.show_parent_dir==true %}false{% else %}true{% endif %},
				clickElementCallback:this.clickElementCallbackToUpload,
				block_container_id:'file_to_upload_list',
				prototype_container:$(this.getScopeSelector()).find('div#block_file_container_prototype').html(),
				prototype_item:$(this.getScopeSelector()).find('div#block_file_toupload_row_prototype').html(),
				is_draggbale:true
			});
			{% endif %}
			{# Creating Block to handle list of files uploaded (eg. Browser) #}
			var oFileHandler=this.createFileListHandler({
				name:'uploaded_files',
				current_seek_dir:this.seek_dir,
				current_seek_type:this.seek_type,
				hide_parent_current_dir:{% if page.show_parent_dir==true %}false{% else %}true{% endif %},
				clickElementCallback:this.clickElementCallbackUploaded,
				block_container_id:'file_uploaded_list',
				prototype_container:$(this.getScopeSelector()).find('div#block_file_container_prototype').html(),
				prototype_item:$(this.getScopeSelector()).find('div#block_file_uploaded_row_prototype').html()
			});
			{# Init modal dialog to confirm upload action #}
			this.jDialogUpload=$(this.getScopeSelector()).find('#upload-confirm').dialog({
				autoOpen:false,
				resizable:false,
				height:'auto',
				modal:true,
				buttons:{
					'{{ getConstant("_DPAD_GENERAL_UPLOAD")|encode4jscript }}':function(){
						$(this).dialog('close');
					},
					'{{ getConstant("_DPAD_GENERAL_CANCEL")|encode4jscript }}':function(){
						$(this).dialog('close');
					}
				}
			});
			this.bInitialized=true;
		}
		this.seekFromFileHandler(this.getFileListHandler('uploaded_files'));
		if(!this.return_url)$(this.getScopeSelector()).find('#back_button').hide();
		{# If delete is not enabled, hiding delete buttons #}
		if(this.enableDelete==false||this.enableDelete=="false"){
			$(this.getScopeSelector()).find(".image_picker_delete_image").hide();
		}
		{% endblock block_onLoad %}
	}
	
	this._getFormCallbackSuccess=function(responseText,statusText,xhr,form){
		var oXML=rM.XML(responseText);
		var result=rM.handleResult(oXML.get('result'));
		var message=oXML.get('message');
		if(result.code!='{{ getConstant("_DPAD_RESULT_NOERROR") }}'){
			themeManager.showMessage('{{ getConstant("_DPAD_ERROR_LANG_LEVEL_ERROR") }}:'+message,'error');
			themeManager.waitplease_display(false);
		}
		else this.seekFromFileHandler(this.getFileListHandler('uploaded_files'));
	}
	
{#
	This function will create an object Handler with special actions and linked to a standard block.
#}
	this.createFileListHandler=function(options){
		if(!options)options={};
		var oHandler={
			name:options.name,
			block:new jsDpadBlock(objM,drawM),
			current_seek_dir:options.current_seek_dir,
			current_seek_type:options.current_seek_type,
			hide_parent_current_dir:options.hide_parent_current_dir,
			clickElementCallback:options.clickElementCallback
		};
		oHandler.block._objVarName='block_'+oHandler.name;
		oHandler.block.name='block_'+oHandler.name;
		oHandler.block.render_container_selector=this.getScopeSelector()+' #'+options.block_container_id;
		oHandler.block.prototype_container=options.prototype_container;
		oHandler.block.prototype_item=options.prototype_item;
		oHandler.block._options.draggable=(options.is_draggbale==true?true:false);
		oHandler.block.draggableOptions.appendDraggableTo='#externalframe_page_container';
		oHandler.block.draggableOptions.scope='default';
		this[oHandler.block.name]=oHandler.block;
		this.aFileHandlers[oHandler.name]=oHandler;
		return oHandler;
	}
{#
	this._handleCustomOnDrop=function(e,data){
		$.each(data.files, function (index, file) {
			alert('Dropped file: ' + file.name);
		});
	
		if(!event.originalEvent.dataTransfer){
			var jTarget=ui.helper;
			var file_id=parseInt(jTarget.attr('id').replace('block_toupload_files_list_item_','').split('_')[0]);
			var file_data=this.getFileListHandler('toupload_files').block.row_array;
			for(var i in file_data){
				if(file_data[i]['id']==file_id){
					file_data=file_data[i];
					break;
				}
			}
			if(file_data['id']!=file_id)return false;
			if(file_data['type']!='file'){
				themeManager.showMessage('{{ getConstant("_DPAD_ERROR_LANG_LEVEL_ERROR")|encode4jscript }}:{{ getConstant("_DPAD_DBCONSTANT_SYSTEM_FILE_PICKER_ERROR_UPLOADING_DIRECTORY")|encode4jscript }}','error');
				return false;
			}
			//Fake Transfert
			event.originalEvent.dataTransfer={};
			event.originalEvent.dataTransfer.files=new Array();
			event.originalEvent.dataTransfer.files.push(file_data);
			this.uploadLocalFile(file_data['name'],this.getFileListHandler('toupload_files').current_seek_dir);
		} else {
			this.uploadFile();
		}
		return true;
	}
#}
	this._handleCustomOnProgress=function(e, data){
		var _iProgress = parseInt(data.loaded / data.total * 100, 10);
	}
	this._handleCustomUploadError=function(event,data){
		themeManager.showMessage('{{ getConstant("_DPAD_ERROR_LANG_LEVEL_ERROR")|encode4jscript }}: Error:' + data.errorThrown + ' or XHR error.','error');
		themeManager.waitplease_display(false);
	}
	
	this._handleCustomUploadSuccess=function(event,data){
		this.seekFromFileHandler(this.getFileListHandler('uploaded_files'));
	}

	this.getFileListHandler=function(sFileHandlerName){
		return this.aFileHandlers[sFileHandlerName];
	}
	
	this.uploadFile=function(){
		this.getUploadPathToInput().val(this.getFileListHandler('uploaded_files').current_seek_dir);
		this.getUploadInput().val(1);
		this.getUploadLocalInput().val(0);
		this.getDeleteInput().val(0);
		this.getDeleteFileNameInput().val('');
	}
	
	this.uploadLocalFile=function(sFileName,sDirPath){
		this.getUploadPathToInput().val(this.getFileListHandler('uploaded_files').current_seek_dir);
		this.getUploadInput().val(0);
		this.getUploadLocalInput().val(1);
		$(this.getScopeSelector()).find('#upload_local_file').val(sFileName);
		this.getUploadPathFromInput().val(sDirPath);
		this.getDeleteInput().val(0);
		this.getDeleteFileNameInput().val('');
	}
	
	this.deleteFile=function(sBlockName,iFileId){
		var oFileHandler=this.getFileListHandler(sBlockName.replace('block_',''));
		var sFileName=null;
		for(var i in oFileHandler.block.row_array){
			var element=oFileHandler.block.row_array[i];
			if(element.id==iFileId){
				sFileName=element.name;
				break;
			}
		}
		this.getUploadInput().val(0);
		this.getUploadLocalInput().val(0);
		this.getDeleteInput().val(1);
		this.getDeleteFileNameInput().val(sFileName);
		this.getUploadPathToInput().val(oFileHandler.current_seek_dir);
		this.getForm().trigger('submit');
{#
		this.getForm().ajaxSubmit({
			data:{
				upload:false,
				upload_local:false,
				delete:true,
				delete_file_name:sFileName,
				upload_path_to:oFileHandler.current_seek_dir
			}
		});
#}
	}
	
	this.clickElement=function(caller,sBlockName,element_id,fCallback){
		var oFileHandler=this.getFileListHandler(sBlockName.replace('block_',''));
		for(var i in oFileHandler.block.row_array){
			var element=oFileHandler.block.row_array[i];
			if(element.id==element_id){
				switch(element.type){
					case 'dir':
						oFileHandler.current_seek_dir+='/'+element.name;
						this.seekFromFileHandler(oFileHandler);
					break;
					default:
						if( !fCallback && oFileHandler.clickElementCallback ){
							fCallback = oFileHandler.clickElementCallback;
						}
						if( fCallback ){
							$(this.getScopeSelector()).find('ul#file_picker_list').find('li').find('[id$=\'_label\']').removeClass('element_selected').addClass('element_idle');
							caller.parents('li').find('[id$=\'_label\']').removeClass('element_idle').addClass('element_selected');
							fCallback( element );
						}
					break;
				}
				break;
			}
		}
	}
	
	this.clickElementImageCallback=function(element){
	{% block block_clickElementImageCallback %}
		var img_base_path=$(this.getScopeSelector()).find('img#image_picker_preview_image_'+element.id).attr('src').replace(element.name,'');
		var editobject_scope=iM.getScopeFromActiveView('{% block clickElementImageCallback_view %}main_body{% endblock clickElementImageCallback_view %}');
		if(this.mode=='image_path')
			editobject_scope.pickup_image_callback(element.name,img_base_path);
		else
			editobject_scope.pickup_background_image_callback(element.name,img_base_path);
	{% endblock block_clickElementImageCallback %}
		this.back();
	}
	
	this.seekFromFilePath=function(sPathToSeek,sFileHandlerName){
		var oFileHandler=this.getFileListHandler(sFileHandlerName);
		oFileHandler.current_seek_dir=sPathToSeek;
		this.seekFromFileHandler(oFileHandler);
	}
	
	this.seekFromFileHandler=function(oFileHandler){
		var seek_dir=oFileHandler.current_seek_dir;
		var seek_type=oFileHandler.current_seek_type;
		this.uploadFile();
		var data='op=seekdir&seekfilter='+this.filterRegExpr+(oFileHandler.hide_parent_current_dir?'&hide_parent_current_dir='+oFileHandler.hide_parent_current_dir:'')+(seek_dir?'&seek_dir='+seek_dir:'')+(seek_type?'&seek_type='+seek_type:'');
		rM.ajax({
			dataType:'json',
			data:data,
			url:'../system/dpadaction.php',
			timeout:false,
			beforeSend:function(x){
				if(x && x.overrideMimeType){
					x.overrideMimeType('application/json;charset=UTF-8');
				}
			},
			success:$.proxy(this._seekFromFileHandlerSuccess,this,oFileHandler),
			error:$.proxy(this._seekFromFileHandlerError,this)
		});
	}
	
	this._seekFromFileHandlerSuccess=function(oFileHandler,message){
		var result=rM.handleResult(message.result);
		if(result.code!='{{ getConstant("_DPAD_RESULT_NOERROR") }}')themeManager.showMessage('{{ getConstant("_DPAD_ERROR_LANG_LEVEL_ERROR")|encode4jscript }}:'+message.result,'error');
		this._seekFromFileHandlerCallback(message.payload,oFileHandler);
	}
	this._seekFromFileHandlerError=function(){
		themeManager.showMessage('{{ getConstant("_DPAD_ERROR_LANG_LEVEL_ERROR") }}: {{ getConstant("_DPAD_DBCONSTANT_SYSTEM_FILE_PICKER_ERROR")|encode4jscript }}','error');
		themeManager.waitplease_display(false);
	}
	
	this._seekFromFileHandlerCallback=function(datas,oFileHandler){
		oFileHandler.block.row_array=datas.slice(0);
		oFileHandler.block.render();
		$(this.getScopeSelector()).find('div#file_picker_container').scrollTo(0);
		themeManager.waitplease_display(false);
	}

{# GET HTML ELEMENT FUNCTIONS #}

	this.getForm=function(){
		return $(this.getScopeSelector()).find('#file_form');
	}
	
	this.getUploadPathToInput=function(){
		return $(this.getScopeSelector()).find('#upload_path_to');
	}
	this.getUploadPathFromInput=function(){
		return $(this.getScopeSelector()).find('#upload_local_path_from');
	}
	this.getUploadInput=function(){
		return $(this.getScopeSelector()).find('#upload');
	}
	this.getUploadLocalInput=function(){
		return $(this.getScopeSelector()).find('#upload_local');
	}
	this.getUploadLocalFileInput=function(){
		return $(this.getScopeSelector()).find('#upload_local_file');
	}
	this.getDeleteInput=function(){
		return $(this.getScopeSelector()).find('#delete');
	}
	this.getDeleteFileNameInput=function(){
		return $(this.getScopeSelector()).find('#delete_file_name');
	}
	
{# OTHERS #}
	this.back=function(){
		{% block back %}
		if(this.return_env){
			if(typeof this.return_env == 'string')this.return_env=$.parseJSON(this.return_env);
			iM.openInstance(this.return_env.url,null,null,this.return_env.view);
		}
		{% endblock back %}
	}
	
{#	
	this.scrollUpFileToUpload=function(delta){
		if(!delta)delta='-=15px';
		this.scrollFileToUpload(delta);
		this.tScrollTimeOutHandler=setTimeout('iM.getScopeFromActiveView().scrollUpFileToUpload()',125);
	}
	this.scrollDownFileToUpload=function(delta){
		if(!delta)delta='+=15px';
		this.scrollFileToUpload(delta);
		this.tScrollTimeOutHandler=setTimeout('iM.getScopeFromActiveView().scrollDownFileToUpload()',125);
	}
	this.scrollFileToUpload=function(delta){
		$(this.getScopeSelector()).find('div#file_to_upload_scrollable_container').scrollTo(delta);
	}
	this.scrollStopFileToUpload=function(){
		clearTimeout(this.tScrollTimeOutHandler);
	}
	
	this.scrollUpFileUploaded=function(delta){
		if(!delta)delta='-=15px';
		this.scrollFileUploaded(delta);
		this.tScrollTimeOutHandler=setTimeout('iM.getScopeFromActiveView().scrollUpFileUploaded()',125);
	}
	this.scrollDownFileUploaded=function(delta){
		if(!delta)delta='+=15px';
		this.scrollFileUploaded(delta);
		this.tScrollTimeOutHandler=setTimeout('iM.getScopeFromActiveView().scrollDownFileUploaded()',125);
	}
	this.scrollFileUploaded=function(delta){
		$(this.getScopeSelector()).find('div#file_picker_scrollable_container').scrollTo(delta);
	}
	this.scrollStopFileUploaded=function(){
		clearTimeout(this.tScrollTimeOutHandler);
	}
#}
</jsScopeScripts>