<jsIncludes>
{% block block_includeJs %}
	{{ html_includejs("jquery.js","js") }}
	{{ html_includejs("jsDpadBlock.js","js") }}
	{{ html_includejs("jsDpadObjectManager.js","js") }}
	{{ html_includejs("jquery.sprintf.js","js") }}
	{{ html_includejs("jquery.ui.multidraggable.js","js") }}
	{{ html_includejs("jquery.ui.resizable.js","js") }}
	{% block block_includeJsCustom %}{% endblock %}
{% endblock %}
</jsIncludes>
<jsScopeScripts>
	this.id=null;
	this.registered_ids = new Array();
	this.block_plan_edit_mode = false;					{# This variable is TRUE during edit mode #}
	this.block_plan_edit_mode_changes_pending=false;			{# This variable states is there are changes not saved #}
	this.block_plan_edit_ignore_display_option=false;			{# If set to TRUE, show/hide of elements will be ignored #}
	this._sCurrentView = 'plan';
	
	this._bOrientationEnabled = false;
	this._oOrientationCurrent;
	this._oOrientationStart;
	this._bOrientationInclinationHandle;
	this._bOrientationDirectionHandle;
	this._iOrientationSensitivity = 5;
	this._bCompassInitialized = false;
	this._bCompassDisabled = false;
	this._bTiltInitialized = false;
	this._bTiltDisabled = false;
	
	{% block block_declarationsCustom %}{% endblock block_declarationsCustom %}
	
	{# Declaring Block Interface #}
	{{ jsBlock({
		'operation':"declaration",
		'block_name':"block_plan",
		'block_render_container_selector':"this.getScopeSelector()+' #' + this._sCurrentView + '_contained'",
		'prototype_container':"$(this.getScopeSelector()).find('div#' + this._sCurrentView + '_container_prototype').html();",
		'prototype_header':"$(this.getScopeSelector()).find('div#' + this._sCurrentView + '_header_prototype').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#' + this._sCurrentView + '_row_prototype').html();"
	}) }}

	this.block_plan.results_filter_func=function(datas){
		{% block block_blockFilterFunc %}
		return parseInt(datas.obj.is_visible) == 1 && iM.getScope($(this.render_container_selector)).objectIsAllowed(datas.obj); 
		{% endblock block_blockFilterFunc %}
	}

	this.onLoad=function(){
		{% block block_onLoad %}
		objM.getObjsSurrounding(this.id,$.proxy(this.blockRender,this));
		{% endblock block_onLoad %}
	}
	
	this.onTransitionDone=function(){
		{% block block_onTransitionDone %}
		this._setScrollable();
		{# Detecting and handling device orientation, if enabled #}
		if( themeManager.deviceOrientationIsSupported() ){
			if (window.DeviceOrientationEvent) {
			    rM.log({type:"info"},"Device supports orientation");
			    window.addEventListener('deviceorientation',$.proxy(this.deviceOrientationChange,this),false);
			} else if (window.OrientationEvent) {
			    rM.log({type:"info"},"Device supports orientation");
			    window.addEventListener('MozOrientation',$.proxy(this.mozDeviceOrientationChange,this),false);
			} else {
			    rM.log({type:"info"},"Device does not support orientation");
			}
		}
		{% endblock block_onTransitionDone %}
	}
	
	this._setScrollable=function(){
		{% block block_setScrollable %}
		var jElementContainer=$(this.getScopeSelector()).find('#' + this._sCurrentView + '_container');
		var jImage=$(this.getScopeSelector()).find('#template-' + this._sCurrentView + '-background');
		var jElementContained=$(this.getScopeSelector()).find('#' + this._sCurrentView + '_contained');
		if(jImage.width()>0 && jImage.height()>0)	jElementContained.width(jImage.width()).height(jImage.height());
		if(this._isScrollable()){
			themeManager.setScrollable(jElementContainer);
		} else {
			themeManager.unsetScrollable(jElementContainer);
		}
		{% endblock block_setScrollable %}
	}
	
	this._resetScrollable=function(){
		var jElementContainer=$(this.getScopeSelector()).find('#' + this._sCurrentView + '_container');
		jElementContainer.scrollTop(0);
		jElementContainer.scrollLeft(0);
	}
	
	this._isScrollable=function(){
		{% block block_isScrollable %}
		return !this.block_plan_edit_mode;
		{% endblock block_isScrollable %}
	}
	
	this.blockRender=function(result_array){
		{% block block_render %}
		{# Rendering block #}
		{% block block_renderRender %}
		{{ jsBlock({
			'operation': 'render',
			'render_always': false,
			'block_name': 'block_plan',
			'block_relation_type': 'parent_child',
			'block_render_callback': '$.proxy( this._blockRenderCallback, this )'
		}) }}
		{% endblock block_renderRender %}
		{% endblock block_render %}
	}
	
	this._blockRenderCallback=function(){
		{% block _renderCallback %}
		{# Allocating objects #}
		var child_relations = objM.getRelationsFromParent(this.id);
		for(var i in child_relations){
			var id=child_relations[i]['CHILDOBJ_ID'];
			this.registered_ids.push(id);
			objM.addAllocatedObj(id);
		}
		this._blockRenderFinalize();
		{% endblock _renderCallback %}
	}
	
	this._blockRenderFinalize=function(){
		{% block _renderFinalize %}
		themeManager.waitplease_display(false);
		{% endblock _renderFinalize %}
	}
	
	this.onUnload = function(){
		{% block block_onUnload %}
		{# De-Allocating objects #}
		for(var i in this.registered_ids)objM.freeAllocatedObj(this.registered_ids[i]);
		this.registered_ids = new Array();
		
		{# De-registering events for device orientation, if enabled #}
		if( themeManager.deviceOrientationIsSupported() ){
			if (window.DeviceOrientationEvent) {
			    window.removeEventListener('deviceorientation',$.proxy(this.deviceOrientationChange,this),false);
			} else if (window.OrientationEvent) {
			    window.removeEventListener('MozOrientation',$.proxy(this.mozDeviceOrientationChange,this),false);
			}
		}
		{% endblock block_onUnload %}
	}

	{# This function activates or de-activates edit mode #}
	this.editModeToggle=function(activate_flag,params){
		{% block block_editModeToggle %}
		if(!params)params={};
		this.block_plan_edit_mode=activate_flag;
		this._setScrollable();
		if(activate_flag){
			this.editModeGetElements().find(".editplan-item-cover").show();
			{# Activating multidraggable, and showing covering div inside renderings, in order to prevent usual behaviour #}
			this.editModeGetElements().multidraggable({
				appendTo: this.getScopeSelector()+' #plan_contained',
				containment: this.getScopeSelector()+' #plan_container',
				cursor:'move',
				grid: [5, 5],
				stop:function(event, ui){
					iM.getScope(this).block_plan_edit_mode_changes_pending=true;
				}
			});
			this.editModeGetElements(this._getResizableSelector()).resizable({
				grid: [5, 5],
				handles: "n,ne,e,se,s,sw,w,nw",
				stop:function(event,ui){
					iM.getScope(this).block_plan_edit_mode_changes_pending=true;
				}
			});
		}
		else {
			if(this.block_plan_edit_mode_changes_pending){
				{# Asking confirmation before closing editing mode if at least one change has been made by user #}
				if(!confirm("{{ getConstant('_DPAD_DBCONSTANT_EDITPLAN_ACTION_CLOSE_CONFIRM_MSG')|encode4jscript }}")){
					return false;
				}
			}
			this.editModeRestore();
			{# De-activating draggable #}
			//this.editModeGetElements().multidraggable('destroy').removeClass('ui-multidraggable').find(".editplan-item-cover").hide();
			this.editModeGetElements().multidraggable('destroy').find(".editplan-item-cover").hide();
			this.editModeGetElements(this._getResizableSelector()).removeClass('ui-resizable').resizable('destroy');
		}
		return true;
		{% endblock block_editModeToggle %}
	}

	{# This function saves current positions and settings #}
	this.editModeSave=function(){
		this.block_plan_edit_mode_changes_pending=false;
		var jObjs=this.editModeGetElements();
		for(var i=0;i<jObjs.length;i++){
			var jObj=jObjs.eq(i);
			var _iRelationID = this.plan_relation_id_from_element_id( jObj.prop('id') );
			if( isNaN( parseInt( _iRelationID ) ) ){
				return;
			}
			var _oRelation = objM.getRelation( _iRelationID );
			var oCurrentOptionals = this.editModeGetElementOptionals(jObj);
			var aCurrentOptionals = new Array();
			for(var key in oCurrentOptionals){
				objM.updateOptionRelation(_iRelationID,key,oCurrentOptionals[key]);
			}
			objM.updateFieldRelation(_iRelationID,'optional',_oRelation['OPTIONAL'],{bUpdateAlwaysDB: true});
		}
		themeManager.showMessage('{{ getConstant("_DPAD_DBCONSTANT_EDITPLAN_ACTION_SAVE_CONFIRM_MSG")|encode4jscript }}','info');
	}
	
	{# This function restores original configuration previous to last save #}
	this.editModeRestore = function(){
		{# Disabling current selected items #}
		//$(this.getScopeSelector()).find('.ui-multidraggable').removeClass('ui-multidraggable');
		$(this.getScopeSelector()).find('.ui-resizable').removeClass('ui-resizable');
		var jObjs = this.editModeGetElements();
		for(var i=0;i<jObjs.length;i++){
			var jObj = jObjs.eq(i);
			var _iRelationID = this.plan_relation_id_from_element_id( jObj.prop('id') );
			if( isNaN( parseInt( _iRelationID ) ) ){
				continue;
			}
			var oCurrentOptionals = this.editModeGetElementOptionals(jObj);
			var oCurrentOriginalOptionals = objM.getRelation( _iRelationID ).options;
			{# Restoring original position #}
			if( oCurrentOptionals.xpos != oCurrentOriginalOptionals.xpos ||
				oCurrentOptionals.ypos != oCurrentOriginalOptionals.ypos ||
				oCurrentOptionals.width != oCurrentOriginalOptionals.width ||
				oCurrentOptionals.height != oCurrentOriginalOptionals.height
			){
				jObj.animate({
						top: oCurrentOriginalOptionals.ypos,
						left: oCurrentOriginalOptionals.xpos,
						width: oCurrentOriginalOptionals.width,
						height: oCurrentOriginalOptionals.height
					},
					'slow'
				);
			}
			{% block editModeRestore_optionals %}
			{# Restoring original label visibility if different from current one #}
			if( oCurrentOptionals.show_label!=oCurrentOriginalOptionals.show_label ){
				this.editModeOptionSet( _iRelationID,'show_label',oCurrentOriginalOptionals.show_label,false);
			}
			{# Restoring original visibility if different from current one #}
			if( oCurrentOptionals.display!=oCurrentOriginalOptionals.display ){
				this.editModeOptionSet( _iRelationID,'display',oCurrentOriginalOptionals.display,false);
			}
			{% endblock editModeRestore_optionals %}
		}
		this.block_plan_edit_mode_changes_pending=false;
	}
	
	{# This function sets a given value to option for a certain object #}
	this.editModeOptionSet = function(iRelationID,option_name,option_value,save_immediately){
		{% block block_editModeOptionSet %}
		{# Updating option in DB if requested #}
		if( save_immediately ){
			objM.updateFieldRelation(iRelationID,'options.'+option_name,option_value);
		}
		{# Managing specific option #}
		{% block block_editModeOptionSetOptions %}
		switch( option_name ){
			case "display":
				if( !this.block_plan_edit_ignore_display_option ){
					{# Identifying div containing current object, and setting its visibility #}
					var current_object_container = $(this.getScopeSelector()).find("#block_plan_plan_item_" + iRelationID);
					if( option_value=="block" && !current_object_container.is(":visible") ){
						current_object_container.fadeIn("fast");
					} else if( option_value!="block" && current_object_container.is(":visible") ){
						current_object_container.fadeOut("fast");
					}
				}
			break;
			case "show_label":
				{# Identifying div containing current object name, and setting its visibility #}
				var current_object_container = $(this.getScopeSelector()).find("#block_plan_plan_item_" + iRelationID);
				var current_object_name_container = current_object_container.find(".rendering_plan_name_containing_cell");
				if( option_value==true && !current_object_name_container.is(":visible") ){
					this.rendering_plan_update_name_position(current_object_container);
					current_object_name_container.show();
				} else if( !option_value && current_object_name_container.is(":visible") ){
					current_object_name_container.hide();
				}
				break;
		}
		{% endblock block_editModeOptionSetOptions %}
		{% endblock block_editModeOptionSet %}
	}

	{# This function selects given item #}
	this.editModeSelectItem = function(caller){
		{% block block_editModeSelectItem %}
		if(!this.block_plan_edit_mode)	return;				{# Pleonastic: it should never happen!(N.d.Muprhy: But it will happen!) #}
		//caller.addClass('ui-multidraggable');
		{% endblock block_editModeSelectItem %}
	}
	
	{# This function de-selects given item #}
	this.editModeDeSelectItem = function(caller){
		{% block block_editModeDeSelectItem %}
		if(!this.block_plan_edit_mode)	return;				{# Pleonastic: it should never happen!(N.d.Muprhy: But it will happen!) #}
		//caller.removeClass('ui-multidraggable');
		{% endblock block_editModeDeSelectItem %}
	}
	
	this.editModeToggleItemSelection=function(event,caller,toggle){
		if(!event.ctrlKey && {# if not CTRL+Click handled by multidraggable environment #}
			( 
				(!caller.hasClass('ui-multidraggable') && this.editModeGetSelected().length>0) || {# if missing hilight class #}
				(this.editModeGetSelected().length<=1 && $(caller).get(0)!=this.editModeGetSelected().get(0)) {# if there is a single hilighted item and it's not the caller #} 
			)
		){
			//$(this.getScopeSelector()).find('.ui-multidraggable').removeClass('ui-multidraggable');
			if(toggle)this.editModeSelectItem(caller);
			else this.editModeDeSelectItem(caller);
		}
		this.editModeEventSelectedItems();
	}
	
	this.editModeGetElements=function(filter){
		{% block block_editModeGetElements %}
		var elements = $(this.getScopeSelector()).find('.object-box');
		{% endblock block_editModeGetElements %}
		if(typeof(filter)!='undefined')
		{
			elements = elements.filter(filter);
		}
		return elements;
	}
	
	this.editModeGetSelected=function(){
		return $(this.getScopeSelector()).find('.ui-multidraggable');
	}
	
	this.editModeGetElementOptionals=function(jObj){
		var oCurrentOptionals={};
		var oCurrentPosition=jObj.position();
		oCurrentOptionals.xpos=oCurrentPosition.left;
		oCurrentOptionals.ypos=oCurrentPosition.top;
		if( this._isResizable(jObj) ){
			oCurrentOptionals.width = jObj.width();
			oCurrentOptionals.height = jObj.height();
		}
		{% block block_editModeGetElementOptionals %}
		if(!this.block_plan_edit_ignore_display_option)oCurrentOptionals.display=(jObj.is(":visible")?"block":"none");
		oCurrentOptionals.show_label=(jObj.find(".rendering_plan_name_containing_cell").is(":visible")?true:false);
		{% endblock block_editModeGetElementOptionals %}
		return oCurrentOptionals;
	}
	
	{# This function updates by page selection #}
	this.editModeEventSelectedItems=function(){
		var jObjs=this.editModeGetSelected();
		var options=new Array();
		for(var i=0;i<jObjs.length;i++)options.push(this.editModeGetElementOptionals(jObjs.eq(i)));
		var oRighPanelScope=iM.getScopeFromActiveView('right_panel');
		if(oRighPanelScope)oRighPanelScope.eventSelectedItems(jObjs,options);
	}
	
	this.editModeUpdateSelectedItemsOptionSet=function(option_name,option_value,save_immediately){
		var aSelected=this.editModeGetSelected();
		for(var i=0;i<aSelected.length;i++){
			this.editModeOptionSet(
				this.plan_relation_id_from_element_id(aSelected.eq(i).prop('id')),
				option_name,
				option_value,
				save_immediately
			);
		}
	}
	
	{# This function gets relation ID from containind div ID #}
	this.plan_relation_id_from_element_id=function(sElementID){
		var _aElementIDTokens = sElementID.split('_');
		return _aElementIDTokens[ _aElementIDTokens.length-1 ];
	}
	
	this._isResizable=function(jObj){
		var sType=jObj.attr('type');
		var _bResizable = false;
		switch(sType){
			case '{{ getConstant("_DPAD_CLASS_TYPE_GROUP") }}':
			case '{{ getConstant("_DPAD_CLASS_TYPE_URL") }}':
				_bResizable = true;
				break;
			case '{{ getConstant("_DPAD_CLASS_TYPE_CAMERA") }}':
				_bResizable = true;
				if(jObj.attr('objectid')!=''){
					var _oObj = objM.getObj(jObj.attr('objectid'));
					if(_oObj.options.aspect=='icon')	_bResizable=false;
				}
				break;
		}
			
		return _bResizable;
	}
	
	this._getResizableSelector=function(){
		return "[type='{{ getConstant("_DPAD_CLASS_TYPE_GROUP") }}'],[type='{{ getConstant("_DPAD_CLASS_TYPE_CAMERA") }}'],[type='{{ getConstant("_DPAD_CLASS_TYPE_URL") }}']";
	}
			
	this.objectIsAllowed = function(obj){

		switch(obj.type){
			{% block _objectAllowedTypes %}
			case 'SEARCHFOLDER':
			case 'CLIENTBROWSER':
			case 'DAILYSCHEDULE':
			case 'USER':
			case 'USERGROUP':
			case 'USERPERMISSION':
			case 'EIBGROUP':
			{% endblock _objectAllowedTypes %}
				return false;
				break;
			default:
				return true;
		}
	}

	{# Handlers for objects expand/collapse events #}	
	this.onObjectCollapsed = function(jObj){
	{% block _onObjectCollapsed %}{% endblock %}
	}
	
	this.onObjectExpanded = function(jObj){
	{% block _onObjectExpanded %}{% endblock %}
	}
	
	{# Detects a device orientation change, if supported by device #}
	this.deviceOrientationChange = function(event){
		var tiltLR = event.gamma;
		var tiltFB = event.beta;
		var tilt = Math.max(tiltLR,tiltFB);
		var dir = event.alpha
		var motUD = null;
		this.deviceOrientationHandler({lr:tiltLR, fb:tiltFB, tilt:tilt, dir:dir, ud:motUD});
	}
	
	this.mozDeviceOrientationChange = function(event){
		var tiltLR = event.x * 90;
		var tiltFB = event.y * -90;
		var tilt = Math.max(tiltLR,tiltFB);
		var dir = null;
		var motUD = event.z;
		this.deviceOrientationHandler({lr:tiltLR, fb:tiltFB, tilt:tilt, dir:dir, ud:motUD});
	}
	
	this.deviceOrientationHandler = function(orientation)
	{
		{% block _deviceOrientationHandler %}

		{# Current orientation initialization #}
		if(typeof(this._oOrientationCurrent)=='undefined')	this._oOrientationCurrent = orientation;
		
		{# Compass handling #}
		if(!this._bCompassDisabled){
			if(typeof(orientation.dir)!='undefined'){
				orientation.dir = Math.round(orientation.dir / this._iOrientationSensitivity) * this._iOrientationSensitivity;
				if(orientation.dir==360)	orientation.dir = 0;
				if(orientation.dir!=this._oOrientationCurrent.dir || !this._bCompassInitialized){
					this.deviceDirectionChanged(orientation.dir);
				}
			} else {
				rM.log({type:"info"},"Client does not support compass direction");
			}
		} else {
			if(!this._bCompassInitialized){
				rM.log({type:"info"},"Compass is disabled for current group");
				this._bCompassInitialized = true;
			}
		}

		{# Tilt #}
		if(!this._bTiltDisabled){
			if(typeof(orientation.tilt)!='undefined'){
				orientation.tilt = Math.round(orientation.tilt / this._iOrientationSensitivity) * this._iOrientationSensitivity;

				if(orientation.tilt!=this._oOrientationCurrent.tilt || !this._bTiltInitialized){
					this.deviceTiltChanged(orientation.tilt);
				}
			} else {
				rM.log({type:"info"},"Client does not support tilt detection");
			}
		} else {
			if(!this._bTiltInitialized){
				rM.log({type:"info"},"Tilt detection is disabled for current group");
				this._bTiltInitialized = true;
			}
		}

		{# Common operations #}
		this._oOrientationCurrent = orientation;
		{% endblock _deviceOrientationHandler %}
	}
			
	this.deviceDirectionChanged = function(degrees){
		{% block deviceDirectionChanged %}
		{% endblock deviceDirectionChanged %}
		this._bCompassInitialized = true;
	}

	this.deviceTiltChanged = function(tilt){
		{% block deviceTiltChanged %}
		{% endblock deviceTiltChanged %}
		this._bTiltInitialized = true;
	}
	
{% block _customScope %}
{% endblock _customScope %}	
</jsScopeScripts>