{* Scope scripts *}
<jsIncludes>
{html_includejs name="jquery.sprintf.js" type="js"}
</jsIncludes>
<jsScopeScripts> 
    {* Initializing page title *}
    this.page_title='{$page.page_title}';
	{* Declaring array of dayweeks *}
    this.daysofweek = Array("SUN","MON","TUE","WED","THU","FRI","SAT");
    {literal}
    this.onLoad=function(){
        if(!this.id){
            themeManager.showMessage('{php}echo _DPAD_PLUGIN_SCHEDULER_TIMESET_MESSAGE_OBJECT_ID_NOT_GIVEN; {/php}','warning',10);
            return;
        }
        {/literal}{* Declaring maximum schedules number *}{literal}
		this.scheduler_maximum_items='{/literal}{$page.scheduler_maximum_items}{literal}';
		{/literal}{* Declaring array of possible object action values *}{literal}
		this.arr_object_action_values=new Array();
		{/literal}{* Declaring array of timesets and associated variables *}{literal}
		this.arr_timesets=new Array();
		this.arr_timesets_active_counter=0;
		this.arr_timesets_deleted_counter=0;
		{/literal}{* Initializing timeout handler for increase/decrease *}{literal}
		this.increase_decrease_timeout_handler=null;;
		this.last_pending_operation_timeset_index=-1;
		this.filter_year_current_months='';
		this.filter_year_current_monthdays='';
		this.filter_year_current_timeset_index=-1;
		this.timesets_enable_flag=true;
        {/literal}{* Clearing container table *}{literal}
        $(this.getScopeSelector()).find('#scheduler_containing_table > tbody:last').html('');
        {/literal}{* Initializing actions array for current object *}{literal}
        this.scheduler_object_actions_initialize();
        {/literal}{* Loading timesets associated to current object *}{literal}
        this.scheduler_timesets_load();

		if(!this.return_url)$(this.getScopeSelector()).find('#back_button').hide();
		else $(this.getScopeSelector()).find('#back_button').show();
		if(this.page_title)$(this.getScopeSelector()).find('#page_title').html($.sprintf(this.page_title,objM.getObj(this.id).name));
		{/literal}{* Updating page footer *}{literal}
    }
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
		
	this._setScrollable=function(){
		themeManager.setScrollable($(this.getScopeSelector()).find('#scheduler_scrolling_div'));
	}

	this.back=function(){
		if(this.return_url) {
			iM.openInstance(this.return_url);
		}
	}
	
    this.scheduler_object_actions_initialize=function(){
		{/literal}{* Identifying current object and trying to retrieve its first associated rendering element *}{literal}
		var current_object=objM.getObj(this.id);
		var options=current_object.getRenderOptions();
		if(options.length>0){
            for(var i in options)this.arr_object_action_values.push({'value':options[i]['VALUE'],'label':options[i]['LABEL']});
		}
		else{
			var oRendering=current_object.getRendering();
			var min_state=parseFloat(oRendering.min_state);
			var max_state=parseFloat(oRendering.max_state);
			var step_state=parseFloat(oRendering.step_state);
			for(var v=min_state;v<=max_state;v+=step_state){
                var current_value_label = v;
				{/literal}{* Using Jquery to translate HTML entities into human readable format *}{literal}
                if(oRendering.formatting_schema!='')current_value_label=sprintf($('<div/>').html(oRendering.formatting_schema).text(),v);
                this.arr_object_action_values.push({'value':v,'label':current_value_label});
            }
		}
    }

    this.scheduler_object_action_get_property_by_value = function(action_value,property){
        for(var i=0;i<this.arr_object_action_values.length;i++){
            if(this.arr_object_action_values[i]["value"]==action_value){
                switch(property){
                    case 'label':
                        return this.arr_object_action_values[i]["label"];
                        break;
                    case 'index':
                        return i;
                        break;
                }
            }
        }
        return null;
    }
    
    this.scheduler_timesets_load= function(){
        {/literal}{* Performing query to retrieve timesets associated to current object *}{literal}
        var query='SELECT O.ID,O.MIN_VALUE,O.MAX_VALUE,O.MSP,R.ACTION_VALUE,R.ENABLE_FLAG FROM DPADD_OBJECT O INNER JOIN DPADD_OBJECT_RELATION R ON R.PARENTOBJ_ID = O.ID WHERE O.TYPE=\'{/literal}{$smarty.const._DPAD_CLASS_TYPE_TIMESET}{literal}\' AND R.CHILDOBJ_ID=\'' + this.id + '\' ORDER BY R.ORDER_NUM ASC;';
        dbManager.executeSQL(query,Math.random(),$.proxy(this.scheduler_timesets_load_callback,this));
    }

    this.scheduler_timesets_load_callback=function(result_array){
        {/literal}{* If no timeset is found, adding a fake row *}{literal}
        if(result_array.length==0)result_array.push({'ID':'','MIN_VALUE':'0:0','MAX_VALUE':'0:0','MSP':'* * *','ACTION_VALUE':this.arr_object_action_values[0]['value'],'STATUS':'unchanged','ENABLE_FLAG':'1'});
        {/literal}{* Scanning results, enqueuing data into global timesets array *}{literal}
        var timesets_html='';
        for(var i=0;i<result_array.length; i++){
            this.scheduler_timesets_add_row(result_array[i]);
            {/literal}{* If at least one timeset relation is disabled, disabling entire timesets set *}{literal}
            if(result_array[i]["ENABLE_FLAG"]!="1")this.timesets_enable_flag = false;
        }
		{/literal}{* Managing enable-disable *}{literal}
        this.scheduler_timesets_enable_disable();
    }

    this.scheduler_timesets_duplicate_row=function(current_index){
        {/literal}{* Identifying current timeset *}{literal}
        var current_timeset = this.arr_timesets[current_index];
        {/literal}{* Creating set of data to be passed to "add" function *}{literal}
        var current_row_data = {"ID":"","MIN_VALUE":current_timeset.hour+":"+current_timeset.min,"MAX_VALUE":"","MSP":current_timeset.msp,"ACTION_VALUE":current_timeset.action_value,"STATUS":"changed"};
        {/literal}{* Passing row data to "add" function *}{literal}
        this.scheduler_timesets_add_row(current_row_data);
    }

    this.scheduler_timesets_delete_row=function(current_index){
        //Flagging timeset as deleted
        this.arr_timesets[current_index].status = "deleted";
        //Removing correspoding table row
        $(this.getScopeSelector()).find("#scheduler_" + current_index + "_containing_row").hide();
        //Updating counters
        this.arr_timesets_deleted_counter++;
        this.arr_timesets_active_counter--;
        //If no remaining elements, adding a new empty row
        if(this.arr_timesets_active_counter<=0){
            this.scheduler_timesets_add_row({"ID":"","MIN_VALUE":"0:0","MAX_VALUE":"0:0","MSP":"* * *","ACTION_VALUE":"","STATUS":"unchanged"});
        }
    }


    this.scheduler_timesets_add_row = function(row_data){
        //Identifying next index in timesets array
        var new_timeset_index = this.arr_timesets.length;
        //Identifying data for current timeset
        var current_timeset = {
			"id" : row_data["ID"],
			"min_value" : row_data["MIN_VALUE"],
			"max_value" : row_data["MAX_VALUE"],
			"msp" : row_data["MSP"],
			"hour" : "",
			"min" : "",
			"month" : "*",
			"monthday" : "*",
			"weekday" : "",
			"mon": false,
			"tue": false,
			"wed": false,
			"thu": false,
			"fri": false,
			"sat": false,
			"sun": false,
			"status": row_data["STATUS"],
			"action_value": row_data["ACTION_VALUE"]
		};
        //Parsing start time and determining hour/minute
        if(current_timeset.min_value!="")   current_timeset.hour = parseInt(current_timeset.min_value.split(":")[0]);
        if(current_timeset.min_value!="")   current_timeset.min = parseInt(current_timeset.min_value.split(":")[1]);
        //Splitting MSP in order to obtain month, monthday and weekday (if not given)
        var current_timeset_msp_tokens = current_timeset.msp.split(" ");
        if(current_timeset_msp_tokens.length>0) current_timeset.monthday = current_timeset_msp_tokens[0];
        if(current_timeset_msp_tokens.length>1) current_timeset.month = current_timeset_msp_tokens[1];
        if(current_timeset_msp_tokens.length>2) current_timeset.weekday = current_timeset_msp_tokens[2];
        //Creating a temporary jquery object containing prototype row
        var prototype = $($(this.getScopeSelector()).find("#scheduler_row_prototype_containing_table > tbody:last").html().replace(/xxx/g,new_timeset_index));
        //Updating prototype HTML elements according to current timeset
        prototype.find("#scheduler_"+new_timeset_index+"_hour").val(current_timeset.hour);
        prototype.find("#scheduler_"+new_timeset_index+"_min").val(current_timeset.min);
        prototype.find("#scheduler_"+new_timeset_index+"_action_value").val(current_timeset.action_value);
        prototype.find("#scheduler_"+new_timeset_index+"_action_value_label").val(this.scheduler_object_action_get_property_by_value(current_timeset.action_value,"label"));
        for(var j=0;j<this.daysofweek.length;j++){
            var current_weekday_flag = current_timeset[this.daysofweek[j].toLowerCase()] = (current_timeset.weekday.indexOf(j)!=-1);
            var current_weekday_image = prototype.find("#scheduler_" + new_timeset_index + "_" + this.daysofweek[j].toLowerCase() + "_img");
            current_weekday_image.prop("checked",current_weekday_flag);
            if(current_weekday_flag)current_weekday_image.attr("src",current_weekday_image.attr("src").replace("_shaded","_checked"));
        }
        //Hilighting year filter in case of filter different from "every day"
        if((current_timeset.monthday != "*" && current_timeset.monthday != "") || (current_timeset.month != "*" && current_timeset.month != "")){
            prototype.find("#scheduler_" + new_timeset_index + "_year_filter").parent().removeClass("form_smallbutton_blue").addClass("form_smallbutton_red_hover");
        }
        //Enqueuing element to general HTML
        prototype.appendTo($(this.getScopeSelector()).find('#scheduler_containing_table > tbody:last'));
        //Adding current timeset to global array
        this.arr_timesets.push(current_timeset);
        //Incrementing counter
        this.arr_timesets_active_counter++;
    }
    
    this.weekday_toggle=function(caller){
        //Inverting checked state
        caller.prop("checked",(caller.prop("checked")=="true"?"false":"true"));
        var current_timeset_selected_weekday_checked;
        //Updating image source
        if(caller.prop("checked")=="true"){
            caller.attr("src",caller.attr("src").replace("shaded","checked"));
            current_timeset_selected_weekday_checked=true;
        }
		else{
            caller.attr("src",caller.attr("src").replace("checked","shaded"));
            current_timeset_selected_weekday_checked=false;
        }
        //Identifying corresponding timeset
        var current_timeset_index=caller.attr("id").split('_')[1];
        var current_timeset_weekday=caller.attr("id").split('_')[2];
        //Updating corresponding weekday in timeset
        this.arr_timesets[current_timeset_index][current_timeset_weekday]=current_timeset_selected_weekday_checked;
        //Compiling a new weekday string
        var current_timeset_weekday_array = new Array();
        for(var i=0;i<this.daysofweek.length;i++){
            var current_timeset_dayofweek_checked=($(this.getScopeSelector()).find("#scheduler_" + current_timeset_index + "_" + this.daysofweek[i].toLowerCase() + "_img").prop("checked")=="true");
            if(current_timeset_dayofweek_checked)current_timeset_weekday_array.push(i);
        }
        //Updating weekday for current timeset
        this.arr_timesets[current_timeset_index].weekday = current_timeset_weekday_array.join(",");
        //Updating MSP in corresponding timeset
        var current_timeset_prev_msp_array = this.arr_timesets[current_timeset_index].msp.split(" ");
        this.arr_timesets[current_timeset_index].msp = this.arr_timesets[current_timeset_index].monthday + " " + this.arr_timesets[current_timeset_index].month + " " + this.arr_timesets[current_timeset_index].weekday;
        this.arr_timesets[current_timeset_index].status = "changed";
    }
    
    this.scheduler_timesets_save = function(){
        //Displaying waitplease
        themeManager.waitplease_display(true);
        //Initializing counter of ajax operation
        var ajax_operations_counter = 0;
        var pending_operation_timeset_index = -1;
        //Scanning timesets
        //for(var i=0;i<this.arr_timesets.length;i++)
		for(var i in this.arr_timesets){
            //Identifying current timeset
            var current_timeset = this.arr_timesets[i];
            //Managing timeset state
            switch(current_timeset.status){
                case "unchanged":
                    continue;
                    break;
                case "changed":
                    //Identifying action value from corresponding form field
                    current_timeset.action_value = $(this.getScopeSelector()).find("#scheduler_" + (i) + "_action_value").val();
                    //Determining if timeset is active
                    current_timeset.active = current_timeset.mon || current_timeset.tue || current_timeset.wed || current_timeset.thu || current_timeset.fri || current_timeset.sat || current_timeset.sun;
                    //Preparing min_value and max_value
                    current_timeset.min_value = current_timeset.hour + ":" + current_timeset.min;
                    if(current_timeset.active){
                        //Timeset is active: setting max_value to next minute
                        current_timeset.max_value = this.scheduler_get_next_min(current_timeset.min_value);
                    }
                    else{
                        //Timeset is not active: setting max_value equal to min_value (it will be skipped in crontab!!!)
                        current_timeset.max_value = current_timeset.min_value;
                        //Setting MSP as empty
                        current_timeset.msp = "";
                    }
                    //Performing a call to PHP page in order to save timeset
                    $.post(
						'../plugin/showplugin.php?plugin=scheduler',
						{op:'update_timeset',timeset_id:current_timeset.id,timeset_index:i,timeset_min_value:current_timeset.min_value,timeset_max_value:current_timeset.max_value,timeset_msp:current_timeset.msp,action_value:current_timeset.action_value,object_id:this.id},
						$.proxy(this.scheduler_timesets_save_callback,this)
                    );
                    ajax_operations_counter++;
                    pending_operation_timeset_index = i;
                    break;
                case "deleted":
                    //Skipping in case of timeset without ID (not in DB!)
                    if(current_timeset.id == "" || current_timeset.id == null)   continue;
                    //Performing a call to PHP page in order to delete timeset
                    $.get(
						'../plugin/showplugin.php?plugin=scheduler',
						{op:'delete_timeset',timeset_id:current_timeset.id,timeset_index:i,object_id:this.id},
						$.proxy(this.scheduler_timesets_save_callback,this)
                    );
                    ajax_operations_counter++;
                    pending_operation_timeset_index = i;
                    break;
            }
        }
        //If no ajax operations performed, hiding waitplease
        if(ajax_operations_counter==0)themeManager.waitplease_display(false);
        else last_pending_operation_timeset_index = pending_operation_timeset_index;
    }

    this.scheduler_timesets_save_callback = function(xml){
		var oXML=rM.XML(xml);
		var result=parseFloat(oXML.get('result'));
		var message=oXML.get('message');
		var timeset_id=oXML.get('timeset_id');
		var timeset_index=oXML.get('timeset_index');
        //Identifying result and message
        //In case of error, display message and returun
        if(result != '{/literal}{php} echo _DPAD_RESULT_NOERROR; {/php}{literal}'){
            //Showing message
            themeManager.showMessage(message,'warning',10);
        }
        else{
            //Setting status to "unchanged"
            this.arr_timesets[timeset_index].status = "unchanged";
            
            //Updating timeset ID in global array
            this.arr_timesets[timeset_index].id = timeset_id;
            
            //Updating corresponding field
            $(this.getScopeSelector()).find("#scheduler_" + (timeset_index) + "_id").val(timeset_id);
        }
        //If last timeset, saving crontab
        if(timeset_index == last_pending_operation_timeset_index)
        {
            //Performing a call to PHP page in order to save crontab
            $.get(
                '../plugin/showplugin.php?plugin=scheduler',
                {op:'save_crontab'},
                function(xml)
                {
                        //Identifying result and message
						var oXML=rM.XML(xml);
						var result=parseFloat(oXML.get('result'));
						var message=oXML.get('message');
                        //In case of error, display message and return
                        if(result != '{/literal}{php}echo _DPAD_RESULT_NOERROR;{/php}{literal}'){
                            //Showing message
                            themeManager.showMessage(message,'warning',10);
                        }
                        else{
                            //Showing message
                            themeManager.showMessage(message,'info',5);
                        }
                        themeManager.waitplease_display(false);
                        return;
                }
            );
        }
    }    

    this.scheduler_get_next_min = function(reference_time)
    {
        var reference_hour = parseInt(reference_time.split(":")[0]);
        var reference_min = parseInt(reference_time.split(":")[1]);
        if(reference_min<59)
        {
            return reference_hour + ":" + (reference_min+1);
        }
        else
        {
            if(reference_hour<23)
            {
                return (reference_hour+1) + ":0";
            }
            else
            {
                return "0:0";
            }
        }
        
    }
    
    this.increase_decrease_value_start=function(field,min_value,max_value,operation){
        //Skipping in case of empty jquery object
        if(!field)  return;
        
        //Identifying current value
        var current_value = parseFloat(field.val());
        
        //Determining next value
        if(operation=="increase"){
            var next_value = Math.min(current_value + 1,max_value);
        }
        else{
            var next_value = Math.max(current_value - 1,min_value);
        }
    
        //Updating field
        field.val(next_value);
        
        //Identifying index and element in timesets array
        var current_timeset_index = field.attr("id").split("_")[1];
        var current_timeset_field = field.attr("id").split("_")[2];
        this.arr_timesets[current_timeset_index][current_timeset_field]=next_value;
        this.arr_timesets[current_timeset_index].status = "changed";

        this.increase_decrease_timeout_handler=setTimeout("iM.getScopeFromActiveView().increase_decrease_value_start($(iM.getScopeFromActiveView().getScopeSelector()).find('#" + field.attr("id") + "')," + min_value + "," + max_value +",'" + operation + "')",125);
    }
    
    this.increase_decrease_value_stop=function(){
        clearTimeout(this.increase_decrease_timeout_handler);
    }
    
    this.increase_decrease_action_value_start=function(value_field,label_field,operation){
        {/literal}{* Skipping in case of empty jquery object *}{literal}
        if(!value_field)  return;
        {/literal}{* Identifying current value and corresponding index in action array *}{literal}
        var current_value=parseFloat(value_field.val());
        var current_index=this.scheduler_object_action_get_property_by_value(current_value,'index');
        {/literal}{* Determining next value and corresponding label *}{literal}
        if(operation=='increase'){
            if(current_index==this.arr_object_action_values.length-1)    return;
            var next_value=this.arr_object_action_values[current_index+1]['value'];
            var next_label=this.arr_object_action_values[current_index+1]['label'];
        }
        else{
            if(current_index==0)    return;
            var next_value=this.arr_object_action_values[current_index-1]['value'];
            var next_label=this.arr_object_action_values[current_index-1]['label'];
        }
        {/literal}{* Updating fields *}{literal}
        value_field.val(next_value);
        label_field.val(next_label);
        {/literal}{* Identifying index and element in timesets array *}{literal}
        var current_timeset_index=value_field.attr('id').split('_')[1];
        this.arr_timesets[current_timeset_index]['action_value'] = next_value;
        this.arr_timesets[current_timeset_index].status = 'changed';
        this.increase_decrease_timeout_handler = setTimeout("iM.getScopeFromActiveView().increase_decrease_action_value_start($(iM.getScopeFromActiveView().getScopeSelector()).find('#" + value_field.attr("id") + "'),$(iM.getScopeFromActiveView().getScopeSelector()).find('#" + label_field.attr("id") + "'),'" + operation + "')",200);
    }
    
    this.increase_decrease_action_value_stop=function(){
        clearTimeout(this.increase_decrease_timeout_handler);
    }
    
    this.strpad = function(val){
        return (!isNaN(val) && val.toString().length==1)?"0"+val:val;
    }
    
    this.scheduler_year_filter_show = function(timeset_index)
    {
        filter_year_current_timeset_index = timeset_index;
        
        this.scheduler_year_filter_init(timeset_index);
        
        $(this.getScopeSelector()).find('#scheduler_container').fadeTo(0,0.2);
        $(this.getScopeSelector()).find('#scheduler_year_filter_container').fadeIn("fast");
    }

    this.scheduler_year_filter_init = function(timeset_index)
    {
        //Detecting current month and monthday statements for current timeset
        filter_year_current_months = this.arr_timesets[timeset_index].month;
        filter_year_current_monthdays = this.arr_timesets[timeset_index].monthday;
        
        //Selecting months
        if(filter_year_current_months=="*")
        {
            for(var month_index=1;month_index<=12;month_index++)  this.scheduler_year_filter_month_select(month_index,true);
        }
        else
        {
            for(var month_index=1;month_index<=12;month_index++)  this.scheduler_year_filter_month_select(month_index,false);

            var arr_filter_year_current_months = filter_year_current_months.split(",")
            for(var month_index in arr_filter_year_current_months)
            {
                this.scheduler_year_filter_month_select(arr_filter_year_current_months[month_index],true);
            }
        }

        //Selecting monthdays
        if(filter_year_current_monthdays=="*")
        {
            for(var monthday_index=1;monthday_index<=31;monthday_index++)  this.scheduler_year_filter_monthday_select(monthday_index,true);
        }
        else
        {
            for(var monthday_index=1;monthday_index<=31;monthday_index++)  this.scheduler_year_filter_monthday_select(monthday_index,false);

            var arr_filter_year_current_monthdays = filter_year_current_monthdays.split(",")
            for(var monthday_index in arr_filter_year_current_monthdays)
            {
                this.scheduler_year_filter_monthday_select(arr_filter_year_current_monthdays[monthday_index],true);
            }
        }
    }


    this.scheduler_year_filter_hide = function()
    {
        //Checking if filter is valid
		// se un'opzione non e' selezionaata avvisa se non e' selezionato niente procedi
		if(filter_year_current_monthdays=="" && filter_year_current_months =="") {
			filter_year_current_months = "*";
			filter_year_current_monthdays = "*";
		}
		
		if(filter_year_current_months=="" || filter_year_current_monthdays== "") {  
            themeManager.showMessage("{/literal}{php} echo _DPAD_PLUGIN_SCHEDULER_YEAR_FILTER_MESSAGE_FILTER_NOT_VALID; {/php}{literal}","warning",5);
            return;
        }

        //Setting status of timeset to "changed" in case of changes
        if(this.arr_timesets[filter_year_current_timeset_index].month != filter_year_current_months || this.arr_timesets[filter_year_current_timeset_index].monthday != filter_year_current_monthdays)    this.arr_timesets[filter_year_current_timeset_index].status = "changed";

        //Updating timeset with months and monthdays filter
        this.arr_timesets[filter_year_current_timeset_index].month = filter_year_current_months;
        this.arr_timesets[filter_year_current_timeset_index].monthday = filter_year_current_monthdays;
        
        //Concatenating crontab elements into MSP
        this.arr_timesets[filter_year_current_timeset_index].msp = this.arr_timesets[filter_year_current_timeset_index].monthday + " " + this.arr_timesets[filter_year_current_timeset_index].month + " " + this.arr_timesets[filter_year_current_timeset_index].weekday;
        
        //Managing hilight for corresponding button
        if(filter_year_current_months == "*" && filter_year_current_monthdays == "*")
            $(this.getScopeSelector()).find("#scheduler_" + filter_year_current_timeset_index + "_year_filter").parent().removeClass("form_smallbutton_red_hover").addClass("form_smallbutton_blue");
        else
            $(this.getScopeSelector()).find("#scheduler_" + filter_year_current_timeset_index + "_year_filter").parent().removeClass("form_smallbutton_blue").addClass("form_smallbutton_red_hover");
        
        //Hiding window and restoring original opacity to schedules management
        $(this.getScopeSelector()).find('#scheduler_container').fadeTo(0,1);
        $(this.getScopeSelector()).find('#scheduler_year_filter_container').fadeOut("fast");
    }

    this.scheduler_year_filter_months_select_all = function()
    {
        for(var i=1;i<=12;i++)  this.scheduler_year_filter_month_select(i,true);
        this.scheduler_year_filter_month_crontab_update();
    }
    
    this.scheduler_year_filter_months_select_none = function()
    {
        for(var i=1;i<=12;i++)  this.scheduler_year_filter_month_select(i,false);
        this.scheduler_year_filter_month_crontab_update();
    }
    
    this.scheduler_year_filter_month_select = function(month_index,select_flag)
    {
        //Identifying button associated to requested month
        var month_button = $(this.getScopeSelector()).find('#scheduler_year_filter_month_' + month_index);
        
        //Associating corresponding class depending on select_flag
        if(select_flag)
            month_button.removeClass("schedule_year_filter_button_unselected").addClass("schedule_year_filter_button_selected");
        else
            month_button.removeClass("schedule_year_filter_button_selected").addClass("schedule_year_filter_button_unselected");
    }
    
    this.scheduler_year_filter_month_toggle = function(month_index)
    {
        //Identifying button associated to requested month
        var month_button = $(this.getScopeSelector()).find('#scheduler_year_filter_month_' + month_index);
        
        //Determining if button is already selected
        var month_selected = month_button.hasClass("schedule_year_filter_button_selected");
        
        //Calling scheduler_year_filter_month_select() function with inverted select flag
        this.scheduler_year_filter_month_select(month_index,!month_selected);

        //Updating crontab statement
        this.scheduler_year_filter_month_crontab_update();
    }
    
    this.scheduler_year_filter_month_crontab_update = function()
    {
        var arr_selected_months = new Array();
        
        for(var i=1;i<=12;i++)
        {
            var current_month_button = $(this.getScopeSelector()).find('#scheduler_year_filter_month_' + i);
            if(current_month_button.hasClass("schedule_year_filter_button_selected"))   arr_selected_months.push(i);
        }
        
        if(arr_selected_months.length==12)
            filter_year_current_months = "*";
        else if(arr_selected_months.length==0)
            filter_year_current_months = "";
        else
            filter_year_current_months = arr_selected_months.sort().join(",");
    }

    this.scheduler_year_filter_monthdays_select_all = function()
    {
        for(var i=1;i<=31;i++)  this.scheduler_year_filter_monthday_select(i,true);
        this.scheduler_year_filter_monthday_crontab_update();
    }
    
    this.scheduler_year_filter_monthdays_select_none = function()
    {
        for(var i=1;i<=31;i++)  this.scheduler_year_filter_monthday_select(i,false);
        this.scheduler_year_filter_monthday_crontab_update();
    }
    
    this.scheduler_year_filter_monthday_select = function(monthday_index,select_flag)
    {
        //Identifying button associated to requested monthday
        var monthday_button = $(this.getScopeSelector()).find('#scheduler_year_filter_monthday_' + monthday_index);
        
        //Associating corresponding class depending on select_flag
        if(select_flag)
            monthday_button.removeClass("schedule_year_filter_smallbutton_unselected").addClass("schedule_year_filter_smallbutton_selected");
        else
            monthday_button.removeClass("schedule_year_filter_smallbutton_selected").addClass("schedule_year_filter_smallbutton_unselected");
    }
    
    this.scheduler_year_filter_monthday_toggle = function(monthday_index)
    {
        //Identifying button associated to requested monthday
        var monthday_button = $(this.getScopeSelector()).find('#scheduler_year_filter_monthday_' + monthday_index);
        
        //Determining if button is already selected
        var monthday_selected = monthday_button.hasClass("schedule_year_filter_smallbutton_selected");
        
        //Calling scheduler_year_filter_monthday_select() function with inverted select flag
        this.scheduler_year_filter_monthday_select(monthday_index,!monthday_selected);
        this.scheduler_year_filter_monthday_crontab_update();
    }
    
    this.scheduler_year_filter_monthday_crontab_update = function()
    {
        var arr_selected_monthdays = new Array();
        
        for(var i=1;i<=31;i++)
        {
            var current_monthday_button = $(this.getScopeSelector()).find('#scheduler_year_filter_monthday_' + i);
            if(current_monthday_button.hasClass("schedule_year_filter_smallbutton_selected"))   arr_selected_monthdays.push(i);
        }
        
        if(arr_selected_monthdays.length==31)
            filter_year_current_monthdays = "*";
        else if(arr_selected_monthdays.length==0)
            filter_year_current_monthdays = "";
        else
            filter_year_current_monthdays = arr_selected_monthdays.sort().join(",");
    }

    this.scheduler_timesets_enable_disable = function()
    {
        if(this.timesets_enable_flag)
        {
            $(this.getScopeSelector()).find("#scheduler_containing_table").fadeTo(0,1);
            $(this.getScopeSelector()).find("#scheduler_disable_covering_div").hide();
            $(this.getScopeSelector()).find("#scheduler_disable_button").val("{/literal}{php} echo _DPAD_PLUGIN_SCHEDULER_DISABLE_BUTTON; {/php}{literal}");
        }
        else
        {
            $(this.getScopeSelector()).find("#scheduler_containing_table").fadeTo(0,0.25);
            $(this.getScopeSelector()).find("#scheduler_disable_covering_div").show();
            $(this.getScopeSelector()).find("#scheduler_disable_button").val("{/literal}{php} echo _DPAD_PLUGIN_SCHEDULER_ENABLE_BUTTON; {/php}{literal}");
        }
    }
    
    this.scheduler_timesets_enable_disable_toggle = function()
    {
        //Displaying waitplease
        themeManager.waitplease_display(true);

        //Inverting enable flag
        this.timesets_enable_flag=!this.timesets_enable_flag;
        
        //Performing query in order to update timesets enable state
        var query = "UPDATE DPADD_OBJECT_RELATION SET ENABLE_FLAG='" + (this.timesets_enable_flag ? "1" : "0") + "' WHERE ID IN(SELECT R.ID FROM DPADD_OBJECT O INNER JOIN DPADD_OBJECT_RELATION R ON R.PARENTOBJ_ID = O.ID WHERE O.TYPE='TIMESET' AND R.CHILDOBJ_ID='" + this.id + "')";
        dbManager.executeSQL(query,Math.random(), $.proxy(this.scheduler_timesets_enable_disable_toggle_callback,this) );
    }
    
    this.scheduler_timesets_enable_disable_toggle_callback = function(result_array)
    {
        //Performing a call to PHP page in order to save crontab
        $.get(
            '../plugin/showplugin.php?plugin=scheduler',
            {op:'save_crontab'},
            function(xml)
            {
                    //Identifying result and message
                    var oXML=rM.XML(xml);
					var result=parseFloat(oXML.get('result'));
					var message=oXML.get('message');
                    //In case of error, display message and returun
                    if(result != '{/literal}{php} echo _DPAD_RESULT_NOERROR; {/php}{literal}'){
                        //Showing message
                        themeManager.showMessage(message,'warning',10);
                    }
                    else{
                        //Displaying a message
                        if(this.timesets_enable_flag)
                            themeManager.showMessage("{/literal}{php} echo _DPAD_PLUGIN_SCHEDULER_ENABLE_MESSAGE_SUCCESS; {/php}{literal}","info",5);
                        else
                            themeManager.showMessage("{/literal}{php} echo _DPAD_PLUGIN_SCHEDULER_DISABLE_MESSAGE_SUCCESS; {/php}{literal}","info",5);
                        
                        //Updating interface
                        iM.getScopeFromActiveView().scheduler_timesets_enable_disable();
                    }
                    themeManager.waitplease_display(false);
                    return;
            }
        );
    }
    {/literal}    
</jsScopeScripts>