<jsScopeScripts>
	{# Initializing variables #}
	this._trusted_timer=10;
	this._trusted_timer_update=null;
	this._trusted_events='mousedown mousemove touchstart touchmove.loginEvents';
	
	this.onLoad=function(){
		{% block onLoad %}
		{% endblock onLoad %}
		this.getUserUsername().focus();
		if( objM.getCurrentUser()!=null ){
			this.resetTrustedTimer();
		}
	}

	this.onTransitionDone=function(){
		this._setScrollable();
		{% block onTransitionDone %}
		{% endblock onTransitionDone %}
	}
	
	this.onUnload=function(){
		{% block onUnload %}
		this.disableTrustedTimer();
		{% endblock onUnload %}
	}
	
	this.detectEnterOnKeypress=function(keypressed) {
	    var keycode;
	    if (window.event) keycode = window.event.keyCode;
	    else if ( keypressed ) keycode = keypressed.which;
	    else return false;
	    return (keycode == 13);
	}

	{# AJAX call #}
	this.loginRequest=function(sUsername,sPassword,bRememberMe){
		this._loginRequestInProgress();
		if( typeof(sUsername)=='undefined' || sUsername==null ){
			sUsername = this.getUserUsername().val();
		}
		if( typeof(sPassword)=='undefined' || sPassword==null ){
			sPassword = this.getUserPassword().val();
		}
		if( typeof(bRememberMe)=='undefined' || bRememberMe==null ){
			bRememberMe = (this.getUserRememberMe().prop('checked')?1:0);
		}
		if( sUsername=='' || sPassword=='' ){
			this.showMessage('{{ getConstant('_DPAD_SYSTEM_USERLOGIN_PWDEMPTY')|encode4jscript }}','warning',10);
			return;
		}

		themeManager.waitplease_display(true);

		rM.ajax({
			url:'../system/user_login.php',
			data:{username:sUsername,password:sPassword,rememberMe:bRememberMe,op:'login'},
			timeout:false,
			success:$.proxy(this._loginRequestSuccess,this),
			error:$.proxy(this._loginRequestError,this)
		});
	}
	
	this._loginRequestInProgress=function(){
		this.showMessage('{{ getConstant('_DPAD_THEME_USER_LOGIN_MESSAGE_AUTHINPROGRESS')|encode4jscript }}','info');
	}
	
	this._loginRequestSuccess=function(xml,textStatus,jqXHR){
		{% block _loginRequestSuccess %}
		var _oXML = rM.XML(xml);
		var _iResult = parseFloat( _oXML.get('result') );
		var _sMessage = _oXML.get('message');
		this.getUserPassword().val('');
		if( _iResult!='{{ getConstant('_DPAD_RESULT_NOERROR') }}' ){
			this._loginRequestError(null,_sMessage);
		} else {
			this.showMessage('{{ getConstant('_DPAD_THEME_USER_LOGIN_MESSAGE_AUTHSUCCESS')|encode4jscript }}','info',10);
			this.getUserUsername().blur();
			this.getUserPassword().blur();
			var _sUserID = parseFloat( _oXML.get('userID') );
			var _documentUrl = themeManager.getUrlFromDocument();
			_documentUrl.url = ((_documentUrl.url)&&(_documentUrl.url.indexOf('/system/user_login.php')==-1)?_documentUrl.url:'../system/index.php');
			themeManager.triggerEvent('logging_in',[_sUserID,_documentUrl]);
			{% block _loginRequestSuccessCustom %}
			{% endblock _loginRequestSuccessCustom %}
		}
		{% endblock _loginRequestSuccess %}
	}
	
	this._loginRequestError=function(jqXHR,textStatus,errorThrown){
		{% block _loginRequestError %}
		this.showMessage(textStatus,'error',10);
		this.getUserPassword().val('');
		this.getUserUsername().val('').focus();
		themeManager.waitplease_display(false);
		{% endblock _loginRequestError %}
	}
{# Trusted Timer Handlers #}
	this.resetTrustedTimer=function(){
		$(this.getScopeSelector()).unbind(this._trusted_events);
		$(this.getScopeSelector()).bind(this._trusted_events,$.proxy(this.disableTrustedTimer,this));
		if(this._trusted_timer_update)clearTimeout(this._trusted_timer_update);
		this._trusted_timer_update=setInterval(this.getScope(true)+'.updateTrustedTimer()',1000);
	}
	
	this.updateTrustedTimer=function(){
		this._trusted_timer--;
		if(this._trusted_timer_update && this._trusted_timer<=0)clearTimeout(this._trusted_timer_update);
		if(this._trusted_timer>=0)
		{
			var msg = $.sprintf("{{getConstant('_DPAD_DBCONSTANT_USER_LOGIN_TRUSTED_DESCRIPTION')|encode4jscript}}",this._trusted_timer);
			this.getTrustedTimerLabel().html(msg);
		}	
		if(this._trusted_timer==0){
			{% block updateTrustedTimer %}
			iM.openInstance('../system/index.php');
			{% endblock updateTrustedTimer %}
		}
	}
	
	this.disableTrustedTimer=function(){
		if(this._trusted_timer_update)clearTimeout(this._trusted_timer_update);
		this.getTrustedTimerLabel().hide();
		$(this.getScopeSelector()).unbind(this._trusted_events);
	}
{# Get functions #}
	this.getTrustedTimerLabel=function(){
		return $(this.getScopeSelector()).find('#trusted_login_timer');
	}
	
	this.getUserUsername=function(){
		return $(this.getScopeSelector()).find('input#username');
	}
	
	this.getUserPassword=function(){
		return $(this.getScopeSelector()).find('input#password');
	}
	
	this.getUserRememberMe=function(){
		return $(this.getScopeSelector()).find('input#remember_me');
	}
{# Utilities #}
	this.showMessage=function(message,type,timeout){
		{% block showMessage %}
		themeManager.showMessage(message,type,timeout);
		{% endblock showMessage %}
	}
	{#
		Since this page isn't built to correctly call the scrollabel function in just a single place I have to call it in a concurrency.
		This way I am always sure the last one is called in the right moment and overrides the first one...
	#}
	this._setScrollable=function(){
		themeManager.setScrollable($(this.getScopeSelector()).find('#externalframe_login_panel_container'),{direction:'vertical'});
	}
	
{% block customScripts %}
{% endblock customScripts %}
</jsScopeScripts>