--Module: EIB update

--Removing PHP class for EIB battery
DELETE FROM DPAD_WEB_PHPCLASS WHERE CLASSNAME='dpadEibContainerBattery';

--Converting any existing EIB battery into ENERGY battery
UPDATE DPADD_OBJECT SET PHPCLASS='dpadEnergyBattery',TYPE='CSCMD' WHERE PHPCLASS='dpadEibContainerBattery';

--Converting any rendering belonging to EIB battery into ENERGY battery
UPDATE DPADD_RENDERING SET PHPCLASSES=REPLACE(PHPCLASSES,'dpadEibContainerBattery','dpadEnergyBattery');

--Changing any reference from EIB battery to ENERGY battery
UPDATE DPADD_OBJECT SET OPTIONALP=REPLACE(OPTIONALP,'dpadEibContainerBattery','dpadEnergyBattery');

--Creating a new rendering for load priority
--$EIB_RENDERING_ELECTRICAL_LOAD_PRIORITY$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'energy',NULL,'_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_LOAD_PRIORITY','0','0','10','1','ico_battery.png','','','','','dpadEibObject ','6',1,'SYSTEM','','');

--Creating a new rendering for load ON/OFF for KNX 2-bit objects
--$EIB_RENDERING_ELECTRICAL_LOAD_ON_OFF_FORCE$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'energy',NULL,'_DPAD_DBCONSTANT_RENDERING_ELECTRICAL_LOAD_ON_OFF_FORCE','1','0','2','1','ico_generic_on.png','0=>"_DPAD_DBCONSTANT_RENDERING_ON",2=>"_DPAD_DBCONSTANT_RENDERING_OFF"','0=>"ico_generic_on.png",2=>"ico_generic_off.png"','0=>"button_label_I.png",2=>"button_label_O.png"','','dpadEibObject ','8C',1,'SYSTEM','','');

--Adding relation between battery complex rendering and new 2-bit ON/OFF rendering
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_BATTERY$,'$EIB_RENDERING_ELECTRICAL_LOAD_ON_OFF_FORCE$','load_on_off','',13,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_ENERGY_RELATION_BATTERY_LOAD_ON_OFF','_DPAD_DBCONSTANT_RENDERING_ENERGY_RELATION_BATTERY_LOAD_ON_OFF_DESCRIPTION');

--Fixing priority "only-off" rendering
--UPDATE DPADD_RENDERING SET OPTION_IMAGES='0=>"ico_generic_off.png",2=>"ico_generic_off_lock.png"' WHERE ID='$EIB_RENDERING_CONTROL_2BIT_ONLY_OFF$';

--Updating reference for battery complex object to new priority and thresholds rendering
--UPDATE DPADD_RENDERING_RELATION SET CHILDOBJ_ID='$EIB_RENDERING_ELECTRICAL_LOAD_PRIORITY$' WHERE PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_BATTERY$' AND CHILDOBJ_ID='$EIB_RENDERING_VALUE_NUMERIC_0_255$' AND RELATION_CONDITION='load_priority';
--UPDATE DPADD_RENDERING_RELATION SET CHILDOBJ_ID='$EIB_RENDERING_ELECTRICAL_POWER_EIS5$' WHERE PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_BATTERY$' AND CHILDOBJ_ID='$EIB_RENDERING_VALUE_NUMERIC_0_255$' AND RELATION_CONDITION IN('power_threshold_1','power_threshold_2');
--UPDATE DPADD_RENDERING_RELATION SET CHILDOBJ_ID='$EIB_RENDERING_ELECTRICAL_ENERGY_EIS5$' WHERE PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_BATTERY$' AND CHILDOBJ_ID='$EIB_RENDERING_VALUE_NUMERIC_0_255$' AND RELATION_CONDITION IN('energy_threshold_1','energy_threshold_2');

--Changing rendering for all existing battery sub-objects
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_LOAD_PRIORITY$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%load_priority%') AND RENDERING_ID='$EIB_RENDERING_VALUE_NUMERIC_0_255$';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_LOAD_ON_OFF_FORCE$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%load_on_off%') AND VALUES_TYPE='8C';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_POWER_EIS5$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%power_threshold_%') AND VALUES_TYPE='5';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_POWER_EIS9$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%power_threshold_%') AND VALUES_TYPE='9';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_POWER_EIS10$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%power_threshold_%') AND VALUES_TYPE='10';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_POWER_EIS11$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%power_threshold_%') AND VALUES_TYPE='11';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_ENERGY_EIS5$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%energy_threshold_%') AND VALUES_TYPE='5';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_ENERGY_EIS9$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%energy_threshold_%') AND VALUES_TYPE='9';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_ENERGY_EIS10$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%energy_threshold_%') AND VALUES_TYPE='10';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$EIB_RENDERING_ELECTRICAL_ENERGY_EIS11$' WHERE ID IN (SELECT CHILDOBJ_ID FROM DPADD_OBJECT_RELATION WHERE OPTIONAL LIKE '%tag_complex_element%energy_threshold_%') AND VALUES_TYPE='11';

--Removing associations between complex battery rendering and min/max energy/power
--DELETE FROM DPADD_RENDERING_RELATION WHERE PARENTOBJ_ID='$EIB_RENDERING_CONTAINER_BATTERY$' AND RELATION_CONDITION IN ('energy_min_value','energy_max_value','power_min_value','power_max_value');

--Setting a step of 50 to energy/power renderings
--UPDATE DPADD_RENDERING SET STEP_STATE='50' WHERE ID IN ('$EIB_RENDERING_ELECTRICAL_POWER_EIS5$','$EIB_RENDERING_ELECTRICAL_POWER_EIS9$','$EIB_RENDERING_ELECTRICAL_POWER_EIS10$','$EIB_RENDERING_ELECTRICAL_POWER_EIS11$','$EIB_RENDERING_ELECTRICAL_ENERGY_EIS5$','$EIB_RENDERING_ELECTRICAL_ENERGY_EIS9$','$EIB_RENDERING_ELECTRICAL_ENERGY_EIS10$','$EIB_RENDERING_ELECTRICAL_ENERGY_EIS11$');

--Adding a new rendering for conditioning
--$EIB_RENDERING_COOLING_OPERATING_MODE_2$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'system',NULL,'_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_2',1,0,14,1,'ico_thermo_cooling_on.png','0=>"_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_2_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_HEATING_SHORT",3=>"_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_COOLING_SHORT",14=>"_DPAD_DBCONSTANT_RENDERING_COOLING_OPERATING_MODE_DRY_SHORT"','0=>"ico_thermo.png",1=>"ico_thermo_heating_on.png",3=>"ico_thermo_cooling_on.png",14=>"ico_water_drop_on.png"','0=>"button_label_thermo_auto.png",1=>"button_label_thermo_off.png",3=>"button_label_thermo_cooling.png",14=>"button_label_thermo_dry.png"','','dpadEibObject ','6','1','SYSTEM','','');

--Adding new renderings for Honeywell alarm system via KNX communication
--$EIB_RENDERING_HONEYWELL_SECURITY_PANEL$ = INSERT INTO "DPADD_RENDERING" VALUES(NULL,'security','','_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_PANEL',1,'0','255','1','ico_tecnoalarm_central_ok.png','0=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_PANEL_OK",1=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_PANEL_ALARM_BATTERY",2=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_PANEL_ALARM_POWER",4=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_PANEL_ALARM_CENTRAL",8=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_PANEL_ALARM_TAMPER",16=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_PANEL_PROGRAMMING",128=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_PANEL_ALARM_FUSE"','0=>"ico_tecnoalarm_central_ok.png",1=>"ico_tecnoalarm_central_ko.png",2=>"ico_tecnoalarm_central_ko.png",4=>"ico_tecnoalarm_central_ko.png",8=>"ico_tecnoalarm_central_ko.png",16=>"ico_tecnoalarm_central_ko.png",128=>"ico_tecnoalarm_central_ko.png"','','','dpadEibObject','5',1,'SYSTEM','','');
--$EIB_RENDERING_HONEYWELL_SECURITY_AREA$ = INSERT INTO "DPADD_RENDERING" VALUES(NULL,'security','','_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA',1,'0','16535','1','ico_tecnoalarm_program_mode_peace.png','0=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA_OK",1=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA_DISARM",2=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA_ARM_TOTAL",4=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA_ARM_PARTIAL",8=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA_RESET",16=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA_SILENCE",64=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA_ALARM",8192=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA_ROBBERY",16384=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_AREA_TAMPER"','0=>"ico_tecnoalarm_program_mode_peace.png",1=>"ico_tecnoalarm_program_mode_peace.png",2=>"ico_tecnoalarm_program_mode_armed.png",4=>"ico_tecnoalarm_program_mode_armed.png",8=>"ico_tecnoalarm_program_mode_alarm.png",16=>"ico_tecnoalarm_program_mode_alarm.png",64=>"ico_tecnoalarm_program_mode_alarm.png",8192=>"ico_tecnoalarm_program_mode_alarm.png",16384=>"ico_tecnoalarm_program_mode_alarm.png"','1=>"button_label_O.png",2=>"button_label_auto.png",4=>"button_label_I.png"','','dpadEibObject','5',1,'SYSTEM','1=>"SETVALUE",2=>"SETVALUE",4=>"SETVALUE"','');
--$EIB_RENDERING_HONEYWELL_SECURITY_ZONE$ = INSERT INTO "DPADD_RENDERING" VALUES(NULL,'security','','_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE',1,'0','4096','1','ico_tecnoalarm_zone_mode_peace.png','0=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_OK",1=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_ALARM",2=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_EXCLUDE",4=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_FAULT_RESISTENCE_LOW",8=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_FAULT_RESISTENCE_HIGH",16=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_SUSPENDED",32=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_TAMPER_SHORT",64=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_TAMPER_OPEN",128=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_OPEN",4096=>"_DPAD_DBCONSTANT_RENDERING_HONEYWELL_SECURITY_ZONE_BLINDNESS"','0=>"ico_tecnoalarm_zone_mode_peace.png",1=>"ico_tecnoalarm_zone_mode_alarm.png",2=>"ico_tecnoalarm_zone_mode_excluded.png",4=>"ico_tecnoalarm_zone_mode_alarm.png",8=>"ico_tecnoalarm_zone_mode_alarm.png",16=>"ico_tecnoalarm_zone_mode_alarm.png",32=>"ico_tecnoalarm_zone_mode_alarm.png",64=>"ico_tecnoalarm_zone_mode_alarm.png",128=>"ico_tecnoalarm_zone_mode_alarm.png",4096=>"ico_tecnoalarm_zone_mode_alarm.png"','2=>"button_label_auto.png"','','dpadEibObject','5',1,'SYSTEM','1=>"SETVALUE"','');

--Fixing step for shutter percent renderings (in order slider to work!)
--UPDATE DPADD_RENDERING SET STEP_STATE='5' WHERE ID IN ('$EIB_RENDERING_ROLLING_SHUTTERS_PERCENTAGE$','$EIB_RENDERING_AWNING_PERCENT$');

--Adding a new rendering for complex shutters with slider and associating to simple renderings
--$EIB_RENDERING_CONTAINER_SHUTTER_UP_DOWN_PERCENT$ = INSERT INTO "DPADD_RENDERING" VALUES(NULL,'shutters',NULL,'_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_SHUTTERS_UP_DOWN_PERCENT',0,'','','','ico_shutter_up.png','','','','','dpadContainer ','',1,'SYSTEM','','');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_SHUTTER_UP_DOWN_PERCENT$,$EIB_RENDERING_ROLLING_SHUTTERS_UP_DOWN$,'on/off','',1,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_SHUTTERS_UPDOWN_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_SHUTTERS_UPDOWN_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_CONTAINER_SHUTTER_UP_DOWN_PERCENT$,$EIB_RENDERING_ROLLING_SHUTTERS_PERCENTAGE$,'value','',1,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_SHUTTERS_VALUE_LABEL','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_SHUTTERS_VALUE_DESCRIPTION');

--Adding a new rendering for shutters step up/down
--$EIB_RENDERING_ROLLING_SHUTTERS_STEP_UP_DOWN$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'shutters',NULL,'_DPAD_DBCONSTANT_RENDERING_SHUTTERS_STEP_UP_DOWN',1,0,1,1,'ico_shutter_step_up.png','0=>"_DPAD_DBCONSTANT_RENDERING_TURN_DOWN_F_VERB",1=>"_DPAD_DBCONSTANT_RENDERING_TURN_UP_VERB"','0=>"ico_shutter_step_down.png",1=>"ico_shutter_step_up.png"','0=>"button_label_IGNORE.png",1=>"button_label_IGNORE.png"','','dpadEibObject ','1','1','SYSTEM','','');

--Fixing tipology for conditioning operating mode
--UPDATE DPADD_RENDERING SET TYPE='climate' WHERE ID='$EIB_RENDERING_COOLING_OPERATING_MODE$';

--Adding new renderings for audio management
--$EIB_RENDERING_AUDIO_PLAY_PAUSE$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'multimedia',NULL,'_DPAD_DBCONSTANT_RENDERING_AUDIO_PLAY_PAUSE',1,0,1,1,'ico_audio_play.png','0=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_PAUSE",1=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_PLAY"','0=>"ico_audio_pause.png",1=>"ico_audio_play.png"','0=>"button_label_auto.png",1=>"button_label_I.png"','','dpadEibObject ','1','1','SYSTEM','','');
--$EIB_RENDERING_AUDIO_STOP$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'multimedia',NULL,'_DPAD_DBCONSTANT_RENDERING_AUDIO_STOP',1,1,1,1,'ico_audio_stop.png','1=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_STOP"','1=>"ico_audio_stop.png"','1=>"button_label_IGNORE.png"','','dpadEibObject ','1','1','SYSTEM','','');
--$EIB_RENDERING_AUDIO_PREV_NEXT$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'multimedia',NULL,'_DPAD_DBCONSTANT_RENDERING_AUDIO_PREV_NEXT',1,0,1,1,'ico_audio_next.png','0=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_PREV",1=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_NEXT"','0=>"ico_audio_prev.png",1=>"ico_audio_next.png"','0=>"button_label_IGNORE.png",1=>"button_label_IGNORE.png"','','dpadEibObject ','1','1','SYSTEM','','');
--$EIB_RENDERING_AUDIO_MODE_1BYTE$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'multimedia',NULL,'_DPAD_DBCONSTANT_RENDERING_AUDIO_MODE',1,0,2,1,'ico_audio_mode_shuffle.png','0=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_MODE_NORMAL",1=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_MODE_REPEAT",2=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_MODE_SHUFFLE"','0=>"ico_audio_mode_normal.png",1=>"ico_audio_mode_repeat.png",2=>"ico_audio_mode_shuffle.png"','0=>"button_label_IGNORE.png",1=>"button_label_IGNORE.png",2=>"button_label_IGNORE.png"','','dpadEibObject ','6','1','SYSTEM','','');
--$EIB_RENDERING_AUDIO_MODE_2BIT$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'multimedia',NULL,'_DPAD_DBCONSTANT_RENDERING_AUDIO_MODE',1,0,2,1,'ico_audio_mode_shuffle.png','0=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_MODE_NORMAL",1=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_MODE_REPEAT",2=>"_DPAD_DBCONSTANT_RENDERING_AUDIO_MODE_SHUFFLE"','0=>"ico_audio_mode_normal.png",1=>"ico_audio_mode_repeat.png",2=>"ico_audio_mode_shuffle.png"','0=>"button_label_IGNORE.png",1=>"button_label_IGNORE.png",2=>"button_label_IGNORE.png"','','dpadEibObject ','8C','1','SYSTEM','','');

--Adding new rendering for complex audio zone
--$EIB_RENDERING_COMPLEX_AUDIO_ZONE$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES (NULL,'multimedia',NULL,'_DPAD_DBCONSTANT_RENDERING_COMPLEX_AUDIO_ZONE',0,'','','','ico_audio_hifi_on.png','','','','','dpadContainer ','','1','SYSTEM','','');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_COMPLEX_AUDIO_ZONE$,$EIB_RENDERING_AUDIO_PLAY_PAUSE$,'play_pause','',2,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_PLAY_PAUSE','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_PLAY_PAUSE_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_COMPLEX_AUDIO_ZONE$,$EIB_RENDERING_AUDIO_STOP$,'stop','',3,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_STOP','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_STOP_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_COMPLEX_AUDIO_ZONE$,$EIB_RENDERING_AUDIO_PREV_NEXT$,'prev_next','',4,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_PREV_NEXT','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_PREV_NEXT_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_COMPLEX_AUDIO_ZONE$,$EIB_RENDERING_AUDIO_MODE_1BYTE$,'play_mode','',5,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_PLAY_MODE','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_PLAY_MODE_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_COMPLEX_AUDIO_ZONE$,$EIB_RENDERING_AUDIO_MODE_2BIT$,'play_mode','',5,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_PLAY_MODE','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_PLAY_MODE_DESCRIPTION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY,LABEL,DESCRIPTION) VALUES(NULL,$EIB_RENDERING_COMPLEX_AUDIO_ZONE$,$EIB_RENDERING_AUDIO_VOLUME$,'volume','',6,'GENERIC_RELATION','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_VOLUME','_DPAD_DBCONSTANT_RENDERING_EIBCONTAINER_RELATION_AUDIO_ZONE_VOLUME_DESCRIPTION');



--Module version
UPDATE DPAD_WEB_MODULE SET VERSION = '3.3.5' WHERE NAME = 'eib';