--Module: EIBDATALOG

--Creating new process configuration for KNX datalogger
--$EIB_EIBDBUSMONITOR_PROCESS$ = INSERT INTO DPADD_PROCESS_CONFIGURATION (PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP) VALUES ('EIBDBusMonitorGateway', 'KNX Bus Monitor Process', 20, 3500);
--$EIB_EIBDBUSMONITOR_COMMUNICATION_SECTION$ = INSERT INTO DPADD_COMMUNICATION_SECTION (NAME, TYPE, DESCRIPTION, ENABLE_FLAG,PROCESS_ID) VALUES ('EIBDBUSMONITOREIBD', 'EIBDBUSMONITOR', 'EIBD-BusMonitor', 1,'$EIB_EIBDBUSMONITOR_PROCESS$');

--Creating and filling configuration table for bus monitor process
CREATE TABLE DPAD_EIBDBUSMONITOR_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1);
--INSERT INTO DPAD_EIBDBUSMONITOR_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_DPAD_EIBDBUSMONITOR_CONFIGURATIONGROUPS_ADDRESSLEVEL_NOTATION', '3-Level', 'EIB groups address level notation 2 or 3 level as defined in EIBus specifications', '$EIB_EIBDBUSMONITOR_COMMUNICATION_SECTION$');
--INSERT INTO DPAD_EIBDBUSMONITOR_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIBDBUSMONITOR_EIBD_LOCATIONIP', '127.0.0.1', 'IP address for EIBD busmonitor service', '$EIB_EIBDBUSMONITOR_COMMUNICATION_SECTION$');
--INSERT INTO DPAD_EIBDBUSMONITOR_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIBDBUSMONITOR_EIBD_LOCATIONPORT', '45221', 'IP port for EIBD busmonitor service', '$EIB_EIBDBUSMONITOR_COMMUNICATION_SECTION$');
--INSERT INTO DPAD_EIBDBUSMONITOR_CONFIGURATION (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIBDBUSMONITOR_EIBD_LOCATIONURL', 'local:/tmp/eib', 'EIBD Daemon runtime service endpoint', '$EIB_EIBDBUSMONITOR_COMMUNICATION_SECTION$');

--Adding statement to FSM configuration table for new process
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_EIBDBUSMONITORLISTENERS_TIMEOUT', '30', 'EIB/KNX Bus eibdbusmonitor daemon listeners idle timeout');

-- @DB:/etc/dpadd/DomusPadTrack.db
CREATE TABLE IF NOT EXISTS DPADD_BUSDATALOG( ID INTEGER PRIMARY KEY AUTOINCREMENT, TIMESTAMP TEXT DEFAULT '', SOURCEADDRESS TEXT DEFAULT '', DESTADDRESS TEXT DEFAULT '', FRAMETYPE TEXT DEFAULT '', DATALENGTH TEXT DEFAULT '', PAYLOADRAW TEXT DEFAULT '', COMPLETEDATAGRAM TEXT DEFAULT '', EISTYPERAW TEXT DEFAULT '', PAYLOADENCODED TEXT DEFAULT '');
-- @DB:/etc/dpadd/DomusPad.db

--Module version
INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION,IS_ACTIVE,REVISION,BRANCH,IS_VISIBLE ) VALUES (NULL,"eibdatalog","_DPAD_DBCONSTANT_WEBMODULE_EIBDATALOG", "0.0.1", 1,'','Main',1);