{# External Frame Scripts Inclusion #}
{% extends "core/templates/prototype.externalframe_scripts.custom.tpl" %}

{% block customScripts %}
{{ parent() }}

if( !rM.isAppleMobileBrowser() && !rM.isAndroidMobileBrowser() ){
    if( (rM.getServerIsLocal() && parseInt(rM.getConfiguration("onscreen_keyboard_enable_if_local",{refresh: false}))==1) || (!rM.getServerIsLocal() && parseInt(rM.getConfiguration("onscreen_keyboard_enable_if_not_local",{refresh: false}))==1) ){
        rM.log({type:"info"},"Enabling onscreen keyboard on all input fields");
        $(document).on('tap','input[type=text],input[type=password],input[type=textbox],textarea', function(event){
            $(this).keyboard({
				layout:"{{ getConstant('_DPAD_DBCONSTANT_ONSCREEN_KEYBOARD_DEFAULT_LAYOUT') }}",
				css:{input:'',container:''},
				usePreview:false,
				autoAccept:true,
				tabNavigation:true,
				repeatDelay:10000
			}).getkeyboard().reveal();
			event.preventDefault();
			event.stopPropagation();
			event.stopImmediatePropagation();
			return false;
        });
    } else {
        rM.log({type:"info"},"Onscreen keyboard not enabled");
    }
}

{# Init events for jsDpadIvoryObjManager #}
{% block _ivoryObjManager %}
{% block _ivoryObjManagerCheckExtend %}
$(document).on('mousedown touchstart', '.object-header-icon', function(jEvent){ jsDpadIvoryObjManager.checkExtendObject(jEvent); } );
$(document).on('mouseup touchend touchmove', '.object-header-icon', function(){ clearTimeout( jsDpadIvoryObjManager._option_press_timing ); });
$(document).on('mousemove touchmove', '.object-action', function(jEvent){ jsDpadIvoryObjManager.closeAllObjectsResetTimeout(jEvent) } );
{% endblock _ivoryObjManagerCheckExtend %}
{# Apre/Chiude l'oggetto cliccato su Planimetria #}
$(document).on('tap', '{% block _ivoryObjManagerExpandHandlerSelector %}#plan_container .object-header:not([onclick],[ontap]) .object-header-content{% endblock %}', function(event){
	var _jObj = $(this);
	{# Se l'icona ha classe che specifica di fare skip, non si fa nulla #}
	var _jImage = _jObj.find(".object-header-icon");
	if( _jImage.length>0 && _jImage.hasClass('object-skip-expand') ){
		return;
	}
	var _jContainer = _jObj.parents('.object-box');
	{# Se l'oggetto ha le opzioni aperte, non si fa nulla #}
	var options_div = _jContainer.find('.object-options');
	if( options_div.hasClass('object-options-show') ){
		return;
	}
	{# Espando l'oggetto #}
	if( jsDpadIvoryObjManager.isExpanded( _jObj ) ){
		jsDpadIvoryObjManager.closeObject( _jObj );
	} else {
		jsDpadIvoryObjManager.expandObject( _jObj );
	}
	event.preventDefault();
	event.stopPropagation();
    event.stopImmediatePropagation();
	return false;
});

{# Home #}
var _sHomeSelector='#template-header-return';
$(document)
	.on('mousedown touchstart', _sHomeSelector, function() { $(this).addClass('template-header-return-over'); })
	.on('mouseup touchend', _sHomeSelector, function() { $(this).removeClass('template-header-return-over'); })
	.on('mouseout mouseleave touchleave touchcancel', _sHomeSelector, function() { $(this).removeClass('template-header-return-over'); })
;

{# Generic Static Buttons #}
{# Starting #}
$(document)
	.on('mousedown touchstart','.objButtonStandard', function() {
		$(this).removeClass('objButtonStandard');
		$(this).addClass('objButtonOver');
	})
;
$(document)
	.on('click','.objButtonStandard', function(event) {
		$(this).find('.button_label_IGNORE_png').removeClass('off');
		$(this).find('.button_label_IGNORE_png').addClass('on');
	})
;
{# Ending or Leaving #}
$(document)
	.on('mouseup touchend touchmove mouseout mousemove mouseleave touchleave touchcancel','.objButtonOver', function() {
		$(this).removeClass('objButtonOver');
		$(this).addClass('objButtonStandard');
		$(this).find('.button_label_IGNORE_png').removeClass('on');
		$(this).find('.button_label_IGNORE_png').addClass('off');
	})
;

{# Eventi Button footer #}
$(document).on('mousedown', '.template-action-footer', function() { $(this).addClass('icon-footer-on'); });
$(document).on('mouseup', '.template-action-footer', function() { $(this).removeClass('icon-footer-on'); });
$(document).on('touchstart', '.template-action-footer', function() { $(this).addClass('icon-footer-on'); });
$(document).on('touchend', '.template-action-footer', function() { $(this).removeClass('icon-footer-on'); });

{# Chiusura/Apertura box container schedulazione #}
$(document).on('tap', '.schedule-list-title', function(event) {
	jsDpadIvoryObjManager.controlScheduleContainer($(this));
	event.preventDefault();
	event.stopPropagation();
	event.stopImmediatePropagation();
	return false;
});

{# Evento prev/next ore e minuti schedulazione #}
$(document).on('tap', '.schedule-time-prev', function(event) {
	jsDpadIvoryObjManager.scheduleTime('prev',$(this).attr('type'),$(this).parent().find('.schedule-time-caption'));
	event.preventDefault();
	event.stopPropagation();
	event.stopImmediatePropagation();
	return false;
});
$(document).on('tap', '.schedule-time-next', function(event) {
	jsDpadIvoryObjManager.scheduleTime('next',$(this).attr('type'),$(this).parent().find('.schedule-time-caption'));
	event.preventDefault();
	event.stopPropagation();
	event.stopImmediatePropagation();
	return false;
});

{# Selezione di un tab popup #}
$(document).on('tap', '#popup-tabs-caption li', function(event) {
	var indexObj = $(this).index();
	var objCaption = $(this).parent();
	var objContainer = objCaption.parent().parent().children('#popup-tabs').children('ul');
	objCaption.children('li').addClass('off');
	objCaption.children('li:eq('+(indexObj)+')').removeClass('off');
	objContainer.children('li.popup-tabs-container').hide();
	objContainer.children('li.popup-tabs-container').removeClass('template-hide');
	objContainer.children('li.popup-tabs-container:eq('+(indexObj)+')').fadeIn();
	
	var _jContainer = $("#externalframe_popup_panel_container #navigator_single");
	themeManager.setScrollable( _jContainer );
	event.preventDefault();
	event.stopPropagation();
	event.stopImmediatePropagation();
	return false;
});

{# Evidenziazione giorni settimana su pianificazione #}
$(document).on('tap', '.calendar-week-day', function(event) {
	if ($(this).hasClass('calendar-day-selected')) {
		$(this).removeClass('calendar-day-selected');
	} else {
		$(this).addClass('calendar-day-selected');
	}
	event.preventDefault();
	event.stopPropagation();
	event.stopImmediatePropagation();
	return false;
});
{% endblock %}

{% block _MenuManager %}
    
{# Effetto over sui button di lista menu ( Using Click event because, otherwise, it's impossible to understand if the menu has been clicked on mobile device using touch events ) #}
$(document).on('mousedown touchstart', '#menu-button-list li', function(){ $('#menu-button-list li').removeClass('menu-button-list-over'); $(this).addClass('menu-button-list-over'); });
$(document).on('mouseup mouseout touchend touchmove touchcancel', '#menu-button-list li', function(){ $(this).removeClass('menu-button-list-over'); });

{# Apertura cassetto menu #}
$(document).on('tap', '#menu-icon-open', function(event){
	if( jsDpadMenuManager._menuIsClosed ){
		jsDpadMenuManager.menuOpen();	
	} else {
		jsDpadMenuManager.menuClose();
	}
	event.preventDefault();
    event.stopPropagation();
	event.stopImmediatePropagation();
	return false;
});

{% block _MenuManagerSwipeEvents %}
$(document).on('swipeleft', '#template-menu, #menu-icon-open',function() {
	jsDpadMenuManager.menuOpen();	
});    
{# Chiusura cassetto menu #}
$(document).on('swiperight', '#template-menu, #menu-icon-open',function() {
	jsDpadMenuManager.menuClose();	
});
{% endblock _MenuManagerSwipeEvents %}

{% block _MenuManagerCustom %}
{% endblock _MenuManagerCustom %}
    
{% endblock %}
{% endblock customScripts %}