{# External Frame Scripts Navigators #}
{% extends "core/templates/prototype.externalframe_scripts.navigators.tpl" %}

{% block navigators %}
{# Registering Environment Main Navigator #}
iM.registerViewContainer('main_body','div[id=\'externalframe_body_container\']');
nM.registerNavigator({
	navigator: {
		id: 'navigator_general',
		view: 'main_body',
		selector: 'div#navigator_single',
		prototype: '{{ prototyper("navigator.single.tpl") }}'
	},
	navigatorItem: {
		events: {
			activeEffect: function(iTransitionEffectType,fCallback){
				$(this.viewSelector).find('#' + this.navigatorTagId + this.id + '_container')
					.show()
				;
				if( fCallback ){
					fCallback();
				}
			}
		},
		maxNonPersistentNavigatorItems: 3
	}
});
nM.navigator_for_environments_id='navigator_general';
{# Registering Left Panel Navigators #}
iM.registerViewContainer('left_panel','div[id=\'externalframe_left_panel_container\']');
nM.registerNavigator({
	navigator:{
		id:'navigator_left_panel',
		view:'left_panel',
		selector:'div#navigator_single',
		prototype:'{{ prototyper("navigator.single.tpl") }}'
	}
});
{# Registering Right Panel Navigators #}
{% block navigatorRightPanel%}
iM.registerViewContainer('right_panel','div[id=\'externalframe_right_panel_container\']');
nM.registerNavigator({
	navigator:{
		id:'navigator_right_panel',
		view:'right_panel',
		selector:'div#navigator_right_panel',
		prototype:'{{ prototyper("navigator.right_panel.tpl") }}',
	},
	navigatorItem:{
		events: {
			activeEffect: function(iTransitionEffectType,fCallback){
				{# Return Home #}
				if( iTransitionEffectType=="home" ){
					{# Shifto a destra tutti gli elementi #}
					$('#navigator_right_panel .template-instance')
						.removeClass('menu-item-show menu-item-hide-left')
						.addClass('menu-item-hide-right')
					;
				}
				var myPanel = $( this.getScopeSelector() );
				myPanel
					.css({
						'z-index':0
					})
					.removeClass('menu-item-hide-left menu-item-hide-right')
					.addClass('menu-item-show')
					.show()
				;
				if( fCallback ){
					fCallback();
				}
			},
			inactiveEffect: function(iTransitionEffectType,fCallback){
				$( this.getScopeSelector() )
					.removeClass('menu-item-show')
					.addClass( (iTransitionEffectType=='back' ? 'menu-item-hide-right' : 'menu-item-hide-left' ))
				;
				if( fCallback ){
					fCallback();
				}
			}
		}
	}
});
{% endblock navigatorRightPanel%}
{# Registering Priority PopUp Panel Navigators #}
iM.registerViewContainer('popup_priority_panel','#externalframe_popup_priority_panel_container');
nM.registerNavigator({
	coverViews: Array('main_body','left_panel','right_panel'{# ,'popup_panel' #}),
	navigator:{
		id:'navigator_popup_priority_panel',
		view:'popup_priority_panel',
		selector:'div#navigator_single',
		prototype:'{{ prototyper("navigator.single.tpl") }}',
		events:{
			activeEffect:function(){
				this.show();
				themeManager.popup_showhide(true,null,'priority');
			},
			inactiveEffect:function(){
				this.hide();
				themeManager.popup_showhide(false,null,'priority');
			}
		}
	}
});

{# Registering PopUp PIN Navigators #}
iM.registerViewContainer('popup_pin_panel','#externalframe_popup_pin_panel_container');
nM.registerNavigator({
	coverViews: Array('main_body','left_panel','right_panel'{# ,'popup_panel' #}),
	navigator:{
		id:'navigator_popup_pin_panel',
		view:'popup_pin_panel',
		selector:'div#navigator_single',
		prototype:'{{ prototyper("navigator.single.tpl") }}',
		events:{
			activeEffect:function(){
				this.show();
				themeManager.popup_showhide(true,null,'pin');
			},
			inactiveEffect:function(){
				this.hide();
				themeManager.popup_showhide(false,null,'pin');
			}
		}
	}
});

{# Registering PopUp Panel Navigators #}
iM.registerViewContainer('popup_panel','div[id=\'externalframe_popup_panel_container\']');
nM.registerNavigator({
	coverViews: Array('main_body','left_panel','right_panel'{# ,'popup_priority_panel' #}),
	navigator:{
		id:'navigator_popup_panel',
		view:'popup_panel',
		selector:'div#navigator_single',
		prototype:'{{ prototyper("navigator.single.tpl") }}',
		events:{
			activeEffect:function(){
				this.show();
				themeManager.popup_showhide(true);
			},
			inactiveEffect:function(){
				this.hide();
				themeManager.popup_showhide(false);
			}
		}
	}
});
{# Registering Schedule Panel Navigators #}
iM.registerViewContainer('schedule_panel','#externalframe_schedule_panel_container');
nM.registerNavigator({
	coverViews: Array('main_body','left_panel','right_panel','popup_panel'),
	navigator:{
		id:'navigator_schedule_panel',
		view:'schedule_panel',
		selector:'div#navigator_single',
		prototype:'{{ prototyper("navigator.single.tpl") }}',
		events:{
			activeEffect:function(){
				this.show();
				themeManager.schedule_showhide(true);
			},
			inactiveEffect:function(){
				this.hide();
				themeManager.schedule_showhide(false);
			}
		}
	}
});

{% endblock navigators %}