{# browser template scope #}
<jsScopeScripts>
	this.url=null;
	this.favourites=new Array();

	this.onLoad=function(){
		$('#template-popup-title').text('BROWSER');
		themeManager.popup_showhide(true,themeManager.getWindowSize().width);
		var sUrl=(this.url?this.url:rM.getConfiguration('plugin_browser_homeurl',{refresh:false}));
		this._browserOpen(sUrl);
	}
	
	this._getBrowser=function(){
		return $(this.getScopeSelector()).find('#frame-browser');
	}
	this._getUrlInput=function(){
		return $(this.getScopeSelector()).find('#schedule-title-input');
	}
	this._getListFavourites=function(){
		return $(this.getScopeSelector()).find('#browser-list-favourites');
	}
	
	this._browserOpen=function(sUrl){
		if(!sUrl)return;
		if(sUrl.indexOf('http://')==-1 && sUrl.indexOf('https://')==-1)sUrl='http://'+sUrl;
		this._getUrlInput().val(sUrl);
		this._getBrowser().attr('src',sUrl);
		this._getListFavourites().hide();
	}

	this.history_refresh=function(){
		this._browserOpen(this._getUrlInput().val());
		return false;
	}

	this.favourites_go = function(index){
		var sUrl = $(this.getScopeSelector()).find('#favourites_url_'+index+' .schedule-name').text();
		this._browserOpen(sUrl);
	}
	
	this.favourites_add=function(){
		var url_to_save=this._getUrlInput().val();
		var page_title=$(this.getScopeSelector()).find('#frame-browser').contents().find("title").text();
		if (confirm('{{ getConstant("_DPAD_THEME_BROWSER_BOOKMARKS_CONFIRM_SAVE")|encode4jscript }}')) {
			this.favourites.push({title:page_title,url:url_to_save});
		}
	}
	
	this.favourites_del=function(index){
		if (confirm('{{ getConstant("_DPAD_THEME_BROWSER_BOOKMARKS_CONFIRM_DELETE")|encode4jscript }}')) {
			delete this.favourites[index];
			this.favourites.splice(index,1);
			this.favourites_refresh();
		}
	}
	
	this.favourites_list = function() {
		var browser = $(this.getScopeSelector());
		this.favourites_refresh();
		browser.find('#browser-list-favourites').toggle();
	}
	
	this.favourites_refresh = function(){
		this._getListFavourites().html('');
		for (i=0;i<this.favourites.length;i++) {
			this._getListFavourites().append('<li id="favourites_url_'+i+'"><div class="schedule-list" onclick="iM.getScope(this).favourites_go('+i+');"><div class="schedule-action delete" onclick="iM.getScope(this).favourites_del('+i+');"></div><div class="schedule-name">'+this.favourites[i].url+'</div><div class="template-clear"></div></li>');		
		}
	}
	
	this.history_back = function(){
		frames["frame-browser"].history.back();
	}
	
	this.history_next = function(){
		frames["frame-browser"].history.forward();
	}
	
	this.detect_enter_keypress=function(keypressed){
	    var keycode;
	    if(window.event)keycode = window.event.keyCode;
	    else if(keypressed)keycode = keypressed.which;
	    else return false;
	    var result=(keycode == 13);
		if(result==true && keypressed)$(keypressed.currentTarget).blur();
		return result;
	}
</jsScopeScripts>