{# Grid template scope #}
<jsIncludes>
{{ html_includejs("jquery.js","js") }}
{{ html_includejs("jquery.soapclient.js","js") }}
{{ html_includejs("jsDpadObjectManager.js","js") }}
</jsIncludes>
<jsScopeScripts>
this.id=null;
this.jsupdate_enable = false;
this.jsupdate_timeout_handler = null;

{# This function is called when current scope is loaded #}
this.onLoad=function() {
	{# Managing missing ID #}
	if(!this.id){
		themeManager.showMessage("{{ getConstant("_DPAD_GENERAL_ERROR_OBJECT_IDNOTVALID")|encode4jscript }}",'alarm');
		return;
	}
	objM.getObjsFromId(this.id,$.proxy(this.init_camera,this));
}
    
{# This function is called when current scope is unloaded #}
this.onUnload=function(){
}

{# This function initializes current camera #}
this.init_camera=function(){
	var current_camera = objM.getObj(this.id);
	themeManager.title_show(current_camera.name);
	{# In case of mobile browser, prompting message of unsupported format for RTSP cameras #}
	if(rM.isMobileBrowser() && (current_camera.options.format == "RTSP" || current_camera.options.format == "VKD")){
		themeManager.showMessage("{{ getConstant("_DPAD_DBCONSTANT_CAMERA_UNSUPPORTED_FORMAT_FOR_DEVICE")|encode4jscript }}","alarm");
		return;
	}
	
	{# Resizing camera is wider than visible area #}
	if(parseInt(current_camera.options.width) > $(document).width())
	{
		var sizeFactor = $(document).width() / parseInt(current_camera.options.width);
		current_camera.options.width = Math.floor(current_camera.options.width * sizeFactor);
		current_camera.options.height = Math.floor(current_camera.options.height * sizeFactor);
	}
	
	{# Rendering camera #}
	$(this.getScopeSelector()).find("#camera_container").html(current_camera.render('camera'));

	{# Handling specific formats #}
{# NEVER HANDLE SPECIFIC FORMATS ON SOMETHING DIFFERENT THAN THE OBJECT ITSELF!!!!!! #}
	if(current_camera.options.format == "IPV")
	{
		var controlFrame = $(this.getScopeSelector()).find("#ipv_camera_"+this.id+"_control");
		controlFrame.attr("src",controlFrame.attr("src"));
		current_camera.updateUrlImage();
	}

	{# Setting name of popup and opening #}
	$('#template-popup-title').text(current_camera.name);
	if(current_camera.options.width){
		themeManager.popup_showhide(true,current_camera.options.width);
	} else {
		themeManager.popup_showhide(true);
	}
}
</jsScopeScripts>