{% extends "scope.grid.tpl" %}

{% block block_customDeclarations %}
	this.category;
	this.id;
	this.result_array;
{% endblock %}

{% block block_onLoad %}
	{# Setting header title with current object name #}
	themeManager.setHeaderTitle( rM.getConstant('_DPAD_PRODUCT_K3_CATEGORY_' + ( this.category ? this.category.toUpperCase() : '' ) ) );
	themeManager.waitplease_display(true);
	{# Loading objects belonging to current category #}
	var _sQuery = dbManager.protoSQLobjsFromKeys(null,"IS_VISIBLE=1 AND D_O.OWNED_BY!='{{ getConstant("_DPAD_DB_OWNED_BY_SYSTEM") }}' AND (D_O.OPTIONALP LIKE '%category=" + this.category + "%' OR D_O.OPTIONALP LIKE '%category=''" + this.category + "''%')","D_O.NAME ASC");
	dbManager.executeSQL(_sQuery,Math.random(),$.proxy(this.initCategory,this));
{% endblock block_onLoad %}

{% block block_blockRenderBackground %}
	{# Setting class to page elements accordingly to header_position and setting image background by groups options in DB #}
	$(this.getScopeSelector()).find('#template-content').removeClass();
	$(this.getScopeSelector()).find('#template-content').addClass('content-none');
	$(this.getScopeSelector()).find('#template-content-header').removeClass();
	$(this.getScopeSelector()).find('#template-content-header').addClass('header-none');
{% endblock block_blockRenderBackground %}

{% block block_blockRenderRender %}
	{{ jsBlock({
		'operation':'render',
                'render_always': false,
		'block_name':'block_grid',
		'block_render_callback':'$.proxy(this.onLoadFinalize,this)'
	}) }}
	{# Allocating objects #}
	for(var i in this.registered_ids){
		objM.addAllocatedObj(this.registered_ids[i]);
	}
{% endblock block_blockRenderRender %}

{% block block_blockRender %}
	result_array = this.result_array;
	{{ parent() }}
{% endblock block_blockRender %}

{% block block_customFunctions %}
this.initCategory=function(result_array){
	this.result_array = result_array;
	for(var i in result_array){
		this.registered_ids.push(result_array[i]['ID']);
	}
	objM.getObjsSurrounding(this.registered_ids.join(','),$.proxy(this.blockRender,this));

}
{% endblock block_customFunctions %}
