{# Container template scope #}
{# Including specific javascript libraries #}
<jsIncludes>
	{{ html_includejs("jquery.overscroll.js","js") }}
	{% block block_customJavascriptLibraries %}{% endblock block_customJavascriptLibraries %}
</jsIncludes>
{# Including specific javascript #}
<jsScopeScripts>

	{% block block_declarations %}
	this.id=null;
	this.is_initialized = false;
	this.registered_ids = new Array();
	this.renderingRelations = new Array();
	this.view = "popup";
	this.scheduleEnabled = false;
	{% endblock block_declarations %}
	
	this.onLoad=function(){
		{% block block_onLoad %}
		if ( !this.is_initialized ) {
			objM.getObjsFromId(this.id,$.proxy(this.containerInit,this,this.id));
		} else {
			this.popupFinalize();
		}
		{% endblock block_onLoad %}
	}
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
		
	this._setScrollable=function(){
		themeManager.setScrollable( $('#externalframe_popup_panel_container #navigator_single') );
	}
	
	this.containerInit = function(iContainerID,aResult){
		{% block block_containerInit %}
		objM.getObj(iContainerID).getSurroundings($.proxy(this.containerRenderingInit,this,iContainerID));
		{% endblock block_containerInit %}
	}
	
	{# This function inits relations between container rendering and children ones #}
	this.containerRenderingInit = function(iContainerID,aResult){
		{% block block_containerRenderingInit %}
		var containerRenderingId = objM.getObj(iContainerID).rendering_id;
		if(containerRenderingId < 0){
			rM.log({type:"error"},"Container %o has not an associated rendering, cannot show it",objM.getObj(iContainerID));
			return;
		}
		var query = "SELECT * FROM DPADD_RENDERING_RELATION WHERE PARENTOBJ_ID='" + containerRenderingId + "' ORDER BY ORDER_NUM ASC";
		dbManager.executeSQL(query,null,$.proxy(this.containerRenderingInitCallback,this,iContainerID));
		{% endblock block_containerRenderingInit %}
	}
	
	this.containerRenderingInitCallback = function(iContainerID,aResult){
		{% block block_containerRenderingInitCallback %}
		this.renderingRelations = aResult;
		this.containerRender(iContainerID);
		{% endblock block_containerRenderingInitCallback %}
	}
	
	this.containerRender = function(containerId)
	{
		{% block containerRender %}
		{# Instantiating container object #}
		var containerObj = objM.getObj(containerId);
		if(!containerObj)
		{
			rM.log({type:"error"},"Cannot load container object with ID %s",containerId);
			return;
		}
	
		{# Rendering container in popup body #}
		$(this.getScopeSelector()).find("#popup_body").html(containerObj.render(this.view));
		
		{# Scanning expected childs, if not found hiding corresponding HTML field(s) #}
		for(var i in this.renderingRelations)
		{
			var renderingRelationComplexTag = this.renderingRelations[i]["RELATION_CONDITION"];
			var renderingRelationChildId = objM.object_get_id_by_complexobject_tag(containerId,renderingRelationComplexTag);
			if(renderingRelationChildId < 0)
			{
				$(this.getScopeSelector()).find("#popup-tabs").find("#" + renderingRelationComplexTag).addClass("template-hide");
				$(this.getScopeSelector()).find("#popup-content").find("#" + renderingRelationComplexTag).addClass("template-hide");
			}
			else
			{
				this.registered_ids.push(renderingRelationChildId);
			}
		}

		{# Scanning tab captions; if empty, hiding #}
		$(this.getScopeSelector()).find("#popup-tabs-caption li").each(
			function(){
				if($(this).html()=='')	$(this).addClass("template-hide");
			}
		);
		
		{# Scanning tab containers; if empty, removing #}
		$(this.getScopeSelector()).find("#popup-tabs").find("li.popup-tabs-container").each(
			function(){
				
				var tabIndex = $(this).index();
				var scope = iM.getScope(this);
				if($(this).find(".popup-tabs-element").filter(":not(.template-hide)").length==0)
				{
					$(this).attr("remove","true");
					$(scope.getScopeSelector()).find("#popup-tabs-caption").find("li:eq("+(tabIndex)+")").attr("remove","true");
				}
			}
		);
		$(this.getScopeSelector()).find("[remove='true']").remove();
		
		if($(this.getScopeSelector()).find("#popup-tabs li").length==0)	$(this.getScopeSelector()).find("#popup-tabs").remove();
		if($(this.getScopeSelector()).find("#popup-tabs-caption li").length==0)	$(this.getScopeSelector()).find("#popup-tabs-caption").remove();
		
		{% endblock %}

		{# Hilighting first tab button and showing corresponding container #}
		$(this.getScopeSelector()).find("#popup-tabs-caption").find("li:not(.template-hide)").first().removeClass("off");
		$(this.getScopeSelector()).find("#popup-tabs").find("li").first().removeClass("template-hide");
		
		{# If a schedule-enabled sub-object is found, outputting schedule button #}
		var scheduleChildId = objM.objGetChildIdByRelationOption(containerId,"allow_schedule",1);
		if(scheduleChildId > 0) this.scheduleEnabled = true;

		{# Adding handler to visible tabs #}
		$(this.getScopeSelector()).find("#popup-tabs-caption").find("li:not(.template-hide)").on('tap',
			function(event){
				var tabIndex = $(this).index();
				var scope = iM.getScope(this);
				$(scope.getScopeSelector()).find('#popup-tabs-caption li').addClass('off');
				$(scope.getScopeSelector()).find('#popup-tabs-caption li:eq('+(tabIndex)+')').removeClass('off');
				$(scope.getScopeSelector()).find('#popup-tabs li.popup-tabs-container').addClass("template-hide");
				$(scope.getScopeSelector()).find('#popup-tabs li.popup-tabs-container:eq('+(tabIndex)+')').removeClass("template-hide");
				event.preventDefault();
				return false;
			}
		);

		this.popupFinalize();
	}

	this.popupFinalize = function() 
	{
		{% block popupFinalize %}
		{# Setting popup title with current container name #}
		var _sPopupName = objM.getObj(this.id).name;
		$('#template-popup-title').text( _sPopupName );
		{# allocating objects for automatic update #}
		for(var i in this.registered_ids){
			objM.addAllocatedObj(this.registered_ids[i]);
		}
		this.scheduleButtonShowHide(this.scheduleEnabled);
		{# Allow scrolling on popup body #}
		this._setScrollable();
		{% endblock popupFinalize %}
	}
	
	this.scheduleButtonPressed = function()
	{
		{% block block_scheduleButtonPressed %}
		if(!this.scheduleEnabled)	return;
		var scheduleChildId = objM.objGetChildIdByRelationOption(this.id,"allow_schedule",1);
		iM.openInstance("../system/loadtemplate.php?tpl=schedule|id="+scheduleChildId+"&titleId=" + this.id,null,null,"schedule_panel");	
		{% endblock block_scheduleButtonPressed %}
	}
	
	this.scheduleButtonGetReference = function(){
		{% block block_scheduleButtonGetReference %}
		return $(this.getScopeSelector()).find('#buttonSchedule');
		{% endblock block_scheduleButtonGetReference %}
	}
	
	this.scheduleButtonShowHide = function(showFlag){
		if(showFlag==true){
			this.scheduleButtonGetReference().removeClass("template-hide");
		} else {
			this.scheduleButtonGetReference().addClass("template-hide");
		}
	}
	
	{# This function handles tab selection #}
	this.tabSelect=function()
	{
		
	}

	{% block block_customFunctions %}
	{% endblock block_customFunctions %}

	this.onUnload = function(){
		{% block block_onUnload %}
		for(var i in this.registered_ids){
			objM.freeAllocatedObj(this.registered_ids[i]);
		}
		this.registered_ids = new Array();
		{% endblock block_onUnload %}
	}
	
	
</jsScopeScripts>