<jsIncludes>
{% block block_jsIncludes %}
{{ html_includejs("jsDpadBlock.js","js") }}
{{ html_includejs("jquery.flot.js","js") }}
{{ html_includejs("jquery.flot.threshold.js","js") }}
{{ html_includejs("jquery.flot.selection.js","js") }}
{{ html_includejs("jquery.flot.fillbetween.js","js") }}

{% block block_jsIncludesCustom %}{% endblock %}
{% endblock block_jsIncludes %}
</jsIncludes>
<jsScopeScripts>
	{% block block_declarations %}
	this.id=null;
	this.is_initialized = false;
	this.registered_ids = new Array();
	this.period = "today";
	this.dimension = "power";
	this.chartTopOffset = 290;
	this.chartBottomOffset = 20;
	this.chartRightOffset = 80;
	this.chartLeftOffset = 20;
	this.chartHeight = 300;
	this.tabsMinHeight = 600;
	this.chartLegendItemWidth = 150;
	this.chartLegendItemColumns = 10;
	this.chartObjectsNum = 1;
	this.chartRefreshTimeout = 60;
	this.chartRefreshTimeoutHandler = null;
	this.chartSeries = {};
	this.chartOptions = null;
	this.chartColors = ["rgb(186,226, 45)","rgb(200,0,0)","rgb(255,216,0)","rgb(0,186,255)","rgb(240,0,255)","rgb(255,127,0)","rgb(139,132,255)","rgb(85,197,83)","rgb(228,188,123)","rgb(180,180,180)"];
	
	{# Declaring Block Interface #}
	{{ jsBlock({
		'operation':'declaration',
		'block_name':"block_energymanager",
		'block_render_container_selector':"this.getScopeSelector()+' #energymanager-area-battery'",
		'prototype_container':"$(this.getScopeSelector()).find('div#energymanager-area-battery-prototype-container').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#energymanager-area-battery-prototype-item').html();",
		'block_relation_type':'parent_child'
	}) }}

	this.block_energymanager.results_filter_func=function(datas){
		{% block block_energyBlockFilterFunc %}
		return true;
		{% endblock block_energyBlockFilterFunc %}
	}

	{% block block_customDeclarations %}{% endblock %}
	{% endblock block_declarations %}

	this.onLoad=function(){
	{% block block_onLoad %}
		{# Updating main title #}
		themeManager.waitplease_display(true);
		themeManager.setHeaderTitle("{{ getConstant('_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_MAIN')|encode4jscript }} - " + objM.getObj(this.id).name);
		if( !this.is_initialized ){
			objM.getObjsFromId(this.id,$.proxy(this.energyInit,this));
		} else {
			this.energyFinalize();
		}	
	{% endblock block_onLoad %}
	}
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
		
	this._setScrollable=function(){
		themeManager.setScrollable($(this.getScopeSelector()).find('#energy_container'));
	}
	
	this.energyInit = function()
	{
		{% block block_energyInit %}
		objM.getObj(this.id).getSurroundings($.proxy(this.energyRender,this));
		{% endblock block_energyInit %}
	}
	
	this.energyRender = function(result_array)
	{
		{% block block_energyRender %}

		{# Rendering block #}
		{{jsBlock({
			'operation':'render',
			'render_always': false,
			'block_name':'block_energymanager',
			'block_relation_type':'parent_child'
		})}}

		this.energyFinalize();

		{% endblock block_energyRender %}
	}
	
	this.energyFinalize = function() 
	{
		{% block block_energyFinalize %}
		{# Allocating objects #}
		var child_relations = objM.getRelationsFromParent(this.id);
		for(var i in child_relations){
			this.registered_ids.push(child_relations[i]['CHILDOBJ_ID']);
			objM.addAllocatedObj(child_relations[i]['CHILDOBJ_ID']);
		}
		{# Updating data by period #}
		this.chartsUpdateByPeriod(this.period);
		themeManager.waitplease_display(false);
		this.is_initialized = true;
		this._setScrollable();
		{% endblock block_energyFinalize %}
	}

	this.timelineChangePeriod = function(period)
	{
		this.period = period;
		this.chartsUpdateByPeriod(this.period);
	}
	
	this.chartsUpdateByDimension = function(dimension)
	{
		{% block block_chartsUpdateByDimension %}
		this.dimension = dimension;
		
		var dimension_tabs = $(this.getScopeSelector()).find("#energy-tabs-caption-dimensions li");
		dimension_tabs.addClass("off");
		dimension_tabs.filter("#energymanager-dimension-" + dimension).removeClass("off");

		this.chartsUpdate();
		{% endblock block_chartsUpdateByDimension %}
	}
	
	this.chartsUpdateByPeriod = function(period)
	{
		{% block block_chartsUpdateByPeriod %}
		this.period = period;

		var period_tabs = $(this.getScopeSelector()).find("#energy-tabs-caption-intervals li");
		period_tabs.addClass("off");
		period_tabs.filter("#energymanager-timeline-" + period).removeClass("off");
		
		this.chartsUpdate();
		{% endblock block_chartsUpdateByPeriod %}
	}
	
	this.chartsUpdate = function()
	{
		{% block block_chartsUpdate %}
		{% endblock block_chartsUpdate %}
	}
	
	this.chartsUpdateCallback = function(response)
	{
		{% block block_chartsUpdateCallback %}
		{% endblock block_chartsUpdateCallback %}
	}
	
	this.chartInit = function(chartOptions)
	{
		{# Clearing series #}
		this.chartSeries = {};
		
		{# Initializing chart size and behaviour #}
		var energyTabs = $(this.getScopeSelector()).find("#energy-tabs");
		//var energyContainer = $(this.getScopeSelector()).find("#energy_container");
		//var energyTabsCaption = $(this.getScopeSelector()).find("#energy-tabs-caption");
		//energyTabs.height(Math.max(this.tabsMinHeight,energyContainer.height()-(energyTabsCaption.height() + parseInt(energyTabsCaption.css("padding-top")) + 34)));

		var chartContainer = $(this.getScopeSelector()).find("#energy-chart");
		chartContainer.show().width(energyTabs.width() - this.chartLeftOffset - this.chartRightOffset).height(this.chartHeight);

		this.chartLegendItemColumns = Math.floor(chartContainer.width() / this.chartLegendItemWidth);
		
		{# Saving options for further usage #}
		if(chartOptions)	this.chartOptions = chartOptions;
	}
	
	this.chartSetOptions = function(chartOptions)
	{
		this.chartOptions = chartOptions;
	}
	
	this.chartAddSerie = function(serieId,chartSerie,enable)
	{
		if(typeof(enable)=="undefined")	enable = true;
		chartSerie.enabled = enable;
		
		{# Adding serie to global series #}
		this.chartSeries[serieId] = chartSerie;
	}
	
	this.chartSerieEnable = function(serieId,enable)
	{
		this.chartSeries[serieId].enable = enable;
	}
	
	this.chartDraw = function()
	{
		{# Identifying chart container #}
		var chartContainer = $(this.getScopeSelector()).find("#energy-chart");
		
		{# Initializing an array of series, filtering only the enabled ones #}
		var series = new Array();
		for(var i in this.chartSeries)
		{
			if(this.chartSeries[i].enabled==true)	series.push(this.chartSeries[i]);
		}
		
		$.plot(chartContainer, series,this.chartOptions);
	}
	
	this.chartSerieToggleSelector = function(serieIndex,selector)
	{
		{# Identifying battery associated to serie #}
		var battery = this.getBatteryByIndex("energymanager",serieIndex);
		if(!battery)
		{
			rM.log({type:"warn"},"Cannot load battery with index %o",serieIndex);
			return;
		}
		
		{# Identifying actual show state #}
		var toggle = (this.batteryGetChartFlag(battery.id,selector) ? 0 : 1);
		
		{# Setting show/hide attribute depending on given argument #}
		this.batterySetChartFlag(battery.id,selector,toggle);
		
		{# Updating chart battery series update state #}
		this.batterySeriesUpdateEnableFlags(battery.id);
		
		{# Updating graphical battery chart selectors #}
		this.batteryChartSelectorsUpdate(battery.id);

		{# Redrawing chart #}
		this.chartDraw();
	}

	this.onUnload = function()
	{
		{% block block_onUnload %}
		{# De-Allocating objects #}
		for(var i in this.registered_ids){
			objM.freeAllocatedObj(this.registered_ids[i]);
		}
		{% endblock block_onUnload %}
	}
	
	this.getBatteries = function(blockName)
	{
		var batteries = new Array();
		var relations = this["block_"+blockName].getResults({filter:true});
		for(var i in relations)
		{
			batteries.push(objM.getObj(relations[i]["CHILDOBJ_ID"]));
		}
		return batteries;
	}
	
	this.getBatteryByIndex = function(blockName,index)
	{
		var batteries = this.getBatteries(blockName);
		return batteries[index];
	}
	
	this.getBatteryItemsByTag = function(blockName,tag)
	{
		var items = new Array();
		var batteries = this.getBatteries(blockName);
		for(var i in batteries)
		{
			items.push(objM.object_get_id_by_complexobject_tag(batteries[i].id,tag));
		}
		return items;
	}
	
	this.batteryGetChartFlag = function(batteryId,flag)
	{
		var battery = objM.getObj(batteryId);
		return (battery.options["chart_"+flag]==0 ? false : true);
	}
	
	this.batterySetChartFlag = function(batteryId,flag,value)
	{
		objM.updateFieldObj(batteryId,"options.chart_"+flag,value);
	}
	
	this.getBatteryIdByItemId = function(blockName,itemId,tag)
	{
		var batteries = this.getBatteries(blockName);
		for(var i in batteries)
		{
			if(objM.object_get_id_by_complexobject_tag(batteries[i].id,tag)==itemId)	return batteries[i].id;
		}
		return -1;
	}
	
	this.getSerieColor = function(serieNum)
	{
		return this.chartColors[serieNum-1];
	}
	
	this.getBatteryChartSelectorClass = function(batteryId,selector)
	{
		var battery = objM.getObj(batteryId);
		var showFlag = this.batteryGetChartFlag(batteryId,"show");
		var rangeFlag = this.batteryGetChartFlag(batteryId,"range");
		var compareFlag = this.batteryGetChartFlag(batteryId,"compare");

		switch(selector)
		{
			case "show":	return showFlag ? "" : "off"; break;
			case "range":	return rangeFlag && showFlag ? "" : "off"; break;
			case "compare":	return compareFlag && showFlag ? "" : "off"; break;
		}
	}
	
	this.getBatteryChartEnable = function(batteryId)
	{
		return objM.object_get_id_by_complexobject_tag(batteryId,this.dimension+"_value")!=-1;
	}
	
	this.batteryChartSelectorUpdate = function(batteryId,selector)
	{
		var chartSelectorsContainer = $(this.getScopeSelector()).find("#block_energymanager_item_"+batteryId+"_chart_details");
		var chartSelectorEnable = this.batteryGetChartFlag(batteryId,selector);
		var chartShowEnable = this.batteryGetChartFlag(batteryId,"show");
		if(chartSelectorEnable==true && chartShowEnable==true)
			chartSelectorsContainer.find("#"+selector).removeClass("off");
		else
			chartSelectorsContainer.find("#"+selector).addClass("off");
	}
	
	this.batteryChartSelectorsUpdate = function(batteryId)
	{
		this.batteryChartSelectorUpdate(batteryId,"show");
		this.batteryChartSelectorUpdate(batteryId,"compare");
		this.batteryChartSelectorUpdate(batteryId,"range");
	}
	
	this.batterySeriesUpdateEnableFlags = function(batteryId)
	{
		{# Identifying battery dimension specific sub-object #}
		var batteryItemId = objM.object_get_id_by_complexobject_tag(batteryId,this.dimension+"_value");
		
		{#Identifying selector flags for current battery #}
		var showFlag = this.batteryGetChartFlag(batteryId,"show");
		var rangeFlag = this.batteryGetChartFlag(batteryId,"range");
		var compareFlag = this.batteryGetChartFlag(batteryId,"compare");
		
		{# Scanning all chart series, setting enable flag to all related with current battery #}
		for(var i in this.chartSeries)
		{
			if(i.indexOf(batteryItemId)>=0 && i.indexOf("show")>=0) 	this.chartSeries[i].enabled = showFlag;
			if(i.indexOf(batteryItemId)>=0 && i.indexOf("compare")>=0) 	this.chartSeries[i].enabled = showFlag && compareFlag;
			if(i.indexOf(batteryItemId)>=0 && i.indexOf("range")>=0) 	this.chartSeries[i].enabled = showFlag && rangeFlag;
		}
	}
	
</jsScopeScripts>