<jsIncludes>
{% block block_jsIncludes %}
{{ html_includejs("jsDpadBlock.js","js") }}
{% block block_jsIncludesCustom %}{% endblock %}
{% endblock block_jsIncludes %}
</jsIncludes>
<jsScopeScripts>
	{% block block_declarations %}
	this.id=null;
	this.is_initialized = false;
	this.registered_ids = new Array();
	this.loadControlId = null;
        
	{# Declaring Block Interfaces #}
	{{ jsBlock({
		'operation':'declaration',
		'block_name':"block_load_summary",
		'block_render_container_selector':"this.getScopeSelector()+' #load-summary'",
		'prototype_container':"$(this.getScopeSelector()).find('div#load-summary-prototype-container').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#load-summary-prototype-item').html();",
		'block_relation_type':'child_parent'
	}) }}

	{{ jsBlock({
		'operation':'declaration',
		'block_name':"block_load_details",
		'block_render_container_selector':"this.getScopeSelector()+' #load-details'",
		'prototype_container':"$(this.getScopeSelector()).find('div#load-details-prototype-container').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#load-details-prototype-item').html();",
		'block_relation_type':'parent_child'
	}) }}
        
	{{ jsBlock({
		'operation':'declaration',
		'block_name':"block_load_tabs",
		'block_render_container_selector':"this.getScopeSelector()+' #energy-tabs-caption'",
		'prototype_container':"$(this.getScopeSelector()).find('div#load-tabs-prototype-container').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#load-tabs-prototype-item').html();",
		'block_relation_type':'parent_child'
	}) }}
        
	this.block_load_summary.results_filter_func=function(datas)
	{
            return (datas.obj.phpclass=='{{getConstant("_DPAD_ENERGY_PHPCLASS_BATTERY")}}');
	}

	this.block_load_details.results_filter_func=function(datas)
	{
            return (datas.obj.phpclass=='{{getConstant("_DPAD_ENERGY_PHPCLASS_BATTERY")}}');
	}

	{% endblock block_declarations %}

	this.onLoad=function() 
	{
            {% block block_onLoad %}

            {# Updating main title #}
            themeManager.setHeaderTitle("{{ getConstant('_DPAD_DBCONSTANT_REPORTING_ENERGYMANAGER_MAIN')|encode4jscript }} - " + objM.getObj(this.id).name);
            
	    {# Initializing load control data #}
            this.loadControlsLoad();
            {% endblock block_onLoad %}
	}
	
        {# This function loads all load-control objects associated to current group #}
        this.loadControlsLoad=function()
        {
            objM.getObjsFromId(this.id,$.proxy(this.loadControlsLoadCallback,this));        
        }
        
	this.loadControlsLoadCallback = function()
	{
            objM.getObj(this.id).getSurroundings($.proxy(this.loadControlsInit,this));
	}
	
        this.loadControlsInit = function(result_array)
        {
            {# Rendering load controls block #}
            {{jsBlock({
		'operation':'render',
		'render_always': false,
		'block_name':'block_load_tabs',
		'block_relation_type':'parent_child'
            })}}
            
            {# Selecting first load control, if any #}
            var loadControlRelations = objM.getRelationsFromParent(this.id);
            if(loadControlRelations.length==0)
            {
                this.loadControlsFinalize();
                return;
            }
            this.loadControlId = loadControlRelations[0]['CHILDOBJ_ID'];
            
            {# Rendering first load control #}
            this.loadControlRender(this.loadControlId);
        }
        
        {# This function renders given load control #}
        this.loadControlRender = function(loadControlId)
        {
            this.loadControlId = loadControlId;
	    $(this.getScopeSelector()).find("#energy-tabs-caption").find("li").addClass("off");
            $(this.getScopeSelector()).find("#block_load_tabs_item_" + loadControlId).removeClass("off");
            
            objM.getObj(loadControlId).getSurroundings($.proxy(this.loadControlRenderCallback,this));
        }
        this.loadControlRenderCallback = function(result_array)        
	{
            {# Rendering summary block #}
            {{jsBlock({
		'operation':'render',
		'render_always': false,
		'block_name':'block_load_summary',
		'block_relation_type':'child_parent',
		'row_relation_array':"objM.getRelationsFromChild(this.loadControlId)"
            })}}

            {# Rendering details block #}
            {{jsBlock({
		'operation':'render',
		'render_always': false,
		'block_name':'block_load_details',
		'block_relation_type':'parent_child',
		'row_relation_array':"objM.getRelationsFromParent(this.loadControlId)"
            })}}
            
            {# Calling finalization function #}
            this.loadControlsFinalize();
	}
	
        this.objsDeAllocate = function()
        {
            for(var i in this.registered_ids){
                objM.freeAllocatedObj(this.registered_ids[i]);
            }
        }
        
        this.objsAllocate = function(loadControlId)
        {
            if(loadControlId == null)   return;
            
            var child_relations = objM.getRelationsFromParent(loadControlId);
            for(var i in child_relations){
                var obj = objM.getObj(child_relations[i]['CHILDOBJ_ID']);
                if(obj.phpclass != "{{getConstant("_DPAD_ENERGY_PHPCLASS_BATTERY")}}") continue;
                
                this.registered_ids.push(obj.id);
                objM.addAllocatedObj(obj.id);
            }

            var parent_relations = objM.getRelationsFromChild(loadControlId);
            for(var i in parent_relations){
                var obj = objM.getObj(parent_relations[i]['PARENTOBJ_ID']);
                if(obj.phpclass != "{{getConstant("_DPAD_ENERGY_PHPCLASS_BATTERY")}}") continue;
                
                this.registered_ids.push(obj.id);
                objM.addAllocatedObj(obj.id);
            }
        }

        this.loadControlsFinalize = function()
        {
            {# De-allocating previous objects, if any #}
            this.objsDeAllocate();
            
            {# Allocating loads for current load control #}
            this.objsAllocate(this.loadControlId);

            this.is_initialized = true;
        }

        {# This function returns details for given battery #}
        this.getBatteryDetails = function(batteryId)
        {
            var detailsArray = new Array();
            
            detailsArray.push(this.getBatteryDetail(batteryId,"power_threshold_1",true));
            detailsArray.push(this.getBatteryDetail(batteryId,"power_threshold_2",true));
            detailsArray.push(this.getBatteryDetail(batteryId,"load_priority",true));
            detailsArray.push(this.getBatteryDetail(batteryId,"load_threshold_alarm",false));
            
            return detailsArray.join("<br/>");
        }
        
        this.getBatteryDetail = function(batteryId,tag,alternateOption)
        {
            var detailId = objM.object_get_id_by_complexobject_tag(batteryId,tag);
            var detailRender = "";
            if(detailId!=-1)
            {
                detailRender = objM.getObj(batteryId).render("loadcontrol",{prototype:"<{child:"+tag+"|field:current_value|jselement:label}>"});
            }
            else if(alternateOption==true)
            {
                detailRender = objM.getObj(batteryId).options[tag];
            }

            if(detailRender!="")
                return "<span id='label'>" + rM.getConstant("_DPAD_DBCONSTANT_RENDERING_ENERGY_RELATION_BATTERY_" + tag.toUpperCase()) + ":</span> <span id='value' detail='"+tag+"'>" + detailRender +"</span>";
            else
                return "";
        }
        
	this.onUnload = function()
	{
            {% block block_onUnload %}
            this.objsDeAllocate();
            {% endblock block_onUnload %}
	}
	
</jsScopeScripts>