{% extends "ivory/templates/core/scope.plan.tpl" %}

{% block block_declarationsCustom %}
this._sCurrentView = 'grid-dynamic';
this._iElementOffset = jsDpadMenuManager.getMargin('offset');
this._oElementSize = jsDpadIvoryObjManager.getObjectSize(null,this._iElementOffset);

this._bRendering = false;
this._bResizing = false;
this._iWindowWidth = 0;
this._iWindowHeight = 0;

this._iChildrenNum = 0;
this._iMaxYPos = 0;

this.header_position = "none";

this._aChildren = new Array();
this._aResult;

this._oView;

themeManager.home_id = {{template.homepage_id}};
themeManager.prefs_id = {{template.favourites_id}};

this._bInitialized = false;

{% endblock block_declarationsCustom %}

{% block block_onLoad %}
themeManager.waitplease_display(true);
objM.getObjsSurrounding( this.id, $.proxy( this._contentInit, this ) );
{% endblock block_onLoad %}

{% block block_onTransitionDone %}
$(window).on("resize.grid-dynamic",$.proxy(this._resize,this));
this._bInitialized = true;
{% endblock block_onTransitionDone %}

{% block block_onUnload %}
{{ parent() }}
$(window).off("resize.grid-dynamic",$.proxy(this._resize,this));
{% endblock block_onUnload %}

{% block block_blockRenderBackground %}
{% endblock block_blockRenderBackground %}

{% block block_renderRender %}
{{ jsBlock({
        'operation': 'render',
        'render_always': true,
        'block_name': 'block_plan',
        'block_relation_type': 'parent_child',
        'block_render_callback': '$.proxy( this._blockRenderCallback, this )'
}) }}
{% endblock block_renderRender %}

{% block block_render %}
    var result_array = this._aResult;
    {{parent()}}
{% endblock block_render %}

{% block _renderCallback %}
    {# Restoring default values into relations #}
    for(var _iIndex in this._aChildren){
        var _oChild = this._aChildren[ _iIndex ];
        
        {# Clearing temporary xpos/ypos options #}
        delete _oChild.options.xpos;
        delete _oChild.options.ypos;
    }

    this._setScrollable();
    this._bRendering = false;
    this._bResizing = false;
    
    {{ parent() }}
{% endblock _renderCallback %}

{% block _customScope %}

this._contentInit = function(aResult){
    {% block _contentInit %}

    {# Saving results for further usage #}
    this._aResult = aResult;

    {# Initializing header #}
    this._headerInit();
    
    {# Initializing children array #}
    var _oObj = objM.getObj( this.id );
    var _aChildren = _oObj.getChildren();
    
    {# Iterating on children in order to skip disabled ones; calculating number of items to be displayed #}
    this._iChildrenNum = 0;
    this._aChildren = new Array();
    for(var _iIndex in _aChildren){
        var _oChild = _aChildren[ _iIndex ];
        if(!this.objectIsAllowed(_oChild))  continue;
        if(parseInt(_oChild.is_visible)!=1) continue;
        this._aChildren.push(_oChild);
        this._iChildrenNum++;
    }
        
    {# Calculating positions #}
    this._calculatePositions();
    {% endblock _contentInit %}
}

this._setScrollable = function(){

    var _content = $(this.getScopeSelector()).find("#block_plan_container_results");
    var _cover = $(this.getScopeSelector()).find("#grid-dynamic_cover");
    var _container = $(this.getScopeSelector()).find("#grid-dynamic_contained");

    var _iContentHeight = Math.max(this._iMaxYPos + this._oElementSize.normal.height + this._iElementOffset,_container.height());
    
    _content.height(_iContentHeight);
    _cover.height(_iContentHeight + (2 * this._iElementOffset) + 200);

    themeManager.setScrollable(_container,{'showThumbs':false});
}

this._headerInit = function(){
    {% block _headerInit %}

    var myHeaderImage = objM.getObj(this.id).options.background_image_path;
    if (this.header_position != "none" && myHeaderImage!="" && typeof(myHeaderImage)!="undefined") {
            myHeaderImage = rM.getServerWebPath()+'./modules/supervision/images/background/'+encodeURI(myHeaderImage);
            $(this.getScopeSelector()).find('#template-content-header').css('background-image','url('+myHeaderImage+')');
    } else {
            this.header_position = "none";
    }
    
    {# Setting class to page elements accordingly to header_position and setting image background by groups options in DB #}
    $(this.getScopeSelector()).find('#template-content-header').removeClass();
    $(this.getScopeSelector()).find('#template-content-header').addClass('header-'+this.header_position);
    $(this.getScopeSelector()).find('#grid-dynamic_container').removeClass();
    $(this.getScopeSelector()).find('#grid-dynamic_container').addClass('content-'+this.header_position);
    
    if ((this.header_position=='left')||(this.header_position=='right')) {
            $(this.getScopeSelector()).find('#template-content-header').css('height',$(this.getScopeSelector()).find("#grid-dynamic_contained").height()+"px");
    }
    {% endblock _headerInit %}
}

{# Cycling results to calculate new positions #}
this._calculatePositions=function(){
    {% block _calculatePositions %}

    if(this._bRendering)    return;
    this._bRendering = true;
    
    {# Skipping if no results found #}
    if(this._iChildrenNum > 0){
        {# Getting View Size #}
        var _jView = $( this.getScopeSelector() ).find('#' + this._sCurrentView + '_contained');
        
        if( _jView.size() > 0 ){
            if(!this._oView){
                this._oView = {};
                this._oView.width = parseInt( _jView.css('width').replace('px','') );
                this._oView.height = parseInt( _jView.css('height').replace('px','') );
        
                this._oView.scroll = {
                        top: _jView.scrollTop(),
                        left: _jView.scrollLeft()
                };
            }
            
            {# Getting element's container size; the more elements we have the bigger is the container #}
            var _oElementsContainer = {};
            {# Calculating Max Offsets ( 1-based ) #}
            var _iMaxOffsetY = Math.floor( this._oView.height / this._oElementSize.normal.height ) + ( this._iChildrenNum % _iMaxOffsetY ? 1 : 0 );
            var _iMaxOffsetX = Math.min( Math.floor( this._oView.width / this._oElementSize.normal.width ), Math.floor( this._iChildrenNum / _iMaxOffsetY ) + ( this._iChildrenNum % _iMaxOffsetY ? 1 : 0 ) );
            {# Getting real max offsets for the current number of objects #}
            while( ( _iMaxOffsetY-1 ) * _iMaxOffsetX >=  this._iChildrenNum ){
                    _iMaxOffsetY--;
            }
            {# Calculating Size container from offsets ( 1-based ) #}
            _oElementsContainer.width = this._oElementSize.normal.width * _iMaxOffsetX;
            _oElementsContainer.height = this._oElementSize.normal.height * _iMaxOffsetY;
    
            {#
                    console.error('_iMaxOffsetX:%o _iMaxOffsetY:%o Length:%o Element:%o View:%o',_iMaxOffsetX,_iMaxOffsetY,this._iChildrenNum,this._oElementSize,this._oView);
            #}
    
            {# Updating positions ( 0-based ) #}
            var _iOffsetX = 0;
            var _iOffsetY = 0;
            {# Calculating Max Offsets ( 0-based ) #}
            _iMaxOffsetX--;
            _iMaxOffsetY--;
            for(var _iIndex in this._aChildren){
                    var _oChild = this._aChildren[ _iIndex ];
    
                    {#Calculating position for object adding as temporary xpos/ypos attributes #}
                    _oChild.options.xpos = Math.max(0, Math.floor( ( this._oView.width - _oElementsContainer.width ) / 2 ) + this._oView.scroll.left ) + ( _iOffsetX * this._oElementSize.normal.width );
                    _oChild.options.ypos = Math.max(0, Math.floor( ( this._oView.height - _oElementsContainer.height ) / 2 ) + this._oView.scroll.top ) + ( _iOffsetY * this._oElementSize.normal.height );
    
                    {# Updating Offsets #}
                    _iOffsetX++;
                    if( _iOffsetX > _iMaxOffsetX ){
                            _iOffsetX = 0;
                            _iOffsetY++;
                    }
                    
                    {#Updating maximum Y pos #}
                    this._iMaxYPos = Math.max(this._iMaxYPos,_oChild.options.ypos);
            }
        }
    }
    {# Rendering Block #}
    this.blockRender();
    {% endblock _calculatePositions %}
}

{#This function handles window resize (and orientation change on mobile devices) #}
this._resize = function(event){

    {# Checking if new size is the same as previous one; in such a case, skipping (often browser raises twice the event for the same size) #}
    if($(window).width() == this._iWindowWidth && $(window).height() == this._iWindowHeight) return;
    this._iWindowWidth = $(window).width();
    this._iWindowHeight = $(window).height();

    {% block _resize %}
    this._bResizing = true;
    delete this._oView;
    this._calculatePositions();
    {% endblock _resize %}
}
{% endblock _customScope %}