{# Grid template scope #}
<jsIncludes>
{% block block_jsIncludes %}
{{ html_includejs("jquery.js","js") }}
{{ html_includejs("jsDpadMenuManager.js","js") }}
{{ html_includejs("jsDpadBlock.js","js") }}
{{ html_includejs("jsDpadObjectManager.js","js") }}
{% endblock block_jsIncludes %}
</jsIncludes>
<jsScopeScripts>
	this.id=null;
	this.header_position = "none";
	this.registered_ids = new Array();

	themeManager.home_id = {{template.homepage_id}};
	themeManager.prefs_id = {{template.favourites_id}};

	{# Declaring Block Interface #}
	{{ jsBlock({
		'operation': 'declaration',
		'block_name': "block_grid",
		'block_render_container_selector': "this.getScopeSelector() + ' #grid_container'",
		'prototype_container': "$(this.getScopeSelector()).find('div#grid_container_prototype').html();",
		'prototype_item': "$(this.getScopeSelector()).find('div#grid_row_prototype').html();",
		'prototype_footer': "$(this.getScopeSelector()).find('div#grid_container_footer').html();",
		'block_relation_type': 'parent_child'
	}) }}
	{% block block_customDeclarations %}{% endblock %}

	this.block_grid.results_filter_func=function(datas)
	{
		{% block block_blockFilterFunc %}
		return parseInt(datas.obj.is_visible) == 1 && !(datas.obj.type=="GROUP" || datas.obj.type=="SEARCHFOLDER" || datas.obj.type=="URL");
		{% endblock block_blockFilterFunc %}
	}

	this.onLoad=function(){
		{% block block_onLoad %}
		themeManager.waitplease_display(true);
		objM.getObjsSurrounding( this.id, $.proxy(this.blockRender,this) );
		{% endblock block_onLoad %}
	}
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
	
	this.blockRender=function(result_array){
		{% block block_blockRender %}
		{% block block_blockRenderBackground %}
		{# Setting header title with current object name #}
		themeManager.setHeaderTitle( objM.getObj(this.id).name );

		var myHeaderImage = objM.getObj(this.id).options.background_image_path;
		if (this.header_position != "none" && myHeaderImage!="" && typeof(myHeaderImage)!="undefined") {
			myHeaderImage = rM.getServerWebPath()+'./modules/supervision/images/background/'+encodeURI(myHeaderImage);
			$(this.getScopeSelector()).find('#template-content-header').css('background-image','url('+myHeaderImage+')');
		} else {
			this.header_position = "none";
		}

		{# Setting class to page elements accordingly to header_position and setting image background by groups options in DB #}
		$(this.getScopeSelector()).find('#template-content').removeClass();
		$(this.getScopeSelector()).find('#template-content').addClass('content-'+this.header_position);
		$(this.getScopeSelector()).find('#template-content-header').removeClass();
		$(this.getScopeSelector()).find('#template-content-header').addClass('header-'+this.header_position);
		
		if ((this.header_position=='left')||(this.header_position=='right')) {
			$(this.getScopeSelector()).find('#template-content-header').css('height',$(window).height()+"px");
		}
		{% endblock block_blockRenderBackground %}

		{% block block_blockRenderAdditionalAttributes %}
		{# Setting additional attributes to each object before rendering #}
		for (var i in result_array) {
			if (objM.hasRelation(themeManager.prefs_id,result_array[i]['ID'])) {
				result_array[i]['PREFS'] = "";
			} else {
				result_array[i]['PREFS'] = "off";
			}
			var currObj = objM.getObj(result_array[i]['ID']);
			if( currObj ){
				if( currObj.is_complex==1) {
					result_array[i]['ALLOW_SCHEDULE'] = objM.objGetChildIdByRelationOption(result_array[i]['ID'],"allow_schedule",1)>0?"":"off";
				} else {
					result_array[i]['ALLOW_SCHEDULE'] = (currObj.is_writable?"":"off");
				}
			}
		}
		{% endblock block_blockRenderAdditionalAttributes %}

		{# Rendering block #}
		{% block block_blockRenderRender %}
		{{ jsBlock({
			'operation':'render',
			'render_always': false,
			'block_name':'block_grid',
			'block_relation_type':'parent_child',
			'block_render_callback':'$.proxy(this.onLoadFinalize,this)'
		}) }}
		{# Allocating objects #}
		var child_relations = objM.getRelationsFromParent(this.id);
		for(var i in child_relations){
			this.registered_ids.push(child_relations[i]['CHILDOBJ_ID']);
			objM.addAllocatedObj(child_relations[i]['CHILDOBJ_ID']);
		}
		{% endblock block_blockRenderRender %}
		{# Controllo lo stato del menu per gestire la spaziatura oggetti in griglia #}	
		jsDpadMenuManager.controlStatusMenu();
		{% endblock block_blockRender %}
	}
	
	this.onLoadFinalize = function(){
		{# In case we are inside iOS app, asking to hide splash screen - used when favourites pages is the homepage... #}
		rM.webappHideSplashScreen();
		{# Attivo lo scrolling di pagina #}
		this._setScrollable();
		themeManager.waitplease_display(false);
	}
	
	this._setScrollable=function(){
		themeManager.setScrollable($(this.getScopeSelector()).find("#template-content"),{'showThumbs':false});
	}
	
	this.onUnload = function(){
		{% block block_onUnload %}
		{# De-Allocating objects #}
		for(var i in this.registered_ids){
			objM.freeAllocatedObj(this.registered_ids[i]);
		}
		this.registered_ids = new Array();
		{% endblock block_onUnload %}
	}
	
	{# Handlers for objects expand/collapse events #}	
	this.onObjectCollapsed = function(jObj){
	{% block _onObjectCollapsed %}{% endblock %}
	}
	
	this.onObjectExpanded = function(jObj){
	{% block _onObjectExpanded %}{% endblock %}
	}

	{% block block_customFunctions %}
	{% endblock block_customFunctions %}
	
</jsScopeScripts>