{# screensaver template scope #}
<jsIncludes>
{{ html_includejs("jsDpadMenuManager.js","js") }}
{{ html_includejs("jsDpadObjectManager.js","js") }}
{{ html_includejs("jsDpadBlock.js","js") }}
{{ html_includejs("jsDpadWeather.js","js") }}
</jsIncludes>
<jsScopeScripts>
	{% block _scopeDeclarations %}
	
	this.id=null;		{# Current menu item ID #}
	this.parent_id=null;	{# Current menu parent item ID #}
	this.is_initialized = false;
	this._iMeteoNextCheckTimeoutHandler = null;
	this._iMeteoNextCheckTimer=60;//Every X in seconds
	this._iMeteoForecastNumberOfDays = 2;	//Number of days from forecast to be shown in home page
	
	themeManager.home_id = {{template.homepage_id}};
	themeManager.prefs_id = {{template.favourites_id}};
	
	{# Declaring Block Interface #}
	{{ jsBlock({
		'operation':"declaration",
		'block_name':"block_home",
		'block_render_container_selector':"this.getScopeSelector()+' #menu-button-list'",
		'prototype_container':"$(this.getScopeSelector()).find('div#fullscreen_container_prototype').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#fullscreen_row_prototype').html();"
	}) }}

	{% endblock _scopeDeclarations %}
	
	this.block_home.results_filter_func=function(datas){
		var modules=[{% for module,module_infos in _global.global_modules_array %}{% if(not checkModulePresence(module)) %}'{{ module }}',{% endif %}{% if loop.last %}'__fake'{% endif %}{% endfor %}];
		if(datas.obj.options.menu_data_module_owner && $.inArray(datas.obj.options.menu_data_module_owner,modules)!=-1)return false;
		if(parseInt(datas.relation.ENABLE_FLAG)!=1) return false;
		if(!themeManager.objectIsClientCompliant(datas.obj.id))	return false;
		return (datas.obj.type=="{{ getConstant("_DPAD_CLASS_TYPE_GROUP")|encode4jscript }}" || datas.obj.type=="{{ getConstant("_DPAD_CLASS_TYPE_SEARCHFOLDER")|encode4jscript }}" || datas.obj.type=="{{ getConstant("_DPAD_CLASS_TYPE_URL")|encode4jscript }}" || datas.obj.type=="{{ getConstant("_DPAD_CLASS_TYPE_CAMERA")|encode4jscript }}") && datas.obj.is_visible;
	}

	this.onLoad=function() {
		{# Setting title #}
		themeManager.setHeaderTitle("{{ getConstant('_DPAD_THEME_GROUP_TEMPLATE_HOME')|encode4jscript }}");
		themeManager.waitplease_display(true);

		{# If redirection is required, bypassing everything by looking for favourites and redirecting to it (in callback) #}
		if( parseInt(rM.getConfiguration("home_redirect_to_favourites",{refresh: false}))==1 ){
			this.redirectToFavourites();
			return;
		}
		{# Managing first loading #}
		if( !this._oWeatherLibrary ){
			this._oWeatherLibrary = new jsDpadWeather();
		}
		if( !this.is_initialized ){
			{# Showing clock if required #}
			if( parseInt(rM.getConfiguration("home_show_clock_date",{refresh: false}))==1 ){
				themeManager.addServerClock({selector:this.getScopeSelector()+' #fullscreen-header-area-date',format:'date'});
			}
			if( parseInt(rM.getConfiguration("home_show_clock_time",{refresh: false}))==1){
				themeManager.addServerClock({selector:this.getScopeSelector()+' #fullscreen-header-area-time',format:'time_wo_seconds'});
			}
			{# Closing side menu, if required #}
			if( parseInt(rM.getConfiguration("home_close_menu",{refresh: false}))==1 ){
				//jsDpadMenuManager.menuClose();
			} else {
				jsDpadMenuManager.menuOpen();
			}
		}
		
		{# If sub-objects required, loading children of current group and displaying them into block; otherwise, skipping to meteo #}
		if( parseInt(rM.getConfiguration("home_show_subitems",{refresh: false}))==1 ){
			if( !this.id )	this.id = themeManager.home_id;
			objM.getObjsSurrounding(this.id,$.proxy(this.screensaver_render,this,this.id));
		} else {
			this.screensaver_meteo_render();
		}
	}
	
	this.onUnload = function(){
		this.scheduleNextCheckClear();
		for(var i in this.registered_ids){
			objM.freeAllocatedObj(this.registered_ids[i]);
		}
		this.registered_ids=new Array();
	}
	
	{# This function redirects to favourites group #}
	this.redirectToFavourites = function(){
		iM.openInstance("../system/loadtemplate.php?tpl=grid|id=" + themeManager.prefs_id + "&header_position=none");
	}
	
	this.screensaver_load = function(result_array){
		this.id = result_array[0]["VALUE"];
		objM.getObjsSurrounding(this.id, $.proxy(this.screensaver_render,this,this.id) );
	}
	
	this.block_render=function(result_array,groupId){
		{# Elaborating items before rendering #}
		for(var i in result_array){
			var currObj=objM.getObj(result_array[i]['ID']);
			var oTriggerObj=((currObj && currObj.options.trigger)?objM.getObj(currObj.options.trigger):null);
			if( oTriggerObj ){
				result_array[i]['TRIGGER'] = '<div class="red-badge">'+$('<div>').append(oTriggerObj.render('home',{prototype:'<{field:current_value|jselement:label}>'})).html()+'</div>';
			} else {
				result_array[i]['TRIGGER'] = '';
			}
		}
		{{ jsBlock({
			'operation':'render',
			'block_name':'block_home',
			'render_always': false,
			'block_relation_type':'parent_child',
			'block_reference_id':'groupId',
			'row_relation_array':'objM.getRelationsFromParent(groupId)'
		}) }}
	}
	
	this._setBackgroundImage=function(sPath){
		$(this.getScopeSelector()).find('#fullscreen-container').css('background-image','url('+sPath+')');
	}
	
	this.screensaver_render=function(groupId,result_array){
		if(!groupId){
			rM.log("Unable to find menu element with ID " + groupId,"warn",5,null,"scope.screensaver.tpl","screensaver_init");
			return;
		}
		{# Rendering block with given results array #}
		this.block_render(result_array,groupId);
		this.screensaver_meteo_render();
	}
	
	this.screensaver_meteo_render=function(){
		$(this.getScopeSelector()).find('#fullscreen-header-area-prev').html('');
		if( parseInt(rM.getConfiguration("home_show_meteo_actual",{refresh: false}))==1 || parseInt(rM.getConfiguration("home_show_meteo_forecast",{refresh: false}))==1 || parseInt(rM.getConfiguration("home_background_use_meteo",{refresh: false}))==1 ){
			var plugin_meteo_location = rM.getConfiguration("plugin_meteo_location",{refresh:false});
			var plugin_meteo_api = rM.getConfiguration("plugin_meteo_service",{refresh:false});
			this._oWeatherLibrary.callService({
					sLocation:plugin_meteo_location,
					sMeteoApi:plugin_meteo_api
				},{
					success:$.proxy(this._screensaver_meteo_render_ajax_success,this),
					error:$.proxy(this._screensaver_meteo_render_ajax_error,this)
			});
		} else {
			{# No meteo info required; showing static background image (if provided) and going directly to finalize function #}
			var bgImage = rM.getConfiguration("home_background_image",{refresh: false});
			if( bgImage ){
				this._setBackgroundImage( bgImage );
			}
			{# If neither date/time must be shown, hiding all graphic elements except for background #}
			if(parseInt(rM.getConfiguration("home_show_clock_date",{refresh: false}))==0 && parseInt(rM.getConfiguration("home_show_clock_time",{refresh: false}))==0){
				$(this.getScopeSelector()).find("#fullscreen-header-image-background,#fullscreen-header-image-icon").hide();
			}
		}
		{# Initializing favourites #}
		themeManager.prefsInit( $.proxy(this.screensaver_finalize,this) );
	}
	
	this.scheduleNextCheckClear=function(){
		if( this._iMeteoNextCheckTimeoutHandler ){
			clearTimeout( this._iMeteoNextCheckTimeoutHandler );
		}
	}
	
	this.scheduleNextCheck=function(){
		this.scheduleNextCheckClear();
		this._iMeteoNextCheckTimeoutHandler = setTimeout( $.proxy( this.screensaver_meteo_render, this), this._iMeteoNextCheckTimer * 1000 );
	}
	
	this._screensaver_meteo_render_ajax_success=function(oResult,textStatus,jqXHR){
		if( oResult && oResult.data && oResult.data.current_condition ){ {# Correct answer received #}
			if( oResult.data.current_condition[0].weatherCode>0 ){
				this._screensaver_meteo_interative_forecast_information( oResult );
			}
			if( parseInt(rM.getConfiguration("home_show_meteo_forecast",{refresh: false}))==1 ){
				if(oResult.data.weather[0].weatherCode>0){
					this._screensaver_meteo_interative_forecast_conditions( oResult );
				}
			}
		} else { {# Wrong answer received #}
			this._setBackgroundImage('{{ theme.baseurl }}images/meteo/meteo_services_not_available.jpg');
		}
		this.scheduleNextCheck();
	}
	
	this._screensaver_meteo_interative_forecast_information=function(forecast){
		var city = "";
		var date = forecast.data.weather[0].date;
		var condition = forecast.data.current_condition[0].weatherDesc[0].value;
		var tempC = forecast.data.current_condition[0].temp_C;
		var humidity = forecast.data.current_condition[0].humidity;
		var icon = forecast.data.current_condition[0].weatherCode;
		if(parseInt(rM.getConfiguration("home_show_meteo_actual",{refresh: false}))==1){
			this._setBackgroundImage('{{ theme.baseurl }}images/meteo/'+this._oWeatherLibrary.codeToString(icon)+'.png');
			$(this.getScopeSelector()).find('#fullscreen-header-area-location').text(city);
			$(this.getScopeSelector()).find('#fullscreen-header-area-temperature').html(tempC+"&deg;");
		}
		if(parseInt(rM.getConfiguration("home_background_use_meteo",{refresh: false}))==1){
			icon = icon.replace(".png","_day_bg.jpg");
			this._setBackgroundImage('{{ theme.baseurl }}images/meteo/' + this._oWeatherLibrary.codeToString(icon) + '_day_bg.jpg');
		}
		else{
			var bgImage = rM.getConfiguration("home_background_image",{refresh: false});
			if( bgImage ){
				this._setBackgroundImage( bgImage );
			}
		}
	}
	
	this._screensaver_meteo_interative_forecast_conditions=function(result){
		for (i=1;i<=this._iMeteoForecastNumberOfDays;i++) {
			var day_of_week = this._screensaver_meteo_convert_date(result.data.weather[i].date);
			var condition = result.data.weather[i].weatherDesc[0].value;
			var high = result.data.weather[i].tempMaxC;
			var low = result.data.weather[i].tempMinC;
			var icon = this._oWeatherLibrary.codeToString(result.data.weather[i].weatherCode);
			$(this.getScopeSelector()).find('#fullscreen-header-area-prev').append(this.create_meteo_list(day_of_week,condition,icon,low,high));
		}
	}
	
	this._screensaver_meteo_convert_date = function(date){
		var newDate = date.split("-");
		return newDate[2]+"/"+newDate[1]+"/"+newDate[0];
	}
	
	this._screensaver_meteo_render_ajax_error=function(jqXHR,textStatus,errorThrown){
		this._setBackgroundImage('{{ theme.baseurl }}images/meteo/meteo_services_not_available.jpg');
		rM.log({type:'error'},'[scope._screensaver_meteo_render_ajax_error] Unable to get data from meteo service; error:%o[%o]',textStatus,errorThrown);
		this.scheduleNextCheck();
	}
	
	{#This function selects given item #}
	this.selectItem=function(iItemID){
		var _oMenu = iM.getScopeFromActiveView("right_panel");
		if(_oMenu && _oMenu.selectItem)	_oMenu.selectItem(iItemID);
	}
	
	
	{# This function handles actions when menu item is pressed; using callbacks to evade concurrencies in opening two instance at the same time for the same object #}
	this.menuItemPressed = function(item_id){
		objM.getObjsSurrounding(item_id,$.proxy(this._menuItemPressedCallback,this,item_id));
	}
	
	this._menuItemPressedCallback=function(item_id,result_array){
		var _oCurrentItem = objM.getObj(item_id);
		switch(_oCurrentItem.type){
			case "{{ getConstant("_DPAD_CLASS_TYPE_GROUP")|encode4jscript }}":
			case "{{ getConstant("_DPAD_CLASS_TYPE_SEARCHFOLDER")|encode4jscript }}":

				{# Retrieving URL associated to group, and changing it is necessary (e.g. small mobile devices) #}
				var _sUrl = _oCurrentItem.getUrl();
				if( _sUrl ){
					{# Navigating to group with given URL. By default, this function will also reload menu, if necessary #}
					_oCurrentItem.jumpTo(_sUrl);
				} else {
					if( parseInt( _oCurrentItem.options.show_menu )==1 ){
						objM.getObjsSurrounding( item_id, $.proxy(this.screensaver_render,this,item_id) );
						_oCurrentItem.jumpTo();	//This makes side menu load with new item
					}
				}
				this.selectItem(item_id);
			break;
			case "{{ getConstant("_DPAD_CLASS_TYPE_URL")|encode4jscript }}":
				{# Action is URL object MSP itself #}
				if(rM.isString(_oCurrentItem.msp) && _oCurrentItem.msp.indexOf("javascript:")!=-1){
					eval(_oCurrentItem.msp.replace("javascript:",""));
				}
				else _oCurrentItem.jumpTo();
			break;
			case "{{ getConstant("_DPAD_CLASS_TYPE_CAMERA")|encode4jscript }}":
				{# Action is to open specific template #}
				iM.openInstance("../system/loadtemplate.php?tpl=camera|id=" + _oCurrentItem.id,null,null,"popup_panel");
			break;
			default:
			break;
		}
	}

	this.screensaver_finalize = function() {
		{# Setting header title with current object name #}
		themeManager.waitplease_display(false);
		if( !this.is_initialized ){
			{# In case we are inside iOS app, asking to hide splash screen #}
			rM.webappHideSplashScreen();
			this.is_initialized = true;
		}
	}
	
	this.create_meteo_list = function(day_of_week,condition,icon,low,high){
		var htmlReturn = '<div class="fullscreen-weather-element" style="background-image:url({{theme.baseurl}}images/meteo/'+icon+'.png)">'+day_of_week+'</div>';
		return htmlReturn;
	}
	
	this.child_data = function(selector, arg){
		return selector.find(arg).attr('data');
	}

</jsScopeScripts>