{# Container template scope #}
{# Including specific javascript libraries #}
<jsIncludes>
{{ html_includejs("jquery.js","js") }}
{{ html_includejs("jquery.ui.tabs.js","js") }}
{{ html_includejs("pbx.js","js") }}
</jsIncludes>
{# Including specific javascript #}
<jsScopeScripts>
	this._initiliazed=false;
	this.id=null;
	this.registered_ids = new Array();
	
	{{ jsBlock({
		'operation':"declaration",
		'block_name':"block_shortcommands",
		'block_relation_type':'parent_child',
		'block_render_container_selector':"this.getScopeSelector()+' #shortcommands-container'",
		'prototype_container':"$(this.getScopeSelector()).find('#shortcommands_container_prototype').html();",
		'prototype_item':"$(this.getScopeSelector()).find('#shortcommands_item_prototype').html();"
	}) }}
	this.block_shortcommands.results_filter_func=function(datas){ 
		return (datas.obj.type != '{{ getConstant("_DPAD_CLASS_TYPE_CAMERA") }}' && datas.relation.RELATION_WEB_TIPOLOGY == '{{ getConstant("_DPAD_DB_RELATION_TYPE_GENERIC") }}');
	}
	
	this.onLoad=function(){	
		if(!this._initiliazed){
			this.initTabs();
			{# Putting Tabs on the bottom #}
			$( this.getScopeSelector() ).find('.tabs-bottom .ui-tabs-nav, .tabs-bottom .ui-tabs-nav > *').removeClass('ui-corner-all ui-corner-top').addClass('ui-corner-bottom');			
			{# Adding VoIP status icons #}
			$('#template-popup-priority-icon').append( this._getVoIPStatusContainer() );
			this._initiliazed=true;
		}
		this._updateVoIPStatus();
		this.selectIntercom((this.getIntercomCaller()?this.getIntercomCaller():null));
		this.getNumberInput().focus();
		
		{# Adding button pressed effect #}
		$(this.getScopeSelector()).find(".voip-intercom-keypad-numpad li").on("mousedown touchstart",function(event){$(this).addClass('hilight')});
		$(this.getScopeSelector()).find(".voip-intercom-keypad-numpad li").on("mouseup touchend",function(event){$(this).removeClass('hilight')});
	}
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
	
	this.onUnload = function(){
		$('#template-popup-priority-title').empty();
		{# De-Allocating objects #}
		for( var i in this.registered_ids ){
			objM.freeAllocatedObj(this.registered_ids[i]);
		}
		this.registered_ids=new Array();
		
		{# Forcing closure of communication #}
		pbxM.onRedButton(null,true);
		
		{# Removing button pressed effect #}
		$(this.getScopeSelector()).find(".voip-intercom-keypad-numpad li").off("mousedown touchstart");
		$(this.getScopeSelector()).find(".voip-intercom-keypad-numpad li").off("mouseup touchend");
	}
	
	this.selectIntercom=function(oIntercom){
		{# Clearing Tabs #}
		this.getTabs().tabs('destroy');
		this.getTabs().html('<ul></ul>');
		this.initTabs();
		if( oIntercom ){
			{# Setting popup title accordingly with calling party #}
			$('#template-popup-priority-title').text( oIntercom.name );
			{# Adding Tabs for each camera related to current caller VOIP element #}
			this.id = oIntercom.id;
			var aCameras = this.getIntercomCameras( oIntercom );
			if(aCameras.length>0){
				for(var i in aCameras){
					var oCamera = aCameras[i];
					this.addTab(oCamera.name,oCamera.render('intercom'));
				}
			}
			if( oIntercom.options.dooropener_dtmf_cmd_open && oIntercom.options.dooropener_dtmf_cmd_open!='' ){
				this.getOpenGate(1).removeClass("off");
			} else {
				this.getOpenGate(1).addClass("off");
			}
			if( oIntercom.options.dooropener_dtmf_cmd_open_2 && oIntercom.options.dooropener_dtmf_cmd_open_2!='' ){
				this.getOpenGate(2).removeClass("off");
			} else {
				this.getOpenGate(2).addClass("off");
			}
			{# Loading and initializing short command(s), if any #}
			objM.getObjsSurrounding(oIntercom.id,$.proxy(this.initShortCommands,this));
		} else {
			this.getOpenGate(1).addClass("off");
			this.getOpenGate(2).addClass("off");
			
			{# Setting generic popup title #}
			$('#template-popup-priority-title').text("{{ getConstant('_DPAD_THEME_INTERCOM_POPUP_TITLE') }}");

			{# Resetting short commands #}
			this.initShortCommands(new Array());
		}
		
		this.addTab('{{ getConstant('_DPAD_VOIP_TAB_KEYPAD') }}',this.renderEmptyCamera());
		this.addTab('{{ getConstant('_DPAD_VOIP_TAB_VOLUME') }}',this.renderVolume());
		this.updateVolume(this.getPbxM().getVolume('in'),'in');
		this.updateVolume(this.getPbxM().getVolume('out'),'out');
		
		this._setScrollable();
	}
	
	this.getIntercomCameras = function( oIntercom ){
		return oIntercom.getChildren({filters:{relation:{'RELATION_WEB_TIPOLOGY':'{{ getConstant('_DPAD_DB_RELATION_TYPE_VOIP_CAMERA_ELEMENT') }}'}}});
	}
	
	this.renderEmptyCamera=function(){
		return $(this.getScopeSelector()).find("#popup-voip-keypad").html();
	}
	
	this.renderVolume=function(){
		return $(this.getScopeSelector()).find("#popup-voip-volume").html();
	}
	
	this.getIntercomCaller=function(){
		return this.getPbxM().getIntercom();
	}
	
	this.numberKeyPressed=function(key){
		this.getNumberInput().val(this.getNumberInput().val()+key);
	}
	
	this.clearNumber=function(){
		this.getNumberInput().val('');
	}
	
	this.updateVolume=function(iVolume,sType){
		$(this.getScopeSelector()).find('#volume_'+sType).text(iVolume);
	}
	
	this.getOpenGate=function(gateNum){
		return $(this.getScopeSelector()).find('#voip-button-opengate-'+gateNum);
	}
	
	this.openGate=function(gateNum){
		var oCaller=this.getIntercomCaller();
		var gateDtmf;
		switch(gateNum)
		{
			case 2:
				gateDtmf = oCaller.options.dooropener_dtmf_cmd_open_2;
				break;
			case 1:
			default:
				gateDtmf = oCaller.options.dooropener_dtmf_cmd_open;
				break;
		}
		if( oCaller && gateDtmf ){
			this.getPbxM().sendDTMF(gateDtmf);
		}
		setTimeout($.proxy(this.resetOpenGate,this,gateNum),1000);
	}
	
	this.resetOpenGate=function(gateNum){
		var _gateButton = this.getOpenGate(gateNum);
		if( _gateButton ){
			_gateButton.find("div").removeClass("on").addClass("off");
		}
	}
	
	this.getNumberInput=function(){
		return $(this.getScopeSelector()).find('#voip-number-input');
	}
	
	this.getTabs=function(){
		return $(this.getScopeSelector()).find('#intercomTabs');
	}
	
	this.initTabs=function(){
		this.getTabs().tabs({
			add: function(event,ui){
				$(ui.panel).append(
					$('<div id="intercomTab-'+($(this).tabs('length')-1)+'"><ul></ul></div>')
				);
			},
			activate: $.proxy(this._activeTabCallback ,this )
		});
	}
	
	this._activeTabCallback = function(event,ui){
		var _oIntercom = ( this.getIntercomCaller()?this.getIntercomCaller():null );
		if( _oIntercom ){
			var _jNewPanel = ui.newPanel;
			var _iIndexCamera = parseInt( _jNewPanel.prop('id').replace('intercomTab-','') );
			var _aCameras = this.getIntercomCameras( _oIntercom );
			var _oCamera = _aCameras[ _iIndexCamera ];
			if( _oCamera && _oCamera.checkGenericJPG() ){
				_jNewPanel.html( _oCamera.render('intercom') );
			}
		}
	}
	
	this.addTab=function(tab_title,tab_html){
		var jObject=this.getTabs();
		var iTabCounter=jObject.find('ul').eq(0).find('li').size();
		var sNewTabSelector='intercomTab-'+iTabCounter;
		jObject.find('.ui-tabs-nav').append( 
			$( "<li><a href='#" + sNewTabSelector + "'>" + tab_title+ "</a>{# <span class='ui-icon ui-icon-close' role='presentation'>Remove Tab</span></li> #}" ) 
		);
		jObject.append( $('<div>',{id: sNewTabSelector}).html( tab_html ) );
		jObject.tabs('refresh');
		jObject.tabs('option', 'active', 0);
	}
	
	this.getPbxM=function(){
		return pbxM;
	}
	
	this.initShortCommands=function(result_array)
	{
		{# Rendering list of short commands, if any #}
		if(result_array.length > 0){
			{{ jsBlock({
				'operation':'render',
				'block_name':'block_shortcommands',
				'block_relation_type':'parent_child'
			}) }}
			$(this.getScopeSelector()).find("#popup-tabs-caption-shortcommands").removeClass("template-hide");
			$(this.getScopeSelector()).find("#popup-tabs-container-shortcommands").removeClass("template-hide");
		}
		else
		{
			$(this.getScopeSelector()).find("#popup-tabs-caption-shortcommands").addClass("template-hide");
			$(this.getScopeSelector()).find("#popup-tabs-container-shortcommands").addClass("template-hide");
		}
		
		var child_relations = objM.getRelationsFromParent(this.id);
		for(var i in child_relations){
			this.registered_ids.push(child_relations[i]['CHILDOBJ_ID']);
			objM.addAllocatedObj(child_relations[i]['CHILDOBJ_ID']);
		}
		
		this.popupFinalize();
	}
	
	this.popupFinalize = function()
	{
		{# Activating scrolling on popup content #}
		this._setScrollable();
	}
	
	this._setScrollable=function(options){
		{% block block_scopeSetScrollable %}
		this._unsetScrollable();
		themeManager.setScrollable(this._getScrollable(),options);
		{% endblock block_scopeSetScrollable %}
	}
	
	this._unsetScrollable=function(){
		{% block block_scopeUnsetScrollable %}
		themeManager.unsetScrollable(this._getScrollable());
		{% endblock block_scopeUnsetScrollable %}
	}
	
	this._getScrollable=function(){
		return $(this.getScopeSelector()).find("#intercom_body");
	}
	
	this._getVoIPStatusContainer=function(){
		var _jStatusContainer = $('#template-popup-priority-icon').find('.intercom-voip-status-container');
		if( _jStatusContainer.size() == 0 ){
			_jStatusContainer = $('<div>',{
					class: 'intercom-voip-status-container'
				})
				.append( $('<div>',{
					id: 'intercom-voip-status',
					class: 'intercom-voip-status'
				}) )
			;
		}
		return _jStatusContainer;
	}
	
	this._updateVoIPStatus=function(sVoIPStatus,bNetworkStatus){
		if( sVoIPStatus==null || typeof sVoIPStatus == 'undefined' ){
			sVoIPStatus = pbxM.getStatus();
		}
		if( bNetworkStatus==null || typeof bNetworkStatus == 'undefined' ){
			bNetworkStatus = pbxM.isRegistered();
		}
		if( !bNetworkStatus ){
			sVoIPStatus = 'error';
		}
		var _jStatus = this._getVoIPStatusContainer()
			.find('#intercom-voip-status')
			.attr('class', 'intercom-voip-status intercom-call-status-' + sVoIPStatus )
		;
	}
	
</jsScopeScripts>