{# Menu template scope #}
<jsIncludes>
{% block block_jsIncludes %}
{{ html_includejs("jsDpadMenuManager.js","js") }}
{{ html_includejs("jsDpadBlock.js","js") }}
{% endblock block_jsIncludes %}
</jsIncludes>
<jsScopeScripts>
	this.id = null;		{# Current menu item ID #}
	this.parent_id = null;	{# Current menu parent item ID #}
	this.registered_ids = new Array();
	this.is_initialized = false;

	themeManager.home_id = {{template.homepage_id}};
	themeManager.prefs_id = {{template.favourites_id}};
	
	{# Declaring Block Interface #}
	{{ jsBlock({
		'operation':"declaration",
		'block_name':"block_menu",
		'block_render_container_selector':"this.getScopeSelector()+' #menu-button-list'",
		'prototype_container':"$(this.getScopeSelector()).find('div#menu_container_prototype').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#menu_row_prototype').html();"
	}) }}

	this.block_menu.results_filter_func=function(datas){
		var modules=[{% for module,module_infos in _global.global_modules_array %}{% if( checkModulePresence(module)) %}'{{ module }}',{% endif %}{% if loop.last %}'__fake'{% endif %}{% endfor %}];
		if(datas.obj.options.menu_data_module_owner && $.inArray(datas.obj.options.menu_data_module_owner,modules)==-1)return false;
		if(parseInt(datas.relation.ENABLE_FLAG)!=1) return false;
		if(!themeManager.objectIsClientCompliant(datas.obj.id))	return false;
		return (datas.obj.type=="{{ getConstant("_DPAD_CLASS_TYPE_GROUP")|encode4jscript }}" || datas.obj.type=="{{ getConstant("_DPAD_CLASS_TYPE_SEARCHFOLDER")|encode4jscript }}" || datas.obj.type=="{{ getConstant("_DPAD_CLASS_TYPE_URL")|encode4jscript }}" || datas.obj.type=="{{ getConstant("_DPAD_CLASS_TYPE_CAMERA")|encode4jscript }}") && datas.obj.is_visible;
	}

	this.onLoad=function(){
		{% block block_onLoad %}
		if( !this.is_initialized ){
			if(!this.id)	this.id = themeManager.home_id;
			if( !this.id ){
				var _sQuery = "SELECT VALUE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME='K3_ADMINISTRATION_MENU_MAIN'";
				dbManager.executeSQL( _sQuery, null, $.proxy(this.menuLoad,this) );
			} else {
				objM.getObjsSurrounding(this.id,$.proxy(this.menuRender,this));
			}
			
		} else {
			this.menuFinalize();
		}
		{% endblock block_onLoad %}
	}
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
		
	this._setScrollable=function(){
		themeManager.setScrollable( $(this.getScopeSelector()).find("#menu-button-list"),{showThumbs:false,direction:'vertical'} );
	}

	this.onUnload = function(){
		{% block block_onUnload %}
		for(var i in this.registered_ids){
			objM.freeAllocatedObj(this.registered_ids[i]);
		}
		this.registered_ids = new Array();
		{% endblock block_onUnload %}
	}
	
	this.menuLoad=function(result_array){
		this.id = result_array[0]["VALUE"];
		objM.getObjsSurrounding(this.id,$.proxy(this.menuRender,this));
	}
	
	this.menuRender=function(result_array){
		var current_menu_item = objM.getObj(this.id);
		if( !current_menu_item ){
			rM.log("Unable to find menu element with ID " + this.id,"warn",5,null,"scope.menu.tpl","initMenu");
			return;
		}
		
		{# Elaborating items before rendering #}
		for(var i in result_array) {
			var currObj = objM.getObj(result_array[i]['ID']);
			var oTriggerObj=((currObj && currObj.options.trigger)?objM.getObj(currObj.options.trigger):null);
			if(oTriggerObj){
				result_array[i]['TRIGGER'] = '<div class="red-badge">'+$('<div>').append(oTriggerObj.render('menu',{prototype:'<{field:current_value|jselement:label}>'})).html()+'</div>';
			} else {
				result_array[i]['TRIGGER'] = '';
			}
		}

		{# If menu item has a parent, using it for "back" function #}
		var parent_relations = objM.getRelationsFromChild(this.id);
		if( parent_relations.length > 0 ){
			for(var i in parent_relations){
				if(parent_relations[i]["PARENTOBJ_ID"] != 1 && parent_relations[i]["RELATION_WEB_TIPOLOGY"] != '{{ getConstant("_DPAD_DB_RELATION_TYPE_USERGROUP") }}'){
					this.parent_id=parent_relations[i]["PARENTOBJ_ID"];
					break;
				}
			}
		}
		
		{# If a parent ID is given, adding heading row #}
		if( this.parent_id != null ){
			this.block_menu.prototype_header = $(this.getScopeSelector()).find('div#menu_title_prototype').html();
		}
		
		{# Rendering block with given results array #}
		{{ jsBlock({
			'operation':'render',
			'render_always': false,
			'block_name':'block_menu',
			'block_reference_id':'this.id',
			'block_relation_type':'parent_child'
		}) }}
		
		{# Adding arrow only to items having "show_menu" flag #}
		$(this.getScopeSelector()).find("#menu-button-list").find("li[tipology='GROUP']").filter("[show_menu='1']").find("#menu-button").addClass("menu-button");
		{# Active scroll element #}
		this._setScrollable();
		this.menuFinalize();
	}
	
	{# This function is called at end of rendering #}
	this.menuFinalize = function(){
		{% block block_menuFinalize %}
		this.is_initialized = true;
		$(this.getScopeSelector()).find("#menu-button-list").scrollTop(0);
		{% endblock block_menuFinalize %}
	}
	
	this.selectItem=function(iItemID){
		if(parseInt(iItemID) == parseInt(this.id))	return;
		
		{# Deselecting all the items of the current page #}
		this._selectItem([],{
			bGeneral: true,
			bUnselectAll: true
		});
		this._selectItem([iItemID],{
			bGeneral: false,
			bUnselectAll: true
		});
	}
	
	this._selectItem=function(aIDs,oOptions){
		oOptions = $.extend({
			bGeneral: false,
			bUnselectAll: false
		},oOptions);
		var _sPageScope = ( oOptions.bGeneral ? '[id^=\'block_menu\']' : this.getScopeSelector() );
		if( oOptions.bUnselectAll ){
			$( _sPageScope )
				.find( '[id^=\'menu_item_\']' )
					.removeClass('menu-button-list-select')
			;
		}
		for(var _iIndex in aIDs){
			var _iID = aIDs[_iIndex];
			if( !_iID ) continue;
			$(  _sPageScope )
				.find( '[id=\'menu_item_' + _iID + '\']' )
					.addClass('menu-button-list-select')
			;
		}
	}

	{# This function handles actions when menu item is pressed #}
	this.menuItemPressed=function(iItemID){
		this.selectItem(iItemID);
		{#
			N.B. We must load ALL the surroundings before calling two concurrent openinstance which will load the surroundings again.
			Doing so will evade concurrencies and will allow the two pages to work correctly alone when not used with this system.
			The "objM.getObjsSurrounding" inside the pages won't do anything because the surrounding environment is already loaded by this call.
		#}
		objM.getObjsSurrounding( iItemID, $.proxy( this._menuItemPressedCallback, this, iItemID ) );
	}
	this._menuItemPressedCallback=function(iItemID){
		var _oCurrentItem = objM.getObj(iItemID);
		switch(_oCurrentItem.type){
			case "{{ getConstant("_DPAD_CLASS_TYPE_GROUP")|encode4jscript }}":
			case "{{ getConstant("_DPAD_CLASS_TYPE_SEARCHFOLDER")|encode4jscript }}":
				var _jButton = $( this.getScopeSelector() ).find('#menu_item_' + iItemID).find('[id=\'menu-button\']');
				var _bIsBackButton = _jButton.hasClass('menu-button-back') ;
				
				{# Managing back button #}
				if( _bIsBackButton ){
					iM.openInstance('../system/loadtemplate.php?tpl=menu|id=' + this.parent_id, null, null, 'right_panel', 'back' );
				} else {
					{# Retrieving URL associated to group, and changing it is necessary (e.g. small mobile devices) #}
					var _sUrl = _oCurrentItem.getUrl();
					{# Navigating to group with given URL. By default, this function will also reload menu, if necessary #}
					_oCurrentItem.jumpTo(_sUrl);
					{# If menu item is a leaf, closing menu #}
					if(!_jButton.hasClass('menu-button')){
						this._closeMenu();
					}
				}
			break;
			case "URL":
				{# Action is URL object MSP itself #}
				if(_oCurrentItem.msp.indexOf("javascript:")!=-1){
					eval(_oCurrentItem.msp.replace("javascript:",""));
				} else {
					_oCurrentItem.jumpTo();
				}
				this._closeMenu();
			break;
			case "CAMERA":
				{# Action is to open specific template #}
				iM.openInstance("../system/loadtemplate.php?tpl=camera|id=" + _oCurrentItem.id,null,null,"popup_panel");
				this._closeMenu();
			break;
			default:
			break;
		}
	}
	
	this._closeMenu=function(){
		{% block _closeMenu %}
		if( rM.getConfiguration('home_close_menu',{refresh:false}) ){
			jsDpadMenuManager.menuClose();
		}
		{% endblock _closeMenu %}
	}
</jsScopeScripts>