<jsIncludes>
{% block block_jsIncludes %}
{{ html_includejs("jsDpadBlock.js","js") }}
{#
	{{ html_includejs("jquery.scrollTo.js","js") }}
#}
{% block block_jsIncludesCustom %}{% endblock %}
{% endblock block_jsIncludes %}
</jsIncludes>
<jsScopeScripts>
	{% block block_scopeDeclarations %}
	this.id=null;
	this.is_initialized = false;
	
	{% set messagecenterTab %}{% block block_messagecenterTab %}none{% endblock block_messagecenterTab %}{% endset %}
	
	this.tab = "{{ messagecenterTab }}";
	this._title='{{ getConstant('_DPAD_THEME_MESSAGECENTER_TABS_' ~ messagecenterTab|upper)|encode4jscript }}';
	this.popup_width = 640;
	
	{% block block_scopeCustomDeclarations %}{% endblock block_scopeCustomDeclarations %}
	{% endblock block_scopeDeclarations %}

	this.onLoad=function()
	{
		{% block block_scopeOnLoad %}
		this.messageInit();
		this._setScrollable();
		{% endblock block_scopeOnLoad %}
	}
	
	this.onTransitionDone = function()
	{
		{% block block_scopeOnTransitionDone %}
		themeManager.popup_showhide(true,this.popup_width);
		this._setScrollable();
		{% endblock block_scopeOnTransitionDone %}
	}
	
	this.onUnload=function(){
		{% block block_scopeOnUnload %}
		{% endblock block_scopeOnUnload %}
	}
	
	this._setScrollable=function(options){
		{% block block_scopeSetScrollable %}
		this._unsetScrollable();
		themeManager.setScrollable(this._getScrollable(),options);
		{% endblock block_scopeSetScrollable %}
	}
	
	this._unsetScrollable=function(){
		{% block block_scopeUnsetScrollable %}
		themeManager.unsetScrollable(this._getScrollable());
		{% endblock block_scopeUnsetScrollable %}
	}
	
	this._getScrollable=function(){
		return $(this.getScopeSelector()).find("#messagecenter-list-messages-container");
	}
	
	this.messageInit = function(){
		{% block block_scopeMessageInit %}
		{# Setting popup width #}
		themeManager.popup_set_width(this.popup_width);
		{# Setting popup title #}
		$('#template-popup-title').text("{{ getConstant('_DPAD_THEME_MESSAGECENTER_TITLE')|encode4jscript }} - "+this._title);

		{# Hilighting current tab caption #}
		$(this.getScopeSelector()).find("#messagecenter-tabs-caption li").addClass("off");
		$(this.getScopeSelector()).find("#messagecenter-tab-" + this.tab).removeClass("off");
		
		{# Rendering unread notifications trigger in tab captions #}
		$(this.getScopeSelector()).find("#messagecenter-unread-notifications").html(themeManager.triggerObjs["notifications_counter"].render('popup',{prototype:'<{field:current_value|jselement:label}>'}));
		
		{% endblock block_scopeMessageInit %}
	}

	this.messageFinalize = function()
	{
		{% block block_scopeMessageFinalize %}
		this.is_initialized = true;
		{% endblock block_scopeMessageFinalize %}
	}

	this.messageLoad = function(sCondition,iIndex,iOffset)
	{
		{% block block_scopeMessageLoad %}
		{% endblock block_scopeMessageLoad %}
	}
	
	this.messageRender = function(result_array)
	{
		{% block block_scopeMessageRender %}
		{% endblock block_scopeMessageRender %}
	}

	this.messageUpdateCounter=function()
	{
		{% block block_scopeMessageUpdateCounter %}
		{% endblock block_scopeMessageUpdateCounter %}
	}
	
	this.messageButtonClearPressed = function()
	{
		{% block block_scopeMessageButtonClearPressed %}
		{% endblock block_scopeMessageButtonClearPressed %}
	}
	
	{% block block_scopeCustomFunctions %}
	{% endblock block_scopeCustomFunctions %}
</jsScopeScripts>