{% extends "scope.messagecenter.tpl" %}

{% block block_messagecenterTab %}notifications{% endblock block_messagecenterTab %}

{% block block_scopeCustomDeclarations %}
    this._bfilterHandled = true;
	this._sNotifyType='{% block block_scopeMessageLoad_notifyType %}NOTIFY_VIDEO{% endblock block_scopeMessageLoad_notifyType %}';
	this._iSearchIndex=0;
	this._iSearchOffset=20;
	this._bDisableScrollCheck=true;
	this._iLastScrollTop=0;
	
    {{ jsBlock({
            'operation':'declaration',
            'block_name':"block_messagecenter",
            'block_render_container_selector':"this.getScopeSelector()+' #messagecenter-list-messages'",
            'prototype_container':"$(this.getScopeSelector()).find('div#messagecenter-prototype-container').html();",
            'prototype_item':"$(this.getScopeSelector()).find('div#messagecenter-prototype-item').html();"
    }) }}
{#
    this.block_messagecenter.results_filter_func=function(datas){
        return true;
    }
#}
{% endblock block_scopeCustomDeclarations %}

{% block block_scopeSetScrollable %}
	{{ parent() }}
	var jScrollabelDiv=this._getScrollable();
	jScrollabelDiv.bind('scroll.notifications',function(e){iM.getScope(this)._checkNextQueryByScroll($(this),e)});
{% endblock block_scopeSetScrollable %}

{% block block_scopeUnsetScrollable %}
	{{ parent() }}
	var jScrollabelDiv=this._getScrollable();
	jScrollabelDiv.unbind('scroll.notifications');
{% endblock block_scopeUnsetScrollable %}

{% block block_scopeMessageInit %}
	{{ parent() }}
	{# Retrieving list of unread messages #}
	this.messageLoad();
{% endblock block_scopeMessageInit %}

{% block block_scopeMessageLoad %}
	this._iSearchIndex=0;
	this._queryCount(this._sNotifyType,
		$.proxy(this._queryLastResults,this,null,sCondition,iIndex,iOffset,$.proxy(this.messageRender,this))
	);
{% endblock block_scopeMessageLoad %}

{% block block_scopeMessageRender %}
	{# Elaborating date #}
	for(var i in result_array)result_array[i]["DATETIME"]=this._elaborateDateTime(result_array[i]["POST_TIMESTAMP"]);
	{# Rendering block #}
	{{ jsBlock({
			'operation':'render',
			'render_always': false,
			'block_name':'block_messagecenter',
			'block_render_callback':'$.proxy(this._messageRenderCallback,this)'
	}) }}
	{# Updating header info with number of messages #}
	this.messageUpdateCounter();
	this.messageFinalize();
{% endblock block_scopeMessageRender %}

{% block block_scopeMessageButtonClearPressed %}
    this.messageHandleAll();
{% endblock block_scopeMessageButtonClearPressed %}

{% block block_scopeCustomFunctions %}
	this._messageRenderCallback=function(){
		this._setScrollable({
			scrollTop:this._iLastScrollTop
		});
	}
	this._elaborateDateTime=function(iTimeStamp){
		var msgTstamp=parseInt(iTimeStamp);
		var msgDate = new Date(msgTstamp * 1000);
		var now = new Date();
		var msgDateTime=null;
		if(msgDate.getFullYear()==now.getFullYear() && msgDate.getMonth()==now.getMonth() && msgDate.getDate()==now.getDate()){
			msgDateTime = $.sprintf('{{ getConstant("_DPAD_THEME_MESSAGECENTER_MESSAGE_DATE_TODAY")|encode4jscript }}',rM.date2str(msgDate,'time'));
		}
		else msgDateTime = $.sprintf('{{ getConstant("_DPAD_THEME_MESSAGECENTER_MESSAGE_DATE_ANY")|encode4jscript }}',rM.date2str(msgDate,'date'),rM.date2str(msgDate,'time'));
		return msgDateTime;
	}
	this._queryCount=function(sNotifyType,fCallback){
		var sCondition=(this._bfilterHandled == true?"IS_HANDLED='0'":'1');
		var sQuery="SELECT COUNT(ID) AS COUNTER FROM DPAD_LOG WHERE TYPE='"+sNotifyType+"' AND "+sCondition+";";
		dbManager.executeSQL(sQuery,Math.random(),$.proxy(this._queryCountCallback,this,fCallback));
	}
	this._queryCountCallback=function(fCallback,aResults){
		this._iMessageCounter=aResults[0]['COUNTER'];
		if(fCallback)fCallback();
	}
	this._queryLastResults=function(sNotifyType,sCondition,iIndex,iOffset,fCallback){
		var oBlock=this['block_messagecenter'];
		var iBlockRowsCounter=(oBlock.row_array?oBlock.row_array.length:0);
		if(!sNotifyType)sNotifyType=this._sNotifyType;
		if(!sCondition)sCondition=(this._bfilterHandled == true?"IS_HANDLED='0'":'1');
		if(!iIndex)iIndex=this._iSearchIndex;
		if(!iOffset)iOffset=(this._iSearchOffset<iBlockRowsCounter?iBlockRowsCounter:this._iSearchOffset);
		var sQuery="SELECT * FROM DPAD_LOG WHERE TYPE='"+sNotifyType+"' AND "+sCondition+" ORDER BY POST_TIMESTAMP DESC,ID DESC LIMIT "+iIndex+","+iOffset+";";
		dbManager.executeSQL(sQuery,Math.random(),fCallback);
	}
	this._checkNextQueryByScroll=function(jTarget,oEvent){
		if(this._bDisableScrollCheck==false)this._iLastScrollTop=jTarget.scrollTop();
		if(this._getScrollDiff(jTarget)<=1){
			if(this._bDisableScrollCheck==false){
				var oBlock=this['block_messagecenter'];
				this._bDisableScrollCheck=true;
				this._iSearchIndex=oBlock.row_array.length;
				this._queryLastResults(null,null,null,null,$.proxy(this._nextQueryRenderCallback,this,oBlock));
			}
		}
		else this._bDisableScrollCheck=false;
	}
	this._getScrollDiff=function(jTarget){
		var jInner=jTarget.children();
		var iTarget=jTarget.offset().top+jTarget.height();
		var iInner=jInner.offset().top+jInner.outerHeight();
		return Math.abs(iTarget-iInner);
	}
	
	this._nextQueryRenderCallback=function(oBlock,aResults){
		for(var i in aResults){
			aResults[i]["DATETIME"]=this._elaborateDateTime(aResults[i]["POST_TIMESTAMP"]);
			oBlock.add_row(aResults[i]);
		}
		var iTot=Math.min(this._iSearchIndex+this._iSearchOffset,oBlock.row_array.length);
		for(var i=this._iSearchIndex+1;i<iTot;i++)oBlock.render_row(i);
		this._setScrollable();
	}
	
    this.messageHandleAll = function(){
        var msgIds = new Array();
        var msgList = this.block_messagecenter.getResults({filter:true});
        for(var i in msgList){
            msgIds.push(msgList[i]["ID"]);
        }
	{# Disabling Scroll Event #}
		this._bDisableScrollCheck=true;
        var sQuery = "UPDATE DPAD_LOG SET IS_HANDLED='1',HANDLED_TIMESTAMP='"+this.messageHandleGetTStamp()+"',HANDLED_BY='" + objM.getCurrentUser().name + "' WHERE ID IN ('"+msgIds.join("','")+"')";
        dbManager.executeSQL(sQuery,Math.random(),$.proxy(this.messageHandleAllCallback,this));
    }
    this.messageHandleAllCallback = function(result_array){
        this.messageLoad();
    }
	
    this.messageHandle = function(msgId){
	{# Disabling Scroll Event #}
		this._bDisableScrollCheck=true;
        var sQuery = "UPDATE DPAD_LOG SET IS_HANDLED='1',HANDLED_TIMESTAMP='"+this.messageHandleGetTStamp()+"',HANDLED_BY='" + objM.getCurrentUser().name + "' WHERE ID='"+msgId+"'";
        dbManager.executeSQL(sQuery,Math.random(),$.proxy(this.messageHandleCallback,this,msgId));
    }
    this.messageHandleCallback = function(msgId,aResults){
        this.block_messagecenter.remove_row(msgId);
		this._iMessageCounter--;
        this.messageUpdateCounter();
    }
    this.messageHandleGetTStamp = function(){
        return Math.floor(parseInt(new Date().getTime())/1000);
    }
{% endblock block_scopeCustomFunctions %}

{% block block_scopeMessageUpdateCounter %}
	var iCounter=this._iMessageCounter;
	var sCountMsg=null;
	if(iCounter==0){
		sCountMsg='{{ getConstant("_DPAD_THEME_MESSAGECENTER_VIDEO_NOTIFICATIONS_HEADER_MESSAGES_COUNT_NONE")|encode4jscript }}';
	}
	else{
		if(this._bfilterHandled==true){
			if(iCounter==1)sCountMsg='{{ getConstant("_DPAD_THEME_MESSAGECENTER_VIDEO_NOTIFICATIONS_HEADER_MESSAGES_COUNT_SINGLE_UNREAD")|encode4jscript }}';
			else sCountMsg='{{ getConstant("_DPAD_THEME_MESSAGECENTER_VIDEO_NOTIFICATIONS_HEADER_MESSAGES_COUNT_MULTIPLE_UNREAD")|encode4jscript }}';
		}
		else{
			if(iCounter==1)sCountMsg='{{ getConstant("_DPAD_THEME_MESSAGECENTER_VIDEO_NOTIFICATIONS_HEADER_MESSAGES_COUNT_SINGLE")|encode4jscript }}';
			else sCountMsg='{{ getConstant("_DPAD_THEME_MESSAGECENTER_VIDEO_NOTIFICATIONS_HEADER_MESSAGES_COUNT_MULTIPLE")|encode4jscript }}';
		}
	}
	$(this.getScopeSelector()).find("#messagecenter-header-info").html($.sprintf(sCountMsg,iCounter));
{% endblock block_scopeMessageUpdateCounter %}