{% extends "scope.container.tpl" %}

{% block block_declarations %}
{{ parent() }}

this.currPresetId = -1;
{{ jsBlock({
	'operation': "declaration",
	'block_name': "block_presets",
	'block_relation_type': 'parent_child',
	'block_render_container_selector': "this.getScopeSelector()+' #rgb_presets'",
	'prototype_container': "$(this.getScopeSelector()).find('#rgb_presets_container_prototype').html();",
	'prototype_item': "$(this.getScopeSelector()).find('#rgb_presets_item_prototype').html();"
}) }}
this.block_presets.results_filter_func=function(datas){
	return ( datas.obj.phpclass=='{{ getConstant('_DPAD_LIGHTING_PHPCLASS_RGBPRESET') }}' );
}
{% endblock block_declarations %}

{% block block_containerInit %}
	objM.getRendsFromWhere({
			ids: '*',
			where: 'PHPCLASSES LIKE \'%{{ getConstant('_DPAD_LIGHTING_PHPCLASS_RGBPRESET') }}%\''
		},
		$.proxy(this.containerInitCallback,this,iContainerID)
	);
{% endblock block_containerInit %}

{% block block_containerRenderingInit %}
var result_array = aResult;
{{ jsBlock({
	'operation': 'render',
        'render_always': false,
	'block_name': 'block_presets',
	'block_relation_type': 'parent_child'
}) }}
{{ parent() }}
{% endblock %}

{% block block_customFunctions %}
	this.rgbPresetSelect = function(presetId,execute)
	{
		this.currPresetId = presetId;		
		
		{# Hilighting current preset #}
		$(this.getScopeSelector()).find(".rgb_preset").removeClass("hilight");
		$(this.getScopeSelector()).find("[preset='"+presetId+"']").addClass("hilight");
		
		{# Commanding preset #}
		if(execute==true)
		{
			var presetObj = objM.getObj(presetId);
			presetObj.callSoap("","RUN");
		}
		
		{# Enabling buttons #}
		$(this.getScopeSelector()).find("#buttonMemo,#buttonRemove").removeClass("off");
	}
	
	this.rgbPresetAdd = function()
	{
		var newPresetProps = {
			'NAME':"{{getConstant('_DPAD_OBJECT_DEFAULT_NAME_FOR_DPADLIGHTINGRGBPRESET')}} " + (this.block_presets.getResults({filter:true}).length+1),
			'RENDERING_ID':"(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%{{getConstant('_DPAD_LIGHTING_PHPCLASS_RGBPRESET')}}%' )",
			'PHPCLASS':"{{getConstant('_DPAD_LIGHTING_PHPCLASS_RGBPRESET')}}"
		}
		objM.createObj("{{getConstant('_DPAD_LIGHTING_PHPCLASS_RGBPRESET')}}",newPresetProps,$.proxy(this.rgbPresetAddCallback,this));
	}
	this.rgbPresetAddCallback = function(aData)
	{
		var oBlock=this.block_presets;
		oBlock.add_row(aData);
		if(oBlock.row_relation_array!=null){
			var sRelationType=this.block_presets.getRelationType();
			var parentId=(sRelationType=='parent_child'?this.id:aData['ID']);
			var childId=(sRelationType=='parent_child'?aData['ID']:this.id);
			var aDataRelation={
				PARENTOBJ_ID:parentId,
				CHILDOBJ_ID:childId,
				RELATION_WEB_TIPOLOGY:objM.getRelationType(objM.getObj(parentId).phpclass,objM.getObj(childId).phpclass),
				OPTIONAL:"tag_complex_element=preset",
				ORDER_NUM:"(SELECT MAX(ORDER_NUM)+1 FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='"+this.id+"' )"
			};
			objM.createRelation(aDataRelation,$.proxy(this.rgbPresetAddCallbackCallback,this));
		}
		else this.rgbPresetAddCallbackCallback();
	}
	this.rgbPresetAddCallbackCallback=function(aDataRelation){
		var oBlock=this.block_presets;
		if(oBlock.row_relation_array!=null){
			oBlock.add_row(null,aDataRelation);
			oBlock.render_row(oBlock.row_relation_array.length-1);
			//oBlock.update_rows_order();
		}
		else oBlock.render_row(oBlock.row_array.length-1);
		
		this.currPresetId = aDataRelation["CHILDOBJ_ID"];
		objM.getObj(this.currPresetId).getSurroundings($.proxy(this.rgbPresetAddCallbackCallbackCallback,this));
	}
	this.rgbPresetAddCallbackCallbackCallback=function(result_array){
		this.rgbPresetSelect(this.currPresetId,false);
	}
	
	this.rgbPresetRemove = function()
	{
		if(this.currPresetId==-1)	return;
		objM.removeObj(this.currPresetId);

		var relationId = $(this.getScopeSelector()).find("[preset='"+this.currPresetId+"']").attr("relation");
		this.block_presets.remove_row(relationId);

		this.currPresetId = -1;

		{# Disabling buttons #}
		$(this.getScopeSelector()).find("#buttonMemo,#buttonRemove").addClass("off");
	}
	
	this.rgbPresetMemo = function()
	{
		if(this.currPresetId==-1)	return;
		
		{# Detecting color by picker #}
		var jFarbtastic=$(this.getScopeSelector()).find('.farbtastic').parent();
		
		var color=$.farbtastic(jFarbtastic).color;
		console.info("RGB preset set to %s",color);
		
		{# Updating value to current preset #}
		objM.updateFieldObj(this.currPresetId,"current_value",color);
		$(this.getScopeSelector()).find("[preset='"+this.currPresetId+"']").find("#preview").css("background-color",color);
	}
	
	this.containerInitCallback = function(containerId){
		objM.getObj(containerId).getSurroundings($.proxy(this.containerRenderingInit,this,containerId));
	}
	
{% endblock block_customFunctions %}
