{# RSS template scope #}
<jsScopeScripts>
	this.id=null;
	this.is_initialized=false;
	this.popup_width=640;
	
	this.onLoad=function(){
		this.rss_render();
	}
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
		
	this._setScrollable=function(){
		themeManager.setScrollable( $(this.getScopeSelector()).find('[id^=\'rssId_\']'),{showThumbs:false,direction:'vertical'} );
	}
	
	this.rss_render = function(){
		$('#template-popup-title').text("FEED NEWS");
		{# Resetto il contenuto di tab e container #}
		$(this.getScopeSelector()).find('#popup-tabs').html('<ul></ul>');
		$(this.getScopeSelector()).find('#popup-tabs-caption').html('<ul></ul>');
		{# Ciclo sulle 5 variabili title/url salvate in dpad_web_cnofiguration #}
		for(var i=1;i<=5;i++){
			var _sFeedTitle = rM.getConfiguration('plugin_rss_feed' + i + '_title',{refresh: false});
			var _sFeedUrl = rM.getConfiguration('plugin_rss_feed' + i + '_url',{refresh: false});
			if( _sFeedUrl!='' ) {
				{# Url Feed tramite Proxy #}
				var _sProxedUrl = '../system/proxy.php?proxy_url=' + encodeURI( _sFeedUrl );
				{# Inizializzo <li> di tab e container #}
				$(this.getScopeSelector()).find('#popup-tabs-caption ul').append('<li onClick="iM.getScope(this)._setScrollable();" >' + _sFeedTitle + '</li>');
				$(this.getScopeSelector()).find('#popup-tabs ul').append('<li class="popup-tabs-container rss-container" id="rssId_' + i + '"></li>');
				rM.ajax({
				  	url: _sProxedUrl,
					timeout: false,
					processData: false,
					success: $.proxy(this._RSSAjaxSuccess,this,i)
				});
			}
		}
		{# Inizializzo la visualizzazione dei tab impostando i tab e i container ad off #}
		$(this.getScopeSelector()).find('#popup-tabs-caption ul li').addClass("off");
		$(this.getScopeSelector()).find('#popup-tabs ul li').addClass("template-hide");
		{# Attivo il primo tab e il primo container #}
		$(this.getScopeSelector()).find('#popup-tabs-caption ul li:first-child').removeClass("off");
		$(this.getScopeSelector()).find('#popup-tabs ul li:first-child').removeClass("template-hide");
		this.rss_finalize();
	}

	this._RSSAjaxSuccess=function(iIndex,data,textStatus,jqXHR){
		var _jContainer = $('#rssId_'+iIndex);
		{# If the RSS isn't an XML we won't parse it #}
		if($.isXMLDoc(data)){
			$(data).find('item').each(function(){
				var item = $(this);
				{# Leggo le variabili item #}
				var title = item.find('title').text();
				title.replace(/</i,"<!--");
				title.replace(/>/i,"-->");
				var link = item.find('link').text();
				var date = item.find('pubDate').text();
				var enclosure_type = item.find('enclosure').attr('type');
				var enclosure_url = item.find('enclosure').attr('url');
				var image = "";
				if ((enclosure_url!="")&&(enclosure_url!=undefined)) {
					image = '<div class="rss-list-image" style="background-image:url('+enclosure_url+')"></div>';
				}
				{# Genero HTML elemento lista #}
				_jContainer.append('<div class="rss-list">'+image+'<div class="rss-list-text"><div class="rss-list-date">'+date+'</div><div class="rss-list-title">'+title+'</div></div><div class="template-clear"></div></div>');
			});
		}
		this._setScrollable();
	}
	
	this.rss_finalize = function() {
		themeManager.popup_showhide(true,this.popup_width);
		this.is_initialized = true;
	}
</jsScopeScripts>