{# Schedule template scope #}
<jsScopeScripts>
	this.id=null;
	this.titleId=null;
	this.registered_ids = new Array();

	{# Declaring Block Interface #}
	{{ jsBlock({
		'operation':'declaration',
		'block_name':'block_schedule',
		'block_render_container_selector':"this.getScopeSelector()+' #schedule_container_list'",
		'prototype_container':"$(this.getScopeSelector()).find('div#schedule_list_container_prototype').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#schedule_list_row_prototype').html();",
		'block_relation_type':'child_parent'
	}) }}
	
	this.block_schedule.results_filter_func=function(datas) {
		return (datas.obj.type=="{{ getConstant('_DPAD_CLASS_TYPE_DAILYSCHEDULE') }}");
	}
	
	this.onLoad=function() {
		objM.getObjsFromId(this.id,$.proxy(this.schedule_init,this));
	}
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
	
	{#
		Since this page isn't built to correctly call the scrollabel function in just a single place I have to call it in a concurrency.
		This way I am always sure the last one is called in the right moment and overrides the first one...
	#}
	this._setScrollable=function(){
		themeManager.setScrollable($(this.getScopeSelector()).find('#schedule-slide-intro'));
	}
	
	this.schedule_init = function() {
		objM.getObj(this.id).getSurroundings($.proxy(this.schedule_render,this));
	}

	{% block schedule_finalize %}
	this.schedule_finalize = function() {
		themeManager.schedule_showhide(true);
	}
	{% endblock %}
	
	{% block schedule_render %}
	this.schedule_render = function(result_array) {
		{# Setting del titolo popup #}
		if(this.titleId!=null)
			var schedule_name = "{{ getConstant('_DPAD_THEME_SCHEDULE_TITLE') }}"+objM.getObj(this.titleId).name;
		else
			var schedule_name = "{{ getConstant('_DPAD_THEME_SCHEDULE_TITLE') }}"+objM.getObj(this.id).name;
		$('#template-schedule-title').text(schedule_name);

		{# Reperisco le pianificazioni del mio oggetto #}
		{{ jsBlock({
			'operation':'render',
			'block_name':"block_schedule",
			'render_always': false,
			'block_relation_type':'child_parent',
			'row_relation_array':"objM.getRelationsFromChild(this.id)",
			'block_render_callback':'$.proxy(this.schedule_render_callback,this)'
		}) }}
	}
	{% endblock %}
	
	{% block schedule_render_callback %}
	this.schedule_render_callback=function(){
		this._setScrollable();
		this.schedule_finalize();
	}
	{% endblock%}

	{% block schedule_remove %}
	this.schedule_remove=function(blockObjVarName,schedule_id,relation_id){
		objM.removeObj(schedule_id);
		this[blockObjVarName].remove_row(relation_id);;
		{#
			themeManager.schedules_reload(this.id);
		#}
	}
	{% endblock %}
		
	{% block schedule_enable %}
	this.schedule_enable=function(caller,relation_id,schedule_id){
		var enable_flag = (caller.attr("enabled")!="1");
		objM.updateFieldObj(schedule_id,"enable_flag",enable_flag==true?"1":"0");
		objM.updateFieldRelation(relation_id,"enable_flag",enable_flag==true?"1":"0");
		if(enable_flag){
			caller.removeClass('active-on').removeClass('active-off').addClass('active-on').attr("enabled","1");
			caller.parents(".schedule-list").find(".schedule-name,.schedule-type").removeClass("off");
		}
		else{
			caller.removeClass('active-on').removeClass('active-off').addClass('active-off').attr("enabled","0");
			caller.parents(".schedule-list").find(".schedule-name,.schedule-type").addClass("off");
		}
		{#
			objM.getObj(schedule_id).updateHasScheduleFlag(this.id);
			themeManager.schedules_reload(this.id);
		#}
	}
	{% endblock %}
	
	this.schedule_add_new = function(){
	    var data_array={
			'PHPCLASS':'{{ getConstant('_DPAD_LOGIC_PHPCLASS_DAILY_SCHEDULE') }}',
	        'TYPE':'{{ getConstant('_DPAD_CLASS_TYPE_DAILYSCHEDULE') }}',
	        'IS_VISIBLE':1,
	        'OWNED_BY':'{{ getConstant('_DPAD_DB_OWNED_BY_LOCAL') }}'
	        };
	    objM.createObj( "{{ getConstant('_DPAD_CLASS_TYPE_DAILYSCHEDULE') }}", data_array, $.proxy(this.schedule_add_new_relation,this) );
	    this.schedule_render_callback();
	}
	
	this.schedule_add_new_relation = function(data_obj){
	    this.block_schedule.add_row(data_obj);
	    {% set data_relation={
	            'PARENTOBJ_ID':"data_obj['ID']",
	            'CHILDOBJ_ID':"this.id",
	            'ENABLE_FLAG':"'1'",
	            'RELATION_WEB_TIPOLOGY':"'" ~ getConstant('_DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY') ~ "'"
	    } %}
	    var data_relation={ {% for key,value in data_relation %}{{ key }}:{{ value }}{% if not loop.last %},{% endif %}{% endfor %} };
	    objM.createRelation(data_relation,$.proxy(this.schedule_add_new_relation_callback,this));
	}
	
	this.schedule_add_new_relation_callback=function(data_relation){
		this.block_schedule.add_row(null,data_relation);
		this.block_schedule.render_row(this.block_schedule.row_relation_array.length-1);
		{#
			themeManager.schedules_reload(this.id);
		#}
	}
	
	this.schedule_get_abstract=function(tipology,condition)
	{
		var abstract = "";
		if(condition=='' || condition=='NO-CONDITION')	return "";
		
		condition=condition.replace(/,/g,'[COMMA]');
		switch(tipology)
		{
			case "{{ getConstant('_DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY') }}":
			
				var weekdays = condition.split("[COMMA]");
				var weekdayConstants = ['SUNDAY','MONDAY','TUESDAY','WEDNESDAY','THURSDAY','FRIDAY','SATURDAY'];
				var abstractTokens = new Array();
				if(weekdays.length == 7)
					abstractTokens.push(rM.getConstant("_DPAD_DBCONSTANT_SCHEDULE_WEEKLY_ABSTRACT_EVERYDAY"));
				else
				{
					for(var i in weekdays)
					{
						var weekday = parseInt(weekdays[i]);
						abstractTokens.push(rM.getConstant("_DPAD_GENERAL_DAYSOFWEEK_"+weekdayConstants[weekday]));
					}
				}
				abstract = abstractTokens.join(", ");
				break;
				
			case "{{ getConstant('_DPAD_DB_RELATION_TYPE_SCHEDULE_YEARLY') }}":
			
				var dates = condition.split("[COMMA]");
				var abstractTokens = new Array();
				for(var i=0;i<Math.min(5,dates.length);i++ )
				{
					var date = dates[i];
					var dateTokens = date.split("-");
					var month = dateTokens[0];
					var day = dateTokens[1];
					var formattedDate = rM.getConstant("_DPAD_GENERAL_YEARLYDATEFORMAT").replace("d",day).replace("m",month);
					abstractTokens.push(formattedDate);
				}
				if(dates.length>5)
				{
					abstractTokens.push( $.sprintf( rM.getConstant("_DPAD_DBCONSTANT_SCHEDULE_YEARLY_ABSTRACT_ADDITIONAL_DAYS" ),( dates.length-5 ) ) );
				}
				abstract = abstractTokens.join(", ");
				break;
		}
		return abstract;
	}
	
	{% block block_customFunctions %}
	{% endblock block_customFunctions %}
</jsScopeScripts>