{# Schedule edit template scope #}
<jsIncludes>
	{{ html_includejs("jsDpadDatePicker.js","js") }}
	{{ html_includejs("jquery.selectboxes.js","js") }}
</jsIncludes>
<jsScopeScripts>
	this.id=null;
	this.object_id=null;
	this.relation_id=null;
	this.registered_ids = new Array();
	this.schedule_json = new Array();
	{# Declaring Block Interface #}
	{{ jsBlock({
		'operation':'declaration',
		'block_name':"block_schedule",
		'block_render_container_selector':"this.getScopeSelector()+' #schedule_container_list'",
		'prototype_container':"$(this.getScopeSelector()).find('div#schedule_list_container_prototype').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#schedule_list_row_prototype').html();"
	}) }}

	this.onLoad=function(){
		{% block block_onLoad %}
		this.cover_showhide(true);
		objM.getObjsSurrounding(this.id,$.proxy(this.schedule_render,this));
		{% endblock block_onLoad %}
	}
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
	
	{#
		Since this page isn't built to correctly call the scrollable function in just a single place I have to call it in a concurrency.
		This way I am always sure the last one is called in the right moment and overrides the first one...
	#}
	this._setScrollable=function(){
		themeManager.setScrollable($(this.getScopeSelector()).find('#schedule-detail-container'),{direction:'vertical'});
	}
	
	this.onUnload=function(){
		{% block block_onUnload %}
		{#
			Clearing from useless UI before rendering new UI
			We have to do this because the page always render datas even if it's not necessary and it takes some time before it shows the new rendered page.
		#}
		if(this.block_schedule._render_container_results){
			this.block_schedule._render_container_results.html('');
		}
		{% endblock block_onUnload %}
	}
	
	{% block schedule_render %}
	this.schedule_render=function(result_array){

		var schedule_name="{{ getConstant('_DPAD_THEME_SCHEDULE_TITLE')|encode4jscript|upper }}"+objM.getObj(this.id).name;
		var schedule_title_actions = "{{ getConstant('_DPAD_THEME_SCHEDULE_ACTIONS_TITLE')|encode4jscript|upper }}";
		var schedule_title_calendar = "{{ getConstant('_DPAD_THEME_SCHEDULE_CALENDAR_TITLE')|encode4jscript|upper }}";
		var schedule_calendar_caption_week = "{{ getConstant('_DPAD_THEME_SCHEDULE_CALENDAR_WEEKLY')|encode4jscript }}";
		var schedule_calendar_caption_year = "{{ getConstant('_DPAD_THEME_SCHEDULE_CALENDAR_YEARLY')|encode4jscript }}";
		var schedule_button_save = "{{ getConstant('_DPAD_GENERAL_SAVE')|encode4jscript|upper }}";
		var schedule_button_cancel = "{{ getConstant('_DPAD_GENERAL_CANCEL')|encode4jscript|upper }}";
		var schedule_day_week = new Array("{{ getConstant('_DPAD_GENERAL_DAYSOFWEEK_SUNDAY')|encode4jscript|upper }}","{{ getConstant('_DPAD_GENERAL_DAYSOFWEEK_MONDAY')|encode4jscript|upper }}","{{ getConstant('_DPAD_GENERAL_DAYSOFWEEK_TUESDAY')|encode4jscript|upper }}","{{ getConstant('_DPAD_GENERAL_DAYSOFWEEK_WEDNESDAY')|encode4jscript|upper }}","{{ getConstant('_DPAD_GENERAL_DAYSOFWEEK_THURSDAY')|encode4jscript|upper }}","{{ getConstant('_DPAD_GENERAL_DAYSOFWEEK_FRIDAY')|encode4jscript|upper }}","{{ getConstant('_DPAD_GENERAL_DAYSOFWEEK_SATURDAY')|encode4jscript|upper }}");

		this.relation_array = objM.getRelationsFromParent(this.id)[0];
		this.object_id = this.relation_array["CHILDOBJ_ID"];
		this.relation_id = this.relation_array['ID'];

		{# Prelevo il tipo di schedulazione e gli indici di data #}
		var schedule_type = this.relation_array["RELATION_WEB_TIPOLOGY"];
		var schedule_date = this.relation_array["RELATION_CONDITION"];
		schedule_date=(schedule_date+'').replace(/\[COMMA\]/g,',');

		{# Assegno oggetto JSON ad array di iterazione blocco #}
		var schedule_json_string = objM.getObj(this.id).msp;
		schedule_json_string=(schedule_json_string+'').replace(/\[COMMA\]/g,',');
		this.schedule_json = eval(schedule_json_string);

		{# Setting del titolo popup #}
		$('#template-schedule-title').text(schedule_name);
		$(this.getScopeSelector()).find('#schedule-title-action .schedule-list-title-caption').text(schedule_title_actions);
		$(this.getScopeSelector()).find('#schedule-title-calendar .schedule-list-title-caption').text(schedule_title_calendar);

		{# Setting caption button #}
		$(this.getScopeSelector()).find('#schedule-button-save').text(schedule_button_save);
		$(this.getScopeSelector()).find('#schedule-button-cancel').text(schedule_button_cancel);

		{# Setting titolazioni caption calendario#}
		$(this.getScopeSelector()).find('#schedule-calendar-caption-1').text(schedule_calendar_caption_week);
		$(this.getScopeSelector()).find('#schedule-calendar-caption-2').text(schedule_calendar_caption_year);

		{# Setting input nome schedulazione #}
		$(this.getScopeSelector()).find('#schedule-title-input').val(objM.getObj(this.id).name);

		{# Setting giorni settimana #}
		var _jCalendarWeeks = $(this.getScopeSelector()).find('#calendar-weeks');
		_jCalendarWeeks.empty();
		for(i=0;i<schedule_day_week.length;i++){
			var className = "calendar-week-day";
			if( schedule_date.indexOf(i)!=-1 && schedule_type=="{{ getConstant('_DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY') }}" ){
				className += " calendar-day-selected";
			}
			_jCalendarWeeks.append("<div class='" + className + "' value='" + i + "'>" + schedule_day_week[i] + "</div>");
		}
		_jCalendarWeeks.append("<div class='template-clear'></div>");
		
		{# Setting input calendar-date #}
		if( schedule_type=="{{ getConstant('_DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY') }}" ){
			var init_date_selected = "";
		} else {
			var init_date_selected = schedule_date.split(",");
		}
		$(this.getScopeSelector()).find('#calendar-date').DatePicker({
			flat: true,
			format: 'm-d',
			date: init_date_selected,
			calendars: 3,
			mode: 'multiple',
			starts: 1,
			onChange: function(formated, dates){
				$(iM.getScopeFromActiveView('schedule_panel').getScopeSelector()).find('#calendar-date-input').val(formated);
			}
		});
		$(this.getScopeSelector()).find('#calendar-date-input').val(schedule_date);
		result_array = new Array();
		if (typeof(this.schedule_json)!="undefined") {
			for (i=0;i<this.schedule_json.length;i++) {
				result_array.push({
					"ID":(i+1),
					"HOURS":this.schedule_json[i].h,
					"MINUTES":this.schedule_json[i].m,
					"CURRENT_VALUE":this.schedule_json[i].v,
					"ACTION":this.schedule_json[i].a,
					"OPTIONALS":this.schedule_json[i].o,
					"OBJECT_ID":this.object_id
				});
			}
		}
		
		if(schedule_type=="{{getConstant('_DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY')}}")
		{
			$(this.getScopeSelector()).find('#schedule-calendar-caption-1').removeClass("off");
			$(this.getScopeSelector()).find('#calendar-weeks').show();
			$(this.getScopeSelector()).find('#calendar-years').hide();
		}
		else
		{
			$(this.getScopeSelector()).find('#schedule-calendar-caption-2').removeClass("off");
			$(this.getScopeSelector()).find('#calendar-years').show();
			$(this.getScopeSelector()).find('#calendar-weeks').hide();
		}

		{# Genero la griglia di lavoro #}
		{{ jsBlock({
			'operation':'render',
			'render_always': false,
			'block_name':'block_schedule',
			'block_render_callback':'$.proxy(this._schedule_render_callback,this)'
		}) }}

	}
	
	this._schedule_render_callback=function(){
		this.cover_showhide(false);
		this._setScrollable();
	}
	{% endblock %}
	
	this.delete_action_row = function(id_row){
		this.block_schedule.remove_row(id_row);
	}
	
	this.add_action_row=function() {
		var max_hours = 0;
		var max_minutes = -1;
		var _jElements=$(this.getScopeSelector()).find('#block_schedule_container_results').children();
		for(var i=0;i<=_jElements.length;i++){
			var _jElementRow=_jElements.eq(i);
			var sHourValue=_jElementRow.find('.time-hh .schedule-time-caption').text();
			var iHourValue=(!isNaN(sHourValue)&&sHourValue!=''?parseInt(sHourValue,10):0);
			if(max_hours!=iHourValue && max_hours<iHourValue)max_minutes=0;
			max_hours=Math.max(max_hours,iHourValue);
			if(max_hours==iHourValue){
				var sMinuteValue=_jElementRow.find('.time-mm .schedule-time-caption').text();
				var iMinuteValue=(!isNaN(sMinuteValue)&&sMinuteValue!=''?parseInt(sMinuteValue,10):-1);
				max_minutes=Math.max(max_minutes,iMinuteValue);
			}
		}
		max_minutes++;
		if (max_minutes>59) {
			max_minutes = 0;
			max_hours++;
			if (max_hours>23) max_hours = 0;
		}
		
		var _sAction=objM.getObj(this.object_id).getActions()[0]['VALUE'];
		var _sActionValues=objM.getObj(this.object_id).getActionValues().options;
		_sActionValues=(_sActionValues && _sActionValues[0]?_sActionValues['0']['VALUE']:'');
		this.block_schedule.add_row({
			"HOURS":rM.strPad(max_hours,2,'0'),
			"MINUTES":rM.strPad(max_minutes,2,'0'),
			"ACTION":_sAction,
			"CURRENT_VALUE":_sActionValues,
			"OPTIONALS":'{{ getConstant('_DPAD_SOAP_PARAMETERS_NOOPTIONAL') }}',
			"OBJECT_ID":this.object_id
		});
		this.block_schedule.render_row(this.block_schedule.row_array.length-1);
		this._schedule_render_callback();
	}
	
	this.save_activities = function() {

		{# Concatenazione giorni pianificazione #}
		var my_date_string = "";
		var my_schedule_type = "";
		if ($(this.getScopeSelector()).find('#calendar-weeks').css('display')!='none') {
			{# Pianificazione settimanale #}
			$(this.getScopeSelector()).find('.calendar-day-selected').each(function() {
				if (my_date_string!="") my_date_string+=",";
				my_date_string+=$(this).attr('value');
			});
			my_schedule_type = "{{ getConstant('_DPAD_DB_RELATION_TYPE_SCHEDULE_WEEKLY') }}";
			if(my_date_string=='')
			{
				alert("{{ getConstant('_DPAD_DBCONSTANT_SCHEDULE_WEEKLY_MESSAGE_NO_WEEKDAY') }}");
				return;
			}
		}
		if ($(this.getScopeSelector()).find('#calendar-years').css('display')!='none') {
			{# Pianificazione annuale #}
			my_date_string = ($(this.getScopeSelector()).find('#calendar-date-input').val()+'').replace("NaN-NaN,","");
			my_date_string = my_date_string.replace(/\,/g,'[COMMA]');
			my_schedule_type = "{{ getConstant('_DPAD_DB_RELATION_TYPE_SCHEDULE_YEARLY') }}";
			if(my_date_string=='' || my_date_string=='NO-CONDITION')
			{
				alert("{{ getConstant('_DPAD_DBCONSTANT_SCHEDULE_YEARLY_MESSAGE_NO_DATE') }}");
				return;
			}
		}
		objM.updateFieldObj(this.id,'name',$(this.getScopeSelector()).find('#schedule-title-input').val());
		var jElements=$(this.getScopeSelector()).find('#block_schedule_container_results .schedule-time-line');
		var aJson=new Array();
		for(var i=0;i<jElements.length;i++){
			var jElement=jElements.eq(i);
		{#
			This is the most absurd way to get values....
			It should use the drawManager to get values from fields because it doesn't know how they are really build as html entities...
			Enjoy the bugs!
		#}
			var _aAction = objM.getObj(this.object_id).getActions();
			var _aActionValues = objM.getObj(this.object_id).getActionValues().options;
			var _action = ( _aAction && _aAction.length==1 ? _aAction[0]['VALUE'] : jElement.find('.input-action select :selected, .input-action input').last().val() );
			var _actionValue = ( _aActionValues && _aActionValues.length==1 ? _aActionValues[0]['VALUE'] : jElement.find('.input-value select :selected, .input-value input').last().val() );
			_action=(_action?_action:'{{ getConstant('_DPAD_DB_NO_ACTION') }}');
			_actionValue=(_actionValue?_actionValue:'{{ getConstant('_DPAD_SOAP_PARAMETERS_NOPAYLOAD') }}');
			aJson.push({
				h:parseInt(jElement.find('.time-hh .schedule-time-caption').text(),10),
				m:parseInt(jElement.find('.time-mm .schedule-time-caption').text(),10),
				a:_action,
				v:_actionValue,
				o:rM.getConstant('_DPAD_SOAP_PARAMETERS_NOOPTIONAL')
			});
		}
		objM.updateFieldObj(this.id,'msp',$.toJSON(aJson));

		objM.updateFieldRelation(this.relation_id,'relation_condition',my_date_string);
		objM.updateFieldRelation(this.relation_id,'relation_web_tipology',my_schedule_type);
		{#
			themeManager.schedules_reload(this.object_id);
			objM.getObj(this.id).reload();
		#}
		iM.openInstance("../system/loadtemplate.php?tpl=schedule|id="+this.object_id,null,null,'schedule_panel');
	}
	
	this.cancel_activities = function() {
		if (confirm("{{ getConstant('_DPAD_THEME_SCHEDULE_CANCEL_CONFIRM')|encode4jscript }}")) {
			iM.openInstance("../system/loadtemplate.php?tpl=schedule|id="+this.object_id,null,null,'schedule_panel');
		}
	}
	
	this.enable_schedule_type = function(indexObj)
	{
		$(this.getScopeSelector()).find('#schedule-calendar-caption li').addClass('off');
		$(this.getScopeSelector()).find('#schedule-calendar-caption li:eq('+(indexObj)+')').removeClass('off');
		$(this.getScopeSelector()).find('#schedule-calendar-setting li.calendar-container').removeClass('template-hide');
		$(this.getScopeSelector()).find('#schedule-calendar-setting li.calendar-container').hide();
		$(this.getScopeSelector()).find('#schedule-calendar-setting li.calendar-container:eq('+(indexObj)+')').fadeIn();
	}
	
	this.cover_showhide = function(show_flag)
	{
		if( show_flag==true ){
			$(this.getScopeSelector()).find("#schedule-cover").show();
		} else {
			$(this.getScopeSelector()).find("#schedule-cover").hide();
		}
	}
	
	{% block block_customFunctions %}
	{% endblock block_customFunctions %}
</jsScopeScripts>