<jsIncludes>
{% block block_jsIncludes %}
{{ html_includejs("jsDpadBlock.js","js") }}
{% block block_jsIncludesCustom %}{% endblock %}
{% endblock block_jsIncludes %}
</jsIncludes>
<jsScopeScripts>
	{% block block_declarations %}
	this.id=null;
	this.isInitialized = false;
	this.registered_ids = new Array();
	this.panelId = null;
	this.panelIds = new Array();
        this.panels_result_array;
        this.panelItemsDefaultFilter = "{% block block_security_default_item_filter %}{% endblock %}";
        this.panelItemsDefaultItemType = "{% block block_security_default_item_type %}{% endblock %}";
        this.panelDetailAreasDefaultFilter = "{% block block_security_detail_areas_default_filter %}{% endblock %}";
        this.panelDetailZonesDefaultFilter = "{% block block_security_detail_zones_default_filter %}{% endblock %}";
        
	{# Declaring Block Interfaces #}
	{{ jsBlock({
		'operation':'declaration',
		'block_name':"block_panel_items",
		'block_render_container_selector':"this.getScopeSelector()+' #security-items'",
		'prototype_container':"$(this.getScopeSelector()).find('div#security-items-container-prototype').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#security-items-row-prototype').html();",
		'block_relation_type':'parent_child',
		'items_filter_type':this.panelItemsDefaultFilter
	}) }}

	this.block_panel_items.results_filter_func=function(datas)
	{
		return (datas.obj.type==this.items_filter_type);
	}

	{{ jsBlock({
		'operation':'declaration',
		'block_name':"block_panels_tabs",
		'block_render_container_selector':"this.getScopeSelector()+' #security-tab-panels-caption-panels'",
		'prototype_container':"$(this.getScopeSelector()).find('div#security-tab-panels-prototype-container').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#security-tab-panels-prototype-item').html();"
	}) }}
        
        {#
        
	{{ jsBlock({
		'operation':'declaration',
		'block_name':"block_panel_detail_areas",
		'block_render_container_selector':"this.getScopeSelector()+' #security-summary-areas'",
		'prototype_container':"$(this.getScopeSelector()).find('div#security-summary-areas-prototype-container').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#security-summary-areas-prototype-item').html();",
		'block_relation_type':'parent_child',
                'items_filter_type':this.panelDetailAreasDefaultFilter
	}) }}

	this.block_panel_detail_areas.results_filter_func=function(datas)
	{
	    return (datas.obj.type==this.items_filter_type);
	}

	{{ jsBlock({
		'operation':'declaration',
		'block_name':"block_panel_detail_zones",
		'block_render_container_selector':"this.getScopeSelector()+' #security-summary-zones'",
		'prototype_container':"$(this.getScopeSelector()).find('div#security-summary-zones-prototype-container').html();",
		'prototype_item':"$(this.getScopeSelector()).find('div#security-summary-zones-prototype-item').html();",
		'block_relation_type':'parent_child',
                'items_filter_type':this.panelDetailZonesDefaultFilter
	}) }}

	this.block_panel_detail_zones.results_filter_func=function(datas)
	{
            return (datas.obj.type==this.items_filter_type);
	}

        #}
        
	{% endblock block_declarations %}

	this.onLoad=function() 
	{
		{% block block_onLoad %}
		themeManager.waitplease_display(true);
		if(this.isInitialized!=true){
			this.securityPanelsLoad();
		}
		{% endblock block_onLoad %}
	}
	
	this.onTransitionDone = function(){
		{% block block_onTransitionDone %}
		themeManager.waitplease_display(false);
		{% endblock block_onTransitionDone %}
	}

	{# This function loads all security panels #}
	this.securityPanelsLoad=function()
	{
		var query = "SELECT D_O.ID,C.MODULE FROM DPADD_OBJECT D_O INNER JOIN DPAD_WEB_PHPCLASS C ON C.CLASSNAME=D_O.PHPCLASS WHERE D_O.TYPE IN ('BENTEL_KYO320','HESANX_CENTRAL','TECNOALARM_TP256','EDP_PANEL','SECURFORCE_CENTRAL','PESS_PANEL','HESAEVO_CENTRAL')";
		dbManager.executeSQL(query,Math.random(),$.proxy(this.securityPanelsLoadCallback,this));
	}
        
	this.securityPanelsLoadCallback = function(result_array)
	{
		{% block block_securityPanelsLoadCallback %}
		if(result_array.length==0)  return;
		{# If ID is not given, reloading a new instance with specific type and exiting #}
		if( !this.id ){
			if( result_array.length>0 ){
				iM.openInstance("../system/loadtemplate.php?tpl=security." + result_array[0]["MODULE"] + "|id=" + result_array[0]["ID"]);
			} else {
				themeManager.showMessage("{{getConstant('_DPAD_THEME_SECURITY_MESSAGE_NO_PANEL_FOUND')}}","warn",5);
			}
			return;
		}
		this.panels_result_array=result_array;
		for(var i in result_array){
			this.panelIds.push(result_array[i]['ID']);
		}
		objM.getObjsSurrounding(this.panelIds.join(','),$.proxy(this.securityPanelsInit,this));
		{% endblock block_securityPanelsLoadCallback %}
	}
	
	this.securityPanelsInit = function(result_array)
	{
		result_array = this.panels_result_array;
		{# Rendering load controls block #}
		{{jsBlock({
				'operation':'render',
				'block_name':'block_panels_tabs'
		})}}
		{# Selecting first panel, if any #}
		if(result_array.length==0)
		{
			this.securityFinalize();
			return;
		}
		if( this.id ){
			this.panelId = this.id;
		} else {
			this.panelId = result_array[0]['ID'];
		}
		{# Initializing filter on object types before rendering #}
		this.panelTypeFilter(this.panelItemsDefaultItemType);
	}
	
	{# This function renders given panel #}
	this.panelRender = function(panelId)
	{
		$(this.getScopeSelector()).find("#security-tab-panels-caption-panels > li").addClass("off");
		$(this.getScopeSelector()).find("#block_panels_tabs_item_" + panelId).removeClass("off");
		
		objM.getObj(panelId).getSurroundings($.proxy(this.panelRenderCallback,this));
	}
        
	this.panelRenderCallback = function(result_array)        
	{
		{# Rendering details block #}
		{{ jsBlock({
			'operation':'render',
			'block_name':'block_panel_items',
			'block_relation_type':'parent_child',
			'row_relation_array':"objM.getRelationsFromParent(this.panelId)"
		}) }}
		{# Rendering panel details #}
		{# this.panelDetailsRender(this.panelId); #}
		this.securityFinalize();            
	}
	
	{# This function loads objects by type #}
	this.loadObjectsByType = function(type)
	{
		var _sQuery=dbManager.protoSQLobjsFromKeys(null,"IS_VISIBLE=1 AND D_O.OWNED_BY!='{{ getConstant("_DPAD_DB_OWNED_BY_SYSTEM") }}' AND TYPE='"+type.toUpperCase()+"'","D_O.NAME ASC");
		dbManager.executeSQL(_sQuery,Math.random(),$.proxy(this.loadObjectsByTypeCallback,this));
	}
        
	this.loadObjectsByTypeCallback = function(result_array){
		this.objsDeAllocate();
		for(var i in result_array){
			this.registered_ids.push(result_array[i]['ID']);
			objM.addAllocatedObj(result_array[i]['ID']);
		}
		objM.getObjsSurrounding(this.registered_ids.join(','),$.proxy(this.loadObjectsByTypeCallbackCallback,this,result_array));
	}
	
	this.loadObjectsByTypeCallbackCallback = function(result_array)        
	{
		this.block_panel_items.row_relation_array=null;
		
		{# Rendering details block #}
		{{ jsBlock({
			'operation':'render',
			'block_name':'block_panel_items'
		}) }}
		
		{# Finalizing #}
		this.securityFinalize();            
	}
	
	{# This function renders details for current panel #}
	this.panelDetailsRender = function(panelId)
	{
		{# Rendering detail areas #}
		{{ jsBlock({
			'operation':'render',
			'block_name':'block_panel_detail_areas',
			'block_relation_type':'parent_child',
			'row_relation_array':"objM.getRelationsFromParent(this.panelId)"
		}) }}
		
		{# Rendering detail zones #}
		{{ jsBlock({
			'operation':'render',
			'block_name':'block_panel_detail_zones',
			'block_relation_type':'parent_child',
			'row_relation_array':"objM.getRelationsFromParent(this.panelId)"
		}) }}
		
		{# Finalizing page #}
		this.securityFinalize();
	}
	
	{# This function filters objects by given item type #}
	{# If allObjectsForGivenType is true, all objects for given type are loaded, despite if they are not children of current security panel #}
	this.panelTypeFilter = function(itemType,allObjectsForGivenType)
	{
		{# Determining which type must be filtered depending on item type #}
		switch(itemType)
		{
			{% block block_security_tabs_panel_types_filter %}
			{% endblock block_security_tabs_panel_types_filter %}
		}
		
		{# Updating block filter #}
		this.block_panel_items.items_filter_type = this.panelItemsFilterType;
		
		{# Rendering panel childs#}
		if( allObjectsForGivenType == true ){
			this.loadObjectsByType(itemType);
		} else {
			this.panelRender(this.panelId);
		}
		{# Hilighting current tab #}
		$(this.getScopeSelector()).find("#security-tab-types-caption > li").addClass("off");
		$(this.getScopeSelector()).find("#security-tab-type-" + itemType).removeClass("off");
	}
	
	this.objsDeAllocate = function()
	{
		for(var i in this.registered_ids){
			objM.freeAllocatedObj(this.registered_ids[i]);
		}
		this.registered_ids=new Array();
	}
	
	this.objsAllocate = function(panelId)
	{
		this.registered_ids.push(panelId);
		objM.addAllocatedObj(panelId);

		var panelChilds = objM.getObj(panelId).getChildren();
		for(var i in panelChilds)
		{
			this.registered_ids.push(panelChilds[i].id);	
			objM.addAllocatedObj(panelChilds[i].id);
		}
	}

	this.securityFinalize = function()
	{
		{# Showing page content #}
		$(this.getScopeSelector()).find("#security_container").show();

		{# Updating main title #}
		themeManager.setHeaderTitle(objM.getObj(this.panelId).name);
		
		{# De-allocating previous objects, if any #}
		//this.objsDeAllocate();
		
		{# Allocating loads for current load control #}
		this.objsAllocate(this.panelId);

		themeManager.waitplease_display(false);
		this.isInitialized = true;
	}

	this.onUnload = function()
	{
            {% block block_onUnload %}
            this.objsDeAllocate();
            {% endblock block_onUnload %}
	}
</jsScopeScripts>