{% extends "scope.container.tpl" %}
{% block block_customJavascriptLibraries %}
	{{ html_includejs("jsDpadWeather.js","js") }}
{% endblock block_customJavascriptLibraries %}

{% block block_onLoad %}
	if(!this._oWeatherLibrary)this._oWeatherLibrary=new jsDpadWeather();
	this.forecastRender();
	if(this.is_initialized){
		this.popupFinalize();
	}
{% endblock block_onLoad %}

{% block containerRender %}
	{# Instantiating container object #}
	var containerObj = objM.getObj(containerId);
	if(!containerObj)
	{
		rM.log({type:"error"},"Cannot load container object with ID %s",containerId);
		return;
	}

        {# Rendering container in popup body #}
	$(this.getScopeSelector()).find("#popup-tabs ul").append('<li id="weatherstation_'+containerId+'" class="popup-tabs-container '+(this.forecastEnabled==true?'template-hide':'')+'"></li>');
	$(this.getScopeSelector()).find("#popup-tabs ul").find('#weatherstation_'+containerId).html(containerObj.render("popup"));

	{# Scanning expected childs, if not found hiding corresponding HTML field(s) #}
	for(var i in this.renderingRelations)
	{
		var renderingRelationComplexTag = this.renderingRelations[i]["RELATION_CONDITION"];
		var renderingRelationChildId = objM.object_get_id_by_complexobject_tag(containerId,renderingRelationComplexTag);
		if(renderingRelationChildId < 0)
		{
			$(this.getScopeSelector()).find("#" + renderingRelationComplexTag).addClass("template-hide");
		}
		else
		{
			this.registered_ids.push(renderingRelationChildId);
				objM.addAllocatedObj(renderingRelationChildId);
			}
	}
{% endblock containerRender %}

{% block block_customFunctions %}
	this.weatherStationsLoad = function()
	{
                var query = "SELECT D_O.ID,D_O.NAME FROM DPADD_OBJECT D_O INNER JOIN DPAD_WEB_UPDATE_VARLIST D_UV ON D_UV.VALUE = D_O.RENDERING_ID WHERE D_O.TYPE='CONTAINER' AND D_UV.VAR_NAME = 'EIB_RENDERING_CONTAINER_WEATHER_STATION'";
		dbManager.executeSQL(query,Math.random(),$.proxy(this.weatherStationsLoadCallback,this));
	}

	this.weatherStationsLoadCallback = function(result_array)
	{
		if(result_array.length == 0)
		{
			rM.log({type:"debug"},"No weather station(s) configured, showing only internet meteo info");
			return;
		}
		
		var popup_tab_captions = $(this.getScopeSelector()).find("#popup-tabs-caption ul");
		var popup_tab_contents = $(this.getScopeSelector()).find("#popup-tabs ul");
		for(var i in result_array)
		{
			popup_tab_captions.append('<li class="off">' + result_array[i]['NAME'] + '</li>');
			objM.getObjsFromId(result_array[i]['ID'],$.proxy(this.containerInit,this,result_array[i]['ID']));
		}
	}
	
	this.forecastRender = function()
	{
		var plugin_meteo_api = rM.getConfiguration("plugin_meteo_service",{refresh: false});
		var plugin_meteo_location = rM.getConfiguration("plugin_meteo_location",{refresh: false});
		$('#template-popup-title').text("{{ getConstant('_DPAD_THEME_METEO_POPUP_TITLE')|encode4jscript }}");
		$('#weather-list').html('');
		this._oWeatherLibrary.callService({
				sLocation:plugin_meteo_location,
				sMeteoApi:plugin_meteo_api
			},{
				success:$.proxy(this._forecastCallSuccess,this),
				error:$.proxy(this._forecastCallError,this)
		});
	}
	
	this._forecastCallSuccess=function(result,textStatus,jqXHR){
		var sLocation=rM.getConfiguration("plugin_meteo_location",{refresh: false});
		if(sLocation)sLocation=sLocation.split(',')[0];

		if(result.data.current_condition){
                    var iCode = parseInt(result.data.current_condition[0].weatherCode);
                    var sCondition = this._oWeatherLibrary.descriptionWeather(iCode);
                    var fTempC = parseFloat(result.data.current_condition[0].temp_C);
                    var sHumidity = result.data.current_condition[0].humidity;
                    $('#weather-today').css('background-image','url({{theme.baseurl}}images/meteo/' + this._oWeatherLibrary.codeToString(iCode) + '.png)');
                    $('#weather-today-city').html(sLocation);
                    $('#weather-today-condition').html(sCondition);
                    $('#weather-today-temperature').html(fTempC+"&deg;");
                    $('#weather-today-humidity').html(sHumidity);
                    $('#weather-list').html('');
                    
                    for (i=0;i<result.data.weather.length;i++) {
                            var sDayOfWeek=this.foreactConvertDate(result.data.weather[i].date);
                            var fTempHigh=parseFloat(result.data.weather[i].tempMaxC);
                            var fTempLow=parseFloat(result.data.weather[i].tempMinC);
                            iCode=parseInt(result.data.weather[i].weatherCode);
                            var sIcon=this._oWeatherLibrary.codeToString(iCode);
                            sCondition=this._oWeatherLibrary.descriptionWeather(iCode);
                            $('#weather-list').append(this.forecastCreateList(sDayOfWeek,sCondition,sIcon,fTempLow,fTempHigh));
                    }
                    
                    this.forecastEnabled = true;
                }
                else
                {
                    this.forecastEnabled = false;
                }
		if(!this.is_initialized)    this.weatherStationsLoad();
		themeManager.setScrollable($(this.getScopeSelector()).find("#weather-container"));
		this.popupFinalize();
	}
	this._forecastCallError=function(jqXHR,textStatus,errorThrown){
		rM.log({type:'error'},'[scope._forecastCallError] Unable to get data from meteo service; error:%o[%o]',textStatus,errorThrown);
                this.forecastEnabled=false;
		if(!this.is_initialized)    this.weatherStationsLoad();
		themeManager.setScrollable($(this.getScopeSelector()).find("#weather-container"));
		this.popupFinalize();
	}

	this.forecastCreateList = function(day_of_week,condition,icon,low,high) 
	{
		icon = "{{theme.baseurl}}images/meteo/"+icon+".png";
		var htmlReturn = '<div class="weather-element"><div class="weather-icon" style="background-image:url('+icon+')"><div class="weather-day">'+day_of_week+'</div><div class="weather-prev">'+condition+'</div><div class="weather-temp-min">MIN. '+low+'&deg;</div><div class="weather-temp-max">MAX. '+high+'&deg;</div></div></div>';
		return htmlReturn;
	}
	
	this.foreactConvertDate = function(date)
	{
		var newDate = date.split("-");
		return newDate[2]+"/"+newDate[1]+"/"+newDate[0];
	}
		 
	this.child_data = function(selector, arg)
	{
		return selector.find(arg).attr('data');
	}

{% endblock block_customFunctions %}

{% block popupFinalize %}
	{# allocating objects for automatic update, only after first initialization #}
	if(this.is_initialized)
	{
		for(var i in this.registered_ids){
			objM.addAllocatedObj(this.registered_ids[i]);
		}
	}
        
        {# If forecast is not enabled, hilighting first weather station - if any #}
        if(this.forecastEnabled!=true)
        {
            $(this.getScopeSelector()).find("#popup-tabs-caption").find("#forecast").remove();
            $(this.getScopeSelector()).find("#popup-tabs").find("#forecast").remove();
            $(this.getScopeSelector()).find("#popup-tabs-caption li").first().removeClass("off");
        }
        
	themeManager.popup_showhide(true);
	this.is_initialized = true;
{% endblock popupFinalize %}