{# EXTERNAL FRAME #}
{% extends "core/templates/externalframe.tpl" %}

{# HTML HEAD #}
{% block head %}
	<meta http-equiv="content-type" content="text/html;" charset="{{ page.charset }}" />
	<meta http-equiv="content-language" content="{{ page.language }}" />
	<meta http-equiv="" content="" />
	<meta http-equiv="" content="" />
	<meta name="robots" content="{{ page.meta_robots }}" />
	<meta name="keywords" content="{{ page.meta_keywords }}>" />
	<meta name="description" content="{{ page.meta_description }}>" />
	<meta name="rating" content="{{ page.meta_rating }}" />
	<meta name="author" content="{{ page.meta_author }}" />
	<meta name="copyright" content="{{ page.meta_copyright }}" />
	<meta name="generator" content="{{ page.meta_generator }}" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<meta name="apple-mobile-web-app-status-bar-style" content="black" />
	<title>{{ page.html_title }}</title>
	{% block head_favicon %}
	<link href="../../products/{{ getProduct('NAME') }}/images/favicon.ico" rel="SHORTCUT ICON" />
	{% endblock head_favicon %}
	<link rel="apple-touch-icon" href="{{ theme.datas.current_baseurl }}images/icons/icon-app-57.png" />
	<link rel="apple-touch-icon" sizes="72x72" href="{{ theme.datas.current_baseurl }}images/icons/icon-app-72.png" />
	<link rel="apple-touch-icon" sizes="114x114" href="{{ theme.datas.current_baseurl }}images/icons/icon-app-114.png" />
	<link rel="apple-touch-icon" sizes="144x144" href="{{ theme.datas.current_baseurl }}images/icons/icon-app-144.png" />
{% endblock head %}
{% block head_stylesheet %}
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/template.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/menu.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/object.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/form.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/datepicker.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/voip.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/energy.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/weather.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/rss.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/browser.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/messagecenter.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/keyboard.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/security.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/multimedia.css?version={{ jscript.most_recent_revision }}" />
	<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/responsive.css?version={{ jscript.most_recent_revision }}" />
	{% if browser.isMobile %}
		<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/mobile.css?version={{ jscript.most_recent_revision }}" />
		{% if browser.isAppleMobile is not empty %}
			<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/mobile.osx.5.0.css?version={{ jscript.most_recent_revision }}" />
		{% endif %}
		{% if browser.isAndroid is not empty %}
			<link rel="stylesheet" type="text/css" media="all" href="{{ theme.datas.current_baseurl }}include/mobile.android.css?version={{ jscript.most_recent_revision }}" />
		{% endif %}
	{% endif %}
{% endblock head_stylesheet %}

{# HTML BODY #}
{% block body %}
	<div id="template" class="{% block body_custom_class %}{% endblock %}{% if server.get.skipmenu %}skipmenu {% endif %}{% if server.get.skipfooter %}skipfooter {% endif %}{% if server.get.skipheader %}skipheader {% endif %}">
	{# Body #}
	{% include "externalframe_body.tpl" %}
	{# Header #}
	{% if not server.get.skipheader %}
	{% include "externalframe_header.tpl" %}
	{% endif %}
	{# Footer #}
	{% if not server.get.skipfooter %}
	{% include "externalframe_footer.tpl" %}
	{% endif %}
	{# Menu #}
	{% if not server.get.skipmenu %}
	{% include "externalframe_rightpanel.tpl" %}
	{% endif %}
	{% if not server.get.skippopup %}
		{# Popup #}
	{% include "externalframe_popup.tpl" with {'popup_tag': ''}  %}
		{# Schedule #}
	{% include "externalframe_schedule.tpl" %}
		{# Popup with Priority#}
	{% include "externalframe_popup.tpl" with {'popup_tag': 'priority'} %}
		{# Popup with PIN #}
	{% include "externalframe_popup.tpl" with {'popup_tag': 'pin'}  %}
	{% endif %}
	{# Screen cleaning #}
	{% include "externalframe_cleaning.tpl" %}
	{# Onscreen messaging #}
	{% include "externalframe_messages.tpl" %}
	{# OnBeforeUnload mask#}
	<div class="externalframe-onbeforeunload-screen"></div>
	</div>
{% endblock body %}