{# PIN #}
{#
	N.B. sistema creato di getto; da rivedere in momenti pi tranquilli.
#}

{# INCLUDES #}
<jsIncludes>
	{{ html_includejs("jquery.encoding.sha1.js","js") }}
	{{ html_includejs("jquery.base64.js","js") }}
	{{ html_includejs("jquery.phppack.js","js") }}
</jsIncludes>
{# JAVASCRIPTS #}
<jsScopeScripts>
	this.return_url = null;
	this.onLoad=function(){	
		this.oArguments = $.parseJSON( this.oArguments );
		this.oOptions = $.parseJSON( this.oOptions );
		this.clearPinInput();
		this.getPinInput().focus();
		$('#template-popup-title').text('{{ getConstant('_DPAD_THEME_PIN_MANAGEMENT_POPUP_TITLE') }}');
		{# Setting scrollable #}
		this._setScrollable();

		{# Adding button pressed effect #}
		$(this.getScopeSelector()).find(".voip-intercom-keypad-numpad li").on("mousedown touchstart",function(event){$(this).addClass('hilight')});
		$(this.getScopeSelector()).find(".voip-intercom-keypad-numpad li").on("mouseup touchend",function(event){$(this).removeClass('hilight')});
	}
	
	this.onUnload = function(){
		{# Removing button pressed effect #}
		$(this.getScopeSelector()).find(".voip-intercom-keypad-numpad li").off("mousedown touchstart");
		$(this.getScopeSelector()).find(".voip-intercom-keypad-numpad li").off("mouseup touchend");
	}
	
	this.onTransitionDone=function(){
		this._setScrollable();
	}
		
	this._setScrollable=function(){
		themeManager.setScrollable( $('#externalframe_popup_panel_container #navigator_single') );
	}
	
	this.onItemPressed=function(itemValuePressed){
		var _jInput = this.getPinInput();
		_jInput.val( _jInput.val() + itemValuePressed );
	}
	
	this.callPinAction=function(){
		var _oObj = ( this.oOptions.iObjectID ? objM.getObj( this.oOptions.iObjectID ) : null );
		var _bHashingCode = ( typeof this.oOptions.bHashing == 'undefined' ? true : this.oOptions.bHashing );
		var _jInput = this.getPinInput();
		var _sCode = ( _bHashingCode ? this.encodeGrantHashcode( _jInput.val() ) : _jInput.val() );
		if( _oObj && this.oOptions.sMethod ){
			var _sObjMethod = this.oOptions.sMethod;
			{# Calling object method #}
			switch( _sObjMethod ){
				case 'set':
					_oObj.set(this.oArguments.sField,this.oArguments.value,this.oArguments.sOperation,_sCode,this.oArguments.sOptional);
				break;
				default:
					{# Rebuilding arguments to pass to the object method #}
					var _aArguments = new Array();
					for(var _iIndex in this.oArguments ){
						_aArguments.push( this.oArguments[_iIndex] );
					}
					_aArguments.push( _sCode );
					_oObj[ _sObjMethod ].apply(_oObj,_aArguments);
				break;
			}
		}
		this.clearPinInput();
		this.closePinPage();
	}
	
	this.detectEnterOnKeypress=function(keypressed) {
	    var keycode;
	    if( window.event ){
			keycode = window.event.keyCode;
	    } else if( keypressed ){
			keycode = keypressed.which;
	    } else {
			return false;
		}
	    return ( keycode == 13 );
	}
	
	this.cancelPinAction=function(){
		this.clearPinInput();
		this.closePinPage();
	}
	
	this.closePinPage=function(){
		nM.getNavigator('navigator_popup_pin_panel').setActive(false);
		if( this.return_url ){
			var _sUrl = null;
			var _sNavigatorId = null;
			var _sView = null;
			try{
				var _oUrl = $.parseJSON( this.return_url );
				_sUrl = _oUrl.url;
				_sNavigatorId = _oUrl.navigatorId;
				_sView = _oUrl.view;
			} catch(e) {
				_sUrl = this.return_url;
			}
			iM.openInstance(_sUrl,null,_sNavigatorId,_sView);
		}
	}
	
	this.clearPinInput=function(){
		this.getPinInput().val('');
	}
	
	this.getPinInput=function(){
		return $(this.getScopeSelector()).find('#pin-number-input');
	}
	
	this.encodeGrantHashcode=function(sHashCode){
		return '{SHA}' + $.base64.encode( $.phppack( 'H*', $.sha1( sHashCode ) ) );
	}
	
</jsScopeScripts>
{# HTML #}
<div id="popup-content">
	<div id="popup-tabs">
		<ul>
			<li>
				<div class="voip-intercom-keypad-container">
					<div class="voip-intercom-keypad-display">
						<input type="password" name="pin-number-input" id="pin-number-input" value="" {% if browser.isMobile %}pattern="\d*" readonly{% endif %} onKeyPress="var oScope=iM.getScope(this);if(oScope.detectEnterOnKeypress(event))oScope.callPinAction();" >
					</div>
					<div class="voip-intercom-keypad-numpad">
						<ul>
						{% for item in ['1','2','3','4','5','6','7','8','9','*','0','#'] %}
							<li onclick="iM.getScope(this).onItemPressed('{{ item }}',this);" >{{ item }}</li>
						{% endfor %}
						</ul>
					</div>
					<div class="object-action">
					<ul>
						<li style="width:50%" class="objButtonStandard" id="pin-button-red" onclick="iM.getScope(this).cancelPinAction();"><div class="button_label_I_png">{{ getConstant('_DPAD_GENERAL_CANCEL') }}</div></li>
						<li style="width:50%" class="objButtonStandard" id="pin-button-green" onclick="iM.getScope(this).callPinAction();"><div class="button_label_O_png">{{ getConstant('_DPAD_GENERAL_OK') }}</div></li>
					</ul>
				</div>
			</li>
		</ul>
	</div>
</div>