{# Including core template #}
{% block _includeScope %}
	{% include "scope.plan.tpl" %}
{% endblock _includeScope %}
{% block _tplContainer %}
<div id="template-plan-container">
	<div id="plan_container" style="width:100%;height:100%;">
		<div id="plan_cover" class="cover-hidden"></div>
		<div id="plan_contained" style="width:100%;height:100%;position:relative;">
			{# Inserting event on onLoad because the HTML width/height is updated only after the image is loaded by the client!!! #}
			<img id="template-plan-background" src="#" onLoad="iM.getScope(this)._setScrollable();" onmousedown="if(event.preventDefault)event.preventDefault();return false;" />
		</div>
	</div>
</div>
<div id="compass">
	<div class="compass-widget compass-widget-sprite off" jsaction="mouseover: compass.main; mouseout: compass.main; focus: compass.main" tabindex="-1">
		<div class="compass-counterclockwise-arrow compass-widget-sprite" jsaction="compass.left"></div>
		<div class="compass-clockwise-arrow compass-widget-sprite" jsaction="compass.right"></div>
		<div class="compass-needle compass-widget-sprite"></div>
	</div>
	<div class="compass-calibrate">
		<div id="picture">
			<div id="device"></div>
			<div id="floor"></div>
			<div id="wall"></div>
		</div>
		<div id="instruction">
			<div id="title"></div>
			<div id="description"></div>
			<div id="notes"></div>
		</div>
	</div>
</div>		

{% endblock _tplContainer %}
{# Block Prototypes #}
{% block _tplPrototypes %}
<div style="display:none;" >
<div id="plan_container_prototype"><div id="{{ jsHtmlBlock('name') }}_container_results" style="width:100%;height:100%;" ></div></div>
<div id="plan_row_prototype">
	{% block _tplPrototypeItem %}
	<div id="{{ jsHtmlBlock('name') }}_item_{{ jsHtmlRowRelation('id') }}" type="{{ jsHtmlData('type') }}" objectid="{{ jsHtmlData('id') }}" class="object-box {{jsHtmlFunc('rM.getConfiguration("plan_icon_size",{refresh: false})')}} {{ jsHtmlIf(jsHtmlRowRelation('options.hide_shadow') ~ "==true",'object-box-no-bg','') }} {{ jsHtmlIf(jsHtmlRowRelation('options.show_label') ~ "==true",'object-box-full-width','') }}" addclass="{{ jsHtmlIf(jsHtmlRowRelation('options.hide_shadow') ~ "==true",'object-box-no-bg','') }}" style="top:{{ jsHtmlIf(jsHtmlRowRelation('options.ypos') ~ '>0',jsHtmlRowRelation('options.ypos'),'50') }}px;left:{{ jsHtmlRowRelation('options.xpos') }}px;{{ jsHtmlIf(jsHtmlRowRelation('options.width'),'width:' ~ jsHtmlRowRelation('options.width') ~ 'px;','') }}{{ jsHtmlIf(jsHtmlRowRelation('options.height'),'height:' ~ jsHtmlRowRelation('options.height') ~ 'px;','') }}" show_label="{{ jsHtmlRowRelation('options.show_label') }}" hide_shadow="{{ jsHtmlRowRelation('options.hide_shadow') }}">
		{% block _tplPrototypeItemContent %}
		<div {% if not browser.isIKonWebTouch %}title="{{ jsHtmlData('name') }}" {% endif %}class="editplan-item-cover" onclick="iM.getScope(this).editModeToggleItemSelection(event,$(this).parent(),!$(this).parent().hasClass('ui-multidraggable'));iM.getScope(this).editModeEventSelectedItems();return false;"></div>
			{{ jsHtmlObj("render('plan')") }}
		{% block _tplPrototypesOptions %}
		<div class="object-options">
				<div class="object-action">
					<ul>
						<li class="objButtonStandard" onclick="themeManager.scheduleOpenPopup({{ jsHtmlData('id') }})"><div class="button_label_schedule_png {{ jsHtmlData('ALLOW_SCHEDULE') }}"><div class="label">{{ getConstant('_DPAD_THEME_SCHEDULE') }}</div></div></li>
						<li class="objButtonStandard" onclick="themeManager.prefs_addremove(this,{{ jsHtmlData('id') }})"><div class="button_label_prefs_png {{ jsHtmlData('PREFS') }}"><div class="label">{{ getConstant('_DPAD_THEME_FAVOURITES') }}</div></div></li>
					</ul>
				</div>
		</div>
		{% endblock _tplPrototypesOptions %}
		{% endblock _tplPrototypeItemContent %}
	</div>   
	{% endblock _tplPrototypeItem %}
</div>
{% endblock _tplPrototypes %}