{% block scope %}
{# Including core template #}
{% include "scope.schedule_edit.tpl" %}
{% endblock %}

{% block head %}
<div id="schedule-header">
	<div id="schedule-cover"></div>
	<div id="schedule-title"></div>
	<div id="schedule-close"></div>
</div>
{% endblock head %}

{% block body %}
<div id="schedule-detail-container" >
	<div id="schedule-detail-title">
		<div class="schedule-content">
			<div class="schedule-title-input"><input type="text" name="schedule-title-input" id="schedule-title-input" value="" /></div>
			<div class="schedule-button cancel" id="schedule-button-cancel" onclick="iM.getScope(this).cancel_activities()"></div>
			<div class="schedule-button save" id="schedule-button-save" onclick="iM.getScope(this).save_activities()"></div>
			<div class="template-clear"></div>
		</div>
	</div>

	<div id="schedule-detail-action">
		<div id="schedule-title-action" class="schedule-list-title">
			<div class="schedule-list-title-arrow title-open"></div>
			<div class="schedule-list-title-caption"></div>
			<div class="template-clear"></div>
		</div>
		<div class="schedule-content">
			<div id="schedule_container_list"></div>
				
			{# Block Prototypes #}
			<div style="display:none;" >
				<div id="schedule_list_container_prototype">
					<div id="{{ jsHtmlBlock('name') }}_container_results"></div>
				</div>
				<div id="schedule_list_row_prototype">
					<div id="{{ jsHtmlBlock('name') }}_list_item_{{ jsHtmlData('id') }}" index="{{ jsHtmlData('id') }}" class="schedule-time-line">
						<div class="schedule-action schedule-time-line-delete delete" onclick="iM.getScope(this).delete_action_row({{ jsHtmlData('id') }})"></div>
						<div class="schedule-time-area time-hh">
							<div class="schedule-time-prev" type="hh"></div>
							<div class="schedule-time-caption" index="{{ jsHtmlData('id') }}">{{ jsHtmlFunc('rM.strPad("'~jsHtmlData('hours')~'",2,"0")') }}</div>
							<div class="schedule-time-next" type="hh"></div>
							<div class="schedule-area-caption">{{ getConstant("_DPAD_THEME_SCHEDULE_TITLE_HOURS") }}</div>
							<div class="template-clear"></div>
						</div>
						<div class="schedule-time-area time-mm">
							<div class="schedule-time-prev" type="mm"></div>
							<div class="schedule-time-caption" index="{{ jsHtmlData('id') }}">{{ jsHtmlFunc('rM.strPad("'~jsHtmlData('minutes')~'",2,"0")') }}</div>
							<div class="schedule-time-next" type="mm"></div>
							<div class="schedule-area-caption">{{ getConstant("_DPAD_THEME_SCHEDULE_TITLE_MINUTES") }}</div>
							<div class="template-clear"></div>
						</div>
						
						<div class="schedule-action-area input-action">
						{{ jsHtml({
							"as":"select_custom",
							"htmlClass":"input-action-2",
							"value":jsHtmlData('action'),
							"options":jsHtmlObj(jsHtmlData('object_id'),"getActions('associative')")
						}) }}
							<div class="schedule-area-caption">{{ getConstant("_DPAD_THEME_SCHEDULE_TITLE_ACTION") }}</div>
							<div class="template-clear"></div>
						</div>
						
						<div class="schedule-action-area input-value">
						{{ jsHtml({
							"as":"select_custom",
							"htmlClass":"input-action-1",
							"value":jsHtmlData('current_value'),
							"min":jsHtmlObj(jsHtmlData('object_id'),"getActionValues().min"),
							"max":jsHtmlObj(jsHtmlData('object_id'),"getActionValues().max"),
							"step":jsHtmlObj(jsHtmlData('object_id'),"getActionValues().step"),
							"options":jsHtmlObj(jsHtmlData('object_id'),"getActionValues('associative').options")
						}) }}
							<div class="schedule-area-caption">{{getConstant("_DPAD_THEME_SCHEDULE_TITLE_ACTION_VALUE")}}</div>
							<div class="template-clear"></div>
						</div>
						
						<div style="display:none">
						{{ jsHtml({
							"as":"textbox",
							"htmlClass":"input-action-3",
							"value":jsHtmlData('optionals')
						}) }}
						</div>
						
						<div class="template-clear"></div>
					</div>								
				</div>
			</div>
			{# End Block Prototypes #}

			<div class="object-action"><ul><li class="objButtonStandard" style="width:100%" onclick="iM.getScope(this).add_action_row()"><div class="button_label_IGNORE_png off"><div class="objButtonPlus"></div></div></li></ul></div>		
		</div>
	</div>

	<div id="schedule-detail-calendar">
		<div id="schedule-title-calendar" class="schedule-list-title">
			<div class="schedule-list-title-arrow title-open"></div>
			<div class="schedule-list-title-caption"></div>
			<div class="template-clear"></div>
		</div>
		<div class="schedule-content" style="display:block">
			<div id="schedule-calendar">
				<div id="schedule-calendar-caption">
					<ul>
						<li id="schedule-calendar-caption-1" onclick="iM.getScope(this).enable_schedule_type($(this).index())" class="off"></li>
						<li id="schedule-calendar-caption-2" onclick="iM.getScope(this).enable_schedule_type($(this).index())" class="off"></li>
					</ul>
				</div>
				<div id="schedule-calendar-setting">
					<ul>
						<li class="calendar-container" id="calendar-weeks"></li>
						<li class="calendar-container" id="calendar-years"><input type="hidden" id="calendar-date-input" /><div id="calendar-date"></div><div class="template-clear"></div></li>
					</ul>
					<div class="template-clear"></div>
				</div>
			</div>
		</div>
	</div>
</div>
{% endblock body %}
