#!/bin/bash
###############################################################################
#
#   Domuspad FSM Daemon Server.
#   Copyright (C) 2004 Domotica Labs. All Rights Reserved.
#   See http://www.domoticalabs.com/ for more information.
#
###############################################################################
#
#   description: manage volume of the microphone
#   parameters: x%+/-
#   version: 1.0 for hystoric superio hardware
#
################################################################################
#
###############################################################################
#                            CUSTOMIZABLE VARIABLES
###############################################################################
#
#
################################################################################
#                            FIXED VARIABLES
###############################################################################
#
MICROPHONECHANNEL1="'Capture',0"
MICROPHONECHANNEL2="'Capture',1"
#
###############################################################################
#                            START SCRIPT
###############################################################################
#
filter=`ps aux | grep dpadmicrophonevolume.sh | awk '{printf( "%s#%s#%s\n", $1, $2, $11);}'`
for item in $filter
do
 puser=`echo $item | awk 'BEGIN {FS="#"}; {print $1}'`
 pprocimg=`echo $item | awk 'BEGIN {FS="#"}; {print $3}'`
 if [ "$puser" == "dpadsrv" ] && [ "$pprocimg" == "/usr/local/bin/dpadmicrophonevolume.sh" ]
 then
  #Another instance is up and running, skip this execution to avoid problems
  echo "Another instance is up and running, skip this execution to avoid problems..."
  exit 0
 fi
done
PARAMNUM=$#
if [ $PARAMNUM -lt 1 ]
then
 echo "Usage: $0 [x%+/-]"
 exit 1
fi
#format is: amixer set AlsaChannel x%+/-
sudo amixer set $MICROPHONECHANNEL1 $1
sudo amixer set $MICROPHONECHANNEL2 $1
RESULT=$?
exit $RESULT
#
###############################################################################
#                            END SCRIPT
###############################################################################
