#!/bin/bash
###############################################################################
#
#   Domuspad FSM Daemon Server.
#   Copyright (C) 2004 Domotica Labs. All Rights Reserved.
#   See http://www.domoticalabs.com/ for more information.
#
###############################################################################
#
#   description: play a sound file onto card
#   parameters: path of sound file
#   version: 1.0 for hystoric superio hardware
#
################################################################################
#
###############################################################################
#                            CUSTOMIZABLE VARIABLES
###############################################################################
#
#
################################################################################
#                            FIXED VARIABLES
###############################################################################
#
APLAYOPTIONS="-Ddefault:Intel"
#
###############################################################################
#                            START SCRIPT
###############################################################################
#
filter=`ps aux | grep dpadplaysound.sh | awk '{printf( "%s#%s#%s\n", $1, $2, $11);}'`
for item in $filter
do
 puser=`echo $item | awk 'BEGIN {FS="#"}; {print $1}'`
 pprocimg=`echo $item | awk 'BEGIN {FS="#"}; {print $3}'`
 if [ "$puser" == "dpadsrv" ] && [ "$pprocimg" == "/usr/local/bin/dpadplaysound.sh" ]
 then
  #Another instance is up and running, skip this execution to avoid problems
  echo "Another instance is up and running, skip this execution to avoid problems..."
  exit 0
 fi
done
PARAMNUM=$#
if [ $PARAMNUM -lt 1 ]
then
 echo "Usage: $0 [path of sound file]"
 exit 1
fi
#format is: aplay -Ddefault:Intel snd.wav 
sudo /usr/bin/aplay $APLAYOPTIONS $1
RESULT=$?
exit $RESULT
#
###############################################################################
#                            END SCRIPT
###############################################################################
