#!/bin/sh

#CONSTANTS
MAIN_DATABASE=/etc/dpadd/DomusPad.db
PHP_SESSION=/tmp/dpad_variables/php_sessions
WEB_SCRIPTS=/tmp/dpad_variables/scripts
WEB_CACHES=/tmp/dpad_variables/web

#HELP
if [[ $1 = "-h" ]]
then
 echo "##############################################################################"
 echo "# KonneXion Web Utilities usage:"
 echo "# ./dpadwebutils.sh [options]"
 echo "#"
 echo "# [options]:"
 echo "# 	[-h]				shows this help page"
 echo "# 	[clearweb]			clears php-smarty-script sessions"
 echo "# 	[cleardb]			does the vacuum to the current database"
 echo "# 	[newdb]				creates a new empty database"
 echo "##############################################################################"
 exit
fi

#MODULE PATH
if [[ -z $1 ]]
then
 clear
 echo "##############################################################################"
 echo "#"
 echo "#   KonneXion Web Utilities"
 echo "#   Copyright (C) 2004 Domotica Labs. All Rights Reserved."
 echo "#   See http://www.domoticalabs.com/ for more information."
 echo "#"
 echo "#		Created By"
 echo "#		Riccardo Re"
 echo "#			Version 0.0.1"
 echo "##############################################################################"
 echo ""
 echo "Action:"
 read action
else
 action=$1
fi

if [[ -z $action ]]
then
 echo "No action selected; please check and retry."
 exit
fi

#Clear web
if [[ $action = "clearweb" ]]
then
 rm -fr ${PHP_SESSION}/*
 rm -fr ${WEB_SCRIPTS}/*
 rm -fr ${WEB_CACHES}/*
 echo "Web sessions and caches cleaned."
fi

#Cleaning database
if [[ $action = "cleardb" ]]
then
 sqlite3 ${MAIN_DATABASE} "vacuum;"
 echo "Database cleaned."
fi

#Creating new empty database
if [[ $action = "newdb" ]]
then
 rm -fr ${MAIN_DATABASE}
 sqlite3 ${MAIN_DATABASE} "CREATE TABLE TEST_TABLE(INTEGER TEST_COLUMN);"
 sqlite3 ${MAIN_DATABASE} "DROP TABLE TEST_TABLE;"
 chown dpadsrv:dlabusers ${MAIN_DATABASE}
 chmod 660 ${MAIN_DATABASE}
 echo "Empty database created."
fi
