#!/bin/sh
###############################################################################
#
#   Domuspad FSM Daemon Server.
#   Copyright (C) 2004 Domotica Labs. All Rights Reserved.
#   See http://www.domoticalabs.com/ for more information.
#
###############################################################################
#
#   description: sendmail script for Domuspad FSM Daemon Server
#                (using smtp php client)
#   parameters: $1 input email file name (already written)
#   version: 1.1
#
################################################################################
#
###############################################################################
#                            CUSTOMIZABLE VARIABLES
###############################################################################
#
SENDMAIL_CMD=/web/html/smartdomuspad/modules/system/sendmail.php
PHP_COMPILER="/usr/lib/cgi-bin/php -q"
#
################################################################################
#                            FIXED VARIABLES
###############################################################################
#
EMAIL_FILE_IN=$1
EMAIL_SENDER=$2
EMAIL_FILE_LOG=${EMAIL_FILE_IN}.log
#
###############################################################################
#                            START SCRIPT
###############################################################################
#
# Check for sender:
if [ "$EMAIL_SENDER" == "emaild" ]
then
 # Sender request comes from email spooler, process as usual
 # Send email using php smtp client program
 ${PHP_COMPILER} ${SENDMAIL_CMD} ${EMAIL_FILE_IN} > ${EMAIL_FILE_LOG}
 RETVAL=$?
 if [ ${RETVAL} -ne 0 ]
 then
   rm -f ${EMAIL_FILE_IN}
   exit 1
 else
   if [ -s ${EMAIL_FILE_LOG} ]
   then
     #if a log file has a size greater than 0, some error occurred
     rm -f ${EMAIL_FILE_IN}
     exit 1
   else
     #if we get here everything is fine
     rm -f ${EMAIL_FILE_LOG}
     rm -f ${EMAIL_FILE_IN}
     exit 0
   fi
 fi
else
 # Sender request comes from dpadd, skip (the emaild process the request later)
 exit 0
fi
#
###############################################################################
#                            END SCRIPT
###############################################################################
