#!/bin/sh

#All the commands are executed from the main directory of the module

SCRIPT_FILE=/home/dpadweb/.rscript.sh
SOURCE_IMAGE_UPDATE_FILES="$2";
#################################################################################
#                            START SCRIPT
#################################################################################
#
update_image()
{
 #Checking the presence of the directory ( first parameter )
 if [ ! -d ${SOURCE_IMAGE_UPDATE_FILES} ]
 then
  echo "Path: '${SOURCE_IMAGE_UPDATE_FILES}'  doesn't exist...";
  return 0
 fi

 #Moving to Main directory: module/theme/theme_name
 echo "cd `echo | pwd` " >> ${SCRIPT_FILE}
 #Cleaning .rscript.sh file
 echo "#Insert lines to exec operations as root from dpadweb user" > ${SCRIPT_FILE}
 #RW Mounting
 echo "/usr/local/sbin/remountrw" >> ${SCRIPT_FILE}
 #Copying files
 echo "cp -fr ${SOURCE_IMAGE_UPDATE_FILES}/* /" >> ${SCRIPT_FILE}
 #RO Mounting
 echo "/usr/local/sbin/remountro" >> ${SCRIPT_FILE}
 #Executing sudo operations
 sudo ${SCRIPT_FILE}
 #Reinit .rscript.sh file
 echo "#Insert lines to exec operations as root from dpadweb user" >> ${SCRIPT_FILE}

}

version()
{
	echo "Low Level Image Infos:";
	more /etc/platform.conf
}
#################################################################################
#                            MAIN SCRIPT
#################################################################################

RETCODE=OK

case "$1" in
  update_image)
    update_image
    RETVAL=$?
    ;;

  version)
    version
    RETVAL=$?
    ;;

  *)
    echo "Usage: `basename $0` {update_image|version}"
    RETVAL=1
    ;;

esac
exit $RETVAL
#################################################################################
#                            END SCRIPT
#################################################################################