#!/bin/bash

# This script will be used to automatically test EIB-KNX connectivity of alix boards during production process

. /lib/lsb/init-functions

echo "Script to test EIB-KNX connectivity on port: "
echo `cat /etc/dpadd/dpaddrv.conf | grep DPAD_EIB_TPUART_SERIALDEVICE`

echo -n "Sending 1 on group address 12/0/0: "
/usr/local/bin/dpadcmd -v OFF -t EIBLOCAL -s /tmp/dpad_variables/sockets/dpad_eibgateway.socket -f SENDEIBUSSETDATAGRAM -p "DISCHTPUART|12/0/0|1|1"
RETVAL=$?
if [ ${RETVAL} -ne 0 ]
then
 log_end_msg 1
 exit 1
else
 log_end_msg 0
fi

echo
sleep 1
RETVAL=-1

echo -n "Sending 1 on group address 12/0/1: "
/usr/local/bin/dpadcmd -v OFF -t EIBLOCAL -s /tmp/dpad_variables/sockets/dpad_eibgateway.socket -f SENDEIBUSSETDATAGRAM -p "DISCHTPUART|12/0/1|1|1"
RETVAL=$?
if [ ${RETVAL} -ne 0 ]
then
 log_end_msg 1
 exit 1
else
 log_end_msg 0
fi

echo
sleep 1
RETVAL=-1

echo -n "Sending 1 on group address 12/0/2: "
/usr/local/bin/dpadcmd -v OFF -t EIBLOCAL -s /tmp/dpad_variables/sockets/dpad_eibgateway.socket -f SENDEIBUSSETDATAGRAM -p "DISCHTPUART|12/0/2|1|1"
RETVAL=$?
if [ ${RETVAL} -ne 0 ]
then
 log_end_msg 1
 exit 1
else
 log_end_msg 0
fi

echo
sleep 1
RETVAL=-1

echo -n "Sending 1 on group address 12/0/3: "
/usr/local/bin/dpadcmd -v OFF -t EIBLOCAL -s /tmp/dpad_variables/sockets/dpad_eibgateway.socket -f SENDEIBUSSETDATAGRAM -p "DISCHTPUART|12/0/3|1|1"
RETVAL=$?
if [ ${RETVAL} -ne 0 ]
then
 log_end_msg 1
 exit 1
else
 log_end_msg 0
fi

echo
sleep 1
RETVAL=-1

echo -n "Sending 0 on group address 12/0/0: "
/usr/local/bin/dpadcmd -v OFF -t EIBLOCAL -s /tmp/dpad_variables/sockets/dpad_eibgateway.socket -f SENDEIBUSSETDATAGRAM -p "DISCHTPUART|12/0/0|1|0"
RETVAL=$?
if [ ${RETVAL} -ne 0 ]
then
 log_end_msg 1
 exit 1
else
 log_end_msg 0
fi

echo
sleep 1
RETVAL=-1

echo -n "Sending 0 on group address 12/0/1: "
/usr/local/bin/dpadcmd -v OFF -t EIBLOCAL -s /tmp/dpad_variables/sockets/dpad_eibgateway.socket -f SENDEIBUSSETDATAGRAM -p "DISCHTPUART|12/0/1|1|0"
RETVAL=$?
if [ ${RETVAL} -ne 0 ]
then
 log_end_msg 1
 exit 1
else
 log_end_msg 0
fi

echo
sleep 1
RETVAL=-1

echo -n "Sending 0 on group address 12/0/2: "
/usr/local/bin/dpadcmd -v OFF -t EIBLOCAL -s /tmp/dpad_variables/sockets/dpad_eibgateway.socket -f SENDEIBUSSETDATAGRAM -p "DISCHTPUART|12/0/2|1|0"
RETVAL=$?
if [ ${RETVAL} -ne 0 ]
then
 log_end_msg 1
 exit 1
else
 log_end_msg 0
fi

echo
sleep 1
RETVAL=-1

echo -n "Sending 0 on group address 12/0/3: "
/usr/local/bin/dpadcmd -v OFF -t EIBLOCAL -s /tmp/dpad_variables/sockets/dpad_eibgateway.socket -f SENDEIBUSSETDATAGRAM -p "DISCHTPUART|12/0/3|1|0"
RETVAL=$?
if [ ${RETVAL} -ne 0 ]
then
 log_end_msg 1
 exit 1
else
 log_end_msg 0
fi

echo
sleep 1
RETVAL=-1

echo "Script to test EIB-KNX connectivity execution end"
exit 0