--Module: LOGIC update_3.0.3_to_3.0.4.sql

--Daily schedule manager necessary queries
CREATE TABLE DPAD_SCHEDULEMANAGER_CONFIGURATION (ID INTEGER PRIMARY KEY AUTOINCREMENT,NAME TEXT,VALUE TEXT,DESCRIPTION TEXT);
--$LOGIC_SCHEDULEMANAGER_PROCESS$ = INSERT INTO DPADD_PROCESS_CONFIGURATION (PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP) VALUES ("ScheduleManager", "Domoticalabs  Daily Schedule Manager", (SELECT COUNT(ID) FROM DPADD_PROCESS_CONFIGURATION), (SELECT MAX(PROCESS_DELAYONSTARTUP) FROM DPADD_PROCESS_CONFIGURATION)+300);
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ("DPAD_SCHEDULEMANAGERCONF_TABLE","DPAD_SCHEDULEMANAGER_CONFIGURATION","Table of Daily Schedule Manager configuration properties");
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ("DPAD_SCHEDULEMANAGERLOOP_TIMEOUT","300","SCHEDULE MANAGER listeners idle timeout");
CREATE VIEW DPAD_SCHEDULEMANAGER_TODAYSCHEDULES AS SELECT R.CHILDOBJ_ID AS OBJECT_ID, P.ID AS SCHEDULE_ID, P.MSP AS SCHEDULE, R.RELATION_WEB_TIPOLOGY AS TIPOLOGY, R.RELATION_CONDITION AS ENABLED_DATES FROM DPADD_OBJECT_RELATION AS R JOIN DPADD_OBJECT AS P ON R.PARENTOBJ_ID=P.ID WHERE P.TYPE='DAILYSCHEDULE'  AND P.ENABLE_FLAG=1 AND R.ID IN (SELECT R1.ID  FROM DPADD_OBJECT_RELATION AS R1 WHERE R1.RELATION_WEB_TIPOLOGY='DAILYSCHEDULE_WEEKLY_RELATION' AND R1.RELATION_CONDITION LIKE '%'||strftime('%w', 'now')||'%' ) OR R.ID IN (SELECT R2.ID  FROM DPADD_OBJECT_RELATION AS R2 WHERE R2.RELATION_WEB_TIPOLOGY='DAILYSCHEDULE_YEARLY_RELATION' AND R2.RELATION_CONDITION LIKE '%'||strftime('%m-%d', 'now')||'%') ORDER BY R.CHILDOBJ_ID;
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_SCHEDULEMANAGERCOMMAND_SOCKET_FILE', '/tmp/dpad_variables/sockets/dpad_schedulemanager.socket', 'Unix socket for low-level schedulemanager service communication');

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "3.0.4" WHERE NAME = "logic";