--Module: NETWORX NX update

--Creating module configuration table
CREATE TABLE DPAD_HESANX_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1);
--Constants
INSERT INTO DPAD_FSM_CONFIGURATION (NAME,VALUE,DESCRIPTION) VALUES ("DPAD_HESANXCOMMAND_SOCKET_FILE", "/tmp/dpad_variables/sockets/dpad_hesanxgateway.socket", "Unix socket for low-level hesanxgateway service communication");
INSERT INTO DPAD_FSM_CONFIGURATION (NAME,VALUE,DESCRIPTION) VALUES ("DPAD_HESANXLOOP_TIMEOUT", "300", "Hesanx main loop idle timeout");
--Creating views
CREATE VIEW DPAD_HESANXGATEWAY_HESANXAREAS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS AREANUM FROM DPADD_OBJECT O WHERE O.TYPE = 'HESANX_AREA';
CREATE VIEW DPAD_HESANXGATEWAY_HESANXZONES AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS ZONENUM FROM DPADD_OBJECT O WHERE O.TYPE = 'HESANX_ZONE';
CREATE VIEW DPAD_HESANXGATEWAY_HESANXCENTRALWARNINGS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS WARNINGNUM FROM DPADD_OBJECT O WHERE O.TYPE = 'HESANX_CENTRALWARNING';
CREATE VIEW DPAD_HESANXGATEWAY_HESANXCOMMUNICATIONSECTIONS AS SELECT C.ID AS ID, C.NAME AS NAME FROM DPADD_COMMUNICATION_SECTION C WHERE C.TYPE = 'HESANX' AND C.ENABLE_FLAG='1';
--Declaring types
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS) VALUES ('HESANX_CENTRAL','_DPAD_HESANX_SECURITY_TYPE_CENTRAL_LABEL','dpadHesaNxCentral','');
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS) VALUES ('HESANX_AREA','_DPAD_HESANX_SECURITY_TYPE_AREA_LABEL','dpadHesaNxArea','');
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS) VALUES ('HESANX_AREA_CHILD','_DPAD_HESANX_SECURITY_TYPE_AREA_CHILD_LABEL','dpadHesaNxAreaChild','');
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS) VALUES ('HESANX_ZONE','_DPAD_HESANX_SECURITY_TYPE_ZONE_LABEL','dpadHesaNxZone','');
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS) VALUES ('HESANX_ZONE_CHILD','_DPAD_HESANX_SECURITY_TYPE_ZONE_CHILD_LABEL','dpadHesaNxZoneChild','');
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS) VALUES ('HESANX_CENTRALWARNING','_DPAD_HESANX_SECURITY_TYPE_CENTRAL_WARNING_LABEL','dpadHesaNxCentralWarning','');
--Declaring PHP classes
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES('dpadHesaNxCentral','networx-nx','dpadhesanxcentral.class.php','dpadCommunicationSection','_DPAD_HESANX_SECURITY_PHPCLASS_CENTRAL_LABEL','ico_hesanxcentral.png',1,0,0);
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES('dpadHesaNxArea','networx-nx','dpadhesanxarea.class.php','dpadObject','_DPAD_HESANX_SECURITY_PHPCLASS_AREA_LABEL','ico_hesanxarea.png',1,0,0);
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT) VALUES('dpadHesaNxAreaChild','networx-nx','dpadhesanxareachild.class.php','dpadObject','_DPAD_HESANX_SECURITY_PHPCLASS_AREA_CHILD_LABEL','ico_hesanxareachild.png',1,0,0);
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT) VALUES('dpadHesaNxZone','networx-nx','dpadhesanxzone.class.php','dpadObject','_DPAD_HESANX_SECURITY_PHPCLASS_ZONE_LABEL','ico_hesanxzone.png',1,0,0);
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT) VALUES('dpadHesaNxZoneChild','networx-nx','dpadhesanxzonechild.class.php','dpadObject','_DPAD_HESANX_SECURITY_PHPCLASS_ZONE_CHILD_LABEL','ico_hesanxzonechild.png',1,0,0);
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT) VALUES('dpadHesaNxCentralWarning','networx-nx','dpadhesanxcentralwarning.class.php','dpadObject','_DPAD_HESANX_SECURITY_TYPE_CENTRAL_WARNING_LABEL','ico_hesanxcentralwarning.png',1,0,0);

--Creating Central rendering
-- $HESANX_SECURITY_RENDERING_CENTRAL$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_CENTRAL', 1, '0', '1', '1', 'ico_hesanx_central_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_CENTRAL_MODE_OK",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_CENTRAL_MODE_ERROR"', '0=>"ico_hesanx_central_ok.png",1=>"ico_hesanx_central_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadHesaNxCentral ', '');

--Creating Area renderings
-- $HESANX_SECURITY_RENDERING_AREA_ARMED$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_ARMED',1,0,1,1,'ico_hesanx_security_area_armed_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_ARMED_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_ARMED_ON"','0=>"ico_hesanx_security_area_armed_off.png",1=>"ico_hesanx_security_area_armed_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_ARMED',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_AREA_READY$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_READY',1,0,1,1,'ico_hesanx_security_area_ready_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_READY_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_READY_ON"','0=>"ico_hesanx_security_area_ready_off.png",1=>"ico_hesanx_security_area_ready_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_READY',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_AREA_STAYMODE$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_STAYMODE',1,0,1,1,'ico_hesanx_security_area_staymode_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_STAYMODE_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_STAYMODE_ON"','0=>"ico_hesanx_security_area_staymode_off.png",1=>"ico_hesanx_security_area_staymode_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_STAYMODE',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_AREA_CHIMEMODE$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_CHIMEMODE',1,0,1,1,'ico_hesanx_security_area_chimemode_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_CHIMEMODE_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_CHIMEMODE_ON"','0=>"ico_hesanx_security_area_chimemode_off.png",1=>"ico_hesanx_security_area_chimemode_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_CHIMEMODE',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_AREA_AWAYMODE$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_AWAYMODE',1,0,1,1,'ico_hesanx_security_area_awaymode_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_AWAYMODE_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_AWAYMODE_ON"','0=>"ico_hesanx_security_area_awaymode_off.png",1=>"ico_hesanx_security_area_awaymode_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_AWAYMODE',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_AREA_NIGHTMODE$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_NIGHTMODE',1,0,1,1,'ico_hesanx_security_area_nightmode_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_NIGHTMODE_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_NIGHTMODE_ON"','0=>"ico_hesanx_security_area_nightmode_off.png",1=>"ico_hesanx_security_area_nightmode_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_NIGHTMODE',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_AREA_PREVIOUSALARM$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_PREVIOUSALARM',1,0,1,1,'ico_hesanx_security_area_previousalarm_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_PREVIOUSALARM_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_PREVIOUSALARM_ON"','0=>"ico_hesanx_security_area_previousalarm_off.png",1=>"ico_hesanx_security_area_previousalarm_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_PREVIOUSALARM',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_AREA_FIREPANIC$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_FIREPANIC',1,0,1,1,'ico_hesanx_security_area_firepanic_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_FIREPANIC_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_FIREPANIC_ON"','0=>"ico_hesanx_security_area_firepanic_off.png",1=>"ico_hesanx_security_area_firepanic_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_FIREPANIC',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_AREA_MEDICALPANIC$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_MEDICALPANIC',1,0,1,1,'ico_hesanx_security_area_medicalpanic_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_MEDICALPANIC_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_MEDICALPANIC_ON"','0=>"ico_hesanx_security_area_medicalpanic_off.png",1=>"ico_hesanx_security_area_medicalpanic_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_MEDICALPANIC',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_AREA_POLICEPANIC$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_POLICEPANIC',1,0,1,1,'ico_hesanx_security_area_policepanic_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_POLICEPANIC_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_AREA_POLICEPANIC_ON"','0=>"ico_hesanx_security_area_policepanic_off.png",1=>"ico_hesanx_security_area_policepanic_on.png"','','dpadHesaNxAreaChild ','HESANX_AREA_POLICEPANIC',1,'SYSTEM');
--Creating Zone renderings
-- $HESANX_SECURITY_RENDERING_ZONE_FAULTED$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_FAULTED',1,0,1,1,'ico_hesanx_security_zone_faulted_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_FAULTED_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_FAULTED_ON"','0=>"ico_hesanx_security_zone_faulted_off.png",1=>"ico_hesanx_security_zone_faulted_on.png"','','dpadHesaNxZoneChild ','HESANX_ZONE_FAULTED',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_ZONE_BYPASSED$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_BYPASSED',1,0,1,1,'ico_hesanx_security_zone_bypassed_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_BYPASSED_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_BYPASSED_ON"','0=>"ico_hesanx_security_zone_bypassed_off.png",1=>"ico_hesanx_security_zone_bypassed_on.png"','','dpadHesaNxZoneChild ','HESANX_ZONE_BYPASSED',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_ZONE_TROUBLE$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_TROUBLE',1,0,1,1,'ico_hesanx_security_zone_trouble_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_TROUBLE_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_TROUBLE_ON"','0=>"ico_hesanx_security_zone_trouble_off.png",1=>"ico_hesanx_security_zone_trouble_on.png"','','dpadHesaNxZoneChild ','HESANX_ZONE_TROUBLE',1,'SYSTEM');
-- $HESANX_SECURITY_RENDERING_ZONE_ALARMMEMORY$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_ALARMMEMORY',1,0,1,1,'ico_hesanx_security_zone_alarmmemory_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_ALARMMEMORY_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_ZONE_ALARMMEMORY_ON"','0=>"ico_hesanx_security_zone_alarmmemory_off.png",1=>"ico_hesanx_security_zone_alarmmemory_on.png"','','dpadHesaNxZoneChild ','HESANX_ZONE_ALARMMEMORY',1,'SYSTEM');
--Creating Central Warning renderings
-- $HESANX_SECURITY_RENDERING_CENTRAL_WARNING$ = INSERT INTO DPADD_RENDERING (NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY) VALUES('_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_CENTRAL_WARNING',1,0,1,1,'ico_hesanx_security_central_warning_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_CENTRAL_WARNING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESANX_SECURITY_CENTRAL_WARNING_ON"','0=>"ico_hesanx_security_central_warning_off.png",1=>"ico_hesanx_security_central_warning_on.png"','','dpadHesaNxCentralWarning ','',1,'SYSTEM');

--Declaring new module
INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION,IS_ACTIVE,BRANCH ) VALUES ( NULL, "networx-nx", "_DPAD_DBCONSTANT_WEBMODULE_HESANX_SECURITY", "0.0.1", 1,"2.2.2.2749" );