--Module: PESS update

--Creating new configuration table
CREATE TABLE DPAD_PESS_CONFIGURATION(ID INTEGER PRIMARY KEY AUTOINCREMENT,NAME TEXT,VALUE TEXT,DESCRIPTION TEXT,SECTION_ID INTEGER DEFAULT -1);

--Creating views
CREATE VIEW DPAD_PESSGATEWAY_PESSPANELS AS SELECT C.ID AS ID, C.NAME AS NAME, C.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID FROM DPADD_OBJECT AS C WHERE C.TYPE="PESS_PANEL";
CREATE VIEW DPAD_PESSGATEWAY_PESSAREAS AS SELECT A.ID AS ID, A.MSP AS AREA_NUMBER, A.CURRENT_VALUE AS STATUSBYTE, A.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS A JOIN DPADD_OBJECT_RELATION AS R ON R.CHILDOBJ_ID = A.ID  WHERE A.TYPE="PESS_AREA" AND R.RELATION_WEB_TIPOLOGY="PESS_PANEL_AREA_RELATION";
CREATE VIEW DPAD_PESSGATEWAY_PESSAREACHILDREN AS SELECT C.ID AS CHILD_ID, A.ID AS AREA_ID, C.VALUES_TYPE AS CHILD_TAG, C.CURRENT_VALUE AS CHILD_VALUE, A.MSP AS AREA_NUMBER, C.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID FROM DPADD_OBJECT AS C JOIN DPADD_OBJECT_RELATION AS R ON R.CHILDOBJ_ID = C.ID JOIN DPADD_OBJECT AS A ON R.PARENTOBJ_ID = A.ID WHERE C.TYPE = "PESS_AREA_CHILD" AND R.RELATION_WEB_TIPOLOGY="PESS_AREA_CHILD_RELATION" AND A.TYPE="PESS_AREA" AND C.COMMUNICATIONSECTION_ID=A.COMMUNICATIONSECTION_ID;
CREATE VIEW DPAD_PESSGATEWAY_PESSFUNCTIONS AS  SELECT F.ID AS ID, F.MSP AS FUNCTION_NUMBER, F.CURRENT_VALUE AS CURRENT_VALUE, F.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID,R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS F JOIN DPADD_OBJECT_RELATION AS R ON R.CHILDOBJ_ID=F.ID WHERE F.TYPE="PESS_FUNCTION" AND R.RELATION_WEB_TIPOLOGY="PESS_PANEL_FUNCTION_RELATION";
CREATE VIEW DPAD_PESSGATEWAY_PESSOUTPUTS AS SELECT O.ID AS ID, O.MSP AS OUTPUT_NUMBER, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS O JOIN DPADD_OBJECT_RELATION AS R ON R.CHILDOBJ_ID=O.ID WHERE O.TYPE="PESS_OUTPUT" AND R.RELATION_WEB_TIPOLOGY="PESS_PANEL_OUTPUT_RELATION";
CREATE VIEW DPAD_PESSGATEWAY_PESSH24ALARMS AS SELECT A.ID AS ID, A.MSP AS ALARM_NUMBER, A.CURRENT_VALUE AS CURRENT_VALUE, A.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS A JOIN DPADD_OBJECT_RELATION AS R ON R.CHILDOBJ_ID=A.ID WHERE A.TYPE="PESS_H24ALARM" AND R.RELATION_WEB_TIPOLOGY="PESS_PANEL_H24ALARM_RELATION";
CREATE VIEW DPAD_PESSGATEWAY_PESSPANELFLAGS AS SELECT F.ID AS ID, F.MSP AS FLAG_NUMBER, F.CURRENT_VALUE AS CURRENT_VALUE, F.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS F JOIN DPADD_OBJECT_RELATION AS R ON R.CHILDOBJ_ID=F.ID WHERE F.TYPE="PESS_PANELFLAG" AND R.RELATION_WEB_TIPOLOGY="PESS_PANEL_FLAG_RELATION";
CREATE VIEW DPAD_PESSGATEWAY_PESSINPUTS AS  SELECT I.ID AS ID, I.MSP AS INPUT_NUMBER, I.CURRENT_VALUE AS CURRENT_VALUE, I.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID,R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS I JOIN DPADD_OBJECT_RELATION AS R ON R.CHILDOBJ_ID=I.ID WHERE I.TYPE="PESS_INPUT" AND R.RELATION_WEB_TIPOLOGY="PESS_PANEL_INPUT_RELATION";

--Creating settings for polling
INSERT INTO DPAD_FSM_CONFIGURATION(NAME,VALUE,DESCRIPTION) VALUES ( "DPAD_PESSPOLLING_GLOBAL_TIMEOUT","0.1", "Global status polling timeout in seconds");
INSERT INTO DPAD_FSM_CONFIGURATION(NAME,VALUE,DESCRIPTION) VALUES ( "DPAD_PESSPOLLING_INPUT_TIMEOUT","0.1", "Input status polling timeout in seconds");
INSERT INTO DPAD_FSM_CONFIGURATION(NAME,VALUE,DESCRIPTION) VALUES ( "DPAD_PESSPOLLING_OUTPUT_TIMEOUT","0.1", "Output status polling timeout in seconds");

--PESS Central
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessCentral', 'pess', 'dpadpesscentral.class.php', 'dpadCommunicationSection', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSCENTRAL', 'ico_pess_central.png', '', '', '', '1', '0', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_PANEL", "_DPAD_DBCONSTANT_TYPE_PESS_CENTRAL", "dpadPessCentral", "" );
--PESS Area
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessArea', 'pess', 'dpadpessarea.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSAREA', 'ico_pess_area.png', '', '', '', '1', '0', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_AREA", "_DPAD_DBCONSTANT_TYPE_PESS_AREA", "dpadPessArea", "" );
--PESS Area Child
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessAreaChild', 'pess', 'dpadpessareachild.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSAREACHILD', 'ico_pess_area_child.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_AREA_CHILD", "_DPAD_DBCONSTANT_TYPE_PESS_AREA_CHILD", "dpadPessAreaChild", "SETVALUE" );
--PESS Function
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessFunction', 'pess', 'dpadpessfunction.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSFUNCTION', 'ico_pess_function.png', '', '', '', '1', '0', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_FUNCTION", "_DPAD_DBCONSTANT_TYPE_PESS_FUNCTION", "dpadPessFunction", "" );
--PESS Function Child
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessFunctionChild', 'pess', 'dpadpessfunctionchild.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSFUNCTIONCHILD', 'ico_pess_function_child.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_FUNCTION_CHILD", "_DPAD_DBCONSTANT_TYPE_PESS_FUNCTION_CHILD", "dpadPessFunctionChild", "SETVALUE" );
--PESS 24h alarm
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessH24Alarm', 'pess', 'dpadpessh24alarm.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSH24ALARM', 'ico_pess_h24_alarm.png', '', '', '', '1', '0', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_H24ALARM", "_DPAD_DBCONSTANT_TYPE_PESS_H24ALARM", "dpadPessH24Alarm", "" );
--PESS 24h alarm child
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessH24AlarmChild', 'pess', 'dpadpessh24alarmchild.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSH24ALARMCHILD', 'ico_pess_h24_alarm_child.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_H24ALARM_CHILD", "_DPAD_DBCONSTANT_TYPE_PESS_H24ALARM_CHILD", "dpadPessH24AlarmChild", "" );
--PESS output
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessOutput', 'pess', 'dpadpessoutput.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSOUTPUT', 'ico_pess_output.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_OUTPUT", "_DPAD_DBCONSTANT_TYPE_PESS_OUTPUT", "dpadPessOutput", "" );
--PESS Input
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessInput', 'pess', 'dpadpessinput.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSINPUT', 'ico_pess_input.png', '', '', '', '1', '0', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_INPUT", "_DPAD_DBCONSTANT_TYPE_PESS_INPUT", "dpadPessInput", "" );
--PESS Input Child
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadPessInputChild', 'pess', 'dpadpessinputchild.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADPESSINPUTCHILD', 'ico_pess_input_child.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "PESS_INPUT_CHILD", "_DPAD_DBCONSTANT_TYPE_PESS_INPUT_CHILD", "dpadPessInputChild", "SETVALUE" );

--Rendering Central
-- $PESS_RENDERING_CENTRAL$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_CENTRAL', 1, '0', '1', '1', 'ico_pess_central_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_CENTRAL_MODE_OK",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_CENTRAL_MODE_ERROR"', '0=>"ico_pess_central_ok.png",1=>"ico_pess_central_ko.png"', '', '', '', 'dpadPessCentral ', '');
--Rendering Area
-- $PESS_RENDERING_AREA$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_AREA', 1, '0', '0', '1', 'ico_pess_area.png', '', '', '', '', '', 'dpadPessArea ', '');
--Rendering Area Child
-- $PESS_RENDERING_AREA_CHILD_READY$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_READY', 1, '0', '1', '1', 'ico_pess_area_child_ready_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_READY_KO",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_READY_OK"', '0=>"ico_pess_area_child_ready_ko.png",1=>"ico_pess_area_child_ready_ok.png"', '', '', '', 'dpadPessAreaChild ', 'PESS_AREA_READY');
-- $PESS_RENDERING_AREA_CHILD_STATUS$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_STATUS', 1, '0', '1', '1', 'ico_pess_area_child_status_arm.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_STATUS_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_STATUS_ON"', '0=>"ico_pess_area_child_status_disarm.png",1=>"ico_pess_area_child_status_arm.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadPessAreaChild ', 'PESS_AREA_STATUS');
-- $PESS_RENDERING_AREA_CHILD_MEMORYALARM$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_MEMORYALARM', 1, '0', '1', '1', 'ico_pess_area_child_alarm_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_MEMORYALARM_OK",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_MEMORYALARM_KO"', '0=>"ico_pess_area_child_alarm_ok.png",1=>"ico_pess_area_child_alarm_ko.png"', '', '', '', 'dpadPessAreaChild ', 'PESS_AREA_MEMORYALARM');
-- $PESS_RENDERING_AREA_CHILD_LOCK$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_LOCK', 1, '0', '1', '1', 'ico_pess_area_child_lock_on.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_LOCK_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_AREA_CHILD_LOCK_ON"', '0=>"ico_pess_area_child_lock_off.png",1=>"ico_pess_area_child_lock_on.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadPessAreaChild ', 'PESS_AREA_LOCK');
--Rendering Input
-- $PESS_RENDERING_INPUT$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_INPUT', 1, '0', '0', '1', 'ico_pess_input.png', '', '', '', '', '', 'dpadPessInput ', '');
--Rendering Input Child
-- $PESS_RENDERING_INPUT_CHILD_STATUS$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_STATUS', 1, '0', '1', '1', 'ico_pess_input_child_status_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_STATUS_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_STATUS_ON"', '0=>"ico_pess_input_child_status_off.png",1=>"ico_pess_input_child_status_on.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadPessInputChild ', 'PESS_INPUT_STATUS');
-- $PESS_RENDERING_INPUT_CHILD_MEMORYALARM$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_MEMORYALARM', 1, '0', '1', '1', 'ico_pess_input_child_memoryalarm_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_MEMORYALARM_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_MEMORYALARM_ON"', '0=>"ico_pess_input_child_memoryalarm_off.png",1=>"ico_pess_input_child_memoryalarm_on.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadPessInputChild ', 'PESS_INPUT_MEMORYALARM');
-- $PESS_RENDERING_INPUT_CHILD_ENABLE$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_ENABLE', 1, '0', '1', '1', 'ico_pess_input_child_enable_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_ENABLE_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_ENABLE_ON"', '0=>"ico_pess_input_child_enable_off.png",1=>"ico_pess_input_child_enable_on.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadPessInputChild ', 'PESS_INPUT_ENABLE');
-- $PESS_RENDERING_INPUT_CHILD_EXCLUDE$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_EXCLUDE', 1, '0', '1', '1', 'ico_pess_input_child_exclude_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_EXCLUDE_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_INPUT_CHILD_EXCLUDE_ON"', '0=>"ico_pess_input_child_exclude_off.png",1=>"ico_pess_input_child_exclude_on.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadPessInputChild ', 'PESS_INPUT_EXCLUDE');
--Rendering H24 alarm
-- $PESS_RENDERING_H24ALARM$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_H24ALARM', 1, '0', '0', '1', 'ico_pess_area_h24alarm_ok.png', '', '', '', '', '', 'dpadPessH24Alarm ', '');
--Rendering H24 alarm child
-- $PESS_RENDERING_H24ALARM_CHILD_STATUS$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_H24ALARM_CHILD_STATUS', 1, '0', '1', '1', 'ico_pess_area_h24alarm_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_H24ALARM_CHILD_STATUS_OK",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_H24ALARM_CHILD_STATUS_KO"', '0=>"ico_pess_area_h24alarm_ok.png",1=>"ico_pess_area_h24alarm_ko.png"', '', '', '', 'dpadPessH24AlarmChild ', 'PESS_H24ALARM_STATUS');
-- $PESS_RENDERING_H24ALARM_CHILD_ENABLE$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_H24ALARM_CHILD_ENABLE', 1, '0', '1', '1', 'ico_pess_area_h24alarm_enabled.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_H24ALARM_CHILD_ENABLE_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_H24ALARM_CHILD_ENABLE_ON"', '0=>"ico_pess_area_h24alarm_disabled.png",1=>"ico_pess_area_h24alarm_enabled.png"', '', '', '', 'dpadPessH24AlarmChild ', 'PESS_H24ALARM_ENABLE');
--Rendering output
-- $PESS_RENDERING_OUTPUT$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_OUTPUT', 1, '0', '1', '1', 'ico_generic_on.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_ON"', '0=>"ico_generic_off.png",1=>"ico_generic_on.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadPessOutput ', '');
--Rendering Functions
-- $PESS_RENDERING_FUNCTION$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_FUNCTION', 1, '0', '0', '1', 'ico_pess_function.png', '', '', '', '', '', 'dpadPessFunction ', '');
--Rendering Function Child
-- $PESS_RENDERING_FUNCTION_CHILD_STATUS$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_FUNCTION_CHILD_STATUS', 1, '0', '1', '1', 'ico_pess_function_child_status_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_FUNCTION_CHILD_STATUS_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_FUNCTION_CHILD_STATUS_ON"', '0=>"ico_pess_function_child_status_off.png",1=>"ico_pess_function_child_status_on.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadPessFunctionChild ', 'PESS_FUNCTION_STATUS');
-- $PESS_RENDERING_FUNCTION_CHILD_LOCK$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PESS_FUNCTION_CHILD_LOCK', 1, '0', '1', '1', 'ico_pess_function_child_lock_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_PESS_FUNCTION_CHILD_LOCK_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_PESS_FUNCTION_CHILD_LOCK_ON"', '0=>"ico_pess_function_child_lock_off.png",1=>"ico_pess_function_child_lock_on.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadPessFunctionChild ', 'PESS_FUNCTION_LOCK');

--Adding a new setting stating if central must show or not port configuration
INSERT INTO DPAD_WEB_CONFIGURATION ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'pess_central_show_port_config', '_DPAD_DBCONSTANT_PESS_CONFIG_CENTRAL_SHOW_PORT_CONFIG', '1', 'pess', 0, '', 'yesno', 1,NULL);

--Adding a new setting containing a forced port setting (if EMPTY, no force is done) - NOTE: it is used by gateways!!!
INSERT INTO DPAD_WEB_CONFIGURATION ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'pess_central_forced_port', '_DPAD_DBCONSTANT_PESS_CONFIG_CENTRAL_FORCED_PORT', '', 'pess', 0, '', 'textbox', 2,NULL);

--Declaring new module
INSERT INTO DPAD_WEB_MODULE ( ID, NAME, DESCRIPTION, VERSION,IS_ACTIVE ) VALUES ( NULL, 'pess', '_DPAD_DBCONSTANT_WEBMODULE_PESS', '3.0.0', 1 );