/*
Flot plugin for computing bottoms for filled line and bar charts.

The case: you've got two series that you want to fill the area
between. In Flot terms, you need to use one as the fill bottom of the
other. You can specify the bottom of each data point as the third
coordinate manually, or you can use this plugin to compute it for you.

In order to name the other series, you need to give it an id, like this

  var dataset = [
       { data: [ ... ], id: "foo" } ,         // use default bottom
       { data: [ ... ], fillBetween: "foo" }, // use first dataset as bottom
       ];

  $.plot($("#placeholder"), dataset, { line: { show: true, fill: true }});

As a convenience, if the id given is a number that doesn't appear as
an id in the series, it is interpreted as the index in the array
instead (so fillBetween: 0 can also mean the first series).
  
Internally, the plugin modifies the datapoints in each series. For
line series, extra data points might be inserted through
interpolation. Note that at points where the bottom line is not
defined (due to a null point or start/end of line), the current line
will show a gap too. The algorithm comes from the jquery.flot.stack.js
plugin, possibly some code could be shared.
*/(function(a){function c(a){function b(a,b){var c;for(c=0;c<b.length;++c)if(b[c].id==a.fillBetween)return b[c];return typeof a.fillBetween=="number"?(c=a.fillBetween,c<0||c>=b.length?null:b[c]):null}function c(a,c,d){if(c.fillBetween==null)return;var e=b(c,a.getData());if(!e)return;var f=d.pointsize,g=d.points,h=e.datapoints.pointsize,i=e.datapoints.points,j=[],k,l,n,o,p,q,r=c.lines.show,s=f>2&&d.format[2].y,t=r&&c.lines.steps,u=!0,v=0,w=0,x;for(;;){if(v>=g.length)break;x=j.length;if(g[v]==null){for(m=0;m<f;++m)j.push(g[v+m]);v+=f}else if(w>=i.length){if(!r)for(m=0;m<f;++m)j.push(g[v+m]);v+=f}else if(i[w]==null){for(m=0;m<f;++m)j.push(null);u=!0,w+=h}else{k=g[v],l=g[v+1],o=i[w],p=i[w+1],q=0;if(k==o){for(m=0;m<f;++m)j.push(g[v+m]);q=p,v+=f,w+=h}else if(k>o){if(r&&v>0&&g[v-f]!=null){n=l+(g[v-f+1]-l)*(o-k)/(g[v-f]-k),j.push(o),j.push(n);for(m=2;m<f;++m)j.push(g[v+m]);q=p}w+=h}else{if(u&&r){v+=f;continue}for(m=0;m<f;++m)j.push(g[v+m]);r&&w>0&&i[w-h]!=null&&(q=p+(i[w-h+1]-p)*(k-o)/(i[w-h]-o)),v+=f}u=!1,x!=j.length&&s&&(j[x+2]=q)}if(t&&x!=j.length&&x>0&&j[x]!=null&&j[x]!=j[x-f]&&j[x+1]!=j[x-f+1]){for(m=0;m<f;++m)j[x+f+m]=j[x+m];j[x+1]=j[x-f+1]}}d.points=j}a.hooks.processDatapoints.push(c)}var b={series:{fillBetween:null}};a.plot.plugins.push({init:c,options:b,name:"fillbetween",version:"1.0"})})(jQuery);