--Module: SECURFORCE update

CREATE TABLE DPAD_SECURFORCE_CONFIGURATION ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1 );

INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE) VALUES ('DPAD_SECURFORCECONF_TABLE', 'DPAD_SECURFORCE_CONFIGURATION');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE) VALUES ('DPAD_SECURFORCEPARTITIONS_VIEW_NAME', 'DPAD_SECURFORCEGATEWAY_SECURFORCEAREAS');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE) VALUES ('DPAD_SECURFORCEZONESF_VIEW_NAME', 'DPAD_SECURFORCEGATEWAY_SECURFORCEZONESF');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE) VALUES ('DPAD_SECURFORCEZONESR_VIEW_NAME', 'DPAD_SECURFORCEGATEWAY_SECURFORCEZONESR');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE) VALUES ('DPAD_SECURFORCEOUTPUTS_VIEW_NAME', 'DPAD_SECURFORCEGATEWAY_SECURFORCEOUTPUTS');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE) VALUES ('DPAD_SECURFORCECENTRALWARNINGS_VIEW_NAME', 'DPAD_SECURFORCEGATEWAY_SECURFORCECENTRALWARNINGS');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE) VALUES ('DPAD_SECURFORCECOMMUNICATIONSECTIONS_VIEW_NAME', 'DPAD_SECURFORCEGATEWAY_SECURFORCECOMMUNICATIONSECTIONS');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE) VALUES ('DPAD_SECURFORCELOOP_TIMEOUT', '300');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE) VALUES ('DPAD_SECURFORCECOMMAND_SOCKET_FILE', '/tmp/dpad_variables/sockets/dpad_securforcegateway.socket');

--Creating views
CREATE VIEW DPAD_SECURFORCEGATEWAY_SECURFORCECENTRALWARNINGS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS WARNINGNUM FROM DPADD_OBJECT O WHERE O.TYPE = 'SECURFORCE_CENTRALWARNING';
CREATE VIEW DPAD_SECURFORCEGATEWAY_SECURFORCEAREAS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS AREANUM FROM DPADD_OBJECT O WHERE O.TYPE='SECURFORCE_AREA';
CREATE VIEW DPAD_SECURFORCEGATEWAY_SECURFORCEZONESF AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS ZONENUM FROM DPADD_OBJECT O WHERE O.TYPE = 'SECURFORCE_ZONE' AND O.VALUES_TYPE = 'SECURFORCE_ZONE_F';
CREATE VIEW DPAD_SECURFORCEGATEWAY_SECURFORCEZONESR AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS ZONENUM FROM DPADD_OBJECT O WHERE O.TYPE = 'SECURFORCE_ZONE' AND o.VALUES_TYPE = 'SECURFORCE_ZONE_R';
CREATE VIEW DPAD_SECURFORCEGATEWAY_SECURFORCEOUTPUTS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS OUTPUTNUM FROM DPADD_OBJECT O WHERE O.TYPE = 'SECURFORCE_OUTPUT';
CREATE VIEW DPAD_SECURFORCEGATEWAY_SECURFORCECOMMUNICATIONSECTIONS AS SELECT C.ID AS ID, C.NAME AS NAME FROM DPADD_COMMUNICATION_SECTION C WHERE C.TYPE = 'SECURFORCE';

--SECURFORCE Central
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSecurforceCentral', 'securforce', 'dpadsecurforcecentral.class.php', 'dpadCommunicationSection', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSECUREFORCECENTRAL', 'ico_securforce_central.png', '', '', '', '1', '0', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "SECURFORCE_CENTRAL", "_DPAD_DBCONSTANT_TYPE_SECURFORCE_CENTRAL", "dpadSecurforceCentral", "" );
--SECURFORCE Central Warning
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSecurforceCentralWarning', 'securforce', 'dpadsecurforcecentralwarning.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSECUREFORCECENTRALWARNING', 'ico_securforce_central_warning.png', '', '', '', '1', '0', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "SECURFORCE_CENTRALWARNING", "_DPAD_DBCONSTANT_TYPE_SECURFORCE_CENTRAL_WARNING", "dpadSecurforceCentralWarning", "" );
--SECURFORCE Area
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSecurforceArea', 'securforce', 'dpadsecurforcearea.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSECUREFORCEAREA', 'ico_securforce_area.png', '', '', '', '1', '0', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "SECURFORCE_AREA", "_DPAD_DBCONSTANT_TYPE_SECURFORCE_AREA", "dpadSecurforceArea", "" );
--SECURFORCE Partition Child (Area Child)
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSecurforcePartitionChild', 'securforce', 'dpadsecurforcepartitionchild.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSECUREFORCEPARTITIONCHILD', 'ico_securforce_partition_child.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "SECURFORCE_PARTITION_CHILD", "_DPAD_DBCONSTANT_TYPE_SECURFORCE_PARTITION_CHILD", "dpadSecurforcePartitionChild", "SETVALUE" );
--SECURFORCE Zone
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSecurforceZone', 'securforce', 'dpadsecurforcezone.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSECUREFORCEZONE', 'ico_securforce_zone.png', '', '', '', '1', '0', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "SECURFORCE_ZONE", "_DPAD_DBCONSTANT_TYPE_SECURFORCE_ZONE", "dpadSecurforceZone", "" );
--SECURFORCE Zone Child
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSecurforceZoneChild', 'securforce', 'dpadsecurforcezonechild.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSECUREFORCEZONECHILD', 'ico_securforce_zone_child.png', '', '', '', '1', '0', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "SECURFORCE_ZONE_CHILD", "_DPAD_DBCONSTANT_TYPE_SECURFORCE_ZONE_CHILD", "dpadSecurforceZoneChild", "" );

--Rendering Central
-- $SECURFORCE_RENDERING_CENTRAL$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_CENTRAL', 1, '0', '1', '1', 'ico_securforce_central_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PANEL_MODE_OK",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PANEL_MODE_ERROR"', '0=>"ico_securforce_central_ok.png",1=>"ico_securforce_central_ko.png"', '', '', '', 'dpadSecurforceCentral ', '');
--Rendering Central Warning
-- $SECURFORCE_RENDERING_CENTRAL_WARNING$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_CENTRAL_WARNING', 1, '0', '1', '1', 'ico_securforce_central_warning_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_CENTRAL_WARNING_OK",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_CENTRAL_WARNING_ERROR"', '0=>"ico_securforce_central_warning_ok.png",1=>"ico_securforce_central_warning_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSecurforceCentralWarning ', '');
--Rendering Area
-- $SECURFORCE_RENDERING_AREA$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_AREA', 1, '0', '0', '1', 'ico_securforce_area.png', '', '', '', '', '', 'dpadSecurforceArea ', '');
--Rendering Partition Child
-- $SECURFORCE_RENDERING_PARTITION_CHILD_READY$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_READY', 1, '0', '1', '1', 'ico_securforce_partition_child_ready_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_READY_OK",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_READY_KO"', '0=>"ico_securforce_partition_child_ready_ok.png",1=>"ico_securforce_partition_child_ready_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSecurforcePartitionChild ', 'SECURFORCE_PARTITION_READY');
-- $SECURFORCE_RENDERING_PARTITION_CHILD_ANOMALY$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_ANOMALY', 1, '0', '1', '1', 'ico_securforce_partition_child_anomaly_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_ANOMALY_OK",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_ANOMALY_KO"', '0=>"ico_securforce_partition_child_anomaly_ok.png",1=>"ico_securforce_partition_child_anomaly_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSecurforcePartitionChild ', 'SECURFORCE_PARTITION_ANOMALY');
-- $SECURFORCE_RENDERING_PARTITION_CHILD_EXCLZONES$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_EXCLZONES', 1, '0', '1', '1', 'ico_securforce_partition_child_exclzones_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_EXCLZONES_OK",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_EXCLZONES_ERROR"', '0=>"ico_securforce_partition_child_exclzones_ok.png",1=>"ico_securforce_partition_child_exclzones_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSecurforcePartitionChild ', 'SECURFORCE_PARTITION_EXCLZONES');
-- $SECURFORCE_RENDERING_PARTITION_CHILD_P1$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_P1', 1, '0', '1', '1', 'ico_securforce_partition_child_p1_disarmed.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_P1_DISARMED",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_P1_ARMED"', '0=>"ico_securforce_partition_child_p1_disarmed_ok.png",1=>"ico_securforce_partition_child_p1_armed_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSecurforcePartitionChild ', 'SECURFORCE_PARTITION_P1');
-- $SECURFORCE_RENDERING_PARTITION_CHILD_P2$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_P2', 1, '0', '1', '1', 'ico_securforce_partition_child_p2_disarmed.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_P2_DISARMED",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_P2_ARMED"', '0=>"ico_securforce_partition_child_p2_disarmed_ok.png",1=>"ico_securforce_partition_child_p2_armed_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSecurforcePartitionChild ', 'SECURFORCE_PARTITION_P2');
-- $SECURFORCE_RENDERING_PARTITION_CHILD_TOT$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_TOT', 1, '0', '1', '1', 'ico_securforce_partition_child_tot_disarmed.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_TOT_DISARMED",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_TOT_ARMED"', '0=>"ico_securforce_partition_child_tot_disarmed_ok.png",1=>"ico_securforce_partition_child_tot_armed_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSecurforcePartitionChild ', 'SECURFORCE_PARTITION_TOT');
-- $SECURFORCE_RENDERING_PARTITION_CHILD_ALARM$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_ALARM', 1, '0', '1', '1', 'ico_securforce_partition_child_alarm_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_ALARM_OK",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_PARTITION_CHILD_ALARM_KO"', '0=>"ico_securforce_partition_child_alarm_ok.png",1=>"ico_securforce_partition_child_alarm_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSecurforcePartitionChild ', 'SECURFORCE_PARTITION_ALARM');
--Rendering Zone
-- $SECURFORCE_RENDERING_ZONE$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_ZONE', 1, '0', '0', '1', 'ico_securforce_zone.png', '', '', '', '', '', 'dpadSecurforceZone ', '');
--Rendering Zone Child
-- $SECURFORCE_RENDERING_ZONE_CHILD$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SECURFORCE_ZONE_CHILD', 1, '0', '1', '1', 'ico_securforce_zone_child_closed.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_ZONE_CHILD_CLOSED",1=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_ZONE_CHID_OPEN",2=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_ZONE_CHID_PEACE",3=>"_DPAD_DBCONSTANT_RENDERING_SECURFORCE_ZONE_CHID_ALARM"', '0=>"ico_securforce_zone_child_closed.png",1=>"ico_securforce_zone_child_open.png",2=>"ico_securforce_zone_child_peace.png",3=>"ico_securforce_zone_child_alarm.png"', '', '', '', 'dpadSecurforceZoneChild ', 'SECURFORCE_ZONE_ALARM');

--Declaring new module
INSERT INTO DPAD_WEB_MODULE ( ID, NAME, DESCRIPTION, VERSION,IS_ACTIVE ) VALUES ( NULL, 'securforce', '_DPAD_DBCONSTANT_WEBMODULE_SECURFORCE', '3.0.0', 1 );