--Module: SIEMENS-EDP update_0.0.0_to_0.0.1.sql
CREATE TABLE DPAD_EDP_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1);

INSERT INTO DPAD_FSM_CONFIGURATION (NAME,VALUE,DESCRIPTION) VALUES ('DPAD_EDPCOMMAND_SOCKET_FILE', '/tmp/dpad_variables/sockets/dpad_edpgateway.socket', 'Unix socket for low-level EDPgateway service communication');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME,VALUE,DESCRIPTION) VALUES ('DPAD_EDPLOOP_TIMEOUT', '300', 'EDP main loop idle timeout');

--Creating views
CREATE VIEW DPAD_EDPGATEWAY_EDPPANELFLAGS AS SELECT A.ID AS ID, A.NAME AS NAME, A.CURRENT_VALUE AS CURRENT_VALUE, A.MSP AS TAG, A.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS A JOIN DPADD_OBJECT_RELATION AS R ON A.ID = R.CHILDOBJ_ID WHERE A.TYPE = 'EDP_PANEL_FLAG' AND R.RELATION_WEB_TIPOLOGY = 'EDP_PANEL_FLAG_RELATION';
CREATE VIEW DPAD_EDPGATEWAY_EDPAREAS AS SELECT A.ID AS ID, A.NAME AS NAME, A.CURRENT_VALUE AS CURRENT_VALUE, A.MSP AS NUMBER, A.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS A JOIN DPADD_OBJECT_RELATION AS R ON A.ID = R.CHILDOBJ_ID WHERE A.TYPE = 'EDP_AREA' AND R.RELATION_WEB_TIPOLOGY = 'EDP_PANEL_AREA_RELATION';
CREATE VIEW DPAD_EDPGATEWAY_EDPZONES AS SELECT Z.ID AS ID, Z.NAME AS NAME, Z.MSP AS NUMBER, Z.CURRENT_VALUE AS CURRENT_VALUE, Z.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS Z JOIN DPADD_OBJECT_RELATION AS R ON Z.ID = R.CHILDOBJ_ID WHERE Z.TYPE = 'EDP_ZONE' AND R.RELATION_WEB_TIPOLOGY = 'EDP_PANEL_ZONE_RELATION';
CREATE VIEW DPAD_EDPGATEWAY_EDPOUTPUTS AS SELECT O.ID AS ID, O.NAME AS NAME, O.MSP AS NUMBER, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS O JOIN DPADD_OBJECT_RELATION AS R ON O.ID = R.CHILDOBJ_ID WHERE O.TYPE = 'EDP_OUTPUT' AND R.RELATION_WEB_TIPOLOGY = 'EDP_PANEL_OUTPUT_RELATION';
CREATE VIEW DPAD_EDPGATEWAY_EDPDOORS AS SELECT D.ID AS ID, D.NAME AS NAME, D.MSP AS NUMBER, D.CURRENT_VALUE AS CURRENT_VALUE, D.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, R.PARENTOBJ_ID AS PANEL_ID FROM DPADD_OBJECT AS D JOIN DPADD_OBJECT_RELATION AS R ON D.ID = R.CHILDOBJ_ID WHERE D.TYPE = 'EDP_DOOR' AND R.RELATION_WEB_TIPOLOGY = 'EDP_PANEL_DOOR_RELATION';
CREATE VIEW DPAD_EDPGATEWAY_EDPCOMMUNICATIONSECTIONS AS SELECT C.ID AS ID, C.NAME AS NAME FROM DPADD_COMMUNICATION_SECTION C WHERE C.TYPE = 'EDP' AND C.ENABLE_FLAG='1';
CREATE VIEW DPAD_EDPGATEWAY_EDPPANELS AS SELECT P.ID AS ID, P.NAME AS NAME, P.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID FROM DPADD_OBJECT AS P WHERE P.TYPE = 'EDP_PANEL';

--SIEMENS-EDP Central
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSiemensEdpPanel', 'siemens-edp', 'dpadsiemensedppanel.class.php', 'dpadCommunicationSection', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSIEMENSEDPPANEL', 'ico_siemens_edp_panel.png', '', '', '', '1', '1', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "EDP_PANEL", "_DPAD_DBCONSTANT_TYPE_SIEMENSEDP_PANEL", "dpadSiemensEdpPanel", "FULLSET_ALL|PARTA_ALL|PARTB_ALL|UNSET_ALL|RESTOREALLALERTS" );
--SIEMENS-EDP Central Warning
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSiemensEdpPanelFlag', 'siemens-edp', 'dpadsiemensedppanelflag.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSIEMENSEDPPANELFLAG', 'ico_siemens_edp_panel_flag.png', '', '', '', '1', '0', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "EDP_PANEL_FLAG", "_DPAD_DBCONSTANT_TYPE_SIEMENSEDP_PANEL_FLAG", "dpadSiemensEdpPanelFlag", "" );
--SIEMENS-EDP Area
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSiemensEdpArea', 'siemens-edp', 'dpadsiemensedparea.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSIEMENSEDPAREA', 'ico_siemens_edp_area.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "EDP_AREA", "_DPAD_DBCONSTANT_TYPE_SIEMENSEDP_AREA", "dpadSiemensEdpArea", "FULLSET|PARTA|PARTB|UNSET" );
--SIEMENS-EDP Zone
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSiemensEdpZone', 'siemens-edp', 'dpadsiemensedpzone.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSIEMENSEDPZONE', 'ico_siemens_edp_zone.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "EDP_ZONE", "_DPAD_DBCONSTANT_TYPE_SIEMENSEDP_ZONE", "dpadSiemensEdpZone", "INHIBIT|DISINHIBIT" );
--SIEMENS-EDP Output
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSiemensEdpOutput', 'siemens-edp', 'dpadsiemensedpoutput.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSIEMENSEDPOUTPUT', 'ico_siemens_edp_output.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "EDP_OUTPUT", "_DPAD_DBCONSTANT_TYPE_SIEMENSEDP_OUTPUT", "dpadSiemensEdpOutput", "SETVALUE" );
--SIEMENS-EDP Door
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSiemensEdpDoor', 'siemens-edp', 'dpadsiemensedpdoor.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSIEMENSEDDOOR', 'ico_siemens_edp_door.png', '', '', '', '1', '1', '1' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "EDP_DOOR", "_DPAD_DBCONSTANT_TYPE_SIEMENSEDP_DOOR", "dpadSiemensEdpDoor", "INHIBIT|DISINHIBIT|ISOLATE|REACTIVATE|OPEN_MOMENT|OPEN_PERM|SET_NORMAL|LOCK" );

--Rendering Central
-- $SIEMENSEDP_RENDERING_PANEL$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_PANEL', 1, '0', '1', '1', 'ico_siemens_edp_panel_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_PANEL_MODE_OK",1=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_PANEL_MODE_ERROR"', '0=>"ico_siemens_edp_panel_ok.png",1=>"ico_siemens_edp_panel_ko.png"', '', '', '', 'dpadSiemensEdpPanel ', '');
--Rendering Central Warning
-- $SIEMENSEDP_RENDERING_PANEL_FLAG$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_PANEL_FLAG', 1, '0', '1', '1', 'ico_siemens_edp_panel_flag_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_PANEL_FLAG_OK",1=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_PANEL_FLAG_ERROR"', '0=>"ico_siemens_edp_panel_flag_ok.png",1=>"ico_siemens_edp_panel_flag_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSiemensEdpPanelFlag ', 'BOOL');
--Rendering Area
-- $SIEMENSEDP_RENDERING_AREA$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_AREA', 1, '0', '4', '1', 'ico_siemens_edp_area.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_AREA_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_AREA_ALARM_ACTIVE_PA",2=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_AREA_ALARM_ACTIVE_PB",3=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_AREA_ALARM_ACTIVE",4=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_AREA_ALARM"', '0=>"ico_siemens_edp_area_peace.png",1=>"ico_siemens_edp_area_alarm_active_pa.png",2=>"ico_siemens_edp_area_alarm_active_pb.png",3=>"ico_siemens_edp_area_alarm_active.png",4=>"ico_siemens_edp_area_alarm.png"', '', '', '', 'dpadSiemensEdpArea ', '');
--Rendering Zone
-- $SIEMENSEDP_RENDERING_ZONE$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE', 1, '0', '9', '1', 'ico_siemens_edp_zone.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_UNDEFINED",1=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE_ISOLATE",2=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE_SOAK",3=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE_OFFLINE",4=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE_DCSUB",5=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE_ALARM",6=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE_MASKED",7=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE_CLOSED",8=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE_OPEN",9=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_ZONE_SHORT"', '0=>"ico_siemens_edp_zone_undefined.png",1=>"ico_siemens_edp_zone_isolate.png",2=>"ico_siemens_edp_zone_soak.png",3=>"ico_siemens_edp_zone_offline.png",4=>"ico_siemens_edp_zone_dcsub.png",5=>"ico_siemens_edp_zone_alarm.png",6=>"ico_siemens_edp_zone_masked.png",7=>"ico_siemens_edp_zone_closed.png",8=>"ico_siemens_edp_zone_open.png",9=>"ico_siemens_edp_zone_short.png"', '', '', '', 'dpadSiemensEdpZone ', '');
--Rendering Output
-- $SIEMENSEDP_RENDERING_OUTPUT$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_OUTPUT', 1, '0', '1', '1', 'ico_siemens_edp_output_unset.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_OUTPUT_UNSET",1=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_OUTPUT_SET"', '0=>"ico_siemens_edp_output_unset.png",1=>"ico_siemens_edp_output_set.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSiemensEdpOutput ', '');
--Rendering Door
-- $SIEMENSEDP_RENDERING_DOOR$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_DOOR', 1, '0', '8', '1', 'ico_siemens_edp_door.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_UNDEFINED",1=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_DOOR_LOCKED",2=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_DOOR_UNLOCKED",3=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_DOOR_NORMAL",4=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_DOOR_OPENTOOLONG",5=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_DOOR_LEFTOPEN",6=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_DOOR_FORCED",7=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_DOOR_TAMPER",8=>"_DPAD_DBCONSTANT_RENDERING_SIEMENSEDP_DOOR_OFFLINE"', '0=>"ico_siemens_edp_door_undefined.png",1=>"ico_siemens_edp_door_locked.png",2=>"ico_siemens_edp_door_unlocked.png",3=>"ico_siemens_edp_door_normal.png",4=>"ico_siemens_edp_door_open_too_long.png",5=>"ico_siemens_edp_door_left_open.png",6=>"ico_siemens_edp_door_forced.png",7=>"ico_siemens_edp_door_tamper.png",8=>"ico_siemens_edp_door_offline.png"', '', '', '', 'dpadSiemensEdpDoor ', '');

--Versioning
INSERT INTO DPAD_WEB_MODULE ( ID, NAME, DESCRIPTION, VERSION, IS_ACTIVE ) VALUES( NULL, 'siemens-edp', '_DPAD_DBCONSTANT_WEBMODULE_SIEMENSEDP', '3.0.0', 1 );