--Module: SMS update

CREATE TABLE DPAD_SMSTOOL_CONFIGURATION ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1 );

--Adding SMS Communication Section
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_SMSTOOLCONF_TABLE', 'DPAD_SMSTOOL_CONFIGURATION', '_DPAD_DBCONSTANT_SMSCONFIG_SMSTOOLCONF_TABLE');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_SMSTOOLCOMMAND_SOCKET_FILE', '/tmp/dpad_variables/sockets/dpad_smstoolgateway.socket', '_DPAD_DBCONSTANT_SMSCONFIG_SMSTOOLCOMMAND_SOCKET_FILE');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_SMSTOOLLISTENERS_TIMEOUT', '30', '_DPAD_DBCONSTANT_SMSCONFIG_SMSTOOLLISTENERS_TIMEOUT');

CREATE VIEW DPAD_SMSTOOLGATEWAY_SMSCOMMANDS AS SELECT ID, REPLACE(MSP,'+','') AS MSP, OPTIONALP, COMMUNICATIONSECTION_ID FROM DPADD_OBJECT WHERE TYPE = 'SMARTPHONE';

--Modem GSM Object
INSERT INTO DPAD_WEB_PHPCLASS ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadSmsModemGsm', 'sms', 'dpadsmsmodemgsm.class.php', 'dpadCommunicationSection', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSMSMODEMGSM', 'ico_sms_modemgsm.png', '', '', '', '1', '0', '0' );
INSERT INTO DPADD_OBJECT_TYPES ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "SMS_MODEMGSM", "_DPAD_DBCONSTANT_TYPE_SMS_MODEMGSM", "dpadSmsModemGsm", "" );
--SmartPhone Object
INSERT INTO DPAD_WEB_PHPCLASS ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadSmsSmartPhone', 'sms', 'dpadsmssmartphone.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSMSSMARTPHONE', 'ico_sms_smartphone.png', '', '', '', '1', '0', '1' );
INSERT INTO DPADD_OBJECT_TYPES ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "SMARTPHONE", "_DPAD_DBCONSTANT_TYPE_SMS_SMARTPHONE", "dpadSmsSmartPhone", "SETVALUE" );
--Notify Sms Object
INSERT INTO DPAD_WEB_PHPCLASS ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadSmsNotify', 'sms', 'dpadsmsnotify.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSMSNOTIFY', 'ico_sms_notify.png', '', '', '', '1', '1', '0' );
INSERT INTO DPADD_OBJECT_TYPES ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "NOTIFY_SMS", "_DPAD_DBCONSTANT_TYPE_SMS_NOTIFYSMS", "dpadSmsNotify", "SENDSMS" );

--Rendering Modem GSM
-- $SMS_RENDERING_MODEMGMS$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_SMS_MODEMGSM', 1, '0', '1', '1', 'ico_sms_modegsm_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_SMS_MODEMGSM_MODE_OK",1=>"_DPAD_DBCONSTANT_RENDERING_SMS_MODEMGSM_MODE_ERROR"', '0=>"ico_sms_modegsm_ok.png",1=>"ico_sms_modemgsm_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadSmsModemGsm ', '');

INSERT INTO DPAD_WEB_MODULE ( ID, NAME, DESCRIPTION, VERSION, IS_ACTIVE ) VALUES( NULL, "sms", "_DPAD_DBCONSTANT_WEBMODULE_SMS", "3.0.0", 1 );