--Module: SYSTEM update_0.0.0_to_0.0.1.sql

CREATE TABLE DPAD_WEB_UPDATE_VARLIST( ID INTEGER PRIMARY KEY AUTOINCREMENT, VAR_NAME TEXT, VALUE TEXT );

CREATE TABLE DPADD_COMMUNICATION_SECTION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT UNIQUE, TYPE TEXT, DESCRIPTION TEXT);
CREATE TABLE DPADD_COMMUNICATION_TYPES( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT, DESCRIPTION TEXT);
CREATE TABLE DPADD_DATA_TYPES( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, DATATYPE TEXT, DESCRIPTION TEXT, ROAMING_HEADERS TEXT);
CREATE TABLE DPADD_OBJECT( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, DESCRIPTION TEXT, TYPE TEXT, MIN_VALUE TEXT, MAX_VALUE TEXT, CURRENT_VALUE TEXT, VALUES_TYPE TEXT, STATUS_ID INTEGER DEFAULT -1, RENDERING_ID INTEGER DEFAULT -1, IMAGE_PATH TEXT, IS_READABLE INTEGER DEFAULT 0, IS_WRITABLE INTEGER DEFAULT 0, IS_VISIBLE INTEGER DEFAULT 0, IS_STOPPABLE INTEGER DEFAULT 0, MSP TEXT, OPTIONALP TEXT, PHPCLASS TEXT, COMMUNICATIONSECTION_ID INTEGER DEFAULT -1);
CREATE TABLE DPADD_OBJECT_RELATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, PARENTOBJ_ID INTEGER, CHILDOBJ_ID INTEGER, RELATION_CONDITION TEXT, ACTION TEXT, ACTION_VALUE TEXT, ORDER_NUM INTEGER DEFAULT 1, ACCESS_MODE TEXT, CATEGORY_ID TEXT DEFAULT '', OPTIONAL TEXT, STOP_FLAG INTEGER DEFAULT 0, ENABLE_FLAG INTEGER DEFAULT 1);
CREATE TABLE DPADD_OBJECT_TYPES( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT, DESCRIPTION TEXT, PHPCLASS TEXT, ALLOWED_ACTIONS TEXT);
CREATE TABLE DPADD_REQUEST( ID INTEGER PRIMARY KEY AUTOINCREMENT, OBJECT_ID INTEGER DEFAULT -1,  TYPE TEXT, STATUS_ID INTEGER DEFAULT -1, EXPIREDATETIME INTEGER DEFAULT -1, SERVANT_PID INTEGER DEFAULT 0, PARAM_NUM INTEGER DEFAULT 0, PARAMETERS TEXT, OPTIONAL TEXT, CALLER_ID TEXT);
CREATE TABLE DPADD_RESPONSE( ID INTEGER PRIMARY KEY AUTOINCREMENT, REQUEST_ID INTEGER DEFAULT -1, OBJECT_ID INTEGER DEFAULT -1, TYPE TEXT, STATUS_ID INTEGER DEFAULT -1, ORDER_NUMBER INTEGER DEFAULT 0, PARAM_NUM INTEGER DEFAULT 0, PARAMETERS TEXT, OPTIONAL TEXT, CALLER_ID TEXT);
CREATE TABLE DPADD_STATES( ID INTEGER PRIMARY KEY AUTOINCREMENT, TIPOLOGY TEXT, NAME TEXT, DESCRIPTION TEXT);
CREATE TABLE DPAD_FSMCOREKEEPALIVE_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT UNIQUE, VALUE TEXT, DESCRIPTION TEXT);
CREATE TABLE DPAD_SQLITESWAPPER_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT UNIQUE, VALUE TEXT, DESCRIPTION TEXT);
CREATE TABLE DPAD_FSMCORETICKER_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT UNIQUE, VALUE TEXT, DESCRIPTION TEXT);
CREATE TABLE DPAD_FSM_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT UNIQUE, VALUE TEXT, DESCRIPTION TEXT);
CREATE TABLE DPAD_WEB_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT UNIQUE, LABEL TEXT, VALUE TEXT, TIPOLOGY TEXT, HAS_OPTIONS INTEGER DEFAULT 0, OPTIONS TEXT, DRAW_AS TEXT, ORDER_NUM INTEGER, OPTIONS_EXTERNAL_FUNCTION TEXT);
CREATE TABLE DPAD_WEB_TIPOLOGIES( ID INTEGER PRIMARY KEY AUTOINCREMENT, TIPOLOGY TEXT, NAME TEXT, DESCRIPTION TEXT, IMAGE_PATH TEXT);
CREATE TABLE DPAD_WEB_PHPCLASS( ID INTEGER PRIMARY KEY AUTOINCREMENT, CLASSNAME TEXT, MODULE TEXT, INCLUDE_PATH TEXT, PARENTCLASS TEXT, NAME TEXT, IMAGE_PATH TEXT, VIEWOBJPATH TEXT, EDITOBJPATH TEXT, DETAILSOBJPATH TEXT, IS_VISIBLE INTEGER DEFAULT 1);
CREATE TABLE DPAD_WEB_THEME( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, LABEL TEXT, PATH TEXT, ICON_WIDTH INT(6), ICON_HEIGHT INT(6), IMAGEPATH_PLANVIEW TEXT, IMAGEPATH_LISTVIEW TEXT, IMAGEPATH_GRIDVIEW TEXT, IMAGEPATH_MENUVIEW TEXT, IMAGEPATH_BLOCK TEXT, IMAGEPATH_NAVIGATOR TEXT);
CREATE TABLE DPAD_WEB_MENU( ID INTEGER PRIMARY KEY AUTOINCREMENT, OBJECT_ID INTEGER, CONTEXT TEXT, POSITION TEXT, ORDER_NUM INTEGER, USER_LEVEL INTEGER);
CREATE TABLE DPAD_WEB_MODULE( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, DESCRIPTION TEXT, VERSION TEXT,IS_ACTIVE INTEGER(1) DEFAULT 1, LICENSE TEXT);
CREATE INDEX RELETEDOBJECTSINX ON DPADD_OBJECT_RELATION( PARENTOBJ_ID, CHILDOBJ_ID, ORDER_NUM);
CREATE VIEW DPAD_WEB_NAVIGATOR_ITEMS AS SELECT DPADD_OBJECT.ID AS ID,DPADD_OBJECT.NAME AS NAME,DPADD_OBJECT.IMAGE_PATH AS IMAGE_PATH,DPADD_OBJECT.TYPE AS TYPE,DPADD_OBJECT.PHPCLASS AS PHPCLASS,DPADD_OBJECT.DESCRIPTION AS DESCRIPTION,DPADD_OBJECT.RENDERING_ID AS RENDERING_ID,DPADD_OBJECT.IS_VISIBLE AS IS_VISIBLE,DPADD_OBJECT.MSP AS MSP,DPADD_OBJECT_RELATION.PARENTOBJ_ID AS PARENT_ID FROM DPADD_OBJECT LEFT OUTER JOIN DPADD_OBJECT_RELATION ON DPADD_OBJECT_RELATION.CHILDOBJ_ID = DPADD_OBJECT.ID WHERE DPADD_OBJECT.TYPE IN ('GROUP','URL');
CREATE TABLE DPADD_PROCESS_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, PROCESS_NAME TEXT, PROCESS_DESCRIPTION TEXT, PROCESS_ORDER INTEGER DEFAULT -1, PROCESS_DELAYONSTARTUP INTEGER DEFAULT -1);
CREATE TABLE DPADD_RENDERING( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT, TIPOLOGY TEXT, NAME TEXT DEFAULT '', HAS_OPTIONS INTEGER(1) DEFAULT 0, MIN_STATE TEXT, MAX_STATE TEXT, STEP_STATE TEXT, IMAGE_PATH TEXT, OPTION_LABELS TEXT DEFAULT '', OPTION_IMAGES TEXT DEFAULT '', LISTVIEW_SCHEMA TEXT DEFAULT '', PLANVIEW_SCHEMA TEXT DEFAULT '', PLANVIEW_HSIZE INTEGER DEFAULT 1, PLANVIEW_VSIZE INTEGER DEFAULT 1, FORMATTING_SCHEMA TEXT DEFAULT '', PHPCLASSES TEXT, VALUES_TYPE TEXT);
CREATE TABLE DPAD_WEB_JSCRIPT(ID INTEGER PRIMARY KEY AUTOINCREMENT, JSNAME TEXT, MODULE TEXT, INCLUDE_PATH TEXT, DEPENDENCIES TEXT);
CREATE TABLE DPAD_WEB_OBJECT_CATEGORY( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT, DESCRIPTION TEXT, IMAGE_PATH TEXT );

INSERT INTO "DPADD_PROCESS_CONFIGURATION" (PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP) VALUES ('FSMCore', '_DPAD_DBCONSTANT_PROCESS_CONFIG_CORE', 1, 500);
INSERT INTO "DPADD_PROCESS_CONFIGURATION" (PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP) VALUES ('SQLiteSwapper', '_DPAD_DBCONSTANT_PROCESS_CONFIG_SWAPPER', -1, 2000);
INSERT INTO "DPADD_PROCESS_CONFIGURATION" (PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP) VALUES ('FSMCoreKeepAlive', '_DPAD_DBCONSTANT_PROCESS_CONFIG_KEEPALIVE', 5, 2100);
INSERT INTO "DPADD_PROCESS_CONFIGURATION" (PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP) VALUES ('FSMCoreTicker', '_DPAD_DBCONSTANT_PROCESS_CONFIG_TICKER', 6, 2300);

INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_FSMCOMMAND_SOCKET_FILE', '/tmp/dpad_fsmcore.socket', '_DPAD_DBCONSTANT_FSM_CONFIG_SOCKET_FSM');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_FSMCORE_SERVICE_TIMEOUT', '30', '_DPAD_DBCONSTANT_FSM_CONFIG_FSM_IDLE_TIMEOUT');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_FSMCHILD_TO_KILL_TIMEOUT', '30', '_DPAD_DBCONSTANT_FSM_CONFIG_SLEEP_SERVANT');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_FSMCOREKEEPALIVECONF_TABLE', 'DPAD_FSMCOREKEEPALIVE_CONFIGURATION', '_DPAD_DBCONSTANT_FSM_CONFIG_TABLE_KEEPALIVE_CONFIG');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_FSMCORETICKERCONF_TABLE', 'DPAD_FSMCORETICKER_CONFIGURATION', '_DPAD_DBCONSTANT_FSM_CONFIG_TABLE_TICKER_CONFIG');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_SQLITESWAPPERCONF_TABLE', 'DPAD_SQLITESWAPPER_CONFIGURATION', '_DPAD_DBCONSTANT_FSM_CONFIG_TABLE_SWAPPER_CONFIG');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_EIBCONF_TABLE', 'DPAD_EIB_CONFIGURATION', '_DPAD_DBCONSTANT_FSM_CONFIG_TABLE_EIB_CONFIG');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_EIBLISTENERS_TIMEOUT', '30', '_DPAD_DBCONSTANT_FSM_CONFIG_BUSLISTENER_IDLETIMEOUT');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_EIBCOMMAND_SOCKET_FILE', '/tmp/dpad_eibgateway.socket', '_DPAD_DBCONSTANT_FSM_CONFIG_SOCKET_EIB');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_EIBCOMMAND_INTERNET_PORT', '45200', '_DPAD_DBCONSTANT_FSM_CONFIG_EIB_COMMANDS_ENDPOINT');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_EIBNOTIFY_INTERNET_PORT', '45201', '_DPAD_DBCONSTANT_FSM_CONFIG_EIB_NOTIFY_ENDPOINT');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_EIBGROUPS_VIEW_NAME', 'DPAD_EIBGATEWAY_EIBGROUPS', '_DPAD_DBCONSTANT_FSM_CONFIG_EIB_VIEW_EIBGROUP');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_ECHOBUSCONF_TABLE', 'DPAD_ECHOBUS_CONFIGURATION', '_DPAD_DBCONSTANT_FSM_CONFIG_TABLE_ECHOBUS_CONFIG');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_ECHOBUSLISTENERS_TIMEOUT', '30', '_DPAD_DBCONSTANT_FSM_CONFIG_ECHOBUS_IDLE_TIMEOUT');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_ECHOBUSCOMMAND_SOCKET_FILE', '/tmp/dpad_echobusgateway.socket', '_DPAD_DBCONSTANT_FSM_CONFIG_SOCKET_ECHOBUS');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_ECHOBUSCOMMAND_INTERNET_PORT', '45202', '_DPAD_DBCONSTANT_FSM_CONFIG_ECHOBUS_COMMANDS_ENDPOINT');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_ECHOBUSNOTIFY_INTERNET_PORT', '45203', '_DPAD_DBCONSTANT_FSM_CONFIG_ECHOBUS_NOTIFY_ENDPOINT');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_MARTINCONF_TABLE', 'DPAD_MARTIN_CONFIGURATION', '_DPAD_DBCONSTANT_FSM_CONFIG_TABLE_MARTIN_CONFIG');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_MARTINLISTENERS_TIMEOUT', '30', '_DPAD_DBCONSTANT_FSM_CONFIG_MARTIN_IDLE_TIMEOUT');
INSERT INTO "DPAD_FSM_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_MARTINCOMMAND_SOCKET_FILE', '/tmp/dpad_martingateway.socket', '_DPAD_DBCONSTANT_FSM_CONFIG_SOCKET_MARTIN');

INSERT INTO "DPAD_FSMCOREKEEPALIVE_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_FSMCOREKEEPALIVE_TIMER', '60', '_DPAD_DBCONSTANT_FSM_CONFIG_KEEPALIVE_CYCLETIME');

INSERT INTO "DPAD_FSMCORETICKER_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_FSMCORETICKER_TIMER', '1', '_DPAD_DBCONSTANT_FSM_CONFIG_TICKER_CYCLETIME');

INSERT INTO "DPAD_SQLITESWAPPER_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_SQLITESWAPPER_TIMER', '300', '_DPAD_DBCONSTANT_FSM_CONFIG_SWAPPER_CYCLETIME');
INSERT INTO "DPAD_SQLITESWAPPER_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_SQLITESWAPPER_RAMDISK_FILE', '/tmp/DomusPad.db', '_DPAD_DBCONSTANT_FSM_CONFIG_SWAPPER_RAMDISK_TABLE');

--Objects
-- $SYSTEM_GROUP_ADMINISTRATION$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_ADMINISTRATION', '_DPAD_DBCONSTANT_GROUP_ADMINISTRATION', 'GROUP', NULL, NULL, NULL, NULL, -1, -1, 'internet-web-browser.png', 0, 0, 1, '../system/viewgrid.php', NULL, 'dpadGroup', NULL);
-- $SYSTEM_GROUP_INSTALLATION$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL , '_DPAD_DBCONSTANT_GROUP_INSTALLATION', '_DPAD_DBCONSTANT_GROUP_INSTALLATION', 'GROUP', NULL, NULL, NULL, NULL, -1, -1, 'media-floppy.png', 0, 0, 1, '../system/viewgrid.php', NULL, 'dpadGroup', NULL);
-- $SYSTEM_GROUP_CONFIGURATION$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_CONFIGURATION', '_DPAD_DBCONSTANT_GROUP_CONFIGURATION', 'GROUP', NULL, NULL, NULL, NULL, -1, -1, 'applications-accessories.png', 0, 0, 1, '../system/viewgrid.php', NULL, 'dpadGroup', NULL);
-- $SYSTEM_GROUP_PERSONALIZATION$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_PERSONALIZATION', '_DPAD_DBCONSTANT_GROUP_PERSONALIZATION', 'GROUP', NULL, NULL, '0', NULL, -1, -1, 'graphics-svg-editor.png', 0, 0, 1, '../system/viewgrid.php', NULL, 'dpadGroup', NULL);
-- $SYSTEM_URL_MANAGEMENT$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_MANAGEMENT', '_DPAD_DBCONSTANT_URL_MANAGEMENT', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'user-home.png', 0, 0, 1, '../system/index.php', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_OPTIONS$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_OPTIONS', '_DPAD_DBCONSTANT_URL_OPTIONS_DESCRIPTIONS', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'preferences-system.png', 0, 0, 1, '../system/config_settings.php?id={id}', NULL, 'dpadUrl', NULL);
-- $SYSTEM_GROUP_MAINTENANCE$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_MAINTENANCE', '_DPAD_DBCONSTANT_GROUP_MAINTENANCE', 'GROUP', NULL, NULL, NULL, NULL, -1, -1, 'applications-system.png', 0, 0, 1, '../system/viewgrid.php', NULL, 'dpadGroup', NULL);
-- $SYSTEM_GROUP_MAIN$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_MAIN', '_DPAD_DBCONSTANT_GROUP_MAIN', 'GROUP', NULL, NULL, NULL, NULL, -1, -1, 'user-home.png', 0, 0, 1, '../system/viewlist.php', NULL, 'dpadGroup', NULL);
-- $SYSTEM_URL_SEARCH$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_SEARCH', '_DPAD_DBCONSTANT_URL_SEARCH', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'system-search.png', 0, 0, 1, '../system/search.php?id={id}', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_NEW_OBJECT$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_NEW_OBJECT', '_DPAD_DBCONSTANT_URL_NEW_OBJECT', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'list-add.png', 0, 0, 1, '../system/newobject.php?id={id}', NULL, 'dpadUrl', NULL);
-- $SYSTEM_SYSCMD_SHUTDOWN_SYSTEM$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMD_SHUTDOWN_SYSTEM', '', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'system-log-out.png', 1, 1, 1, 'sudo /sbin/halt -p', NULL, 'dpadSysCmd', NULL);
-- $SYSTEM_SYSCMD_RESTART_SYSTEM$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMD_RESTART_SYSTEM', '', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'view-refresh.png', 1, 1, 1, 'sudo /sbin/reboot', NULL, 'dpadSysCmd', NULL);
-- $SYSTEM_URL_RESTART_COMMUNICATION$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_RESTART_COMMUNICATION', '_DPAD_DBCONSTANT_URL_RESTART_COMMUNICATION', 'URL', NULL, NULL, NULL, NULL, -1, 0, 'khelpcenter.png', 0, 0, 1, '../system/dpadaction.php?op=syscommand&cmd=/etc/rc.d/dpadd.sh restart', NULL, 'dpadUrl', NULL);
-- $SYSTEM_GROUP_NEW_DEVICES$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_NEW_DEVICES', '_DPAD_DBCONSTANT_GROUP_NEW_DEVICES', 'GROUP', NULL, NULL, NULL, NULL, -1, 0, 'folder.png', 0, 0, 1, '../system/viewlist.php', NULL, 'dpadGroup', NULL);

--Users
-- $SYSTEM_USER_DESCRIPTION_ADMIN$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'admin', '_DPAD_DBCONSTANT_USER_DESCRIPTION_ADMIN', 'USER', NULL, NULL, NULL, NULL, -1, 0, 'kdmconfig.png', 0, 0, '0', '{SHA}0DPiKuNIrrVmD8IUCuw1hQxNqZc=', NULL, 'dpadUser', NULL);
-- $SYSTEM_USER_DESCRIPTION_MANAGER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'manager', '_DPAD_DBCONSTANT_USER_DESCRIPTION_MANAGER', 'USER', NULL, NULL, NULL, NULL, -1, 0, 'kdmconfig.png', 0, 0, '0', '{SHA}GoVlqdxyBIugO0FWvj5WnyJ3HyM=', NULL, 'dpadUser', NULL);
-- $SYSTEM_USER_DESCRIPTION_USER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'user', '_DPAD_DBCONSTANT_USER_DESCRIPTION_USER', 'USER', NULL, NULL, NULL, NULL, -1, 0, 'kdmconfig.png', 0, 0, '0', '{SHA}Et6pb+wgWTVmq3VpLJlJWWgzrck=', 'trusted_ip=127.0.0.1', 'dpadUser', NULL);
--UserGroups
-- $SYSTEM_USERGROUP_ADMIN$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_USERGROUP_ADMIN', '_DPAD_DBCONSTANT_USERGROUP_DESCRIPTION_ADMIN', 'USERGROUP', NULL, NULL, NULL, NULL, -1, 0, 'kfouleggs.png', '0', '0', '0', NULL, NULL, 'dpadUserGroup', NULL);
-- $SYSTEM_USERGROUP_MANAGER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_USERGROUP_MANAGER', '_DPAD_DBCONSTANT_USERGROUP_DESCRIPTION_MANAGER', 'USERGROUP', NULL, NULL, NULL, NULL, -1, 0, 'kfouleggs.png', '0', '0', '0', NULL, NULL, 'dpadUserGroup', NULL);
-- $SYSTEM_USERGROUP_USER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_USERGROUP_USER', '_DPAD_DBCONSTANT_USERGROUP_DESCRIPTION_USER', 'USERGROUP', NULL, NULL, NULL, NULL, -1, 0, 'kfouleggs.png', '0', '0', '0', NULL, NULL, 'dpadUserGroup', NULL);
--Permissions
-- $SYSTEM_PERMISSIONS_CREATE_OBJECTS$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'create_objects', '_DPAD_DBCONSTANT_PERMISSIONS_CREATE_OBJECTS', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_CREATE_USERS$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'create_user', '_DPAD_DBCONSTANT_PERMISSIONS_CREATE_USERS', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_CREATE_USERGROUPS$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'create_usergroup', '_DPAD_DBCONSTANT_PERMISSIONS_CREATE_USERGROUPS', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_DELETE_OBJECTS$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'delete_objects', '_DPAD_DBCONSTANT_PERMISSIONS_DELETE_OBJECTS', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_EDIT_OBJECTS$ =INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'edit_objects', '_DPAD_DBCONSTANT_PERMISSIONS_EDIT_OBJECTS', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_EDIT_PLAN$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'edit_plan', '_DPAD_DBCONSTANT_PERMISSIONS_EDIT_PLAN', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_EDIT_SETTINGS$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'edit_settings', '_DPAD_DBCONSTANT_PERMISSIONS_EDIT_SETTINGS', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_EDIT_USER_ALL$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'edit_user_all', '_DPAD_DBCONSTANT_PERMISSIONS_EDIT_USER_ALL', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_EDIT_USER_SELF$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'edit_user_self', '_DPAD_DBCONSTANT_PERMISSIONS_EDIT_USER_SELF', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_VIEW_TOOLBAR$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_toolbar', '_DPAD_DBCONSTANT_PERMISSIONS_VIEW_TOOLBAR', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_VIEW_BLOCK_HEADER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_block_header', '_DPAD_DBCONSTANT_PERMISSIONS_VIEW_BLOCK_HEADER', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
--Links
-- $SYSTEM_URL_CHANGE_USER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_CHANGE_USER', '_DPAD_DBCONSTANT_URL_CHANGE_USER', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'kdmconfig.png', 0, 0, 1, '../system/user_login.php?mode=logout', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_EMPTY_CACHE$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_EMPTY_CACHE', '_DPAD_DBCONSTANT_URL_EMPTY_CACHE', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'user-trash.png', 0, 0, 1, '../system/dpadaction.php?op=clear_cache', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_NET_CONFIG$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_NET_CONFIG', '_DPAD_DBCONSTANT_URL_NET_CONFIG', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'network.png', 0, 0, 1, '../system/config_network.php?id={id}', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_DIAGNOSTICS$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_DIAGNOSTICS', '_DPAD_DBCONSTANT_URL_DIAGNOSTICS', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'virussafe.png', 0, 0, 1, '../system/diagnostic.php?id={id}', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_MODULE_CONFIG$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_MODULE_CONFIG', '_DPAD_DBCONSTANT_URL_MODULE_CONFIG', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'kdf.png', 0, 0, 1, '../system/config_modules.php?id={id}', NULL, 'dpadUrl', NULL);
-- $SYSTEM_GROUP_USERS_AND_GROUPUSERS$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_USERS_AND_GROUPUSERS', '_DPAD_DBCONSTANT_GROUP_USERS_AND_GROUPUSERS', 'GROUP', NULL, NULL, NULL, NULL, -1, -1, 'kdmconfig.png', 0, 0, 0, '../system/viewgrid.php', NULL, 'dpadGroup', NULL);
-- $SYSTEM_URL_NEW_USER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_NEW_USER', '_DPAD_DBCONSTANT_URL_NEW_USER', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'list-add.png', 0, 0, 1, '../system/editobject.php?mode=new&phpclass=dpadUser&context=configuration', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_LIST_USER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_LIST_USER', '_DPAD_DBCONSTANT_URL_LIST_USER', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'kdmconfig.png', 0, 0, 1, '../system/search.php?id=9&keywords=&parent_id=&is_visible=1&phpclass=dpadUser&submit=submit', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_NEW_USERGROUP$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_NEW_USERGROUP', '_DPAD_DBCONSTANT_URL_NEW_USERGROUP', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'list-add.png', 0, 0, 1, '../system/editobject.php?mode=new&phpclass=dpadUserGroup&context=configuration', NULL, 'dpadUrl', NULL);
-- $SYSTEM_URL_LIST_USERGROUP$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_LIST_USERGROUP', '_DPAD_DBCONSTANT_URL_LIST_USERGROUP', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'kfouleggs.png', 0, 0, 1, '../system/search.php?id=9&keywords=&parent_id=&is_visible=1&phpclass=dpadUserGroup&submit=submit', NULL, 'dpadUrl', NULL);

--Relations
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_ADMINISTRATION$', '$SYSTEM_GROUP_INSTALLATION$', 'NO-CONDITION', NULL, NULL, 0, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_ADMINISTRATION$', '$SYSTEM_GROUP_CONFIGURATION$', 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_ADMINISTRATION$', '$SYSTEM_GROUP_PERSONALIZATION$', 'NO-CONDITION', NULL, NULL, 2, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_ADMINISTRATION$', '$SYSTEM_URL_MANAGEMENT$', 'NO-CONDITION', NULL, NULL, 3, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_INSTALLATION$', '$SYSTEM_URL_NET_CONFIG$', 'NO-CONDITION', NULL, NULL, 0, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_INSTALLATION$', '$SYSTEM_URL_DIAGNOSTICS$', 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_INSTALLATION$', '$SYSTEM_GROUP_MAINTENANCE$', 'NO-CONDITION', NULL, NULL, 2, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_INSTALLATION$', '$SYSTEM_URL_MODULE_CONFIG$', 'NO-CONDITION', NULL, NULL, 3, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_CONFIGURATION$', '$SYSTEM_URL_OPTIONS$', 'NO-CONDITION', NULL, NULL, 0, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_CONFIGURATION$', '$SYSTEM_URL_SEARCH$', 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_CONFIGURATION$', '$SYSTEM_URL_NEW_OBJECT$', 'NO-CONDITION', NULL, NULL, 2, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_CONFIGURATION$', '$SYSTEM_URL_EMPTY_CACHE$', 'NO-CONDITION', NULL, NULL, 3, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_MAINTENANCE$', '$SYSTEM_SYSCMD_RESTART_SYSTEM$', 'NO-CONDITION', NULL, NULL, 0, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_MAINTENANCE$', '$SYSTEM_URL_RESTART_COMMUNICATION$', 'NO-CONDITION', NULL, NULL, 0, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_MAIN$', '$SYSTEM_GROUP_NEW_DEVICES$', 'NO-CONDITION', NULL, NULL, 0, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_PERSONALIZATION$', '$SYSTEM_GROUP_USERS_AND_GROUPUSERS$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_USERS_AND_GROUPUSERS$', '$SYSTEM_URL_NEW_USER$', 'NO-CONDITION', NULL, NULL, '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_USERS_AND_GROUPUSERS$', '$SYSTEM_URL_LIST_USER$', 'NO-CONDITION', NULL, NULL, '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_USERS_AND_GROUPUSERS$', '$SYSTEM_URL_NEW_USERGROUP$', 'NO-CONDITION', NULL, NULL, '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_GROUP_USERS_AND_GROUPUSERS$', '$SYSTEM_URL_LIST_USERGROUP$', 'NO-CONDITION', NULL, NULL, '0', NULL, NULL);

--UserGroup: Administrators
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_CREATE_OBJECTS$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_CREATE_USERS$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '1', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_CREATE_USERGROUPS$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '2', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_DELETE_OBJECTS$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '3', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_OBJECTS$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '4', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_PLAN$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '5', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_SETTINGS$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '6', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_USER_ALL$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '7', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_USER_SELF$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '8', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_VIEW_TOOLBAR$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '9', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_VIEW_BLOCK_HEADER$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '10', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_USERGROUP_ADMIN$', '$SYSTEM_USER_DESCRIPTION_ADMIN$', 'NO-CONDITION', NULL, NULL, '11', NULL, NULL);

--UserGroup: Managers
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_OBJECTS$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_PLAN$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '1', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_SETTINGS$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '2', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_USER_SELF$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '3', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_VIEW_TOOLBAR$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '4', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_VIEW_BLOCK_HEADER$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '5', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_USERGROUP_MANAGER$', '$SYSTEM_USER_DESCRIPTION_MANAGER$', 'NO-CONDITION', NULL, NULL, '6', NULL, NULL);

--UserGroup: Users
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_EDIT_USER_SELF$', '$SYSTEM_USERGROUP_USER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_USERGROUP_USER$', '$SYSTEM_USER_DESCRIPTION_USER$', 'NO-CONDITION', NULL, NULL, '0', NULL, NULL);

INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "SYSCMD", "_DPAD_DBCONSTANT_TYPE_SYSCMD", "dpadSysCmd", "RUN" );

INSERT INTO "DPAD_WEB_TIPOLOGIES" (ID, TIPOLOGY, NAME, DESCRIPTION, IMAGE_PATH) VALUES(NULL, 'theme', '_DPAD_DBCONSTANT_WEBTYPOLOGY_ASPECT_THEMES', '_DPAD_DBCONSTANT_WEBTYPOLOGY_ASPECT_THEMES', 'applications-graphics.png');
INSERT INTO "DPAD_WEB_TIPOLOGIES" (ID, TIPOLOGY, NAME, DESCRIPTION, IMAGE_PATH) VALUES(NULL, 'system', '_DPAD_DBCONSTANT_WEBTYPOLOGY_SYSTEM', '_DPAD_DBCONSTANT_WEBTYPOLOGY_SYSTEM_DESCRIPTION', 'applications-system.png');
INSERT INTO "DPAD_WEB_TIPOLOGIES" (ID, TIPOLOGY, NAME, DESCRIPTION, IMAGE_PATH) VALUES(NULL, 'tuning', '_DPAD_DBCONSTANT_WEBTYPOLOGY_PERFORMANCE', '_DPAD_DBCONSTANT_WEBTYPOLOGY_PERFORMANCE_DESCRIPTION', 'multimedia-volume-control.png');
INSERT INTO "DPAD_WEB_TIPOLOGIES" (ID, TIPOLOGY, NAME, DESCRIPTION, IMAGE_PATH) VALUES(NULL, 'communication', '_DPAD_DBCONSTANT_WEBTYPOLOGY_COMMUNICATION', '_DPAD_DBCONSTANT_WEBTYPOLOGY_COMMUNICATION_DESCRIPTION', 'internet-group-chat.png');

INSERT INTO "DPAD_WEB_OBJECT_CATEGORY" ( ID, TYPE, DESCRIPTION, IMAGE_PATH ) VALUES (NULL,'_DPAD_DBCONSTANT_WEBCATEGORY_LIGHT','_DPAD_DBCONSTANT_WEBCATEGORY_LIGHT_DESCRIPTION', 'light_on.png');
INSERT INTO "DPAD_WEB_OBJECT_CATEGORY" ( ID, TYPE, DESCRIPTION, IMAGE_PATH ) VALUES (NULL,'_DPAD_DBCONSTANT_WEBCATEGORY_CLIMATE','_DPAD_DBCONSTANT_WEBCATEGORY_CLIMATE_DESCRIPTION', 'temperature.png');
INSERT INTO "DPAD_WEB_OBJECT_CATEGORY" ( ID, TYPE, DESCRIPTION, IMAGE_PATH ) VALUES (NULL,'_DPAD_DBCONSTANT_WEBCATEGORY_ROLLINGSHUTTER','_DPAD_DBCONSTANT_WEBCATEGORY_ROLLINGSHUTTER_DESCRIPTION', 'tapparelle_down.gif');
INSERT INTO "DPAD_WEB_OBJECT_CATEGORY" ( ID, TYPE, DESCRIPTION, IMAGE_PATH ) VALUES (NULL,'_DPAD_DBCONSTANT_WEBCATEGORY_SCENARIO','_DPAD_DBCONSTANT_WEBCATEGORY_SCENARIO_DESCRIPTION', 'emblem-pictures.png');
INSERT INTO "DPAD_WEB_OBJECT_CATEGORY" ( ID, TYPE, DESCRIPTION, IMAGE_PATH ) VALUES (NULL,'_DPAD_DBCONSTANT_WEBCATEGORY_SECURITY','_DPAD_DBCONSTANT_WEBCATEGORY_SECURITY_DESCRIPTION', 'emblem-readonly.png');

INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadDbClient', 'system', 'general/dpaddbclient.class.php', '', 'DB Client', '', '', '', '', '0');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadObject', 'system', 'general/dpadobject.class.php', '', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADOBJECT', 'applications-other.png', '', '', '../supervision/viewobjectdetails.php', '0');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadRendering', 'system', 'general/dpadrendering.class.php', '', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADRENDERING', '', '', '', '', '0');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadRenderingOption', 'system', 'general/dpadrenderingoption.class.php', '', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADOPTIONRENDERING', '', '', '', '', '0');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadGroup', 'system', 'general/dpadgroup.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADGROUP', 'folder.png', '', '', '../supervision/viewobjectdetails.php', '1');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadUrl', 'system', 'general/dpadurl.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADURL', 'applications-internet.png', '', '', '../supervision/viewobjectdetails.php', '1');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadBlock', 'system', 'general/dpadblock.class.php', '', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADBLOCK', '', '', '', '', '0');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadSysCmd', 'system', 'general/dpadsyscmd.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSYSCMD', 'applications-system.png', '', '', '../supervision/viewobjectdetails.php', '0');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadSysCmdWait', 'system', 'general/dpadsyscmdwait.class.php', 'dpadSysCmd', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADSYSCMDWAIT', 'smserver.png', '', '', '../supervision/viewobjectdetails.php', '1');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadUser', 'system', 'general/dpaduser.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADUSER', 'kdmconfig.png', '', '', '../supervision/viewobjectdetails.php', '1');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadUserGroup', 'system', 'general/dpadusergroup.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADUSERGROUP', 'kfouleggs.png', '', '', '../supervision/viewobjectdetails.php', '1');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadUserPermission', 'system', 'general/dpaduserpermission.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADUSERPERMISSION', 'ksirtet.png', '', '', '../supervision/viewobjectdetails.php', '0');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES(NULL, 'dpadLicense', 'system', 'general/dpadlicense.class.php', '', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADLICENSE', '', '', '', '', '0');

INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'debug_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_DEBUG_ENABLE', '0', 'system', 0, '', 'yesno', 2,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'autorefresh_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_AUTOREFRESH_ENABLE', '0', 'theme', 0, '"0"=>"_DPAD_DBCONSTANT_GENERAL_NO","1"=>"_DPAD_DBCONSTANT_GENERAL_YES"', 'select', 11,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'autorefresh_timer', '_DPAD_DBCONSTANT_WEBCONFIGURATION_AUTOREFRESH_TIMER', '10000', 'theme', 0, '', 'textbox', 12,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'current_language', '_DPAD_DBCONSTANT_WEBCONFIGURATION_CURRENT_LANGUAGE', 'italian', 'system', 1, '"italian"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_ITALIAN","french"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_FRENCH"', 'select', 1,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'viewplan_toolbar_show', '_DPAD_DBCONSTANT_WEBCONFIGURATION_VIEWPLAN_TOOLBAR', '1', 'theme', 0, '', 'yesno', 12,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'viewlist_toolbar_show', '_DPAD_DBCONSTANT_WEBCONFIGURATION_VIEWLIST_TOOLBAR', '1', 'theme', 0, '', 'yesno', 13,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'viewgrid_toolbar_show', '_DPAD_DBCONSTANT_WEBCONFIGURATION_VIEWGRID_TOOLBAR', '1', 'theme', 0, '', 'yesno', 14,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'current_theme', '_DPAD_DBCONSTANT_WEBCONFIGURATION_CURRENT_THEME', 'smartdomuspad', 'theme', 1, '"smartdomuspad"=>"DomusPAD predefinito"', 'select', 1,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'theme_show_leftmenu', '_DPAD_DBCONSTANT_WEBCONFIGURATION_THEME_SHOW_LEFT_MENU', '1', 'theme', 0, NULL, 'yesno', 2,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'theme_show_topmenu', '_DPAD_DBCONSTANT_WEBCONFIGURATION_THEME_SHOW_TOP_MENU', '1', 'theme', 0, '', 'yesno', 3,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'homepage', '_DPAD_DBCONSTANT_WEBCONFIGURATION_HOMEPAGE', '../system/viewlist.php?id=8', 'system', 0, '', 'textbox', 1,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'list_elements_num', '_DPAD_DBCONSTANT_WEBCONFIGURATION_LIST_ELEMENT_NUM', '20', 'system', 0, '', 'textbox', 2,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'palette_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_PALETTE_ENABLE', '1', 'theme', 0, '', 'yesno', 4,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'planview_icon_width', '_DPAD_DBCONSTANT_WEBCONFIGURATION_PLANVIEW_WIDTH', '48', 'theme', 0, '', 'textbox', 5,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'planview_icon_height', '_DPAD_DBCONSTANT_WEBCONFIGURATION_PLANVIEW_HEIGHT', '48', 'theme', 0, '', 'textbox', 6,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'listview_icon_width', '_DPAD_DBCONSTANT_WEBCONFIGURATION_LISTVIEW_WIDTH', '32', 'theme', 0, '', 'textbox', 7,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'listview_icon_height', '_DPAD_DBCONSTANT_WEBCONFIGURATION_LISTVIEW_HEIGHT', '32', 'theme', 0, '', 'textbox', 8,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'gridview_icon_width', '_DPAD_DBCONSTANT_WEBCONFIGURATION_GRIDVIEW_WIDTH', '128', 'theme', 0, '', 'textbox', 9,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'gridview_icon_height', '_DPAD_DBCONSTANT_WEBCONFIGURATION_GRIDVIEW_HEIGHT', '128', 'theme', 0, '', 'textbox', 10,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'logo_relative_path', '_DPAD_DBCONSTANT_WEBCONFIGURATION_LOGO_PATH', 'theme/direxion_logo.png', 'theme', 0, '', 'textbox', 12,NULL);

INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'LibCrossBrowser.js', 'system', '../../script/lib/LibCrossBrowser.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'EventHandler.js', 'system', '../../script/lib/EventHandler.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'soapclient.js', 'system', '../../script/lib/soapclient.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'printf.js', 'system', '../../script/lib/printf.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadFunctions.js', 'system', '../../script/lib/jsDpadFunctions.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingElement.class.js', 'system', '../../script/components/element/jsDpadRenderingElement.class.js', 'LibCrossBrowser.js|EventHandler.js|soapclient.js|printf.js|jsDpadFunctions.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingImage.class.js', 'system', '../../script/components/image/jsDpadRenderingImage.class.js', 'jsDpadRenderingElement.class.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingToggle.class.js', 'system', '../../script/components/toggle/jsDpadRenderingToggle.class.js', 'jsDpadRenderingImage.class.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingLabel.class.js', 'system', '../../script/components/label/jsDpadRenderingLabel.class.js', 'jsDpadRenderingElement.class.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingSlider.class.js', 'system', '../../script/components/slider/jsDpadRenderingSlider.class.js', 'jsDpadRenderingElement.class.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingTextbox.class.js', 'system', '../../script/components/textbox/jsDpadRenderingTextbox.class.js', 'jsDpadRenderingElement.class.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingImagelist.class.js', 'system', '../../script/components/imagelist/jsDpadRenderingImagelist.class.js', 'jsDpadRenderingToggle.class.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'Bs_ScrollableDiv.class.js', 'system', '../../script/components/scrollablediv/Bs_ScrollableDiv.class.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingScaling.class.js', 'system', '../../script/components/scaling/jsDpadRenderingScaling.class.js', 'jsDpadRenderingElement.class.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingIncrease.class.js', 'system', '../../script/components/scaling/jsDpadRenderingIncrease.class.js', 'jsDpadRenderingScaling.class.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingDecrease.class.js', 'system', '../../script/components/scaling/jsDpadRenderingDecrease.class.js', 'jsDpadRenderingScaling.class.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadRenderingToggleextended.class.js', 'system', '../../script/components/toggle/jsDpadRenderingToggleextended.class.js', 'jsDpadRenderingToggle.class.js');

-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_GROUP_ADMINISTRATION$, 'configuration', 'top', 0, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_GROUP_INSTALLATION$, 'configuration', 'top', 1, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_GROUP_CONFIGURATION$, 'configuration', 'top', 2, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_GROUP_PERSONALIZATION$, 'configuration', 'top', 3, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_URL_MANAGEMENT$, 'configuration', 'top', 4, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_URL_CHANGE_USER$, 'configuration', 'top', 10, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_URL_OPTIONS$, 'configuration', 'left', 0, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_URL_SEARCH$, 'configuration', 'left', 1, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_URL_NEW_OBJECT$, 'configuration', 'left', 2, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_GROUP_ADMINISTRATION$, 'runtime', 'top', 0, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_URL_MANAGEMENT$, 'runtime', 'top', 1, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_URL_SEARCH$, 'runtime', 'top', 2, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_URL_CHANGE_USER$, 'runtime', 'top', 10, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_GROUP_MAIN$, 'runtime', 'left', 0, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES(NULL, $SYSTEM_URL_CHANGE_USER$, 'outside', 'top', 0, NULL);

INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION, IS_ACTIVE ) VALUES(NULL,"system","_DPAD_DBCONSTANT_WEBMODULE_SYSTEM", "0.0.1", 1);
