--Module: SYSTEM update_0.0.4_to_0.0.5.sql
CREATE TABLE DPAD_LOG( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT DEFAULT 'NO-TYPE', LEVEL TEXT DEFAULT 'INFO', MESSAGE TEXT DEFAULT 'NO-MESSAGE', POST_TIMESTAMP TEXT DEFAULT '0', POSTER TEXT DEFAULT 'NO-POSTER', POSTER_TYPE TEXT DEFAULT 'NO-POSTER_TYPE', IS_HANDLED INTEGER DEFAULT 0, HANDLED_TIMESTAMP TEXT DEFAULT '0', HANDLED_BY TEXT DEFAULT 'NO-USER' );

--Fixing settings
UPDATE "DPAD_WEB_CONFIGURATION" SET DRAW_AS='textbox' WHERE NAME='dpadd_restart_script';
UPDATE "DPAD_WEB_CONFIGURATION" SET VALUE='3' WHERE NAME='autorefresh_timer';

UPDATE DPAD_WEB_CONFIGURATION SET OPTIONS = '"french"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_FRENCH","german"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_GERMAN","italian"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_LANGUAGE_ITALIAN"' WHERE NAME = 'current_language';

--Deleting Url to restart dpad service
DELETE FROM DPADD_OBJECT WHERE ID = 13;
DELETE FROM DPADD_OBJECT_RELATION WHERE CHILDOBJ_ID = 13;

--Adding links for navigation and enqueuing to top menu
-- $SYSTEM_WIZARD_BUTTON_PREV$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_GENERAL_WIZARD_BUTTON_PREV', '_DPAD_GENERAL_WIZARD_BUTTON_NEXT', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'go-previous.png', 0, 0, 0, 'javascript:history.back()', NULL, 'dpadUrl', NULL);
-- $SYSTEM_WIZARD_BUTTON_NEXT$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_GENERAL_WIZARD_BUTTON_NEXT', '_DPAD_GENERAL_WIZARD_BUTTON_NEXT', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'go-next.png', 0, 0, 0, 'javascript:history.forward()', NULL, 'dpadUrl', NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES( NULL, $SYSTEM_WIZARD_BUTTON_PREV$, 'runtime', 'top', -2, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES( NULL, $SYSTEM_WIZARD_BUTTON_NEXT$, 'runtime', 'top', -1, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES( NULL, $SYSTEM_WIZARD_BUTTON_PREV$, 'configuration', 'top', -2, NULL);
-- INSERT INTO "DPAD_WEB_MENU" ( ID, OBJECT_ID, CONTEXT, POSITION, ORDER_NUM, USER_LEVEL ) VALUES( NULL, $SYSTEM_WIZARD_BUTTON_NEXT$, 'configuration', 'top', -1, NULL);

--Deleting  web_tipologies empty
-- DELETE FROM DPAD_WEB_TIPOLOGIES WHERE ID IN ( $SYSTEM_GROUP_CONFIGURATION$, $SYSTEM_GROUP_PERSONALIZATION$ );

--Updating php classes properties
UPDATE DPAD_WEB_PHPCLASS SET VIEWOBJPATH = '../system/editobject.php';

--Link to View Log
-- $SYSTEM_URL_VIEWLOG$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_VIEWLOG', '_DPAD_DBCONSTANT_URL_VIEWLOG', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'edit-select-all.png', 0, 0, 0, '../system/viewlog.php', NULL, 'dpadUrl', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_CONFIGURATION$, $SYSTEM_URL_VIEWLOG$, 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);

--Log Permissions
-- $SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALL$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_log_msg_type_all', '_DPAD_DBCONSTANT_PERMISSIONS_LOG_MSG_TYPE_ALL', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALERT$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_log_msg_type_alert', '_DPAD_DBCONSTANT_PERMISSIONS_LOG_MSG_TYPE_ALERT', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_LOG_MSG_TYPE_FATAL$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_log_msg_type_fatal', '_DPAD_DBCONSTANT_PERMISSIONS_LOG_MSG_TYPE_FATAL', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ERROR$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_log_msg_type_error', '_DPAD_DBCONSTANT_PERMISSIONS_LOG_MSG_TYPE_ERROR', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_LOG_MSG_TYPE_WARNING$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_log_msg_type_warning', '_DPAD_DBCONSTANT_PERMISSIONS_LOG_MSG_TYPE_WARNING', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_LOG_MSG_TYPE_INFO$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_log_msg_type_info', '_DPAD_DBCONSTANT_PERMISSIONS_LOG_MSG_TYPE_INFO', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- $SYSTEM_PERMISSIONS_LOG_MSG_TYPE_DEBUG$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'view_log_msg_type_debug', '_DPAD_DBCONSTANT_PERMISSIONS_LOG_MSG_TYPE_DEBUG', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'permission.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);

--UserGroup: Administrators
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALL$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALERT$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_FATAL$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ERROR$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_WARNING$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_INFO$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_DEBUG$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
--UserGroup: Managers
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALERT$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_FATAL$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ERROR$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_WARNING$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
--UserGroup: Users
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ALERT$', '$SYSTEM_USERGROUP_USER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_FATAL$', '$SYSTEM_USERGROUP_USER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_ERROR$', '$SYSTEM_USERGROUP_USER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_LOG_MSG_TYPE_WARNING$', '$SYSTEM_USERGROUP_USER$', 'NO-CONDITION', NULL, '1', '0', NULL, NULL);

--DpadTriggerUpdate Class
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT) VALUES ( NULL, 'dpadTriggerObject', 'system', 'general/dpadtriggerobject.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTRIGGEROBJECT', 'atomic.png', '', '', '../supervision/viewobjectdetails.php', '1', '1', '1');
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "TRIGGER_OBJECT", "_DPAD_DBCONSTANT_TYPE_TRIGGEROBJECT", "dpadTriggerObject", "TRIGGER_OBJECT" );

--Trigger Rendering
-- $SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER_RENDERING_ID$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TRIGGER_MESSAGECOUNTER', 1, '0', '100000', '1', 'mail.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TRIGGER_MESSAGECOUNTER_NOMESSAGES",1=>"_DPAD_DBCONSTANT_RENDERING_TRIGGER_MESSAGECOUNTER_MESSAGES",10000=>"_DPAD_DBCONSTANT_RENDERING_TRIGGER_MESSAGECOUNTER_MESSAGES"', '0=>"mail.png",1=>"mail_hilighted.png",10000=>"mail_hilighted.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadTriggerObject');

--Web Configration: Themes
UPDATE DPAD_WEB_CONFIGURATION SET OPTIONS='"smartdomuspad"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_CURRENT_THEME_DOMUSPAD_800x600","smartdomuspad_1024"=>"_DPAD_DBCONSTANT_WEBCONFIGURATION_CURRENT_THEME_DOMUSPAD_1024x1280"' WHERE NAME = 'current_theme';

--Web Configration: Autorefresh
UPDATE DPAD_WEB_CONFIGURATION SET DRAW_AS='yesno' WHERE NAME='autorefresh_enable';

--Trigger Object: Notify Counter
-- $SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_TRIGGEROBJECT_NOTIFYCOUNTER', '_DPAD_DBCONSTANT_TRIGGEROBJECT_NOTIFYCOUNTER_DESCRIPTION', 'TRIGGER_OBJECT', '3', NULL, NULL, NULL, -1, $SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER_RENDERING_ID$, '', 0, 1, 1, '../supervision/viewlastmessage.php', NULL, 'dpadTriggerObject', NULL);
-- CREATE TRIGGER TR_$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$_0 AFTER DELETE ON DPAD_LOG BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = (SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE LIKE "NOTIFY%" AND IS_HANDLED='0') WHERE ID = $SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$; END;
-- CREATE TRIGGER TR_$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$_1 AFTER INSERT ON DPAD_LOG BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = (SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE LIKE "NOTIFY%" AND IS_HANDLED='0') WHERE ID = $SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$; END;
-- CREATE TRIGGER TR_$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$_2 AFTER UPDATE ON DPAD_LOG BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = (SELECT COUNT(ID) FROM DPAD_LOG WHERE TYPE LIKE "NOTIFY%" AND IS_HANDLED='0') WHERE ID = $SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$; END;

--Swapped DB
UPDATE DPAD_SQLITESWAPPER_CONFIGURATION SET VALUE='/tmp/dpad_variables/db/DomusPad.db' WHERE NAME='DPAD_SQLITESWAPPER_RAMDISK_FILE';
INSERT INTO "DPAD_SQLITESWAPPER_CONFIGURATION" (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_SQLITESWAPPER_SOCKET_FILE', '/tmp/dpad_variables/sockets/dpad_sqliteswapper.socket', '_DPAD_DBCONSTANT_FSM_CONFIG_SOCKET_SWAPPER');

--Update Absolute Path for sockets
UPDATE DPAD_FSM_CONFIGURATION SET VALUE='/tmp/dpad_variables/sockets/dpad_fsmcore.socket' WHERE NAME='DPAD_FSMCOMMAND_SOCKET_FILE';
UPDATE DPAD_FSM_CONFIGURATION SET VALUE='/tmp/dpad_variables/sockets/dpad_eibgateway.socket' WHERE NAME='DPAD_EIBCOMMAND_SOCKET_FILE';
UPDATE DPAD_FSM_CONFIGURATION SET VALUE='/tmp/dpad_variables/sockets/dpad_echobusgateway.socket' WHERE NAME='DPAD_ECHOBUSCOMMAND_SOCKET_FILE';
UPDATE DPAD_FSM_CONFIGURATION SET VALUE='/tmp/dpad_variables/sockets/dpad_martingateway.socket' WHERE NAME='DPAD_MARTINCOMMAND_SOCKET_FILE';

--Web configuration: block icons height&width
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'block_icon_width', '_DPAD_DBCONSTANT_WEBCONFIGURATION_BLOCK_ICON_WIDTH', '23', 'theme', 0, '', 'textbox', 10,NULL);
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'block_icon_height', '_DPAD_DBCONSTANT_WEBCONFIGURATION_BLOCK_ICON_HEIGHT', '23', 'theme', 0, '', 'textbox', 10,NULL);

--Init Autorefresh
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='1' WHERE NAME='autorefresh_enable';
UPDATE DPAD_WEB_CONFIGURATION SET VALUE='1' WHERE NAME='autorefresh_timer';

--Creating default SysCmdWait Objects
INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, IS_BOOLEAN) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_1_SEC', '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_1_SEC', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'clock1.png', 0, 0, 1, 'sleep 1', NULL, 'dpadSysCmdWait', NULL, NULL);
INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, IS_BOOLEAN) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_10_SEC', '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_10_SEC', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'clock1.png', 0, 0, 1, 'sleep 10', NULL, 'dpadSysCmdWait', NULL, NULL);
INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, IS_BOOLEAN) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_15_SEC', '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_15_SEC', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'clock1.png', 0, 0, 1, 'sleep 15', NULL, 'dpadSysCmdWait', NULL, NULL);
INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, IS_BOOLEAN) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_20_SEC', '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_20_SEC', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'clock1.png', 0, 0, 1, 'sleep 20', NULL, 'dpadSysCmdWait', NULL, NULL);
INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, IS_BOOLEAN) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_1_MIN', '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_1_MIN', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'clock1.png', 0, 0, 1, 'sleep 60', NULL, 'dpadSysCmdWait', NULL, NULL);
INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, IS_BOOLEAN) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_1_HOUR', '_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_1_HOUR', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'clock1.png', 0, 0, 1, 'sleep 3600', NULL, 'dpadSysCmdWait', NULL, NULL);

--Link to Config Screensaver
-- $SYSTEM_URL_CONFIG_SCREENSAVER$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_CONFIG_SCREENSAVER', '_DPAD_DBCONSTANT_URL_CONFIG_SCREENSAVER', 'URL', NULL, NULL, NULL, NULL, -1, -1, 'screensaver.png', 0, 0, 0, '../system/config_screensaver.php?id={id}', NULL, 'dpadUrl', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_CONFIGURATION$, $SYSTEM_URL_CONFIG_SCREENSAVER$, 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);

--Syscmd to restart X
-- $SYSTEM_SYSCMD_RESTART_X$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_SYSCMD_RESTART_X', '_DPAD_DBCONSTANT_SYSCMD_RESTART_X', 'SYSCMD', NULL, NULL, NULL, NULL, -1, -1, 'paint.png', 0, 0, 0, 'sudo /usr/local/bin/dpadxrestart.sh &', NULL, 'dpadSysCmd', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, $SYSTEM_GROUP_INSTALLATION$, $SYSTEM_SYSCMD_RESTART_X$, 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "0.0.5" WHERE NAME = "system";

