--Module: SYSTEM update_2.3.2_to_2.4.0.sql

--Clearing rendering table deleting useless columns
ALTER TABLE DPADD_RENDERING RENAME TO DPADD_RENDERING_OLD;
CREATE TABLE DPADD_RENDERING ( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT, TIPOLOGY TEXT, NAME TEXT DEFAULT '', HAS_OPTIONS INTEGER(1) DEFAULT 0, MIN_STATE TEXT, MAX_STATE TEXT, STEP_STATE TEXT, IMAGE_PATH TEXT, OPTION_LABELS TEXT DEFAULT '', OPTION_IMAGES TEXT DEFAULT '', OPTION_SYMBOLS TEXT DEFAULT '', FORMATTING_SCHEMA TEXT DEFAULT '', PHPCLASSES TEXT, VALUES_TYPE TEXT, IS_VISIBLE INTEGER DEFAULT 1, OWNED_BY STRING DEFAULT 'LOCAL');
INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,VALUES_TYPE,PHPCLASSES,IS_VISIBLE,OWNED_BY) SELECT ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,FORMATTING_SCHEMA,VALUES_TYPE,PHPCLASSES,IS_VISIBLE,OWNED_BY FROM DPADD_RENDERING_OLD;
DROP TABLE DPADD_RENDERING_OLD;

--Creating Dpadd Rendering Prototype Table
CREATE TABLE DPADD_RENDERING_PROTOTYPE ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, THEME TEXT, PROTOTYPE TEXT );
CREATE TABLE DPADD_RENDERING_VIEW_PROTOTYPE ( ID INTEGER PRIMARY KEY AUTOINCREMENT, RENDERING_ID INTEGER, VIEW TEXT, PROTOTYPE_ID INTEGER );

UPDATE DPADD_OBJECT SET OWNED_BY='LOCAL' WHERE TYPE='USER' AND NAME!='system';
UPDATE DPADD_OBJECT SET OWNED_BY='LOCAL' WHERE TYPE='USERGROUP' AND NAME!='_DPAD_DBCONSTANT_USERGROUP_SYSTEM';

-- $SYSTEM_PERMISSIONS_TOOLBAR_ADD2USERGROUP$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, 'toolbar_add2usergroup', '_DPAD_DBCONSTANT_PERMISSIONS_TOOLBAR_ADD2USERGROUP', 'USERPERMISSION', NULL, NULL, NULL, NULL, -1, 0, 'ksirtet.png', '0', '0', '0', NULL, NULL, 'dpadUserPermission', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_TOOLBAR_ADD2USERGROUP$', '$SYSTEM_USERGROUP_ADMIN$', 'NO-CONDITION', NULL, '1', '2', NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES(NULL, '$SYSTEM_PERMISSIONS_TOOLBAR_ADD2USERGROUP$', '$SYSTEM_USERGROUP_MANAGER$', 'NO-CONDITION', NULL, '1', '2', NULL, NULL);

ALTER TABLE DPADD_OBJECT ADD AUTOMATIC_REFRESH_FLAG INTEGER DEFAULT 0; 
INSERT INTO DPAD_FSM_CONFIGURATION ( ID , NAME , VALUE , DESCRIPTION ) VALUES ( NULL , 'DPAD_FSMCORE_SELECTEDOBJECTS_REFRESH_TIMER', '60', 'Cycle time of automatic refresh object''s task' );

INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES( NULL, 'custom_versioning_show_only', '_DPAD_DBCONSTANT_WEBCONFIGURATION_SYSTEM_CUSTOM_VERSIONING_SHOW_ONLY', '0', 'hidden', 0, NULL, 'yesno', 2,NULL);

ALTER TABLE DPAD_WEB_JSCRIPT ADD COLUMN MODULE_TYPE TEXT DEFAULT 'module';
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadUpdate.js', 'system', '../system/script/lib/jsDpadUpdate.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadBlock.js', 'system', '../system/script/lib/jsDpadBlock.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadDrawHtml.js', 'system', '../system/script/lib/jsDpadDrawHtml.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadInstanceManager.js', 'system', '../system/script/lib/jsDpadInstanceManager.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadNavigatorManager.js', 'system', '../system/script/lib/jsDpadNavigatorManager.js', 'jsDpadInstanceManager.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadDbManager.js', 'system', '../system/script/lib/jsDpadDbManager.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadResourcesManager.js', 'system', '../system/script/lib/jsDpadResourcesManager.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jsDpadObjManager.js', 'system', '../system/script/lib/jsDpadObjManager.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.min.js', 'system', '../system/script/lib/jquery/1.4.2/jquery.min.js', '');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.log.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.log.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.sprintf.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.sprintf.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.soapclient.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.soapclient.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.checkbox.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.checkbox.min.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.overscroll.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.overscroll.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.overscrollIphone.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.overscrollIphone.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.scrollTo.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.scrollTo-min.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.serialScroll.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.serialScroll-min.js', 'jquery.scrollTo.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.disableTextSelect.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.disableTextSelect.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.gesture.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.gesture.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.flash.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.flash.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.selectboxes.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.selectboxes.min.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.jplayer.min.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.jplayer.min.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.encoding.sha1.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.encoding.sha1.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.base64.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.base64.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.phppack.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.phppack.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.form.js', 'system', '../system/script/lib/jquery/1.4.2/plugin/jquery.form.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.core.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.core.min.js', 'jquery.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.widget.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.widget.min.js', 'jquery.ui.core.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.mouse.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.mouse.min.js', 'jquery.ui.widget.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.draggable.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.draggable.min.js', 'jquery.ui.mouse.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.droppable.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.droppable.min.js', 'jquery.ui.draggable.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.sortable.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.sortable.min.js', 'jquery.ui.mouse.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.progressbar.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.progressbar.min.js', 'jquery.ui.widget.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.position.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.position.min.js', 'jquery.ui.core.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.button.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.button.min.js', 'jquery.ui.widget.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.resizable.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.resizable.min.js', 'jquery.ui.mouse.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.dialog.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.dialog.min.js', 'jquery.ui.button.min.js|jquery.ui.resizable.min.js|jquery.ui.position.min.js|jquery.ui.draggable.min.js');
INSERT INTO "DPAD_WEB_JSCRIPT" ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES ) VALUES( NULL, 'jquery.ui.slider.min.js', 'system', '../system/script/lib/jquery/UI-1.8.2/jquery.ui.slider.min.js', 'jquery.ui.mouse.min.js');

--Creating Update Table
CREATE TABLE DPAD_WEB_UPDATE_TABLE ( ID INTEGER PRIMARY KEY AUTOINCREMENT, MODULE_LABEL TEXT DEFAULT '', MODULE_DESCRIPTION TEXT DEFAULT '', MODULE_TYPE TEXT DEFAULT '', MODULE_MD5 TEXT DEFAULT '', MODULE_SIZE INTEGER DEFAULT 0, MODULE_FILENAME TEXT DEFAULT '', MODULE_GET_URL TEXT DEFAULT '',MODULE_GET_USERNAME TEXT DEFAULT '', MODULE_GET_PASSWORD TEXT DEFAULT '', UPDATE_STATUS TEXT DEFAULT 'PENDING', TIMESTAMP INTEGER DEFAULT 0 );

--Creating Table to Register Instances to load at startup
CREATE TABLE DPAD_WEB_REGISTER_INSTANCES ( ID INTEGER PRIMARY KEY AUTOINCREMENT, URL TEXT DEFAULT '', NAME TEXT DEFAULT '', DESCRIPTION TEXT DEFAULT '', ENABLE_PRECACHE INTEGER DEFAULT 1, OWNED_BY TEXT DEFAULT 'SYSTEM');

CREATE TABLE DPAD_WEB_REGISTER_NAVIGATOR_ITEMS ( ID INTEGER PRIMARY KEY AUTOINCREMENT, URL TEXT DEFAULT '', NAVIGATOR_ID TEXT DEFAULT '');

--Creating Web Configuration Values based on themes
CREATE TABLE DPAD_WEB_CONFIGURATION_VALUES (ID INTEGER PRIMARY KEY AUTOINCREMENT, THEME_NAME TEXT, CONFIGURATION_NAME TEXT, VALUE TEXT, IS_VISIBLE INTEGER DEFAULT 1);

--Clearing web theme table
--ALTER TABLE DPAD_WEB_THEME RENAME TO DPAD_WEB_THEME_OLD;
--CREATE TABLE DPAD_WEB_THEME( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, LABEL TEXT, PATH TEXT, VERSION TEXT, REVISION INTEGER DEFAULT 0);
--INSERT INTO DPAD_WEB_THEME (ID,NAME,LABEL,PATH,VERSION,REVISION) SELECT ID,NAME,LABEL,PATH,VERSION,REVISION FROM DPAD_WEB_THEME_OLD;
--DROP TABLE DPAD_WEB_THEME_OLD;
ALTER TABLE DPAD_WEB_THEME ADD COLUMN IS_VISIBLE INTEGER DEFAULT 1;

--Updating object types
UPDATE DPADD_OBJECT SET IS_WRITABLE=1 WHERE TYPE IN ('GROUP','URL','SYSCMD');

--Creating Main Wizard Table
CREATE TABLE DPAD_WEB_MAIN_WIZARD_TABLE ( ID INTEGER PRIMARY KEY AUTOINCREMENT, MODULE TEXT DEFAULT '', ELEMENT_IMAGE_PATH TEXT DEFAULT '', ELEMENT_LABEL TEXT DEFAULT '', ELEMENT_DESCRIPTION TEXT DEFAULT '', ELEMENT_URL TEXT DEFAULT '', ELEMENT_URL_TYPE TEXT DEFAULT '', IS_HANDLED INTEGER DEFAULT 0, PRIORITY_ORDER INTEGER DEFAULT 0 );
INSERT OR IGNORE INTO DPAD_WEB_MAIN_WIZARD_TABLE ( ID, MODULE, ELEMENT_IMAGE_PATH, ELEMENT_LABEL, ELEMENT_DESCRIPTION, ELEMENT_URL, ELEMENT_URL_TYPE, PRIORITY_ORDER ) VALUES ( NULL, 'system', 'welcome.png', '_DPAD_DBCONSTANT_WIZARDMENU_WELCOMEPAGE', '_DPAD_DBCONSTANT_WIZARDMENU_WELCOMEPAGE_DESCRIPTION', '../system/welcome.php','', -10 );
--INSERT OR IGNORE INTO DPAD_WEB_MAIN_WIZARD_TABLE ( ID, MODULE, ELEMENT_IMAGE_PATH, ELEMENT_LABEL, ELEMENT_DESCRIPTION, ELEMENT_URL, ELEMENT_URL_TYPE, PRIORITY_ORDER ) VALUES ( NULL, 'system', '', '_DPAD_DBCONSTANT_WIZARDMENU_CUSTOMIZE_VIO', '_DPAD_DBCONSTANT_WIZARDMENU_CUSTOMIZE_VIO_DESCRIPTION', '', '', 1 );
--INSERT OR IGNORE INTO DPAD_WEB_MAIN_WIZARD_TABLE ( ID, MODULE, ELEMENT_IMAGE_PATH, ELEMENT_LABEL, ELEMENT_DESCRIPTION, ELEMENT_URL, ELEMENT_URL_TYPE, PRIORITY_ORDER ) VALUES ( NULL, 'system', '', '_DPAD_DBCONSTANT_WIZARDMENU_COMPLEX_OBJECTS', '_DPAD_DBCONSTANT_WIZARDMENU_COMPLEX_OBJECTS_DESCRIPTION', '', '', 1 );
INSERT OR IGNORE INTO DPAD_WEB_MAIN_WIZARD_TABLE ( ID, MODULE, ELEMENT_IMAGE_PATH, ELEMENT_LABEL, ELEMENT_DESCRIPTION, ELEMENT_URL, ELEMENT_URL_TYPE, PRIORITY_ORDER ) VALUES ( NULL, 'system', '', '_DPAD_DBCONSTANT_WIZARDMENU_ENVIRONMENTS', '_DPAD_DBCONSTANT_WIZARDMENU_ENVIRONMENTS_DESCRIPTION', '../system/wizard_manager.php?body_template=wizard_manager_generic.tpl&type=group|id=8', '', 10 );
INSERT OR IGNORE INTO DPAD_WEB_MAIN_WIZARD_TABLE ( ID, MODULE, ELEMENT_IMAGE_PATH, ELEMENT_LABEL, ELEMENT_DESCRIPTION, ELEMENT_URL, ELEMENT_URL_TYPE, PRIORITY_ORDER ) VALUES ( NULL, 'system', '', '_DPAD_DBCONSTANT_WIZARDMENU_USERS', '_DPAD_DBCONSTANT_WIZARDMENU_USERS_DESCRIPTION', '../system/wizard_manager.php?body_template=wizard_manager_generic.tpl&type=user', '', 99 );
INSERT OR IGNORE INTO DPAD_WEB_MAIN_WIZARD_TABLE ( ID, MODULE, ELEMENT_IMAGE_PATH, ELEMENT_LABEL, ELEMENT_DESCRIPTION, ELEMENT_URL, ELEMENT_URL_TYPE, PRIORITY_ORDER ) VALUES ( NULL, 'system', '', '_DPAD_DBCONSTANT_WIZARDMENU_END', '_DPAD_DBCONSTANT_WIZARDMENU_END_DESCRIPTION', 'window.location.href=''../system/externalframe.php?url=../system/loadtemplate.php?tpl=administration%7Cid=1''', 'javascript', 100 );

--Updating trigger for messages notification
--UPDATE DPADD_OBJECT SET OPTIONALP='jScript_updateValue_action=themeManager.messagecenter_trigger_notify_new_messages(newValue);' WHERE ID='$SYSTEM_TRIGGEROBJECT_NOTIFYCOUNTER$';

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "3.0.0" WHERE NAME = "system";
