--Module: SYSTEM update

--Adding Action "REDIRECT" to USER objects
INSERT INTO DPADD_OBJECT_TYPES ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL,'USER','_DPAD_DBCONSTANT_TYPE_USER','dpadUser','REDIRECT|VOIPCALL');
UPDATE DPAD_WEB_PHPCLASS SET IS_EXECUTABLE=1 WHERE CLASSNAME='dpadUser';

--Adding Action "VOIPCALL" to CLIENTBROWSER objects
UPDATE DPADD_OBJECT_TYPES SET ALLOWED_ACTIONS='REDIRECT|VOIPCALL' WHERE TYPE='CLIENTBROWSER';

--Adding a description to prototypes table
ALTER TABLE DPADD_RENDERING_PROTOTYPE ADD DESCRIPTION TEXT DEFAULT '';
ALTER TABLE DPADD_RENDERING_PROTOTYPE ADD IS_VISIBLE INTEGER DEFAULT 1;
ALTER TABLE DPADD_RENDERING_PROTOTYPE ADD ALLOWED_VIEWS TEXT;

--Adding new table containing prototype views
CREATE TABLE DPADD_RENDERING_VIEW(ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, DESCRIPTION TEXT, THEME TEXT, IS_VISIBLE INTEGER DEFAULT 1);

--Adding Entry TRK
INSERT INTO DPAD_SQLITESWAPPER_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_SQLITESWAPPER_RAMDISK_TRK_FILE', '/tmp/dpad_variables/db/DomusPadTrack.db', 'SqliteSwapper ramdisk TRK database file');

--Updating Relative Path for dpadweb javascript
ALTER TABLE DPAD_WEB_JSCRIPT RENAME TO DPAD_WEB_JSCRIPT_OLD;
CREATE TABLE DPAD_WEB_JSCRIPT(ID INTEGER PRIMARY KEY AUTOINCREMENT, JSNAME TEXT, MODULE TEXT, INCLUDE_PATH TEXT, DEPENDENCIES TEXT, MODULE_TYPE TEXT DEFAULT 'module');
INSERT OR REPLACE INTO DPAD_WEB_JSCRIPT (ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES, MODULE_TYPE) SELECT ID, JSNAME, MODULE, replace(replace(INCLUDE_PATH,'../../','./'),'../','./modules/'), DEPENDENCIES, MODULE_TYPE FROM DPAD_WEB_JSCRIPT_OLD;
DROP TABLE DPAD_WEB_JSCRIPT_OLD;

--Creating new rendering for ringtone syscmds
-- $SYSTEM_RENDERING_SYSCMD_RINGTONE$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_SYSTEM_SYSCMD_RINGTONE',1,'1','1','1','ico_audio_generic_on.png','1=>"_DPAD_DBCONSTANT_RENDERING_SYSTEM_SYSCMD_RINGTONE_PLAY"','1=>"ico_audio_generic_on.png"','1=>"button_label_play.png"','','dpadSysCmd ','*',1,'SYSTEM','','<{state|imagelist|setvalue}>');

--Creating new rendering for display ON/OFF/CALIBRATE syscmds
-- $SYSTEM_RENDERING_SYSCMD_DISPLAY_SWITCH_OFF$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_SYSTEM_SYSCMD_DISPLAY_SWITCH_OFF',1,'0','0','1','ico_tv_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_OFF"','0=>"ico_tv_off.png"','0=>"button_label_O.png"','','dpadSysCmd ','*',0,'SYSTEM','','<{state|imagelist|setvalue}>');
-- $SYSTEM_RENDERING_SYSCMD_DISPLAY_SWITCH_ON$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_SYSTEM_SYSCMD_DISPLAY_SWITCH_ON',1,'1','1','1','ico_tv_on.png','1=>"_DPAD_DBCONSTANT_RENDERING_ON"','1=>"ico_tv_on.png"','1=>"button_label_I.png"','','dpadSysCmd ','*',0,'SYSTEM','','<{state|imagelist|setvalue}>');
-- $SYSTEM_RENDERING_SYSCMD_DISPLAY_TOUCH_CALIBRATE$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_SYSTEM_TOUCH_CALIBRATE',1,'1','1','1','ico_tv_on.png','1=>"_DPAD_GENERAL_EXECUTE"','1=>"ico_tv_on.png"','1=>"button_label_play.png"','','dpadSysCmd ','*',0,'SYSTEM','','<{state|imagelist|setvalue}>');

--Creating new rendering for volume increase/decrease and container
-- $SYSTEM_RENDERING_SYSCMD_AUDIO_VOLUME_INCREASE$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_SYSTEM_SYSCMD_AUDIO_VOLUME_INCREASE',1,'0','0','1','ico_audio_volume_up.png','1=>"_DPAD_DBCONSTANT_RENDERING_TURN_UP_VERB"','1=>"ico_audio_volume_up.png"','1=>"button_label_arrow_up.png"','','dpadSysCmd ','*',0,'SYSTEM','','<{state|imagelist|setvalue}>');
-- $SYSTEM_RENDERING_SYSCMD_AUDIO_VOLUME_DECREASE$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_SYSTEM_SYSCMD_AUDIO_VOLUME_DECREASE',1,'0','0','1','ico_audio_volume_down.png','1=>"_DPAD_DBCONSTANT_RENDERING_TURN_DOWN_F_VERB"','1=>"ico_audio_volume_down.png"','1=>"button_label_arrow_down.png"','','dpadSysCmd ','*',0,'SYSTEM','','<{state|imagelist|setvalue}>');
-- $SYSTEM_RENDERING_CONTAINER_AUDIOBOARD$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_SYSTEM_CONTAINER_AUDIOBOARD',0,'','','','ico_audio_volume.png','','','','','dpadContainer ','*',0,'SYSTEM','','');

--Correcting optionalp in triggers
UPDATE DPADD_OBJECT SET OPTIONALP='jScript_updateValue_action=''themeManager.messagecenter_trigger_notify_new_messages(newValue);''' WHERE NAME='_DPAD_DBCONSTANT_TRIGGEROBJECT_NOTIFYCOUNTER';
UPDATE DPADD_OBJECT SET OPTIONALP='jScript_updateValue_action=''themeManager.trigger_swap_flash_flag_handle(newValue);''' WHERE NAME='_DPAD_OBJECT_TRIGGER_OBJECT_FOR_SWAP_FLAG';

--Hiding swap rendering
--UPDATE DPADD_RENDERING SET IS_VISIBLE='0' WHERE ID='$SYSTEM_RENDERING_TRIGGEROBJECT_SWAP_FLAG$';

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION='3.2.8' WHERE NAME='system';