--Module: SYSTEM update
DELETE FROM DPAD_WEB_JSCRIPT WHERE JSNAME IN ( 'jsDpadDbWebManager.js', 'jsDpadWebAppCache.js' );
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES, MODULE_TYPE ) VALUES( NULL, 'jsDpadDbWebManager.js', 'system', './modules/system/script/lib/jsDpadDbWebManager.js', 'jquery.indexeddb.js', 'module');
INSERT INTO DPAD_WEB_JSCRIPT ( ID, JSNAME, MODULE, INCLUDE_PATH, DEPENDENCIES, MODULE_TYPE ) VALUES( NULL, 'jsDpadWebAppCache.js', 'system', './modules/system/script/lib/jsDpadWebAppCache.js', '', 'module');

--Manifest seeds
INSERT INTO DPAD_WEB_CONFIGURATION ( ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS ) VALUES ( NULL, 'seeds', '_DPAD_DBCONSTANT_WEBCONFIGURATION_SEEDS', '{"manifest":0}', 'hidden', 0, NULL, 'textbox' );

--Adding a field in web PHP class definition table stating if editobject must be cached or not
ALTER TABLE DPAD_WEB_PHPCLASS ADD CACHE_EDITOBJECT INTEGER DEFAULT 1;

--Disabling editobject cache for certain classes
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadDbClient';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadLicense';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadObject';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadRenderingOption';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadRendering';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadSysCmd';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadTriggerObject';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadUserPermission';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadSearchFolder';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadGenericHtmlBlock';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadUser';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadUserGroup';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadCommunicationSection';

--Adding flag to activate/deactivate application Cache (disabled by default)
INSERT INTO DPAD_WEB_CONFIGURATION ( ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM ) VALUES ( NULL, 'client_HTML5applicationCache_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_HTML5APPLICATIONCACHE', '0', 'advanced', 0, NULL, 'checkbox',1 );
INSERT INTO DPAD_WEB_CONFIGURATION ( ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM ) VALUES ( NULL, 'client_phpCacheHTML_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_PHPCACHEHTML', '0', 'advanced', 0, NULL, 'checkbox',2 );

--Adding GESA's flags
UPDATE DPAD_WEB_CONFIGURATION SET TIPOLOGY='advanced',ORDER_NUM='10' WHERE NAME='autorefresh_timer';
INSERT INTO DPAD_WEB_CONFIGURATION ( ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM ) VALUES ( NULL, 'autorefresh_idle_timeout', '_DPAD_DBCONSTANT_WEBCONFIGURATION_AUTOREFRESH_IDLE_TIMEOUT', '300', 'advanced', 0, NULL, 'hidden', 11 );
UPDATE DPAD_WEB_CONFIGURATION SET TIPOLOGY='advanced',ORDER_NUM='12',VALUE='-1',DRAW_AS='hidden' WHERE NAME='autorefresh_idle_timer';

--Adding a field IS_PROTECTED in DPADD_OBJECT table to protect specific objects; these objects can be handled completely only by special super users like "system"
ALTER TABLE DPADD_OBJECT ADD IS_PROTECTED INTEGER DEFAULT 0;

--Setting admin user and admininistration usegroup as protected objects
-- UPDATE DPADD_OBJECT SET IS_PROTECTED=1 WHERE ID IN ($SYSTEM_USERGROUP_ADMIN$, $SYSTEM_USER_DESCRIPTION_ADMIN$);

--Updating relation between admin user and administrator usergroup setting owned_by field to "SYSTEM"
-- UPDATE DPADD_OBJECT_RELATION SET OWNED_BY='SYSTEM'  WHERE PARENTOBJ_ID=$SYSTEM_USERGROUP_ADMIN$ AND CHILDOBJ_ID=$SYSTEM_USER_DESCRIPTION_ADMIN$;

--Adding the "show_menu" flag to all environments (and, in general, user-level groups)
UPDATE DPADD_OBJECT SET OPTIONALP = NULL WHERE OPTIONALP = '' AND TYPE='GROUP';
UPDATE DPADD_OBJECT SET OPTIONALP = ifnull(OPTIONALP||'|','') || 'show_menu=0' WHERE TYPE='GROUP';

--Changing the "show_menu" flag to all environments having at least one GROUP or URL in their childs
UPDATE DPADD_OBJECT SET OPTIONALP = REPLACE(OPTIONALP,'show_menu=0','show_menu=1') WHERE ID IN (SELECT PARENTOBJ_ID FROM DPADD_OBJECT_RELATION D_OR INNER JOIN DPADD_OBJECT D_O ON D_O.ID = D_OR.CHILDOBJ_ID WHERE D_OR.PARENTOBJ_ID IN (SELECT ID FROM DPADD_OBJECT WHERE TYPE='GROUP') AND D_O.TYPE IN ('GROUP','URL') AND D_O.IS_VISIBLE='1' GROUP BY PARENTOBJ_ID);

--Adding new fields for mask and validate to settings
ALTER TABLE DPAD_WEB_CONFIGURATION ADD MASK TEXT DEFAULT '';
ALTER TABLE DPAD_WEB_CONFIGURATION ADD VALIDATE TEXT DEFAULT '';

--Adding mask & validation for settings
UPDATE DPAD_WEB_CONFIGURATION SET MASK='9?9999',VALIDATE='[1-65535]' WHERE NAME='mail_port';
UPDATE DPAD_WEB_CONFIGURATION SET MASK='9?9',VALIDATE='[1-60]' WHERE NAME='autorefresh_timer';

--Adding new field to module table for sorting
ALTER TABLE DPAD_WEB_MODULE ADD ORDER_NUM INTEGER DEFAULT 999;

--Adding default icon to group
UPDATE DPAD_WEB_PHPCLASS SET IMAGE_PATH='ico_environment_default.png' WHERE CLASSNAME='dpadGroup';

--Creating new renderings for waits, differing from original one for increase/decrease step
-- $SYSTEM_RENDERING_SYSMCDWAIT_MINUTES$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_SYSTEM_SYSCMDWAIT_MINUTES',0,'60','3600','60','clock.png','','','','%s s','dpadSysCmdWait ','*',1,'SYSTEM','','<{state|scaling|setvalue}>');
-- $SYSTEM_RENDERING_SYSMCDWAIT_HOURS$ = INSERT INTO DPADD_RENDERING (ID,TYPE,TIPOLOGY,NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,OPTION_SYMBOLS,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY,OPTION_ACTIONS,LISTVIEW_SCHEMA) VALUES(NULL,NULL,NULL,'_DPAD_DBCONSTANT_RENDERING_SYSTEM_SYSCMDWAIT_HOURS',0,'3600','86400','3600','clock.png','','','','%s s','dpadSysCmdWait ','*',1,'SYSTEM','','<{state|scaling|setvalue}>');

--Binding new renderings to standard wait objects
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_MINUTES$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_1_MIN';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_MINUTES$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_2_MIN';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_MINUTES$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_5_MIN';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_MINUTES$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_10_MIN';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_MINUTES$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_15_MIN';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_MINUTES$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_20_MIN';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_MINUTES$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_30_MIN';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_HOURS$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_1_HOUR';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_HOURS$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_2_HOUR';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_HOURS$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_3_HOUR';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_HOURS$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_6_HOUR';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_HOURS$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_12_HOUR';
-- UPDATE DPADD_OBJECT SET RENDERING_ID='$SYSTEM_RENDERING_SYSMCDWAIT_HOURS$' WHERE NAME='_DPAD_DBCONSTANT_SYSCMDWAIT_WAIT_24_HOUR';

--Moving CB object to module system
INSERT INTO DPAD_WEB_PHPCLASS ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT, CACHE_EDITOBJECT) VALUES ( NULL, 'dpadClientBrowser', 'system', 'general/dpadclientbrowser.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADCLIENTBROWSER', 'ico_client.png', '', '', '', '1', '1', '0', '0');

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION='4.0.0' WHERE NAME='system';