--Module: SYSTEM update

--Adding flag to activate/deactivate application Cache (disabled by default)
INSERT INTO DPAD_WEB_CONFIGURATION ( ID,NAME,LABEL,VALUE,TIPOLOGY,HAS_OPTIONS,OPTIONS,DRAW_AS,ORDER_NUM ) VALUES ( NULL, 'client_webCacheDB_enable', '_DPAD_DBCONSTANT_WEBCONFIGURATION_WEBCACHEDB', '1', 'advanced', 0, NULL, 'checkbox',3 );

--Adding LAST_MODIFIED timestamp field
ALTER TABLE DPADD_OBJECT RENAME TO DPADD_OBJECT_OLD;
CREATE TABLE DPADD_OBJECT ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, DESCRIPTION TEXT, TYPE TEXT, MIN_VALUE TEXT, MAX_VALUE TEXT, CURRENT_VALUE TEXT, VALUES_TYPE TEXT, STATUS_ID INTEGER DEFAULT -1, RENDERING_ID INTEGER DEFAULT -1, IMAGE_PATH TEXT, IS_READABLE INTEGER DEFAULT 0, IS_WRITABLE INTEGER DEFAULT 0, IS_VISIBLE INTEGER DEFAULT 0, IS_STOPPABLE INTEGER DEFAULT 0, MSP TEXT, OPTIONALP TEXT, PHPCLASS TEXT, COMMUNICATIONSECTION_ID INTEGER DEFAULT -1, IS_BOOLEAN INTEGER DEFAULT 0, WITH_PERMISSION INTEGER DEFAULT 0, TRACK_FLAG INTEGER DEFAULT 0, IS_REMOTABLE INTEGER DEFAULT 0, REMOTABLE_FILTER TEXT DEFAULT '*', OWNED_BY STRING DEFAULT 'LOCAL', HAS_GRANT INTEGER DEFAULT 0, GRANT_HASHCODE STRING DEFAULT '', AUTOMATIC_REFRESH_FLAG INTEGER DEFAULT 0, ENABLE_FLAG INTEGER(1) DEFAULT 1, TRACK_FLAG_ONREAD INTEGER DEFAULT 0, HAS_SCENES INTEGER DEFAULT 0, HAS_SCHEDULES INTEGER DEFAULT 0, HAS_CHARTS INTEGER DEFAULT 0, IS_PROTECTED INTEGER DEFAULT 0, LAST_MODIFIED INTEGER NOT NULL DEFAULT ( strftime('%s','now') ) );
INSERT INTO DPADD_OBJECT ( ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, IS_STOPPABLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, IS_BOOLEAN, WITH_PERMISSION, TRACK_FLAG, IS_REMOTABLE, REMOTABLE_FILTER, OWNED_BY, HAS_GRANT, GRANT_HASHCODE, AUTOMATIC_REFRESH_FLAG, ENABLE_FLAG, TRACK_FLAG_ONREAD, HAS_SCENES, HAS_SCHEDULES, HAS_CHARTS, IS_PROTECTED ) SELECT ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, IS_STOPPABLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, IS_BOOLEAN, WITH_PERMISSION, TRACK_FLAG, IS_REMOTABLE, REMOTABLE_FILTER, OWNED_BY, HAS_GRANT, GRANT_HASHCODE, AUTOMATIC_REFRESH_FLAG, ENABLE_FLAG, TRACK_FLAG_ONREAD, HAS_SCENES, HAS_SCHEDULES, HAS_CHARTS, IS_PROTECTED FROM DPADD_OBJECT_OLD;
DROP TABLE DPADD_OBJECT_OLD;

ALTER TABLE DPADD_OBJECT_RELATION RENAME TO DPADD_OBJECT_RELATION_OLD;
CREATE TABLE DPADD_OBJECT_RELATION ( ID INTEGER PRIMARY KEY AUTOINCREMENT, PARENTOBJ_ID INTEGER, CHILDOBJ_ID INTEGER, RELATION_CONDITION TEXT, ACTION TEXT, ACTION_VALUE TEXT, ORDER_NUM INTEGER DEFAULT 1, ACCESS_MODE TEXT, CATEGORY_ID TEXT DEFAULT '', OPTIONAL TEXT, STOP_FLAG INTEGER DEFAULT 0, ENABLE_FLAG INTEGER DEFAULT 1, RELATION_WEB_TIPOLOGY TEXT DEFAULT 'GENERIC_RELATION', OWNED_BY TEXT DEFAULT 'LOCAL', LAST_MODIFIED INTEGER NOT NULL DEFAULT ( strftime('%s','now') ) );
INSERT INTO DPADD_OBJECT_RELATION ( ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, CATEGORY_ID, OPTIONAL, STOP_FLAG, ENABLE_FLAG, RELATION_WEB_TIPOLOGY, OWNED_BY ) SELECT ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, CATEGORY_ID, OPTIONAL, STOP_FLAG, ENABLE_FLAG, RELATION_WEB_TIPOLOGY, OWNED_BY FROM DPADD_OBJECT_RELATION_OLD;
DROP TABLE DPADD_OBJECT_RELATION_OLD;

ALTER TABLE DPADD_RENDERING RENAME TO DPADD_RENDERING_OLD;
CREATE TABLE DPADD_RENDERING ( ID INTEGER PRIMARY KEY AUTOINCREMENT, TYPE TEXT, TIPOLOGY TEXT, NAME TEXT DEFAULT '', HAS_OPTIONS INTEGER(1) DEFAULT 0, MIN_STATE TEXT, MAX_STATE TEXT, STEP_STATE TEXT, IMAGE_PATH TEXT, OPTION_LABELS TEXT DEFAULT '', OPTION_IMAGES TEXT DEFAULT '', OPTION_SYMBOLS TEXT DEFAULT '', FORMATTING_SCHEMA TEXT DEFAULT '', PHPCLASSES TEXT, VALUES_TYPE TEXT, IS_VISIBLE INTEGER DEFAULT 1, OWNED_BY STRING DEFAULT 'LOCAL', OPTION_ACTIONS TEXT DEFAULT '', LISTVIEW_SCHEMA TEXT DEFAULT '', LAST_MODIFIED INTEGER NOT NULL DEFAULT ( strftime('%s','now') ) );
INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY, LISTVIEW_SCHEMA ) SELECT ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY, LISTVIEW_SCHEMA FROM DPADD_RENDERING_OLD;
DROP TABLE DPADD_RENDERING_OLD;

ALTER TABLE DPADD_RENDERING_PROTOTYPE RENAME TO DPADD_RENDERING_PROTOTYPE_OLD;
CREATE TABLE DPADD_RENDERING_PROTOTYPE ( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, THEME TEXT, PROTOTYPE TEXT, DESCRIPTION TEXT DEFAULT '', IS_VISIBLE INTEGER DEFAULT 1, ALLOWED_VIEWS TEXT, LAST_MODIFIED INTEGER NOT NULL DEFAULT ( strftime('%s','now') ) );
INSERT INTO DPADD_RENDERING_PROTOTYPE ( ID, NAME, THEME, PROTOTYPE, DESCRIPTION, IS_VISIBLE, ALLOWED_VIEWS ) SELECT ID, NAME, THEME, PROTOTYPE, DESCRIPTION, IS_VISIBLE, ALLOWED_VIEWS FROM DPADD_RENDERING_PROTOTYPE_OLD;
DROP TABLE DPADD_RENDERING_PROTOTYPE_OLD;

ALTER TABLE DPADD_RENDERING_VIEW_PROTOTYPE RENAME TO DPADD_RENDERING_VIEW_PROTOTYPE_OLD;
CREATE TABLE DPADD_RENDERING_VIEW_PROTOTYPE ( ID INTEGER PRIMARY KEY AUTOINCREMENT, RENDERING_ID INTEGER, VIEW TEXT, PROTOTYPE_ID INTEGER, LAST_MODIFIED INTEGER NOT NULL DEFAULT ( strftime('%s','now') ) );
INSERT INTO DPADD_RENDERING_VIEW_PROTOTYPE ( ID, RENDERING_ID, VIEW, PROTOTYPE_ID ) SELECT ID, RENDERING_ID, VIEW, PROTOTYPE_ID  FROM DPADD_RENDERING_VIEW_PROTOTYPE_OLD;
DROP TABLE DPADD_RENDERING_VIEW_PROTOTYPE_OLD;

--Creating Trigger for LAST_MODIFIED timestamp
CREATE TRIGGER IF NOT EXISTS _LAST_MODIFIED_DPADD_OBJECT AFTER UPDATE OF ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, VALUES_TYPE, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, IS_STOPPABLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID, IS_BOOLEAN, WITH_PERMISSION, TRACK_FLAG, IS_REMOTABLE, REMOTABLE_FILTER, OWNED_BY, HAS_GRANT, GRANT_HASHCODE, AUTOMATIC_REFRESH_FLAG, ENABLE_FLAG, TRACK_FLAG_ONREAD, HAS_SCENES, HAS_SCHEDULES, HAS_CHARTS, IS_PROTECTED ON DPADD_OBJECT BEGIN UPDATE DPADD_OBJECT SET LAST_MODIFIED = ( strftime('%s','now') ) WHERE ID = old.ID; END;
CREATE TRIGGER IF NOT EXISTS _LAST_MODIFIED_DPADD_OBJECT_RELATION AFTER UPDATE OF ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, CATEGORY_ID, OPTIONAL, STOP_FLAG, ENABLE_FLAG, RELATION_WEB_TIPOLOGY, OWNED_BY ON DPADD_OBJECT_RELATION BEGIN UPDATE DPADD_OBJECT_RELATION SET LAST_MODIFIED = ( strftime('%s','now') ) WHERE ID = old.ID; END;
CREATE TRIGGER IF NOT EXISTS _LAST_MODIFIED_DPADD_RENDERING AFTER UPDATE OF ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY, LISTVIEW_SCHEMA ON DPADD_RENDERING BEGIN UPDATE DPADD_RENDERING SET LAST_MODIFIED = ( strftime('%s','now') ) WHERE ID = old.ID; END;
CREATE TRIGGER IF NOT EXISTS _LAST_MODIFIED_DPADD_RENDERING_PROTOTYPE AFTER UPDATE OF ID, NAME, THEME, PROTOTYPE, DESCRIPTION, IS_VISIBLE, ALLOWED_VIEWS ON DPADD_RENDERING_PROTOTYPE BEGIN UPDATE DPADD_RENDERING_PROTOTYPE SET LAST_MODIFIED = ( strftime('%s','now') ) WHERE ID = old.ID; END;
CREATE TRIGGER IF NOT EXISTS _LAST_MODIFIED_DPADD_RENDERING_VIEW_PROTOTYPE AFTER UPDATE OF ID, RENDERING_ID, VIEW, PROTOTYPE_ID ON DPADD_RENDERING_VIEW_PROTOTYPE BEGIN UPDATE DPADD_RENDERING_VIEW_PROTOTYPE SET LAST_MODIFIED = ( strftime('%s','now') ) WHERE ID = old.ID; END;

--Creating Trigger for SYNCHing local DB
-- $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$ = INSERT INTO DPADD_OBJECT ( ID, NAME, DESCRIPTION, TYPE, RENDERING_ID, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, OWNED_BY ) VALUES( NULL, '_DPAD_SYSTEM_TRIGGER_OBJECT_FOR_SYNC_LOCALDB', '_DPAD_SYSTEM_TRIGGER_OBJECT_FOR_SYNC_LOCALDB', 'TRIGGER_OBJECT', $SYSTEM_RENDERING_TRIGGEROBJECT_SWAP_FLAG$, 0, 1, 1, '', 'jScript_updateValue_action=objM.cacheSynch();', 'dpadTriggerObject','SYSTEM' );
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_INSERT_DPADD_OBJECT AFTER INSERT ON DPADD_OBJECT BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_UPDATE_DPADD_OBJECT AFTER UPDATE OF LAST_MODIFIED ON DPADD_OBJECT BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_DELETE_DPADD_OBJECT AFTER DELETE ON DPADD_OBJECT BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_INSERT_DPADD_OBJECT_RELATION AFTER INSERT ON DPADD_OBJECT_RELATION BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_UPDATE_DPADD_OBJECT_RELATION AFTER UPDATE OF LAST_MODIFIED ON DPADD_OBJECT_RELATION BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_DELETE_DPADD_OBJECT_RELATION AFTER DELETE ON DPADD_OBJECT_RELATION BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_INSERT_DPADD_RENDERING AFTER INSERT ON DPADD_RENDERING BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_UPDATE_DPADD_RENDERING AFTER UPDATE OF LAST_MODIFIED ON DPADD_RENDERING BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_DELETE_DPADD_RENDERING AFTER DELETE ON DPADD_RENDERING BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_INSERT_DPADD_RENDERING_PROTOTYPE AFTER INSERT ON DPADD_RENDERING_PROTOTYPE BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_UPDATE_DPADD_RENDERING_PROTOTYPE AFTER UPDATE OF LAST_MODIFIED ON DPADD_RENDERING_PROTOTYPE BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_DELETE_DPADD_RENDERING_PROTOTYPE AFTER DELETE ON DPADD_RENDERING_PROTOTYPE BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_INSERT_DPADD_RENDERING_VIEW_PROTOTYPE AFTER INSERT ON DPADD_RENDERING_VIEW_PROTOTYPE BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_UPDATE_DPADD_RENDERING_VIEW_PROTOTYPE AFTER UPDATE OF LAST_MODIFIED ON DPADD_RENDERING_VIEW_PROTOTYPE BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;
-- CREATE TRIGGER IF NOT EXISTS _SYNCH_LOCALDB_DELETE_DPADD_RENDERING_VIEW_PROTOTYPE AFTER DELETE ON DPADD_RENDERING_VIEW_PROTOTYPE BEGIN UPDATE DPADD_OBJECT SET CURRENT_VALUE = ( strftime('%s','now') ) WHERE ID = $SYSTEM_SYNCH_LOCALDB_TRIGGER_OBJECT$; END;

--Removing no longer needed settings
DELETE FROM DPAD_WEB_CONFIGURATION WHERE NAME IN ('list_elements_num','logo_relative_path','dpadd_restart_script','generic_icon_name','server_cache_max_size','screensaver_enable','screensaver_timer','screensaver_url','link_update_site');

--Adding column to web configuration table stating if setting is enabled or not
ALTER TABLE DPAD_WEB_CONFIGURATION ADD IS_ACTIVE INTEGER DEFAULT 1;
ALTER TABLE DPAD_WEB_CONFIGURATION_VALUES ADD IS_ACTIVE INTEGER DEFAULT 1;

--Removing classes from HTML5 cache
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE CLASSNAME='dpadSysCmdWait';

--Module version
UPDATE DPAD_WEB_MODULE SET VERSION='4.0.1' WHERE NAME='system';