--Module: TECNOALARM update_0.0.0_to_0.0.1.sql
CREATE TABLE DPAD_TECNOUT_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1 );

INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTCONF_TABLE', 'DPAD_TECNOUT_CONFIGURATION', 'Table of TECNOUT configuration properties');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTCOMMAND_SOCKET_FILE', '/tmp/dpad_variables/sockets/dpad_tecnoutgateway.socket', 'Unix socket for low-level tecnoutgateway service communication');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTLOOP_TIMEOUT', '50000', 'Tecnout main loop idle timeout');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTSUPERVISORCODE_VIEW_NAME', 'DPAD_TECNOUTGATEWAY_SUPERVISORCODE', 'TECNOUTGateway database view of domuspad supervisor code');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTZONES_VIEW_NAME', 'DPAD_TECNOUTGATEWAY_TECNOUTZONES', 'TECNOUTGateway database view of plant TECNOUTZones');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTPROGRAMS_VIEW_NAME', 'DPAD_TECNOUTGATEWAY_TECNOUTPROGRAMS', 'TECNOUTGateway database view of plant TECNOUTPrograms');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTZONESINFO_VIEW_NAME', 'DPAD_TECNOUTGATEWAY_TECNOUTZONES_INFO', 'TECNOUTGateway database view of plant TECNOUTZones necessary information');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTPROGRAMSINFO_VIEW_NAME', 'DPAD_TECNOUTGATEWAY_TECNOUTPROGRAMS_INFO', 'TECNOUTGateway database view of plant TECNOUTPrograms necessary information');

CREATE VIEW DPAD_TECNOUTGATEWAY_SUPERVISORCODE AS SELECT MSP AS CODE FROM DPADD_OBJECT WHERE TYPE = 'TECNOALARM_TP256'; 
CREATE VIEW DPAD_TECNOUTGATEWAY_TECNOUTZONES_INFO AS SELECT MIN( O.MSP ) AS FIRST_ZONE_NUMBER, MAX( O.MSP ) AS LAST_ZONE_NUMBER FROM DPADD_OBJECT O WHERE O.TYPE = 'TECNOALARM_ZONE'; 
CREATE VIEW DPAD_TECNOUTGATEWAY_TECNOUTPROGRAMS_INFO AS SELECT MIN( O.MSP ) AS FIRST_PROGRAM_NUMBER, MAX( O.MSP ) AS LAST_PROGRAM_NUMBER FROM DPADD_OBJECT O WHERE O.TYPE = 'TECNOALARM_PROGRAM'; 
CREATE VIEW DPAD_TECNOUTGATEWAY_TECNOUTZONES AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS ZONENUM FROM DPADD_OBJECT O WHERE O.TYPE = 'TECNOALARM_ZONE'; 
CREATE VIEW DPAD_TECNOUTGATEWAY_TECNOUTPROGRAMS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS PROGRAMNUM FROM DPADD_OBJECT O WHERE O.TYPE = 'TECNOALARM_PROGRAM';

--TecnoAlarm Central
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadTecnoalarmCentral', 'tecnoalarm', 'dpadtecnoalarmcentral.class.php', 'dpadCommunicationSection', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTECNOALARMCENTRAL', 'ico_tecnoalarm_central.png', '', '', '../supervision/viewobjectdetails.php', '1', '0', '0' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "TECNOALARM_TP256", "_DPAD_DBCONSTANT_TYPE_TECNOALARMCENTRAL", "dpadTecnoalarmCentral", "GETTIME|SETTIME" );
--TecnoAlarm Zone
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadTecnoalarmZone', 'tecnoalarm', 'dpadtecnoalarmzone.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTECNOALARMZONE', 'ico_tecnoalarm_zone.png', '', '', '../supervision/viewobjectdetails.php', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "TECNOALARM_ZONE", "_DPAD_DBCONSTANT_TYPE_TECNOALARMZONE", "dpadTecnoalarmZone", "ACTIVATE|EXCLUDE" );
--TecnoAlarm Program
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadTecnoalarmProgram', 'tecnoalarm', 'dpadtecnoalarmprogram.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTECNOALARMPROGRAM', 'ico_tecnoalarm_program.png', '', '', '../supervision/viewobjectdetails.php', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "TECNOALARM_PROGRAM", "_DPAD_DBCONSTANT_TYPE_TECNOALARMPROGRAM", "dpadTecnoalarmProgram", "ARM|RELEASED" );

--Rendering Central
-- $TECNOALARM_RENDERING_CENTRAL$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE', 1, '0', '1', '1', 'ico_tecnoalarm_central_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_CENTRAL_MODE_OK",1=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_CENTRAL_MODE_ERROR"', '0=>"ico_tecnoalarm_central_ok.png",1=>"ico_tecnoalarm_central_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadTecnoalarmCentral ', '');

--Rendering Zone
-- $TECNOALARM_RENDERING_ZONE_GENERIC$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE', 1, '0', '256', '1', 'ico_tecnoalarm_zone_mode_peace.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_EXCLUDED",2=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_ALARM"', '0=>"ico_tecnoalarm_zone_mode_peace.png",1=>"ico_tecnoalarm_zone_mode_excluded.png",2=>"ico_tecnoalarm_zone_mode_alarm.png"', '0=>"button_label_O.png",1=>"button_label_auto.png",2=>"button_label_I.png"', '0=>"EXCLUDE",1=>"ACTIVATE",2=>"EXCLUDE"', '', 'dpadTecnoalarmZone ', '');
-- $TECNOALARM_RENDERING_ZONE_DOOR$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_DOOR', 1, '0', '256', '1', 'ico_tecnoalarm_zone_door_mode_peace.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_EXCLUDED",2=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_ALARM"', '0=>"ico_tecnoalarm_zone_door_mode_peace.png",1=>"ico_tecnoalarm_zone_door_mode_excluded.png",2=>"ico_tecnoalarm_zone_door_mode_alarm.png"', '0=>"button_label_O.png",1=>"button_label_auto.png",2=>"button_label_I.png"', '0=>"EXCLUDE",1=>"ACTIVATE",2=>"EXCLUDE"', '', 'dpadTecnoalarmZone ', '');
-- $TECNOALARM_RENDERING_ZONE_WINDOW$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_WINDOW', 1, '0', '256', '1', 'ico_tecnoalarm_zone_window_mode_peace.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_EXCLUDED",2=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_ALARM"', '0=>"ico_tecnoalarm_zone_window_mode_peace.png",1=>"ico_tecnoalarm_zone_window_mode_excluded.png",2=>"ico_tecnoalarm_zone_window_mode_alarm.png"', '0=>"button_label_O.png",1=>"button_label_auto.png",2=>"button_label_I.png"', '0=>"EXCLUDE",1=>"ACTIVATE",2=>"EXCLUDE"', '', 'dpadTecnoalarmZone ', '');
-- $TECNOALARM_RENDERING_ZONE_VOLUMETRIC$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_VOLUMETRIC', 1, '0', '256', '1', 'ico_tecnoalarm_zone_volumetric_mode_peace.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_PEACE",1=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_EXCLUDED",2=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_ZONE_MODE_ALARM"', '0=>"ico_tecnoalarm_zone_volumetric_mode_peace.png",1=>"ico_tecnoalarm_zone_volumetric_mode_excluded.png",2=>"ico_tecnoalarm_zone_volumetric_mode_alarm.png"', '0=>"button_label_O.png",1=>"button_label_auto.png",2=>"button_label_I.png"', '0=>"EXCLUDE",1=>"ACTIVATE",2=>"EXCLUDE"', '', 'dpadTecnoalarmZone ', '');

--Rendering Program
-- $TECNOALARM_RENDERING_PROGRAM$ =INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TECNOALARM_PROGRAM', 1, '0', '8', '1', 'ico_tecnoalarm_program_mode_peace.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_PROGRAM_MODE_PEACE",3=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_PROGRAM_MODE_ARMED",8=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_PROGRAM_MODE_ALARM"', '0=>"ico_tecnoalarm_program_mode_peace.png",3=>"ico_tecnoalarm_program_mode_armed.png",8=>"ico_tecnoalarm_program_mode_alarm.png"', '0=>"button_label_O.png",3=>"button_label_auto.png",8=>"button_label_I.png"', '0=>"ARM",3=>"RELEASE"', '', 'dpadTecnoalarmProgram ', '');

--Clearing useless data!!!
DELETE FROM DPAD_WEB_UPDATE_VARLIST WHERE VAR_NAME LIKE 'TECNOALARM_PREINSTALLED_%';

--Versioning
INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION, IS_ACTIVE ) VALUES( NULL, "tecnoalarm", "_DPAD_DBCONSTANT_WEBMODULE_TECNOALARM", "3.0.0", 1 );