--Module: TECNOALARM update

--Adding new class for expansions and outputs
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadTecnoalarmExpansion', 'tecnoalarm', 'dpadtecnoalarmexpansion.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTECNOALARMEXPANSION', 'ico_tecnoalarm_expansion.png', '', '', '', '1', '0', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "TECNOALARM_EXPANSION", "_DPAD_DBCONSTANT_TYPE_TECNOALARMEXPANSION", "dpadTecnoalarmExpansion", "" );
INSERT INTO 'DPAD_WEB_PHPCLASS' ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ( NULL, 'dpadTecnoalarmOutput', 'tecnoalarm', 'dpadtecnoalarmoutput.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTECNOALARMOUTPUT', 'ico_tecnoalarm_output.png', '', '', '', '1', '0', '0' );
INSERT INTO 'DPADD_OBJECT_TYPES' ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, "TECNOALARM_OUTPUT", "_DPAD_DBCONSTANT_TYPE_TECNOALARMOUTPUT", "dpadTecnoalarmOutput", "" );

--Adding rendering for expansion
-- $TECNOALARM_RENDERING_EXPANSION$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TECNOALARM_EXPANSION_GENERIC', 0, '', '', '', 'ico_tecnoalarm_expansion.png', '', '', '', '', '', 'dpadTecnoalarmExpansion ', '');

--Adding renderings for outputs
-- $TECNOALARM_RENDERING_OUTPUT_GENERIC$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TECNOALARM_OUTPUT_GENERIC', 1, '0', '1', '1', 'ico_generic_on.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_OUTPUT_GENERIC_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_OUTPUT_GENERIC_ON"', '0=>"ico_generic_off.png",1=>"ico_generic_on.png"', '', '', '', 'dpadTecnoalarmOutput ', '');
-- $TECNOALARM_RENDERING_OUTPUT_DOOR$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TECNOALARM_OUTPUT_DOOR', 1, '0', '1', '1', 'ico_door_open_actived.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_OUTPUT_DOOR_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_TECNOALARM_OUTPUT_DOOR_ON"', '0=>"ico_door_closed.png",1=>"ico_door_open_actived.png"', '', '', '', 'dpadTecnoalarmOutput ', '');

--Adding settings for output management
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTOUTPUTS_ENABLE_FLAG', '1', 'TECNOUTGateway enable flag to manage TECNOUTOutputs');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTOUTPUTS_VIEW_NAME', 'DPAD_TECNOUTGATEWAY_TECNOUTOUTPUTS', 'TECNOUTGateway database view of plant TECNOUTOutputs');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TECNOUTOUTPUTSINFO_VIEW_NAME', 'DPAD_TECNOUTGATEWAY_TECNOUTOUTPUTS_INFO', 'TECNOUTGateway database view of plant TECNOUTOutputs necessary information');

--Adding views necessary for output management
CREATE VIEW DPAD_TECNOUTGATEWAY_TECNOUTOUTPUTS_INFO AS SELECT MIN( O.MSP ) AS FIRST_OUTPUT_NUMBER, MAX( O.MSP ) AS LAST_OUTPUT_NUMBER FROM DPADD_OBJECT O WHERE O.TYPE = 'TECNOALARM_OUTPUT';
CREATE VIEW DPAD_TECNOUTGATEWAY_TECNOUTOUTPUTS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS OUTPUTNUM, OO.MSP AS EXPOUTNUM FROM DPADD_OBJECT O, DPADD_OBJECT_RELATION RO, DPADD_OBJECT OO WHERE O.ID = RO.CHILDOBJ_ID AND O.TYPE = 'TECNOALARM_OUTPUT' AND RO.RELATION_WEB_TIPOLOGY = 'TECNOALARM_RELATION' AND RO.PARENTOBJ_ID = OO.ID AND OO.TYPE = 'TECNOALARM_EXPANSION';

--Adding event flag to output class in order to enable active events
UPDATE DPAD_WEB_PHPCLASS SET IS_EVENT='1' WHERE CLASSNAME='dpadTecnoalarmOutput';

--Removing all classes except central from HTML5 cache manifest
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='0' WHERE MODULE='tecnoalarm';
UPDATE DPAD_WEB_PHPCLASS SET CACHE_EDITOBJECT='1' WHERE CLASSNAME='dpadTecnoalarmCentral';

--Correcting program's rendering to handle correctly the RELEASE action on alarmed programs
-- UPDATE DPADD_RENDERING SET OPTION_ACTIONS='0=>"ARM",3=>"RELEASE",8=>"RELEASE"' WHERE ID=$TECNOALARM_RENDERING_PROGRAM$;

--Module version
UPDATE "DPAD_WEB_MODULE" SET VERSION = "4.0.0" WHERE NAME = "tecnoalarm";