--Low Lvl Tables
CREATE TABLE DPAD_TUTONDO_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1);

--Tutondo MondoT Process
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TUTONDOMONDOTCOMMAND_SOCKET_FILE', '/tmp/dpad_variables/sockets/dpad_tutondomondotgateway.socket', 'Unix socket for low-level tutondogateway mondot service communication');
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ('DPAD_TUTONDOMONDOTLOOP_TIMEOUT', '500000', 'Tutondo MondoT main loop idle timeout');

--Views
CREATE VIEW DPAD_TUTONDOGATEWAY_TUTONDOZONES AS SELECT O.ID AS ID, O.MSP AS ZONEID, RO.PARENTOBJ_ID AS CENTRALID , O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID FROM DPADD_OBJECT O, DPADD_OBJECT_RELATION RO WHERE O.TYPE = 'TUTONDO_ZONE' AND O.ID = RO.CHILDOBJ_ID AND RO.RELATION_WEB_TIPOLOGY= 'TUTONDO_CENTRAL_RELATION';
CREATE VIEW DPAD_TUTONDOGATEWAY_TUTONDOCONTROLS AS SELECT O.ID AS ID, RO.PARENTOBJ_ID AS ZONEID, O.TYPE AS TIPOLOGY FROM DPADD_OBJECT O, DPADD_OBJECT_RELATION RO WHERE ( (O.TYPE = 'TUTONDO_ONOFF') OR (O.TYPE = 'TUTONDO_STANDBY') OR (O.TYPE = 'TUTONDO_MUTE') OR (O.TYPE = 'TUTONDO_SLEEP') OR (O.TYPE = 'TUTONDO_VOLUME') OR (O.TYPE = 'TUTONDO_HIGH') OR (O.TYPE = 'TUTONDO_LOW') OR (O.TYPE = 'TUTONDO_BALANCE') OR (O.TYPE = 'TUTONDO_PROGRAM') OR (O.TYPE = 'TUTONDO_LOUD') ) AND O.ID = RO.CHILDOBJ_ID AND RO.RELATION_WEB_TIPOLOGY= 'TUTONDO_ZONE_RELATION';
CREATE VIEW DPAD_TUTONDOGATEWAY_TUTONDOSOURCES AS SELECT O.ID AS ID, O.MSP AS SOURCEID, RO.PARENTOBJ_ID AS CENTRALID, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.IS_READABLE AS HASSTATUS, O.IS_WRITABLE AS HASSTIF FROM DPADD_OBJECT O, DPADD_OBJECT_RELATION RO WHERE O.TYPE = 'TUTONDO_SOURCE' AND O.ID = RO.CHILDOBJ_ID AND RO.RELATION_WEB_TIPOLOGY= 'TUTONDO_CENTRAL_RELATION';

--Tutondo Central Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoCentral', 'tutondo', 'dpadtutondocentral.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOCENTRAL', 'tutondo_central.png', '', '', '', '1', '0', '0' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_CENTRAL", "_DPAD_DBCONSTANT_TYPE_TUTONDO_CENTRAL", "dpadTutondoCentral", "" );
--Tutondo Zone Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoZone', 'tutondo', 'dpadtutondozone.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOZONE', 'tutondo_zone.png', '', '', '', '1', '0', '0' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_ZONE", "_DPAD_DBCONSTANT_TYPE_TUTONDO_ZONE", "dpadTutondoZone", "" );
--Tutondo Volume Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoVolume', 'tutondo', 'dpadtutondovolume.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOVOLUME', 'ico_audio_volume.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_VOLUME", "_DPAD_DBCONSTANT_TYPE_TUTONDO_VOLUME", "dpadTutondoVolume", "INCREASE|DECREASE|SETVALUE" );
--Tutondo Program Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoProgram', 'tutondo', 'dpadtutondoprogram.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOPROGRAM', 'ico_numeric.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_PROGRAM", "_DPAD_DBCONSTANT_TYPE_TUTONDO_PROGRAM", "dpadTutondoProgram", "NEXT|PREV|SETVALUE" );
--Tutondo Low Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoLow', 'tutondo', 'dpadtutondolow.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOLOW', 'ico_audio_volume.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_LOW", "_DPAD_DBCONSTANT_TYPE_TUTONDO_LOW", "dpadTutondoLow", "INCREASE|DECREASE|SETVALUE" );
--Tutondo High Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoHigh', 'tutondo', 'dpadtutondohigh.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOHIGH', 'ico_audio_volume.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_HIGH", "_DPAD_DBCONSTANT_TYPE_TUTONDO_HIGH", "dpadTutondoHigh", "INCREASE|DECREASE|SETVALUE" );
--Tutondo On/Off Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoOnOff', 'tutondo', 'dpadtutondoonoff.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOONOFF', 'ico_audio_hifi_on.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_ONOFF", "_DPAD_DBCONSTANT_TYPE_TUTONDO_ONOFF", "dpadTutondoOnOff", "SETVALUE" );
--Tutondo Stand-By Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoStandby', 'tutondo', 'dpadtutondostandby.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOSTANDBY', 'ico_audio_hifi_on.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_STANDBY", "_DPAD_DBCONSTANT_TYPE_TUTONDO_STANDBY", "dpadTutondoStandby", "SETVALUE" );
--Tutondo Mute Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoMute', 'tutondo', 'dpadtutondomute.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOMUTE', 'ico_audio_hifi_off.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_MUTE", "_DPAD_DBCONSTANT_TYPE_TUTONDO_MUTE", "dpadTutondoMute", "SETVALUE" );
--Tutondo Sleep Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoSleep', 'tutondo', 'dpadtutondosleep.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOSLEEP', 'ico_audio_hifi_off.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_SLEEP", "_DPAD_DBCONSTANT_TYPE_TUTONDO_SLEEP", "dpadTutondoSleep", "SETVALUE" );
--Tutondo Balance Object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoBalance', 'tutondo', 'dpadtutondobalance.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOBALANCE', 'ico_audio_balance.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_BALANCE", "_DPAD_DBCONSTANT_TYPE_TUTONDO_BALANCE", "dpadTutondoBalance", "SETVALUE|INCREASE|DECREASE" );
-- STIF object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoStif', 'tutondo', 'dpadtutondostif.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOSTIF', 'ico_infrared_generic.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_STIF", "_DPAD_DBCONSTANT_TYPE_TUTONDO_STIF", "dpadTutondoStif", "" );
-- IR Commando
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoIrcommand', 'tutondo', 'dpadtutondoircommand.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOIRCOMMAND', 'ico_infrared_generic.png', '', '', '', '1', '1', '0' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_IRCOMMAND", "_DPAD_DBCONSTANT_TYPE_TUTONDO_IRCOMMAND", "dpadTutondoIrcommand", "" );
-- Loud object
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoLoud', 'tutondo', 'dpadtutondoloud.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOLOUD', 'ico_audio_volume.png', '', '', '', '1', '1', '1' );
INSERT INTO "DPADD_OBJECT_TYPES" ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_LOUD", "_DPAD_DBCONSTANT_TYPE_TUTONDO_LOUD", "dpadTutondoLoud", "" );
--Tutondo Source Manager Object
INSERT INTO DPAD_WEB_PHPCLASS ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoSourceManager', 'tutondo', 'dpadtutondosourcemanager.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOSOURCEMANAGER', 'ico_audio_hifi_off.png', '', '', '', '1', '0', '0' );
INSERT INTO DPADD_OBJECT_TYPES ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_SOURCEMANAGER", "_DPAD_DBCONSTANT_TYPE_TUTONDO_SOURCEMANAGER", "dpadTutondoSourceManager", "" );
--Tutondo Source Object
INSERT INTO DPAD_WEB_PHPCLASS ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoSource', 'tutondo', 'dpadtutondosource.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOSOURCE', 'ico_audio_hifi_off.png', '', '', '', '1', '1', '0' );
INSERT INTO DPADD_OBJECT_TYPES ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_SOURCE", "_DPAD_DBCONSTANT_TYPE_TUTONDO_SOURCE", "dpadTutondoSource", "SETVALUE" );
--Tutondo Source State Object
INSERT INTO DPAD_WEB_PHPCLASS ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES( NULL, 'dpadTutondoSourceState', 'tutondo', 'dpadtutondosourcestate.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADTUTONDOSOURCESTATE', 'ico_audio_hifi_off.png', '', '', '', '1', '0', '0' );
INSERT INTO DPADD_OBJECT_TYPES ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( NULL, "TUTONDO_SOURCESTATE", "_DPAD_DBCONSTANT_TYPE_TUTONDO_SOURCESTATE", "dpadTutondoSourceState", "" );

--Renderings
-- $TUTONDO_RENDERING_CENTRAL$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_CENTRAL', 1, '0', '1', '1', 'ico_tutondo_central_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_CENTRAL_OK",1=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_CENTRAL_KO"', '0=>"ico_tutondo_central_ok.png",1=>"ico_tutondo_central_ko.png"', '', '', '', 'dpadTutondoCentral ', '');
-- $TUTONDO_RENDERING_ZONE$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_ZONE', '0', '0', '0', '0', 'ico_tutondo_zone.png', '', '', '', '', '', 'dpadTutondoZone ', '','SYSTEM');
-- $TUTONDO_RENDERING_ONOFF$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_ON_OFF', '1', '0', '1', '1', 'ico_audio_generic_on.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_ON"', '0=>"ico_audio_generic_off.png",1=>"ico_audio_generic_on.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadTutondoOnOff dpadTutondoStandby dpadTutondoMute dpadTutondoSleep dpadTutondoLoud ', '','SYSTEM');
-- $TUTONDO_RENDERING_VOLUME$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_VOLUME', '0', '0', '100', '5', 'ico_audio_volume.png', '', '', '', '', '%s%%', 'dpadTutondoVolume ','','SYSTEM');
-- $TUTONDO_RENDERING_HIGHLOW$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_MIXER', '0', '0', '100', '5', 'ico_audio_volume.png', '', '', '', '', '%s%%', 'dpadTutondoLow dpadTutondoHigh dpadTutondoBalance ','','SYSTEM');
-- $TUTONDO_RENDERING_BALANCE$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_BALANCE', '0', '0', '100', '5', 'ico_audio_balance.png', '', '', '', '%s%%', '', 'dpadTutondoBalance ','','SYSTEM');
-- $TUTONDO_RENDERING_PROGRAM$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_PROGRAM', '1', '1', '1', '1', 'ico_number_1.png', '', '', '', '', '', 'dpadTutondoProgram ','','SYSTEM');
-- $TUTONDO_RENDERING_IRCOMMAND$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_IRCOMMAND', '1', '0', '120', '1', 'ico_audio_play.png', '23=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_CHANNEL_MINUS",24=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_CHANNEL_PLUS",44=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PAUSE",45=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PLAY",53=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PREV",54=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_NEXT",55=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_STOP",60=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_VOLUME_MINUS",61=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_VOLUME_PLUS"', '23=>"ico_audio_minus.png",24=>"ico_audio_plus.png",44=>"ico_audio_pause.png",45=>"ico_audio_play.png",53=>"ico_audio_prev.png",54=>"ico_audio_next.png",55=>"ico_audio_stop.png",60=>"ico_audio_volume_up.png",61=>"ico_audio_volume_down.png"', '', '', '', 'dpadTutondoIrcommand ','','SYSTEM');
-- $TUTONDO_RENDERING_SOURCEMANAGER$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_SOURCEMANAGER', '0', '', '', '', 'ico_audio_hifi_off.png', '', '', '', '', '', 'dpadTutondoSourceManager ','','SYSTEM');
-- $TUTONDO_RENDERING_SOURCESTATE$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_SOURCESTATE', '0', '', '', '', 'ico_audio_hifi_off.png', '', '', '', '', '', 'dpadTutondoSourceState ','','SYSTEM');
-- $TUTONDO_RENDERING_SOURCE_STIFF_YAMAHA$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_SOURCE_STIFF_YAMAHA', '1', '0', '120', '1', 'ico_infrared_generic.png', '44=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PAUSE",45=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PLAY",38=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PREV",39=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_NEXT",55=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_STOP",36=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PREV_DIRDISC",40=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_NEXT_DIRDISC",46=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_RANDOM"', '44=>"ico_audio_pause.png",45=>"ico_audio_play.png",38=>"ico_audio_prev.png",39=>"ico_audio_next.png",55=>"ico_audio_stop.png",36=>"ico_audio_minus.png",40=>"ico_audio_plus.png",46=>"ico_audio_mode_shuffle.png"', '', '', '', 'dpadTutondoSourceManager ','STIFF_YAMAHA','SYSTEM');
-- $TUTONDO_RENDERING_SOURCE_STIFF_DENON_PIONEER$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_SOURCE_STIFF_DENON_PIONEER', '1', '0', '120', '1', 'ico_infrared_generic.png', '44=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PAUSE",45=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PLAY",53=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PREV",54=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_NEXT",55=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_STOP",72=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PREV_DIRDISC",73=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_NEXT_DIRDISC",46=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_RANDOM"', '44=>"ico_audio_pause.png",45=>"ico_audio_play.png",53=>"ico_audio_prev.png",54=>"ico_audio_next.png",55=>"ico_audio_stop.png",72=>"ico_audio_minus.png",73=>"ico_audio_plus.png",46=>"ico_audio_mode_shuffle.png"', '', '', '', 'dpadTutondoSourceManager ','STIFF_DENON_PIONEER','SYSTEM');
-- $TUTONDO_RENDERING_SOURCE_S2R2UT$ = INSERT INTO DPADD_RENDERING (ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, OWNED_BY) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TUTONDO_SOURCE_S2R2UT', '1', '0', '120', '1', 'ico_infrared_generic.png', '44=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PAUSE",45=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PLAY",38=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PREV",39=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_NEXT",55=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_STOP",36=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_PREV_DIRDISC",40=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_NEXT_DIRDISC",46=>"_DPAD_DBCONSTANT_RENDERING_TUTONDO_RANDOM"', '44=>"ico_audio_pause.png",45=>"ico_audio_play.png",38=>"ico_audio_prev.png",39=>"ico_audio_next.png",55=>"ico_audio_stop.png",36=>"ico_audio_minus.png",40=>"ico_audio_plus.png",46=>"ico_audio_mode_shuffle.png"', '', '', '', 'dpadTutondoSourceManager ','S2R2UT','SYSTEM');

--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$TUTONDO_RENDERING_ZONE$,$TUTONDO_RENDERING_ONOFF$,'standby','',1,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$TUTONDO_RENDERING_ZONE$,$TUTONDO_RENDERING_VOLUME$,'volume','',2,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$TUTONDO_RENDERING_ZONE$,$TUTONDO_RENDERING_HIGHLOW$,'high','',2,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$TUTONDO_RENDERING_ZONE$,$TUTONDO_RENDERING_HIGHLOW$,'low','',2,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$TUTONDO_RENDERING_ZONE$,$TUTONDO_RENDERING_BALANCE$,'balance','',2,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$TUTONDO_RENDERING_ZONE$,$TUTONDO_RENDERING_PROGRAM$,'program','',2,'GENERIC_RELATION');
--INSERT INTO "DPADD_RENDERING_RELATION"(ID,PARENTOBJ_ID,CHILDOBJ_ID,RELATION_CONDITION,OPTIONAL,ORDER_NUM,RELATION_WEB_TIPOLOGY) VALUES(NULL,$TUTONDO_RENDERING_ZONE$,$TUTONDO_RENDERING_SOURCESTATE$,'sourcestate','',2,'GENERIC_RELATION');

--Source manager object create
--$TUTONDO_SOURCEMANAGER$=INSERT INTO DPADD_OBJECT (ID,NAME,DESCRIPTION,RENDERING_ID,TYPE,PHPCLASS,IS_VISIBLE,OWNED_BY) VALUES (NULL,'_DPAD_DBCONSTANT_TUTONDO_SOURCEMANAGER','_DPAD_DBCONSTANT_TUTONDO_SOURCEMANAGER_DESCRIPTION',(SELECT ID FROM DPADD_RENDERING WHERE PHPCLASSES LIKE '%dpadTutondoSourceManager%'),'TUTONDO_SOURCEMANAGER','dpadTutondoSourceManager',0,'SYSTEM');

--Module Version
INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION, IS_ACTIVE ) VALUES( NULL, "tutondo", "_DPAD_DBCONSTANT_WEBMODULE_TUTONDO", "3.0.0", 1 );