/**
 * Overscroll v1.7.2
 *  A jQuery Plugin that emulates the iPhone scrolling experience in a browser.
 *  http://azoffdesign.com/overscroll
 *
 * Intended for use with the latest jQuery
 *  http://code.jquery.com/jquery-latest.js
 *
 * Copyright 2013, Jonathan Azoff
 * Licensed under the MIT license.
 *  https://github.com/azoff/overscroll/blob/master/mit.license
 *
 * For API documentation, see the README file
 *  http://azof.fr/pYCzuM
 *
 * Date: Tuesday, March 18th 2013
 */(function(a,b,c,d,e,f,g,h,i){"use strict";function o(a,b){b.trigger("overscroll:"+a)}function p(){return(new Date).getTime()}function q(a,b,c){return b.x=a.pageX,b.y=a.pageY,b.time=p(),b.index=c,b}function r(a,b,c,d){var e,f;a&&a.added&&(a.horizontal&&(e=c*(1+b.container.width/b.container.scrollWidth),f=d+b.thumbs.horizontal.top,a.horizontal.css("margin",f+"px 0 0 "+e+"px")),a.vertical&&(e=c+b.thumbs.vertical.left,f=d*(1+b.container.height/b.container.scrollHeight),a.vertical.css("margin",f+"px 0 0 "+e+"px")))}function s(a,b,c){a&&a.added&&!b.persistThumbs&&(c?(a.vertical&&a.vertical.stop(!0,!0).fadeTo("fast",m.thumbOpacity),a.horizontal&&a.horizontal.stop(!0,!0).fadeTo("fast",m.thumbOpacity)):(a.vertical&&a.vertical.fadeTo("fast",0),a.horizontal&&a.horizontal.fadeTo("fast",0)))}function t(a){var b,c="events",d=h._data?h._data(a[0],c):a.data(c);d&&d.click&&(b=d.click.slice(),a.off("click").one("click",function(){return h.each(b,function(b,c){a.click(c)}),!1}))}function u(a){var b=a.data,c=b.thumbs,d=b.options,e=a.type==="mouseenter";s(c,d,e)}function v(a){var b=a.data;b.flags.dragged||r(b.thumbs,b.sizing,this.scrollLeft,this.scrollTop)}function w(a){a.preventDefault();var b=a.data,c=b.options,d=b.sizing,g=b.thumbs,h=b.wheel,i=b.flags,k=a.originalEvent,l=0,n=0,o=0;i.drifting=!1,k.detail?(l=-k.detail,k.detailX&&(n=-k.detailX),k.detailY&&(o=-k.detailY)):k.wheelDelta&&(l=k.wheelDelta/m.wheelTicks,k.wheelDeltaX&&(n=k.wheelDeltaX/m.wheelTicks),k.wheelDeltaY&&(o=k.wheelDeltaY/m.wheelTicks)),l*=c.wheelDelta,n*=c.wheelDelta,o*=c.wheelDelta,h||(b.target.data(j).dragging=i.dragging=!0,b.wheel=h={timeout:null},s(g,c,!0)),c.wheelDirection==="vertical"?this.scrollTop-=l:c.wheelDirection==="horizontal"?this.scrollLeft-=l:(this.scrollLeft-=n,this.scrollTop-=o||l),h.timeout&&f(h.timeout),r(g,d,this.scrollLeft,this.scrollTop),h.timeout=e(function(){b.target.data(j).dragging=i.dragging=!1,s(g,c,b.wheel=null)},m.thumbTimeout)}function x(a){a.preventDefault();var b=a.data,c=a.originalEvent.touches,d=b.options,e=b.sizing,f=b.thumbs,g=b.position,h=b.flags,i=b.target.get(0);c&&c.length&&(a=c[0]),h.dragged||s(f,d,!0),h.dragged=!0,d.direction!=="vertical"&&(i.scrollLeft-=a.pageX-g.x),b.options.direction!=="horizontal"&&(i.scrollTop-=a.pageY-g.y),q(a,b.position),--b.capture.index<=0&&(b.target.data(j).dragging=h.dragging=!0,q(a,b.capture,m.captureThreshold)),r(f,e,i.scrollLeft,i.scrollTop)}function y(a,b,c){var d=b.data,e,f,g,h,i=d.capture,j=d.options,l=d.sizing,n=d.thumbs,q=p()-i.time,s=a.scrollLeft,t=a.scrollTop,u=m.driftDecay;if(q>m.driftTimeout){c(d);return}e=j.scrollDelta*(b.pageX-i.x),f=j.scrollDelta*(b.pageY-i.y),j.direction!=="vertical"&&(s-=e),j.direction!=="horizontal"&&(t-=f),g=e/m.driftSequences,h=f/m.driftSequences,o("driftstart",d.target),d.drifting=!0,k.animate(function v(){if(d.drifting){var b=1,e=-1;d.drifting=!1;if(h>b&&a.scrollTop>t||h<e&&a.scrollTop<t)d.drifting=!0,a.scrollTop-=h,h/=u;if(g>b&&a.scrollLeft>s||g<e&&a.scrollLeft<s)d.drifting=!0,a.scrollLeft-=g,g/=u;r(n,l,a.scrollLeft,a.scrollTop),k.animate(v)}else o("driftend",d.target),c(d)})}function z(a){var b=a.data,c=a.originalEvent.touches,d=b.target,e=b.start=h(a.target),f=b.flags;f.drifting=!1,e.size()&&!e.is(b.options.cancelOn)&&(c||a.preventDefault(),k.overflowScrolling||(d.css("cursor",k.cursor.grabbing),d.data(j).dragging=f.dragging=f.dragged=!1,b.options.dragHold?h(document).on(l.drag,b,x):d.on(l.drag,b,x)),b.position=q(a,{}),b.capture=q(a,{},m.captureThreshold),o("dragstart",d))}function A(a){var b=a.data,c=b.target,d=b.options,e=b.flags,f=b.thumbs,g=function(){f&&!d.hoverThumbs&&s(f,d,!1)};d.dragHold?h(document).unbind(l.drag,x):c.unbind(l.drag,x),b.position&&(o("dragend",c),e.dragging&&!k.overflowScrolling?y(c.get(0),a,g):g()),e.dragging&&!k.overflowScrolling&&b.start&&b.start.is(a.target)&&t(b.start),c.data(j).dragging=b.start=b.capture=b.position=e.dragged=e.dragging=!1,c.css("cursor",k.cursor.grab)}function B(a){return a=h.extend({},n,a),a.direction!=="multi"&&a.direction!==a.wheelDirection&&(a.wheelDirection=a.direction),a.scrollDelta=d.abs(parseFloat(a.scrollDelta)),a.wheelDelta=d.abs(parseFloat(a.wheelDelta)),a.scrollLeft=a.scrollLeft===i?null:d.abs(parseFloat(a.scrollLeft)),a.scrollTop=a.scrollTop===i?null:d.abs(parseFloat(a.scrollTop)),a}function C(a){var b=h(a),c=b.width(),d=b.height(),e=c>=a.scrollWidth?c:a.scrollWidth,f=d>=a.scrollHeight?d:a.scrollHeight,g=e>c||f>d;return{valid:g,container:{width:c,height:d,scrollWidth:e,scrollHeight:f},thumbs:{horizontal:{width:c*c/e,height:m.thumbThickness,corner:m.thumbThickness/2,left:0,top:d-m.thumbThickness},vertical:{width:m.thumbThickness,height:d*d/f,corner:m.thumbThickness/2,left:c-m.thumbThickness,top:0}}}}function D(a,b){var c=h(a),d,e=c.data(j)||{},f=c.attr("style"),g=b?function(){e=c.data(j),d=e.thumbs,f?c.attr("style",f):c.removeAttr("style"),d&&(d.horizontal&&d.horizontal.remove(),d.vertical&&d.vertical.remove()),c.removeData(j).off(l.wheel,w).off(l.start,z).off(l.end,A).off(l.ignored,G)}:h.noop;return h.isFunction(e.remover)?e.remover:g}function E(a,b){return{position:"absolute",opacity:b.persistThumbs?m.thumbOpacity:0,"background-color":"black",width:a.width+"px",height:a.height+"px","border-radius":a.corner+"px",margin:a.top+"px 0 0 "+a.left+"px","z-index":b.zIndex}}function F(a,b,c){var d="<div/>",e={},f=!1;return b.container.scrollWidth>0&&c.direction!=="vertical"&&(f=E(b.thumbs.horizontal,c),e.horizontal=h(d).css(f).prependTo(a)),b.container.scrollHeight>0&&c.direction!=="horizontal"&&(f=E(b.thumbs.vertical,c),e.vertical=h(d).css(f).prependTo(a)),e.added=!!f,e}function G(a){a.preventDefault()}function H(a,b){b=B(b);var c=C(a),d,e={options:b,sizing:c,flags:{dragging:!1},remover:D(a,!0)};c.valid&&(e.target=a=h(a).css({position:"relative",cursor:k.cursor.grab}).on(l.start,e,z).on(l.end,e,A).on(l.ignored,e,G),b.dragHold?h(document).on(l.end,e,A):e.target.on(l.end,e,A),b.scrollLeft!==null&&a.scrollLeft(b.scrollLeft),b.scrollTop!==null&&a.scrollTop(b.scrollTop),k.overflowScrolling?a.css(k.overflowScrolling,"touch"):a.on(l.scroll,e,v),b.captureWheel&&a.on(l.wheel,e,w),b.showThumbs?k.overflowScrolling?a.css("overflow","scroll"):(a.css("overflow","hidden"),e.thumbs=d=F(a,c,b),d.added&&(r(d,c,a.scrollLeft(),a.scrollTop()),b.hoverThumbs&&a.on(l.hover,e,u))):a.css("overflow","hidden"),a.data(j,e))}function I(a){D(a)()}function J(a){return this.removeOverscroll().each(function(){H(this,a)})}function K(){return this.each(function(){I(this)})}var j="overscroll";b.body===null&&b.documentElement.appendChild(b.createElement("body"));var k={animate:function(){var b=a.requestAnimationFrame||a.webkitRequestAnimationFrame||a.mozRequestAnimationFrame||a.oRequestAnimationFrame||a.msRequestAnimationFrame||function(a){e(a,1e3/60)};return function(c){b.call(a,c)}}(),overflowScrolling:function(){var c="",d=b.createElement("div"),e=["webkit","moz","o","ms"];b.body.appendChild(d),h.each(e,function(a,b){d.style[b+"OverflowScrolling"]="touch"}),d.style.overflowScrolling="touch";var f=a.getComputedStyle(d);return f.overflowScrolling?c="overflow-scrolling":h.each(e,function(a,b){return!f[b+"OverflowScrolling"]||(c="-"+b+"-overflow-scrolling"),!c}),d.parentNode.removeChild(d),c}(),cursor:function(){var c=b.createElement("div"),d=["webkit","moz"],e="https://mail.google.com/mail/images/2/",f={grab:"url("+e+"openhand.cur), move",grabbing:"url("+e+"closedhand.cur), move"};return b.body.appendChild(c),h.each(d,function(b,d){var e,g="-"+d+"-grab";c.style.cursor=g;var h=a.getComputedStyle(c);return e=h.cursor===g,e&&(f={grab:"-"+d+"-grab",grabbing:"-"+d+"-grabbing"}),!e}),c.parentNode.removeChild(c),f}()},l={drag:"mousemove touchmove",end:"mouseup mouseleave click touchend touchcancel",hover:"mouseenter mouseleave",ignored:"select dragstart drag",scroll:"scroll",start:"mousedown touchstart",wheel:"mousewheel DOMMouseScroll"},m={captureThreshold:3,driftDecay:1.1,driftSequences:22,driftTimeout:100,scrollDelta:15,thumbOpacity:.7,thumbThickness:6,thumbTimeout:400,wheelDelta:20,wheelTicks:120},n={cancelOn:"select,input,textarea",direction:"multi",dragHold:!1,hoverThumbs:!1,scrollDelta:m.scrollDelta,showThumbs:!0,persistThumbs:!1,captureWheel:!0,wheelDelta:m.wheelDelta,wheelDirection:"multi",zIndex:999};J.settings=m,h.extend(g,{overscroll:J,removeOverscroll:K})})(window,document,navigator,Math,setTimeout,clearTimeout,jQuery.fn,jQuery);