--Module: EIB update_0.0.0_to_0.0.1.sql

CREATE TABLE DPAD_EIB_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1);
CREATE TABLE DPAD_EIBGATEWAY_NEWEIBGROUP ( ID INTEGER PRIMARY KEY AUTOINCREMENT, GROUPADDRESS TEXT UNIQUE, DATALENGTH INTEGER DEFAULT -1);
CREATE VIEW DPAD_EIBGATEWAY_EIBGROUPS AS SELECT ID, VALUES_TYPE, MSP, OPTIONALP, COMMUNICATIONSECTION_ID FROM DPADD_OBJECT WHERE TYPE = 'EIBGROUP';
CREATE TABLE DPADD_EIB_IMPORT_DEVICE( ID_ETS_DEVICE INTEGER PRIMARY KEY, PHADDR TEXT NOT NULL, ETS_NAME TEXT, MANUFACTURER TEXT NOT NULL);
CREATE TABLE DPADD_EIB_IMPORT_EIBGROUP( ID_ETS_EIBGROUP INTEGER PRIMARY KEY, MAINGROUP_ADDRESS INTEGER NOT NULL DEFAULT 0, MIDDLEGROUP_ADDRESS INTEGER NOT NULL DEFAULT 0, SUBGROUP_ADDRESS INTEGER NOT NULL DEFAULT 0, ADDRESS TEXT NOT NULL, ETS_NAME TEXT, OBJECT_READ INTEGER(4) NOT NULL DEFAULT 0, OBJECT_WRITE INTEGER(4) NOT NULL DEFAULT 0, LENGTH_IN_BIT INTEGER(4) NOT NULL DEFAULT 0);
CREATE TABLE DPADD_EIB_IMPORT_COMMOBJECT ( ID_ETS_COMMOBJECT INTEGER NOT NULL DEFAULT 0, ID_ETS_DEVICE INTEGER NOT NULL DEFAULT 0, NUMBER INTEGER(6) NOT NULL DEFAULT 0, OBJECT_NAME TEXT NOT NULL, FUNCTION TEXT, PRIORITY INTEGER(4) DEFAULT 0, OBJECT_READ INTEGER(4) NOT NULL DEFAULT 0, OBJECT_WRITE INTEGER(4) NOT NULL DEFAULT 0, LENGTH_IN_BIT INTEGER NOT NULL DEFAULT 0, OBJECT_SUBGROUPS_TEXT TEXT NOT NULL, PRIMARY KEY ( ID_ETS_COMMOBJECT, ID_ETS_DEVICE) );

INSERT INTO "DPADD_PROCESS_CONFIGURATION" (PROCESS_NAME, PROCESS_DESCRIPTION, PROCESS_ORDER, PROCESS_DELAYONSTARTUP) VALUES ('EIBGateway', 'DomoticaLabs - Gateway for EIB/KNX plants', 2, 1000);

-- $EIB_ABBGWIP$ = INSERT INTO "DPADD_COMMUNICATION_SECTION" (ID, NAME, TYPE, DESCRIPTION) VALUES ( NULL, 'ABBGWIP', 'EIB', 'ABB Gateway IP - DomoticaLabsOffice');
-- $EIB_DISCHTPUART$ = INSERT INTO "DPADD_COMMUNICATION_SECTION" (ID, NAME, TYPE, DESCRIPTION) VALUES ( NULL, 'DISCHTPUART', 'EIB', 'DISCH Serial Adapter Device - DomoticaLabsOffice');
-- $EIB_SIEMENSGWIP$ = INSERT INTO "DPADD_COMMUNICATION_SECTION" (ID, NAME, TYPE, DESCRIPTION) VALUES ( NULL, 'SIEMENSGWIP', 'EIB', 'SIEMENS Gateway IP - DomoticaLabsOffice');
-- $EIB_EIBNETIP$ = INSERT INTO "DPADD_COMMUNICATION_SECTION" (ID, NAME, TYPE, DESCRIPTION) VALUES ( NULL, 'EIBNETIP', 'EIB', 'SIEMENS Gateway EIBNET/IP - DomoticaLabsOffice');

INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IGS_MULTICASTADDRESS', '239.192.39.238', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_ADDRESS', 1);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IGS_MULTICASTPORT', '51000', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_PORT', 1);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IGS_MULTICASTTTL', '1', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_MULTICASTTTL', 1);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIBGROUPS_ADDRESSLEVEL_NOTATION', '3-Level', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_ADDRESSLEVEL_NOTATION', 1);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_TPUART_SERIALPORT', '4001', '_DPAD_DBCONSTANT_EIBCONFIG_TPUART_SERIALPORT', 2);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIBGROUPS_ADDRESSLEVEL_NOTATION', '3-Level', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_ADDRESSLEVEL_NOTATION', 2);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_EIBNETIP_IPADDRESS', '192.168.0.77', '_DPAD_DBCONSTANT_EIBCONFIG_EIBNET_IPADDRESS', 6);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_EIBNETIP_IPPORT', '3671', '_DPAD_DBCONSTANT_EIBCONFIG_EIBNET_PORT', 6);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIBGROUPS_ADDRESSLEVEL_NOTATION', '3-Level', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_ADDRESSLEVEL_NOTATION', 6);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IGS_MULTICASTADDRESS', '239.192.39.238', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_ADDRESS', 3);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IGS_MULTICASTPORT', '51001', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_PORT', 3);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIB_IGS_MULTICASTTTL', '1', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_MULTICASTTTL', 3);
INSERT INTO "DPAD_EIB_CONFIGURATION" (NAME, VALUE, DESCRIPTION, SECTION_ID) VALUES ('DPAD_EIBGROUPS_ADDRESSLEVEL_NOTATION', '3-Level', '_DPAD_DBCONSTANT_EIBCONFIG_MULTICAST_ADDRESSLEVEL_NOTATION', 3);

-- $EIB_URL_IMPORT_ETS$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES ( NULL, '_DPAD_DBCONSTANT_URL_IMPORT_ETS', NULL, 'URL', NULL, NULL, NULL, NULL, -1, -1, 'document-save.png', 0, 0, 1, '../eib/ets_import.php?id={id}&step=1', NULL, 'dpadUrl', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES (NULL, $SYSTEM_GROUP_CONFIGURATION$, $EIB_URL_IMPORT_ETS$, 'NO-CONDITION', NULL, NULL, 3, NULL, NULL);
-- $EIB_GROUP_SCENARIO_EIB$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_GROUP_SCENARIO_EIB', NULL, 'GROUP', NULL, NULL, NULL, NULL, -1, -1, 'services.png', 0, 0, 0, '../system/viewgrid.php', NULL, 'dpadGroup', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES (NULL, $SYSTEM_GROUP_PERSONALIZATION$, $EIB_GROUP_SCENARIO_EIB$, 'NO-CONDITION', NULL, NULL, 4, NULL, NULL);
-- $EIB_URL_NEW_EIB_SCENARIO$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_NEW_EIB_SCENARIO', NULL, 'URL', NULL, NULL, NULL, NULL, -1, -1, 'list-add.png', 0, 0, 1, '../system/editobject.php?mode=new&phpclass=dpadEibScenario&context=configuration', NULL, 'dpadUrl', NULL);
-- $EIB_URL_LIST_EIB_SCENARIO$ = INSERT INTO "DPADD_OBJECT" (ID, NAME, DESCRIPTION, TYPE, MIN_VALUE, MAX_VALUE, CURRENT_VALUE, VALUES_TYPE, STATUS_ID, RENDERING_ID, IMAGE_PATH, IS_READABLE, IS_WRITABLE, IS_VISIBLE, MSP, OPTIONALP, PHPCLASS, COMMUNICATIONSECTION_ID) VALUES( NULL, '_DPAD_DBCONSTANT_URL_LIST_EIB_SCENARIO', NULL, 'URL', NULL, NULL, NULL, NULL, -1, -1, 'services.png', 0, 0, 1, '../system/search.php?id=9&keywords=&parent_id=&is_visible=1&phpclass=dpadEibScenario&submit=submit', NULL, 'dpadUrl', NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES (NULL, $EIB_GROUP_SCENARIO_EIB$, $EIB_URL_NEW_EIB_SCENARIO$, 'NO-CONDITION', NULL, NULL, 0, NULL, NULL);
-- INSERT INTO "DPADD_OBJECT_RELATION" (ID, PARENTOBJ_ID, CHILDOBJ_ID, RELATION_CONDITION, ACTION, ACTION_VALUE, ORDER_NUM, ACCESS_MODE, OPTIONAL) VALUES (NULL, $EIB_GROUP_SCENARIO_EIB$, $EIB_URL_LIST_EIB_SCENARIO$, 'NO-CONDITION', NULL, NULL, 1, NULL, NULL);

INSERT INTO "DPADD_OBJECT_TYPES"  ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, 'EIBGROUP', '_DPAD_DBCONSTANT_TYPE_EIBGROUP', 'dpadEibGroup', NULL );
INSERT INTO "DPADD_OBJECT_TYPES"  ( ID, TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES (NULL, 'EIBOBJECT', '_DPAD_DBCONSTANT_TYPE_EIBOBJECT', 'dpadEibObject', 'SETVALUE' );

INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_LIGHT_ON_OFF', 1, '0', '1', '1', 'light_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF_F",1=>"_DPAD_DBCONSTANT_RENDERING_ON_F"', '0=>"light_off.png",1=>"light_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ', '1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_LIGHT_DIMMER', 1, '0', '100', '25', 'light_dim_0.png', '0=>"_DPAD_DBCONSTANT_RENDERING_0_PERC",25=>"_DPAD_DBCONSTANT_RENDERING_25_PERC",50=>"_DPAD_DBCONSTANT_RENDERING_50_PERC",75=>"_DPAD_DBCONSTANT_RENDERING_75_PERC",100=>"_DPAD_DBCONSTANT_RENDERING_100_PERC"', '0=>"light_dim_0.png",25=>"light_dim_25.png",50=>"light_dim_50.png",75=>"light_dim_75.png",100=>"light_dim_100.png"', '<{state|slider|setvalue}>', '<table><tr><td><{state|image|setvalue}></td><td colspan="3"><{state|label|setvalue}></td></tr><tr><td colspan="4"><{state|slider|setvalue}></td></tr></table>', 4, 1, '%s%%', 'dpadEibObject ', '6');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_VALVE_ON_OFF', 1, '0', '1', '1', 'valve_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_CLOSED_F",1=>"_DPAD_DBCONSTANT_RENDERING_OPENED_F"', '0=>"valve_off.png",1=>"valve_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_VENTILATION_ON_OFF', 1, '0', '1', '1', 'fan_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF_F",1=>"_DPAD_DBCONSTANT_RENDERING_ON_F"', '0=>"fan_off.png",1=>"fan_on.gif"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ALARM_ON_OFF', 1, '0', '1', '1', 'bell_disabled.png', '0=>"_DPAD_DBCONSTANT_RENDERING_NORMAL",1=>"_DPAD_DBCONSTANT_RENDERING_ALARM_WARNING"', '0=>"bell_disabled.png",1=>"bell.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_AUDIO_ON_OFF', 1, '0', '1', '1', 'audio_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF_M",1=>"_DPAD_DBCONSTANT_RENDERING_ON_M"', '0=>"audio_off.png",1=>"audio_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_HI_FI_ON_OFF', 1, '0', '1', '1', 'cdrom_disabled.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF_M",1=>"_DPAD_DBCONSTANT_RENDERING_ON_M"', '0=>"cdrom_disabled.png",1=>"cdrom.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_CLOCK_ON_OFF', 1, '0', '1', '1', 'clock.png', '0=>"_DPAD_DBCONSTANT_RENDERING_ACTIVE_M",1=>"_DPAD_DBCONSTANT_RENDERING_INACTIVE_M"', '0=>"clock_disabled.png",1=>"clock.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_THERMOSTAT_COMFORT_STANDBY', 1, '0', '1', '1', 'hvac_comfort.png', '0=>"_DPAD_DBCONSTANT_RENDERING_STANDBY",1=>"_DPAD_DBCONSTANT_RENDERING_COMFORT"', '0=>"hvac_off.png",1=>"hvac_comfort.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_AWNING_UP_DOWN', 1, '0', '1', '1', 'curtain_down.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TURN_UP_F",1=>"_DPAD_DBCONSTANT_RENDERING_TURN_DOWN_F"', '0=>"curtain_down.png",1=>"curtain_up.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_DOOR_OPEN_CLOSE', 1, '0', '1', '1', 'door_opened.png', '0=>"_DPAD_DBCONSTANT_RENDERING_CLOSED_F",1=>"_DPAD_DBCONSTANT_RENDERING_OPENED_F"', '0=>"door_closed.png",1=>"door_opened.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_FORBIDDEN_ACCESS', 1, '0', '1', '1', 'denied_disabled.png', '0=>"_DPAD_DBCONSTANT_RENDERING_ACCESS_ENABLED",1=>"_DPAD_DBCONSTANT_RENDERING_ACCESS_DENIED"', '0=>"denied_disabled.png",1=>"denied.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_THERMOSTAT_DE_ICER_ON_OFF', 1, '0', '1', '1', 'frost_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_INACTIVE_M",1=>"_DPAD_DBCONSTANT_RENDERING_ACTIVE_M"', '0=>"frost_off.png",1=>"frost_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_FLOODING_ON_OFF', 1, '0', '1', '1', 'humidity_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_NORMAL",1=>"_DPAD_DBCONSTANT_RENDERING_FLOODING"', '0=>"humidity_off.png",1=>"humidity_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ROLLING_SHUTTERS_ADJUSTABLE', 1, '0', '1', '1', 'shutters_closed.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OPENED_F_PLURAL",1=>"_DPAD_DBCONSTANT_RENDERING_CLOSED_F_PLURAL"', '0=>"shutters_closed.png",1=>"shutters_opened.png",2=>"process-stop.png"', '<{state|imagelist|setvalue}>', '<{state|imageslit|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ROLLING_SHUTTERS_UP_DOWN', 1, '0', '1', '1', 'shutters_up.png', '0=>"_DPAD_DBCONSTANT_RENDERING_TURN_UP_VERB",1=>"_DPAD_DBCONSTANT_RENDERING_TURN_DOWN_F_VERB"', '0=>"shutters_up.png",1=>"shutters_opened.png"', '<{state|imagelist|setvalue}>', '<{state|imagelist|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ROLLING_SHUTTERS_MANUAL_AUTO', 1, '0', '1', '1', 'shutters_man.gif', '0=>"_DPAD_DBCONSTANT_RENDERING_MANUAL",1=>"_DPAD_DBCONSTANT_RENDERING_AUTO"', '0=>"shutters_man.png",1=>"shutters_auto.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ROLLING_SHUTTERS_STOP', 1, '1', '1', '1', 'shutters_stop.png', '1=>"_DPAD_DBCONSTANT_RENDERING_STOP"', '1=>"shutters_stop.png"', '<{state|imagelist|setvalue}>', '<{state|imagelist|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ROLLING_SHUTTERS_PERCENTAGE', 1, '0', '100', '25', 'shutters_up.png', '0=>"_DPAD_DBCONSTANT_RENDERING_0_PERC",25=>"_DPAD_DBCONSTANT_RENDERING_25_PERC",50=>"_DPAD_DBCONSTANT_RENDERING_50_PERC",75=>"_DPAD_DBCONSTANT_RENDERING_75_PERC",100=>"_DPAD_DBCONSTANT_RENDERING_100_PERC"', '0=>"shutters_up.png",25=>"shutters_25.png",50=>"shutters_50.png",75=>"shutters_75.png",100=>"shutters_opened.png"', '<{state|slider|setvalue}>', '<table><tr><td><{state|image|setvalue}></td><td colspan="3"><{state|label|setvalue}></td></tr><tr><td colspan="4"><{state|slider|setvalue}></td></tr></table>', 4, 1, '%s%%', 'dpadEibObject ','6');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_BRIGHTNESS_VALUE', 0, '0', '10000', '1', '', '', '', '<{state|textbox|setvalue}>', '<{state|textbox|setvalue}>', 3, 1, '', 'dpadEibObject ','5');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_TV_MONITOR_ON_OFF', 1, '0', '1', '1', 'monitor_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF_M",1=>"_DPAD_DBCONSTANT_RENDERING_ON_M"', '0=>"monitor_off.png",1=>"monitor_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_THERMOSTAT_NIGHT_MODE', 1, '0', '1', '1', 'bed_disabled.png', '0=>"_DPAD_DBCONSTANT_RENDERING_DISACTIVATED_F",1=>"_DPAD_DBCONSTANT_RENDERING_ENABLED_F"', '0=>"bed_disabled.png",1=>"bed.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
-- $EIB_RENDERING_GENERIC_ON_OFF$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_GENERIC_ON_OFF', 1, '0', '1', '1', 'off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_ON"', '0=>"off.png",1=>"on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_PRESENCE_ON_OFF', 1, '0', '1', '1', 'presence_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_ABSENT_PLURAL",1=>"_DPAD_DBCONSTANT_RENDERING_PRESENT_PLURAL"', '0=>"presence_off.png",1=>"presence_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_THERMOSTAT_TEMPERATURE', 0, '0', '100', '0.5', 'temperature.png', '', '', '<table><tr><td style="border:0px;"><{state|image|setvalue}></td><td colspan="2"  style="border:0px;"><{state|label|setvalue}></td></tr></table>', '<table><tr><td><{state|image|setvalue}></td><td><{state|label|setvalue}></td></tr></table>', 3, 1, '%s°', 'dpadEibObject ','5');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_THERMOSTAT_SETPOINT', 0, '0', '100', '0.5', 'temperature.png', '', '', '<{state|scaling|setvalue}>', '<table><tr><td colspan="2"><{state|label|setvalue}></td></tr><tr><td><{state|decrease|setvalue}></td><td><{state|increase|setvalue}></td></tr></table>', 3, 1, '%s°', 'dpadEibObject ','5');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND', 1, '0', '1', '1', 'flag_disabled.png', '0=>"_DPAD_DBCONSTANT_RENDERING_NO_WIND","1"=>"_DPAD_DBCONSTANT_RENDERING_WIND"', '0=>"flag_disabled.png",1=>"flag.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_RAIN', 1, '0', '1', '1', 'humidity_off.png', '0=>"_DPAD_DBCONSTANT_RENDERING_NO_RAIN","1"=>"_DPAD_DBCONSTANT_RENDERING_RAIN"', '0=>"humidity_off.png",1=>"humidity_on.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_WINDOW_OPEN_CLOSE', 1, '0', '1', '1', 'window_closed.png', '0=>"_DPAD_DBCONSTANT_RENDERING_CLOSED_F","1"=>"_DPAD_DBCONSTANT_RENDERING_OPENED_F"', '0=>"window_closed.png",1=>"window_opened.png"', '<{state|toggle|setvalue}>', '<{state|toggle|setvalue}>', 1, 1, '', 'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_DIMMER_INCREASE_DECREASE','1','0','100','10','light_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_0_PERC",10=>"_DPAD_DBCONSTANT_RENDERING_10_PERC",20=>"_DPAD_DBCONSTANT_RENDERING_20_PERC",30=>"_DPAD_DBCONSTANT_RENDERING_30_PERC",40=>"_DPAD_DBCONSTANT_RENDERING_40_PERC",50=>"_DPAD_DBCONSTANT_RENDERING_50_PERC",60=>"_DPAD_DBCONSTANT_RENDERING_60_PERC",70=>"_DPAD_DBCONSTANT_RENDERING_70_PERC",80=>"_DPAD_DBCONSTANT_RENDERING_80_PERC",90=>"_DPAD_DBCONSTANT_RENDERING_90_PERC",100=>"_DPAD_DBCONSTANT_RENDERING_100_PERC"','0=>"light_dim_0.png",10=>"light_dim_25.png",20=>"light_dim_25.png",30=>"light_dim_25.png",40=>"light_dim_50.png",50=>"light_dim_50.png",60=>"light_dim_50.png",70=>"light_dim_50.png",80=>"light_dim_75.png",90=>"light_dim_75.png",100=>"light_dim_100.png"','<table><tr><td style="border:0px"><{state|image|setvalue}></td><td style="border:0px"><{state|scaling|setvalue}></td></tr></table>','<table><tr><td colspan="2"><{state|image|setvalue}></td></tr><tr><td colspan="2"><{state|scaling|setvalue}></td></tr></table>','3','1','%s%%','dpadEibObject ','6');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_THERMOSTAT_HVAC','1','0','4','1','hvac_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_AUTO",1=>"_DPAD_DBCONSTANT_RENDERING_COMFORT",2=>"_DPAD_DBCONSTANT_RENDERING_PRECOMFORT",3=>"_DPAD_DBCONSTANT_RENDERING_ECONOMY",4=>"_DPAD_DBCONSTANT_RENDERING_OFF"','0=>"hvac_auto.png|hvac_auto_selected.png",1=>"hvac_comfort.png|hvac_comfort_selected.png",2=>"hvac_precomfort.png|hvac_precomfort_selected.png",3=>"hvac_economy.png|hvac_economy_selected.png",4=>"hvac_off.png|hvac_off_selected.png"','<{state|imagelist|setvalue}>','<{state|imagelist|setvalue}>','5','1',NULL,'dpadEibObject ','2V');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_METEOROLOGY_WIND_SPEED','0','0','1000','1','flag.png',NULL,NULL,'<table><tr><td style="border:0px"><{state|image|setvalue}></td><td style="border:0px"><{state|label|setvalue}></td></tr></table>','<table><tr><td style="border:0px"><{state|image|setvalue}></td><td style="border:0px"><{state|label|setvalue}></td></tr></table>','4','1','%s m/s','dpadEibObject ','5');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ANTIINTRUSION_ENGAGEMENT_STATE','1','0','1','1','agent.png','0=>"_DPAD_DBCONSTANT_RENDERING_DISENGAGED_M",1=>"_DPAD_DBCONSTANT_RENDERING_ENGAGED_M"','0=>"agent_disabled.png",1=>"agent.png"','<{state|toggle|setvalue}>','<table><tr><td><{state|image|setvalue}></td><td><{state|label|setvalue}></td></tr></table>','3','1',NULL,'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ANTIINTRUSION_ALARM_STATE','1','0','1','1','blank.gif','0=>"",1=>"_DPAD_DBCONSTANT_RENDERING_ALARM_WARNING"','0=>"blank.gif",1=>"dialog-warning.png"','<{state|toggle|setvalue}>','<table><tr><td><{state|image|setvalue}></td><td><{state|label|setvalue}></td></tr></table>','3','1',NULL,'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ALARM_GAS','1','0','1','1','blank.gif','0=>"",1=>"_DPAD_DBCONSTANT_RENDERING_ALARM_WARNING_GAS"','0=>"blank.gif",1=>"dialog-warning.png"','<{state|toggle|setvalue}>','<table><tr><td><{state|image|setvalue}></td><td><{state|label|setvalue}></td></tr></table>','3','1',NULL,'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ALARM_WIND','1','0','1','1','blank.gif','0=>"",1=>"_DPAD_DBCONSTANT_RENDERING_ALARM_WARNING_WIND"','0=>"blank.gif",1=>"dialog-warning.png"','<{state|toggle|setvalue}>','<table><tr><td><{state|image|setvalue}></td><td><{state|label|setvalue}></td></tr></table>','3','1',NULL,'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ALARM_CHARGE','1','0','1','1','blank.gif','0=>"",1=>"_DPAD_DBCONSTANT_RENDERING_ALARM_WARNING_CHARGE"','0=>"blank.gif",1=>"dialog-warning.png"','<{state|toggle|setvalue}>','<table><tr><td><{state|image|setvalue}></td><td><{state|label|setvalue}></td></tr></table>','3','1',NULL,'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ROLLING_SHUTTERS_UP','1','1','1','1','arrow_up.png','1=>"_DPAD_DBCONSTANT_RENDERING_TURN_UP_VERB"','1=>"arrow_up.png"','<{state|toggle|setvalue}>','<{state|toggle|setvalue}>','1','1',NULL,'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_ROLLING_SHUTTERS_DOWN','1','1','1','1','arrow_down.png','1=>"_DPAD_DBCONSTANT_RENDERING_TURN_DOWN_F_VERB"','1=>"arrow_down.png"','<{state|toggle|setvalue}>','<{state|toggle|setvalue}>','1','1',NULL,'dpadEibObject ','1');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_VALUE_ADJUSTEMENT', 1, '0', '100', '25', 'percent_0.png', '0=>"_DPAD_DBCONSTANT_RENDERING_0_PERC",25=>"_DPAD_DBCONSTANT_RENDERING_25_PERC",50=>"_DPAD_DBCONSTANT_RENDERING_50_PERC",75=>"_DPAD_DBCONSTANT_RENDERING_75_PERC",100=>"_DPAD_DBCONSTANT_RENDERING_100_PERC"', '0=>"percent_0.png",25=>"percent_25.png",50=>"percent_50.png",75=>"percent_75.png",100=>"percent_100.png"', '<{state|slider|setvalue}>', '<table><tr><td><{state|image|setvalue}></td><td colspan="3"><{state|label|setvalue}></td></tr><tr><td colspan="4"><{state|slider|setvalue}></td></tr></table>', 4, 1, '%s%%', 'dpadEibObject ','6');
INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_VALUE_INCREASE_DECREASE','1','0','100','10','percent_0.png','0=>"_DPAD_DBCONSTANT_RENDERING_0_PERC",10=>"_DPAD_DBCONSTANT_RENDERING_10_PERC",20=>"_DPAD_DBCONSTANT_RENDERING_20_PERC",30=>"_DPAD_DBCONSTANT_RENDERING_30_PERC",40=>"_DPAD_DBCONSTANT_RENDERING_40_PERC",50=>"_DPAD_DBCONSTANT_RENDERING_50_PERC",60=>"_DPAD_DBCONSTANT_RENDERING_60_PERC",70=>"_DPAD_DBCONSTANT_RENDERING_70_PERC",80=>"_DPAD_DBCONSTANT_RENDERING_80_PERC",90=>"_DPAD_DBCONSTANT_RENDERING_90_PERC",100=>"_DPAD_DBCONSTANT_RENDERING_100_PERC"','0=>"percent_0.png",10=>"percent_25.png",20=>"percent_25.png",30=>"percent_25.png",40=>"percent_50.png",50=>"percent_50.png",60=>"percent_50.png",70=>"percent_50.png",80=>"percent_75.png",90=>"percent_75.png",100=>"percent_100.png"','<table><tr><td style="border:0px"><{state|image|setvalue}></td><td style="border:0px"><{state|scaling|setvalue}></td></tr></table>','<table><tr><td colspan="2"><{state|image|setvalue}></td></tr><tr><td colspan="2"><{state|scaling|setvalue}></td></tr></table>','3','1','%s%%','dpadEibObject ','6');
-- $EIB_RENDERING_VALUE_NUMERIC_0_255$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_VALUE_NUMERIC_0_255','0','0','255','1','numeric.png','','','<{state|textbox|setvalue}>','<{state|textbox|setvalue}>','3','1','','dpadEibObject ','2V');
-- $EIB_RENDERING_VALUE_NUMERIC$ = INSERT INTO "DPADD_RENDERING" ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, LISTVIEW_SCHEMA, PLANVIEW_SCHEMA, PLANVIEW_HSIZE, PLANVIEW_VSIZE, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_VALUE_NUMERIC','0','-1000000','1000000','0.01','numeric.png','','','<{state|textbox|setvalue}>','<{state|textbox|setvalue}>','3','1','','dpadEibObject ','5');

INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES (NULL, 'dpadEib', 'eib', 'dpadeib.class.php', '', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADEIB', '', '', '', '', '0');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES (NULL, 'dpadEibGroup', 'eib', 'dpadeibgroup.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADEIBGROUP', 'knx_group.png', '../eib/viewobject.eibgroup.php', '', '../supervision/viewobjectdetails.php', '1');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES (NULL, 'dpadEibObject', 'eib', 'dpadeibobject.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADEIBOBJECT', 'knx_group.png', '../eib/viewobject.eibgroup.php', '', '../supervision/viewobjectdetails.php', '1');
INSERT INTO "DPAD_WEB_PHPCLASS" ( ID, CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, VIEWOBJPATH, EDITOBJPATH, DETAILSOBJPATH, IS_VISIBLE) VALUES (NULL, 'dpadEibScenario', 'eib', 'dpadeibscenario.class.php', 'dpadObject', '_DPAD_DBCONSTANT_WEBPHPCLASS_DPADEIBSCENARIO', 'knx_group.png', '../eib/viewobject.eibgroup.php', '', '../supervision/viewobjectdetails.php', '1');

INSERT INTO "DPAD_WEB_TIPOLOGIES" (ID, TIPOLOGY, NAME, DESCRIPTION, IMAGE_PATH) VALUES(NULL, 'eib', 'EIB/KNX', '_DPAD_DBCONSTANT_WEBTYPOLOGY_EIB', 'knx.png');

-- INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'etsimport_default_rendering_1bit', '_DPAD_EIB_SETTING_DEFAULT_RENDERING_1', '$EIB_RENDERING_GENERIC_ON_OFF$', 'eib', 1, '', 'select', 1,'dpadManager::renderings_get_array("PHPCLASSES LIKE ''%dpadEibObject%''","NAME ASC")');
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'etsimport_default_rendering_4bit', '_DPAD_EIB_SETTING_DEFAULT_RENDERING_4', '', 'eib', 1, '', 'select', 2,'dpadManager::renderings_get_array("PHPCLASSES LIKE ''%dpadEibObject%''","NAME ASC")');
-- INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'etsimport_default_rendering_8bit', '_DPAD_EIB_SETTING_DEFAULT_RENDERING_8', '$EIB_RENDERING_VALUE_NUMERIC_0_255$', 'eib', 1, '', 'select', 3,'dpadManager::renderings_get_array("PHPCLASSES LIKE ''%dpadEibObject%''","NAME ASC")');
-- INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'etsimport_default_rendering_16bit', '_DPAD_EIB_SETTING_DEFAULT_RENDERING_16', '$EIB_RENDERING_VALUE_NUMERIC$', 'eib', 1, '', 'select', 4,'dpadManager::renderings_get_array("PHPCLASSES LIKE ''%dpadEibObject%''","NAME ASC")');
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'etsimport_default_valuestype_1bit', '_DPAD_EIB_SETTING_DEFAULT_VALUESTYPE_1', '1', 'eib', 1, '', 'select', 10,'dpadEib::eistype_array_get_by_length_in_bit(1)');
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'etsimport_default_valuestype_4bit', '_DPAD_EIB_SETTING_DEFAULT_VALUESTYPE_4', '2C', 'eib', 1, '', 'select', 11,'dpadEib::eistype_array_get_by_length_in_bit(4)');
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'etsimport_default_valuestype_8bit', '_DPAD_EIB_SETTING_DEFAULT_VALUESTYPE_8', '2V', 'eib', 1, '', 'select', 12,'dpadEib::eistype_array_get_by_length_in_bit(8)');
INSERT INTO "DPAD_WEB_CONFIGURATION" ( ID, NAME, LABEL, VALUE, TIPOLOGY, HAS_OPTIONS, OPTIONS, DRAW_AS, ORDER_NUM, OPTIONS_EXTERNAL_FUNCTION) VALUES(NULL, 'etsimport_default_valuestype_16bit', '_DPAD_EIB_SETTING_DEFAULT_VALUESTYPE_16', '5', 'eib', 1, '', 'select', 13,'dpadEib::eistype_array_get_by_length_in_bit(16)');

INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION,IS_ACTIVE ) VALUES (NULL,"eib","_DPAD_DBCONSTANT_WEBMODULE_EIB", "0.0.1", 1);