--Module: Paradox-EVO update

--Creating module configuration table
CREATE TABLE DPAD_HESAEVO_CONFIGURATION( ID INTEGER PRIMARY KEY AUTOINCREMENT, NAME TEXT, VALUE TEXT, DESCRIPTION TEXT, SECTION_ID INTEGER DEFAULT -1);
--Constants
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ("DPAD_HESAEVOCOMMAND_SOCKET_FILE", "/tmp/dpad_variables/sockets/dpad_hesaevogateway.socket", "Unix socket for lowlevel HESAEVOgateway service communication");
INSERT INTO DPAD_FSM_CONFIGURATION (NAME, VALUE, DESCRIPTION) VALUES ("DPAD_HESAEVOLOOP_TIMEOUT", "300", "HESAEVO main loop idle timeout");
--Creating views
CREATE VIEW DPAD_HESAEVOGATEWAY_HESAEVOAREAS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS AREANUM FROM DPADD_OBJECT O WHERE O.TYPE = 'HESAEVO_AREA';
CREATE VIEW DPAD_HESAEVOGATEWAY_HESAEVOZONES AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS ZONENUM FROM DPADD_OBJECT O WHERE O.TYPE = 'HESAEVO_ZONE';
CREATE VIEW DPAD_HESAEVOGATEWAY_HESAEVOCENTRALWARNINGS AS SELECT O.ID AS ID, O.CURRENT_VALUE AS CURRENT_VALUE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS WARNINGNUM FROM DPADD_OBJECT O WHERE O.TYPE ='HESAEVO_CENTRALWARNING';
CREATE VIEW DPAD_HESAEVOGATEWAY_HESAEVOCOMMUNICATIONSECTIONS AS SELECT C.ID AS ID, C.NAME AS NAME FROM DPADD_COMMUNICATION_SECTION C WHERE C.TYPE = 'HESAEVO' AND C.ENABLE_FLAG='1';
CREATE VIEW DPAD_HESAEVOGATEWAY_HESAEVOUTILITYKEYS AS SELECT O.ID AS ID, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID, O.MSP AS KEYNUM FROM DPADD_OBJECT O WHERE O.TYPE = 'HESAEVO_UTILITYKEY';
CREATE VIEW DPAD_HESAEVOGATEWAY_HESAEVOSYSTEMEVENTS AS SELECT L.ID AS ID, L.TYPE AS TYPE, L.LEVEL AS LEVEL, L.MESSAGE AS MESSAGE, L.POST_TIMESTAMP AS POST_TIMESTAMP, L.POSTER AS POSTER, L.POSTER_TYPE AS POSTER_TYPE, L.IS_HANDLED AS IS_HANDLED, L.HANDLED_TIMESTAMP AS HANDLED_TIMESTAMP, L.HANDLED_BY AS HANDLED_BY FROM DPAD_LOG L WHERE L.TYPE = 'HESAEVO_SYSTEMEVENT_RECORD';
CREATE VIEW DPAD_HESAEVOGATEWAY_HESAEVOCENTRALS AS SELECT O.ID AS ID, O.NAME AS NAME, O.TYPE AS TYPE, O.COMMUNICATIONSECTION_ID AS COMMUNICATIONSECTION_ID FROM DPADD_OBJECT AS O WHERE TYPE='HESAEVO_CENTRAL';
--Declaring types
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( 'HESAEVO_CENTRAL','_DPAD_HESAEVO_SECURITY_TYPE_CENTRAL_LABEL','dpadHesaEvoCentral','' );
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( 'HESAEVO_AREA','_DPAD_HESAEVO_SECURITY_TYPE_AREA_LABEL','dpadHesaEvoArea','' );
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( 'HESAEVO_AREA_CHILD','_DPAD_HESAEVO_SECURITY_TYPE_AREA_CHILD_LABEL','dpadHesaEvoAreaChild','' );
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( 'HESAEVO_ZONE','_DPAD_HESAEVO_SECURITY_TYPE_ZONE_LABEL','dpadHesaEvoZone','' );
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( 'HESAEVO_ZONE_CHILD','_DPAD_HESAEVO_SECURITY_TYPE_ZONE_CHILD_LABEL','dpadHesaEvoZoneChild','' );
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( 'HESAEVO_CENTRALWARNING','_DPAD_HESAEVO_SECURITY_TYPE_CENTRAL_WARNING_LABEL','dpadHesaEvoCentralWarning','' );
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( 'HESAEVO_CENTRALWARNING_CHILD','_DPAD_HESAEVO_SECURITY_TYPE_CENTRAL_WARNING_CHILD_LABEL','dpadHesaEvoCentralWarningChild','' );
INSERT INTO DPADD_OBJECT_TYPES ( TYPE, DESCRIPTION, PHPCLASS, ALLOWED_ACTIONS ) VALUES ( 'HESAEVO_UTILITYKEY','_DPAD_HESAEVO_SECURITY_TYPE_UTILITYKEY_LABEL','dpadHesaEvoUtilityKey','' );
--Declaring PHP classes
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ('dpadHesaEvoCentral','paradox-evo','dpadhesaevocentral.class.php','dpadCommunicationSection','_DPAD_HESAEVO_SECURITY_PHPCLASS_CENTRAL_LABEL','admin_phpclass_hesaevocentral.png',1,0,0 );
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ('dpadHesaEvoArea','paradox-evo','dpadhesaevoarea.class.php','dpadObject','_DPAD_HESAEVO_SECURITY_PHPCLASS_AREA_LABEL','admin_phpclass_hesaevoarea.png',1,0,0 );
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ('dpadHesaEvoAreaChild','paradox-evo','dpadhesaevoareachild.class.php','dpadObject','_DPAD_HESAEVO_SECURITY_PHPCLASS_AREA_CHILD_LABEL','admin_phpclass_hesaevoareachild.png',1,0,1 );
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ('dpadHesaEvoZone','paradox-evo','dpadhesaevozone.class.php','dpadObject','_DPAD_HESAEVO_SECURITY_PHPCLASS_ZONE_LABEL','admin_phpclass_hesaevozone.png',1,0,1 );
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ('dpadHesaEvoZoneChild','paradox-evo','dpadhesaevozonechild.class.php','dpadObject','_DPAD_HESAEVO_SECURITY_PHPCLASS_ZONE_CHILD_LABEL','admin_phpclass_hesaevozonechild.png',1,0,1 );
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ('dpadHesaEvoCentralWarning','paradox-evo','dpadhesaevocentralwarning.class.php','dpadObject','_DPAD_HESAEVO_SECURITY_TYPE_CENTRAL_WARNING_LABEL','admin_phpclass_hesaevocentralwarning.png',1,0,0 );
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ('dpadHesaEvoCentralWarningChild','paradox-evo','dpadhesaevocentralwarningchild.class.php','dpadObject','_DPAD_HESAEVO_SECURITY_PHPCLASS_CENTRAL_WARNING_CHILD_LABEL','admin_phpclass_hesaevocentralwarningchild.png',1,0,1 );
INSERT INTO DPAD_WEB_PHPCLASS ( CLASSNAME, MODULE, INCLUDE_PATH, PARENTCLASS, NAME, IMAGE_PATH, IS_VISIBLE, IS_EXECUTABLE, IS_EVENT ) VALUES ('dpadHesaEvoUtilityKey','paradox-evo','dpadhesaevoutilitykey.class.php','dpadObject','_DPAD_HESAEVO_SECURITY_PHPCLASS_UTILITY_KEY_LABEL','admin_phpclass_hesaevoutilitykey.png',1,0,0 );

--Creating rendering Central
-- $HESAEVO_SECURITY_RENDERING_CENTRAL$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_CENTRAL', 1, '0', '1', '1', 'ico_hesaevo_central_ok.png', '0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_CENTRAL_MODE_OK",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_CENTRAL_MODE_ERROR"', '0=>"ico_hesaevo_central_ok.png",1=>"ico_hesaevo_central_ko.png"', '0=>"button_label_O.png",1=>"button_label_I.png"', '', '', 'dpadHesaEvoCentral ', '');
--Creating rendering Central Warning
-- $HESAEVO_SECURITY_RENDERING_CENTRALWARNING$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE, IS_VISIBLE, OWNED_BY ) VALUES ( NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_CENTRALWARNING', 1, '0', '1', '1', 'ico_hesaevo_alarm_disabled.png', '0=>"_DPAD_DBCONSTANT_RENDERING_NORMAL",1=>"_DPAD_DBCONSTANT_RENDERING_ALARM_WARNING"', '0=>"ico_hesaevo_security_central_warning_off.png",1=>"ico_hesaevo_security_central_warning_on.png"', '', 'dpadHesaEvoCentralWarning ', '', 1, 'SYSTEM');
--Creating renderings Area
-- $HESAEVO_SECURITY_RENDERING_AREA$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES ( NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA', 0, '0', '0', '1', 'ico_hesaevo_area.png', '', '', '', '', '', 'dpadHesaEvoArea ', '');
-- $HESAEVO_SECURITY_RENDERING_AREA_ARMED$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_ARMED',1,0,1,1,'ico_hesaevo_security_area_armed_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_ARMED_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_ARMED_ON"','0=>"ico_hesaevo_security_area_armed_off.png",1=>"ico_hesaevo_security_area_armed_on.png"','<{state|image|setvalue}>','','dpadHesaEvoAreaChild ','ARMED',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_READY$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_READY',1,0,1,1,'ico_hesaevo_security_area_ready_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_READY_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_READY_ON"','0=>"ico_hesaevo_security_area_ready_off.png",1=>"ico_hesaevo_security_area_ready_on.png"','<{state|image|setvalue}>','','dpadHesaEvoAreaChild ','READY',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_REGULARARM$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_REGULARARM',1,0,1,1,'ico_hesaevo_security_area_regular_arm_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_REGULAR_ARM_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_REGULAR_ARM_ON"','0=>"ico_hesaevo_security_area_regular_arm_off.png",1=>"ico_hesaevo_security_area_regular_arm_on.png"','<{state|toggle|setvalue}>','','dpadHesaEvoAreaChild ','REGULARARM',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_FORCEARM$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_FORCEARM',1,0,1,1,'ico_hesaevo_security_area_force_arm_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_FORCE_ARM_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_FORCE_ARM_ON"','0=>"ico_hesaevo_security_area_force_arm_off.png",1=>"ico_hesaevo_security_area_force_arm_on.png"','<{state|toggle|setvalue}>','','dpadHesaEvoAreaChild ','FORCEARM',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_STAYARM$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_STAYARM',1,0,1,1,'ico_hesaevo_security_area_stay_arm_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_STAY_ARM_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_STAY_ARM_ON"','0=>"ico_hesaevo_security_area_stay_arm_off.png",1=>"ico_hesaevo_security_area_stay_arm_on.png"','<{state|toggle|setvalue}>','','dpadHesaEvoAreaChild ','STAYARM',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_INSTANTARM$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_INSTANTARM',1,0,1,1,'ico_hesaevo_security_area_instant_arm_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_INSTANT_ARM_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_INSTANT_ARM_ON"','0=>"ico_hesaevo_security_area_instant_arm_off.png",1=>"ico_hesaevo_security_area_instant_arm_on.png"','<{state|toggle|setvalue}>','','dpadHesaEvoAreaChild ','INSTANTARM',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_TROUBLE$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_TROUBLE',1,0,1,1,'ico_hesaevo_security_area_trouble_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_TROUBLE_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_TROUBLE_ON"','0=>"ico_hesaevo_security_area_trouble_off.png",1=>"ico_hesaevo_security_area_trouble_on.png"','<{state|image|setvalue}>','','dpadHesaEvoAreaChild ','TROUBLE',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_ALARM$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_ALARM',1,0,1,1,'ico_hesaevo_security_area_alarm_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_ALARM_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_ALARM_ON"','0=>"ico_hesaevo_security_area_alarm_off.png",1=>"ico_hesaevo_security_area_alarm_on.png"','<{state|image|setvalue}>','','dpadHesaEvoAreaChild ','ALARM',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_SMOKERESET$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_SMOKERESET',1,1,1,0,'ico_hesaevo_security_area_smokereset.png','1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_SMOKERESET"','1=>"ico_hesaevo_security_area_smokereset.png"','<{state|image|setvalue}>','','dpadHesaEvoAreaChild ','SMOKERESET',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_EMERGENCYPANIC$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_EMERGENCYPANIC',1,1,1,0,'ico_hesaevo_security_area_emergencypanic.png','1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_EMERGENCYPANIC"','1=>"ico_hesaevo_security_area_emergencypanic.png"','<{state|image|setvalue}>','','dpadHesaEvoAreaChild ','EMERGENCYPANIC',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_MEDICALPANIC$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_MEDICALPANIC',1,1,1,0,'ico_hesaevo_security_area_medicalpanic.png','1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_MEDICALPANIC"','1=>"ico_hesaevo_security_area_medicalpanic.png"','<{state|image|setvalue}>','','dpadHesaEvoAreaChild ','MEDICALPANIC',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_AREA_FIREPANIC$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_FIREPANIC',1,1,1,0,'ico_hesaevo_security_area_firepanic.png','1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_AREA_FIREPANIC"','1=>"ico_hesaevo_security_area_firepanic.png"','<{state|image|setvalue}>','','dpadHesaEvoAreaChild ','FIREPANIC',1,'SYSTEM');
--Creating renderings Zone
-- $HESAEVO_SECURITY_RENDERING_ZONE$ = INSERT INTO DPADD_RENDERING ( ID, TYPE, TIPOLOGY, NAME, HAS_OPTIONS, MIN_STATE, MAX_STATE, STEP_STATE, IMAGE_PATH, OPTION_LABELS, OPTION_IMAGES, OPTION_SYMBOLS, OPTION_ACTIONS, FORMATTING_SCHEMA, PHPCLASSES, VALUES_TYPE ) VALUES (NULL, NULL, NULL, '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE', 0, '0', '0', '1', 'ico_hesaevo_zone.png', '', '', '', '', '', 'dpadHesaEvoZone ', '');
-- $HESAEVO_SECURITY_RENDERING_ZONE_STATUS$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_STATUS',1,0,2,1,'ico_hesaevo_security_zone_status_closed.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_STATUS_CLOSED",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_STATUS_OPEN",2=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_STATUS_TAMPERED"','0=>"ico_hesaevo_security_zone_status_closed.png",1=>"ico_hesaevo_security_zone_status_open.png",2=>"ico_hesaevo_security_zone_status_tampered.png"','<{state|image|setvalue}>','','dpadHesaEvoZoneChild ','STATUS',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_ZONE_ALARM$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_ALARM',1,0,1,1,'ico_hesaevo_security_zone_alarm_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_ALARM_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_ALARM_ON"','0=>"ico_hesaevo_security_zone_alarm_off.png",1=>"ico_hesaevo_security_zone_alarm_on.png"','<{state|image|setvalue}>','','dpadHesaEvoZoneChild ','ALARM',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_ZONE_FIREALARM$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_FIREALARM',1,0,1,1,'ico_hesaevo_security_zone_firealarm_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_FIREALARM_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_FIREALARM_ON"','0=>"ico_hesaevo_security_zone_firealarm_off.png",1=>"ico_hesaevo_security_zone_firealarm_on.png"','<{state|image|setvalue}>','','dpadHesaEvoZoneChild ','FIREALARM',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_ZONE_LOWBATTERY$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_LOWBATTERY',1,0,1,1,'ico_hesaevo_security_zone_lowbattery_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_LOWBATTERY_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_LOWBATTERY_ON"','0=>"ico_hesaevo_security_zone_lowbattery_off.png",1=>"ico_hesaevo_security_zone_lowbattery_on.png"','<{state|image|setvalue}>','','dpadHesaEvoZoneChild ','LOWBATTERY',1,'SYSTEM');
-- $HESAEVO_SECURITY_RENDERING_ZONE_SUPLOST$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_SUPERVISIONLOST',1,0,1,1,'ico_hesaevo_security_zone_suplost_off.png','0=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_SUPLOST_OFF",1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_ZONE_SUPLOST_ON"','0=>"ico_hesaevo_security_zone_suplost_off.png",1=>"ico_hesaevo_security_zone_suplost_on.png"','<{state|image|setvalue}>','','dpadHesaEvoZoneChild ','SUPERVISIONLOST',1,'SYSTEM');
--Creating rendering Utility Key
-- $HESAEVO_SECURITY_RENDERING_UTILITYKEY$ = INSERT INTO DPADD_RENDERING ( NAME,HAS_OPTIONS,MIN_STATE,MAX_STATE,STEP_STATE,IMAGE_PATH,OPTION_LABELS,OPTION_IMAGES,LISTVIEW_SCHEMA,FORMATTING_SCHEMA,PHPCLASSES,VALUES_TYPE,IS_VISIBLE,OWNED_BY ) VALUES( '_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_UTILITYKEY',1,1,1,0,'ico_hesaevo_security_utilitykey.png','1=>"_DPAD_DBCONSTANT_RENDERING_HESAEVO_SECURITY_UTILITYKEY"','1=>"ico_hesaevo_security_utilitykey.png"','<{state|image|setvalue}>','','dpadHesaEvoUtilityKey ','',1,'SYSTEM');

--Declaring new module
INSERT INTO "DPAD_WEB_MODULE" ( ID, NAME, DESCRIPTION, VERSION, IS_ACTIVE ) VALUES ( NULL, "paradox-evo", "_DPAD_DBCONSTANT_WEBMODULE_HESAEVO_SECURITY", "4.0.0", 1 );