<?php
 require_once dirname(__FILE__) . '/IecType.php'; require_once dirname(__FILE__) . '/PhpType.php'; class ModbusMaster { private $sock; public $host = "192.168.1.1"; public $port = "502"; public $client = ""; public $client_port = "502"; public $status; public $timeout_sec = 5; public $endianness = 0; public $socket_protocol = "UDP"; function ModbusMaster($host, $protocol){ $this->socket_protocol = $protocol; $this->host = $host; } function __toString() { return "<pre>" . $this->status . "</pre>"; } private function connect(){ if ($this->socket_protocol == "TCP"){ $this->sock = socket_create(AF_INET, SOCK_STREAM, SOL_TCP); } elseif ($this->socket_protocol == "UDP"){ $this->sock = socket_create(AF_INET, SOCK_DGRAM, SOL_UDP); } else { throw new Exception("Unknown socket protocol, should be 'TCP' or 'UDP'"); } if (strlen($this->client)>0){ $result = socket_bind($this->sock, $this->client, $this->client_port); if ($result === false) { throw new Exception("socket_bind() failed.</br>Reason: ($result)". socket_strerror(socket_last_error($this->sock))); } else { $this->status .= "Bound\n"; } } $result = @socket_connect($this->sock, $this->host, $this->port); if ($result === false) { throw new Exception("socket_connect() failed.</br>Reason: ($result)". socket_strerror(socket_last_error($this->sock))); } else { $this->status .= "Connected\n"; return true; } } private function disconnect(){ socket_close($this->sock); $this->status .= "Disconnected\n"; } private function send($packet){ socket_write($this->sock, $packet, strlen($packet)); $this->status .= "Send\n"; } private function rec(){ socket_set_nonblock($this->sock); $readsocks[] = $this->sock; $writesocks = NULL; $exceptsocks = NULL; $rec = ""; $lastAccess = time(); while (socket_select($readsocks, $writesocks, $exceptsocks, 0, 300000) !== FALSE) { $this->status .= "Wait data ... \n"; if (in_array($this->sock, $readsocks)) { while (@socket_recv($this->sock, $rec, 2000, 0)) { $this->status .= "Data received\n"; return $rec; } $lastAccess = time(); } else { if (time()-$lastAccess >= $this->timeout_sec) { throw new Exception( "Watchdog time expired [ " . $this->timeout_sec . " sec]!!! Connection to " . $this->host . " is not established."); } } $readsocks[] = $this->sock; } } private function responseCode($packet){ if((ord($packet[7]) & 0x80) > 0) { $failure_code = ord($packet[8]); $failures = array( 0x01 => "ILLEGAL FUNCTION", 0x02 => "ILLEGAL DATA ADDRESS", 0x03 => "ILLEGAL DATA VALUE", 0x04 => "SLAVE DEVICE FAILURE", 0x05 => "ACKNOWLEDGE", 0x06 => "SLAVE DEVICE BUSY", 0x08 => "MEMORY PARITY ERROR", 0x0A => "GATEWAY PATH UNAVAILABLE", 0x0B => "GATEWAY TARGET DEVICE FAILED TO RESPOND"); if(key_exists($failure_code, $failures)) { $failure_str = $failures[$failure_code]; } else { $failure_str = "UNDEFINED FAILURE CODE"; } throw new Exception("Modbus response error code: $failure_code ($failure_str)"); } else { $this->status .= "Modbus response error code: NOERROR\n"; return true; } } function readCoils($unitId, $reference, $quantity){ $this->status .= "readCoils: START\n"; $this->connect(); $packet = $this->readCoilsPacketBuilder($unitId, $reference, $quantity); $this->status .= $this->printPacket($packet); $this->send($packet); $rpacket = $this->rec(); $this->status .= $this->printPacket($rpacket); $receivedData = $this->readCoilsParser($rpacket, $quantity); $this->disconnect(); $this->status .= "readCoils: DONE\n"; return $receivedData; } function fc1($unitId, $reference, $quantity){ return $this->readCoils($unitId, $reference, $quantity); } private function readCoilsPacketBuilder($unitId, $reference, $quantity){ $dataLen = 0; $buffer1 = ""; $buffer2 = ""; $buffer2 .= iecType::iecBYTE(1); $buffer2 .= iecType::iecINT($reference); $buffer2 .= iecType::iecINT($quantity); $dataLen += 5; $buffer3 = ''; $buffer3 .= iecType::iecINT(rand(0,65000)); $buffer3 .= iecType::iecINT(0); $buffer3 .= iecType::iecINT($dataLen + 1); $buffer3 .= iecType::iecBYTE($unitId); return $buffer3. $buffer2. $buffer1; } private function readCoilsParser($packet, $quantity){ $data = array(); $this->responseCode($packet); for($i=0;$i<ord($packet[8]);$i++){ $data[$i] = ord($packet[9+$i]); } $data_bolean_array = array(); $di = 0; foreach($data as $value){ for($i=0;$i<8;$i++){ if($di == $quantity) continue; $v = ($value >> $i) & 0x01; if($v == 0){ $data_bolean_array[] = FALSE; } else { $data_bolean_array[] = TRUE; } $di++; } } return $data_bolean_array; } function readInputDiscretes($unitId, $reference, $quantity){ $this->status .= "readInputDiscretes: START\n"; $this->connect(); $packet = $this->readInputDiscretesPacketBuilder($unitId, $reference, $quantity); $this->status .= $this->printPacket($packet); $this->send($packet); $rpacket = $this->rec(); $this->status .= $this->printPacket($rpacket); $receivedData = $this->readInputDiscretesParser($rpacket, $quantity); $this->disconnect(); $this->status .= "readInputDiscretes: DONE\n"; return $receivedData; } function fc2($unitId, $reference, $quantity){ return $this->readInputDiscretes($unitId, $reference, $quantity); } private function readInputDiscretesPacketBuilder($unitId, $reference, $quantity){ $dataLen = 0; $buffer1 = ""; $buffer2 = ""; $buffer2 .= iecType::iecBYTE(2); $buffer2 .= iecType::iecINT($reference); $buffer2 .= iecType::iecINT($quantity); $dataLen += 5; $buffer3 = ''; $buffer3 .= iecType::iecINT(rand(0,65000)); $buffer3 .= iecType::iecINT(0); $buffer3 .= iecType::iecINT($dataLen + 1); $buffer3 .= iecType::iecBYTE($unitId); return $buffer3. $buffer2. $buffer1; } private function readInputDiscretesParser($packet, $quantity){ return $this->readCoilsParser($packet, $quantity); } function readMultipleRegisters($unitId, $reference, $quantity){ $this->status .= "readMultipleRegisters: START\n"; $this->connect(); $packet = $this->readMultipleRegistersPacketBuilder($unitId, $reference, $quantity); $this->status .= $this->printPacket($packet); $this->send($packet); $rpacket = $this->rec(); $this->status .= $this->printPacket($rpacket); $receivedData = $this->readMultipleRegistersParser($rpacket); $this->disconnect(); $this->status .= "readMultipleRegisters: DONE\n"; return $receivedData; } function fc3($unitId, $reference, $quantity){ return $this->readMultipleRegisters($unitId, $reference, $quantity); } private function readMultipleRegistersPacketBuilder($unitId, $reference, $quantity){ $dataLen = 0; $buffer1 = ""; $buffer2 = ""; $buffer2 .= iecType::iecBYTE(3); $buffer2 .= iecType::iecINT($reference); $buffer2 .= iecType::iecINT($quantity); $dataLen += 5; $buffer3 = ''; $buffer3 .= iecType::iecINT(rand(0,65000)); $buffer3 .= iecType::iecINT(0); $buffer3 .= iecType::iecINT($dataLen + 1); $buffer3 .= iecType::iecBYTE($unitId); return $buffer3. $buffer2. $buffer1; } private function readMultipleRegistersParser($packet){ $data = array(); $this->responseCode($packet); for($i=0;$i<ord($packet[8]);$i++){ $data[$i] = ord($packet[9+$i]); } return $data; } function writeSingleRegister($unitId, $reference, $data, $dataTypes){ $this->status .= "writeSingleRegister: START\n"; $this->connect(); $packet = $this->writeSingleRegisterPacketBuilder($unitId, $reference, $data, $dataTypes); $this->status .= $this->printPacket($packet); $this->send($packet); $rpacket = $this->rec(); $this->status .= $this->printPacket($rpacket); $this->writeSingleRegisterParser($rpacket); $this->disconnect(); $this->status .= "writeSingleRegister: DONE\n"; return true; } function fc6($unitId, $reference, $data, $dataTypes){ return $this->writeSingleRegister($unitId, $reference, $data, $dataTypes); } private function writeSingleRegisterPacketBuilder($unitId, $reference, $data, $dataTypes){ $dataLen = 0; $buffer1 = ""; foreach($data as $key=>$dataitem) { $buffer1 .= iecType::iecINT($dataitem); $dataLen += 2; break; } $buffer2 = ""; $buffer2 .= iecType::iecBYTE(6); $buffer2 .= iecType::iecINT($reference); $dataLen += 3; $buffer3 = ''; $buffer3 .= iecType::iecINT(rand(0,65000)); $buffer3 .= iecType::iecINT(0); $buffer3 .= iecType::iecINT($dataLen + 1); $buffer3 .= iecType::iecBYTE($unitId); return $buffer3. $buffer2. $buffer1; } private function writeSingleRegisterParser($packet){ $this->responseCode($packet); return true; } function writeMultipleCoils($unitId, $reference, $data){ $this->status .= "writeMultipleCoils: START\n"; $this->connect(); $packet = $this->writeMultipleCoilsPacketBuilder($unitId, $reference, $data); $this->status .= $this->printPacket($packet); $this->send($packet); $rpacket = $this->rec(); $this->status .= $this->printPacket($rpacket); $this->writeMultipleCoilsParser($rpacket); $this->disconnect(); $this->status .= "writeMultipleCoils: DONE\n"; return true; } function fc15($unitId, $reference, $data){ return $this->writeMultipleCoils($unitId, $reference, $data); } private function writeMultipleCoilsPacketBuilder($unitId, $reference, $data){ $dataLen = 0; $data_word_stream = array(); $data_word = 0; $shift = 0; for($i=0;$i<count($data);$i++) { if((($i % 8) == 0) && ($i > 0)) { $data_word_stream[] = $data_word; $shift = 0; $data_word = 0; $data_word |= (0x01 && $data[$i]) << $shift; $shift++; } else { $data_word |= (0x01 && $data[$i]) << $shift; $shift++; } } $data_word_stream[] = $data_word; foreach($data_word_stream as $d){ $this->status .= sprintf("byte=b%08b\n", $d); } $buffer1 = ""; foreach($data_word_stream as $key=>$dataitem) { $buffer1 .= iecType::iecBYTE($dataitem); $dataLen += 1; } $buffer2 = ""; $buffer2 .= iecType::iecBYTE(15); $buffer2 .= iecType::iecINT($reference); $buffer2 .= iecType::iecINT(count($data)); $buffer2 .= iecType::iecBYTE((count($data)+7)/8); $dataLen += 6; $buffer3 = ''; $buffer3 .= iecType::iecINT(rand(0,65000)); $buffer3 .= iecType::iecINT(0); $buffer3 .= iecType::iecINT($dataLen + 1); $buffer3 .= iecType::iecBYTE($unitId); return $buffer3. $buffer2. $buffer1; } private function writeMultipleCoilsParser($packet){ $this->responseCode($packet); return true; } function writeMultipleRegister($unitId, $reference, $data, $dataTypes){ $this->status .= "writeMultipleRegister: START\n"; $this->connect(); $packet = $this->writeMultipleRegisterPacketBuilder($unitId, $reference, $data, $dataTypes); $this->status .= $this->printPacket($packet); $this->send($packet); $rpacket = $this->rec(); $this->status .= $this->printPacket($rpacket); $this->writeMultipleRegisterParser($rpacket); $this->disconnect(); $this->status .= "writeMultipleRegister: DONE\n"; return true; } function fc16($unitId, $reference, $data, $dataTypes){ return $this->writeMultipleRegister($unitId, $reference, $data, $dataTypes); } private function writeMultipleRegisterPacketBuilder($unitId, $reference, $data, $dataTypes){ $dataLen = 0; $buffer1 = ""; foreach($data as $key=>$dataitem) { if($dataTypes[$key]=="INT"){ $buffer1 .= iecType::iecINT($dataitem); $dataLen += 2; } elseif($dataTypes[$key]=="DINT"){ $buffer1 .= iecType::iecDINT($dataitem, $this->endianness); $dataLen += 4; } elseif($dataTypes[$key]=="REAL") { $buffer1 .= iecType::iecREAL($dataitem, $this->endianness); $dataLen += 4; } else{ $buffer1 .= iecType::iecINT($dataitem); $dataLen += 2; } } $buffer2 = ""; $buffer2 .= iecType::iecBYTE(16); $buffer2 .= iecType::iecINT($reference); $buffer2 .= iecType::iecINT($dataLen/2); $buffer2 .= iecType::iecBYTE($dataLen); $dataLen += 6; $buffer3 = ''; $buffer3 .= iecType::iecINT(rand(0,65000)); $buffer3 .= iecType::iecINT(0); $buffer3 .= iecType::iecINT($dataLen + 1); $buffer3 .= iecType::iecBYTE($unitId); return $buffer3. $buffer2. $buffer1; } private function writeMultipleRegisterParser($packet){ $this->responseCode($packet); return true; } function readWriteRegisters($unitId, $referenceRead, $quantity, $referenceWrite, $data, $dataTypes){ $this->status .= "readWriteRegisters: START\n"; $this->connect(); $packet = $this->readWriteRegistersPacketBuilder($unitId, $referenceRead, $quantity, $referenceWrite, $data, $dataTypes); $this->status .= $this->printPacket($packet); $this->send($packet); $rpacket = $this->rec(); $this->status .= $this->printPacket($rpacket); $receivedData = $this->readWriteRegistersParser($rpacket); $this->disconnect(); $this->status .= "writeMultipleRegister: DONE\n"; return $receivedData; } function fc23($unitId, $referenceRead, $quantity, $referenceWrite, $data, $dataTypes){ return $this->readWriteRegisters($unitId, $referenceRead, $quantity, $referenceWrite, $data, $dataTypes); } private function readWriteRegistersPacketBuilder($unitId, $referenceRead, $quantity, $referenceWrite, $data, $dataTypes){ $dataLen = 0; $buffer1 = ""; foreach($data as $key => $dataitem) { if($dataTypes[$key]=="INT"){ $buffer1 .= iecType::iecINT($dataitem); $dataLen += 2; } elseif($dataTypes[$key]=="DINT"){ $buffer1 .= iecType::iecDINT($dataitem, $this->endianness); $dataLen += 4; } elseif($dataTypes[$key]=="REAL") { $buffer1 .= iecType::iecREAL($dataitem, $this->endianness); $dataLen += 4; } else{ $buffer1 .= iecType::iecINT($dataitem); $dataLen += 2; } } $buffer2 = ""; $buffer2 .= iecType::iecBYTE(23); $buffer2 .= iecType::iecINT($referenceRead); $buffer2 .= iecType::iecINT($quantity); $buffer2 .= iecType::iecINT($referenceWrite); $buffer2 .= iecType::iecINT($dataLen/2); $buffer2 .= iecType::iecBYTE($dataLen); $dataLen += 10; $buffer3 = ''; $buffer3 .= iecType::iecINT(rand(0,65000)); $buffer3 .= iecType::iecINT(0); $buffer3 .= iecType::iecINT($dataLen + 1); $buffer3 .= iecType::iecBYTE($unitId); return $buffer3. $buffer2. $buffer1; } private function readWriteRegistersParser($packet){ $data = array(); if(!$this->responseCode($packet)) return false; for($i=0;$i<ord($packet[8]);$i++){ $data[$i] = ord($packet[9+$i]); } return $data; } private function byte2hex($value){ $h = dechex(($value >> 4) & 0x0F); $l = dechex($value & 0x0F); return "$h$l"; } private function printPacket($packet){ $str = ""; $str .= "Packet: "; for($i=0;$i<strlen($packet);$i++){ $str .= $this->byte2hex(ord($packet[$i])); } $str .= "\n"; return $str; } } 