<?php
 class Twig_Compiler implements Twig_CompilerInterface { protected $lastLine; protected $source; protected $indentation; protected $env; protected $debugInfo; protected $sourceOffset; protected $sourceLine; protected $filename; public function __construct(Twig_Environment $env) { $this->env = $env; $this->debugInfo = array(); } public function getFilename() { return $this->filename; } public function getEnvironment() { return $this->env; } public function getSource() { return $this->source; } public function compile(Twig_NodeInterface $node, $indentation = 0) { $this->lastLine = null; $this->source = ''; $this->sourceOffset = 0; $this->sourceLine = 1; $this->indentation = $indentation; if ($node instanceof Twig_Node_Module) { $this->filename = $node->getAttribute('filename'); } $node->compile($this); return $this; } public function subcompile(Twig_NodeInterface $node, $raw = true) { if (false === $raw) { $this->addIndentation(); } $node->compile($this); return $this; } public function raw($string) { $this->source .= $string; return $this; } public function write() { $strings = func_get_args(); foreach ($strings as $string) { $this->addIndentation(); $this->source .= $string; } return $this; } public function addIndentation() { $this->source .= str_repeat(' ', $this->indentation * 4); return $this; } public function string($value) { $this->source .= sprintf('"%s"', addcslashes($value, "\0\t\"\$\\")); return $this; } public function repr($value) { if (is_int($value) || is_float($value)) { if (false !== $locale = setlocale(LC_NUMERIC, 0)) { setlocale(LC_NUMERIC, 'C'); } $this->raw($value); if (false !== $locale) { setlocale(LC_NUMERIC, $locale); } } elseif (null === $value) { $this->raw('null'); } elseif (is_bool($value)) { $this->raw($value ? 'true' : 'false'); } elseif (is_array($value)) { $this->raw('array('); $i = 0; foreach ($value as $key => $value) { if ($i++) { $this->raw(', '); } $this->repr($key); $this->raw(' => '); $this->repr($value); } $this->raw(')'); } else { $this->string($value); } return $this; } public function addDebugInfo(Twig_NodeInterface $node) { if ($node->getLine() != $this->lastLine) { $this->write("// line {$node->getLine()}\n"); if (((int) ini_get('mbstring.func_overload')) & 2) { $this->sourceLine += mb_substr_count(mb_substr($this->source, $this->sourceOffset), "\n"); } else { $this->sourceLine += substr_count($this->source, "\n", $this->sourceOffset); } $this->sourceOffset = strlen($this->source); $this->debugInfo[$this->sourceLine] = $node->getLine(); $this->lastLine = $node->getLine(); } return $this; } public function getDebugInfo() { return $this->debugInfo; } public function indent($step = 1) { $this->indentation += $step; return $this; } public function outdent($step = 1) { if ($this->indentation < $step) { throw new LogicException('Unable to call outdent() as the indentation would become negative'); } $this->indentation -= $step; return $this; } } 