//IDEA: able to display rows with different prototype which changes when the counter row is different
//TODO: gestire evento "filtro blocco cambiato" per permettere di evitare di ricalcolare i filtri ogni volta quando non cambiano
/**
 * Core Javascript Block Objects handler.
 * @class Core Javascript Block Objects handler.
 * @author Riccardo Re
 * @version 3.0.0
 *
 * @param {Object} manager_objs the object manager
 * @param {Object} manager_draw the draw html manager
 * @property {String} _objVarName the variable's name
 * @property {String} _start_parse_prototype_separator special START charset for prototypes - [( ... )]
 * @property {String} _stop_parse_prototype_separator special STOP charset for prototypes - [( ... )]
 * @property {String} _parse_prototype_element_separator special SEPARATOR charset for prototypes - [( element1 element2 )]
 * @property {String} _parse_prototype_element_datas_separator special SEPARATOR charset for prototypes - [( element1.data1a.data2a element2.data1a.data2a )]
 * @property {String} name block name
 * @property {String} render_container_selector jquery selector of the block container
 * @property {String} prototype_container html prototype for the container of the block
 * @property {String} prototype_item html prototype for the n-item of the block
 * @property {Matrix} row_array matrix made from an iterative array in which all elements are associative array FIELD_DATABASE->VALUE from DPADD_OBJECT table
 * @property {Matrix} row_relation_array [optional] matrix made from an iterative array in which all elements are associative array FIELD_DATABASE->VALUE from DPADD_OBJECT_RELATION table; used when the block MUST handle relations of objects passed into row_array property
 * @property {String} _row_relation_type [optional] parent_child|child_parent relation; by default 'parent_child'; used when the block MUST handle relations of objects passed into row_array property
 * @property {Object} options {} [optional] block options
 * @property {Boolean} options.sortable [optional] set the block as sortable; by default false;
 * @property {Boolean} options.draggable [optional] set the block as draggable; by default false;
 * @property {Boolean} options.droppable [optional] set the block as droppable; by default false;
 * @property {Object} draggableOptions {} [optional] options for a draggable block (see draggable options for jquery)
 * @property {Object} draggableOptions.connectDraggableTo [optional] by default null
 * @property {Object} draggableOptions.appendDraggableTo [optional] by default parent
 * @property {Object} draggableOptions.scope [optional] by default dpadBlock
 * @property {Function} results_filter_func [optional] function used to filter the result array set into the block
 * @property {Object} _sortable {} [optional] sortable options and functions
 */var jsDpadBlock=function(manager_objs,manager_draw){"use strict";this._objVarName=null,this._deltaTime={_renderStart:-1},this._start_parse_prototype_separator="[*",this._stop_parse_prototype_separator="*]",this._parse_prototype_element_separator=" ",this._parse_prototype_element_datas_separator=".",this._rows_tag="_list_item_",this._render_container_results=null,this._render_footer_obj=null,this._render_single_row=!0,this._rows_html=new Array,this.name=null,this.render_container_selector=null,this.prototype_header=null,this.prototype_item=null,this.prototype_item_loading=null,this.prototype_container=null,this.prototype_footer=null,this.row_array=null,this._row_array_byId=null,this.row_relation_array=null,this._row_relation_type="parent_child",this.draggableOptions={connectDraggableTo:null,appendDraggableTo:"parent",scope:"dpadBlock",cursorAt:{top:0,left:0}},this._options={sortable:!1,draggable:!1,multidraggable:!1,droppable:!1},this.current_row=-1,this._row_indexes_filtered=null,this.objManager=manager_objs?manager_objs:null,this.drawManager=manager_draw?manager_draw:null,this.resourceManager=rM||null,this.reference_id=null,this.force_update_sort_order=!1,this._aRenderedLast={aRows:new Array,aRowRelations:new Array},this._bRendered=!1,this._bRenderAlways=!0,this._internalEvents={_getRelationDataCore:function(a,b){var c={},d=-1,e=-1;this.getRelationType()=="parent_child"?(d=this.reference_id,e=a):(d=a,e=this.reference_id);var f=objM.getObj(d),g=objM.getObj(e);c.PARENTOBJ_ID=f.id,c.CHILDOBJ_ID=g.id;var h=f.getRelationConditions().options;c.RELATION_CONDITION=h&&h.length?this.resourceManager.getConstant("_DPAD_DB_NO_CONDITION"):"";if(f.is_event||f.type=="SCENARIO"){var i=g.getActions(),j=g.getRenderOptions(),k=g.getRendering();i.length>0?c.ACTION=i[0].VALUE:c.ACTION=this.resourceManager.getConstant("_DPAD_DB_NO_ACTION"),j.length>0?c.ACTION_VALUE=j[0].VALUE:k?c.ACTION_VALUE=k.min_state:c.ACTION_VALUE=this.resourceManager.getConstant("_DPAD_DB_NO_VALUE")}else c.ACTION=this.resourceManager.getConstant("_DPAD_DB_NO_ACTION"),c.ACTION_VALUE=this.resourceManager.getConstant("_DPAD_DB_NO_VALUE");g.type=="LOGIC"&&(c.ACTION_VALUE=this.resourceManager.getConstant("_DPAD_DB_VAL"));var l=objM.getRelationType(f.phpclass,g.phpclass);return this.getRelationType()!="parent_child"&&(b="(SELECT (COALESCE((MAX(ORDER_NUM)+1),0)) FROM DPADD_OBJECT_RELATION WHERE PARENTOBJ_ID='"+d+"' AND RELATION_WEB_TIPOLOGY='"+l+"')"),c.RELATION_WEB_TIPOLOGY=l,b&&(c.ORDER_NUM=b),c},getRelationData:function(a,b){return this._internalEvents._getRelationDataCore.apply(this,[a,b])},addRow:function(a,b,c){objM.createRelation(this._internalEvents.getRelationData.apply(this,[a,b]),$.proxy(this._internalEvents.addRowCallback,this,a,b,c))},addRowCallback:function(a,b,c,d){var e=objM.getObj(a),f=objM.getRelation(d.ID);this.add_row(e,f),this.current_row=this.row_relation_array.length-1;var g=this.getContainerResults().find("#"+c);if(g.size()!=0){var h=this.parse_prototype(this.prototype_item,objM.objToArray(e)),i=h instanceof jQuery?h:$($.parseHTML($.trim(h)));g.replaceWith(i)}else this.log({type:"error"},"[_internalEvents.addRowCallback] unable to rewrite loading row with id:%o",c);(this.getRelationType()=="parent_child"||this.force_update_sort_order)&&this.update_rows_order(),this._callbacks.addRow&&this._callbacks.addRow.apply(this,[c])}},this._sortable={handleSelector:!1,update:function(a,b){(this._row_relation_type=="parent_child"||this.force_update_sort_order)&&this.update_rows_order(this._render_container_results.sortable("toArray")),this._callbacks.sortItem&&this._callbacks.sortItem.apply(this,[a,b])},filterOnReceive:function(a){return!0},receive:function(a,b){var c=this.getContainerResults().find(".ui-draggable");for(var d=0;d<c.length;d++){var e=c.eq(d),f=c.length==1?b.item.prop("id"):e.prop("id");if(!f){this.log({type:"warn"},"[_sortable.receive] found item:%o without ID. Unable to create relations. Problably a sortable placeholder left from a multidraggable known bug.",e),e.remove();continue}var g=parseInt(f.substring(f.indexOf(this._rows_tag)+this._rows_tag.length));if(!g||isNaN(g)){this.log({type:"warn"},"[_sortable.receive] found _oItem:%o with row id:%o and unable to get object id for block:%o. Unable to create relations. Problably a sortable placeholder left from a multidraggable known bug.",e,f,this),e.remove();continue}var h=e.index();this.log("[_sortable.receive] receiving item:%o for row id:%o and object id: %o",e,f,g);if($(this.getContainerResults()).data("_tmpSortableReceiveDisabled"))this.log("[_sortable.receive] Dropped item:%o for row id:%o and object id: %o with order:%o on droppable element: ignoring event for sortable.",e,f,g,this._sortable.filterOnReceive),e.remove(),$(this.getContainerResults()).removeData("_tmpSortableReceiveDisabled");else if(this._sortable.filterOnReceive.apply(this,[g])){var i=$($.parseHTML($.trim(this.prototype_item_loading?this.prototype_item_loading:"<div></div>"))).prop("id",f).addClass("block-row-loading");e.replaceWith(i),this._internalEvents.addRow&&this._internalEvents.addRow.apply(this,[g,h,f])}else this.log("[_sortable.receive] item:%o for row id:%o and object id: %o with order:%o not allowed by filter functiom:%o",e,f,g,this._sortable.filterOnReceive),e.remove()}}},this._callbacks={addRow:null,removeRow:null,sortRow:null},this.results_filter_func=null,this.parse_prototype=function(a,b){this.resourceManager&&this.resourceManager.isFirefoxBrowser()&&(a=a.replace(/\[\%28/g,"[("),a=a.replace(/\%29\]/g,")]")),a=a.replace(/&amp;/g,"&").replace(/&lt;/g,"<").replace(/&gt;/g,">").replace(/&quot;/g,'"').replace(/&#039;/g,"'");var c={start_parse_pseudocode:this._start_parse_prototype_separator,stop_parse_pseudocode:this._stop_parse_prototype_separator,element_separator_pseudocode:null,data_array:b},d=objM.parsePseudoCode(a,{parseElementFunc:$.proxy(this.parseElement,this),parseElementReplaceFunc:$.proxy(this._parseElementReplace,this)},c);return d},this._parseElementReplace=function(a,b,c,d){var e=typeof c;if(d.bElementIsContainedByElement)if(e=="object"&&e!=null){c=$.toJSON(c);var f='"'+b+'"';a.indexOf(f)!=-1&&(b=f)}else if(this.resourceManager.isNumber(c)){var f='"'+b+'"';a.indexOf(f)!=-1&&(b=f)}else e=="string"&&(c=c.replace(new RegExp(/\\/g),"\\\\").replace(/"/g,'\\"'));return a.replace(b,c)},this.parseElement=function(sElement,params){var data_array=params.data_array?params.data_array:null,sReplace="",oElement=null;try{oElement=$.parseJSON(sElement)}catch(e){return this.log({type:"error"},"[parseElement] the JSON:%o is not correct; failed parsing with error:%o.",sElement,e),sReplace}switch(oElement.type){default:sReplace=sElement;break;case"dpadBlock":sReplace=this[oElement.field];break;case"db":if(data_array==null)sReplace="ERROR: unable to get field: "+oElement.field+" from null data array",this.log({type:"error"},sReplace);else if(oElement.field.indexOf("options.")!=-1){var sField=oElement.field.replace("options.",""),_oObj=this.objManager.getObj(data_array.ID);sReplace=_oObj.options[sField],typeof sReplace=="undefined"&&(sReplace="ERROR: unable to get value from field: "+oElement.field)}else{var sFieldUppercase=oElement.field.toUpperCase(),value=data_array[oElement.field];if(typeof value=="undefined"||value==""&&typeof data_array[sFieldUppercase]!="undefined")value=data_array[sFieldUppercase];typeof value=="undefined"?sReplace="ERROR: unable to get value from field: "+oElement.field:sReplace=value}break;case"scope":try{var _sScopeFunc="iM.getScope('"+this.render_container_selector+"')."+oElement.method+";";sReplace=eval(_sScopeFunc)}catch(e){sReplace="[parse_prototype] ERROR on calling scope function:"+_sScopeFunc+" Error:"+e.message,this.log({type:"error"},"%o Error:%o.",sReplace,e.message)}break;case"func":try{sReplace=eval(oElement.method)}catch(e){sReplace="[parse_prototype] ERROR on calling function:"+oElement.method+" Error:"+e.message,this.log({type:"error"},"%o Error:%o.",sReplace,e.message)}break;case"obj":try{var iObjId=oElement.id;if(!iObjId)sReplace="[parse_prototype] ERROR on calling OBJ Id: "+iObjId+" with ID:"+oElement.id+" from element:"+sElement,this.log({type:"error"},sReplace);else{var oObj=this.objManager.getObj(iObjId);iObjId==data_array["ID"]&&oObj==null&&(oObj=this.objManager.getObj(iObjId,data_array));try{var call="oObj."+oElement.method;sReplace=eval(call)}catch(e){sReplace="[parse_prototype] ERROR on OBJ Id: "+iObjId+" while evaluating call:"+call+" from element:"+sElement+" Error:"+e.message,this.log({type:"error"},sReplace)}}}catch(e){sReplace="jsDpadBlock.parse_prototype: ERROR on get OBJ:"+e.message}typeof sReplace=="undefined"&&(sReplace="");break;case"html":try{sReplace=this.drawManager.draw(oElement.subtype,oElement.htmlvar),this.log("[parse_prototype] HTML called draw:%o with html returned:%o",oElement.subtype,sReplace)}catch(e){sReplace="[jsDpadBlock] [parse_prototype] ERROR on calling drawManager.draw for "+oElement.subtype+": "+e.message,this.log({type:"error"},"[parse_prototype] %o -- %o",oElement,sReplace)}break;case"row_index":sReplace=this.getCurrentIndex({filter:!0})+1;break;case"row_iterator":this._render_single_row=!1;var values=oElement.iterations,index=0;this.getCurrentIndex({filter:!0})<values.length?index=this.getCurrentIndex({filter:!0}):index=this.getCurrentIndex({filter:!0})%values.length,sReplace=values[index],this.log("[parse_prototype] Row iterator:%o, index:%o, selected value:%o",values,index,sReplace);break;case"row":this.row_relation_array?this.row_relation_array[this.getCurrentIndex()]?sReplace=this.row_relation_array[this.getCurrentIndex()][oEvent.field]:sReplace=oEvent.field:this.row_array[this.getCurrentIndex()]?sReplace=this.row_array[this.getCurrentIndex()][oEvent.field]:sReplace=oEvent.field;break;case"relation":if(this.row_relation_array){var relation_id=-1;this.row_relation_array[this.getCurrentIndex()]&&(relation_id=this.row_relation_array[this.getCurrentIndex()].ID);if(this.objManager){var _oRelation=this.objManager.getRelation(relation_id);if(_oRelation){var relation_value=null,sField=null;_oRelation.options&&oElement.field.indexOf("options")!=-1?(sField=oElement.field.replace("options.",""),sReplace=_oRelation.options[sField],typeof sReplace=="undefined"&&(sReplace="")):(sField=oElement.field.toUpperCase(),sReplace=_oRelation[sField],typeof sReplace=="undefined"&&(sReplace="",this.log({type:"error"},"[parseElement] TAG:relation unable to get data:%o from relation of id:%o.",sField,relation_id)))}else this.log({type:"error"},"[parseElement] TAG:relation unable to get relation from id:%o.",relation_id)}}else sReplace="null";break;case"if":var condition_full=oElement.condition;condition_full||(condition_full=!1);if(typeof condition_full=="string"){var condition=null;condition_full.indexOf("==")!=-1?condition="==":condition_full.indexOf("!=")!=-1?condition="!=":condition_full.indexOf(">")!=-1?condition=">":condition_full.indexOf("<")!=-1?condition="<":condition_full.indexOf(">=")!=-1?condition=">=":condition_full.indexOf("<=")!=-1&&(condition="<="),condition&&(condition_full=condition_full.split(condition),condition_full[0]||(condition_full[0]="null"),condition_full[1]||(condition_full[1]="null"),condition_full=condition_full.join(condition))}var sEvaluateString=null,if_then=!1,prototype_then=oElement.ifThen,prototype_else=oElement.ifElse,if_then=!1,sEvaluateString="if_then=("+condition_full+"?true:false);";try{eval(sEvaluateString)}catch(e){this.log({type:"error"},"[parseElement] CONDITION\nERROR:%o\noElement:%o sElement:%o\nEvaluated String:%o\nResult:%o\nPrototype Then:%o\nPrototype Else:%o",e.message,oElement,sElement,sEvaluateString,if_then,prototype_then,prototype_else)}if_then?sReplace=prototype_then:prototype_else?sReplace=prototype_else:sReplace=="",this.log("[parseElement] CONDITION\noElement:%o sElement:%o\nEvaluated String:%o\nResult:%o\nPrototype Then:%o\nPrototype Else:%o",oElement,sElement,sEvaluateString,if_then,prototype_then,prototype_else)}return oElement.bEncode4jscript&&(sReplace=sReplace.replace(/\'/,"\\'")),sReplace},this.getContainerResults=function(){return this._render_container_results},this.getRelationType=function(){return this._row_relation_type},this._init_row_array_byId=function(){this._row_array_byId=new Array;for(var a in this.row_array){var b=this.row_array[a].ID?this.row_array[a].ID:this.row_array[a].id;this._row_array_byId[b]=this.row_array[a]}},this.getObjIdFromRowIndex=function(a){var b=null;return this.row_relation_array?this.row_relation_array[a]&&(this._row_relation_type=="parent_child"?b=this.row_relation_array[a].CHILDOBJ_ID:b=this.row_relation_array[a].PARENTOBJ_ID,this._row_array_byId||this._init_row_array_byId()):b=typeof this.row_array[a]["ID"]!="undefined"?this.row_array[a].ID:this.row_array[a].id,b==null&&this.log({type:"warn"},"[getObjIdFromRowIndex] getObjIdFromRowIndex unable to get id:%o from row result:%o of block:%o.",b,a,this),b},this._isRealObjFromObjID=function(a){var b=!1;return this._row_array_byId[a]&&(this._row_array_byId[a].PHPCLASS||this._row_array_byId[a].phpclass)&&(b=!0),b},this.getObjFromRowIndex=function(a,b){b||(b=this.getObjIdFromRowIndex(a));var c=null;return b!=null&&this._isRealObjFromObjID(b)&&(this.row_relation_array?(c=this.objManager.getObj(b),this._row_array_byId||this._init_row_array_byId(),c==null&&(c=this.objManager.getObj(b,this._row_array_byId[b]))):(c=this.objManager.getObj(b),c==null&&(c=this.objManager.getObj(b,this.row_array[a]))),c==null&&this.log("[getObjFromRowIndex] getObjFromRowIndex unable to get obj from id:%o from row result:%o.",b,a)),c},this.filterResult=function(a){var b=!1,c=!0,d=!1,e=this.getObjIdFromRowIndex(a),f=this.getObjFromRowIndex(a,e),g={};if(f)g=this.row_relation_array?this.objManager.getRelation(this.row_relation_array[a].ID):{},d=this.objManager?this.objManager.has_permission(null,f.id):!1;else{f={};for(var h in this.row_array[a])f[h.toLowerCase()]=this.row_array[a][h];d=!this._isRealObjFromObjID(e)}return this.results_filter_func&&(c=this.results_filter_func({obj:f,relation:g})),b=!c||!d,b==1&&this.log("[filterResult] filtering row:%o.\nObj %o(%o)\nFilter used: %o\nwith result:%o",a,f,f?f.id:"not accessible",this.results_filter_func+"",b),b},this.getCurrentIndex=function(a){a||(a={});var b=null;return a.filter!=1||this.current_row==-1?b=this.current_row:b=this._row_indexes_filtered[this.current_row],b},this.getResults=function(a){var b=new Array,c=null;a||(a={}),this.row_relation_array?c=this.row_relation_array:c=this.row_array;for(var d in c)a.filter!=1?b.push(c[d]):this.filterResult(d)!=1&&b.push(c[d]);return b},this.render_row=function(a){a<0?this.log({type:"error"},"[render_row] unable to render row:%o. Check the index!",a):this.log("[render_row] started rendering for row:%o.",a);if(!this.prototype_item)this.log({type:"error"},"[render_row] without prototype ITEM set. Cannot render row:%o.",a);else{if(this.filterResult(a)==1)return;var b=0;for(var c in this._row_indexes_filtered)b++;this._row_indexes_filtered[a]=b,this.current_row=a;var d=null,e=this.getObjIdFromRowIndex(this.getCurrentIndex()),f=this.getObjFromRowIndex(this.getCurrentIndex(),e);e!=null?(d=this.parse_prototype(this.prototype_item,this._row_array_byId[e]),this.objManager&&e!=null&&f==null&&this._isRealObjFromObjID(e)&&this.objManager.getObj(e,this._row_array_byId[e]),d?this._render_single_row?(this.render_row_addHtml(d),this.row_relation_array?this._render_container_results.find("#"+this.name+this._rows_tag+this.row_relation_array[a].ID).show():this._render_container_results.find("#"+this.name+this._rows_tag+this.row_array[a].ID).show()):this._rows_html[a]=d:this.log({type:"error"},"[render_row] unable to render row:%o; the html to append is empty!.",a)):this.log({type:"error"},"[render_row] unable to find object for ID.",e)}this.log("[render_row] ended rendering for row:%o.",a)},this.render_row_addHtml=function(a,b){var c=a instanceof jQuery?a:$($.parseHTML($.trim(a)));!b||b<1?this._render_footer_obj?(this.log("[render_row_addHtml] render_row_addHtml for index:%o appending...\nhtml:%o\nbefore footer:%o.",b,c,this._render_footer_obj),this._render_footer_obj.before(c)):(this.log("[render_row_addHtml] render_row_addHtml for index:%o appending...\nhtml:%o\nto end of container:%o.",b,c,this._render_container_results),this._render_container_results.append(c)):(this.log("[render_row_addHtml] render_row_addHtml appending...\nhtml:%o\nto container:%o to index:%o.",c,this._render_container_results,b),this._render_container_results.find("[id^='"+this.name+this._rows_tag+"']").eq(b).before(c))},this._renderIsNeeded=function(a,b,c,d,e){var f=!1;c||(c=new Array),d||(d=new Array);var g=this._aRenderedLast.iRowFrom!=a||this._aRenderedLast.iRowTo!=b||this._aRenderedLast.fFilterResults!==e||c.length!=this._aRenderedLast.aRows.length||c.length!=this._aRenderedLast.aRows.length;if(!g){for(var h in c){if(!this._aRenderedLast.aRows[h]){g=!0;break}for(var i in c[h]){g=c[h][i]!==this._aRenderedLast.aRows[h][i];if(g)break}if(g)break}for(var h in d){if(!this._aRenderedLast.aRowRelations[h]){g=!0;break}for(var i in d[h]){g=d[h][i]!==this._aRenderedLast.aRowRelations[h][i];if(g)break}if(g)break}}return g&&(this._aRenderedLast.aRows=c?c.slice():c,this._aRenderedLast.aRowRelations=d?d.slice():d,this._aRenderedLast.iRowFrom=a,this._aRenderedLast.iRowTo=b,this._aRenderedLast.fFilterResults=e,f=!0),f},this.render=function(a,b,c){this.log("[render] started to render as %o block.",this.row_relation_array?"object->relations list":"object list");var d=null,e=this._renderIsNeeded(a,b,this.row_array,this.row_relation_array,this.results_filter_func);if(this._bRenderAlways||e){this.resourceManager&&this.resourceManager._debug_enable&&(this._deltaTime._renderStart=this.resourceManager.getClientTime()),this.form_name||(this.form_name=this._objVarName),this.name||(this.name=this.form_name),this._init_row_array_byId(),this._row_indexes_filtered=new Array;if(this._bRendered==0){var f=$(this.render_container_selector);f.size()==0&&this.log({type:"error"},"[render] without container OBJ set with selector:%o. Unable to render.",this.render_container_selector),this.prototype_container?f.append(this.parse_prototype(this.prototype_container)):this.log("[render] without prototype CONTAINER set.");var g="[id='"+this.name+"_container_results']";this._render_container_results=f.find(g),this._render_container_results.size()==0&&this.log({type:"error"},"[render] without container RESULTS set with selector:%o. Unable to render.",g)}this._render_container_results.html(""),this.prototype_header?this._render_container_results.append(this.parse_prototype(this.prototype_header)):this.log("[render] without prototype HEADER set."),this._render_footer_obj=null;var h=null;typeof a!="number"&&(a=0);if(!this.row_relation_array){h=this.row_array;if(typeof b!="number"||b>this.row_array.length-1)b=this.row_array.length-1}else{h=this.row_relation_array;if(typeof b!="number"||b>this.row_relation_array.length-1)b=this.row_relation_array.length-1}this.log("[render] render from row:%o to:%o.",a,b);for(var i=a;i<=b;i++)this.render_row(i);this._render_single_row||(this._render_container_results.append(this._rows_html.join("")),this._rows_html=new Array),this.prototype_footer?(this._render_container_results.append(this.parse_prototype(this.prototype_footer)),this._render_footer_obj=this._render_container_results.find("#"+this.name+"_list_footer")):this.log("[render] without prototype FOOTER set."),this.setDraggable(),this.setSortable(),this._bRendered=!0,d="finished to render"}else d="render not needed";this.log("[render] "+d+" (delta time: "+(this.resourceManager.getClientTime()-this._deltaTime._renderStart)/1e3.toFixed(3)+" secs)."),c&&c()},this.setSortable=function(){if(this._options.sortable){var a="[id^='"+this.name+this._rows_tag+"']";this._render_container_results.sortable?(this._render_container_results.sortable({receive:this._sortable.receive?$.proxy(this._sortable.receive,this):null,handle:this._sortable.handleSelector?this._sortable.handleSelector:null,revert:!0,opacity:.5,delay:500,items:a,cancel:"input,button,#"+this.name+"_list_column_headers,#"+this.name+"_list_footer",update:this._sortable.update?$.proxy(this._sortable.update,this):null}),this.log("[setSortable] set to sortable for items with selector '%o'.",a)):this.log({type:"error"},"[setSortable] unable to call sortable jQuery function! Include the library first!.")}},this.setDraggable=function(){if(!this._options.sortable&&(this._options.draggable||this._options.multidraggable)){var a="clone",b="[id^='"+this.name+this._rows_tag+"']",c=this._render_container_results.find(b),d=c.first().prop("tagName");a=function(a){return $(a.target).clone().prop("id",$(a.target).attr("id"))};var e={cursorAt:this.draggableOptions.cursorAt,connectToSortable:this.draggableOptions.connectDraggableTo,appendTo:this.draggableOptions.appendDraggableTo,opacity:.5,revert:"invalid",revertDuration:1e3,scroll:!1,snap:!1,scope:this.draggableOptions.scope,zIndex:100,helper:a};c.multidraggable&&this._options.multidraggable?(c.multidraggable(e),this.log("[setDraggable] set to MULTIdraggable for items with selector '%o'. Items found:%o. Html tagName:%o.",b,c.length,d)):c.draggable&&this._options.draggable?(c.draggable(e),this.log("[setDraggable] set to draggable for items with selector '%o'. Items found:%o. Html tagName:%o.",b,c.length,d)):this.log({type:"error"},"[setDraggable] unable to call %o jQuery function! Include the library first!.",this._options.draggable?"draggable":"multidraggable")}},this.refresh=function(){this._options.sortable&&this.getContainerResults().sortable("refresh")},this.add_row=function(a,b){a&&(typeof a["ID"]=="undefined"&&typeof a["id"]=="undefined"&&(a.ID=this._row_array_byId.length,this.log("[add_row] Missing ID to data_obj; initiating ID to value:%o.",a.ID)),this.row_array.push(a),this._row_array_byId[a.ID]=a),b&&this.row_relation_array.push(b)},this.remove_row=function(a){var b=this._render_container_results.find("#"+this.name+this._rows_tag+a);b.fadeOut(400,function(){$(this).remove()});if(this.row_array)for(var c in this.row_array)this.row_array[c]["ID"]==a&&this.row_array.splice(c,1);if(this.row_relation_array){var d=new Array;for(var c in this.row_relation_array){if(this.row_relation_array[c]["ID"]==a)continue;d[c]=this.row_relation_array[c]}this.row_relation_array=d}this.current_row=this.row_relation_array?this.row_relation_array.length-1:this.row_array.length-1,this._callbacks.removeRow&&this._callbacks.removeRow.apply(this,[a])},this.update_rows_order=function(a){if(!a){this.refresh();var b=this.getContainerResults().find("[id*='"+this.name+"']");a=new Array;for(var c=0;c<b.length;c++){var d=b.eq(c);d.hasClass("block-row-loading")?a[c]=null:a[c]=d.prop("id")}}this.log("[update_rows_order] Updating block's rows order to:%o.",a);var e=0;for(var f in a){var g=a[f];if(!g)continue;var h=g.substring(g.indexOf(this._rows_tag)+this._rows_tag.length,g.length);if(isNaN(h))continue;var i=h;this.objManager&&this.objManager.updateFieldRelation(i,"ORDER_NUM",e),e++}},this.log=function(){var a=null,b=null,c=new Array,d=0;typeof arguments[0]=="object"?(a=arguments[0],b=arguments[1],d=2):(a={},b=arguments[0],d=1);for(var e=d;e<arguments.length;e++)c.push(arguments[e]);b="[jsDpadBlock.js Block:%o(%o)] "+b,c.unshift(a,b,this.name,this),this.resourceManager&&this.resourceManager.log.apply(this.resourceManager,c)}};