/**
* web DB interface to return automatically an indexedDB or a webSQL database if it's supported.
* @function web DB interface to return automatically an indexedDB or a webSQL database if it's supported.
* @param {Object} [optional] oOptions for function
* @param {String} [optional] oOptions.name DB name [default: 'DomusPad']
* @param {String} [optional] oOptions.type specific DB type to use between indexedDB, webSQL or localStorage [default: 'indexedDB' if supported; otherwise 'webSQL' if supported; otherwise 'localStorage' if supported]
* @param {Integer} [optional] oOptions.version latest DB version [default: 1]
* @param {Function} [optional] oOptions.onReady function to call when the DB is ready [default: null]
* @param {Object} [optional] oOptions.schema DB versioning schema [default: null]
*/function jsDpadDbWebManager(a){"use strict";a||(a={}),a.name||(a.name="DomusPad"),a.version||(a.version=-1),a.schema||(a.schema={}),this._resourceManager=a.resourceManager?a.resourceManager:null,this._oSupport={},this._oSupport.indexedDB=Modernizr?Modernizr.indexeddb&&window.indexedDB&&window.indexedDB.deleteDatabase:!1,this._oSupport.webSQL=Modernizr?Modernizr.websqldatabase:!1,this._oSupport.localStorage=Modernizr?Modernizr.localstorage:!1,this._DBname=a.name,this._DBversion=0,this._DBSchema=a.schema?a.schema:null,this._oDB=null,this._DBManagerType=null,this._eventsInternal={},this._eventsExternal={ready:a.onReady,unsupported:a.onUnsupported},this._getDBVersion=function(){return this._DBversion},this._getNextSchema=function(a,b,c){b=typeof b!="undefined"?b:parseInt(this._getDBVersion()),c=typeof c!="undefined"?c:-1;if(!this._DBSchema&&!b)this.log({type:"info"},"No DB/Storage schema used.");else{var d=this._getNextSchemaElement(b,c);d.element?this._handleSchemaElement(d.element,d.version,$.proxy(this._getNextSchema,this,a,d.version,d.index)):(this.log({type:"info"},"No other step needed to upgrade database to version: %o",b--),a&&a())}},this._getNextSchemaElement=function(a,b){var c=typeof a!="undefined"?a:parseInt(this._getDBVersion())+1,d=typeof b!="undefined"?b+1:0,e=this._DBSchema[c];if(e&&d>e.length||c==0)c++,b=0,this._getNextSchemaUpdateDBVersion(c);return{element:this._getSchemaElement(c,d),version:c,index:d}},this._getSchemaElement=function(a,b){return this._DBSchema&&this._DBSchema[a]?this._DBSchema[a][b]:null},this._handleSchemaElement=function(a,b,c){this.log({type:"error"},"Missing: Handle Schema function for: %o",a),c&&c()},this._setStrip=function(a){var b={};for(var c in a)typeof a[c]!="function"&&typeof a[c]!="object"&&(b[c.toLowerCase()]=a[c]);return b},this._handleCacheEvent=function(a,b){this._eventsInternal[a.type]?this._eventsInternal[a.type].call(this,a,this._eventsExternal[a.type]?$.proxy(this._eventsExternal[a.type],this,a,b):b):this._eventsExternal[a.type]&&this._eventsExternal[a.type](a,b)},this.log=function(){var a=null,b=null,c=new Array,d=0;typeof arguments[0]=="object"?(a=arguments[0],b=arguments[1],d=2):(a={},b=arguments[0],d=1);for(var e=d;e<arguments.length;e++)c.push(arguments[e]);b="[jsDpadWebManager %o] "+b,c.unshift(a,b,this),this._resourceManager&&this._resourceManager.log.apply(this._resourceManager,c)};if(a.type)switch(a.type){case"indexedDB":this._oSupport.indexedDB?jsDpadWebIndexedDB.call(this,a):jsDpadUnsupportedWebDB.call(this,a);break;case"webSQL":this._oSupport.webSQL?jsDpadWebSQL.call(this,a):jsDpadUnsupportedWebDB.call(this,a);break;case"localStorage":default:this._oSupport.localStorage?jsDpadWebLocalStorage.call(this,a):jsDpadUnsupportedWebDB.call(this,a)}else this._oSupport.indexedDB?jsDpadWebIndexedDB.call(this,a):this._oSupport.webSQL?jsDpadWebSQL.call(this,a):this._oSupport.localStorage?jsDpadWebLocalStorage.call(this,a):jsDpadUnsupportedWebDB.call(this,a)}function jsDpadUnsupportedWebDB(a){"use strict";this._DBManagerType="unsupported",this.openDB=function(){this._handleCacheEvent({type:"unsupported"},this._eventsExternal.ready?$.proxy(this._handleCacheEvent,this,{type:"ready"}):null)},this.log({type:"error"},"Unable to handle a WebDB; there is no support for "+(a.type?a.type:"indexedDB or webSQL or localStorage...")+" please install a recent client browser.")}function jsDpadWebSQL(a){"use strict";this._DBManagerType="webSQL",this._dbManager=a.dbManager?a.dbManager:null,this._getDBVersion=function(){return this._oDB?this._oDB.version?parseInt(this._oDB.version):0:0},this._handleSchemaElement=function(a,b,c){a=a.indexOf("CREATE TABLE IF NOT EXISTS")!=-1?a:a.replace("CREATE TABLE","CREATE TABLE IF NOT EXISTS"),this.log({type:"info"},"Updating DB [%o] to version: %o -> Using SQL: %o.",this._DBname,b,a),this.query(a,c)},this._getNextSchemaUpdateDBVersion=function(a){},this.reworkSQLDump=function(a){var b=!1;typeof a=="string"&&(a=a.split("\n"),b=!0);var c=new Array,d=null,e="",f=0;for(var g in a){var h=a[g];if(h.match(/(INSERT)/)){var i=h.split(" "),j=i[2],k=(i[3]!="VALUES"?i.slice(3).join(" ").replace("VALUES(",""):i.slice(4).join(" ")).replace(");","").replace("(","");f+=e.length,d==j&&f<45e4?e+=" UNION SELECT "+k:(f=0,c[c.length]=e,e="INSERT INTO "+j+" SELECT "+k,g==a.length-1&&(c[c.length]=e)),d=j}else c[c.length]=h}return b?c.join("\n"):c},this.populateDB=function(a,b,c){c||(c=0),typeof a=="string"&&(a=a.split("\n"));var d=a[c];c++,c<a.length?this.query(d,$.proxy(this.populateDB,this,a,b,c)):b&&b()},this.getStores=function(a){this.query("SELECT * FROM sqlite_sequence;",$.proxy(this._getStoresCallback,this,a))},this._getStoresCallback=function(a,b){var c=new Array;for(var d in b)c.push(b[d].name);a&&a(c)},this.get=function(a,b,c,d){var e="SELECT * FROM "+a+" WHERE ID='"+b+"';";b||(e="SELECT * FROM "+a+";"),this.query(e,$.proxy(this._getCallback,this,b,c,d),{bFieldToLowerCase:!0})},this._getCallback=function(a,b,c,d){if(a)b&&b(d);else{for(var e in d){var f=d[e];c&&c(f)}b&&b(d)}},this.set=function(a,b,c){var d=new Array,e=new Array,f=this._setStrip(b);for(var g in f){var h=g,i=f[g];switch(g){case"ID":i||(i="NULL");break;case"require_state_refresh":case"require_state_refresh_timeout":case"waiting_for_setvalue_callback":case"waiting_for_setstate_callback":case"require_service_restart_on_update":case"require_service_restart_on_insert":case"require_service_restart_on_delete":case"current_rendering_view":case"stop_image_path":case"is_event":case"is_executable":case"is_remotable":case"is_complex":continue;default:}if(i==null)continue;var j=this._dbManager.getDBType(h,i),k=j==this._dbManager._data_type.string||j==this._dbManager._data_type.string_human_readable;i=(k?"'":"")+this._dbManager.parse_string_for_sql_value(i,j)+(k?"'":""),d.push(h),e.push(i)}var l="INSERT OR REPLACE INTO "+a+" ( "+d.join(",")+" ) VALUES ("+e.join(",")+");";this.query(l,c)},this.empty=function(a,b,c){a&&b?this.query("DELETE FROM "+a+" WHERE ID='"+b+"';",c):a&&!b?this.query("DELETE FROM "+a+";",c):this.getStores($.proxy(this._emptyTableCallback,this,c))},this._emptyTableCallback=function(a,b){var c=b.pop();c?this.empty(c,null,$.proxy(this._emptyTableCallback,this,a,b)):a&&a()},this.query=function(a,b,c){c=$.extend({bFieldToLowerCase:!0},c),a.match(/^(SELECT|CREATE|DROP|INSERT|DELETE|BEGIN|END|COMMIT|ROLLBACK|PRAGMA)/)?a.match(/^SELECT/)?this._oDB.readTransaction($.proxy(this._queryTransaction,this,a,b,c)):this._oDB.transaction($.proxy(this._queryTransaction,this,a,b,c)):this.log({type:"warn"},"SQL statement not supported; ignoring: %o",a)},this._queryTransaction=function(a,b,c,d){d.executeSql(a,[],$.proxy(this._querySuccess,this,a,b,c),$.proxy(this._queryError,this,a,b,c))},this._querySuccess=function(a,b,c,d,e){var f=new Array;for(var g=0;g<e.rows.length;g++){var h={};for(var i in e.rows.item(g)){var j=e.rows.item(g)[i];j=j&&this._dbManager._resourceManager.isString(j)?this._dbManager.parse_string_for_constants(this._dbManager.decode_string_from_sql(j)):j,h[c.bFieldToLowerCase?i.toLowerCase():i]=j}f.push(h)}b&&b(f)},this._queryError=function(a,b,c){this.log({type:"error"},"Query Failed:%o",a,arguments),b&&b({})},this.openDB=function(){try{this._oDB=openDatabase(this._DBname+".Db",String(this._getDBVersion()),this._DBname+".db",5242880),this._oDB?this._openDBCallback():(this.log({type:"error"},"Error: %o; webSQL support present but problably inactive; check client or update Android OS.",a.message),this._handleCacheEvent({type:"unsupported"},this._eventsExternal.ready?$.proxy(this._handleCacheEvent,this,{type:"ready"}):null))}catch(a){this.log({type:"error"},"Error: %o; webSQL support failed; the client has big issues with SQLlite library; check logcat or update Android OS.",a.message),this._handleCacheEvent({type:"unsupported"},this._eventsExternal.ready?$.proxy(this._handleCacheEvent,this,{type:"ready"}):null)}},this._openDBCallback=function(){this._getNextSchema($.proxy(this._handleCacheEvent,this,{type:"ready"}),this._getDBVersion(),-1)},this.log({type:"info"},"Using webSQL technology for DB:%o [version:%o]",this._DBname,this._getDBVersion())}function jsDpadWebIndexedDB(a){"use strict";this._DBManagerType="indexedDB",this._getDBVersion=function(){var a=0;for(var b in this._DBSchema)a=b;return a},this._getNextSchema=function(){var a={};for(var b in this._DBSchema)a[b]=$.proxy(this._handleSchemaElement,this,b);return a},this._handleSchemaElement=function(a,b){for(var c in this._DBSchema[a]){var d=this._DBSchema[a][c],e=d.split(" "),f=e[2],g=$.trim(d.substring(d.indexOf("(")+1,d.lastIndexOf(")")-1)),h=g.split(",");for(var i in h){var j=h[i];if(j.indexOf("PRIMARY KEY")!=-1){var k=j.indexOf("AUTOINCREMENT")!=-1?!0:!1,j=j.split(" ")[0].toLowerCase();this.log({type:"info"},"Updating DB [%o] to version: %o -> Creating Object Store: %o using key:%o and autoincrement set to:%o from schema:%o",this._DBname,a,f,j,k,d),b.createObjectStore(f,{autoIncrement:k,keyPath:j});break}}}},this.getStores=function(a){var b=new Array;for(var c=0;c<this._oDB.objectStoreNames.length;c++)b.push(this._oDB.objectStoreNames[c]);a&&a(b)},this.get=function(a,b,c,d){a&&b?$.indexedDB(this._DBname).objectStore(a).get(b).then(function(a){c&&c(a)},$.proxy(this.log,this,"Cannot read from:%o key:%o. Error:%o[%o]",a,b)):a&&!b&&$.indexedDB(this._DBname).objectStore(a).each(function(a){d&&d(a.value)}).promise().done(function(){c&&c(null)}).fail($.proxy(this.log,this,{type:"error"},"Error on cycling values from store:%o; Error:%o",b,a))},this.set=function(a,b,c){var b=this._setStrip(b);$.indexedDB(this._DBname).objectStore(a).put(b).done(function(){c&&c()}).fail($.proxy(this.log,this,{type:"error"},"Error on setting value:%o from store:%o; Error:%o",b,a))},this.empty=function(a,b,c){a&&b?$.indexedDB(this._DBname).objectStore(a)["delete"](b).done(function(){c&&c()}).fail($.proxy(this.log,this,{type:"error"},"Error on deleting key:%o from store:%o; Error:%o",b,a)):a&&!b?$.indexedDB(this._DBname).objectStore(a).clear().done(function(){c&&c()}).fail($.proxy(this.log,this,{type:"error"},"Error on deleting store:%o; Error:%o",a)):(this._oDB=null,$.indexedDB(this._DBname).deleteDatabase().done(function(){c&&c()}).fail($.proxy(this.log,this,{type:"error"},"Error on deleting DB:%o; Error:%o",this._DBname)))},this._indexedDBopened=function(a,b,c){this._oDB=b,a&&a()},this.openDB=function(){this.log({type:"info"},"Using indexedDB technology for DB:%o [version:%o]",this._DBname,this._getDBVersion()),$.indexedDB(this._DBname,{version:this._getDBVersion(),schema:this._getNextSchema()}).done($.proxy(this._indexedDBopened,this,$.proxy(this._handleCacheEvent,this,{type:"ready"}))).fail($.proxy(this.log,this,{type:"error"},"Error on opening DB:%o; Error:%o",this._DBname))}}function jsDpadWebLocalStorage(a){"use strict";this._DBManagerType="localStorage",this._iLocalStorageSize=0,this._sLocalStorageCharSet="UTF-8",this.get=function(a,b,c,d){var e=localStorage.getItem(b);try{e=$.parseJSON(e)}catch(f){}c&&c(e)},this.set=function(a,b,c){switch(typeof b){case"string":break;default:a=b.id,b=$.toJSON(b)}var d=1;switch(this._sLocalStorageCharSet){case"UTF-16":d=2;break;case"UTF-8":default:d=1}var e=b.length*8*d/1e3;this._iLocalStorageSize+=e;try{localStorage.setItem(a,b),this.log("saved key:%o (%o Kb - Charset:%o) on localStorage cache. Total Cache Size:%o Kb.",a,e,this._sLocalStorageCharSet,this._iLocalStorageSize)}catch(f){f==QUOTA_EXCEEDED_ERR&&this.log({type:"error"},"[cacheSet] Error on localStorage cache: quota exceeded.")}c&&c()},this.empty=function(a,b,c){b?localStorage.removeItem(b):localStorage.clear(),c&&c()},this.openDB=function(){this._handleCacheEvent({type:"ready"})},this.log({type:"info"},"Using LocalStorage technology for storage:%o [version:%o]",this._DBname,this._getDBVersion())};