/**
 * Core Javascript pure Html handler.
 * @class Core Javascript pure Html handler.
 * @description this function is used to draw standard element html using javascript
 * @author Riccardo Re
 * @version 3.0.0
 *
 * @param {String} type the html type element (form,image,link,multiselect,select,select_custom,span,textbox,hidden,checkbox,checkbox_custom,yesno,radio,label)
 * @param {Object} params {} html parameters for the element
 * @param {String} params.id [optional] html id
 * @param {String} params.name [optional] html name
 * @param {String} params.title [optional] html title
 * @param {String} params.href [optional] html href
 * @param {Array|Object} params.options [optional] html options for select|checkbox|radio and custom version of these elements
 * @param {String} params.(whatever html field you know for that element) [optional] html field
 */var jsDpadDrawHtml=function(type,params){"use strict";params||(params={id:null,value:null});var is_multiselect=!1;if(params.options){var typeOptions=typeof params.options,options=null;if(typeOptions.indexOf("object")==-1){try{options=eval(params.options)}catch(e){var rows=params.options.split('","');options=new Array;for(var j in rows){var elements=rows[j].replace(/"/g,"").split(":"),key=elements[0],value=elements[1];try{options[key]=decodeURIComponent(value)}catch(e){options[key]=value}}}params.options=options}}var html;switch(type.toLowerCase()){case"form":html="<form "+(params.id==null?"":'id="'+params.id+'" name="'+params.id+'" ')+'accept-charset="UNKNOWN" method="'+(params.method==null?"POST":params.method)+'" action="'+params.current_page+'" enctype="application/x-www-form-urlencoded">'+params.value+'<input name="'+params.name+'_sor_cible" type="hidden" value="'+params.current_page+'" ><input name="'+params.name+'_sortingRef" type="hidden" value="'+params.current_page+'" ><input name="'+params.name+'_sor_champs" type="hidden" value=""><input name="'+params.name+'_sor_ordre" type="hidden" value="" ><input name="'+params.name+'_borne" id="borne" type="HIDDEN" value="NO-BORNE"></form>';break;case"image":html=(params.href==null?"":"<a "+(params.id==null?"":'id="'+params.id+'_lnk" name="'+params.id+'_lnk" ')+(params.title==null?"":'title="'+params.title+'" ')+'href="'+params.href+'" '+(params.onClick==null?"":'onClick="'+params.onClick+'" ')+">")+"<img "+(params.id==null?"":'id="'+params.id+'" name="'+params.id+'" ')+(params.htmlClass==null?"":'class="'+params.htmlClass+'" ')+(params.style==null?"":"style="+params.style+" ")+'src="'+params.src+' "'+(params.alt==null?"":'alt="'+params.alt+'" ')+(params.width==null?"":'width="'+params.width+'" ')+(params.height==null?"":'height="'+params.height+'" ')+(params.onMouseOver==null?"":'onmouseover="'+params.onMouseOver+'" ')+(params.onMouseOut==null?"":'onmouseout="'+params.onMouseOut+'" ')+(params.onMouseUp==null?"":'onmouseup="'+params.onMouseUp+'" ')+(params.onMouseDown==null?'onmousedown="if(event.preventDefault)event.preventDefault();return false;" ':'onmousedown="'+params.onMouseDown+'" ')+(params.href==null?params.onClick==null?"":'onClick="'+params.onClick+'" ':"")+"/>"+(params.href==null?"":"</a>");break;case"link":html=(params.href==null?"":"<a "+(params.id==null?"":'id="'+params.id+'_lnk" name="'+params.id+'_lnk" ')+(params.title==null?"":'title="'+params.title+'" ')+'href="'+params.href+'" '+(params.onClick==null?"":'onClick="'+params.onClick+'" ')+">")+params.value+(params.href==null?"":"</a>");break;case"multiselect":is_multiselect=!0;case"select":var html_options=new Array,counter=0;for(var i in params.options){var select_key=null,select_value=null;(typeof params.options[i]).indexOf("object")!=-1?(select_key=params.options[i].key,select_value=params.options[i].value):(select_key=i,select_value=params.options[i]),html_options[counter++]='<option value="'+select_key+'" '+(params.value==select_key?"selected ":"")+">"+select_value+"</option>"}html="<select "+(is_multiselect==1?"multiple ":"")+(params.id==null?"":'id="'+params.id+(is_multiselect==1?"[]":"")+'" name="'+params.id+'" ')+(is_multiselect==1?'size="'+(multiselect_tot_options<params.options.length?multiselect_tot_options:params.options.length)+'" ':"")+(params.htmlClass==null?"":'class="'+params.htmlClass+'" ')+(params.style==null?"":"style="+params.style+" ")+(params.onClick==null?"":'onClick="'+params.onClick+'" ')+(params.onChange==null?"":'onChange="'+params.onChange+'" ')+(params.is_disabled==null?"":"disabled ")+">"+html_options.join("")+"</select>";break;case"select_custom":html=new Array;var i=0;html[i++]='<table width="100%"><tr><td width="5%"><div class="form_smallbutton_blue">';var onClickMinus="var select=$(this).parent().parent().next().children().children();";options?onClickMinus+="var selected=select.find('option:selected');select.selectOptions((selected.prev().val()?selected.prev().val():select.find('option').last().val()));":onClickMinus+="if(!select.val())select.val("+params.min+");var value=parseFloat(select.val());value-="+params.step+";if(value<"+params.min+")value="+params.min+";select.val(value);",onClickMinus+="select.trigger('onchange');",html[i++]=jsDpadDrawHtml("image",{id:params.id==null?null:params.id+"_select_custom_down",htmlClass:"form_action_button",href:"#",src:params.themeSrc==null?"":params.themeSrc+"images/actions/down_arrow.png",alt:params.alt,onClick:onClickMinus}),html[i++]='</div></td><td width="90%"><div style="width:100%;position:relative;padding:2px">',options&&(html[i++]=jsDpadDrawHtml("textbox",{id:params.id==null?null:params.id+"_select_custom_span",htmlClass:"form_select_custom",value:options[params.value],style:params.style})),html[i++]=jsDpadDrawHtml(options?"select":"textbox",{id:params.id==null?null:params.id+"_select_custom",htmlClass:"form_textbox_short",style:""+(options?"opacity:0;z-index:5;position:absolute;":""),value:params.value,options:params.options,onClick:params.onClick,onChange:(options?"var span=$(this).prev();span.val($(this).find('option:selected').text());":"var value=parseFloat($(this).val());if(value>"+params.max+")value="+params.max+";else if(value<"+params.min+")value="+params.min+";$(this).val(value);$(this).blur();")+params.onChange}),html[i++]='</div></td><td width="5%"><div class="form_smallbutton_blue">';var onClickPlus="var select=$(this).parent().parent().prev().children().children();";options?onClickPlus+="var selected=select.find('option:selected');select.selectOptions((selected.next().val()?selected.next().val():select.find('option').first().val()));":onClickPlus+="if(!select.val())select.val("+params.min+");var value=parseFloat(select.val());value+="+params.step+";if(value>"+params.max+")value="+params.max+";select.val(value);",onClickPlus+="select.trigger('onchange');",html[i++]=jsDpadDrawHtml("image",{id:params.id==null?null:params.id+"_select_custom_up",htmlClass:"form_action_button",href:"#",src:params.themeSrc==null?"":params.themeSrc+"images/actions/up_arrow.png",alt:params.alt,onClick:onClickPlus}),html[i++]="</div></td></tr></table>",html=html.join("");break;case"span":html="<span "+(params.id==null?"":'id="'+params.id+'" name="'+params.id+'" ')+(params.htmlClass==null?"":'class="'+params.htmlClass+'" ')+(params.style==null?"":"style="+params.style+" ")+">"+params.value+"</span>";break;case"textbox":html='<input type="textbox" '+(params.id==null?"":'id="'+params.id+'" name="'+params.id+'" ')+(params.htmlClass==null?"":'class="'+params.htmlClass+'" ')+(params.style==null?"":"style="+params.style+" ")+'value="'+(params.value?params.value:"")+'" '+(params.onChange?' onChange="'+params.onChange+'" ':"")+(params.onClick?' onClick="'+params.onClick+'" ':"")+(params.onKeyPress?' onKeyPress="'+params.onKeyPress+'" ':"")+(params.disable?" disabled":"")+"/>";break;case"hidden":html='<input type="hidden" '+(params.id==null?"":'id="'+params.id+'" name="'+params.id+'" ')+(params.htmlClass==null?"":'class="'+params.htmlClass+'" ')+(params.style==null?"":"style="+params.style+" ")+'value="'+(params.value?params.value:"")+'" '+(params.onChange?' onChange="'+params.onChange+'" ':"")+(params.onClick?' onClick="'+params.onClick+'" ':"")+(params.value!=0?" checked":"")+(params.disable?" disabled":"")+"/>";break;case"checkbox":html='<input type="checkbox" '+(params.id==null?"":'id="'+params.id+'" name="'+params.id+'" ')+(params.htmlClass==null?"":'class="'+params.htmlClass+'" ')+(params.style==null?"":"style="+params.style+" ")+' value="'+i+'" '+(params.onChange?' onChange="'+params.onChange+'" ':"")+(params.onClick?' onClick="'+params.onClick+'" ':"")+(params.value!=0?" checked":"")+(params.disable?" disabled":"")+"/>";break;case"checkbox_custom":html=new Array;var i=0;html[i++]=jsDpadDrawHtml("hidden",{id:params.id==null?null:params.id+"_checkbox_hidden",htmlClass:params.htmlClass,style:params.style,value:params.value,onClick:params.onClick,onChange:params.onChange}),html[i++]=jsDpadDrawHtml("image",{id:params.id==null?null:params.id+"_checkbox_custom",src:params.themeSrc==null?"":params.themeSrc+"images/theme/smallbutton_"+(params.value!=0?"checked":"shaded")+".png",style:params.style==null?"cursor:pointer;":params.style,alt:params.alt,onClick:"var checkbox=$(this).prev();if($(this).attr('src').indexOf('checked')!=-1){$(this).attr('src',$(this).attr('src').replace('checked','shaded'));checkbox.attr('checked',false);}else{$(this).attr('src',$(this).attr('src').replace('shaded','checked'));checkbox.attr('checked',true);}checkbox.trigger('onclick');"}),html=html.join("");break;case"yesno":case"radio":params.options||(params.options=new Array("no","yes")),params.items_per_row||(params.items_per_row=4),params.disable||(params.disable=!1);var items_per_row_counter=0;html='<fieldset id="'+type.toLowerCase()+"_"+params.id+'" style="border: none;"><table>';var counter=0;for(var i in params.options)items_per_row_counter==0&&(html+="<tr>"),html+='<td style="padding: 0px; vertical-align:top"><input type="radio" '+(params.id==null?"":'id="'+params.id+"_"+counter+'" name="'+params.id+'" ')+'" value="'+i+'" '+(params.onChange?' onChange="'+params.onChange+'" ':"")+(params.onClick?' onClick="'+params.onClick+'" ':"")+(params.value==i?" checked":"")+(params.disable?" disabled":"")+'/></td><td style="padding: 0px; vertical-align:top">'+params.options[i]+"</td>",counter++,items_per_row_counter++,items_per_row_counter==params.items_per_row&&(items_per_row_counter=0),items_per_row_counter==0&&(html+="</tr>");html+="</table></fieldset>";break;case"label":default:var max_chars=30;params.title||(params.title=params.value),params.value>max_chars&&(params.value=substr(0,max_chars)+"..."),html="<label "+(params.id==null?"":'id="'+params.id+'" name="'+params.id+'" ')+(params.htmlClass==null?"":'class="'+params.htmlClass+'" ')+(params.style==null?"":"style="+params.style+" ")+(params.title==null?"":'title="'+params.title+'" ')+">"+params.value+"</label>"}return html};