/**
 * Core Resources Manager handler (rM).
 * @class Core Resources Manager handler (rM).
 * @author Riccardo Re
 * @version 3.0.0
 *
 * @property {String} _objVarName the variable's name
 * @property {String} _start_parse_jsinclude_separator special START charset for js include
 * @property {String} _stop_parse_jsinclude_separator special STOP charset for js include
 * @property {Boolean} _debug_enable flag to enable the debug messages on the software
 * @property {Number} _log_current_verbosity level of verbosity (TODO: right now verbosity is ignored)
 */var resourcesManager=function(oOptions){"use strict";oOptions=$.extend({},oOptions),this._objVarName,this._browser={},this._oClient={},this._constantKeyTag="_DPAD",this._constants=oOptions.constants?oOptions.constants:{},this._configurations=oOptions.configurations?oOptions.configurations:{},this._javascripts=new Array,this._start_parse_jsinclude_separator="<{",this._stop_parse_jsinclude_separator="}>",this._debug_enable=!1,this._log_current_verbosity=100,this._log={buffer:new Array,errors:new Array},this._log_buffer_length=100,this._most_recent_version=oOptions.jsDefaultVersion?oOptions.jsDefaultVersion:0,this._loggerUi=null,this._loggerUi_options={selector:"div#logger_error",update:null},this._logger={_timeDelta:0,_timeTot:0,_lastTimestamp:null},this._arr_clocks=new Array,this._clocksTimerHandler=null,this._clocksIdleTimer=1,this._linkObj={sTagStart:"$",sTagSeparator:"."},this._init=function(a){this.log({type:"info"},"[jsDpadResourcesManager.js init] Debug Mode: %o",this._debug_enable),this.log({type:"info"},"[jsDpadResourcesManager.js init] Set default javascripts most recent version to: %o",this._most_recent_version)},this.initLoggerUi=function(a){a&&(this._loggerUi_options=a)},this.getLoggerUi=function(a){return a||(a=this._loggerUi_options.selector),this._loggerUi||(this._loggerUi=$(a),this._loggerUi_options.update&&this._loggerUi.bind("update.loggerUi",this._loggerUi_options.update)),this._loggerUi},this.setLoggerUpdate=function(a){if(!a)return},this.setConfiguration=function(a,b,c){c=$.extend({refresh:!0,username:"*",theme:"*",fCallback:null},c);if(c.refresh&&this._configurations[a]!=b)this.ajax({type:"POST",url:this.urlAddVar("../system/dpadaction.php","context",themeManager.getContext(document.URL)),data:{op:"refreshconfiguration",key:a,value:b,username:c.username,theme:c.theme},success:$.proxy(this._setConfigurationCallbackSuccess,this,a,b,c),error:$.proxy(this._setConfigurationCallbackError,this,a,b,c)});else{var d=this._getConfigurationValue(a);this._configurations[a]=b,this.log("[jsDpadResourcesManager setConfiguration] setting configuration value:%o to key:%o (previous value:%o)",b,a,d),c.fCallback&&c.fCallback()}},this._setConfigurationCallbackSuccess=function(a,b,c,d){var e=this._getConfigurationValue(a);if(d){var f=this.XML(d),g=parseFloat(f.get("result"));g!=this.getConstant("_DPAD_RESULT_NOERROR")?this.log({type:"error"},"[jsDpadResourcesManager _setConfigurationCallbackSuccess] unable to refresh value; Error:%o",g):this._configurations=$.parseJSON(f.get("configuration"))}else this.log({type:"error"},"[jsDpadResourcesManager _setConfigurationCallbackSuccess] unable to contact server; refresh failed");var h=this._getConfigurationValue(a);this.log("[jsDpadResourcesManager _setConfigurationCallbackSuccess] setting configuration value:%o to key:%o (previous value:%o)",h,a,e),c.fCallback&&c.fCallback()},this._setConfigurationCallbackError=function(a,b,c){this.log({type:"error"},"[jsDpadResourcesManager _setConfigurationCallbackError] unable to set configuration value:%o to key:%o",setValue,a),c.fCallback&&c.fCallback()},this.getConfiguration=function(a,b){b=$.extend({refresh:!0,fCallback:null},b);if(!b.refresh){var c=this._getConfigurationValue(a);return this.log("[jsDpadResourcesManager getConfiguration] getting configuration value:%o from key:%o",c,a),b.fCallback&&b.fCallback(),c}this.ajax({type:"POST",url:"../system/dpadaction.php",data:{op:"refreshconfiguration"},success:$.proxy(this._getConfigurationSuccess,this,a,b),error:$.proxy(this._getConfigurationError,this,a,b)})},this._getConfigurationSuccess=function(a,b,c){this._getConfigurationCallback(c,a,b)},this._getConfigurationError=function(a,b,c){this._getConfigurationCallback(null,a,b)},this._getConfigurationCallback=function(a,b,c){if(a){var d=this.XML(a),e=parseFloat(d.get("result"));e!=this.getConstant("_DPAD_RESULT_NOERROR")?this.log({type:"error"},"[jsDpadResourcesManager _getConfigurationCallback] unable to refresh value; Error:%o",e):this._configurations=$.parseJSON(d.get("configuration"))}else this.log({type:"error"},"[jsDpadResourcesManager _getConfigurationCallback] unable to contact server; refresh failed");var f=this._getConfigurationValue(b);this.log("[jsDpadResourcesManager _getConfigurationCallback] getting configuration value:%o from key:%o",f,b),c.fCallback&&c.fCallback()},this._getConfigurationValue=function(a){var b=this.cast(this._configurations&&this._configurations[a]?this._configurations[a].VALUE:null);return this._configurations&&this._configurations[a]&&this._configurations[a].VALUE!==b&&(this._configurations[a].VALUE=b),b},this.setConstant=function(a,b){this._constants[a]=b},this.getConstant=function(a){return typeof this._constants[a]!="undefined"?this._constants[a]:a},this.getErrorMessage=function(a,b){return b||(b="FSMC"),this.getConstant("_DPAD_DBCONSTANT_ERROR_MESSAGE_"+b+"_"+a)},this.parseIncludeJs=function(sBuffer){var start=sBuffer.indexOf(this._start_parse_jsinclude_separator),stop;while(start!=-1){stop=sBuffer.indexOf(this._stop_parse_jsinclude_separator);var _sInclude=sBuffer.substring(start+this._start_parse_jsinclude_separator.length,stop),_oData=null;eval("_oData={"+_sInclude+"}"),this.includeJs(_oData.name,_oData.path),sBuffer=sBuffer.substring(stop+this._stop_parse_jsinclude_separator.length),start=sBuffer.indexOf(this._start_parse_jsinclude_separator)}},this.registerJs=function(a,b,c,d,e){b||(b=!1),d?d=d.split("|"):d=null,this._javascripts[a]=new Array,this._javascripts[a]={is_loaded:b,sPath:c,parents:d,version:e}},this.setLoaded=function(a,b){this._javascripts[a]?this._javascripts[a].is_loaded=b:this.log({type:"error"},"[jsDpadResourcesManager.js setLoaded]The javascript %o cannot be setLoaded to %o. It doens't exist",a,b)},this.includeJs=function(a,b,c){if(!this._javascripts[a])this.registerJs(a);else{if(this._javascripts[a].is_loaded==1){c&&c();return}if(this._javascripts[a].parents!=null)for(var d in this._javascripts[a].parents)this.includeJs(this._javascripts[a].parents[d])}b||(b=this._javascripts[a].sPath);if(!b){this.log({type:"error"},"[jsDpadResourcesManager.js includeJs] The javascript %o cannot be included. It doens't have a path",a);return}var e=this._most_recent_version;b=this.urlAddVar((b.indexOf(this.getServerIP())==-1?this.getServerWebPath():"")+b,"version",e),this._javascripts[a].is_loaded=!0,this.ajax({async:!1,type:"GET",url:b,cache:!0,data:null,success:$.proxy(this._includeJsSuccess,this,a,b,c),error:$.proxy(this._includeJsError,this,b),dataType:"script"})},this._includeJsSuccess=function(a,b,c,d,e,f){this.log("[jsDpadResourcesManager.js _includeJsSuccess] - included library %o from path %o",a,b),c&&c()},this._includeJsError=function(a,b,c,d){this.log({type:"error"},"[jsDpadResourcesManager.js includeJs] - function includeJs unable to load javascript from url: %o with error: %o [%o]",a,c,d)},this.includeCss=function(a){$("head").append($("<link/>",{rel:"stylesheet",type:"text/css",href:this.urlAddVar(a,"version",this._most_recent_version)}))},this.setVerbosity=function(a){this._log_current_verbosity=a,this.log({type:"info"},"[jsDpadResourcesManager.js setVerbosity] Setting log verbosity to: %o",a)},this.increaseVerbosity=function(a){a||(a=1),this.setVerbosity(this._log_current_verbosity+a)},this.decreaseVerbosity=function(a){a||(a=1),this._log_current_verbosity=this._log_current_verbosity-a,this.setVerbosity(this._log_current_verbosity<0?0:this._log_current_verbosity)},this.log=function(){var a=new Array,b=null,c=0;typeof arguments[0]=="object"?(b=arguments[0],c=1):b={};for(var d=c;d<arguments.length;d++)a.push(arguments[d]);b.type||(b.type="debug"),b.verbosity||(b.verbosity=0);var e=this.getClientTime(),f=new Date(e);if(this._debug_enable)this._logger._lastTimestamp||(this._logger._lastTimestamp=e),this._logger._timeDelta=(e-this._logger._lastTimestamp)/1e3,this._logger._timeTot+=this._logger._timeDelta,this._logger._lastTimestamp=e;else if(!this._debug_enable&&b.type=="debug")return;var g=a[0],h=g;g="["+b.type+"]"+(this._debug_enable?" (Delta: "+this._logger._timeDelta.toFixed(3)+" secs - Tot: "+this._logger._timeTot.toFixed(3)+" secs) ":"")+f.getDate()+"/"+(f.getMonth()+1)+" "+f.getHours()+":"+f.getMinutes()+":"+f.getSeconds()+" - "+g+(b.calling_js_file||b.calling_js_func?" ["+b.calling_js_file+"::"+b.calling_js_func+"]":""),this._log.buffer.length>this._log_buffer_length&&this._log.buffer.shift();for(var d=1;d<a.length;d++)h=h.replace("%o",a[d]);this._log.buffer.push(h);switch(b.type){case"error":case"fatal":this._log.errors.push(g),this._loggerUi_options.update&&this.getLoggerUi().trigger("update.loggerUi",[this._log.errors]);break;default:case"debug":if(this._log_current_verbosity<b.verbosity)return;break;case"info":case"warn":if(this._log_current_verbosity<b.verbosity)return}a[0]=g,a.unshift({type:b.type}),b.dom_element?$(b.dom_element).log(g,type):jQuery.log?jQuery.log.apply(jQuery,a):alert("Error Type:"+type+" Message:"+g)},this.handleResult=function(a){var b={};return a=a.split("-"),b.type=a[0],b.code=parseInt(a[1],10),b},this.getDiagnosticLog=function(){var a=new Array,b=0;return a[b++]="###############################################################################",a[b++]="#Javascript Resource Manager: Client Logs",a[b++]="###############################################################################",a[b++]=this._log.buffer.join("\n"),a.join("\n")},this.isString=function(a){var b=!this.isNumber(a)&&typeof a!="object";return b},this.isNumber=function(a){var b=typeof a;b=="string"&&(a=this.trim(a));var c=Number(a),d=!isNaN(c);return d&&b=="string"&&a.length>1&&a.length>String(c).length&&a.indexOf(".")==-1&&(a[0]=="0"||a[0]=="+")?!1:$.isNumeric(a)||d&&a!==""&&b!="object"},this.cast=function(a){return typeof a=="string"&&this.isNumber(a)&&(a=parseFloat(a)),a},this.trim=function(a){return a.replace(/^\s+|\s+$/g,"")},this.isOnline=function(){return navigator.onLine?!0:!1},this.reloadGlobals=function(a){a||(a={});var b=$.extend({},_oGlobals);b.sServerProtocol=a.sServerProtocol?a.sServerProtocol.indexOf("://")!=-1?a.sServerProtocol:a.sServerProtocol+"://":this.getServerProtocol(),b._sCurrentServerIp=a.sServerIp?a.sServerIp:_oGlobals._sCurrentServerIp?_oGlobals._sCurrentServerIp:this.getServerIP(),b._sCurrentServerPort=typeof a.sServerPort=="undefined"?_oGlobals._sCurrentServerPort?_oGlobals._sCurrentServerPort:this.getServerPort():a.sServerPort;var c=this.getServerRootPath(b);return b.sWebRoot=document.URL.split("/")[3]+"/",b.sWebPath=this.getServerWebPath(b),a.sRelativeSoapWebService?b.sSoapWebService=c+a.sRelativeSoapWebService:b.sSoapWebService=b.sSoapWebService.replace(this.getServerRootPath(_oGlobals),c),_oGlobals=b,this.log("[jsDpadResourcesManager.js reloadGlobals] Reloading Globals with params %o obtaining new Globals:%o",a,_oGlobals),_oGlobals},this.getServerProtocol=function(a){a||(a=_oGlobals);if(!a.sServerProtocol){var b=document.URL.split("/")[0]+"//";a.sServerProtocol=b?b:a.sServerProtocol}return a.sServerProtocol},this.getServerIP=function(a){a||(a=_oGlobals);if(!a._sCurrentServerIp){var b=document.URL.split("/")[2].split(":")[0];a._sCurrentServerIp=b?b:a._sCurrentServerIp}return a._sCurrentServerIp},this.getServerPort=function(a){a||(a=_oGlobals);if(!a._sCurrentServerPort){var b=document.URL.split("/")[2].split(":")[1];a._sCurrentServerPort=b?b:a._sCurrentServerPort}return typeof a._sCurrentServerPort=="undefined"||a._sCurrentServerPort==""||!a._sCurrentServerPort?"":a._sCurrentServerPort},this.getServerIsPublic=function(){var a=this.getServerIP(),b=a=="locahost"||a=="127.0.0.1"||this.ipCIDRCheck(a,"10.0.0.0/8")||this.ipCIDRCheck(a,"172.16.0.0/12")||this.ipCIDRCheck(a,"192.168.0.0/16")?!1:!0;return b},this.getServerIsLocal=function(){var a=this.getServerIP(),b=a=="locahost"||a=="127.0.0.1"?!0:!1;return b},this.getServerRootPath=function(a){a||(a=_oGlobals);var b=this.getServerPort(a);return a.sServerProtocol+this.getServerIP(a)+(b?":"+b:"")+"/"},this.getServerWebPath=function(a){return a||(a=_oGlobals),this.getServerRootPath(a)+a.sWebRoot},this.setClient=function(a){this._oClient=$.extend($.parseJSON(a),this._oClient)},this.getClientLocalIp=function(){return this._oClient.local_ip},this.getClientIP=function(){var a=this._oClient.remote_addr;return a},this.getClientPort=function(){var a=this._oClient.remote_port;return a},this.getClientProtocol=function(){return this._oClient.protocol||(this._oClient.protocol=this.getServerProtocol()),this._oClient.protocol},this.getClientRootPath=function(){var a=this.getClientProtocol(),b=this.getClientPort();return(a?a:"http://")+this.getClientIP()+(b?":"+b:"")+"/"},this.getSessionId=function(){return $.cookie("PHPSESSID")},this.getBrowserUserAgent=function(){return navigator.userAgent.toLowerCase()},this.setBrowserType=function(a){this._browser=$.parseJSON(a)},this._isTypeMobileBrowser=function(a,b,c){var d=!1;return typeof this._browser[b]!="undefined"&&!a?d=this._browser[b]:(a||(a=this.getBrowserUserAgent()),this._browser[b]=(new RegExp(c)).test(a),d=this._browser[b]),d},this.getBrowserType=function(a){var b=null;return a||(a=this.getBrowserUserAgent()),this.isChromeBrowser(a)?b="chrome":this.isFirefoxBrowser(a)?b="firefox":this.isSafariBrowser(a)?b="safari":this.isAndroidMobileBrowser(a)?b="android":this.isIPhoneMobileBrowser(a)?b="appleMobile(iPhone)":this.isIPadMobileBrowser(a)?b="appleMobile(iPad)":this.isIPodMobileBrowser(a)?b="appleMobile(iPod)":this.isIEBrowser(a)&&(b="ie"),this.isIKonWebTouch(a)?b+=" ( iKonWebTouch )":this.isIKonWebApp(a)?b+=" ( iKonWebApp )":this.isIKonVTS10(a)&&(b+=" ( Vimar-VTS10 )"),b},this.getWebAppAPIVersion=function(a){return this._isTypeMobileBrowser(a,"APIversion","/.+(?:rv|it|ra|ie)[/: ]([d.]+)/")},this.getBrowserVersion=function(a){var b="";return typeof this._browser.version!="undefined"&&!a?b=this._browser.version:(a||(a=this.getBrowserUserAgent()),this._browser.version=a.match(new RegExp(/(android|opera|chrome|safari|firefox|msie)\/?\s*(\.?\d+(\.\d+)*)/i))[2],b=this._browser.version),b},this.getBrowserPixelRatio=function(){return typeof this._browser.iPixelRatio=="undefined"&&(this._browser.iPixelRatio=window.devicePixelRatio),this._browser.iPixelRatio},this.isChromeBrowser=function(a){return this._isTypeMobileBrowser(a,"isChrome","chrome")},this.isFirefoxBrowser=function(a){var b=!1;return typeof this._browser.isFirefox!="undefined"&&!a?b=this._browser.isFirefox:(a||(a=this.getBrowserUserAgent()),b=/mozilla/.test(a)&&!/(compatible|webkit)/.test(a)&&!this.isAppleMobileBrowser(),this._browser.isFirefox=b),b},this.isSafariBrowser=function(a){var b=!1;return typeof this._browser.isSafari!="undefined"&&!a?b=this._browser.isSafari:(a||(a=this.getBrowserUserAgent()),b=/webkit/.test(a)&&!/chrome/.test(a)&&!this.isAppleMobileBrowser(),this._browser.isSafari=b),b},this.isAndroidMobileBrowser=function(a){return this._isTypeMobileBrowser(a,"isAndroid","android")},this.isIPhoneMobileBrowser=function(a){return this._isTypeMobileBrowser(a,"isIPhone","iphone")},this.isIPadMobileBrowser=function(a){return this._isTypeMobileBrowser(a,"isIPad","ipad")},this.isIPodMobileBrowser=function(a){return this._isTypeMobileBrowser(a,"isIPod","ipod")},this.isAppleMobileBrowser=function(a){var b=!1;return typeof this._browser.isAppleMobile!="undefined"&&!a?b=this._browser.isAppleMobile:(a||(a=this.getBrowserUserAgent()),b=this.isIPhoneMobileBrowser(a)||this.isIPadMobileBrowser(a)||this.isIPodMobileBrowser(a)),b},this.isMobileBrowser=function(a){var b=!1;return typeof this._browser.isMobile!="undefined"&&!a?b=this._browser.isMobile:(a||(a=this.getBrowserUserAgent()),b=this.isAppleMobileBrowser(a)||this.isAndroidMobileBrowser(a)),b},this.isIEBrowser=function(a){var b=!1;return typeof this._browser.isIE!="undefined"&&!a?b=this._browser.isIE:(a||(a=this.getBrowserUserAgent()),b=/msie/.test(a)&&!/opera/.test(a)&&!this.isAppleMobileBrowser(),this._browser.isIE=b),b},this.isIKonWebApp=function(a){return this._isTypeMobileBrowser(a,"isIKonWebApp","ikonwebapp")},this.isIKonTouchzone=function(a){return this._isTypeMobileBrowser(a,"isIKonTouchzone","touchzone")},this.isIKonVTS10=function(a){return this._isTypeMobileBrowser(a,"isIKonVTS10","vimar-vts10")},this.isIKonWebTouch=function(a){return this._isTypeMobileBrowser(a,"isIKonWebTouch","ikonwebtouch")},this.clockAdd=function(a){if(!a.selector)return;a.format||(a.format="datetime"),a.timestamp?a.timestamp=Number(a.timestamp):a.timestamp=this.getClientTime({sFormat:"seconds"}),a.timestamp_last?a.timestamp_last=Number(a.timestamp_last):a.timestamp_last=this.getClientTime({sFormat:"seconds"});for(var b in this._arr_clocks){var c=this._arr_clocks[b];if(c.selector==a.selector){c.format=a.format,c.timestamp=a.timestamp,c.timestamp_last=a.timestamp;return}}this._arr_clocks.push(a)},this.clockRemove=function(a){for(var b in this._arr_clocks){var c=this._arr_clocks[b];c.selector==a.selector&&this._arr_clocks.splice(b,1)}},this.clocksEnable=function(a){typeof a=="undefined"&&(a=!0),this._clocksTimerHandler&&clearTimeout(this._refreshCallsTimerHandler),a==1&&(this._clocksTimerHandler=setInterval(this._objVarName+".clocksUpdate();",this._clocksIdleTimer*1e3))},this.clocksUpdate=function(){for(var a in this._arr_clocks){var b=this._arr_clocks[a],c=new Date(b.timestamp*1e3+(new Date).getTimezoneOffset()*60*1e3),d=c.getDate()+"/",e=c.getMonth()+1+"/",f=c.getFullYear(),g=c.getDay(),h=c.getHours(),i=c.getMinutes(),j=c.getSeconds(),k=":",l=" ";h<=9&&(h="0"+h),i<=9&&(i="0"+i),j<=9&&(j="0"+j);var m=d+e+f+h+k+i+k+j+l,n=d+e+f,o=h+k+i+k+j+l,p=h+k+i+l,q=new Array("SUNDAY","MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY"),r=typeof rM!="undefined"?rM.getConstant("_DPAD_GENERAL_DAYSOFWEEK_"+q[g]):null,s;switch(b.format){case"date":s=n;break;case"weekday":s=r;break;case"time":s=o;break;case"time_wo_seconds":s=p;break;case"datetime":s=m}$(b.selector).html(s);var t=this.getClientTime({sFormat:"seconds"}),u=t-b.timestamp_last;b.timestamp=b.timestamp+u,b.timestamp_last=t}},this.getClientTime=function(a){a||(a={});var b=null,c=new Date;a.sFormat||(a.sFormat="milliseconds"),typeof a.bIgnoreTimezone=="undefined"&&(a.bIgnoreTimezone=!0);switch(a.sFormat){case"seconds":b=1e3;break;case"milliseconds":default:b=1}return Math.round((c.getTime()+(a.bIgnoreTimezone?0:-1*c.getTimezoneOffset()*6e4))/b)},this.getServerTime=function(a){this.ajax({async:!1,type:"POST",url:"../system/dpadaction.php",data:{op:"getservertime"},success:$.proxy(this._getServerTimeSuccess,this,a),error:$.proxy(this._getServerTimeError,this,a)})},this._getServerTimeSuccess=function(a,b,c,d){var e=this.XML(b),f=e.get("result"),g=e.get("timestamp");a&&a(g)},this._getServerTimeError=function(a,b,c,d){this.log({type:"error"},"unable to get server time.")},this.parseStringForRegExp=function(a){return a.replace(/(?=[.\\+*?[^\]$(){}\|])/g,"\\")},this.XML=function(a){var b=a;return new function(b){try{var c=typeof a=="string";c&&(a=$.trim(a)),this._oXml=$(c&&$.isXMLDoc(a)?$.parseXML(a):a)}catch(d){this._oXml=null}this.get=function(a){var b=this._oXml?this._oXml.find(a).text():null;return isNaN(b)||b==""?b:parseFloat(b)},this.set=function(a,b){this._oXml.find(a).text(b)},this.toString=function(){var b="";return window.ActiveXObject?b=a.xml:b=(new XMLSerializer).serializeToString(a),b}}},this.strPad=function(a,b,c,d){var e=1,f=2,g=3;a=""+a;if(typeof b=="undefined")var b=0;if(typeof c=="undefined")var c=" ";c=""+c;if(typeof d=="undefined")var d=e;if(b+1>=a.length)switch(d){default:case e:a=Array(b+1-a.length).join(c)+a;break;case g:var h=Math.ceil((padlen=b-a.length)/2),i=padlen-h;a=Array(i+1).join(c)+a+Array(h+1).join(c);break;case f:a+=Array(b+1-a.length).join(c)}return a},this.urlGetVars=function(a,b){var c={},d=new Array;if(!b){var e=a.indexOf("?"),f=a.indexOf("|");d=a.substring(e!=-1?e+1:0,f!=-1?f:a.length).split("&")}else{var e=a.indexOf("|");e!=-1&&(d=a.substring(e+1,a.length).split("&"))}for(var g=0;g<d.length;g++){var h=d[g],i=h.indexOf("=");if(i!=-1){var j=h.slice(0,i),k=h.slice(i+1);c[j]=themeManager.decoderForUrl(k)}}return c},this.urlAddVar=function(a,b,c,d){switch(typeof c){case"object":c=$.toJSON(c);break;default:}var e=this.urlGetVars(a,d);e[b]=c;var f=new Array;for(var g in e)f.push(g+"="+themeManager.encoderForUrl(e[g]));var h=d?"|":"?",i=a.indexOf(h);return i!=-1&&(a=a.slice(0,i)),a=f.length>0?a+h+f.join("&"):a,a},this.urlRemoveVar=function(a,b,c){var d=this.urlGetVars(a,c);delete d[b];var e=new Array;for(var f in d)e.push(f+"="+d[f]);var g=c?"|":"?",h=a.indexOf(g);return h!=-1&&(a=a.slice(0,h)),a=e.length>0?a+g+e.join("&"):a,a},this.swap=function(a,b){this.callSoap("service-swapondemand",{payload:a+"",waittime:5},{success:b}),this.log("Performed SWAP with flag %o",a)},this.date2str=function(a,b,c){if(!a){this.log({type:"error"},"Given date %o is not valid",a);return}if(typeof c=="undefined")switch(b){case"date":c=this.getConstant("_DPAD_GENERAL_DATEFORMAT");break;case"time":c=this.getConstant("_DPAD_GENERAL_TIMEFORMAT");break;case"datetime":c=this.getConstant("_DPAD_GENERAL_DATETIMEFORMAT")}return c=c.replace("Y",a.getFullYear()),c=c.replace("m",this.strPad(a.getMonth()+1,2,"0")),c=c.replace("d",this.strPad(a.getDate(),2,"0")),c=c.replace("H",this.strPad(a.getHours(),2,"0")),c=c.replace("i",this.strPad(a.getMinutes(),2,"0")),c},this.cacheClear=function(a){a=$.extend({bPHPsessions:!0,bTPLs:!0,bSeeds:!0,bClientHTML:!0,bClientDB:!0,bOnAllClients:!1},a),this._cacheClearOnClient(a,$.proxy(this._cacheClearOnServer,this,a,a.fCallback))},this._cacheClearOnClient=function(a,b){a.bClientHTML||a.bClientDB?a.bClientHTML&&a.bClientDB?iM.cacheClear(null,$.proxy(objM.cacheClear,objM,null,null,b)):a.bClientHTML?iM.cacheClear(null,b):a.bClientDB&&objM.cacheClear(null,null,b):b&&b()},this._cacheClearOnServer=function(a,b){if(a.bPHPsessions||a.bTPLs||a.bSeeds){var c="clear_all";a.bPHPsessions&&a.bTPLs&&a.bSeeds?c="clear_all_and_swap_and_refresh_seeds":a.bPHPsessions?c="clear_session":a.bTPLs?c="clear_cache":a.bSeeds&&(c="clear_all_and_swap_and_refresh_seeds"),this.ajax({type:"POST",url:this.urlAddVar("../system/dpadaction.php","context",themeManager.getContext(document.URL)),data:{op:c},success:$.proxy(this._cacheClearSuccess,this,b),error:$.proxy(this._cacheClearError,this,b)})}else b&&b()},this._cacheClearSuccess=function(a,b,c,d){var e=this.XML(b),f=parseFloat(e.get("result")),g=e.get("message");f!=this.getConstant("_DPAD_RESULT_NOERROR")&&themeManager.showMessage(g,"warning"),a&&a()},this._cacheClearError=function(a,b,c,d){a&&a()},this.isLinkObj=function(a){a||(a=""),a+="";var b=a.indexOf(this._linkObj.sTagStart),c=a.indexOf(this._linkObj.sTagSeparator);return b==0&&c!=-1&&c!=a.length-1},this.getLinkedObj=function(a){var b={};a+="";if(this.isLinkObj(a)){var c=parseInt(a.substring(this._linkObj.sTagStart.length,a.indexOf(this._linkObj.sTagSeparator)));if(this.isNumber(c)){b.id=c;var d=objM.getObj(c);d&&(b=d)}}return b},this.getLinkToObj=function(a,b){return b||(b="id"),this._linkObj.sTagStart+(typeof a=="object"?a.id:a)+this._linkObj.sTagSeparator+b.toUpperCase()},this.ajax=function(a){a=$.extend({type:"POST",url:_oGlobals.sSoapWebService},a),a.timeout==0&&delete a.timeout,a.success=$.proxy(this._ajaxSuccess,this,a.success,a),a.error=$.proxy(this._ajaxError,this,a.error,a),this.log("Ajax call with parameters: %o.",a),$.ajax(a)},this._ajaxSuccess=function(a,b,c,d,e){this.log("Ajax call with parameters: %o was successfull.",b),a&&a(c,d,e)},this._ajaxError=function(a,b,c,d,e){this.log({type:"error"},"Ajax call with parameters: %o FAILED: %o [ errorThrown:%o - jqXHR:%o ].",b,d,e,c),themeManager&&d=="timeout"&&themeManager.showMessage(this.getConstant("_DPAD_SYSTEM_AJAX_CALL_ERROR_TIMEOUT"),"warning"),a&&a(c,d,e)},this.callSoap=function(a,b,c){c||(c={});var d=new SOAPObject(a);if(typeof c.data=="undefined"){for(var e in b)d.appendChild((new SOAPObject(e)).val(this.parseStringForXML(b[e])));d.ns="urn:xmethods-dpadws"}var f=new SOAPRequest("dbSoapRequest",d);this.log("SOAP call for service %o with parameters: %o.",a,b),c.data=f.toString(),c.contentType=SOAPClient.ContentType+'; charset="'+SOAPClient.CharSet+'"',c.beforeSend=$.proxy(this._callSoapBeforeSend,this,f.Action),this.ajax(c)},this._callSoapBeforeSend=function(a,b){b.setRequestHeader("Method","POST"),b.setRequestHeader("SOAPServer",SOAPClient.SOAPServer),b.setRequestHeader("SOAPAction",a)},this.parseStringForXML=function(a){return typeof a=="string"&&(a=a.replace(/\&/g,"&amp;"),a=a.replace(/"/g,"&quot;"),a=a.replace(/'/g,"&apos;"),a=a.replace(/</g,"&lt;"),a=a.replace(/>/g,"&gt;")),a},this.ipCIDRCheck=function(a,b){var c=b.split("/"),d=a.split("."),e=c[0],f=c[0].split("."),g=parseInt(c[1]),h=parseInt(f[0]),i=parseInt(f[1]),j=parseInt(f[2]),k=parseInt(f[3]),l=(h<<24)+(i<<16)+(j<<8)+k,m=g==0?0:-1<<32-g,n=l&m,o=l|~m&4294967295;h=parseInt(d[0]),i=parseInt(d[1]),j=parseInt(d[2]),k=parseInt(d[3]);var p=(h<<24)+(i<<16)+(j<<8)+k;return a&&b&&p>=n&&p<=o?!0:!1},this.getFormattedDate=function(a){var b=a?new Date(a*1e3):null;return b?b.getDate()+"/"+(b.getMonth()+1)+"/"+b.getFullYear()+" "+b.getHours()+":"+b.getMinutes()+":"+b.getSeconds():null},this.eventClickToTap=function(a,b){b=$.extend({bExecuteClick:!1,oExecuteClickScope:null},b);var c=null;switch(typeof a){case"string":c=$($.parseHTML($.trim(a)));break;case"object":default:c=a}return c.find("[onclick]").add($(c).attr("onclick")?c:null).each(function(){var a=$(this),c=a.attr("onclick"),d=null;try{d=Function(c+";return false;")}catch(e){rM.log({type:"error"},"[eventClickToTap] Unable to convert click event function:%o to tap event function. Error:%o",c,e)}c&&d&&(a.removeAttr("onclick").attr("ontap",c).bind("tap",d),b.bExecuteClick&&d.apply(b.oExecuteClickScope))}),c},this.webappCallFunction=function(a,b){b||(b={});var c="ikonwebapp://"+a,d="";for(var e in b)c=this.urlAddVar(c,e,b[e]);if(!this.isIKonWebApp())return;this.log("Calling mobile app with URL %o",c);var f=document.createElement("IFRAME");f.setAttribute("src",c),f.setAttribute("height","1px"),f.setAttribute("width","1px"),document.documentElement.appendChild(f),f.parentNode.removeChild(f),f=null},this.webappHideSplashScreen=function(a){var b={};return a==1&&(b.cachesynch=1),this.webappCallFunction("hide_loadingscreen",b)},this.webappShowSplashScreen=function(a){var b={};return a&&(b.message=a),this.webappCallFunction("show_loadingscreen",b)},this.webappDoLogin=function(){return this.webappCallFunction("do_login")},this._init(oOptions)};